package org.jeecg.module.custom.ocr.base;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.module.custom.ocr.base.param.ParamterPage;

import java.util.List;

/**
 *
 * @author zhangyong
 * @title: BaseService
 * @projectName jyjz-parent
 * @description: 顶级service
 * @date 2021/11/12 6:17 PM
 */
public interface BaseService<T> extends IService<T> {

    /**
     * 查询对象列表
     *
     * @param query
     *            查询参数，如果未null则查询所有
     * @return 结果对象列表
     * 2015年3月3日下午5:43:33
     */
    public List<T> selectSearchList(QueryWrapper<T> query);

    T selectDtoById(Long id);

    /**
     *
     * @Title: selectListPage  分页使用，分页信息以及分页数据存放在
     * @param paramterPage 分页信息
     * @param query 特定搜索条件
     * @return ModelPage返回类型
     *
     */
    public IPage<T> selectSearchListPage(ParamterPage paramterPage, QueryWrapper<T> query);

    /**
     * 根据id字符串组对象，例如1,2,3
     *
     * @param id 要删除的ID，不能为null
     * @return int 受影响结果数
     * 2015年3月3日下午5:59:59
     */
    public int deleteByIdMore(String id);


}
