package org.jeecg.module.custom.ocr.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ocr_check_duplicate_result")
@ApiModel(value="OcrCheckDuplicateResult对象", description="")
public class OcrCheckDuplicateResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value="ID")
    private Long id;

    @ApiModelProperty(value = "图片id")
    private Long pictureId;

    @ApiModelProperty(value = "当前图片与任务包其他图片比对结果 (废弃，入库导致数据量过大)")
    @TableField(exist = false)
    private String compareResultJson;

    @ApiModelProperty(value = "查重任务id")
    private Long checkDuplicateId;

    @ApiModelProperty(value = "当前图片在当前任务包下比对最高阈值")
    private Double maxSimilarity;

    @ApiModelProperty(value = "阈值分组排序值，数值越低排序越靠前，")
    private Integer similarityGroupOrder;

    @ApiModelProperty(value = "是否重复，0.不重复 1.重复 (历史比对中阈值存在100的会显示此值)")
    @TableField(exist = false)
    private Integer isRepeat;

}
