package org.jeecg.module.custom.ocr.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 图片比对历史信息表
 * </p>
 *
 * @author author
 * @since 2024-03-24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ocr_pictrue_duplicate_his")
@ApiModel(value="OcrPictrueDuplicateHis对象", description="图片比对历史信息表")
public class OcrPictureDuplicateHis implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id",type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value="id")
    private Long id;

    @ApiModelProperty(value = "图片表id")
    private Long pictureId;

    @ApiModelProperty(value = "图片查重历史（该图片历史的查重任务中所对比的图片的集合)")
    private String checkDuplicateResultHisJson;


}
