package org.jeecg.module.custom.ocr.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import org.jeecg.module.custom.ocr.base.jsonDomain.DateSerializer;
import org.jeecg.module.custom.ocr.jsonDomain.DateNotimeSerializer;

/**
 * ClassName： $className$.java
 * Description: 
 * Author： scl.
 * Date： 2024/3/22 07:09
 */
@TableName(value = "ocr_picture_info")
@Data
public class OcrPictureInfo {
    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 原图片主键
     */
    @TableField(value = "picture_id")
    private Long pictureId;

    /**
     * 图片大小
     */
    @TableField(value = "img_size")
    private String imgSize;

    /**
     * 图片名称
     */
    @TableField(value = "img_name")
    private String imgName;

    /**
     * 图片格式
     */
    @TableField(value = "img_format")
    private String imgFormat;

    /**
     * 图片尺寸
     */
    @TableField(value = "img_measure")
    private String imgMeasure;

    /**
     * 上传时间
     */
    @TableField(value = "upload_time")
    @JsonSerialize(using = DateNotimeSerializer.class)
    private Long uploadTime;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
//    @JsonSerialize(using = DateNotimeSerializer.class)
    @JsonSerialize(using = DateSerializer.class)
    private Long createTime;

    /**
     * 图片色彩空间
     */
    @TableField(value = "img_space")
    private String imgSpace;

    /**
     * 标记时间
     */
    @TableField(value = "tag_time")
    @JsonSerialize(using = DateNotimeSerializer.class)
    private Long tagTime;

    /**
     * 图片来源
     */
    @TableField(value = "`source`")
    private String source;

    @TableField(value = "image_url")
    private String imageUrl;

    @TableField(value = "local_image_url")
    private String localImageUrl;

    @TableField(value = "task_id")
    private Long taskId;

    @TableField(value = "task_no")
    private Long taskNo;

    @TableField(value = "type")
    private String type;

    @TableField(value = "img_hash")
    private String imgHash;

    @TableField(value = "history")
    private Boolean history;
}
