package org.jeecg.module.custom.ocr.dataobject;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * ClassName： $className$.java
 * Description:
 * Author： scl.
 * Date： 2024/4/25 下午9:18
 */

/**
 * 无量云请求日志
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "ocr_prevail_cloud_log")
@Builder
public class OcrPrevailCloudLog {
    /**
     * ID主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 表单id
     */
    @TableField(value = "form_id")
    private Long formId;

    /**
     * 请求参数
     */
    @TableField(value = "request_param")
    private String requestParam;

    /**
     * 返回参数
     */
    @TableField(value = "response_param")
    private String responseParam;

    /**
     * 返回参数
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 查询方法
     */
    @TableField(value = "`type`")
    private Integer type;

    /**
     * 创建人
     */
    @TableField(value = "create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改人
     */
    @TableField(value = "update_by")
    private String updateBy;

    /**
     * 修改时间
     */
    @TableField(value = "update_time")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date updateTime;

    /**
     * 任务id
     */
    @TableField(value = "task_id")
    private String taskId;

    /**
     * 图片id
     */
    @TableField(value = "picture_id")
    private Long pictureId;

    /**
     * 业务主体id
     */
    @TableField(value = "tenant_id")
    private String tenantId;

    /**
     * 冗余字段
     */
    @TableField(value = "redundance")
    private String redundance;

    /**
     * 重试次数
     */
    @TableField(value = "time")
    private Integer time = 0;
}
