package org.jeecg.module.custom.ocr.service;

import org.jeecg.module.custom.ocr.base.BaseService;
import org.jeecg.module.custom.ocr.dataobject.OcrDictionary;
import org.jeecg.module.custom.ocr.dataobject.OcrDictionaryGroup;

/**
 * 业务向 数据字典 操作接口
 *
 * @author hugh(shuli.yao) 1397940314@qq.com
 * @version 1.0
 * @date 2024/3/16 12:48
 */
public interface OcrDictionaryService extends BaseService<OcrDictionary> {
    /**
     * 根据 字组标识、字典值、租户过滤当前字典是否存在此字典值。
     * @param groupId 字典组标识
     * @param value 字典值
     * @param tenantId 租户
     * @return
     */
    boolean isValueExists(Long groupId, String value, Long tenantId);

    /**
     * 获取字典组信息
     * @param field
     * @return
     */
    OcrDictionaryGroup queryGroupByField(String field);
}
