CREATE database if NOT EXISTS `jeecg-boot` default character set utf8mb4 collate utf8mb4_unicode_ci;
USE `jeecg-boot`;

/*
 Navicat Premium Data Transfer

 Source Server         : mysql5.7
 Source Server Type    : MySQL
 Source Server Version : 50738 (5.7.38)
 Source Host           : 127.0.0.1:3306
 Source Schema         : jeecg-boot

 Target Server Type    : MySQL
 Target Server Version : 50738 (5.7.38)
 File Encoding         : 65001

 Date: 16/03/2025 16:02:51
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ces_order_customer
-- ----------------------------
DROP TABLE IF EXISTS `ces_order_customer`;
CREATE TABLE `ces_order_customer`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户名字',
  `sex` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户性别',
  `birthday` datetime NULL DEFAULT NULL COMMENT '客户生日',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `address` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '常用地址',
  `order_main_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ces_order_customer
-- ----------------------------
INSERT INTO `ces_order_customer` VALUES ('1281792646935842818', 'admin', '2020-07-11 11:29:16', NULL, NULL, 'A01', NULL, NULL, NULL, NULL, NULL, '1260135645520654338');
INSERT INTO `ces_order_customer` VALUES ('1281794386984779777', 'admin', '2020-07-11 11:36:11', NULL, NULL, 'A01', '管理员', '1', '2018-12-05 00:00:00', NULL, NULL, '1281794386716344321');
INSERT INTO `ces_order_customer` VALUES ('1335894537933430785', 'admin', '2020-12-07 18:30:52', NULL, NULL, 'A01', '张三', '1', NULL, NULL, NULL, '1335894537597886465');
INSERT INTO `ces_order_customer` VALUES ('1533106655112916994', 'admin', '2022-06-04 23:21:24', NULL, NULL, 'A01', NULL, '1', '2022-06-04 23:21:11', 11, '11', '1533106654659932162');
INSERT INTO `ces_order_customer` VALUES ('15889531549290863128', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '小王', '1', '2020-05-08 00:00:00', 1, '', '1258787241599250433');
INSERT INTO `ces_order_customer` VALUES ('15889531551231672264', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '校长', '2', '2020-05-23 00:00:00', 2, '', '1258787241599250433');
INSERT INTO `ces_order_customer` VALUES ('15889531554322486243', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '小明', '2', '2020-05-03 00:00:00', 3, '', '1258787241599250433');
INSERT INTO `ces_order_customer` VALUES ('15892741044590530487', 'admin', '2020-05-12 17:02:32', NULL, NULL, 'A01A05', '111', '1', '2020-05-12 00:00:00', NULL, '', '1260133243631562754');
INSERT INTO `ces_order_customer` VALUES ('15892741436981375151', 'admin', '2020-05-12 17:02:32', NULL, NULL, 'A01A05', '11', '1', '2020-05-14 00:00:00', NULL, '', '1260133243631562754');

-- ----------------------------
-- Table structure for ces_order_goods
-- ----------------------------
DROP TABLE IF EXISTS `ces_order_goods`;
CREATE TABLE `ces_order_goods`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `good_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品名字',
  `price` double NULL DEFAULT NULL COMMENT '价格',
  `num` int(11) NULL DEFAULT NULL COMMENT '数量',
  `zong_price` double NULL DEFAULT NULL COMMENT '单品总价',
  `order_main_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ces_order_goods
-- ----------------------------
INSERT INTO `ces_order_goods` VALUES ('1335894537799213058', 'admin', '2022-05-07 18:39:13', NULL, NULL, 'A01', '商品11', 11, NULL, NULL, '1335894537597886465');
INSERT INTO `ces_order_goods` VALUES ('1335894537857933313', 'admin', '2022-05-07 18:39:13', NULL, NULL, 'A01', '商品22', 22, NULL, NULL, '1335894537597886465');
INSERT INTO `ces_order_goods` VALUES ('1335894537878904833', 'admin', '2022-05-07 18:39:13', NULL, NULL, 'A01', '商品22', 33, NULL, NULL, '1335894537597886465');
INSERT INTO `ces_order_goods` VALUES ('1522892799560265730', 'admin', '2022-05-07 18:55:12', NULL, NULL, 'A01', '商品假名陆刚', 200.33, 223, 2222.222, '1335894537597886465');
INSERT INTO `ces_order_goods` VALUES ('1533106654966116354', 'admin', '2022-06-04 23:21:24', NULL, NULL, 'A01', '11', 211, 22, 4642, '1533106654659932162');
INSERT INTO `ces_order_goods` VALUES ('1533106654982893570', 'admin', '2022-06-04 23:21:24', NULL, NULL, 'A01', '22', 22, 22, 484, '1533106654659932162');
INSERT INTO `ces_order_goods` VALUES ('15889531536650244013', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '显示器', 11, 1, 11, '1258787241599250433');
INSERT INTO `ces_order_goods` VALUES ('15889531538491119218', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '鼠标', 22, 2, 44, '1258787241599250433');
INSERT INTO `ces_order_goods` VALUES ('15889532051192650399', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '键盘', 33, 3, 99, '1258787241599250433');
INSERT INTO `ces_order_goods` VALUES ('15892741033410312304', 'admin', '2020-05-12 17:02:32', NULL, NULL, 'A01A05', '雷蛇键盘', 200, 2, NULL, '1260133243631562754');
INSERT INTO `ces_order_goods` VALUES ('15892741162151118866', 'admin', '2020-05-12 17:02:32', NULL, NULL, 'A01A05', '樱桃键盘', 200, 4, NULL, '1260133243631562754');
INSERT INTO `ces_order_goods` VALUES ('15892747180850346324', 'admin', '2020-07-11 11:29:16', NULL, NULL, 'A01', '11', 11, NULL, NULL, '1260135645520654338');
INSERT INTO `ces_order_goods` VALUES ('15892934593221167669', 'admin', '2020-07-11 11:29:16', NULL, NULL, 'A01', '', NULL, NULL, NULL, '1260135645520654338');
INSERT INTO `ces_order_goods` VALUES ('15892934594762635052', 'admin', '2020-07-11 11:29:16', NULL, NULL, 'A01', '', NULL, NULL, NULL, '1260135645520654338');
INSERT INTO `ces_order_goods` VALUES ('15944385645060861881', 'admin', '2022-05-07 18:16:58', NULL, NULL, 'A01', '11', 333, NULL, NULL, '1281794386716344321');
INSERT INTO `ces_order_goods` VALUES ('15944385663981814101', 'admin', '2022-05-07 18:16:58', NULL, NULL, 'A01', '22', 33, NULL, NULL, '1281794386716344321');
INSERT INTO `ces_order_goods` VALUES ('16519186144192894656', 'admin', '2022-05-07 18:16:58', NULL, NULL, 'A01', '333', 33, NULL, NULL, '1281794386716344321');

-- ----------------------------
-- Table structure for ces_order_main
-- ----------------------------
DROP TABLE IF EXISTS `ces_order_main`;
CREATE TABLE `ces_order_main`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `order_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单编码',
  `xd_date` datetime NULL DEFAULT NULL COMMENT '下单时间',
  `money` double NULL DEFAULT NULL COMMENT '订单总额',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ces_order_main
-- ----------------------------
INSERT INTO `ces_order_main` VALUES ('1258787241599250433', 'admin', '2020-05-08 23:54:00', NULL, NULL, 'A01', '20200508-0001', '2020-05-08 23:52:32', 50000, NULL);
INSERT INTO `ces_order_main` VALUES ('1260133243631562754', 'admin', '2020-05-12 17:02:32', NULL, NULL, 'A01A05', '202005120001', '2020-05-12 17:01:39', NULL, NULL);
INSERT INTO `ces_order_main` VALUES ('1260135645520654338', 'admin', '2020-05-12 17:12:04', 'admin', '2020-07-11 11:29:16', 'A01', 'JDFX2020051217115656', '2020-07-11 11:29:12', NULL, NULL);
INSERT INTO `ces_order_main` VALUES ('1281794386716344321', 'admin', '2020-07-11 11:36:11', 'admin', '2022-05-07 18:16:58', 'A01', 'CN2020071111360067', '2020-07-11 11:36:00', NULL, NULL);
INSERT INTO `ces_order_main` VALUES ('1335894537597886465', 'admin', '2020-12-07 18:30:52', 'admin', '2022-05-07 18:39:13', 'A01', 'CN2020120718303277', '2020-12-16 18:30:32', NULL, NULL);
INSERT INTO `ces_order_main` VALUES ('1533106654659932162', 'admin', '2022-06-04 23:21:25', NULL, NULL, 'A01', 'CN2022060423210253', '2022-06-18 23:21:04', 111, NULL);

-- ----------------------------
-- Table structure for ces_shop_goods
-- ----------------------------
DROP TABLE IF EXISTS `ces_shop_goods`;
CREATE TABLE `ces_shop_goods`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品名字',
  `price` decimal(10, 5) NULL DEFAULT NULL COMMENT '价格',
  `chuc_date` datetime NULL DEFAULT NULL COMMENT '出厂时间',
  `contents` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '商品简介',
  `good_type_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品分类',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ces_shop_goods
-- ----------------------------
INSERT INTO `ces_shop_goods` VALUES ('1258408897326149634', 'admin', '2020-05-07 22:50:35', 'admin', '2020-05-07 22:52:17', 'A01', '华为手机note', 5000.00000, '2020-05-07 00:00:00', '<div class=\"page1-content\" style=\"margin: 0px 0px 20px; padding: 0px; display: flex; justify-content: space-around; color: #2c3e50; font-family: Avenir, Helvetica, Arial, sans-serif; text-align: center; background-color: #eeeeee;\">\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(166, 55, 112, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/soo.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">快速开发</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(191, 188, 21, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/rule.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">数据权限</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(73, 101, 166, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/bpm2.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">工作流</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(135, 85, 255, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/report1.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">丰富组件库</span></div>\n</div>\n</div>\n<div class=\"page1-content\" style=\"margin: 0px; padding: 0px; display: flex; justify-content: space-around; color: #2c3e50; font-family: Avenir, Helvetica, Arial, sans-serif; text-align: center; background-color: #eeeeee;\">\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(166, 55, 112, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/icon1.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">代码生成器</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(191, 188, 21, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/Automation.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">Online在线开发</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(73, 101, 166, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/form2.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">表单设计器</span></div>\n</div>\n<div class=\"page1-item\" style=\"margin: auto; padding: 0px; width: 180px;\">\n<div class=\"page1-item-img\" style=\"margin: 0px; padding: 0px; width: 180px; height: 180px; display: flex; -webkit-box-align: center; align-items: center; -webkit-box-pack: center; justify-content: center; border-radius: 100%; background: #ffffff; position: relative; z-index: 1; transition: box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-box-shadow 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s, -webkit-transform 0.3s cubic-bezier(0.215, 0.61, 0.355, 1) 0s; box-shadow: rgba(135, 85, 255, 0.1) 0px 16px 32px;\"><img style=\"margin: 0px; padding: 0px; width: 100px;\" src=\"http://www.jeecg.com/images/bpm3.png\" alt=\"img\" /></div>\n<div class=\"page1-item-title\" style=\"margin: 56px 0px 0px; padding: 0px; font-size: 20px; color: #0d1a26;\"><span style=\"margin: 0px; padding: 0px;\">流程设计器</span></div>\n</div>\n</div>', '1258408044439597058');
INSERT INTO `ces_shop_goods` VALUES ('1258783909887422466', 'admin', '2020-05-08 23:40:45', 'admin', '2025-03-07 15:57:04', 'A01', '雷蛇鼠标', 500.00000, '2020-05-08 00:00:00', '', '1258408003595464706');
INSERT INTO `ces_shop_goods` VALUES ('1285114089585082370', 'admin', '2020-07-20 15:27:29', NULL, NULL, 'A01', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for ces_shop_type
-- ----------------------------
DROP TABLE IF EXISTS `ces_shop_type`;
CREATE TABLE `ces_shop_type`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类名字',
  `content` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '描述',
  `pics` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片',
  `pid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父级节点',
  `has_child` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否有子节点',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ces_shop_type
-- ----------------------------
INSERT INTO `ces_shop_type` VALUES ('1258408003595464706', 'admin', '2020-05-07 22:47:02', NULL, NULL, 'A01', '衣服', NULL, 'e1fe9925bc315c60addea1b98eb1cb1349547719_1588862821565.jpg', '0', '1');
INSERT INTO `ces_shop_type` VALUES ('1258408044439597058', 'admin', '2020-05-07 22:47:12', NULL, NULL, 'A01', '鞋子', NULL, 'jeewxshop测试号_1588862831749.jpg', '0', '1');
INSERT INTO `ces_shop_type` VALUES ('1258408076693794818', 'admin', '2020-05-07 22:47:20', 'admin', '2020-07-10 16:51:10', 'A01', '耐克', NULL, 'd52a2834349b033b6d20d5cc16ce36d3d539bd7f_1594371069797.jpg', '1258408044439597058', '0');
INSERT INTO `ces_shop_type` VALUES ('1258408105487691777', 'admin', '2020-05-07 22:47:27', 'admin', '2022-05-07 18:15:46', 'A01', '阿迪', '', 'temp/20180607175028Fn1Lq7zw_1589293474710.png', '1258408044439597058', '0');
INSERT INTO `ces_shop_type` VALUES ('1522882875102998529', 'admin', '2022-05-07 18:15:46', 'admin', '2022-05-09 22:50:12', 'A01', '夏桂英', '111', 'temp/5_1651918545051.png', '1522923951901822979', '0');
INSERT INTO `ces_shop_type` VALUES ('1522882977309798401', 'admin', '2022-05-07 18:16:10', 'admin', '2022-05-09 22:50:36', 'A01', '许娜', '11', 'temp/11_1651928215765.jpg', '1522923951901822979', '0');
INSERT INTO `ces_shop_type` VALUES ('1522911901133754369', 'admin', '2022-05-07 20:11:06', 'admin', '2022-05-09 22:58:43', 'A01', '90', '6', 'temp/4afbfbedab64034f9015f1bca8c379310b551dab_1651925465436.jpg', '1522923951901822979', '0');
INSERT INTO `ces_shop_type` VALUES ('1522923951901822979', 'admin', '2022-05-07 20:58:59', 'admin', '2022-05-09 22:58:36', 'A01', '鞋子', NULL, 'temp/20180607175028Fn1Lq7zw_1652108315203.png', '0', '1');
INSERT INTO `ces_shop_type` VALUES ('1524304566551183361', 'admin', '2022-05-11 16:25:04', 'admin', '2022-05-11 16:25:11', 'A01', '5676', '5676', NULL, '1258408003595464706', '0');

-- ----------------------------
-- Table structure for demo
-- ----------------------------
DROP TABLE IF EXISTS `demo`;
CREATE TABLE `demo`  (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `key_word` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关键词',
  `punch_time` datetime NULL DEFAULT NULL COMMENT '打卡时间',
  `salary_money` decimal(10, 3) NULL DEFAULT NULL COMMENT '工资',
  `bonus_money` double(10, 2) NULL DEFAULT NULL COMMENT '奖金',
  `sex` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别 {男:1,女:2}',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '个人简介',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `sys_org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门编码',
  `tenant_id` int(10) NULL DEFAULT 0,
  `update_count` int(11) NULL DEFAULT NULL COMMENT '乐观锁测试',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of demo
-- ----------------------------
INSERT INTO `demo` VALUES ('1353563050407936002', '小红帽4', '44', '2021-01-26 12:39:04', NULL, NULL, '1', 22, '2021-01-25', NULL, NULL, 'admin', '2021-01-25 12:39:14', 'admin', '2022-11-09 11:20:46', 'A01', 0, NULL);
INSERT INTO `demo` VALUES ('1400734875399024641', '名字', NULL, '2022-09-08 10:56:30', 33.000, NULL, '2', 23, '2022-09-30', '111@333.com', '333', 'admin', '2021-06-04 16:43:13', 'admin', '2022-11-09 11:20:43', 'A01', 0, NULL);
INSERT INTO `demo` VALUES ('1586651771328786433', '孙亦菲', '222', NULL, 6000.000, NULL, '1', 1, '2022-10-30', NULL, NULL, 'admin', '2022-10-30 17:30:36', NULL, NULL, 'A01', 1, NULL);
INSERT INTO `demo` VALUES ('1586651850919899137', '龙佳昊', NULL, '2022-10-08 17:30:46', 5000.000, NULL, '1', 1, '2022-10-30', '111@1.com', NULL, 'admin', '2022-10-30 17:30:54', NULL, NULL, 'A01', 1, NULL);
INSERT INTO `demo` VALUES ('1586651922650886146', '龙建林', NULL, '2022-10-24 17:30:58', 9000111.000, NULL, '1', 1, '2022-10-30', '2@1.com', NULL, 'admin', '2022-10-30 17:31:12', 'admin', '2024-06-20 18:22:30', 'A01', 1, NULL);
INSERT INTO `demo` VALUES ('1589491272526827521', '单表示例', NULL, NULL, NULL, NULL, '1', 1, NULL, NULL, NULL, 'admin', '2022-11-07 13:33:45', NULL, NULL, 'A01', 0, NULL);
INSERT INTO `demo` VALUES ('1590178491193339906', '2323', NULL, '2022-11-04 11:04:38', NULL, NULL, '1', 1, '2022-11-24', NULL, NULL, 'admin', '2022-11-09 11:04:31', 'admin', '2023-03-04 22:38:55', 'A01', 0, NULL);

-- ----------------------------
-- Table structure for demo_field_def_val_main
-- ----------------------------
DROP TABLE IF EXISTS `demo_field_def_val_main`;
CREATE TABLE `demo_field_def_val_main`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码',
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `sex` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `address` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `address_param` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址（传参）',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of demo_field_def_val_main
-- ----------------------------
INSERT INTO `demo_field_def_val_main` VALUES ('1256548579457114114', 'q', 'q', '1', 'q', 'q', 'admin', '2020-05-02 19:38:21', 'admin', '2020-05-03 01:02:51', 'A01');
INSERT INTO `demo_field_def_val_main` VALUES ('1580543461659652098', '${order_num_rule_param}', 'admin', '2', '北京市 朝阳区', '北京市 昌平区', 'admin', '2022-10-13 20:58:21', 'admin', '2023-07-23 19:20:03', 'A01');

-- ----------------------------
-- Table structure for demo_field_def_val_sub
-- ----------------------------
DROP TABLE IF EXISTS `demo_field_def_val_sub`;
CREATE TABLE `demo_field_def_val_sub`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `code` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码',
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `date` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日期',
  `main_id` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '主表ID',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of demo_field_def_val_sub
-- ----------------------------
INSERT INTO `demo_field_def_val_sub` VALUES ('1580543461798064129', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', '2023-07-23 19:20:03', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('1580543461810647042', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', '2022-10-13 20:58:21', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('1580543527443116034', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', '2022-10-13 20:58:36', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('1580543527451504642', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', '2022-10-13 20:58:36', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('15884194974080425602', '133', '管理员', '2020-05-02', '1256548579457114114', 'admin', '2020-05-03 01:02:51', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('15884194979201535108', '1144', '管理员', '2020-05-02', '1256548579457114114', 'admin', '2020-05-03 01:02:51', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('1597149069167026177', '${order_num_rule_param}', '管理员', '2022-11-28', '1580543461659652098', 'admin', '2022-11-28 16:43:06', NULL, NULL, 'A01');
INSERT INTO `demo_field_def_val_sub` VALUES ('1683074492983365633', '${order_num_rule_param}', '管理员', '2023-07-23', '1580543461659652098', 'admin', '2023-07-23 19:20:03', NULL, NULL, 'A01');

-- ----------------------------
-- Table structure for flyway_schema_history
-- ----------------------------
DROP TABLE IF EXISTS `flyway_schema_history`;
CREATE TABLE `flyway_schema_history`  (
  `installed_rank` int(11) NOT NULL,
  `version` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `description` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `script` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `checksum` int(11) NULL DEFAULT NULL,
  `installed_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `installed_on` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `execution_time` int(11) NOT NULL,
  `success` tinyint(1) NOT NULL,
  PRIMARY KEY (`installed_rank`) USING BTREE,
  INDEX `flyway_schema_history_s_idx`(`success`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of flyway_schema_history
-- ----------------------------
INSERT INTO `flyway_schema_history` VALUES (1, '1', '<< Flyway Baseline >>', 'BASELINE', '<< Flyway Baseline >>', NULL, 'root', '2024-01-03 21:58:35', 0, 1);
INSERT INTO `flyway_schema_history` VALUES (2, '3.6.2', 'all upgrade', 'SQL', 'V3.6.2__all_upgrade.sql', 146217576, 'root', '2024-01-03 21:58:35', 168, 1);
INSERT INTO `flyway_schema_history` VALUES (3, '3.6.3', 'all upgrade', 'SQL', 'V3.6.3__all_upgrade.sql', -98134889, 'root', '2024-03-07 11:28:10', 101, 1);
INSERT INTO `flyway_schema_history` VALUES (4, '3.7.0', 'all upgrade', 'SQL', 'V3.7.0__all_upgrade.sql', -762627866, 'root', '2024-06-18 11:59:34', 73, 1);
INSERT INTO `flyway_schema_history` VALUES (5, NULL, '370 missingPermission', 'SQL', 'R__370_missingPermission.sql', 933645342, 'root', '2024-06-18 12:00:16', 56, 1);
INSERT INTO `flyway_schema_history` VALUES (6, NULL, '370 missingPermission', 'SQL', 'R__370_missingPermission.sql', 464329002, 'root', '2024-06-18 22:53:52', 37, 1);
INSERT INTO `flyway_schema_history` VALUES (7, '3.7.1', 'all upgrade', 'SQL', 'V3.7.1__all_upgrade.sql', 857900043, 'root', '2024-09-11 17:33:35', 140, 1);
INSERT INTO `flyway_schema_history` VALUES (8, '3.7.12', 'jimu dashboard upgrade', 'SQL', 'V3.7.12__jimu_dashboard_upgrade.sql', -2138429079, 'root', '2024-09-11 22:17:09', 97, 1);
INSERT INTO `flyway_schema_history` VALUES (9, '3.7.20', 'system upgrade', 'SQL', 'V3.7.20__system_upgrade.sql', 1274676135, 'root', '2024-12-09 14:09:48', 29, 1);
INSERT INTO `flyway_schema_history` VALUES (10, '3.7.21', 'jimureport upgrade', 'SQL', 'V3.7.21__jimureport_upgrade.sql', 254003703, 'root', '2024-12-11 16:16:31', 48, 1);
INSERT INTO `flyway_schema_history` VALUES (11, '3.7.22', 'jimureport upgrade1.9.3', 'SQL', 'V3.7.22__jimureport_upgrade1.9.3.sql', -648465868, 'root', '2025-01-12 17:20:39', 24, 1);
INSERT INTO `flyway_schema_history` VALUES (12, '3.7.30', 'all upgrade', 'SQL', 'V3.7.30__all_upgrade.sql', -206956661, 'root', '2025-02-07 16:20:17', 25, 1);
INSERT INTO `flyway_schema_history` VALUES (13, '3.7.31', 'jimureport upgrade', 'SQL', 'V3.7.31__jimureport_upgrade.sql', -1745830540, 'root', '2025-02-19 18:43:36', 37, 1);
INSERT INTO `flyway_schema_history` VALUES (14, '3.7.32', 'jimureport upgrade', 'SQL', 'V3.7.32__jimureport_upgrade.sql', 893796731, 'root', '2025-02-19 18:44:05', 28, 1);

-- ----------------------------
-- Table structure for jeecg_monthly_growth_analysis
-- ----------------------------
DROP TABLE IF EXISTS `jeecg_monthly_growth_analysis`;
CREATE TABLE `jeecg_monthly_growth_analysis`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `year` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `month` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '月份',
  `main_income` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '佣金/主营收入',
  `other_income` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '其他收入',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 25 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jeecg_monthly_growth_analysis
-- ----------------------------
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (1, '2018', '1月', 114758.90, 4426054.19);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (2, '2018', '2月', 8970734.12, 1230188.67);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (3, '2018', '3月', 26755421.23, 2048836.84);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (4, '2018', '4月', 2404990.63, 374171.44);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (5, '2018', '5月', 5450793.02, 502306.10);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (6, '2018', '6月', 17186212.11, 1375154.97);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (7, '2018', '7月', 579975.67, 461483.99);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (8, '2018', '8月', 1393590.06, 330403.76);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (9, '2018', '9月', 735761.21, 1647474.92);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (10, '2018', '10月', 1670442.44, 3423368.33);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (11, '2018', '11月', 2993130.34, 3552024.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (12, '2018', '12月', 4206227.26, 3645614.92);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (13, '2019', '1月', 483834.66, 418046.77);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (14, '2019', '2月', 11666578.65, 731352.20);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (15, '2019', '3月', 27080982.08, 1878538.81);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (16, '2019', '4月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (17, '2019', '5月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (18, '2019', '6月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (19, '2019', '7月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (20, '2019', '8月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (21, '2019', '9月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (22, '2019', '10月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (23, '2019', '11月', 0.00, 0.00);
INSERT INTO `jeecg_monthly_growth_analysis` VALUES (24, '2019', '12月', 0.00, 0.00);

-- ----------------------------
-- Table structure for jeecg_order_customer
-- ----------------------------
DROP TABLE IF EXISTS `jeecg_order_customer`;
CREATE TABLE `jeecg_order_customer`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '客户名',
  `sex` varchar(4) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别',
  `idcard` varchar(18) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份证号码',
  `idcard_pic` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份证扫描件',
  `telphone` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话1',
  `order_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '外键',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jeecg_order_customer
-- ----------------------------
INSERT INTO `jeecg_order_customer` VALUES ('1256527640480821249', 'scott', '2', NULL, NULL, NULL, 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', '2020-05-02 18:15:09', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('1256527640531152898', 'x秦风', '1', NULL, NULL, NULL, 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', '2020-05-02 18:15:09', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('1256527874216800257', '小王1', '1', '', NULL, '', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2020-05-02 18:17:37', 'admin', '2022-09-22 10:56:25');
INSERT INTO `jeecg_order_customer` VALUES ('15538561502720', '3333', '1', '', NULL, '', '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', '2019-03-29 18:42:55', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('15538561512681', '3332333', '2', '', NULL, '', '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', '2019-03-29 18:42:55', 'admin', '2019-03-29 18:43:12');
INSERT INTO `jeecg_order_customer` VALUES ('15538561550142', '4442', '2', '', NULL, '', '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', '2019-03-29 18:42:55', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('15541168497342', '444', '', '', '', '', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('15541168499553', '5555', '', '', '', '', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('1572781641947635713', '1212', '1', '1212', NULL, '12', '4cba137333127e8e31df7ad168cc3732', 'admin', '2022-09-22 10:55:39', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('1572781834508132354', '22', '2', '', NULL, '', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2022-09-22 10:56:25', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('18dc5eb1068ccdfe90e358951ca1a3d6', 'dr2', '', '', '', '', '8ab1186410a65118c4d746eb085d3bed', 'admin', '2019-04-04 17:25:33', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('195d280490fe88ca1475512ddcaf2af9', '12', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('217a2bf83709775d2cd85bf598392327', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('22bc052ae53ed09913b946abba93fa89', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('23bafeae88126c3bf3322a29a04f0d5e', 'x秦风', NULL, NULL, NULL, NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('25c4a552c6843f36fad6303bfa99a382', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('2d32144e2bee63264f3f16215c258381', '33333', '2', NULL, NULL, NULL, 'd908bfee3377e946e59220c4a4eb414a', 'admin', '2019-04-01 16:27:03', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('2d43170d6327f941bd1a017999495e25', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('2e5f62a8b6e0a0ce19b52a6feae23d48', '3', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('34a1c5cf6cee360ed610ed0bed70e0f9', '导入秦风', NULL, NULL, NULL, NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('3c87400f8109b4cf43c5598f0d40e34d', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('40964bcbbecb38e5ac15e6d08cf3cd43', '233', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('41e3dee0b0b6e6530eccb7fbb22fd7a3', '4555', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('4808ae8344c7679a4a2f461db5dc3a70', '44', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('4b6cef12f195fad94d57279b2241770d', 'dr12', '', '', '', '', '8ab1186410a65118c4d746eb085d3bed', 'admin', '2019-04-04 17:25:33', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('524e695283f8e8c256cc24f39d6d8542', '小王', '2', '370285198604033222', NULL, '18611788674', 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', '2019-02-25 16:29:41', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('57c2a8367db34016114cbc9fa368dba0', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('5df36a1608b8c7ac99ad9bc408fe54bf', '4', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('6c6fd2716c2dcd044ed03c2c95d261f8', '李四', '2', '370285198602058833', '', '18611788676', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('742d008214dee0afff2145555692973e', '秦风', '1', '370285198602058822', NULL, '18611788676', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('7469c3e5d371767ff90a739d297689b5', '导入秦风', '2', NULL, NULL, NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', '2019-03-29 18:43:59', 'admin', '2019-04-08 17:35:02');
INSERT INTO `jeecg_order_customer` VALUES ('7a96e2c7b24847d4a29940dbc0eda6e5', 'drscott', NULL, NULL, NULL, NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('7f5a40818e225ee18bda6da7932ac5f9', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('8011575abfd7c8085e71ff66df1124b9', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('8404f31d7196221a573c9bd6c8f15003', '小张', '1', '370285198602058211', NULL, '18611788676', 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', '2019-02-25 16:29:41', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('859020e10a2f721f201cdbff78cf7b9f', 'scott', NULL, NULL, NULL, NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('8cc3c4d26e3060975df3a2adb781eeb4', 'dr33', NULL, NULL, NULL, NULL, 'b2feb454e43c46b2038768899061e464', 'jeecg-boot', '2019-04-04 17:23:09', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('8d1725c23a6a50685ff0dedfd437030d', '4', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('933cae3a79f60a93922d59aace5346ce', '小王', NULL, '370285198604033222', NULL, '18611788674', '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('9bdb5400b709ba4eaf3444de475880d7', 'dr22', NULL, NULL, NULL, NULL, '22c17790dcd04b296c4a2a089f71895f', 'jeecg-boot', '2019-04-04 17:23:09', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('9f87677f70e5f864679314389443a3eb', '33', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('a2c2b7101f75c02deb328ba777137897', '44', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('ab4d002dc552c326147e318c87d3bed4', '小红1', '1', '370285198604033222', NULL, '18611755848', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2020-05-02 18:17:37', 'admin', '2022-09-22 10:56:25');
INSERT INTO `jeecg_order_customer` VALUES ('ad116f722a438e5f23095a0b5fcc8e89', 'dr秦风', NULL, NULL, NULL, NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('b1ba147b75f5eaa48212586097fc3fd1', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('b43bf432c251f0e6b206e403b8ec29bc', 'lisi', NULL, NULL, NULL, NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('bcdd300a7d44c45a66bdaac14903c801', '33', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('beb983293e47e2dc1a9b3d649aa3eb34', 'ddd3', NULL, NULL, NULL, NULL, 'd908bfee3377e946e59220c4a4eb414a', 'admin', '2019-04-01 16:27:03', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('c219808196406f1b8c7f1062589de4b5', '44', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('c8ed061d4b27c0c7a64e100f2b1c8ab5', '张经理', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('cc5de4af7f06cd6d250965ebe92a0395', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('cf8817bd703bf7c7c77a2118edc26cc7', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('d72b26fae42e71270fce2097a88da58a', '导入scott', NULL, 'www', NULL, NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', '2019-03-29 18:43:59', 'admin', '2019-04-08 17:35:05');
INSERT INTO `jeecg_order_customer` VALUES ('dbdc60a6ac1a8c43f24afee384039b68', 'xiaowang', NULL, NULL, NULL, NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('dc5883b50466de94d900919ed96d97af', '33', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('deeb73e553ad8dc0a0b3cfd5a338de8e', '3333', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('e2570278bf189ac05df3673231326f47', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('e39cb23bb950b2bdedfc284686c6128a', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('e46fe9111a9100844af582a18a2aa402', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('ee7af0acb9beb9bf8d8b3819a8a7fdc3', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('f5d2605e844192d9e548f9bd240ac908', '小张', NULL, '370285198602058211', NULL, '18611788676', '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_customer` VALUES ('f6db6547382126613a3e46e7cd58a5f2', '导入scott', NULL, NULL, NULL, NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);

-- ----------------------------
-- Table structure for jeecg_order_main
-- ----------------------------
DROP TABLE IF EXISTS `jeecg_order_main`;
CREATE TABLE `jeecg_order_main`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `order_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单号',
  `ctype` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单类型',
  `order_date` datetime NULL DEFAULT NULL COMMENT '订单日期',
  `order_money` double(10, 3) NULL DEFAULT NULL COMMENT '订单金额',
  `content` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单备注',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `bpm_status` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '流程状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jeecg_order_main
-- ----------------------------
INSERT INTO `jeecg_order_main` VALUES ('163e2efcbc6d7d54eb3f8a137da8a75a', 'B100', NULL, NULL, 3000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL, NULL);
INSERT INTO `jeecg_order_main` VALUES ('3a867ebf2cebce9bae3f79676d8d86f3', '导入B100', '2222', NULL, 3000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', 'admin', '2019-04-08 17:35:13', NULL);
INSERT INTO `jeecg_order_main` VALUES ('4cba137333127e8e31df7ad168cc3732', '青岛订单A0001', '2', '2019-04-03 10:56:07', NULL, NULL, 'admin', '2019-04-03 10:56:11', 'admin', '2022-09-22 10:55:39', NULL);
INSERT INTO `jeecg_order_main` VALUES ('54e739bef5b67569c963c38da52581ec', 'NC911', '1', '2019-02-18 09:58:51', 40.000, NULL, 'admin', '2019-02-18 09:58:47', 'admin', '2019-02-18 09:58:59', NULL);
INSERT INTO `jeecg_order_main` VALUES ('6a719071a29927a14f19482f8693d69a', 'c100', NULL, NULL, 5000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL, NULL);
INSERT INTO `jeecg_order_main` VALUES ('8ab1186410a65118c4d746eb085d3bed', '导入400', '1', '2019-02-18 09:58:51', 40.000, NULL, 'admin', '2019-02-18 09:58:47', 'admin', '2019-02-18 09:58:59', NULL);
INSERT INTO `jeecg_order_main` VALUES ('9a57c850e4f68cf94ef7d8585dbaf7e6', 'halou001', '1', '2019-04-04 17:30:32', 500.000, NULL, 'admin', '2019-04-04 17:30:41', 'admin', '2022-09-22 10:56:25', NULL);
INSERT INTO `jeecg_order_main` VALUES ('a2cce75872cc8fcc47f78de9ffd378c2', '导入B100', NULL, NULL, 3000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL, NULL);
INSERT INTO `jeecg_order_main` VALUES ('b190737bd04cca8360e6f87c9ef9ec4e', 'B0018888', '1', NULL, NULL, NULL, 'admin', '2019-02-15 18:39:29', 'admin', '2020-05-02 18:15:09', NULL);
INSERT INTO `jeecg_order_main` VALUES ('d908bfee3377e946e59220c4a4eb414a', 'SSSS001', NULL, NULL, 599.000, NULL, 'admin', '2019-04-01 15:43:03', 'admin', '2019-04-01 16:26:52', NULL);
INSERT INTO `jeecg_order_main` VALUES ('e73434dad84ebdce2d4e0c2a2f06d8ea', '导入200', NULL, NULL, 3000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL, NULL);
INSERT INTO `jeecg_order_main` VALUES ('eb13ab35d2946a2b0cfe3452bca1e73f', 'BJ9980', '1', NULL, 90.000, NULL, 'admin', '2019-02-16 17:36:42', 'admin', '2019-02-16 17:46:16', NULL);
INSERT INTO `jeecg_order_main` VALUES ('f71f7f8930b5b6b1703d9948d189982b', 'BY911', NULL, '2019-04-06 19:08:39', NULL, NULL, 'admin', '2019-04-01 16:36:02', 'admin', '2019-04-01 16:36:08', NULL);
INSERT INTO `jeecg_order_main` VALUES ('f8889aaef6d1bccffd98d2889c0aafb5', 'A100', NULL, '2018-10-10 00:00:00', 6000.000, NULL, 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for jeecg_order_ticket
-- ----------------------------
DROP TABLE IF EXISTS `jeecg_order_ticket`;
CREATE TABLE `jeecg_order_ticket`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `ticket_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '航班号',
  `tickect_date` datetime NULL DEFAULT NULL COMMENT '航班时间',
  `order_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '外键',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jeecg_order_ticket
-- ----------------------------
INSERT INTO `jeecg_order_ticket` VALUES ('0f0e3a40a215958f807eea08a6e1ac0a', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('0fa3bd0bbcf53650c0bb3c0cac6d8cb7', 'ffff', '2019-02-21 00:00:00', 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', '2019-02-25 16:29:41', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('1256527640543735810', '222', '2019-02-23 00:00:00', 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', '2020-05-02 18:15:09', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('1256527640560513025', '111', '2019-02-01 00:00:00', 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', '2020-05-02 18:15:09', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('14221afb4f5f749c1deef26ac56fdac3', '33', '2019-03-09 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('15538561502730', '222', NULL, '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', '2019-03-29 18:42:55', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('15538561526461', '2244', '2019-03-29 00:00:00', '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', '2019-03-29 18:42:55', 'admin', '2019-03-29 18:43:26');
INSERT INTO `jeecg_order_ticket` VALUES ('15541168478913', 'hhhhh', NULL, 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('1572781834508132353', '232', '2022-10-01 00:00:00', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2022-09-22 10:56:25', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('18905bc89ee3851805aab38ed3b505ec', '44', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('1f809cbd26f4e574697e1c10de575d72', 'A100', NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('21051adb51529bdaa8798b5a3dd7f7f7', 'C10029', '2019-02-20 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('269576e766b917f8b6509a2bb0c4d4bd', 'A100', NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('2d473ffc79e5b38a17919e15f8b7078e', '66', '2019-03-29 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('3655b66fca5fef9c6aac6d70182ffda2', 'AA123', '2019-04-01 00:00:00', 'd908bfee3377e946e59220c4a4eb414a', 'admin', '2019-04-01 16:27:03', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('365d5919155473ade45840fd626c51a9', 'dddd', '2019-04-04 17:25:29', '8ab1186410a65118c4d746eb085d3bed', 'admin', '2019-04-04 17:25:33', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('4889a782e78706ab4306a925cfb163a5', 'C34', '2019-04-01 00:00:00', 'd908bfee3377e946e59220c4a4eb414a', 'admin', '2019-04-01 16:35:00', 'admin', '2019-04-01 16:35:07');
INSERT INTO `jeecg_order_ticket` VALUES ('48d385796382cf87fa4bdf13b42d9a28', '导入A100', NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('541faed56efbeb4be9df581bd8264d3a', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('57a27a7dfd6a48e7d981f300c181b355', '6', '2019-03-30 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('5ce4dc439c874266e42e6c0ff8dc8b5c', '导入A100', NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('645a06152998a576c051474157625c41', '88', '2019-04-04 17:25:31', '8ab1186410a65118c4d746eb085d3bed', 'admin', '2019-04-04 17:25:33', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('6e3562f2571ea9e96b2d24497b5f5eec', '55', '2019-03-23 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('8fd2b389151568738b1cc4d8e27a6110', '导入A100', NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('93f1a84053e546f59137432ff5564cac', '55', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('969ddc5d2e198d50903686917f996470', 'A10029', '2019-04-01 00:00:00', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('96e7303a8d22a5c384e08d7bcf7ac2bf', 'A100', NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('9e8a3336f6c63f558f2b68ce2e1e666e', '深圳1001', '2020-05-02 00:00:00', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2020-05-02 18:17:37', 'admin', '2022-09-22 10:56:25');
INSERT INTO `jeecg_order_ticket` VALUES ('a28db02c810c65660015095cb81ed434', 'A100', NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('b217bb0e4ec6a45b6cbf6db880060c0f', 'A100', NULL, '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('ba708df70bb2652ed1051a394cfa0bb3', '333', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('beabbfcb195d39bedeeafe8318794562', 'A1345', '2019-04-01 00:00:00', 'd908bfee3377e946e59220c4a4eb414a', 'admin', '2019-04-01 16:27:04', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('bf450223cb505f89078a311ef7b6ed16', '777', '2019-03-30 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('c06165b6603e3e1335db187b3c841eef', '北京2001', '2020-05-23 00:00:00', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', '2020-05-02 18:17:37', 'admin', '2022-09-22 10:56:25');
INSERT INTO `jeecg_order_ticket` VALUES ('c113136abc26ace3a6da4e41d7dc1c7e', '44', '2019-03-15 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('c1abdc2e30aeb25de13ad6ee3488ac24', '77', '2019-03-22 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('c23751a7deb44f553ce50a94948c042a', '33', '2019-03-09 00:00:00', '8ab1186410a65118c4d746eb085d3bed', 'admin', '2019-04-04 17:25:33', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('c64547666b634b3d6a0feedcf05f25ce', 'C10019', '2019-04-01 00:00:00', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', '2019-04-01 19:08:45', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('c8b8d3217f37da78dddf711a1f7da485', 'A100', NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('cab691c1c1ff7a6dfd7248421917fd3c', 'A100', NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('cca10a9a850b456d9b72be87da7b0883', '77', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('d2fbba11f4814d9b1d3cb1a3f342234a', 'C10019', '2019-02-18 00:00:00', '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('dbdb07a16826808e4276e84b2aa4731a', '导入A100', NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', '2019-03-29 18:43:59', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('e7075639c37513afc0bbc4bf7b5d98b9', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('fa759dc104d0371f8aa28665b323dab6', '888', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);
INSERT INTO `jeecg_order_ticket` VALUES ('ff197da84a9a3af53878eddc91afbb2e', '33', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', '2019-03-15 16:50:15', NULL, NULL);

-- ----------------------------
-- Table structure for jeecg_project_nature_income
-- ----------------------------
DROP TABLE IF EXISTS `jeecg_project_nature_income`;
CREATE TABLE `jeecg_project_nature_income`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nature` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '项目性质',
  `insurance_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '保险经纪佣金费',
  `risk_consulting_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '风险咨询费',
  `evaluation_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '承保公估评估费',
  `insurance_evaluation_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '保险公估费',
  `bidding_consulting_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '投标咨询费',
  `interol_consulting_fee` decimal(18, 2) NULL DEFAULT 0.00 COMMENT '内控咨询费',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jeecg_project_nature_income
-- ----------------------------
INSERT INTO `jeecg_project_nature_income` VALUES (1, '市场化-电商业务', 4865.41, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (2, '统筹型', 35767081.88, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (3, '市场化-非股东', 1487045.35, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (4, '市场化-参控股', 382690.56, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (5, '市场化-员工福利', 256684.91, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (6, '市场化-再保险', 563451.03, 0.00, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (7, '市场化-海外业务', 760576.25, 770458.75, 0.00, 0.00, 0.00, 0.00);
INSERT INTO `jeecg_project_nature_income` VALUES (8, '市场化-风险咨询', 910183.93, 0.00, 0.00, 0.00, 0.00, 226415.09);

-- ----------------------------
-- Table structure for jimu_dict
-- ----------------------------
DROP TABLE IF EXISTS `jimu_dict`;
CREATE TABLE `jimu_dict`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典名称',
  `dict_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典编码',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `del_flag` int(1) NULL DEFAULT NULL COMMENT '删除状态',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `type` int(1) UNSIGNED ZEROFILL NULL DEFAULT 0 COMMENT '字典类型0为string,1为number',
  `tenant_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '多租户标识',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sd_dict_code`(`dict_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_dict
-- ----------------------------
INSERT INTO `jimu_dict` VALUES ('0b5d19e1fce4b2e6647e6b4a17760c14', '通告类型', 'msg_category', '消息类型1:通知公告2:系统消息', 0, 'admin', '2019-04-22 18:01:35', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1047797573274468352', '系统图库', 'gallery', '', 0, 'admin', '2025-02-07 19:00:19', NULL, NULL, 0, '1');
INSERT INTO `jimu_dict` VALUES ('1174509082208395266', '职务职级', 'position_rank', '职务表职级字典', 0, 'admin', '2019-09-19 10:22:41', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1174511106530525185', '机构类型', 'org_category', '机构类型 1公司，2部门 3岗位', 0, 'admin', '2019-09-19 10:30:43', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1178295274528845826', '表单权限策略', 'form_perms_type', '', 0, 'admin', '2019-09-29 21:07:39', 'admin', '2019-09-29 21:08:26', NULL, NULL);
INSERT INTO `jimu_dict` VALUES ('1199517671259906049', '紧急程度', 'urgent_level', '日程计划紧急程度', 0, 'admin', '2019-11-27 10:37:53', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1199518099888414722', '日程计划类型', 'eoa_plan_type', '', 0, 'admin', '2019-11-27 10:39:36', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1199520177767587841', '分类栏目类型', 'eoa_cms_menu_type', '', 0, 'admin', '2019-11-27 10:47:51', 'admin', '2019-11-27 10:49:35', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1199525215290306561', '日程计划状态', 'eoa_plan_status', '', 0, 'admin', '2019-11-27 11:07:52', 'admin', '2019-11-27 11:10:11', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1209733563293962241', '数据库类型', 'database_type', '', 0, 'admin', '2019-12-25 15:12:12', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1232913193820581889', 'Online表单业务分类', 'ol_form_biz_type', '', 0, 'admin', '2020-02-27 14:19:46', 'admin', '2020-02-27 14:20:23', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1250687930947620866', '定时任务状态', 'quartz_status', '', 0, 'admin', '2020-04-16 15:30:14', '', NULL, NULL, NULL);
INSERT INTO `jimu_dict` VALUES ('1280401766745718786', '租户状态', 'tenant_status', '租户状态', 0, 'admin', '2020-07-07 15:22:25', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('1356445645198135298', '开关', 'is_open', '', 0, 'admin', '2021-02-02 11:33:38', 'admin', '2021-02-02 15:28:12', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('236e8a4baff0db8c62c00dd95632834f', '同步工作流引擎', 'activiti_sync', '同步工作流引擎', 0, 'admin', '2019-05-15 15:27:33', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('2e02df51611a4b9632828ab7e5338f00', '权限策略', 'perms_type', '权限策略', 0, 'admin', '2019-04-26 18:26:55', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('2f0320997ade5dd147c90130f7218c3e', '推送类别', 'msg_type', '', 0, 'admin', '2019-03-17 21:21:32', 'admin', '2019-03-26 19:57:45', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('3486f32803bb953e7155dab3513dc68b', '删除状态', 'del_flag', NULL, 0, 'admin', '2019-01-18 21:46:26', 'admin', '2019-03-30 11:17:11', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('3d9a351be3436fbefb1307d4cfb49bf2', '性别', 'sex', NULL, 0, NULL, '2019-01-04 14:56:32', 'admin', '2019-03-30 11:28:27', 1, NULL);
INSERT INTO `jimu_dict` VALUES ('4274efc2292239b6f000b153f50823ff', '全局权限策略', 'global_perms_type', '全局权限策略', 0, 'admin', '2019-05-10 17:54:05', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('4c03fca6bf1f0299c381213961566349', 'Online图表展示模板', 'online_graph_display_template', 'Online图表展示模板', 0, 'admin', '2019-04-12 17:28:50', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('4c753b5293304e7a445fd2741b46529d', '字典状态', 'dict_item_status', NULL, 0, 'admin', '2020-06-18 23:18:42', 'admin', '2019-03-30 19:33:52', 1, NULL);
INSERT INTO `jimu_dict` VALUES ('4d7fec1a7799a436d26d02325eff295e', '优先级', 'priority', '优先级', 0, 'admin', '2019-03-16 17:03:34', 'admin', '2019-04-16 17:39:23', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('4e4602b3e3686f0911384e188dc7efb4', '条件规则', 'rule_conditions', '', 0, 'admin', '2019-04-01 10:15:03', 'admin', '2019-04-01 10:30:47', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('4f69be5f507accea8d5df5f11346181a', '发送消息类型', 'msgType', NULL, 0, 'admin', '2019-04-11 14:27:09', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('68168534ff5065a152bfab275c2136f8', '有效无效状态', 'valid_status', '有效无效状态', 0, 'admin', '2020-09-26 19:21:14', 'admin', '2019-04-26 19:21:23', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('6b78e3f59faec1a4750acff08030a79b', '用户类型', 'user_type', NULL, 0, NULL, '2019-01-04 14:59:01', 'admin', '2019-03-18 23:28:18', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('72cce0989df68887546746d8f09811aa', 'Online表单类型', 'cgform_table_type', '', 0, 'admin', '2019-01-27 10:13:02', 'admin', '2019-03-30 11:37:36', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('78bda155fe380b1b3f175f1e88c284c6', '流程状态', 'bpm_status', '流程状态', 0, 'admin', '2019-05-09 16:31:52', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('83bfb33147013cc81640d5fd9eda030c', '日志类型', 'log_type', NULL, 0, 'admin', '2019-03-18 23:22:19', NULL, NULL, 1, NULL);
INSERT INTO `jimu_dict` VALUES ('845da5006c97754728bf48b6a10f79cc', '状态', 'status', NULL, 0, 'admin', '2019-03-18 21:45:25', 'admin', '2019-03-18 21:58:25', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('880a895c98afeca9d9ac39f29e67c13e', '操作类型', 'operate_type', '操作类型', 0, 'admin', '2019-07-22 10:54:29', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('8dfe32e2d29ea9430a988b3b558bf233', '发布状态', 'send_status', '发布状态', 0, 'admin', '2019-04-16 17:40:42', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('986779503584169984', '民族', 'minzu', '', 0, 'admin', '2024-08-23 09:56:17', 'admin', '2025-01-09 10:42:06', 0, '1001');
INSERT INTO `jimu_dict` VALUES ('986783181955223552', '学历', 'xueli_sf', '', 0, 'admin', '2024-08-23 10:10:54', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_dict` VALUES ('986784113082322944', '爱好', 'aihao', '', 0, 'admin', '2024-08-23 10:14:36', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_dict` VALUES ('a7adbcd86c37f7dbc9b66945c82ef9e6', '1是0否', 'yn', '', 0, 'admin', '2019-05-22 19:29:29', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('a9d9942bd0eccb6e89de92d130ec4c4a', '消息发送状态', 'msgSendStatus', NULL, 0, 'admin', '2019-04-12 18:18:17', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('ac2f7c0c5c5775fcea7e2387bcb22f01', '菜单类型', 'menu_type', NULL, 0, 'admin', '2020-12-18 23:24:32', 'admin', '2019-04-01 15:27:06', 1, NULL);
INSERT INTO `jimu_dict` VALUES ('ad7c65ba97c20a6805d5dcdf13cdaf36', 'onlineT类型', 'ceshi_online', NULL, 0, 'admin', '2019-03-22 16:31:49', 'admin', '2019-03-22 16:34:16', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('bd1b8bc28e65d6feefefb6f3c79f42fd', 'Online图表数据类型', 'online_graph_data_type', 'Online图表数据类型', 0, 'admin', '2019-04-12 17:24:24', 'admin', '2019-04-12 17:24:57', 0, NULL);
INSERT INTO `jimu_dict` VALUES ('c36169beb12de8a71c8683ee7c28a503', '部门状态', 'depart_status', NULL, 0, 'admin', '2019-03-18 21:59:51', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('c5a14c75172783d72cbee6ee7f5df5d1', 'Online图表类型', 'online_graph_type', 'Online图表类型', 0, 'admin', '2019-04-12 17:04:06', NULL, NULL, 0, NULL);
INSERT INTO `jimu_dict` VALUES ('d6e1152968b02d69ff358c75b48a6ee1', '流程类型', 'bpm_process_type', NULL, 0, 'admin', '2021-02-22 19:26:54', 'admin', '2025-01-09 10:35:04', 0, '1001');
INSERT INTO `jimu_dict` VALUES ('fc6cd58fde2e8481db10d3a1e68ce70c', '用户状态', 'user_status', NULL, 0, 'admin', '2019-03-18 21:57:25', 'admin', '2019-03-18 23:11:58', 1, NULL);

-- ----------------------------
-- Table structure for jimu_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `jimu_dict_item`;
CREATE TABLE `jimu_dict_item`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dict_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典id',
  `item_text` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项文本',
  `item_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项值',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `sort_order` int(10) NULL DEFAULT NULL COMMENT '排序',
  `status` int(11) NULL DEFAULT NULL COMMENT '状态（1启用 0不启用）',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sdi_role_dict_id`(`dict_id`) USING BTREE,
  INDEX `idx_sdi_role_sort_order`(`sort_order`) USING BTREE,
  INDEX `idx_sdi_status`(`status`) USING BTREE,
  INDEX `idx_sdi_dict_val`(`dict_id`, `item_value`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_dict_item
-- ----------------------------
INSERT INTO `jimu_dict_item` VALUES ('0072d115e07c875d76c9b022e2179128', '4d7fec1a7799a436d26d02325eff295e', '低', 'L', '低', 3, 1, 'admin', '2019-04-16 17:04:59', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('05a2e732ce7b00aa52141ecc3e330b4e', '3486f32803bb953e7155dab3513dc68b', '已删除', '1', NULL, NULL, 1, 'admin', '2025-10-18 21:46:56', 'admin', '2019-03-28 22:23:20');
INSERT INTO `jimu_dict_item` VALUES ('096c2e758d823def3855f6376bc736fb', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'SQL', 'sql', NULL, 1, 1, 'admin', '2019-04-12 17:26:26', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('0c9532916f5cd722017b46bc4d953e41', '2f0320997ade5dd147c90130f7218c3e', '指定用户', 'USER', NULL, NULL, 1, 'admin', '2019-03-17 21:22:19', 'admin', '2019-03-17 21:22:28');
INSERT INTO `jimu_dict_item` VALUES ('0ca4beba9efc4f9dd54af0911a946d5c', '72cce0989df68887546746d8f09811aa', '附表', '3', NULL, 3, 1, 'admin', '2019-03-27 10:13:43', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1030a2652608f5eac3b49d70458b8532', '2e02df51611a4b9632828ab7e5338f00', '禁用', '2', '禁用', 2, 1, 'admin', '2021-03-26 18:27:28', 'admin', '2019-04-26 18:39:11');
INSERT INTO `jimu_dict_item` VALUES ('1047797624512086016', '1047797573274468352', '常规', 'common', NULL, 1, 1, 'admin', '2025-02-07 19:00:31', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1047797669877678080', '1047797573274468352', '指向', 'point', NULL, 1, 1, 'admin', '2025-02-07 19:00:42', '15931993294', '2025-02-07 19:01:11');
INSERT INTO `jimu_dict_item` VALUES ('1047797751893098496', '1047797573274468352', '专业', 'major', NULL, 1, 1, 'admin', '2025-02-07 19:01:01', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1174509082208395266', '1174511106530525185', '岗位', '3', '岗位', 1, 1, 'admin', '2019-09-19 10:31:16', '', NULL);
INSERT INTO `jimu_dict_item` VALUES ('1174509601047994369', '1174509082208395266', '员级', '1', '', 1, 1, 'admin', '2019-09-19 10:24:45', 'admin', '2019-09-23 11:46:39');
INSERT INTO `jimu_dict_item` VALUES ('1174509667297026049', '1174509082208395266', '助级', '2', '', 2, 1, 'admin', '2019-09-19 10:25:01', 'admin', '2019-09-23 11:46:47');
INSERT INTO `jimu_dict_item` VALUES ('1174509713568587777', '1174509082208395266', '中级', '3', '', 3, 1, 'admin', '2019-09-19 10:25:12', 'admin', '2019-09-23 11:46:56');
INSERT INTO `jimu_dict_item` VALUES ('1174509788361416705', '1174509082208395266', '副高级', '4', '', 4, 1, 'admin', '2019-09-19 10:25:30', 'admin', '2019-09-23 11:47:06');
INSERT INTO `jimu_dict_item` VALUES ('1174509835803189250', '1174509082208395266', '正高级', '5', '', 5, 1, 'admin', '2019-09-19 10:25:41', 'admin', '2019-09-23 11:47:12');
INSERT INTO `jimu_dict_item` VALUES ('1174511197735665665', '1174511106530525185', '公司', '1', '公司', 1, 1, 'admin', '2019-09-19 10:31:05', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1174511244036587521', '1174511106530525185', '部门', '2', '部门', 1, 1, 'admin', '2019-09-19 10:31:16', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1178295553450061826', '1178295274528845826', '可编辑(未授权禁用)', '2', '', 2, 1, 'admin', '2019-09-29 21:08:46', 'admin', '2019-09-29 21:09:18');
INSERT INTO `jimu_dict_item` VALUES ('1178295639554928641', '1178295274528845826', '可见(未授权不可见)', '1', '', 1, 1, 'admin', '2019-09-29 21:09:06', 'admin', '2019-09-29 21:09:24');
INSERT INTO `jimu_dict_item` VALUES ('1199517884758368257', '1199517671259906049', '一般', '1', '', 1, 1, 'admin', '2019-11-27 10:38:44', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199517914017832962', '1199517671259906049', '重要', '2', '', 1, 1, 'admin', '2019-11-27 10:38:51', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199517941339529217', '1199517671259906049', '紧急', '3', '', 1, 1, 'admin', '2019-11-27 10:38:58', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199518186144276482', '1199518099888414722', '日常记录', '1', '', 1, 1, 'admin', '2019-11-27 10:39:56', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199518214858481666', '1199518099888414722', '本周工作', '2', '', 1, 1, 'admin', '2019-11-27 10:40:03', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199518235943247874', '1199518099888414722', '下周计划', '3', '', 1, 1, 'admin', '2019-11-27 10:40:08', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199520817285701634', '1199520177767587841', '列表', '1', '', 1, 1, 'admin', '2019-11-27 10:50:24', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199520835035996161', '1199520177767587841', '链接', '2', '', 1, 1, 'admin', '2019-11-27 10:50:28', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199525468672405505', '1199525215290306561', '未开始', '0', '', 1, 1, 'admin', '2019-11-27 11:08:52', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199525490575060993', '1199525215290306561', '进行中', '1', '', 1, 1, 'admin', '2019-11-27 11:08:58', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1199525506429530114', '1199525215290306561', '已完成', '2', '', 1, 1, 'admin', '2019-11-27 11:09:02', 'admin', '2019-11-27 11:10:02');
INSERT INTO `jimu_dict_item` VALUES ('1199607547704647681', '4f69be5f507accea8d5df5f11346181a', '系统', '4', '', 1, 1, 'admin', '2019-11-27 16:35:02', 'admin', '2019-11-27 19:37:46');
INSERT INTO `jimu_dict_item` VALUES ('1209733775114702850', '1209733563293962241', 'MySQL5.5', '1', '', 1, 1, 'admin', '2019-12-25 15:13:02', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1209733839933476865', '1209733563293962241', 'Oracle', '2', '', 3, 1, 'admin', '2019-12-25 15:13:18', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1209733903020003330', '1209733563293962241', 'SQLServer', '3', '', 4, 1, 'admin', '2019-12-25 15:13:33', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1232913424813486081', '1232913193820581889', '官方示例', 'demo', '', 1, 1, 'admin', '2020-02-27 14:20:42', 'admin', '2020-02-27 14:21:37');
INSERT INTO `jimu_dict_item` VALUES ('1232913493717512194', '1232913193820581889', '流程表单', 'bpm', '', 2, 1, 'admin', '2020-02-27 14:20:58', 'admin', '2020-02-27 14:22:20');
INSERT INTO `jimu_dict_item` VALUES ('1232913605382467585', '1232913193820581889', '测试表单', 'temp', '', 4, 1, 'admin', '2020-02-27 14:21:25', 'admin', '2020-02-27 14:22:16');
INSERT INTO `jimu_dict_item` VALUES ('1232914232372195330', '1232913193820581889', '导入表单', 'bdfl_include', '', 5, 1, 'admin', '2020-02-27 14:23:54', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1234371726545010689', '4e4602b3e3686f0911384e188dc7efb4', '左模糊', 'LEFT_LIKE', '左模糊', 7, 1, 'admin', '2020-03-02 14:55:27', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1234371809495760898', '4e4602b3e3686f0911384e188dc7efb4', '右模糊', 'RIGHT_LIKE', '右模糊', 7, 1, 'admin', '2020-03-02 14:55:47', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1250688147579228161', '1250687930947620866', '正常', '0', '', 1, 1, 'admin', '2020-04-16 15:31:05', '', NULL);
INSERT INTO `jimu_dict_item` VALUES ('1250688201064992770', '1250687930947620866', '停止', '-1', '', 1, 1, 'admin', '2020-04-16 15:31:18', '', NULL);
INSERT INTO `jimu_dict_item` VALUES ('1280401815068295170', '1280401766745718786', '正常', '1', '', 1, 1, 'admin', '2020-07-07 15:22:36', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1280401847607705602', '1280401766745718786', '冻结', '0', '', 1, 1, 'admin', '2020-07-07 15:22:44', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1305827309355302914', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'API', 'api', '', 3, 1, 'admin', '2020-09-15 19:14:26', 'admin', '2020-09-15 19:14:41');
INSERT INTO `jimu_dict_item` VALUES ('1334440962954936321', '1209733563293962241', 'MYSQL5.7', '4', NULL, 1, 1, 'admin', '2020-12-03 18:16:02', 'admin', '2020-12-03 18:16:02');
INSERT INTO `jimu_dict_item` VALUES ('1356445705549975553', '1356445645198135298', '是', 'Y', '', 1, 1, 'admin', '2021-02-02 11:33:52', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1356445754212290561', '1356445645198135298', '否', 'N', '', 1, 1, 'admin', '2021-02-02 11:34:04', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('147c48ff4b51545032a9119d13f3222a', 'd6e1152968b02d69ff358c75b48a6ee1', '测试流程', 'test', NULL, 1, 1, 'admin', '2019-03-22 19:27:05', 'admin', '2025-01-09 10:35:08');
INSERT INTO `jimu_dict_item` VALUES ('1543fe7e5e26fb97cdafe4981bedc0c8', '4c03fca6bf1f0299c381213961566349', '单排布局', 'single', NULL, 2, 1, 'admin', '2022-07-12 17:43:39', 'admin', '2019-04-12 17:43:57');
INSERT INTO `jimu_dict_item` VALUES ('1ce390c52453891f93514c1bd2795d44', 'ad7c65ba97c20a6805d5dcdf13cdaf36', '000', '00', NULL, 1, 1, 'admin', '2019-03-22 16:34:34', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('1db531bcff19649fa82a644c8a939dc4', '4c03fca6bf1f0299c381213961566349', '组合布局', 'combination', '', 4, 1, 'admin', '2019-05-11 16:07:08', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('222705e11ef0264d4214affff1fb4ff9', '4f69be5f507accea8d5df5f11346181a', '短信', '1', '', 1, 1, 'admin', '2023-02-28 10:50:36', 'admin', '2019-04-28 10:58:11');
INSERT INTO `jimu_dict_item` VALUES ('23a5bb76004ed0e39414e928c4cde155', '4e4602b3e3686f0911384e188dc7efb4', '不等于', '!=', '不等于', 3, 1, 'admin', '2019-04-01 16:46:15', 'admin', '2019-04-01 17:48:40');
INSERT INTO `jimu_dict_item` VALUES ('25847e9cb661a7c711f9998452dc09e6', '4e4602b3e3686f0911384e188dc7efb4', '小于等于', '<=', '小于等于', 6, 1, 'admin', '2019-04-01 16:44:34', 'admin', '2019-04-01 17:49:10');
INSERT INTO `jimu_dict_item` VALUES ('2d51376643f220afdeb6d216a8ac2c01', '68168534ff5065a152bfab275c2136f8', '有效', '1', '有效', 2, 1, 'admin', '2019-04-26 19:22:01', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('308c8aadf0c37ecdde188b97ca9833f5', '8dfe32e2d29ea9430a988b3b558bf233', '已发布', '1', '已发布', 2, 1, 'admin', '2019-04-16 17:41:24', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('333e6b2196e01ef9a5f76d74e86a6e33', '8dfe32e2d29ea9430a988b3b558bf233', '未发布', '0', '未发布', 1, 1, 'admin', '2019-04-16 17:41:12', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('337ea1e401bda7233f6258c284ce4f50', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'JSON', 'json', NULL, 1, 1, 'admin', '2019-04-12 17:26:33', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('33bc9d9f753cf7dc40e70461e50fdc54', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送失败', '2', NULL, 3, 1, 'admin', '2019-04-12 18:20:02', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('3fbc03d6c994ae06d083751248037c0e', '78bda155fe380b1b3f175f1e88c284c6', '已完成', '3', '已完成', 3, 1, 'admin', '2019-05-09 16:33:25', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('41d7aaa40c9b61756ffb1f28da5ead8e', '0b5d19e1fce4b2e6647e6b4a17760c14', '通知公告', '1', NULL, 1, 1, 'admin', '2019-04-22 18:01:57', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('41fa1e9571505d643aea87aeb83d4d76', '4e4602b3e3686f0911384e188dc7efb4', '等于', '=', '等于', 4, 1, 'admin', '2019-04-01 16:45:24', 'admin', '2019-04-01 17:49:00');
INSERT INTO `jimu_dict_item` VALUES ('43d2295b8610adce9510ff196a49c6e9', '845da5006c97754728bf48b6a10f79cc', '正常', '1', NULL, NULL, 1, 'admin', '2019-03-18 21:45:51', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('4f05fb5376f4c61502c5105f52e4dd2b', '83bfb33147013cc81640d5fd9eda030c', '操作日志', '2', NULL, NULL, 1, 'admin', '2019-03-18 23:22:49', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('50223341bfb5ba30bf6319789d8d17fe', 'd6e1152968b02d69ff358c75b48a6ee1', '业务办理', 'business', NULL, 3, 1, 'admin', '2023-04-22 19:28:05', 'admin', '2019-03-22 23:24:39');
INSERT INTO `jimu_dict_item` VALUES ('51222413e5906cdaf160bb5c86fb827c', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '是', '1', '', 1, 1, 'admin', '2019-05-22 19:29:45', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('538fca35afe004972c5f3947c039e766', '2e02df51611a4b9632828ab7e5338f00', '显示', '1', '显示', 1, 1, 'admin', '2025-03-26 18:27:13', 'admin', '2019-04-26 18:39:07');
INSERT INTO `jimu_dict_item` VALUES ('5584c21993bde231bbde2b966f2633ac', '4e4602b3e3686f0911384e188dc7efb4', '自定义SQL表达式', 'USE_SQL_RULES', '自定义SQL表达式', 9, 1, 'admin', '2019-04-01 10:45:24', 'admin', '2019-04-01 17:49:27');
INSERT INTO `jimu_dict_item` VALUES ('58b73b344305c99b9d8db0fc056bbc0a', '72cce0989df68887546746d8f09811aa', '主表', '2', NULL, 2, 1, 'admin', '2019-03-27 10:13:36', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('5b65a88f076b32e8e69d19bbaadb52d5', '2f0320997ade5dd147c90130f7218c3e', '全体用户', 'ALL', NULL, NULL, 1, 'admin', '2020-10-17 21:22:43', 'admin', '2019-03-28 22:17:09');
INSERT INTO `jimu_dict_item` VALUES ('5d833f69296f691843ccdd0c91212b6b', '880a895c98afeca9d9ac39f29e67c13e', '修改', '3', '', 3, 1, 'admin', '2019-07-22 10:55:07', 'admin', '2019-07-22 10:55:41');
INSERT INTO `jimu_dict_item` VALUES ('5d84a8634c8fdfe96275385075b105c9', '3d9a351be3436fbefb1307d4cfb49bf2', '女', '2', NULL, 2, 1, NULL, '2019-01-04 14:56:56', NULL, '2019-01-04 17:38:12');
INSERT INTO `jimu_dict_item` VALUES ('66c952ae2c3701a993e7db58f3baf55e', '4e4602b3e3686f0911384e188dc7efb4', '大于', '>', '大于', 1, 1, 'admin', '2019-04-01 10:45:46', 'admin', '2019-04-01 17:48:29');
INSERT INTO `jimu_dict_item` VALUES ('6937c5dde8f92e9a00d4e2ded9198694', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'easyui', '3', NULL, 1, 1, 'admin', '2019-03-22 16:32:15', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('69cacf64e244100289ddd4aa9fa3b915', 'a9d9942bd0eccb6e89de92d130ec4c4a', '未发送', '0', NULL, 1, 1, 'admin', '2019-04-12 18:19:23', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('6a7a9e1403a7943aba69e54ebeff9762', '4f69be5f507accea8d5df5f11346181a', '邮件', '2', '', 2, 1, 'admin', '2031-02-28 10:50:44', 'admin', '2019-04-28 10:59:03');
INSERT INTO `jimu_dict_item` VALUES ('6c682d78ddf1715baf79a1d52d2aa8c2', '72cce0989df68887546746d8f09811aa', '单表', '1', NULL, 1, 1, 'admin', '2019-03-27 10:13:29', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('6d404fd2d82311fbc87722cd302a28bc', '4e4602b3e3686f0911384e188dc7efb4', '模糊', 'LIKE', '模糊', 7, 1, 'admin', '2019-04-01 16:46:02', 'admin', '2019-04-01 17:49:20');
INSERT INTO `jimu_dict_item` VALUES ('6d4e26e78e1a09699182e08516c49fc4', '4d7fec1a7799a436d26d02325eff295e', '高', 'H', '高', 1, 1, 'admin', '2019-04-16 17:04:24', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('700e9f030654f3f90e9ba76ab0713551', '6b78e3f59faec1a4750acff08030a79b', '333', '333', NULL, NULL, 1, 'admin', '2019-02-21 19:59:47', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('7050c1522702bac3be40e3b7d2e1dfd8', 'c5a14c75172783d72cbee6ee7f5df5d1', '柱状图', 'bar', NULL, 1, 1, 'admin', '2019-04-12 17:05:17', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('71b924faa93805c5c1579f12e001c809', 'd6e1152968b02d69ff358c75b48a6ee1', 'OA办公', 'oa', NULL, 2, 1, 'admin', '2021-03-22 19:27:17', 'admin', '2019-03-22 23:24:36');
INSERT INTO `jimu_dict_item` VALUES ('75b260d7db45a39fc7f21badeabdb0ed', 'c36169beb12de8a71c8683ee7c28a503', '不启用', '0', NULL, NULL, 1, 'admin', '2019-03-18 23:29:41', 'admin', '2019-03-18 23:29:54');
INSERT INTO `jimu_dict_item` VALUES ('7688469db4a3eba61e6e35578dc7c2e5', 'c36169beb12de8a71c8683ee7c28a503', '启用', '1', NULL, NULL, 1, 'admin', '2019-03-18 23:29:28', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('78ea6cadac457967a4b1c4eb7aaa418c', 'fc6cd58fde2e8481db10d3a1e68ce70c', '正常', '1', NULL, NULL, 1, 'admin', '2019-03-18 23:30:28', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('7ccf7b80c70ee002eceb3116854b75cb', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '按钮权限', '2', NULL, 1, 1, 'admin', '2019-03-18 23:25:40', 'jeecg', '2022-03-24 21:42:24');
INSERT INTO `jimu_dict_item` VALUES ('81fb2bb0e838dc68b43f96cc309f8257', 'fc6cd58fde2e8481db10d3a1e68ce70c', '冻结', '2', NULL, NULL, 1, 'admin', '2019-03-18 23:30:37', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('83250269359855501ec4e9c0b7e21596', '4274efc2292239b6f000b153f50823ff', '可见/可访问(授权后可见/可访问)', '1', '', 1, 1, 'admin', '2019-05-10 17:54:51', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('84778d7e928bc843ad4756db1322301f', '4e4602b3e3686f0911384e188dc7efb4', '大于等于', '>=', '大于等于', 5, 1, 'admin', '2019-04-01 10:46:02', 'admin', '2019-04-01 17:49:05');
INSERT INTO `jimu_dict_item` VALUES ('848d4da35ebd93782029c57b103e5b36', 'c5a14c75172783d72cbee6ee7f5df5d1', '饼图', 'pie', NULL, 3, 1, 'admin', '2019-04-12 17:05:49', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('84dfc178dd61b95a72900fcdd624c471', '78bda155fe380b1b3f175f1e88c284c6', '处理中', '2', '处理中', 2, 1, 'admin', '2019-05-09 16:33:01', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('86f19c7e0a73a0bae451021ac05b99dd', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '子菜单', '1', NULL, NULL, 1, 'admin', '2019-03-18 23:25:27', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('8bccb963e1cd9e8d42482c54cc609ca2', '4f69be5f507accea8d5df5f11346181a', '微信', '3', NULL, 3, 1, 'admin', '2021-05-11 14:29:12', 'admin', '2019-04-11 14:29:31');
INSERT INTO `jimu_dict_item` VALUES ('8c618902365ca681ebbbe1e28f11a548', '4c753b5293304e7a445fd2741b46529d', '启用', '1', '', 0, 1, 'admin', '2020-07-18 23:19:27', 'admin', '2019-05-17 14:51:18');
INSERT INTO `jimu_dict_item` VALUES ('8cdf08045056671efd10677b8456c999', '4274efc2292239b6f000b153f50823ff', '可编辑(未授权时禁用)', '2', '', 2, 1, 'admin', '2019-05-10 17:55:38', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('8ff48e657a7c5090d4f2a59b37d1b878', '4d7fec1a7799a436d26d02325eff295e', '中', 'M', '中', 2, 1, 'admin', '2019-04-16 17:04:40', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('948923658baa330319e59b2213cda97c', '880a895c98afeca9d9ac39f29e67c13e', '添加', '2', '', 2, 1, 'admin', '2019-07-22 10:54:59', 'admin', '2019-07-22 10:55:36');
INSERT INTO `jimu_dict_item` VALUES ('986779561591394304', '986779503584169984', '汉族', 'hanzu', NULL, 1, 1, 'admin', '2024-08-23 09:56:31', 'admin', '2024-08-23 09:56:45');
INSERT INTO `jimu_dict_item` VALUES ('986779602800431104', '986779503584169984', '回族', 'huizu', NULL, 1, 1, 'admin', '2024-08-23 09:56:41', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986779663689142272', '986779503584169984', '维吾尔族', 'weiwuer', NULL, 1, 1, 'admin', '2024-08-23 09:56:56', 'admin', '2025-01-09 10:42:09');
INSERT INTO `jimu_dict_item` VALUES ('986779697352626176', '986779503584169984', '藏族', 'zangzu', NULL, 1, 1, 'admin', '2024-08-23 09:57:04', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783239996002304', '986783181955223552', '文盲', '0', NULL, 1, 1, 'admin', '2024-08-23 10:11:08', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783271616860160', '986783181955223552', '小学', '1', NULL, 1, 1, 'admin', '2024-08-23 10:11:16', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783303967526912', '986783181955223552', '初中', '2', NULL, 1, 1, 'admin', '2024-08-23 10:11:23', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783326532882432', '986783181955223552', '高中', '3', NULL, 1, 1, 'admin', '2024-08-23 10:11:29', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783354462752768', '986783181955223552', '专科', '4', NULL, 1, 1, 'admin', '2024-08-23 10:11:35', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783373504892928', '986783181955223552', '本科', '5', NULL, 1, 1, 'admin', '2024-08-23 10:11:40', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783415494070272', '986783181955223552', '研究生', '6', NULL, 1, 1, 'admin', '2024-08-23 10:11:50', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986783438734708736', '986783181955223552', '博士', '7', NULL, 1, 1, 'admin', '2024-08-23 10:11:56', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986784154379440128', '986784113082322944', '音乐', '0', NULL, 1, 1, 'admin', '2024-08-23 10:14:46', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986784179134222336', '986784113082322944', '运动', '1', NULL, 1, 1, 'admin', '2024-08-23 10:14:52', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986784205717721088', '986784113082322944', '舞蹈', '2', NULL, 1, 1, 'admin', '2024-08-23 10:14:58', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986784229390372864', '986784113082322944', '棋牌', '3', NULL, 1, 1, 'admin', '2024-08-23 10:15:04', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('986784260960899072', '986784113082322944', '电竞', '4', NULL, 1, 1, 'admin', '2024-08-23 10:15:12', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('9a96c4a4e4c5c9b4e4d0cbf6eb3243cc', '4c753b5293304e7a445fd2741b46529d', '不启用', '0', NULL, 1, 1, 'admin', '2019-03-18 23:19:53', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('a1e7d1ca507cff4a480c8caba7c1339e', '880a895c98afeca9d9ac39f29e67c13e', '导出', '6', '', 6, 1, 'admin', '2019-07-22 12:06:50', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('a2be752dd4ec980afaec1efd1fb589af', '8dfe32e2d29ea9430a988b3b558bf233', '已撤销', '2', '已撤销', 3, 1, 'admin', '2019-04-16 17:41:39', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('aa0d8a8042a18715a17f0a888d360aa4', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '一级菜单', '0', NULL, NULL, 1, 'admin', '2019-03-18 23:24:52', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('adcf2a1fe93bb99a84833043f475fe0b', '4e4602b3e3686f0911384e188dc7efb4', '包含', 'IN', '包含', 8, 1, 'admin', '2019-04-01 16:45:47', 'admin', '2019-04-01 17:49:24');
INSERT INTO `jimu_dict_item` VALUES ('b029a41a851465332ee4ee69dcf0a4c2', '0b5d19e1fce4b2e6647e6b4a17760c14', '系统消息', '2', NULL, 1, 1, 'admin', '2019-02-22 18:02:08', 'admin', '2019-04-22 18:02:13');
INSERT INTO `jimu_dict_item` VALUES ('b2a8b4bb2c8e66c2c4b1bb086337f393', '3486f32803bb953e7155dab3513dc68b', '正常', '0', NULL, NULL, 1, 'admin', '2022-10-18 21:46:48', 'admin', '2019-03-28 22:22:20');
INSERT INTO `jimu_dict_item` VALUES ('b57f98b88363188daf38d42f25991956', '6b78e3f59faec1a4750acff08030a79b', '22', '222', NULL, NULL, 0, 'admin', '2019-02-21 19:59:43', 'admin', '2019-03-11 21:23:27');
INSERT INTO `jimu_dict_item` VALUES ('b5f3bd5f66bb9a83fecd89228c0d93d1', '68168534ff5065a152bfab275c2136f8', '无效', '0', '无效', 1, 1, 'admin', '2019-04-26 19:21:49', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('b9fbe2a3602d4a27b45c100ac5328484', '78bda155fe380b1b3f175f1e88c284c6', '待提交', '1', '待提交', 1, 1, 'admin', '2019-05-09 16:32:35', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('ba27737829c6e0e582e334832703d75e', '236e8a4baff0db8c62c00dd95632834f', '同步', '1', '同步', 1, 1, 'admin', '2019-05-15 15:28:15', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('bcec04526b04307e24a005d6dcd27fd6', '880a895c98afeca9d9ac39f29e67c13e', '导入', '5', '', 5, 1, 'admin', '2019-07-22 12:06:41', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('c53da022b9912e0aed691bbec3c78473', '880a895c98afeca9d9ac39f29e67c13e', '查询', '1', '', 1, 1, 'admin', '2019-07-22 10:54:51', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('c5700a71ad08994d18ad1dacc37a71a9', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '否', '0', '', 1, 1, 'admin', '2019-05-22 19:29:55', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('cbfcc5b88fc3a90975df23ffc8cbe29c', 'c5a14c75172783d72cbee6ee7f5df5d1', '曲线图', 'line', NULL, 2, 1, 'admin', '2019-05-12 17:05:30', 'admin', '2019-04-12 17:06:06');
INSERT INTO `jimu_dict_item` VALUES ('d217592908ea3e00ff986ce97f24fb98', 'c5a14c75172783d72cbee6ee7f5df5d1', '数据列表', 'table', NULL, 4, 1, 'admin', '2019-04-12 17:05:56', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('df168368dcef46cade2aadd80100d8aa', '3d9a351be3436fbefb1307d4cfb49bf2', '男', '1', NULL, 1, 1, NULL, '2027-08-04 14:56:49', 'admin', '2019-03-23 22:44:44');
INSERT INTO `jimu_dict_item` VALUES ('e6329e3a66a003819e2eb830b0ca2ea0', '4e4602b3e3686f0911384e188dc7efb4', '小于', '<', '小于', 2, 1, 'admin', '2019-04-01 16:44:15', 'admin', '2019-04-01 17:48:34');
INSERT INTO `jimu_dict_item` VALUES ('e94eb7af89f1dbfa0d823580a7a6e66a', '236e8a4baff0db8c62c00dd95632834f', '不同步', '0', '不同步', 2, 1, 'admin', '2019-05-15 15:28:28', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('f0162f4cc572c9273f3e26b2b4d8c082', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'booostrap', '1', NULL, 1, 1, 'admin', '2021-08-22 16:32:04', 'admin', '2019-03-22 16:33:57');
INSERT INTO `jimu_dict_item` VALUES ('f16c5706f3ae05c57a53850c64ce7c45', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送成功', '1', NULL, 2, 1, 'admin', '2019-04-12 18:19:43', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('f2a7920421f3335afdf6ad2b342f6b5d', '845da5006c97754728bf48b6a10f79cc', '冻结', '2', NULL, NULL, 1, 'admin', '2019-03-18 21:46:02', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('f37f90c496ec9841c4c326b065e00bb2', '83bfb33147013cc81640d5fd9eda030c', '登录日志', '1', NULL, NULL, 1, 'admin', '2019-03-18 23:22:37', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('f753aff60ff3931c0ecb4812d8b5e643', '4c03fca6bf1f0299c381213961566349', '双排布局', 'double', NULL, 3, 1, 'admin', '2019-04-12 17:43:51', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('f80a8f6838215753b05e1a5ba3346d22', '880a895c98afeca9d9ac39f29e67c13e', '删除', '4', '', 4, 1, 'admin', '2019-07-22 10:55:14', 'admin', '2019-07-22 10:55:30');
INSERT INTO `jimu_dict_item` VALUES ('fcec03570f68a175e1964808dc3f1c91', '4c03fca6bf1f0299c381213961566349', 'Tab风格', 'tab', NULL, 1, 1, 'admin', '2019-04-12 17:43:31', NULL, NULL);
INSERT INTO `jimu_dict_item` VALUES ('fe50b23ae5e68434def76f67cef35d2d', '78bda155fe380b1b3f175f1e88c284c6', '已作废', '4', '已作废', 4, 1, 'admin', '2021-09-09 16:33:43', 'admin', '2019-05-09 16:34:40');

-- ----------------------------
-- Table structure for jimu_report
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report`;
CREATE TABLE `jimu_report`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编码',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `note` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '说明',
  `status` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态',
  `type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型',
  `json_str` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'json字符串',
  `api_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `thumb` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '缩略图',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识0-正常,1-已删除',
  `api_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求方法0-get,1-post',
  `api_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求编码',
  `template` tinyint(1) NULL DEFAULT NULL COMMENT '是否是模板 0不是,1是',
  `view_count` bigint(15) NULL DEFAULT 0 COMMENT '浏览次数',
  `css_str` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'css增强',
  `js_str` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'js增强',
  `py_str` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'py增强',
  `tenant_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '多租户标识',
  `update_count` int(11) NULL DEFAULT 0 COMMENT '乐观锁版本',
  `submit_form` tinyint(1) NULL DEFAULT NULL COMMENT '是否填报报表 0不是,1是',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_jmreport_code`(`code`) USING BTREE,
  INDEX `uniq_jmreport_createby`(`create_by`) USING BTREE,
  INDEX `uniq_jmreport_delflag`(`del_flag`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '在线excel设计器' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report
-- ----------------------------
INSERT INTO `jimu_report` VALUES ('1314846205892759552', '20201010163252', 'XXX有限公司员工登记表', NULL, NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":{\"sri\":10,\"sci\":11,\"eri\":10,\"eci\":11,\"width\":85,\"height\":38},\"excel_config_id\":\"1314846205892759552\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"0\":{\"merge\":[0,8]},\"9\":{}},\"height\":22},\"1\":{\"cells\":{\"1\":{\"style\":87,\"text\":\" \"},\"2\":{\"style\":87,\"text\":\" \"},\"3\":{\"style\":87,\"text\":\" \"},\"4\":{\"style\":87,\"text\":\" \"},\"5\":{\"style\":87,\"text\":\" \"},\"6\":{\"style\":87,\"text\":\" \"},\"7\":{\"style\":87,\"text\":\" \"},\"8\":{\"style\":87,\"text\":\" \"}},\"height\":24},\"2\":{\"cells\":{\"0\":{\"text\":\"所在部门\",\"style\":93},\"1\":{\"text\":\"${yuangongjiben.department}\",\"style\":23,\"merge\":[0,2]},\"4\":{\"text\":\"职务\",\"style\":93},\"5\":{\"text\":\"${yuangongjiben.post}\",\"style\":23},\"6\":{\"text\":\"填写日期\",\"style\":93},\"7\":{\"text\":\"${yuangongjiben.data}\",\"style\":23,\"merge\":[0,1]}},\"isDrag\":true,\"height\":36},\"3\":{\"cells\":{\"0\":{\"text\":\"姓名\",\"style\":93},\"1\":{\"text\":\"${yuangongjiben.name}\",\"style\":23},\"2\":{\"text\":\"性别\",\"style\":93},\"3\":{\"text\":\"${yuangongjiben.sex}\",\"style\":23},\"4\":{\"text\":\"出生日期\",\"style\":93},\"5\":{\"text\":\"${yuangongjiben.birth}\",\"style\":23},\"6\":{\"text\":\"政治面貌\",\"style\":93},\"7\":{\"text\":\"${yuangongjiben.political}\",\"style\":130,\"merge\":[0,1]}},\"isDrag\":true,\"height\":33},\"4\":{\"cells\":{\"0\":{\"text\":\"机关\",\"style\":93},\"1\":{\"text\":\"${yuangongjiben.office}\",\"style\":23},\"2\":{\"style\":93,\"text\":\"民族\"},\"3\":{\"text\":\"${yuangongjiben.nation}\",\"style\":23},\"4\":{\"style\":93,\"text\":\"健康状况\"},\"5\":{\"text\":\"${yuangongjiben.health}\",\"style\":23},\"6\":{\"style\":93,\"text\":\"户籍类型\",\"virtual\":\"1KT8bnqRT4bi8Z7b\"},\"7\":{\"text\":\"${yuangongjiben.register}\",\"style\":26,\"virtual\":\"1KT8bnqRT4bi8Z7b\"},\"8\":{\"merge\":[3,0],\"height\":104,\"style\":35,\"text\":\" \",\"virtual\":\"cvkWDQVZhfJPgcS4\"}},\"isDrag\":true,\"height\":31},\"5\":{\"cells\":{\"0\":{\"text\":\"最高学历\",\"style\":93},\"1\":{\"text\":\"${yuangongjiben.education}\",\"style\":23},\"2\":{\"text\":\"所学专业\",\"style\":93},\"3\":{\"text\":\"${yuangongjiben.major}\",\"style\":23,\"merge\":[0,2]},\"6\":{\"text\":\"毕业时间\",\"style\":93},\"7\":{\"text\":\"${yuangongjiben.gdata}\",\"style\":23}},\"isDrag\":true,\"height\":35},\"6\":{\"cells\":{\"0\":{\"text\":\"电子邮箱\",\"style\":93},\"1\":{\"text\":\"${yuangongjiben.mailbox}\",\"style\":23},\"2\":{\"text\":\"手机号\",\"style\":93},\"3\":{\"text\":\"${yuangongjiben.telphone}\",\"style\":23,\"merge\":[0,2]},\"6\":{\"text\":\"家庭电话\",\"style\":93},\"7\":{\"text\":\"${yuangongjiben.homephone}\",\"style\":23}},\"isDrag\":true,\"height\":38},\"7\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"第一次参加工作时间\",\"style\":93},\"2\":{\"text\":\"${yuangongjiben.pworktime}\",\"style\":133,\"merge\":[0,2]},\"5\":{\"style\":93,\"text\":\"入职时间\"},\"6\":{\"text\":\"${yuangongjiben.entrytime}\",\"style\":24,\"merge\":[0,1]}},\"isDrag\":true,\"height\":27},\"8\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"毕业院校\",\"style\":93},\"2\":{\"text\":\"${yuangongjiben.school}\",\"style\":24,\"merge\":[0,2]},\"5\":{\"style\":93,\"text\":\"身份证号\"},\"6\":{\"text\":\"${yuangongjiben.idcard}\",\"style\":24,\"merge\":[0,2]}},\"isDrag\":true,\"height\":34},\"9\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"入党（团）时间、地点\",\"style\":94},\"2\":{\"text\":\"${yuangongjiben.entrytime}\",\"style\":24,\"merge\":[0,2]},\"5\":{\"text\":\"婚姻状况\",\"style\":93},\"6\":{\"text\":\"${yuangongjiben.marital}\",\"style\":23},\"7\":{\"text\":\"有无子女\",\"style\":93},\"8\":{\"text\":\"${yuangongjiben.children}\",\"style\":23}},\"isDrag\":true,\"height\":33},\"10\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"户口所在街道名称\",\"style\":93},\"2\":{\"text\":\"${yuangongjiben.hukoustreet}\",\"style\":24,\"merge\":[0,2]},\"5\":{\"merge\":[0,1],\"text\":\"户口所在地邮编\",\"style\":93},\"7\":{\"text\":\"${yuangongjiben.hukounum}\",\"style\":23,\"merge\":[0,1]}},\"isDrag\":true,\"height\":38},\"11\":{\"cells\":{\"0\":{\"text\":\"户口所在地地址\",\"style\":96,\"merge\":[2,1]},\"2\":{\"text\":\"${yuangongjiben.hukoudi}\",\"style\":26,\"merge\":[2,6]}},\"isDrag\":true},\"12\":{\"cells\":{}},\"13\":{\"cells\":{\"11\":{\"text\":\"\"}},\"isDrag\":true},\"14\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"现居住地址\",\"style\":98},\"2\":{\"text\":\"${yuangongjiben.currentdi}\",\"style\":26,\"merge\":[0,2]},\"5\":{\"style\":98,\"merge\":[0,1],\"text\":\"现居住地址邮编\"},\"7\":{\"text\":\"${yuangongjiben.currentnum}\",\"style\":26,\"merge\":[0,1]}},\"isDrag\":true,\"height\":33},\"15\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"是否参加社保\",\"style\":98},\"2\":{\"text\":\"${yuangongjiben.socialsecurity}\",\"style\":27,\"merge\":[0,1]},\"4\":{\"text\":\"有无公积金\",\"style\":98},\"5\":{\"text\":\"${yuangongjiben.providentfund}\",\"style\":27,\"merge\":[0,1]},\"7\":{\"text\":\"兴趣爱好\",\"style\":98},\"8\":{\"text\":\"${yuangongjiben.hobby}\",\"style\":27}},\"isDrag\":true,\"height\":34},\"16\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"参加社保类型\",\"style\":98},\"2\":{\"text\":\"${yuangongjiben.sbtype}\",\"style\":116,\"merge\":[0,6]}},\"isDrag\":true,\"height\":30},\"17\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"个人档案存放地\",\"style\":98},\"2\":{\"text\":\"${yuangongjiben.archivesdi}\",\"style\":116,\"merge\":[0,6]}},\"isDrag\":true,\"height\":33},\"18\":{\"cells\":{\"0\":{\"text\":\" \",\"style\":7},\"1\":{\"text\":\" \",\"style\":7},\"2\":{\"text\":\" \",\"style\":7},\"3\":{\"text\":\" \",\"style\":7},\"4\":{\"text\":\" \",\"style\":7},\"5\":{\"text\":\" \",\"style\":7},\"6\":{\"text\":\" \",\"style\":7},\"7\":{\"text\":\" \",\"style\":7},\"8\":{\"text\":\" \",\"style\":7}}},\"19\":{\"cells\":{\"0\":{\"merge\":[0,4],\"text\":\"学历、经历（从高中开始写）\",\"style\":99},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}}},\"20\":{\"cells\":{\"0\":{\"text\":\"由_年_月\",\"merge\":[0,1],\"style\":36},\"2\":{\"merge\":[0,1],\"text\":\"至_年_月\",\"style\":38},\"4\":{\"merge\":[0,1],\"text\":\"就读学校\",\"style\":38},\"6\":{\"merge\":[0,1],\"text\":\"专业\",\"style\":38},\"8\":{\"text\":\"担任职务\",\"style\":38},\"9\":{\"style\":112,\"text\":\" \"}}},\"21\":{\"cells\":{\"0\":{\"style\":90,\"merge\":[0,1],\"text\":\"#{xueli.kdate}\"},\"2\":{\"style\":90,\"text\":\"#{xueli.jdate}\",\"merge\":[0,1]},\"4\":{\"style\":90,\"text\":\"#{xueli.jstudent}\",\"merge\":[0,1]},\"6\":{\"style\":90,\"text\":\"#{xueli.zhuanye}\",\"merge\":[0,1]},\"8\":{\"style\":90,\"text\":\"#{xueli.zhiwu}\"},\"9\":{\"style\":112,\"text\":\" \"}},\"isDrag\":true},\"22\":{\"cells\":{\"0\":{\"style\":7,\"text\":\" \"},\"1\":{\"style\":7,\"text\":\" \"},\"2\":{\"style\":7,\"text\":\" \"},\"3\":{\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\" \"},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}}},\"23\":{\"cells\":{\"0\":{\"merge\":[0,4],\"text\":\"工作经历\",\"style\":124},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}},\"height\":27},\"24\":{\"cells\":{\"0\":{\"text\":\"由_年_月\",\"merge\":[0,1],\"style\":36},\"2\":{\"merge\":[0,1],\"text\":\"至_年_月\",\"style\":38},\"4\":{\"text\":\"工作单位及职称\",\"style\":38,\"merge\":[0,1]},\"6\":{\"merge\":[0,1],\"text\":\"证明人\",\"style\":38},\"8\":{\"text\":\"联系方式\",\"style\":38},\"9\":{\"style\":112,\"text\":\" \"}}},\"25\":{\"cells\":{\"0\":{\"text\":\"#{uu.kdate}\",\"style\":90,\"merge\":[0,1]},\"2\":{\"text\":\"#{uu.jdate}\",\"style\":90,\"merge\":[0,1]},\"4\":{\"text\":\"#{uu.jstudent}\",\"style\":90,\"merge\":[0,1]},\"6\":{\"text\":\"#{uu.zmname}\",\"style\":90,\"merge\":[0,1]},\"8\":{\"text\":\"#{uu.zmphone}\",\"style\":90},\"9\":{\"style\":112,\"text\":\" \"}},\"isDrag\":true},\"26\":{\"cells\":{\"0\":{\"style\":7,\"text\":\" \"},\"1\":{\"style\":7,\"text\":\" \"},\"2\":{\"style\":7,\"text\":\" \"},\"3\":{\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\" \"},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}}},\"27\":{\"cells\":{\"0\":{\"merge\":[0,4],\"text\":\"职称/资格、证书\",\"style\":125},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}},\"height\":46},\"28\":{\"cells\":{\"0\":{\"text\":\"发证时间\",\"merge\":[0,1],\"style\":36},\"2\":{\"merge\":[0,1],\"text\":\"职称名称\",\"style\":38},\"4\":{\"text\":\"级别\",\"style\":38,\"merge\":[0,1]},\"6\":{\"text\":\"发证单位\",\"style\":38,\"merge\":[0,1]},\"8\":{\"text\":\"备注\",\"style\":38},\"9\":{\"style\":112,\"text\":\" \"}}},\"29\":{\"cells\":{\"0\":{\"text\":\"#{zhengshu.fdate}\",\"style\":90,\"merge\":[0,1]},\"2\":{\"text\":\"#{zhengshu.zcname}\",\"style\":90,\"merge\":[0,1]},\"4\":{\"text\":\"#{zhengshu.jibie}\",\"style\":90,\"merge\":[0,1]},\"6\":{\"text\":\"#{zhengshu.danwei}\",\"style\":90,\"merge\":[0,1]},\"8\":{\"text\":\"#{zhengshu.beizhu}\",\"style\":90},\"9\":{\"style\":112,\"text\":\" \"}},\"isDrag\":true},\"30\":{\"cells\":{\"0\":{\"style\":7,\"text\":\" \"},\"1\":{\"style\":7,\"text\":\" \"},\"2\":{\"style\":7,\"text\":\" \"},\"3\":{\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\" \"},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}}},\"31\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"家庭成员\",\"style\":125},\"2\":{\"style\":7,\"text\":\" \"},\"3\":{\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\" \"},\"5\":{\"style\":7,\"text\":\" \"},\"6\":{\"style\":7,\"text\":\" \"},\"7\":{\"style\":7,\"text\":\" \"},\"8\":{\"style\":7,\"text\":\" \"},\"9\":{\"style\":112,\"text\":\" \"}},\"height\":42},\"32\":{\"cells\":{\"0\":{\"merge\":[0,1],\"text\":\"姓名\",\"style\":38},\"2\":{\"merge\":[0,1],\"text\":\"关系\",\"style\":38},\"4\":{\"text\":\"年龄\",\"style\":38},\"5\":{\"text\":\"工作单位\",\"style\":38,\"merge\":[0,1]},\"7\":{\"text\":\"政治面貌\",\"style\":38},\"8\":{\"text\":\"联系方式\",\"style\":38},\"9\":{\"style\":112,\"text\":\" \"}}},\"33\":{\"cells\":{\"0\":{\"text\":\"#{jtcy.name}\",\"style\":90,\"merge\":[0,1]},\"2\":{\"text\":\"#{jtcy.guanxi}\",\"style\":90,\"merge\":[0,1]},\"4\":{\"text\":\"#{jtcy.age}\",\"style\":90},\"5\":{\"text\":\"#{jtcy.danwei}\",\"style\":90,\"merge\":[0,1]},\"7\":{\"text\":\"#{jtcy.zzmm}\",\"style\":90},\"8\":{\"text\":\"#{jtcy.phone}\",\"style\":90},\"9\":{\"style\":112,\"text\":\" \"}},\"isDrag\":true},\"34\":{\"cells\":{\"0\":{\"text\":\" \",\"style\":7},\"1\":{\"text\":\" \",\"style\":7},\"2\":{\"text\":\" \",\"style\":7},\"3\":{\"text\":\" \",\"style\":7},\"4\":{\"text\":\" \",\"style\":7},\"5\":{\"text\":\" \",\"style\":7},\"6\":{\"text\":\" \",\"style\":7},\"7\":{\"text\":\" \",\"style\":7},\"8\":{\"text\":\" \",\"style\":7},\"9\":{\"style\":112,\"text\":\" \"}}},\"35\":{\"cells\":{\"0\":{\"merge\":[0,2],\"text\":\"所获奖励\",\"style\":125},\"3\":{\"text\":\" \",\"style\":7},\"4\":{\"text\":\" \",\"style\":7},\"5\":{\"text\":\" \",\"style\":7},\"6\":{\"text\":\" \",\"style\":7},\"7\":{\"text\":\" \",\"style\":7},\"8\":{\"text\":\" \",\"style\":7},\"9\":{\"style\":112,\"text\":\" \"}},\"height\":47},\"36\":{\"cells\":{\"0\":{\"text\":\"时间\",\"style\":90,\"merge\":[0,2]},\"3\":{\"style\":90,\"text\":\"地点\",\"merge\":[0,2]},\"6\":{\"style\":90,\"text\":\"所获得的奖励名称\",\"merge\":[0,2]},\"9\":{\"style\":112,\"text\":\" \"}}},\"37\":{\"cells\":{\"0\":{\"text\":\"#{jiangli.date}\",\"style\":90,\"merge\":[0,2]},\"3\":{\"text\":\"#{jiangli.didian}\",\"style\":90,\"merge\":[0,2]},\"6\":{\"text\":\"#{jiangli.mingcheng}\",\"style\":90,\"merge\":[0,2]},\"9\":{\"style\":112,\"text\":\" \"}},\"isDrag\":true},\"len\":98},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":703,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"font\":{\"name\":\"仿宋\"}},{\"font\":{\"name\":\"仿宋\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":12}},{\"font\":{\"name\":\"宋体\",\"size\":12}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":8}},{\"font\":{\"name\":\"宋体\",\"size\":8}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":10}},{\"font\":{\"name\":\"宋体\",\"size\":10}},{\"align\":\"center\",\"font\":{\"name\":\"隶书\",\"size\":10}},{\"font\":{\"name\":\"隶书\",\"size\":10}},{\"align\":\"center\",\"font\":{\"name\":\"华文中宋\",\"size\":10}},{\"font\":{\"name\":\"华文中宋\",\"size\":10}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\",\"size\":10}},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":10}},{\"textwrap\":true},{\"textwrap\":true,\"align\":\"center\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":true,\"size\":12}},{\"font\":{\"bold\":true,\"size\":10}},{\"font\":{\"bold\":true,\"size\":10},\"align\":\"center\"},{\"font\":{\"bold\":true},\"align\":\"center\"},{\"font\":{\"bold\":true,\"size\":10},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true,\"size\":10,\"name\":\"宋体\"},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true,\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"font\":{\"bold\":true,\"name\":\"宋体\"},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true},\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true},\"border\":{\"top\":[\"medium\",\"#000\"]}},{\"border\":{\"top\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]}},{\"border\":{\"left\":[\"medium\",\"#000\"]}},{\"border\":{\"right\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]}},{\"border\":{\"top\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"Microsoft YaHei\"},\"border\":{\"top\":[\"medium\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"Microsoft YaHei\"}},{\"border\":{\"top\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"name\":\"Microsoft YaHei\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"bold\":true,\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true,\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\",\"size\":8},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":8}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\",\"size\":8}},{\"border\":{\"top\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"宋体\"},\"border\":{\"top\":[\"medium\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":8},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"medium\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":10,\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10,\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10,\"bold\":true}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"宋体\"},\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"left\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true,\"name\":\"宋体\"},\"border\":{\"top\":[\"thin\",\"#ffffff\"]}},{\"border\":{\"top\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"left\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"left\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"left\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"right\"},{\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"right\",\"valign\":\"bottom\"},{\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"left\",\"valign\":\"bottom\"},{\"font\":{\"name\":\"宋体\",\"bold\":true},\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10,\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"format\":\"datetime\"},{\"font\":{\"name\":\"宋体\",\"size\":10},\"format\":\"datetime\"},{\"font\":{\"name\":\"宋体\",\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"format\":\"normal\"},{\"font\":{\"name\":\"宋体\",\"size\":10},\"format\":\"normal\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":73},\"1\":{\"width\":71},\"2\":{\"width\":69},\"3\":{\"width\":89},\"4\":{\"width\":64},\"5\":{\"width\":47},\"6\":{\"width\":68},\"7\":{\"width\":100},\"8\":{\"width\":103},\"9\":{\"width\":19},\"10\":{\"width\":146},\"11\":{\"width\":85},\"len\":50},\"merges\":[\"H3:I3\",\"B3:D3\",\"A2:I2\",\"D6:F6\",\"D7:F7\",\"A8:B8\",\"G8:H8\",\"A9:B9\",\"A10:B10\",\"C10:E10\",\"C8:E8\",\"C9:E9\",\"A11:B11\",\"C11:E11\",\"F11:G11\",\"H11:I11\",\"C12:I14\",\"A15:B15\",\"C15:E15\",\"F15:G15\",\"H15:I15\",\"A16:B16\",\"A17:B17\",\"A18:B18\",\"C17:I17\",\"C18:I18\",\"A20:E20\",\"A21:B21\",\"C21:D21\",\"E21:F21\",\"G21:H21\",\"A22:B22\",\"A24:E24\",\"A25:B25\",\"C25:D25\",\"G25:H25\",\"A26:B26\",\"A28:E28\",\"A29:B29\",\"C29:D29\",\"A30:B30\",\"A32:B32\",\"A33:B33\",\"C33:D33\",\"A34:B34\",\"C34:D34\",\"A36:C36\",\"C16:D16\",\"F16:G16\",\"QAAAAAACI1:JAAAAAABJ38\",\"A1:I1\",\"H4:I4\",\"G9:I9\",\"G22:H22\",\"E22:F22\",\"C22:D22\",\"C26:D26\",\"G26:H26\",\"C30:D30\",\"G30:H30\",\"E30:F30\",\"D37:F37\",\"D38:F38\",\"A38:C38\",\"A37:C37\",\"G37:I37\",\"G38:I38\",\"E29:F29\",\"G29:H29\",\"E25:F25\",\"E26:F26\",\"F33:G33\",\"F34:G34\",\"A12:B14\",\"I5:I8\"],\"imgList\":[{\"row\":4,\"col\":8,\"width\":\"101\",\"height\":\"128\",\"src\":\"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/QQ截图20210115102648_1610694177544_1617244906979.png\",\"layer_id\":\"cvkWDQVZhfJPgcS4\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[4,8]]}]}', NULL, 'https://static.jeecg.com/designreport/images/1122_1607312336469.png', 'admin', '2020-10-10 16:32:53', 'admin', '2021-04-01 02:42:07', 0, NULL, NULL, 1, 606, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1316944968992034816', '20201016113231', '员工信息登记', NULL, NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1316944968992034816\",\"printElHeight\":1047,\"rows\":{\"1\":{\"cells\":{\"0\":{\"text\":\"员工信息登记表\",\"merge\":[0,6],\"style\":28},\"1\":{\"style\":21,\"text\":\" \"},\"2\":{\"style\":21,\"text\":\" \"},\"3\":{\"style\":21,\"text\":\" \"},\"4\":{\"style\":21,\"text\":\" \"},\"5\":{\"style\":21,\"text\":\" \"},\"6\":{\"style\":21,\"text\":\" \"}},\"height\":46},\"2\":{\"cells\":{\"0\":{\"text\":\"编号:\",\"style\":29},\"1\":{\"text\":\"${employee.num}\",\"style\":30,\"merge\":[0,3]},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\" \",\"style\":24},\"5\":{\"text\":\"填写日期:\",\"style\":29},\"6\":{\"text\":\"${employee.create_time}\",\"style\":36}},\"isDrag\":true,\"height\":44},\"3\":{\"cells\":{\"0\":{\"text\":\"姓名:\",\"style\":29},\"1\":{\"text\":\"${employee.name}\",\"style\":30},\"2\":{\"text\":\"性别:\",\"style\":29},\"3\":{\"text\":\"${employee.sex}\",\"style\":30},\"4\":{\"text\":\"出生年月:\",\"style\":29},\"5\":{\"text\":\"${employee.birthday}\",\"style\":36},\"6\":{\"style\":3,\"text\":\" \",\"merge\":[4,0],\"virtual\":\"Ym8ny6lYTdutY5tT\"}},\"isDrag\":true,\"height\":42},\"4\":{\"cells\":{\"0\":{\"text\":\"民族:\",\"style\":29},\"1\":{\"text\":\"${employee.nation}\",\"style\":30},\"2\":{\"text\":\"政治面貌:\",\"style\":29},\"3\":{\"text\":\"${employee.political}\",\"style\":30},\"4\":{\"text\":\"籍贯:\",\"style\":29},\"5\":{\"text\":\"${employee.native_place}\",\"style\":30}},\"isDrag\":true,\"height\":38},\"5\":{\"cells\":{\"0\":{\"text\":\"身高(cm):\",\"style\":29},\"1\":{\"text\":\"${employee.height}\",\"style\":30},\"2\":{\"text\":\"体重(kg):\",\"style\":29},\"3\":{\"text\":\"${employee.weight}\",\"style\":30},\"4\":{\"text\":\"健康状况:\",\"style\":29},\"5\":{\"text\":\"${employee.health}\",\"style\":30}},\"isDrag\":true,\"height\":38},\"6\":{\"cells\":{\"0\":{\"text\":\"身份证号:\",\"style\":29},\"1\":{\"text\":\"${employee.id_card}\",\"style\":30,\"merge\":[0,2]},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\"学历:\",\"style\":29},\"5\":{\"text\":\"${employee.education}\",\"style\":30}},\"isDrag\":true,\"height\":40},\"7\":{\"cells\":{\"0\":{\"text\":\"毕业学校:\",\"style\":29},\"1\":{\"text\":\"${employee.school}\",\"style\":30,\"merge\":[0,2]},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\"专业:\",\"style\":29},\"5\":{\"text\":\"${employee.major}\",\"style\":30}},\"isDrag\":true,\"height\":44},\"8\":{\"cells\":{\"0\":{\"text\":\"联系地址:\",\"style\":29},\"1\":{\"text\":\"${employee.address}\",\"style\":30,\"merge\":[0,2]},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\"邮编:\",\"style\":29},\"5\":{\"text\":\"${employee.zip_code}\",\"style\":30,\"merge\":[0,1]},\"6\":{\"text\":\" \",\"style\":24}},\"isDrag\":true,\"height\":45},\"9\":{\"cells\":{\"0\":{\"text\":\"Email:\",\"style\":29},\"1\":{\"text\":\"${employee.email}\",\"style\":30,\"merge\":[0,2]},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\"手机号:\",\"style\":29},\"5\":{\"text\":\"${employee.phone}\",\"style\":30,\"merge\":[0,1]},\"6\":{\"text\":\" \",\"style\":24}},\"isDrag\":true,\"height\":40},\"10\":{\"cells\":{\"0\":{\"text\":\"外语语种:\",\"style\":29},\"1\":{\"text\":\"${employee.foreign_language}\",\"style\":30},\"2\":{\"text\":\"外语水平:\",\"style\":29},\"3\":{\"text\":\"${employee.foreign_language_level}\",\"style\":30},\"4\":{\"text\":\"计算机水平:\",\"style\":29},\"5\":{\"text\":\"${employee.computer_level}\",\"style\":30,\"merge\":[0,1]},\"6\":{\"text\":\" \",\"style\":24}},\"isDrag\":true,\"height\":41},\"11\":{\"cells\":{\"0\":{\"text\":\"毕业时间:\",\"style\":29},\"1\":{\"text\":\"${employee.graduation_time}\",\"style\":34},\"2\":{\"text\":\"到职时间:\",\"style\":29},\"3\":{\"text\":\"${employee.arrival_time}\",\"style\":34},\"4\":{\"text\":\"职称:\",\"style\":29},\"5\":{\"text\":\"${employee.positional_titles}\",\"style\":30,\"merge\":[0,1]},\"6\":{\"text\":\" \",\"style\":24}},\"isDrag\":true,\"height\":42},\"12\":{\"cells\":{\"0\":{\"text\":\"教育经历:\",\"style\":32},\"1\":{\"text\":\"\",\"style\":35,\"merge\":[0,5]},\"2\":{\"text\":\" \",\"style\":40},\"3\":{\"text\":\" \",\"style\":40},\"4\":{\"text\":\" \",\"style\":40},\"5\":{\"text\":\" \",\"style\":40},\"6\":{\"text\":\" \",\"style\":40}},\"isDrag\":true,\"height\":39},\"13\":{\"cells\":{\"0\":{\"text\":\"${employee.education_experience}\",\"style\":33,\"merge\":[0,6]},\"1\":{\"style\":27,\"text\":\" \"},\"2\":{\"style\":27,\"text\":\" \"},\"3\":{\"style\":27,\"text\":\" \"},\"4\":{\"style\":27,\"text\":\" \"},\"5\":{\"style\":27,\"text\":\" \"},\"6\":{\"style\":27,\"text\":\" \"}},\"isDrag\":true,\"height\":70},\"14\":{\"cells\":{\"0\":{\"text\":\"工作经历:\",\"style\":32},\"1\":{\"merge\":[0,5],\"style\":30,\"text\":\" \"},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\" \",\"style\":24},\"5\":{\"text\":\" \",\"style\":24},\"6\":{\"text\":\" \",\"style\":24}},\"height\":43},\"15\":{\"cells\":{\"0\":{\"text\":\"${employee.work_experience}\",\"style\":30,\"merge\":[0,6]},\"1\":{\"text\":\" \",\"style\":24},\"2\":{\"text\":\" \",\"style\":24},\"3\":{\"text\":\" \",\"style\":24},\"4\":{\"text\":\" \",\"style\":24},\"5\":{\"text\":\" \",\"style\":24},\"6\":{\"text\":\" \",\"style\":24}},\"isDrag\":true,\"height\":61},\"17\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":37}}},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[\"sex1\"],\"freeze\":\"A1\",\"dataRectWidth\":712,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true}},{\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":false}},{\"font\":{\"bold\":false}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true},\"align\":\"right\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16},\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]},\"font\":{\"bold\":true},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]},\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]},\"font\":{\"bold\":false}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16},\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":true},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":false}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16,\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":true,\"name\":\"宋体\"},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"bold\":false,\"name\":\"宋体\"}},{\"font\":{\"bold\":false,\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16,\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true,\"name\":\"宋体\"},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"date2\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"date\"},{\"format\":\"date2\"},{\"font\":{\"name\":\"宋体\"},\"format\":\"date2\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"time\"},{\"font\":{\"name\":\"宋体\"},\"format\":\"normal\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":79},\"1\":{\"width\":92},\"2\":{\"width\":76},\"3\":{\"width\":106},\"5\":{\"width\":123},\"6\":{\"width\":136},\"len\":50},\"merges\":[\"A2:G2\",\"B3:E3\",\"B7:D7\",\"B8:D8\",\"B9:D9\",\"B10:D10\",\"F9:G9\",\"F10:G10\",\"F11:G11\",\"F12:G12\",\"B13:G13\",\"A14:G14\",\"B15:G15\",\"A16:G16\",\"G4:G8\"],\"imgList\":[{\"row\":3,\"col\":6,\"width\":\"135\",\"height\":\"192\",\"src\":\"https://static.jeecg.com/designreport/images/QQ截图20210108095848_1610071294294.png\",\"layer_id\":\"Ym8ny6lYTdutY5tT\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[3,6]]}]}', NULL, 'https://static.jeecg.com/designreport/images/1133_1607312428261.png', 'admin', '2020-10-16 11:32:32', 'admin', '2021-02-03 13:59:35', 0, NULL, NULL, 1, 1410, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1331503965770223616', '20201125155042', '房屋销售综合展示大屏', NULL, NULL, '984302961118724096', '{\"loopBlockList\":[],\"chartList\":[{\"row\":1,\"col\":1,\"width\":\"338\",\"height\":\"378\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"缤纷南郡\\\",\\\"中航华府\\\",\\\"3中家属楼\\\",\\\"幸福家园\\\",\\\"水晶国际\\\",\\\"绿城小区\\\",\\\"缤纷南郡二期\\\",\\\"国奥家园\\\",\\\"西西胡同\\\",\\\"融创学府\\\",\\\"蓝湾国际\\\",\\\"广发小区\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"房子\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":60,\\\"left\\\":71,\\\"bottom\\\":39,\\\"right\\\":29},\\\"series\\\":[{\\\"barWidth\\\":13,\\\"data\\\":[2,2,2,3,4,3,3,5,2,7,4,8],\\\"name\\\":\\\"房子\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#67994B\\\",\\\"barBorderRadius\\\":7},\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[]}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"padding\\\":[5,20,5,20],\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"text\\\":\\\"各楼盘成交量排名\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"14\\\",\\\"fontWeight\\\":\\\"normal\\\"},\\\"top\\\":10},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/bg1_1606961907450_1617248229528.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331511745851731969\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"chengjiao\",\"chartType\":\"bar.multi.horizontal\",\"isTiming\":true,\"intervalTime\":\"5\"},\"layer_id\":\"5ggWQtDUvSopC4iL\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[1,1],[1,2],[1,3]]},{\"row\":1,\"col\":12,\"width\":\"327\",\"height\":\"152\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":34,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"高层\\\",\\\"小高层\\\",\\\"写字楼\\\",\\\"厂房\\\",\\\"公寓\\\",\\\"别墅\\\",\\\"厂房\\\",\\\"四合院\\\",\\\"loft\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"grid\\\":{\\\"top\\\":50,\\\"left\\\":30,\\\"bottom\\\":44,\\\"right\\\":24},\\\"series\\\":[{\\\"areaStyle\\\":null,\\\"data\\\":[20,25,10,5,9,1,5,1,20],\\\"showSymbol\\\":true,\\\"lineStyle\\\":{\\\"width\\\":2},\\\"symbolSize\\\":5,\\\"isArea\\\":false,\\\"name\\\":\\\"销量\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#D04672\\\"},\\\"step\\\":false,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"line\\\",\\\"smooth\\\":true}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":10,\\\"text\\\":\\\"房形分析\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1607938818911.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331922734933987329\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"fangyuan\",\"chartType\":\"line.smooth\",\"isTiming\":true,\"intervalTime\":\"5\"},\"layer_id\":\"nk6I2RCefm9scS1k\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[1,12],[1,13],[1,14],[1,15]]},{\"row\":7,\"col\":12,\"width\":\"324\",\"height\":\"215\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"1室\\\",\\\"2室\\\",\\\"3室\\\",\\\"4室\\\",\\\"5室\\\"],\\\"top\\\":\\\"bottom\\\",\\\"orient\\\":\\\"vertical\\\",\\\"left\\\":\\\"right\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"1室\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(53,165,180,1)\\\"}},{\\\"name\\\":\\\"2室\\\",\\\"value\\\":30,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(60,140,198,1)\\\"}},{\\\"name\\\":\\\"3室\\\",\\\"value\\\":20,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(93,144,81,1)\\\"}},{\\\"name\\\":\\\"4室\\\",\\\"value\\\":5,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(191,146,68,1)\\\"}},{\\\"name\\\":\\\"5室\\\",\\\"value\\\":3,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(188,69,117,1)\\\"}}],\\\"isRadius\\\":true,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"center\\\":[\\\"160\\\",\\\"120\\\"],\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"\\\",\\\"fontSize\\\":\\\"8\\\",\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":[\\\"40%\\\",\\\"50%\\\"],\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":10,\\\"text\\\":\\\"不同户型销售\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1608536502813.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331919172472524801\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"huxingxiaoshou\",\"chartType\":\"pie.doughnut\",\"isTiming\":true,\"intervalTime\":\"5\",\"id\":\"MCJP8uqwe57YoCvF\"},\"layer_id\":\"MCJP8uqwe57YoCvF\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[7,12],[7,13],[7,14],[7,15]]},{\"row\":7,\"col\":4,\"width\":\"662\",\"height\":\"222\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"1月\\\",\\\"2月\\\",\\\"3月\\\",\\\"4月\\\",\\\"5月\\\",\\\"6月\\\",\\\"7月\\\",\\\"8月\\\",\\\"9月\\\",\\\"10月\\\",\\\"11月\\\",\\\"12月\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#A98E8E\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"成交量\\\",\\\"成交价\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"vertical\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#FBF8F8\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"grid\\\":{\\\"top\\\":58,\\\"left\\\":30,\\\"bottom\\\":43,\\\"right\\\":32},\\\"series\\\":[{\\\"barWidth\\\":15,\\\"stack\\\":\\\"1\\\",\\\"data\\\":[10,7,5,5,7,9,3,6,5,8,6,6],\\\"name\\\":\\\"成交量\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#37A5B1\\\",\\\"barBorderRadius\\\":13},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":7,\\\"typeData\\\":[{\\\"name\\\":\\\"成交量\\\",\\\"type\\\":\\\"\\\",\\\"_index\\\":0,\\\"_rowKey\\\":136,\\\"stack\\\":\\\"1\\\"},{\\\"name\\\":\\\"成交价\\\",\\\"type\\\":\\\"\\\",\\\"stack\\\":\\\"1\\\",\\\"_index\\\":1,\\\"_rowKey\\\":139}]},{\\\"barWidth\\\":15,\\\"stack\\\":\\\"1\\\",\\\"data\\\":[5,5,12,5,5,5,5,10,5,5,5,5],\\\"name\\\":\\\"成交价\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#2E72A7\\\",\\\"barBorderRadius\\\":13},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":7,\\\"typeData\\\":[{\\\"name\\\":\\\"成交量\\\",\\\"type\\\":\\\"\\\",\\\"_index\\\":0,\\\"_rowKey\\\":136,\\\"stack\\\":\\\"1\\\"},{\\\"name\\\":\\\"成交价\\\",\\\"type\\\":\\\"\\\",\\\"stack\\\":\\\"1\\\",\\\"_index\\\":1,\\\"_rowKey\\\":139}]}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"padding\\\":[5,20,5,20],\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"text\\\":\\\"成交量和成交价趋势\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"14\\\",\\\"fontWeight\\\":\\\"normal\\\"},\\\"top\\\":10},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/QQ截图20201207201434_1607343287788.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331872643531526146\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"chengjiao1\",\"chartType\":\"bar.stack\",\"chartId\":\"\",\"isTiming\":true,\"intervalTime\":\"5\"},\"layer_id\":\"Nf6Xud4fZqEfvQw4\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[7,4],[7,5],[7,6],[7,7],[7,8],[7,9],[7,10],[7,11]]},{\"row\":16,\"col\":12,\"width\":\"326\",\"height\":\"200\",\"config\":\"{\\\"radar\\\":[{\\\"indicator\\\":[{\\\"name\\\":\\\"房产证\\\",\\\"max\\\":520},{\\\"name\\\":\\\"购房发票\\\",\\\"max\\\":310},{\\\"name\\\":\\\"购房合同\\\",\\\"max\\\":380},{\\\"name\\\":\\\"预售合同\\\",\\\"max\\\":450},{\\\"name\\\":\\\"抵押合同\\\",\\\"max\\\":600},{\\\"name\\\":\\\"预收合同\\\",\\\"max\\\":350}],\\\"shape\\\":\\\"polygon\\\",\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"gray\\\",\\\"opacity\\\":0.5}},\\\"center\\\":[\\\"50%\\\",\\\"50%\\\"],\\\"name\\\":{\\\"formatter\\\":\\\"【{value}】\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#72ACD1\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"gray\\\",\\\"opacity\\\":0.5}}}],\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"售后产权\\\",\\\"单位产权\\\",\\\"个人产权\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"series\\\":[{\\\"type\\\":\\\"radar\\\",\\\"data\\\":[{\\\"name\\\":\\\"售后产权\\\",\\\"value\\\":[43,100,280,350,500,250],\\\"areaStyle\\\":{\\\"color\\\":\\\"#3F9AFB\\\",\\\"opacity\\\":1},\\\"lineStyle\\\":{\\\"color\\\":\\\"#2D8CF0\\\"}},{\\\"name\\\":\\\"单位产权\\\",\\\"value\\\":[190,50,140,280,310,150],\\\"areaStyle\\\":{\\\"color\\\":\\\"#A6F65C\\\",\\\"opacity\\\":1},\\\"lineStyle\\\":{\\\"color\\\":\\\"#55FE4D\\\"}},{\\\"name\\\":\\\"个人产权\\\",\\\"value\\\":[420,210,160,0,120,130],\\\"areaStyle\\\":{\\\"color\\\":\\\"rgba(188,69,117,1)\\\",\\\"opacity\\\":1},\\\"lineStyle\\\":{\\\"color\\\":\\\"rgba(188,69,117,1)\\\"}}]}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":10,\\\"text\\\":\\\"不同产权、证件成交量\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#ffffff\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,20]},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1608274537110.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331916030221602818\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"btchanquan\",\"chartType\":\"radar.basic\",\"isTiming\":true,\"intervalTime\":\"10\",\"id\":\"IWoBtyiRxjkEbkfD\"},\"layer_id\":\"IWoBtyiRxjkEbkfD\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[16,12],[16,13],[16,14],[16,15]]},{\"row\":16,\"col\":1,\"width\":\"337\",\"height\":\"205\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"马小姐\\\",\\\"孙小姐\\\",\\\"王先生\\\",\\\"李先生\\\",\\\"赵小姐\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"房子\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":55,\\\"left\\\":70,\\\"bottom\\\":40,\\\"right\\\":24},\\\"series\\\":[{\\\"barWidth\\\":13,\\\"data\\\":[20,15,12,10,7],\\\"name\\\":\\\"房子\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#37A5B1\\\",\\\"barBorderRadius\\\":7},\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[]}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"padding\\\":[5,20,5,20],\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"text\\\":\\\"销售量成交排行榜\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"14\\\",\\\"fontWeight\\\":\\\"normal\\\"},\\\"top\\\":10},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1606961907450.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331514838211407873\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"cjpaihang\",\"chartType\":\"bar.multi.horizontal\",\"isTiming\":true,\"intervalTime\":\"5\"},\"layer_id\":\"Cror94F1kmbP71ip\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[16,1],[16,2],[16,3]]},{\"row\":16,\"col\":4,\"width\":\"334\",\"height\":\"206\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"马小姐\\\",\\\"孙小姐\\\",\\\"王先生\\\",\\\"李先生\\\",\\\"赵小姐\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"房子\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":55,\\\"left\\\":56,\\\"bottom\\\":38,\\\"right\\\":30},\\\"series\\\":[{\\\"barWidth\\\":13,\\\"data\\\":[20,15,12,10,7],\\\"name\\\":\\\"房子\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#2E72A7\\\",\\\"barBorderRadius\\\":7},\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[]}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"padding\\\":[5,20,5,20],\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"text\\\":\\\"销售员成交金额\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"14\\\",\\\"fontWeight\\\":\\\"normal\\\"},\\\"top\\\":10},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1606961918589.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331514838211407873\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"cjpaihang\",\"chartType\":\"bar.multi.horizontal\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartId\":\"\"},\"layer_id\":\"pBOwp0Q0g4iuJCVm\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[16,4],[16,5],[16,6],[16,7]]},{\"row\":16,\"col\":8,\"width\":\"324\",\"height\":\"206\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"简装\\\",\\\"中装\\\",\\\"精装\\\",\\\"豪装\\\",\\\"毛坯\\\"],\\\"top\\\":\\\"bottom\\\",\\\"orient\\\":\\\"vertical\\\",\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"简装\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(52,158,172,1)\\\"}},{\\\"name\\\":\\\"中装\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(56,131,185,1)\\\"}},{\\\"name\\\":\\\"精装\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(103,153,75,1)\\\"}},{\\\"name\\\":\\\"豪装\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(230,165,55,1)\\\"}},{\\\"name\\\":\\\"毛坯\\\",\\\"value\\\":10,\\\"itemStyle\\\":{\\\"color\\\":\\\"\\\"}}],\\\"isRadius\\\":false,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"center\\\":[\\\"180\\\",\\\"100\\\"],\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"fontSize\\\":\\\"10\\\",\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":\\\"52%\\\",\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":10,\\\"text\\\":\\\"不同装修类型销售销量\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#ffffff\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]},\\\"backgroundColor\\\":{\\\"src\\\":\\\"https://static.jeecg.com/designreport/images/bg1_1608535503498.png\\\"}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1331878107552010242\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"zhuangxiu\",\"chartType\":\"pie.simple\",\"isTiming\":true,\"intervalTime\":\"5\",\"id\":\"rQgkcYfLy4x0EP6h\"},\"layer_id\":\"rQgkcYfLy4x0EP6h\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[16,8],[16,9],[16,10],[16,11]]}],\"area\":{\"sri\":16,\"sci\":1,\"eri\":23,\"eci\":3,\"width\":340,\"height\":200},\"excel_config_id\":\"1331503965770223616\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"0\":{\"text\":\"\"},\"1\":{\"style\":60,\"merge\":[0,13],\"text\":\"房屋销售综合展示大屏\"}},\"height\":113},\"1\":{\"cells\":{\"1\":{\"merge\":[14,2],\"style\":43,\"text\":\" \",\"virtual\":\"5ggWQtDUvSopC4iL\"},\"2\":{\"text\":\" \",\"virtual\":\"5ggWQtDUvSopC4iL\"},\"3\":{\"text\":\" \",\"virtual\":\"5ggWQtDUvSopC4iL\"},\"4\":{\"style\":53,\"text\":\"成交量：\",\"merge\":[2,0],\"virtual\":\"5ggWQtDUvSopC4iL\"},\"5\":{\"text\":\"#{qingkuang.cjl}\",\"style\":64,\"merge\":[2,0]},\"7\":{\"style\":53,\"text\":\"成交金额：\",\"merge\":[2,0]},\"8\":{\"text\":\"#{qingkuang.cjje}\",\"style\":68,\"merge\":[2,0]},\"10\":{\"style\":53,\"text\":\"销售面积：\",\"merge\":[2,0]},\"11\":{\"text\":\"#{qingkuang.xsmj}\",\"style\":64,\"merge\":[2,0]},\"12\":{\"text\":\" \",\"virtual\":\"nk6I2RCefm9scS1k\"},\"13\":{\"text\":\" \",\"virtual\":\"nk6I2RCefm9scS1k\"},\"14\":{\"text\":\" \",\"virtual\":\"nk6I2RCefm9scS1k\"},\"15\":{\"text\":\" \",\"virtual\":\"nk6I2RCefm9scS1k\"}},\"isDrag\":true},\"2\":{\"cells\":{\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"3\":{\"cells\":{\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"4\":{\"cells\":{\"4\":{\"style\":58,\"text\":\"成交均价：\",\"merge\":[2,0]},\"5\":{\"text\":\"#{qingkuang.cjjj}\",\"style\":65,\"merge\":[2,0]},\"7\":{\"style\":58,\"text\":\"售房佣金：\",\"merge\":[2,0]},\"8\":{\"text\":\"#{qingkuang.sfyj}\",\"style\":65,\"merge\":[2,0]},\"10\":{\"style\":58,\"text\":\"预定客户：\",\"merge\":[2,0]},\"11\":{\"text\":\"#{qingkuang.ydkh}\",\"style\":65,\"merge\":[2,0]},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}},\"isDrag\":true,\"height\":25},\"5\":{\"cells\":{\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"6\":{\"cells\":{\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"7\":{\"cells\":{\"4\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"5\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"6\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"7\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"8\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"9\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"10\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"11\":{\"text\":\" \",\"virtual\":\"Nf6Xud4fZqEfvQw4\"},\"12\":{\"text\":\" \",\"virtual\":\"MCJP8uqwe57YoCvF\"},\"13\":{\"text\":\" \",\"virtual\":\"MCJP8uqwe57YoCvF\"},\"14\":{\"text\":\" \",\"virtual\":\"MCJP8uqwe57YoCvF\"},\"15\":{\"text\":\" \",\"virtual\":\"MCJP8uqwe57YoCvF\"}}},\"8\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"9\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"10\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"11\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"12\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"13\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"14\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"15\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"16\":{\"cells\":{\"1\":{\"style\":43,\"text\":\" \",\"merge\":[7,2],\"virtual\":\"Cror94F1kmbP71ip\"},\"2\":{\"text\":\" \",\"virtual\":\"Cror94F1kmbP71ip\"},\"3\":{\"text\":\" \",\"virtual\":\"Cror94F1kmbP71ip\"},\"4\":{\"text\":\" \",\"virtual\":\"pBOwp0Q0g4iuJCVm\"},\"5\":{\"text\":\" \",\"virtual\":\"pBOwp0Q0g4iuJCVm\"},\"6\":{\"text\":\" \",\"virtual\":\"pBOwp0Q0g4iuJCVm\"},\"7\":{\"text\":\" \",\"virtual\":\"pBOwp0Q0g4iuJCVm\"},\"8\":{\"text\":\" \",\"virtual\":\"rQgkcYfLy4x0EP6h\"},\"9\":{\"text\":\" \",\"virtual\":\"rQgkcYfLy4x0EP6h\"},\"10\":{\"text\":\" \",\"virtual\":\"rQgkcYfLy4x0EP6h\"},\"11\":{\"text\":\" \",\"virtual\":\"rQgkcYfLy4x0EP6h\"},\"12\":{\"text\":\" \",\"virtual\":\"IWoBtyiRxjkEbkfD\"},\"13\":{\"text\":\" \",\"virtual\":\"IWoBtyiRxjkEbkfD\"},\"14\":{\"text\":\" \",\"virtual\":\"IWoBtyiRxjkEbkfD\"},\"15\":{\"text\":\" \",\"virtual\":\"IWoBtyiRxjkEbkfD\"}}},\"17\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"18\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"19\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"20\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"21\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"22\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"23\":{\"cells\":{\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"24\":{\"cells\":{\"1\":{\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"text\":\" \"},\"13\":{\"text\":\" \"},\"14\":{\"text\":\" \"}}},\"len\":98},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1546,\"displayConfig\":{},\"background\":{\"path\":\"https://static.jeecg.com/designreport/images/bg_1606961893275.png\",\"repeat\":\"repeat\",\"width\":\"\",\"height\":\"\"},\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"bold\":true}},{\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\"}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":18}},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":18}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":16}},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":16}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":16},\"align\":\"center\"},{\"font\":{\"name\":\"Microsoft YaHei\",\"size\":16},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\"},{\"align\":\"right\"},{\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":14}},{\"align\":\"right\",\"font\":{\"size\":14}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":12}},{\"align\":\"right\",\"font\":{\"size\":12}},{\"align\":\"center\",\"font\":{\"size\":12}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\",\"font\":{\"size\":12}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":12}},{\"font\":{\"size\":12}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11}},{\"align\":\"right\",\"font\":{\"size\":11}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\",\"font\":{\"size\":11}},{\"align\":\"center\",\"font\":{\"size\":11}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":11}},{\"font\":{\"size\":11}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true}},{\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":16},\"align\":\"center\",\"color\":\"#ffffff\"},{\"color\":\"#ffffff\"},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":22},\"align\":\"center\",\"color\":\"#ffffff\"},{\"color\":\"#ffffff\",\"font\":{\"size\":22}},{\"font\":{\"bold\":true,\"name\":\"Microsoft YaHei\",\"size\":22},\"align\":\"center\",\"color\":\"#000100\"},{\"color\":\"#000100\",\"font\":{\"size\":22}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\",\"font\":{\"size\":11},\"color\":\"#ffffff\"},{\"align\":\"center\",\"font\":{\"size\":11},\"color\":\"#ffffff\"},{\"font\":{\"size\":11},\"color\":\"#ffffff\"},{},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11,\"bold\":false},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":11,\"bold\":false},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":11,\"bold\":true,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"right\",\"font\":{\"size\":11,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":11,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"center\",\"font\":{\"size\":11},\"color\":\"#ffffff\",\"border\":{\"right\":[\"thin\",\"#eee\"]}},{\"align\":\"right\",\"font\":{\"size\":16,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":15,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"center\",\"font\":{\"size\":14},\"color\":\"#ffffff\"},{\"font\":{\"size\":14},\"color\":\"#ffffff\"},{\"align\":\"left\",\"font\":{\"size\":14},\"color\":\"#ffffff\"},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"right\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"宋体\"},\"color\":\"#ffffff\",\"valign\":\"top\"},{\"align\":\"left\",\"font\":{\"size\":14},\"color\":\"#ffffff\",\"valign\":\"top\"},{\"font\":{\"bold\":true,\"name\":\"宋体\",\"size\":22},\"align\":\"center\",\"color\":\"#ffffff\"},{\"color\":\"#ffffff\",\"font\":{\"size\":22,\"name\":\"宋体\"}},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffffff\",\"valign\":\"top\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffffff\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffff01\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffff01\",\"valign\":\"top\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffffff\",\"bgcolor\":\"#ffff01\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffffff\",\"bgcolor\":\"\"},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"color\":\"#ffff01\",\"bgcolor\":\"\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":117},\"3\":{\"width\":140},\"4\":{\"width\":136},\"5\":{\"width\":79},\"6\":{\"width\":1},\"7\":{\"width\":123},\"8\":{\"width\":102},\"9\":{\"width\":24},\"11\":{\"width\":100},\"14\":{\"width\":124},\"len\":50},\"merges\":[\"B2:D16\",\"E8:L16\",\"B17:D24\",\"E17:H24\",\"E2:E4\",\"F2:F4\",\"E5:E7\",\"F5:F7\",\"H2:H4\",\"H5:H7\",\"I5:I7\",\"I2:I4\",\"K2:K4\",\"L2:L4\",\"K5:K7\",\"L5:L7\",\"M17:O24\",\"B1:O1\"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201125161646_1606705892603.png', 'admin', '2020-11-25 15:50:43', 'admin', '2021-04-01 03:37:15', 0, NULL, NULL, 1, 709, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1334378897302753280', '20201203140834', '区域销售表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1334378897302753280\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"区域销售表\",\"merge\":[0,22],\"style\":10},\"2\":{\"style\":10},\"3\":{\"style\":10},\"4\":{\"style\":10},\"5\":{\"style\":10},\"6\":{\"style\":10},\"7\":{\"style\":10},\"8\":{\"style\":10},\"9\":{\"style\":10},\"10\":{\"style\":10},\"11\":{\"style\":10},\"12\":{\"style\":10},\"13\":{\"style\":10},\"14\":{\"style\":10},\"15\":{\"style\":10},\"16\":{\"style\":10},\"17\":{\"style\":10},\"18\":{\"style\":10},\"19\":{\"style\":10},\"20\":{\"style\":10},\"21\":{\"style\":10},\"22\":{\"style\":10},\"23\":{\"style\":10}},\"height\":72},\"1\":{\"cells\":{\"0\":{\"style\":64},\"1\":{\"text\":\"区域\",\"merge\":[1,0],\"style\":65},\"2\":{\"text\":\"省份\",\"merge\":[1,0],\"style\":65},\"3\":{\"text\":\"1月\",\"merge\":[0,2],\"style\":65},\"4\":{\"style\":66,\"text\":\" \"},\"5\":{\"style\":66,\"text\":\" \"},\"6\":{\"text\":\"2月\",\"merge\":[0,2],\"style\":65},\"7\":{\"style\":66,\"text\":\" \"},\"8\":{\"style\":66,\"text\":\" \"},\"9\":{\"text\":\"3月\",\"merge\":[0,2],\"style\":65},\"10\":{\"style\":66,\"text\":\" \"},\"11\":{\"style\":66,\"text\":\" \"},\"12\":{\"text\":\"4月\",\"merge\":[0,2],\"style\":65},\"13\":{\"style\":66,\"text\":\" \"},\"14\":{\"style\":66,\"text\":\" \"},\"15\":{\"text\":\"5月\",\"merge\":[0,2],\"style\":65},\"16\":{\"style\":66,\"text\":\" \"},\"17\":{\"style\":66,\"text\":\" \"},\"18\":{\"text\":\"6月\",\"merge\":[0,2],\"style\":65},\"19\":{\"style\":66,\"text\":\" \"},\"20\":{\"style\":66,\"text\":\" \"},\"21\":{\"text\":\"总合计\",\"merge\":[0,2],\"style\":65},\"22\":{\"style\":66,\"text\":\" \"},\"23\":{\"style\":66,\"text\":\" \"},\"24\":{\"style\":64},\"25\":{\"style\":64}},\"height\":22},\"2\":{\"cells\":{\"0\":{\"style\":64},\"1\":{\"style\":66,\"text\":\" \"},\"2\":{\"style\":65,\"text\":\" \"},\"3\":{\"text\":\"销售额\",\"style\":65},\"4\":{\"text\":\"搭赠\",\"style\":65},\"5\":{\"text\":\"比例\",\"style\":65},\"6\":{\"text\":\"销售额\",\"style\":65},\"7\":{\"text\":\"搭赠\",\"style\":65},\"8\":{\"text\":\"比例\",\"style\":65},\"9\":{\"text\":\"销售额\",\"style\":65},\"10\":{\"text\":\"搭赠\",\"style\":65},\"11\":{\"text\":\"比例\",\"style\":65},\"12\":{\"text\":\"销售额\",\"style\":65},\"13\":{\"text\":\"搭赠\",\"style\":65},\"14\":{\"text\":\"比例\",\"style\":65},\"15\":{\"text\":\"销售额\",\"style\":65},\"16\":{\"text\":\"搭赠\",\"style\":65},\"17\":{\"text\":\"比例\",\"style\":65},\"18\":{\"text\":\"销售额\",\"style\":65},\"19\":{\"text\":\"搭赠\",\"style\":65},\"20\":{\"text\":\"比例\",\"style\":65},\"21\":{\"text\":\"销售额\",\"style\":65},\"22\":{\"text\":\"搭赠\",\"style\":65},\"23\":{\"text\":\"比例\",\"style\":65},\"24\":{\"style\":64},\"25\":{\"style\":64}},\"height\":24},\"3\":{\"cells\":{\"0\":{\"style\":67},\"1\":{\"text\":\"#{quyuxiaoshou.group(region)}\",\"style\":52,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{quyuxiaoshou.province}\",\"style\":53},\"3\":{\"text\":\"#{quyuxiaoshou.sales_1}\",\"style\":17},\"4\":{\"text\":\"#{quyuxiaoshou.gift_1}\",\"style\":17},\"5\":{\"text\":\"#{quyuxiaoshou.proportion_1}\",\"style\":17},\"6\":{\"text\":\"#{quyuxiaoshou.sales_2}\",\"style\":17},\"7\":{\"text\":\"#{quyuxiaoshou.gift_2}\",\"style\":17},\"8\":{\"text\":\"#{quyuxiaoshou.proportion_2}\",\"style\":17},\"9\":{\"text\":\"#{quyuxiaoshou.sales_3}\",\"style\":17},\"10\":{\"text\":\"#{quyuxiaoshou.gift_3}\",\"style\":17},\"11\":{\"text\":\"#{quyuxiaoshou.proportion_3}\",\"style\":17},\"12\":{\"text\":\"#{quyuxiaoshou.sales_4}\",\"style\":17},\"13\":{\"text\":\"#{quyuxiaoshou.gift_4}\",\"style\":17},\"14\":{\"text\":\"#{quyuxiaoshou.proportion_4}\",\"style\":17},\"15\":{\"text\":\"#{quyuxiaoshou.sales_5}\",\"style\":17},\"16\":{\"text\":\"#{quyuxiaoshou.gift_5}\",\"style\":17},\"17\":{\"text\":\"#{quyuxiaoshou.proportion_5}\",\"style\":15},\"18\":{\"text\":\"#{quyuxiaoshou.sales_6}\",\"style\":15},\"19\":{\"text\":\"#{quyuxiaoshou.gift_6}\",\"style\":15},\"20\":{\"text\":\"#{quyuxiaoshou.proportion_6}\",\"style\":15},\"21\":{\"text\":\"#{quyuxiaoshou.sales_z}\",\"style\":15},\"22\":{\"text\":\"#{quyuxiaoshou.gift_z}\",\"style\":15},\"23\":{\"text\":\"#{quyuxiaoshou.proportion_z}\",\"style\":15},\"24\":{\"style\":67},\"25\":{\"style\":67}},\"isDrag\":true,\"height\":56},\"4\":{\"cells\":{\"0\":{\"style\":64},\"1\":{\"style\":39,\"text\":\"总计\",\"merge\":[0,1]},\"3\":{\"style\":68,\"text\":\"=SUM(D4)\"},\"4\":{\"style\":69,\"text\":\"=SUM(E4)\"},\"5\":{\"style\":70,\"text\":\"=SUM(F4)\"},\"6\":{\"style\":69,\"text\":\"=SUM(G4)\"},\"7\":{\"style\":69,\"text\":\"=SUM(H4)\"},\"8\":{\"style\":70,\"text\":\"=SUM(I4)\"},\"9\":{\"style\":69,\"text\":\"=SUM(J4)\"},\"10\":{\"style\":69,\"text\":\"=SUM(K4)\"},\"11\":{\"style\":70,\"text\":\"=SUM(L4)\"},\"12\":{\"style\":69,\"text\":\"=SUM(M4)\"},\"13\":{\"style\":69,\"text\":\"=SUM(N4)\"},\"14\":{\"style\":70,\"text\":\"=SUM(O4)\"},\"15\":{\"style\":69,\"text\":\"=SUM(P4)\"},\"16\":{\"style\":69,\"text\":\"=SUM(Q4)\"},\"17\":{\"style\":70,\"text\":\"=SUM(R4)\"},\"18\":{\"style\":69,\"text\":\"=SUM(S4)\"},\"19\":{\"style\":69,\"text\":\"=SUM(T4)\"},\"20\":{\"style\":70,\"text\":\"=SUM(U4)\"},\"21\":{\"style\":69,\"text\":\"=SUM(V4)\"},\"22\":{\"style\":69,\"text\":\"=SUM(W4)\"},\"23\":{\"style\":69,\"text\":\"=SUM(X4)\"},\"24\":{\"style\":64},\"25\":{\"style\":64}},\"height\":38},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"quyuxiaoshou.region\",\"freeze\":\"A1\",\"dataRectWidth\":1554,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"bgcolor\":\"#02a274\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"bfbfbf\"],\"top\":[\"thin\",\"bfbfbf\"],\"left\":[\"thin\",\"bfbfbf\"],\"right\":[\"thin\",\"bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"bfbfbf\"],\"top\":[\"thin\",\"bfbfbf\"],\"left\":[\"thin\",\"bfbfbf\"],\"right\":[\"thin\",\"bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"隶书\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":true}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":true,\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":true,\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"华文中宋\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Arial\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"number\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":false,\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#aedac8\"},{\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10}},{\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":false,\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#ddefe8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10,\"name\":\"宋体\"}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":false,\"size\":10,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#ddefe8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#262626\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#aedac8\"},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10,\"name\":\"宋体\"}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10,\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":false,\"size\":10,\"name\":\"Microsoft YaHei\"}},{\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"}}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":20},\"1\":{\"width\":84},\"2\":{\"width\":81},\"3\":{\"width\":75},\"4\":{\"width\":63},\"5\":{\"width\":59},\"6\":{\"width\":70},\"7\":{\"width\":57},\"8\":{\"width\":60},\"9\":{\"width\":75},\"10\":{\"width\":66},\"11\":{\"width\":64},\"12\":{\"width\":70},\"13\":{\"width\":61},\"14\":{\"width\":61},\"15\":{\"width\":70},\"16\":{\"width\":58},\"17\":{\"width\":63},\"18\":{\"width\":60},\"19\":{\"width\":63},\"20\":{\"width\":59},\"21\":{\"width\":73},\"22\":{\"width\":69},\"23\":{\"width\":73},\"len\":50},\"merges\":[\"B2:B3\",\"C2:C3\",\"D2:F2\",\"G2:I2\",\"J2:L2\",\"M2:O2\",\"P2:R2\",\"S2:U2\",\"V2:X2\",\"B1:X1\",\"B5:C5\"]}', NULL, 'https://static.jeecg.com/designreport/images/quyu_1607069899537.png', 'admin', '2020-12-03 14:08:34', 'admin', '2021-02-03 13:59:12', 0, NULL, NULL, 1, 447, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1334420681185566722', '202012031408346166', '学校经费一览表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":{\"sri\":7,\"sci\":1,\"eri\":7,\"eci\":2,\"width\":216,\"height\":25},\"printElWidth\":718,\"excel_config_id\":\"1334420681185566722\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"学校经费一览表\",\"merge\":[0,22],\"style\":10},\"2\":{\"style\":10},\"3\":{\"style\":10},\"4\":{\"style\":10},\"5\":{\"style\":10},\"6\":{\"style\":10},\"7\":{\"style\":10},\"8\":{\"style\":10},\"9\":{\"style\":10},\"10\":{\"style\":10},\"11\":{\"style\":10},\"12\":{\"style\":10},\"13\":{\"style\":10},\"14\":{\"style\":10},\"15\":{\"style\":10},\"16\":{\"style\":10},\"17\":{\"style\":10},\"18\":{\"style\":10},\"19\":{\"style\":10},\"20\":{\"style\":10},\"21\":{\"style\":10},\"22\":{\"style\":10},\"23\":{\"style\":10}},\"height\":72},\"1\":{\"cells\":{\"1\":{\"text\":\"学校类别\",\"style\":221,\"merge\":[4,0]},\"2\":{\"merge\":[4,0],\"style\":222,\"text\":\"学校名称\"},\"3\":{\"text\":\"财政教育经费投入（万元）\",\"merge\":[0,8],\"style\":84},\"4\":{\"style\":40,\"text\":\" \"},\"5\":{\"style\":40,\"text\":\" \"},\"6\":{\"style\":40,\"text\":\" \"},\"7\":{\"style\":40,\"text\":\" \"},\"8\":{\"style\":40,\"text\":\" \"},\"9\":{\"style\":40,\"text\":\" \"},\"10\":{\"style\":40,\"text\":\" \"},\"11\":{\"style\":40,\"text\":\" \"},\"12\":{\"text\":\"其他投入\",\"merge\":[0,7],\"style\":84},\"13\":{\"text\":\" \",\"style\":40},\"14\":{\"text\":\" \",\"style\":40},\"15\":{\"text\":\" \",\"style\":40},\"16\":{\"text\":\" \",\"style\":40},\"17\":{\"text\":\" \",\"style\":40},\"18\":{\"text\":\" \",\"style\":40},\"19\":{\"text\":\" \",\"style\":40},\"20\":{\"style\":84,\"text\":\"补充资料\",\"merge\":[0,4]},\"21\":{\"text\":\" \",\"style\":40},\"22\":{\"text\":\" \",\"style\":40},\"23\":{\"text\":\" \",\"style\":40},\"24\":{\"text\":\" \",\"style\":40}},\"height\":28},\"2\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":40},\"2\":{\"style\":222,\"text\":\" \"},\"3\":{\"text\":\"总计\",\"style\":117,\"merge\":[3,0]},\"4\":{\"text\":\"教育事业费\",\"style\":117,\"merge\":[0,6]},\"5\":{\"style\":118,\"text\":\" \"},\"6\":{\"style\":118,\"text\":\" \"},\"7\":{\"style\":118,\"text\":\" \"},\"8\":{\"style\":118,\"text\":\" \"},\"9\":{\"style\":118,\"text\":\" \"},\"10\":{\"style\":118,\"text\":\" \"},\"11\":{\"text\":\"基础拨款\",\"style\":117,\"merge\":[3,0]},\"12\":{\"text\":\"村投入\",\"style\":117,\"merge\":[0,4]},\"13\":{\"text\":\" \",\"style\":223},\"14\":{\"text\":\" \",\"style\":223},\"15\":{\"text\":\" \",\"style\":223},\"16\":{\"text\":\" \",\"style\":223},\"17\":{\"text\":\"社会捐款\",\"style\":117,\"merge\":[0,2]},\"18\":{\"text\":\" \",\"style\":223},\"19\":{\"text\":\" \",\"style\":223},\"20\":{\"style\":126,\"merge\":[0,4],\"text\":\"信息化建设\"},\"21\":{\"style\":122,\"text\":\" \"},\"22\":{\"style\":122,\"text\":\" \"},\"23\":{\"style\":122,\"text\":\" \"},\"24\":{\"style\":122,\"text\":\" \"}},\"height\":24},\"3\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":40},\"2\":{\"style\":222,\"text\":\" \"},\"3\":{\"style\":118,\"text\":\" \"},\"4\":{\"merge\":[0,1],\"text\":\"合计\",\"style\":121},\"5\":{\"style\":122,\"text\":\" \"},\"6\":{\"merge\":[2,0],\"text\":\"人员经费\",\"style\":121},\"7\":{\"merge\":[2,0],\"text\":\"日常公用费用\",\"style\":123},\"8\":{\"merge\":[0,2],\"text\":\"项目经费\",\"style\":121},\"9\":{\"style\":122,\"text\":\" \"},\"10\":{\"style\":122,\"text\":\" \"},\"11\":{\"style\":118,\"text\":\" \"},\"12\":{\"merge\":[2,0],\"text\":\"合计\",\"style\":121},\"13\":{\"merge\":[0,3],\"text\":\"其中\",\"style\":121},\"14\":{\"text\":\" \",\"style\":223},\"15\":{\"text\":\" \",\"style\":223},\"16\":{\"text\":\" \",\"style\":223},\"17\":{\"merge\":[2,0],\"text\":\"合计\",\"style\":121},\"18\":{\"merge\":[0,1],\"text\":\"其中\",\"style\":121},\"19\":{\"style\":122,\"text\":\" \"},\"20\":{\"merge\":[2,0],\"text\":\"本年投入金额（万元）\",\"style\":230},\"21\":{\"merge\":[0,1],\"text\":\"电脑数（台数）\",\"style\":121},\"22\":{\"style\":122,\"text\":\" \"},\"23\":{\"merge\":[0,1],\"text\":\"校园网数（个）\",\"style\":121},\"24\":{\"style\":122,\"text\":\" \"}}},\"4\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":40},\"2\":{\"style\":222,\"text\":\" \"},\"3\":{\"style\":118,\"text\":\" \"},\"4\":{\"merge\":[1,0],\"text\":\"金额\",\"style\":126},\"5\":{\"merge\":[1,0],\"text\":\"比上年增长（%）\",\"style\":127},\"6\":{\"style\":122,\"text\":\" \"},\"7\":{\"style\":123,\"text\":\" \"},\"8\":{\"merge\":[1,0],\"text\":\"合计\",\"style\":121},\"9\":{\"merge\":[0,1],\"text\":\"其中\",\"style\":121},\"10\":{\"style\":122,\"text\":\" \"},\"11\":{\"style\":118,\"text\":\" \"},\"12\":{\"style\":121,\"text\":\" \"},\"13\":{\"merge\":[1,0],\"text\":\"人员经费\",\"style\":131},\"14\":{\"merge\":[1,0],\"text\":\"日常公用费用\",\"style\":131},\"15\":{\"merge\":[1,0],\"text\":\"项目经费\",\"style\":131},\"16\":{\"merge\":[1,0],\"text\":\"基建投入\",\"style\":131},\"17\":{\"style\":121,\"text\":\" \"},\"18\":{\"merge\":[1,0],\"text\":\"项目经费\",\"style\":131},\"19\":{\"merge\":[1,0],\"text\":\"基础投入\",\"style\":131},\"20\":{\"style\":231,\"text\":\" \"},\"21\":{\"merge\":[1,0],\"text\":\"合计\",\"style\":121},\"22\":{\"merge\":[1,0],\"text\":\"本年购置数\",\"style\":121},\"23\":{\"style\":121,\"merge\":[1,0],\"text\":\"合计\"},\"24\":{\"merge\":[1,0],\"text\":\"本年建成数\",\"style\":121}}},\"5\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":40},\"2\":{\"style\":222,\"text\":\" \"},\"3\":{\"style\":118,\"text\":\" \"},\"4\":{\"style\":126,\"text\":\" \"},\"5\":{\"style\":129,\"text\":\" \"},\"6\":{\"style\":121,\"text\":\" \"},\"7\":{\"style\":130,\"text\":\" \"},\"8\":{\"style\":121,\"text\":\" \"},\"9\":{\"text\":\"标准化建设\",\"style\":131},\"10\":{\"text\":\"信息化建设\",\"style\":121},\"11\":{\"style\":118,\"text\":\" \"},\"12\":{\"style\":121,\"text\":\" \"},\"13\":{\"text\":\" \",\"style\":223},\"14\":{\"style\":131,\"text\":\" \"},\"15\":{\"text\":\" \",\"style\":223},\"16\":{\"style\":131,\"text\":\" \"},\"17\":{\"style\":121,\"text\":\" \"},\"18\":{\"text\":\" \",\"style\":223},\"19\":{\"style\":131,\"text\":\" \"},\"20\":{\"style\":231,\"text\":\" \"},\"21\":{\"style\":121,\"text\":\" \"},\"22\":{\"style\":122,\"text\":\" \"},\"23\":{\"style\":131,\"text\":\" \"},\"24\":{\"style\":122,\"text\":\" \"}}},\"6\":{\"cells\":{\"0\":{\"style\":236},\"1\":{\"text\":\"#{laiyuan.group(class)}\",\"style\":233,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{laiyuan.school}\",\"style\":234},\"3\":{\"style\":15,\"text\":\"=SUM(E7,I7)\"},\"4\":{\"style\":15,\"text\":\"=SUM(G7,H7)\"},\"5\":{\"text\":\"#{laiyuan.lv}\",\"style\":12},\"6\":{\"text\":\"#{laiyuan.renyuan_jy}\",\"style\":12},\"7\":{\"text\":\"#{laiyuan.richang_jy}\",\"style\":12},\"8\":{\"style\":12,\"text\":\"=SUM(J7,K7)\"},\"9\":{\"text\":\"#{laiyuan.biaozhun_jy}\",\"style\":12},\"10\":{\"text\":\"#{laiyuan.xinxi_jy}\",\"style\":12},\"11\":{\"text\":\"#{laiyuan.jichubokuan_jy}\",\"style\":12},\"12\":{\"style\":12,\"text\":\"=SUM(N7,O7)\"},\"13\":{\"text\":\"#{laiyuan.renyuan_ct}\",\"style\":12},\"14\":{\"text\":\"#{laiyuan.richang_ct}\",\"style\":12},\"15\":{\"text\":\"#{laiyuan.xiangmu_ct}\",\"style\":12},\"16\":{\"text\":\"#{laiyuan.jichubokuan_ct}\",\"style\":12},\"17\":{\"style\":12,\"text\":\"=SUM(S7,T7)\"},\"18\":{\"text\":\"#{laiyuan.xiangmu_sh}\",\"style\":12},\"19\":{\"text\":\"#{laiyuan.jichubokuan_sh}\",\"style\":12},\"20\":{\"style\":12,\"text\":\"=SUM(V7,X7)\"},\"21\":{\"style\":12,\"text\":\"#{laiyuan.diannao}\"},\"22\":{\"text\":\"#{laiyuan.diannao}\",\"style\":12},\"23\":{\"style\":12,\"text\":\"#{laiyuan.xiaoyuanwang}\"},\"24\":{\"text\":\"#{laiyuan.xiaoyuanwang}\",\"style\":12},\"25\":{\"style\":236}},\"isDrag\":true},\"7\":{\"cells\":{\"1\":{\"text\":\"总计\",\"style\":226,\"rendered\":\"\",\"merge\":[0,1]},\"3\":{\"style\":228,\"text\":\"=SUM(D7)\"},\"4\":{\"style\":228,\"text\":\"=SUM(E7)\"},\"5\":{\"style\":228,\"text\":\"\"},\"6\":{\"style\":228,\"text\":\"=SUM(G7)\"},\"7\":{\"style\":228,\"text\":\"=SUM(H7)\"},\"8\":{\"style\":228,\"text\":\"=SUM(I7)\"},\"9\":{\"style\":228,\"text\":\"=SUM(J7)\"},\"10\":{\"style\":228,\"text\":\"=SUM(K7)\"},\"11\":{\"style\":228,\"text\":\"=SUM(L7)\"},\"12\":{\"style\":228,\"text\":\"=SUM(M7)\"},\"13\":{\"style\":229,\"text\":\"=SUM(N7)\"},\"14\":{\"style\":229,\"text\":\"=SUM(O7)\"},\"15\":{\"style\":229,\"text\":\"=SUM(P7)\"},\"16\":{\"style\":229,\"text\":\"=SUM(Q7)\"},\"17\":{\"style\":229,\"text\":\"=SUM(R7)\"},\"18\":{\"style\":229,\"text\":\"=SUM(S7)\"},\"19\":{\"style\":229,\"text\":\"=SUM(T7)\"},\"20\":{\"style\":229,\"text\":\"=SUM(U7)\"},\"21\":{\"style\":229,\"text\":\"=SUM(V8)\"},\"22\":{\"style\":229,\"text\":\"=SUM(W7)\"},\"23\":{\"style\":232,\"text\":\"=SUM(X7)\"},\"24\":{\"style\":229,\"text\":\"=SUM(Y7)\"}}},\"9\":{\"cells\":{\"4\":{\"lineStart\":\"leftbottom\",\"text\":\"\"}}},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"laiyuan.class\",\"freeze\":\"A1\",\"dataRectWidth\":1738,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"bgcolor\":\"#02a274\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"bfbfbf\"],\"top\":[\"thin\",\"bfbfbf\"],\"left\":[\"thin\",\"bfbfbf\"],\"right\":[\"thin\",\"bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"bfbfbf\"],\"top\":[\"thin\",\"bfbfbf\"],\"left\":[\"thin\",\"bfbfbf\"],\"right\":[\"thin\",\"bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"隶书\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":true}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":true,\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":true,\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"华文中宋\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Arial\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"number\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"font\":{\"bold\":false,\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"color\":\"#262626\",\"bgcolor\":\"#aedac8\"},{\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\",\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10}},{\"font\":{\"size\":10},\"bgcolor\":\"#aedac8\"},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":9}},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":9},\"align\":\"center\"},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#ffffff\"},{\"textwrap\":true},{\"textwrap\":true,\"font\":{\"size\":9}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"#02a274\"},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"color\":\"#000100\"},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"#02a274\",\"color\":\"#000100\"},{\"bgcolor\":\"\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"\",\"color\":\"#000100\"},{\"align\":\"center\",\"bgcolor\":\"\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"color\":\"#000100\",\"bgcolor\":\"\"},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\"},{\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\"},{\"textwrap\":true,\"align\":\"center\"},{\"font\":{\"size\":9},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"bgcolor\":\"\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"font\":{\"size\":9},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"bgcolor\":\"\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"font\":{\"size\":9},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"bgcolor\":\"\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#756f6f\"],\"top\":[\"thin\",\"#756f6f\"],\"left\":[\"thin\",\"#756f6f\"],\"right\":[\"thin\",\"#756f6f\"]}},{\"align\":\"center\",\"bgcolor\":\"\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"bgcolor\":\"\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10}},{\"color\":\"#000100\",\"font\":{\"size\":10}},{\"color\":\"#000100\",\"bgcolor\":\"\",\"font\":{\"size\":10}},{\"font\":{\"size\":10},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"font\":{\"size\":10},\"align\":\"center\"},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":10}},{\"bgcolor\":\"\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"bgcolor\":\"\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#000100\"},{\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"color\":\"#000100\",\"bgcolor\":\"\",\"align\":\"center\"},{\"font\":{\"size\":10},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"bgcolor\":\"\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"color\":\"#000100\",\"bgcolor\":\"\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10}},{\"color\":\"#000100\",\"font\":{\"size\":10},\"bgcolor\":\"#\"},{\"align\":\"center\",\"bgcolor\":\"#\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"bgcolor\":\"#\"},{\"font\":{\"size\":10},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"font\":{\"size\":10},\"align\":\"center\",\"bgcolor\":\"#\"},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"align\":\"center\",\"bgcolor\":\"#\"},{\"bgcolor\":\"#\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"#\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"#\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":10},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#\"},{\"align\":\"center\",\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":10}},{\"color\":\"#000100\",\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"bold\":false,\"size\":9}},{\"bgcolor\":\"#ddefe8\"},{\"font\":{\"size\":10},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"font\":{\"size\":10},\"align\":\"center\",\"bgcolor\":\"#ddefe8\"},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"align\":\"center\",\"bgcolor\":\"#ddefe8\"},{\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"textwrap\":true,\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10},\"bgcolor\":\"#ddefe8\"},{\"color\":\"#000100\",\"bgcolor\":\"#fffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#fffff\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fffff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fffff\"},{\"textwrap\":true,\"bgcolor\":\"#fffff\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fffff\"},{\"color\":\"#000100\",\"bgcolor\":\"#ffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#ffff\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffff\"},{\"textwrap\":true,\"bgcolor\":\"#ffff\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffff\"},{\"color\":\"#000100\",\"bgcolor\":\"#fff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#fff\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fff\"},{\"textwrap\":true,\"bgcolor\":\"#fff\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#fff\"},{\"color\":\"#000100\",\"bgcolor\":\"#ff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#ff\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ff\"},{\"textwrap\":true,\"bgcolor\":\"#ff\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ff\"},{\"color\":\"#000100\",\"bgcolor\":\"#f\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#f\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f\"},{\"textwrap\":true,\"bgcolor\":\"#f\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f\"},{\"color\":\"#000100\",\"bgcolor\":\"#\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"textwrap\":true,\"bgcolor\":\"#\"},{\"color\":\"#000100\",\"bgcolor\":\"#ddefe8\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"textwrap\":true,\"bgcolor\":\"#ddefe8\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"color\":\"#000100\",\"font\":{\"size\":9},\"bgcolor\":\"#ddefe8\"},{\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"font\":{\"size\":9},\"align\":\"center\",\"bgcolor\":\"#ddefe8\"},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"bgcolor\":\"#ddefe8\"},{\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"textwrap\":true,\"font\":{\"size\":9},\"bgcolor\":\"#ddefe8\",\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"textwrap\":true,\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":9},\"bgcolor\":\"#ddefe8\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"textwrap\":true,\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\"},{\"bgcolor\":\"#aedac8\"},{\"bgcolor\":\"#fffff\"},{\"bgcolor\":\"#ffff\"},{\"bgcolor\":\"#fff\"},{\"bgcolor\":\"#ff\"},{\"bgcolor\":\"#f\"},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Arial\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"bold\":false,\"size\":9}},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":9},\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"aedac8\"},{\"align\":\"center\",\"bgcolor\":\"aedac8\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"color\":\"#ffffff\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"color\":\"#ffffff\",\"font\":{\"size\":9}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":9}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"##aedac8\"},{\"bgcolor\":\"##aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8},\"align\":\"center\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":9}},{\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8}},{\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8},\"align\":\"left\"},{\"bgcolor\":\"#aedac8\",\"font\":{\"size\":8},\"align\":\"left\",\"valign\":\"middle\"},{\"align\":\"center\",\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"bold\":false,\"size\":10}},{\"bgcolor\":\"#02a274\",\"font\":{\"size\":10},\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"color\":\"#000100\",\"font\":{\"size\":10}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10},\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10}},{\"textwrap\":true,\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10}},{\"bgcolor\":\"#aedac8\",\"font\":{\"size\":10},\"align\":\"left\",\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"font\":{\"size\":9},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"font\":{\"size\":8}}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":20},\"1\":{\"width\":84},\"2\":{\"width\":132},\"3\":{\"width\":75},\"4\":{\"width\":63},\"5\":{\"width\":59},\"6\":{\"width\":70},\"7\":{\"width\":61},\"8\":{\"width\":60},\"9\":{\"width\":75},\"10\":{\"width\":75},\"11\":{\"width\":64},\"12\":{\"width\":70},\"13\":{\"width\":63},\"14\":{\"width\":86},\"15\":{\"width\":64},\"16\":{\"width\":58},\"17\":{\"width\":63},\"18\":{\"width\":60},\"19\":{\"width\":63},\"20\":{\"width\":59},\"21\":{\"width\":73},\"22\":{\"width\":82},\"23\":{\"width\":73},\"24\":{\"width\":86},\"len\":50},\"merges\":[\"B1:X1\",\"D3:D6\",\"E5:E6\",\"F5:F6\",\"E4:F4\",\"G4:G6\",\"H4:H6\",\"I5:I6\",\"J5:K5\",\"I4:K4\",\"E3:K3\",\"L3:L6\",\"D2:L2\",\"M4:M6\",\"N5:N6\",\"O5:O6\",\"P5:P6\",\"Q5:Q6\",\"N4:Q4\",\"M3:Q3\",\"R4:R6\",\"R3:T3\",\"S4:T4\",\"S5:S6\",\"T5:T6\",\"U4:U6\",\"V4:W4\",\"V5:V6\",\"W5:W6\",\"X4:Y4\",\"X5:X6\",\"Y5:Y6\",\"U3:Y3\",\"M2:T2\",\"U2:Y2\",\"B2:B6\",\"C2:C6\",\"B8:C8\"]}', NULL, 'https://static.jeecg.com/designreport/images/jingfei_1607069843358.png', 'admin', '2020-12-03 16:54:17', 'admin', '2021-02-03 13:59:08', 0, NULL, NULL, 1, 440, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1334457419857793024', '20201203192154', '超市各地区销售额', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":{\"sri\":1,\"sci\":26,\"eri\":4,\"eci\":28,\"width\":300,\"height\":100},\"excel_config_id\":\"1334457419857793024\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"各地区商品销售额一栏表\",\"merge\":[0,18],\"style\":13}},\"height\":82},\"1\":{\"cells\":{\"1\":{\"text\":\"地区/类别/时间\",\"merge\":[1,1],\"style\":46},\"3\":{\"text\":\"2020年\",\"style\":46,\"merge\":[0,12]},\"16\":{\"text\":\"2019年\",\"style\":46,\"merge\":[0,9]}}},\"2\":{\"cells\":{\"3\":{\"text\":\"12月\",\"style\":46},\"4\":{\"text\":\"11月\",\"style\":46},\"5\":{\"text\":\"10月\",\"style\":46},\"6\":{\"text\":\"9月\",\"style\":46},\"7\":{\"text\":\"8月\",\"style\":46},\"8\":{\"text\":\"7月\",\"style\":46},\"9\":{\"text\":\"6月\",\"style\":46},\"10\":{\"text\":\"5月\",\"style\":46},\"11\":{\"text\":\"4月\",\"style\":46},\"12\":{\"text\":\"3月\",\"style\":46},\"13\":{\"text\":\"2月\",\"style\":46},\"14\":{\"text\":\"1月\",\"style\":46},\"15\":{\"text\":\"本年小计\",\"style\":46},\"16\":{\"text\":\"12月\",\"style\":46},\"17\":{\"text\":\"11月\",\"style\":46},\"18\":{\"text\":\"10月\",\"style\":46},\"19\":{\"text\":\"9月\",\"style\":46},\"20\":{\"text\":\"8月\",\"style\":46},\"21\":{\"text\":\"7月\",\"style\":46},\"22\":{\"text\":\"6月\",\"style\":46},\"23\":{\"text\":\"5月\",\"style\":46},\"24\":{\"text\":\"4月\",\"style\":46},\"25\":{\"text\":\"本年小计\",\"style\":46}}},\"3\":{\"cells\":{\"1\":{\"text\":\"#{xiaoshou.group(diqu)}\",\"style\":51,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{xiaoshou.class}\",\"style\":51},\"3\":{\"text\":\"#{xiaoshou.sales_11}\",\"style\":20},\"4\":{\"text\":\"#{xiaoshou.sales_12}\",\"style\":20},\"5\":{\"text\":\"#{xiaoshou.sales_13}\",\"style\":20},\"6\":{\"text\":\"#{xiaoshou.sales_14}\",\"style\":20},\"7\":{\"text\":\"#{xiaoshou.sales_15}\",\"style\":20},\"8\":{\"text\":\"#{xiaoshou.sales_16}\",\"style\":20},\"9\":{\"text\":\"#{xiaoshou.sales_17}\",\"style\":20},\"10\":{\"text\":\"#{xiaoshou.sales_18}\",\"style\":20},\"11\":{\"text\":\"#{xiaoshou.sales_19}\",\"style\":20},\"12\":{\"text\":\"#{xiaoshou.sales_20}\",\"style\":20},\"13\":{\"text\":\"#{xiaoshou.sales_21}\",\"style\":20},\"14\":{\"text\":\"#{xiaoshou.sales_22}\",\"style\":20},\"15\":{\"style\":48,\"text\":\"=SUM(D4:O4)\"},\"16\":{\"text\":\"#{xiaoshou.sales_31}\",\"style\":20},\"17\":{\"text\":\"#{xiaoshou.sales_32}\",\"style\":20},\"18\":{\"text\":\"#{xiaoshou.sales_33}\",\"style\":20},\"19\":{\"text\":\"#{xiaoshou.sales_34}\",\"style\":20},\"20\":{\"text\":\"#{xiaoshou.sales_35}\",\"style\":20},\"21\":{\"text\":\"#{xiaoshou.sales_36}\",\"style\":20},\"22\":{\"text\":\"#{xiaoshou.sales_37}\",\"style\":20},\"23\":{\"text\":\"#{xiaoshou.sales_38}\",\"style\":20},\"24\":{\"text\":\"#{xiaoshou.sales_39}\",\"style\":20},\"25\":{\"style\":48,\"text\":\"=SUM(Q4:Y4)\"}},\"isDrag\":true},\"4\":{\"cells\":{\"1\":{\"text\":\"合计\",\"style\":52,\"rendered\":\"\",\"merge\":[0,1]},\"3\":{\"text\":\"=SUM(D4)\",\"style\":55},\"4\":{\"text\":\"=SUM(E4)\",\"style\":55},\"5\":{\"text\":\"=SUM(F4)\",\"style\":55},\"6\":{\"text\":\"=SUM(G4)\",\"style\":55},\"7\":{\"text\":\"=SUM(H4)\",\"style\":55},\"8\":{\"text\":\"=SUM(I4)\",\"style\":55},\"9\":{\"text\":\"=SUM(J4)\",\"style\":55},\"10\":{\"text\":\"=SUM(K4)\",\"style\":55},\"11\":{\"text\":\"=SUM(L4)\",\"style\":55},\"12\":{\"text\":\"=SUM(M4)\",\"style\":55},\"13\":{\"text\":\"=SUM(N4)\",\"style\":55},\"14\":{\"text\":\"=SUM(O4)\",\"style\":55},\"15\":{\"text\":\"=SUM(P4)\",\"style\":55},\"16\":{\"text\":\"=SUM(Q4)\",\"style\":55},\"17\":{\"text\":\"=SUM(R4)\",\"style\":55},\"18\":{\"text\":\"=SUM(S4)\",\"style\":55},\"19\":{\"text\":\"=SUM(T4)\",\"style\":55},\"20\":{\"text\":\"=SUM(U4)\",\"style\":55},\"21\":{\"text\":\"=SUM(V4)\",\"style\":55},\"22\":{\"text\":\"=SUM(W4)\",\"style\":55},\"23\":{\"text\":\"=SUM(X4)\",\"style\":55},\"24\":{\"text\":\"=SUM(Y4)\",\"style\":55},\"25\":{\"text\":\"=SUM(Z4)\",\"style\":55}},\"isDrag\":true},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"xiaoshou.diqu\",\"freeze\":\"A1\",\"dataRectWidth\":2464,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"bgcolor\":\"#\"},{\"bgcolor\":\"#d7f2f9\"},{\"bgcolor\":\"#d7f2f9\",\"align\":\"center\"},{\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#\"},{\"bgcolor\":\"#d7f2f9\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"2896ea\"],\"top\":[\"thin\",\"2896ea\"],\"left\":[\"thin\",\"2896ea\"],\"right\":[\"thin\",\"2896ea\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"2896ea\"],\"top\":[\"thin\",\"2896ea\"],\"left\":[\"thin\",\"2896ea\"],\"right\":[\"thin\",\"2896ea\"]}},{\"border\":{\"bottom\":[\"thin\",\"2896ea\"],\"top\":[\"thin\",\"2896ea\"],\"left\":[\"thin\",\"2896ea\"],\"right\":[\"thin\",\"2896ea\"]}},{\"bgcolor\":\"#d7f2f9\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]}},{\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":true,\"size\":16}},{\"font\":{\"bold\":true,\"size\":16},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]},\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#2896ea\"],\"top\":[\"thin\",\"#2896ea\"],\"left\":[\"thin\",\"#2896ea\"],\"right\":[\"thin\",\"#2896ea\"]}},{\"bgcolor\":\"#5b9cd6\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#9cc2e6\"],\"top\":[\"thin\",\"#9cc2e6\"],\"left\":[\"thin\",\"#9cc2e6\"],\"right\":[\"thin\",\"#9cc2e6\"]}},{\"border\":{\"bottom\":[\"thin\",\"#9cc2e6\"],\"top\":[\"thin\",\"#9cc2e6\"],\"left\":[\"thin\",\"#9cc2e6\"],\"right\":[\"thin\",\"#9cc2e6\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#9cc2e6\"],\"top\":[\"thin\",\"#9cc2e6\"],\"left\":[\"thin\",\"#9cc2e6\"],\"right\":[\"thin\",\"#9cc2e6\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]}},{\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#e7e5e6\"],\"top\":[\"thin\",\"#e7e5e6\"],\"left\":[\"thin\",\"#e7e5e6\"],\"right\":[\"thin\",\"#e7e5e6\"]}},{\"border\":{\"bottom\":[\"thin\",\"#e7e5e6\"],\"top\":[\"thin\",\"#e7e5e6\"],\"left\":[\"thin\",\"#e7e5e6\"],\"right\":[\"thin\",\"#e7e5e6\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#e7e5e6\"],\"top\":[\"thin\",\"#e7e5e6\"],\"left\":[\"thin\",\"#e7e5e6\"],\"right\":[\"thin\",\"#e7e5e6\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d0cecf\"],\"top\":[\"thin\",\"#d0cecf\"],\"left\":[\"thin\",\"#d0cecf\"],\"right\":[\"thin\",\"#d0cecf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#d0cecf\"],\"top\":[\"thin\",\"#d0cecf\"],\"left\":[\"thin\",\"#d0cecf\"],\"right\":[\"thin\",\"#d0cecf\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#d0cecf\"],\"top\":[\"thin\",\"#d0cecf\"],\"left\":[\"thin\",\"#d0cecf\"],\"right\":[\"thin\",\"#d0cecf\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d0cecf\"],\"top\":[\"thin\",\"#d0cecf\"],\"left\":[\"thin\",\"#d0cecf\"],\"right\":[\"thin\",\"#d0cecf\"]},\"color\":\"#ffffff\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#afabac\"],\"top\":[\"thin\",\"#afabac\"],\"left\":[\"thin\",\"#afabac\"],\"right\":[\"thin\",\"#afabac\"]},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#afabac\"],\"top\":[\"thin\",\"#afabac\"],\"left\":[\"thin\",\"#afabac\"],\"right\":[\"thin\",\"#afabac\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#afabac\"],\"top\":[\"thin\",\"#afabac\"],\"left\":[\"thin\",\"#afabac\"],\"right\":[\"thin\",\"#afabac\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#f2f2f2\"],\"top\":[\"thin\",\"#f2f2f2\"],\"left\":[\"thin\",\"#f2f2f2\"],\"right\":[\"thin\",\"#f2f2f2\"]},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#f2f2f2\"],\"top\":[\"thin\",\"#f2f2f2\"],\"left\":[\"thin\",\"#f2f2f2\"],\"right\":[\"thin\",\"#f2f2f2\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#f2f2f2\"],\"top\":[\"thin\",\"#f2f2f2\"],\"left\":[\"thin\",\"#f2f2f2\"],\"right\":[\"thin\",\"#f2f2f2\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\"},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":8},\"align\":\"center\",\"bgcolor\":\"#d7f2f9\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\",\"bgcolor\":\"#deeaf6\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":8},\"align\":\"center\",\"format\":\"number\",\"bgcolor\":\"#bdd7ee\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":10},\"align\":\"center\",\"bgcolor\":\"#d7f2f9\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"font\":{\"size\":9},\"align\":\"center\",\"bgcolor\":\"#d7f2f9\"},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\"},{\"bgcolor\":\"#bdd7ee\"},{\"bgcolor\":\"#bdd7ee\",\"format\":\"number\"},{\"bgcolor\":\"#bdd7ee\",\"format\":\"number\",\"align\":\"center\"}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":21},\"1\":{\"width\":63},\"2\":{\"width\":85},\"3\":{\"width\":95},\"4\":{\"width\":83},\"5\":{\"width\":81},\"6\":{\"width\":88},\"7\":{\"width\":89},\"8\":{\"width\":87},\"9\":{\"width\":95},\"10\":{\"width\":92},\"11\":{\"width\":95},\"12\":{\"width\":96},\"13\":{\"width\":98},\"14\":{\"width\":98},\"15\":{\"width\":78},\"16\":{\"width\":110},\"17\":{\"width\":111},\"18\":{\"width\":102},\"19\":{\"width\":102},\"20\":{\"width\":114},\"21\":{\"width\":111},\"22\":{\"width\":113},\"23\":{\"width\":107},\"24\":{\"width\":115},\"25\":{\"width\":135},\"len\":49},\"merges\":[\"D2:P2\",\"B2:C3\",\"Q2:Z2\",\"B1:T1\",\"B5:C5\"]}', NULL, 'https://static.jeecg.com/designreport/images/chaoshi_1607069609875.png', 'admin', '2020-12-03 19:21:55', 'admin', '2021-04-05 18:47:20', 0, NULL, NULL, 1, 373, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1334696790477377536', '20201204111149', '学校收入一览表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":{\"sri\":1,\"sci\":24,\"eri\":5,\"eci\":24,\"width\":100,\"height\":138},\"excel_config_id\":\"1334696790477377536\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"学校收入一览表\",\"merge\":[0,13],\"style\":25}},\"height\":71},\"1\":{\"cells\":{\"1\":{\"text\":\"校园信息\",\"merge\":[1,2],\"style\":40},\"4\":{\"text\":\"学生信息\",\"merge\":[1,2],\"style\":40},\"7\":{\"merge\":[1,5],\"style\":42,\"text\":\"收款信息\"},\"13\":{\"merge\":[0,10],\"text\":\"确认收入信息\",\"style\":43}},\"height\":23},\"2\":{\"cells\":{\"13\":{\"merge\":[0,3],\"text\":\"2020.09\",\"style\":46},\"17\":{\"merge\":[0,3],\"text\":\"2020.10\",\"style\":46},\"21\":{\"text\":\"合计\",\"style\":46,\"merge\":[0,2]}},\"height\":40},\"3\":{\"cells\":{\"1\":{\"text\":\"所属城际\",\"style\":50},\"2\":{\"text\":\"所属校园\",\"style\":50},\"3\":{\"text\":\"NC帐套\",\"style\":50},\"4\":{\"text\":\"学号\",\"style\":50},\"5\":{\"text\":\"姓名\",\"style\":50},\"6\":{\"text\":\"性质\",\"style\":50},\"7\":{\"text\":\"缴费金额\",\"style\":50},\"8\":{\"text\":\"缴费时间\",\"style\":50},\"9\":{\"text\":\"缴费性质\",\"style\":50},\"10\":{\"text\":\"缴费所属期间\",\"style\":50},\"11\":{\"text\":\"缴费月份数\",\"style\":50},\"12\":{\"text\":\"缴费方式\",\"style\":50},\"13\":{\"text\":\"全部\",\"style\":50},\"14\":{\"text\":\"学费\",\"style\":50},\"15\":{\"text\":\"餐费\",\"style\":50},\"16\":{\"text\":\"校车费\",\"style\":50},\"17\":{\"text\":\"全部\",\"style\":50},\"18\":{\"text\":\"学费\",\"style\":50},\"19\":{\"text\":\"餐费\",\"style\":50},\"20\":{\"text\":\"校车费\",\"style\":50},\"21\":{\"text\":\"全部\",\"style\":50},\"22\":{\"text\":\"学费\",\"style\":50},\"23\":{\"text\":\"餐费\",\"style\":50}}},\"4\":{\"cells\":{\"1\":{\"text\":\"#{shouru.group(city)}\",\"style\":45,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{shouru.group(school)}\",\"style\":45,\"aggregate\":\"group\"},\"3\":{\"text\":\"#{shouru.group(ncnum)}\",\"style\":35,\"aggregate\":\"group\"},\"4\":{\"text\":\"#{shouru.num}\",\"style\":35},\"5\":{\"text\":\"#{shouru.name}\",\"style\":35},\"6\":{\"text\":\"#{shouru.class}\",\"style\":35},\"7\":{\"text\":\"#{shouru.pay}\",\"style\":35},\"8\":{\"text\":\"#{shouru.paytime}\",\"style\":35},\"9\":{\"text\":\"#{shouru.payclass}\",\"style\":35},\"10\":{\"text\":\"#{shouru.pay1}\",\"style\":35},\"11\":{\"text\":\"#{shouru.paymoth}\",\"style\":35},\"12\":{\"text\":\"#{shouru.pay2}\",\"style\":35},\"13\":{\"style\":33,\"text\":\"=SUM(O5:Q5)\"},\"14\":{\"text\":\"#{shouru.tuition_09}\",\"style\":35},\"15\":{\"text\":\"#{shouru.meals_09}\",\"style\":35},\"16\":{\"text\":\"#{shouru.busfee_09}\",\"style\":35},\"17\":{\"style\":33,\"text\":\"=SUM(S5:U5)\"},\"18\":{\"text\":\"#{shouru.tuition_10}\",\"style\":35},\"19\":{\"text\":\"#{shouru.meals_10}\",\"style\":35},\"20\":{\"text\":\"#{shouru.busfee_10}\",\"style\":35},\"21\":{\"style\":33,\"text\":\"=SUM(W5,X5)\"},\"22\":{\"style\":35,\"text\":\"=SUM(O5,S5)\"},\"23\":{\"style\":35,\"text\":\"=SUM(P5,T5)\"}},\"isDrag\":true,\"height\":25},\"5\":{\"cells\":{\"1\":{\"style\":66,\"text\":\"合计\"},\"2\":{\"text\":\" \",\"style\":66},\"3\":{\"style\":66,\"text\":\" \"},\"4\":{\"style\":66,\"text\":\" \"},\"5\":{\"style\":66,\"text\":\" \"},\"6\":{\"style\":66,\"text\":\" \"},\"7\":{\"style\":66,\"text\":\" \"},\"8\":{\"style\":66,\"text\":\" \"},\"9\":{\"style\":66,\"text\":\" \"},\"10\":{\"style\":66,\"text\":\" \"},\"11\":{\"style\":66,\"text\":\" \"},\"12\":{\"style\":66,\"text\":\" \"},\"13\":{\"style\":66,\"text\":\" \"},\"14\":{\"style\":66,\"text\":\" \"},\"15\":{\"style\":66,\"text\":\" \"},\"16\":{\"style\":66,\"text\":\" \"},\"17\":{\"style\":66,\"text\":\" \"},\"18\":{\"text\":\" \",\"style\":66},\"19\":{\"style\":66,\"text\":\" \"},\"20\":{\"style\":66,\"text\":\" \"},\"21\":{\"style\":15,\"text\":\"=SUM(V5)\"},\"22\":{\"style\":15,\"text\":\"=SUM(W5)\"},\"23\":{\"style\":15,\"text\":\"=SUM(X5)\"}}},\"9\":{\"cells\":{}},\"11\":{\"cells\":{}},\"len\":101},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"shouru.city\",\"freeze\":\"A1\",\"dataRectWidth\":1881,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\"},{\"bgcolor\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"font\":{\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\",\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"font\":{\"size\":9}},{\"align\":\"center\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"#dff2f9\"},{\"bgcolor\":\"\"},{\"bgcolor\":\"#309fc6\"},{\"align\":\"center\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#dff2f9\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#b2ddec\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#dff2f9\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"b2ddec\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"￥b2ddec\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#b2ddec\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#dff2f9\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#dff2f9\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":9}},{\"align\":\"center\",\"bgcolor\":\"\",\"color\":\"#ffffff\",\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#d7f2f9\",\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#d7f2f9\",\"font\":{\"size\":8},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":8},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"font\":{\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":10}},{\"align\":\"center\",\"bgcolor\":\"#d7f2f9\",\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":10}},{\"font\":{\"size\":12}},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":12}},{\"align\":\"center\",\"bgcolor\":\"#d7f2f9\",\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":12}},{\"font\":{\"size\":10.5}},{\"align\":\"center\",\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":10.5},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"center\",\"font\":{\"size\":10.5}},{\"align\":\"center\",\"bgcolor\":\"#d7f2f9\",\"font\":{\"size\":10.5},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":10.5}},{\"align\":\"left\",\"bgcolor\":\"#b2ddec\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"align\":\"left\"}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":37},\"1\":{\"width\":79},\"2\":{\"width\":87},\"3\":{\"width\":79},\"4\":{\"width\":92},\"5\":{\"width\":90},\"6\":{\"width\":77},\"7\":{\"width\":83},\"8\":{\"width\":89},\"9\":{\"width\":79},\"10\":{\"width\":89},\"11\":{\"width\":84},\"12\":{\"width\":76},\"13\":{\"width\":67},\"14\":{\"width\":74},\"15\":{\"width\":69},\"16\":{\"width\":74},\"17\":{\"width\":68},\"18\":{\"width\":76},\"19\":{\"width\":79},\"20\":{\"width\":78},\"21\":{\"width\":74},\"22\":{\"width\":81},\"len\":49},\"merges\":[\"B2:D3\",\"E2:G3\",\"H2:M3\",\"N3:Q3\",\"R3:U3\",\"V3:X3\",\"N2:X2\",\"B1:O1\"]}', NULL, 'https://static.jeecg.com/designreport/images/xuexiao_1607069724407.png', 'admin', '2020-12-04 11:11:50', 'admin', '2021-04-01 02:46:23', 0, NULL, NULL, 1, 431, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1334757703079301120', '20201204151358', '车间零件完工一览表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1334757703079301120\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"车间零件完工一览表\",\"merge\":[0,12],\"style\":23}},\"height\":81},\"1\":{\"cells\":{\"0\":{\"style\":11},\"1\":{\"text\":\"车间\",\"style\":22},\"2\":{\"text\":\"成品名称\",\"style\":22},\"3\":{\"text\":\"半成品名称\",\"style\":22},\"4\":{\"text\":\"完工时间\",\"style\":22},\"5\":{\"text\":\"状态\",\"style\":22},\"6\":{\"text\":\"成品属性\",\"style\":22},\"7\":{\"text\":\"工单号\",\"style\":22},\"8\":{\"text\":\"工单数量\",\"style\":22},\"9\":{\"text\":\"计划数量\",\"style\":22},\"10\":{\"text\":\"完成数量\",\"style\":22},\"11\":{\"text\":\"UPH\",\"style\":22},\"12\":{\"text\":\"H/C\",\"style\":22},\"13\":{\"text\":\"计划时间\",\"style\":22},\"14\":{\"text\":\"良率\",\"style\":22},\"15\":{\"text\":\"备注\",\"style\":22},\"16\":{\"style\":11},\"17\":{\"style\":11},\"18\":{\"style\":11},\"19\":{\"style\":11},\"20\":{\"style\":11},\"21\":{\"style\":11},\"22\":{\"style\":11},\"23\":{\"style\":11},\"24\":{\"style\":11},\"25\":{\"style\":11},\"26\":{\"style\":11}},\"height\":55},\"2\":{\"cells\":{\"0\":{\"style\":13},\"1\":{\"text\":\"#{chejian.group(city)}\",\"style\":16,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{chejian.finish}\",\"style\":14},\"3\":{\"text\":\"#{chejian.semifinish}\",\"style\":14},\"4\":{\"text\":\"#{chejian.time}\",\"style\":14},\"5\":{\"text\":\"#{chejian.state}\",\"style\":14},\"6\":{\"text\":\"#{chejian.attribute}\",\"style\":14},\"7\":{\"text\":\"#{chejian.num}\",\"style\":14},\"8\":{\"text\":\"#{chejian.gnum}\",\"style\":14},\"9\":{\"text\":\"#{chejian.jnum}\",\"style\":14},\"10\":{\"text\":\"#{chejian.wnum}\",\"style\":14},\"11\":{\"text\":\"#{chejian.uph}\",\"style\":14},\"12\":{\"text\":\"#{chejian.hc}\",\"style\":14},\"13\":{\"text\":\"#{chejian.jtime}\",\"style\":14},\"14\":{\"text\":\"#{chejian.yield}\",\"style\":14},\"15\":{\"text\":\"#{chejian.beizhu}\",\"style\":14},\"16\":{\"style\":13},\"17\":{\"style\":13},\"18\":{\"style\":13},\"19\":{\"style\":13},\"20\":{\"style\":13},\"21\":{\"style\":13},\"22\":{\"style\":13},\"23\":{\"style\":13},\"24\":{\"style\":13},\"25\":{\"style\":13},\"26\":{\"style\":13}},\"isDrag\":true,\"height\":35},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"chejian.city\",\"freeze\":\"A1\",\"dataRectWidth\":1494,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\"},{\"bgcolor\":\"#309fc6\"},{\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":true,\"size\":16}},{\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\",\"bgcolor\":\"#\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\",\"bgcolor\":\"#b2ddec\"},{\"font\":{\"size\":8}},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"font\":{\"size\":8},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"align\":\"center\",\"bgcolor\":\"#b2ddec\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8},\"align\":\"center\"},{\"align\":\"center\",\"bgcolor\":\"#309fc6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"font\":{\"bold\":true,\"size\":16},\"align\":\"center\"}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":45},\"1\":{\"width\":106},\"2\":{\"width\":121},\"3\":{\"width\":124},\"4\":{\"width\":87},\"5\":{\"width\":76},\"6\":{\"width\":82},\"7\":{\"width\":81},\"8\":{\"width\":69},\"9\":{\"width\":76},\"10\":{\"width\":81},\"15\":{\"width\":146},\"len\":50},\"merges\":[\"B1:N1\"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216185352_1608116050060.png', 'admin', '2020-12-04 15:13:58', 'admin', '2021-04-05 18:47:24', 0, NULL, NULL, 1, 520, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1338370016550195200', '20201214142804', '条形码报表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1338370016550195200\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"1\":{\"merge\":[1,3],\"text\":\"居民身份证申领登记表\",\"style\":39},\"2\":{\"style\":39},\"3\":{\"style\":39},\"4\":{\"style\":39},\"5\":{\"merge\":[0,2],\"text\":\"\",\"rendered\":\"\",\"display\":\"text\"},\"-1\":{\"text\":\"${tm.tp}\"}},\"height\":27},\"1\":{\"cells\":{\"1\":{\"style\":39},\"2\":{\"style\":39},\"3\":{\"style\":39},\"4\":{\"style\":39},\"5\":{\"style\":2,\"virtual\":\"ZiOFmILaRjdmVs6E\",\"rendered\":\"NUsGZXpylLVeKQ7J\",\"display\":\"barcode\",\"text\":\"${tm.tm}\",\"merge\":[0,2]}},\"height\":52},\"2\":{\"cells\":{\"1\":{\"text\":\"受理单位（盖章）珠海市公安局\",\"merge\":[0,3],\"style\":36},\"2\":{\"style\":36},\"3\":{\"style\":36},\"4\":{\"style\":36},\"5\":{\"style\":6},\"6\":{\"style\":6},\"7\":{\"style\":6},\"8\":{\"text\":\"\",\"rendered\":\"\"}},\"height\":34},\"3\":{\"cells\":{\"1\":{\"text\":\"姓名\",\"style\":24},\"2\":{\"text\":\"${tm.name}\",\"style\":7,\"rendered\":\"\"},\"3\":{\"text\":\"性别\",\"style\":16},\"4\":{\"text\":\"${tm.sex}\",\"style\":7,\"isDict\":1,\"dictCode\":\"sex1\",\"rendered\":\"\"},\"5\":{\"text\":\"民族\",\"style\":16},\"6\":{\"text\":\"${tm.nation}\",\"style\":7},\"7\":{\"text\":\"${tm.tp}\",\"style\":7,\"merge\":[2,0],\"rendered\":\"ftkUSZOje4A5gVO3\",\"display\":\"img\"},\"9\":{\"text\":\"\",\"rendered\":\"\"}},\"isDrag\":true,\"height\":47},\"4\":{\"cells\":{\"1\":{\"text\":\"出生日期\",\"style\":24},\"2\":{\"text\":\"${tm.birth}\",\"style\":32,\"merge\":[0,4]},\"3\":{\"style\":33},\"4\":{\"style\":33},\"5\":{\"style\":33},\"6\":{\"style\":33},\"8\":{\"text\":\"\",\"rendered\":\"\"}},\"isDrag\":true,\"height\":51},\"5\":{\"cells\":{\"1\":{\"text\":\"常住户口所在地住址\",\"style\":21},\"2\":{\"text\":\"${tm.zhuzhi}\",\"style\":7,\"merge\":[0,4]},\"8\":{\"text\":\"\",\"rendered\":\"\"}},\"isDrag\":true,\"height\":62},\"6\":{\"cells\":{\"1\":{\"text\":\"公民身份证\",\"style\":24},\"2\":{\"text\":\"${tm.card}\",\"style\":7,\"merge\":[0,5]}},\"isDrag\":true,\"height\":55},\"7\":{\"cells\":{\"1\":{\"text\":\"有限期限\",\"style\":24},\"2\":{\"text\":\"${tm.ydate}\",\"style\":34,\"merge\":[0,1]},\"3\":{\"style\":35},\"4\":{\"text\":\"签发机关\",\"style\":24},\"5\":{\"text\":\"${tm.qfjg}\",\"style\":7,\"merge\":[0,2]}},\"isDrag\":true,\"height\":52},\"8\":{\"cells\":{\"1\":{\"text\":\"申领原因\",\"style\":24},\"2\":{\"text\":\"${tm.slyy}\",\"style\":7,\"merge\":[0,5]}},\"isDrag\":true,\"height\":55},\"9\":{\"cells\":{\"1\":{\"text\":\"受理时间\",\"style\":24},\"2\":{\"text\":\"${tm.sdate}\",\"style\":32,\"merge\":[0,1]},\"3\":{\"style\":33},\"4\":{\"text\":\"受理号\",\"style\":24},\"5\":{\"text\":\"${tm.shao}\",\"style\":7,\"merge\":[0,2]}},\"isDrag\":true,\"height\":49},\"10\":{\"cells\":{\"1\":{\"text\":\"承办人\",\"style\":24},\"2\":{\"text\":\"${tm.cbr}\",\"style\":7,\"merge\":[0,1]},\"4\":{\"text\":\"受理单位领导\",\"style\":24},\"5\":{\"text\":\"${tm.sld}\",\"style\":7,\"merge\":[0,2]}},\"isDrag\":true,\"height\":42},\"11\":{\"cells\":{\"1\":{\"text\":\"申请（监护）人签名\",\"style\":21},\"2\":{\"text\":\"${tm.sr}\",\"style\":7,\"merge\":[0,1]},\"4\":{\"text\":\"申请（监护）人联系电话\",\"style\":21},\"5\":{\"text\":\"${tm.jphone}\",\"style\":7,\"merge\":[0,2]}},\"isDrag\":true,\"height\":59},\"12\":{\"cells\":{\"1\":{\"text\":\"领证人签名\",\"style\":24},\"2\":{\"text\":\"${tm.lzr}\",\"style\":7,\"merge\":[0,1]},\"4\":{\"text\":\"领证时间\",\"style\":24},\"5\":{\"text\":\"${tm.ldate}\",\"style\":32,\"merge\":[0,2]},\"6\":{\"style\":33},\"7\":{\"style\":33}},\"isDrag\":true,\"height\":57},\"13\":{\"cells\":{\"1\":{\"text\":\"是否通过邮政特快专递方式领取二代\",\"merge\":[0,1],\"style\":24},\"2\":{\"text\":\" \",\"style\":25},\"3\":{\"text\":\"${tm.sk}\",\"style\":7,\"merge\":[0,4]}},\"isDrag\":true,\"height\":50},\"14\":{\"cells\":{\"1\":{\"text\":\"投递地址\",\"style\":24},\"2\":{\"text\":\"${tm.dizhi}\",\"style\":7,\"merge\":[0,2]},\"5\":{\"text\":\"收件人\",\"style\":24},\"6\":{\"style\":7,\"text\":\" \",\"merge\":[0,1]}},\"isDrag\":true,\"height\":53},\"15\":{\"cells\":{\"1\":{\"text\":\"邮政编码\",\"style\":24},\"2\":{\"text\":\"\",\"style\":7,\"merge\":[0,1]},\"4\":{\"text\":\"备注\",\"style\":24},\"5\":{\"text\":\"\",\"style\":7,\"merge\":[0,2]}},\"isDrag\":true,\"height\":47},\"16\":{\"cells\":{\"1\":{\"merge\":[0,6],\"text\":\"公安部治安管理局治\",\"style\":31},\"2\":{\"style\":31},\"3\":{\"style\":31},\"4\":{\"style\":31},\"5\":{\"style\":31},\"6\":{\"style\":31},\"7\":{\"style\":31}}},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[\"sex1\",\"sex1\",\"sex1\"],\"freeze\":\"A1\",\"dataRectWidth\":704,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"size\":16}},{\"font\":{\"size\":16},\"align\":\"center\"},{\"align\":\"center\"},{\"textwrap\":true},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\",\"size\":9}},{\"font\":{\"name\":\"宋体\",\"size\":9},\"color\":\"#3f3f3f\"},{\"font\":{\"name\":\"宋体\",\"size\":9},\"color\":\"#0c0c0c\"},{\"font\":{\"name\":\"宋体\",\"size\":9},\"color\":\"#7f7f7f\"},{\"font\":{\"name\":\"宋体\",\"size\":9},\"color\":\"#595959\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"right\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":false}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":false}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":false},\"align\":\"center\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"center\"},{\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"center\"},{\"font\":{\"name\":\"宋体\",\"bold\":true},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"center\"},{\"font\":{\"size\":8}},{\"font\":{\"size\":8},\"align\":\"center\"},{\"font\":{\"size\":8},\"align\":\"right\"},{\"font\":{\"size\":10},\"align\":\"right\"},{\"font\":{\"size\":10},\"align\":\"right\",\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"date2\"},{\"format\":\"date2\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"format\":\"date\"},{\"format\":\"date\"},{\"font\":{\"name\":\"宋体\",\"size\":9},\"color\":\"#595959\",\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16},\"valign\":\"bottom\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":16},\"1\":{\"width\":103},\"2\":{\"width\":156},\"3\":{\"width\":51},\"4\":{\"width\":96},\"5\":{\"width\":61},\"6\":{\"width\":106},\"7\":{\"width\":115},\"8\":{\"width\":135},\"len\":50},\"merges\":[\"B3:E3\",\"B14:C14\",\"C6:G6\",\"C5:G5\",\"C7:H7\",\"C8:D8\",\"F8:H8\",\"C9:H9\",\"D14:H14\",\"C10:D10\",\"F10:H10\",\"C11:D11\",\"F11:H11\",\"C13:D13\",\"C12:D12\",\"F12:H12\",\"F13:H13\",\"C15:E15\",\"G15:H15\",\"F16:H16\",\"C16:D16\",\"B17:H17\",\"H4:H6\",\"B1:E2\",\"F1:H1\",\"F2:H2\"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1608118350039.png', 'admin', '2020-12-14 14:28:04', 'admin', '2021-02-03 13:58:47', 0, NULL, NULL, 1, 766, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1338744112815411200', '20201215151426', '简单条件查询报表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1338744112815411200\",\"printElHeight\":1047,\"rows\":{\"1\":{\"cells\":{\"1\":{\"text\":\"职务\",\"style\":51},\"2\":{\"text\":\"雇员ID\",\"style\":51},\"3\":{\"text\":\"姓名\",\"style\":51},\"4\":{\"text\":\"性别\",\"style\":51},\"5\":{\"text\":\"雇佣日期\",\"style\":51},\"6\":{\"text\":\"家庭电话\",\"style\":51},\"7\":{\"text\":\"出生日期\",\"style\":51},\"8\":{\"text\":\"户口所在地\",\"style\":51},\"9\":{\"text\":\"联系地址\",\"style\":51},\"10\":{\"text\":\"紧急联系人\",\"style\":52}},\"height\":37},\"2\":{\"cells\":{\"0\":{\"style\":18},\"1\":{\"style\":21,\"text\":\"#{jdcx.group(update_by)}\",\"aggregate\":\"group\"},\"2\":{\"style\":21,\"text\":\"#{jdcx.id}\"},\"3\":{\"style\":21,\"text\":\"#{jdcx.name}\"},\"4\":{\"style\":21,\"text\":\"#{jdcx.sex}\"},\"5\":{\"style\":24,\"text\":\"#{jdcx.gtime}\"},\"6\":{\"style\":21,\"text\":\"#{jdcx.jphone}\"},\"7\":{\"style\":24,\"text\":\"#{jdcx.birth}\"},\"8\":{\"style\":21,\"text\":\"#{jdcx.hukou}\"},\"9\":{\"style\":21,\"text\":\"#{jdcx.laddress}\"},\"10\":{\"style\":56,\"text\":\"#{jdcx.jperson}\"},\"11\":{\"style\":18},\"12\":{\"style\":18},\"13\":{\"style\":18},\"14\":{\"style\":18},\"15\":{\"style\":18},\"16\":{\"style\":18},\"17\":{\"style\":18},\"18\":{\"style\":18},\"19\":{\"style\":18},\"20\":{\"style\":18},\"21\":{\"style\":18},\"22\":{\"style\":18},\"23\":{\"style\":18},\"24\":{\"style\":18},\"25\":{\"style\":18},\"26\":{\"style\":18},\"27\":{\"style\":18},\"28\":{\"style\":18},\"29\":{\"style\":18},\"30\":{\"style\":18},\"31\":{\"style\":18},\"32\":{\"style\":18},\"33\":{\"style\":18},\"34\":{\"style\":18},\"35\":{\"style\":18},\"36\":{\"style\":18},\"37\":{\"style\":18},\"38\":{\"style\":18},\"39\":{\"style\":18},\"40\":{\"style\":18},\"41\":{\"style\":18},\"42\":{\"style\":18},\"43\":{\"style\":18},\"44\":{\"style\":18},\"45\":{\"style\":18},\"46\":{\"style\":18},\"47\":{\"style\":18},\"48\":{\"style\":18}},\"height\":34},\"3\":{\"cells\":{\"0\":{\"style\":39},\"1\":{\"style\":39},\"2\":{\"style\":39},\"3\":{\"style\":39},\"4\":{\"style\":39},\"5\":{\"style\":39},\"6\":{\"style\":39},\"7\":{\"style\":39},\"8\":{\"style\":39},\"9\":{\"style\":39},\"10\":{\"style\":39},\"11\":{\"style\":39},\"12\":{\"style\":39},\"13\":{\"style\":39},\"14\":{\"style\":39},\"15\":{\"style\":39},\"16\":{\"style\":39},\"17\":{\"style\":39},\"18\":{\"style\":39},\"19\":{\"style\":39},\"20\":{\"style\":39},\"21\":{\"style\":39},\"22\":{\"style\":39},\"23\":{\"style\":39},\"24\":{\"style\":39}}},\"4\":{\"cells\":{\"1\":{\"text\":\"备注：\",\"style\":62},\"2\":{\"style\":63,\"text\":\" \"},\"3\":{\"style\":63,\"text\":\" \"},\"4\":{\"style\":63,\"text\":\" \"},\"5\":{\"style\":63,\"text\":\" \"},\"6\":{\"style\":63,\"text\":\" \"},\"7\":{\"style\":64,\"text\":\" \"}}},\"5\":{\"cells\":{\"1\":{\"text\":\"1、支持模糊查询，需要输入 “*+字符串”或 “字符串+* ”或“*+字符串+*”，如：张* / *丽 / *亚*；\",\"style\":65,\"merge\":[0,6]}}},\"6\":{\"cells\":{\"1\":{\"text\":\"2、以上“出生日期”为时间类型；\",\"style\":65,\"merge\":[0,6]}}},\"7\":{\"cells\":{\"1\":{\"text\":\"3、以上“雇佣日期”为日期类型\",\"style\":65,\"merge\":[0,6]}}},\"8\":{\"cells\":{\"1\":{\"text\":\"4、以上“姓名”为字符串类型，支持精准查询和模糊查询；\",\"style\":67,\"merge\":[0,6]}}},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"jdcx.update_by\",\"freeze\":\"A1\",\"dataRectWidth\":1242,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"bgcolor\":\"#5b9cd6\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"color\":\"#ffffff\"},{\"align\":\"center\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\"},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\"},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\",\"format\":\"date\"},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"date\"},{\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"date\"},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"date\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"date2\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"normal\"},{\"align\":\"center\",\"bgcolor\":\"#5b9cd6\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"size\":9}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\",\"format\":\"number\"}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":40},\"1\":{\"width\":88},\"2\":{\"width\":86},\"3\":{\"width\":97},\"4\":{\"width\":67},\"5\":{\"width\":103},\"6\":{\"width\":115},\"7\":{\"width\":90},\"8\":{\"width\":239},\"9\":{\"width\":217},\"len\":50},\"merges\":[\"B6:H6\",\"B7:H7\",\"B8:H8\",\"B9:H9\"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216112919_1608089379396.png', 'admin', '2020-12-15 15:14:27', 'admin', '2021-02-03 13:58:44', 0, NULL, NULL, 1, 1073, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1338769064067076098', '202012151514266124', '多选条件查询报表', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1338769064067076098\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"0\":{\"style\":49},\"1\":{\"style\":49},\"2\":{\"style\":49},\"3\":{\"style\":49},\"4\":{\"style\":49},\"5\":{\"style\":49},\"6\":{\"style\":49},\"7\":{\"style\":49},\"8\":{\"style\":49},\"9\":{\"style\":49},\"10\":{\"style\":49},\"11\":{\"style\":49},\"12\":{\"style\":49},\"13\":{\"style\":49},\"14\":{\"style\":49},\"15\":{\"style\":49},\"16\":{\"style\":49},\"17\":{\"style\":49},\"18\":{\"style\":49},\"19\":{\"style\":49},\"20\":{\"style\":49},\"21\":{\"style\":49},\"22\":{\"style\":49},\"23\":{\"style\":49},\"24\":{\"style\":49},\"25\":{\"style\":49}}},\"1\":{\"cells\":{\"0\":{\"style\":50},\"1\":{\"text\":\"职务\",\"style\":51},\"2\":{\"text\":\"雇员ID\",\"style\":51},\"3\":{\"text\":\"姓名\",\"style\":51},\"4\":{\"style\":51,\"text\":\"性别\"},\"5\":{\"text\":\"雇佣日期\",\"style\":51},\"6\":{\"text\":\"家庭电话\",\"style\":51},\"7\":{\"text\":\"出生日期\",\"style\":51},\"8\":{\"text\":\"户口所在地\",\"style\":51},\"9\":{\"text\":\"联系地址\",\"style\":51},\"10\":{\"text\":\"紧急联系人\",\"style\":51},\"11\":{\"style\":50},\"12\":{\"style\":50},\"13\":{\"style\":50},\"14\":{\"style\":50},\"15\":{\"style\":50},\"16\":{\"style\":50},\"17\":{\"style\":50},\"18\":{\"style\":50},\"19\":{\"style\":50},\"20\":{\"style\":50},\"21\":{\"style\":50},\"22\":{\"style\":50},\"23\":{\"style\":50},\"24\":{\"style\":50},\"25\":{\"style\":50}},\"height\":46},\"2\":{\"cells\":{\"0\":{\"style\":52},\"1\":{\"text\":\"#{pop.group(update_by)}\",\"style\":53,\"aggregate\":\"group\"},\"2\":{\"text\":\"#{pop.group(id)}\",\"style\":54,\"aggregate\":\"group\"},\"3\":{\"text\":\"#{pop.group(name)}\",\"style\":54,\"aggregate\":\"group\"},\"4\":{\"text\":\"#{pop.sex}\",\"style\":55},\"5\":{\"text\":\"#{pop.gtime}\",\"style\":56},\"6\":{\"text\":\"#{pop.jphone}\",\"style\":57},\"7\":{\"text\":\"#{pop.birth}\",\"style\":56},\"8\":{\"text\":\"#{pop.hukou}\",\"style\":58},\"9\":{\"text\":\"#{pop.laddress}\",\"style\":57},\"10\":{\"text\":\"#{pop.jperson}\",\"style\":57},\"11\":{\"style\":52},\"12\":{\"style\":52},\"13\":{\"style\":52},\"14\":{\"style\":52},\"15\":{\"style\":52},\"16\":{\"style\":52},\"17\":{\"style\":52},\"18\":{\"style\":52},\"19\":{\"style\":52},\"20\":{\"style\":52},\"21\":{\"style\":52},\"22\":{\"style\":52},\"23\":{\"style\":52},\"24\":{\"style\":52},\"25\":{\"style\":52}},\"isDrag\":true,\"height\":35},\"5\":{\"cells\":{\"2\":{\"text\":\"\"}},\"isDrag\":true},\"len\":99},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"groupField\":\"pop.update_by\",\"freeze\":\"A1\",\"dataRectWidth\":1494,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"bgcolor\":\"#5b9cd6\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"color\":\"#ffffff\"},{\"align\":\"center\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\"},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\"},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\"},{\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":8}},{\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9},\"align\":\"center\",\"format\":\"date\"},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"date\"},{\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#f1f9f6\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ddefe8\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"date\"},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#deeaf6\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":10,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#deeaf6\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"宋体\"},\"align\":\"center\",\"format\":\"normal\"},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"Microsoft YaHei\"}},{\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#deeaf6\",\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#bdd7ee\",\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"date\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"normal\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"size\":9,\"name\":\"Microsoft YaHei\"},\"align\":\"center\",\"format\":\"date2\"}],\"validations\":[],\"isGroup\":true,\"cols\":{\"0\":{\"width\":48},\"1\":{\"width\":107},\"3\":{\"width\":91},\"4\":{\"width\":142},\"5\":{\"width\":130},\"6\":{\"width\":131},\"7\":{\"width\":235},\"8\":{\"width\":230},\"9\":{\"width\":148},\"10\":{\"width\":132},\"len\":50},\"merges\":[]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216185224_1608116008543.png', 'admin', '2020-12-15 16:53:13', 'admin', '2021-02-03 13:58:41', 0, NULL, NULL, 1, 904, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1347373863746539520', '20210108104603', '实习证明', NULL, NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":{\"sri\":16,\"sci\":5,\"eri\":16,\"eci\":5,\"width\":147,\"height\":25},\"excel_config_id\":\"1347373863746539520\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10,\"layout\":\"portrait\"},\"rows\":{\"0\":{\"cells\":{\"0\":{\"text\":\"\"},\"1\":{\"text\":\"\"}}},\"1\":{\"cells\":{\"0\":{\"text\":\"\"}}},\"3\":{\"cells\":{\"2\":{\"text\":\"\",\"rendered\":\"\"}}},\"5\":{\"cells\":{},\"height\":29},\"6\":{\"cells\":{\"2\":{\"text\":\"\",\"style\":2}},\"height\":34},\"7\":{\"cells\":{\"2\":{\"merge\":[0,4],\"text\":\"实习证明\",\"style\":2}},\"height\":41},\"8\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":3},\"2\":{\"text\":\"\"}}},\"9\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":3},\"2\":{\"text\":\"\",\"style\":3},\"3\":{\"text\":\"\"}},\"isDrag\":true,\"height\":33},\"10\":{\"cells\":{\"2\":{\"text\":\"${tt.name}\",\"style\":11},\"3\":{\"text\":\"同学在我公司与 2020年4月1日 至 2020年5月1日 实习。\",\"style\":19,\"merge\":[0,3],\"height\":34}},\"height\":34},\"11\":{\"cells\":{},\"height\":28},\"12\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":6},\"2\":{\"style\":13,\"text\":\"${tt.pingjia}\",\"merge\":[3,4],\"height\":129}},\"height\":36},\"13\":{\"cells\":{},\"height\":29},\"14\":{\"cells\":{},\"height\":33},\"15\":{\"cells\":{},\"height\":31},\"16\":{\"cells\":{}},\"17\":{\"cells\":{\"1\":{\"text\":\"\"},\"2\":{\"text\":\"特此证明！\",\"style\":12}}},\"20\":{\"cells\":{\"2\":{\"text\":\"\"},\"3\":{\"text\":\"\",\"style\":3},\"4\":{\"text\":\"\"}}},\"21\":{\"cells\":{\"4\":{\"text\":\"\"}}},\"22\":{\"cells\":{\"3\":{\"text\":\"\",\"style\":3},\"4\":{\"text\":\"证明人：\",\"style\":11},\"5\":{\"text\":\"${tt.lingdao}\",\"style\":12}}},\"23\":{\"cells\":{\"4\":{\"text\":\"\"},\"5\":{\"text\":\"${tt.shijian}\",\"style\":15}}},\"len\":100},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":576,\"displayConfig\":{},\"background\":{\"path\":\"https://static.jeecg.com/designreport/images/11_1611283832037.png\",\"repeat\":\"no-repeat\",\"width\":\"\",\"height\":\"\"},\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"right\"},{\"align\":\"left\"},{\"align\":\"left\",\"valign\":\"top\"},{\"align\":\"left\",\"valign\":\"top\",\"textwrap\":true},{\"font\":{\"size\":16}},{\"align\":\"left\",\"valign\":\"top\",\"textwrap\":false},{\"textwrap\":false},{\"textwrap\":true},{\"align\":\"right\",\"font\":{\"size\":12}},{\"font\":{\"size\":12}},{\"align\":\"left\",\"valign\":\"top\",\"textwrap\":true,\"font\":{\"size\":12}},{\"textwrap\":true,\"font\":{\"size\":12}},{\"align\":\"left\",\"font\":{\"size\":12}},{\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14}},{\"font\":{\"size\":10}},{\"textwrap\":false,\"font\":{\"size\":12}}],\"validations\":[],\"cols\":{\"0\":{\"width\":69},\"1\":{\"width\":41},\"4\":{\"width\":119},\"5\":{\"width\":147},\"6\":{\"width\":31},\"len\":50},\"merges\":[\"C8:G8\",\"D11:G11\",\"C13:G16\"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1610074948259.png', 'admin', '2021-01-08 10:46:04', 'admin', '2021-04-05 18:47:08', 0, NULL, NULL, 1, 123, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1347454742040809472', '20210108161240', '实例：年度各月份佣金收入', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"1347454742040809472\",\"printElHeight\":1047,\"rows\":{\"1\":{\"cells\":{\"1\":{\"text\":\" \",\"virtual\":\"pZTpI3BKFw0lh6D7\"},\"2\":{\"text\":\"年度各月份佣金收入\",\"style\":23,\"merge\":[0,3],\"virtual\":\"pZTpI3BKFw0lh6D7\"},\"3\":{\"style\":24},\"4\":{\"style\":24},\"5\":{\"style\":24},\"6\":{\"text\":\" \"}},\"height\":37},\"2\":{\"cells\":{\"1\":{\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"}}},\"4\":{\"cells\":{\"1\":{\"text\":\"查询年度：2019\"},\"4\":{\"text\":\"查询机构：总公司\"},\"6\":{\"text\":\"单位：元\"}}},\"6\":{\"cells\":{\"1\":{\"text\":\"月份\",\"style\":12},\"2\":{\"text\":\"佣金/主营业收入\",\"style\":12},\"3\":{\"text\":\"累计\",\"style\":12},\"4\":{\"text\":\"历史最低水平\",\"style\":12},\"5\":{\"text\":\"历史平均水平\",\"style\":12},\"6\":{\"text\":\"历史最高水平\",\"style\":12}}},\"7\":{\"cells\":{\"1\":{\"text\":\"#{tmp_report_data_1.monty}\",\"style\":0},\"2\":{\"text\":\"#{tmp_report_data_1.main_income}\",\"style\":0},\"3\":{\"text\":\"#{tmp_report_data_1.total}\",\"style\":18},\"4\":{\"text\":\"#{tmp_report_data_1.his_lowest}\",\"style\":0},\"5\":{\"text\":\"#{tmp_report_data_1.his_average}\",\"style\":0},\"6\":{\"text\":\"#{tmp_report_data_1.his_highest}\",\"style\":0}},\"isDrag\":true},\"9\":{\"cells\":{\"1\":{\"merge\":[1,1]}}},\"len\":99},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":678,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true}},{\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":false}},{\"font\":{\"bold\":false}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true},\"align\":\"center\"},{\"font\":{\"bold\":true},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true,\"size\":15},\"align\":\"center\"},{\"font\":{\"bold\":true,\"size\":15},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#01b0f1\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#33CCCC\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#33CCCC\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#33CCCC\",\"align\":\"left\"},{\"font\":{\"bold\":true,\"size\":16}},{\"font\":{\"bold\":true,\"size\":24}},{\"font\":{\"bold\":true,\"size\":22}},{\"font\":{\"bold\":true,\"size\":22},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"format\":\"usd\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"format\":\"rmb\"},{\"font\":{\"bold\":true,\"name\":\"黑体\"}},{\"font\":{\"bold\":true,\"name\":\"黑体\",\"size\":22}},{\"font\":{\"bold\":true,\"name\":\"宋体\",\"size\":22}},{\"font\":{\"bold\":true,\"name\":\"楷体\",\"size\":22}},{\"font\":{\"bold\":true,\"name\":\"楷体\",\"size\":22},\"align\":\"center\"},{\"align\":\"center\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":29},\"1\":{\"width\":111},\"2\":{\"width\":116},\"4\":{\"width\":122},\"len\":50},\"merges\":[\"B10:C11\",\"C2:F2\"],\"imgList\":[{\"row\":1,\"col\":1,\"width\":\"148\",\"height\":\"56\",\"src\":\"https://static.jeecg.com/designreport/images/kunlunlog_1610591367645.png\",\"layer_id\":\"pZTpI3BKFw0lh6D7\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[1,1],[1,2]]}]}', NULL, NULL, 'admin', '2021-01-08 16:12:40', 'admin', '2021-02-03 13:58:38', 0, NULL, NULL, 1, 52, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1347459370216198144', '20210108164121', '实例:来源收入统计', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"chartList\":[{\"row\":1,\"col\":1,\"width\":\"624\",\"height\":\"281\",\"config\":\"{\\\"legend\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":\\\"12\\\"},\\\"top\\\":\\\"top\\\",\\\"left\\\":\\\"right\\\",\\\"orient\\\":\\\"vertical\\\",\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"中国石油全资（集团所属）\\\",\\\"中国石油全资（股份所属）\\\",\\\"中石油控股或有控股权\\\",\\\"中石油参股\\\",\\\"非中石油\\\"],\\\"show\\\":true},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"中国石油全资（集团所属）\\\",\\\"value\\\":38460270.57,\\\"itemStyle\\\":{\\\"color\\\":\\\"#E46C8A\\\"}},{\\\"name\\\":\\\"中国石油全资（股份所属）\\\",\\\"value\\\":227595.77,\\\"itemStyle\\\":{\\\"color\\\":\\\"#FCDE43\\\"}},{\\\"name\\\":\\\"中石油控股或有控股权\\\",\\\"value\\\":679926.75,\\\"itemStyle\\\":{\\\"color\\\":\\\"#01A8E1\\\"}},{\\\"name\\\":\\\"中石油参股\\\",\\\"value\\\":72062.75,\\\"itemStyle\\\":{\\\"color\\\":\\\"#99CC00\\\"}},{\\\"name\\\":\\\"非中石油\\\",\\\"value\\\":1698597.62,\\\"itemStyle\\\":{\\\"color\\\":\\\"#800080\\\"}}],\\\"isRadius\\\":false,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"center\\\":[320,180],\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":\\\"55%\\\",\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"},\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":5,\\\"text\\\":\\\"来源收入统计\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"center\\\",\\\"padding\\\":[5,20,5,10]},\\\"backgroundColor\\\":\\\"#fff\\\"}\",\"url\":\"\",\"extData\":{\"dataType\":\"sql\",\"apiStatus\":\"\",\"apiUrl\":\"\",\"dataId\":\"4af57d343f1d6521b71b85097b580786\",\"axisX\":\"biz_income\",\"axisY\":\"total\",\"series\":\"\",\"yText\":\"total\",\"xText\":\"biz_income\",\"dbCode\":\"tmp_report_data_income\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"pie.simple\",\"id\":\"\"},\"layer_id\":\"nVUy533exgQ70OPb\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[1,1],[1,2],[1,3],[1,4],[1,5],[1,6],[1,7],[1,8]]}],\"area\":{\"sri\":8,\"sci\":5,\"eri\":8,\"eci\":5,\"width\":63,\"height\":25},\"excel_config_id\":\"1347459370216198144\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"1\":{\"cells\":{\"1\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"2\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"3\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"4\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"5\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"6\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"7\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"8\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"}}},\"3\":{\"cells\":{}},\"16\":{\"cells\":{\"1\":{\"text\":\"业务来源\",\"style\":1},\"2\":{\"text\":\"保险经纪佣金费\",\"style\":1},\"3\":{\"text\":\"风险咨询费\",\"style\":1},\"4\":{\"text\":\"承保公证评估费\",\"style\":1},\"5\":{\"text\":\"保险公证费\",\"style\":1},\"6\":{\"text\":\"投标咨询费\",\"style\":1},\"7\":{\"text\":\"内控咨询费\",\"style\":1},\"8\":{\"text\":\"总计\",\"style\":1}}},\"17\":{\"cells\":{\"1\":{\"text\":\"#{tmp_report_data_income.biz_income}\",\"style\":0},\"2\":{\"text\":\"#{tmp_report_data_income.bx_jj_yongjin}\",\"style\":0},\"3\":{\"text\":\"#{tmp_report_data_income.bx_zx_money}\",\"style\":0},\"4\":{\"text\":\"#{tmp_report_data_income.chengbao_gz_money}\",\"style\":0},\"5\":{\"text\":\"#{tmp_report_data_income.bx_gg_moeny}\",\"style\":0},\"6\":{\"text\":\"#{tmp_report_data_income.tb_zx_money}\",\"style\":0},\"7\":{\"text\":\"#{tmp_report_data_income.neikong_zx_money}\",\"style\":0},\"8\":{\"text\":\"#{tmp_report_data_income.total}\",\"style\":0}},\"isDrag\":true,\"height\":24},\"len\":58},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":702,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#33CCCC\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":16},\"1\":{\"width\":105},\"2\":{\"width\":119},\"3\":{\"width\":87},\"4\":{\"width\":61},\"5\":{\"width\":63},\"6\":{\"width\":60},\"7\":{\"width\":91},\"len\":50},\"merges\":[]}', NULL, NULL, 'admin', '2021-01-08 16:41:21', 'admin', '2021-04-01 02:36:13', 0, NULL, NULL, 1, 55, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('1cd9d574d0c42f3915046dc61d9f33bd', '202012171553133795', '企业实时报表副本3795', NULL, NULL, '984302961118724096', '{\"chartList\":[{\"row\":6,\"col\":1,\"width\":\"302\",\"height\":\"337\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"江苏\\\",\\\"山东\\\",\\\"安徽\\\",\\\"江西\\\",\\\"河北\\\",\\\"吉林\\\",\\\"黑龙江\\\",\\\"重庆\\\",\\\"广东\\\",\\\"上海\\\",\\\"哈尔滨\\\",\\\"福建\\\",\\\"四川\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":false,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":20,\\\"left\\\":45,\\\"bottom\\\":16,\\\"right\\\":46},\\\"series\\\":[{\\\"barWidth\\\":13,\\\"data\\\":[100,800,1200,1700,2500,4000,5800,6500,7000,7500,8000,8800,9500],\\\"name\\\":\\\"销售额\\\",\\\"itemStyle\\\":{\\\"barBorderRadius\\\":5,\\\"color\\\":\\\"rgba(67,184,251,1)\\\"},\\\"label\\\":{\\\"show\\\":true,\\\"position\\\":\\\"right\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#689AFB\\\",\\\"fontSize\\\":\\\"10\\\",\\\"fontWeight\\\":\\\"normal\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[],\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontWeight\\\":\\\"bolder\\\"}}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"销售额省份排名\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,20]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339491107951640577\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"xiaoshoue\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"bar.multi.horizontal\",\"chartId\":\"pie.doughnut\"},\"layer_id\":\"IFj1lg5S5aNG1wPx\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[6,1],[6,2],[6,3],[6,4]]},{\"row\":6,\"col\":10,\"width\":\"247\",\"height\":\"124\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\",\\\"其他\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"销售额\\\",\\\"value\\\":6000000,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(43,193,254,1)\\\"}},{\\\"name\\\":\\\"其他\\\",\\\"value\\\":3400879,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(42,45,76,0.59)\\\"}}],\\\"isRadius\\\":true,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":[\\\"45%\\\",\\\"55%\\\"],\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"销售进度\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339498906765000705\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"xsjd\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"pie.doughnut\",\"chartId\":\"pie.doughnut\"},\"layer_id\":\"Yb2TIGEAxnvN9ITx\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[6,10],[6,11]]},{\"row\":6,\"col\":12,\"width\":\"244\",\"height\":\"128\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"北京\\\",\\\"青岛\\\",\\\"合肥\\\",\\\"深圳\\\",\\\"石家庄\\\",\\\"重庆\\\",\\\"保定\\\",\\\"邯郸\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":false,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":10,\\\"left\\\":49,\\\"bottom\\\":16,\\\"right\\\":45},\\\"series\\\":[{\\\"barWidth\\\":9,\\\"data\\\":[80,500,800,1000,1200,1500,1600,2000],\\\"name\\\":\\\"销售额\\\",\\\"itemStyle\\\":{\\\"barBorderRadius\\\":0,\\\"color\\\":\\\"rgba(146,119,252,1)\\\"},\\\"label\\\":{\\\"show\\\":true,\\\"position\\\":\\\"right\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#689AFB\\\",\\\"fontSize\\\":\\\"10\\\",\\\"fontWeight\\\":\\\"normal\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[],\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontWeight\\\":\\\"bolder\\\"}}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"销售额城市排名\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,20]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339495346077728770\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"chengshi\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"bar.multi.horizontal\",\"chartId\":\"bar.multi.horizontal\"},\"layer_id\":\"qQHpevWlqElpRQUl\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[6,12],[6,13],[6,14]]},{\"row\":6,\"col\":15,\"width\":\"230\",\"height\":\"127\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"北京\\\",\\\"青岛\\\",\\\"合肥\\\",\\\"深圳\\\",\\\"石家庄\\\",\\\"重庆\\\",\\\"保定\\\",\\\"邯郸\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":false,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":10,\\\"left\\\":49,\\\"bottom\\\":20,\\\"right\\\":48},\\\"series\\\":[{\\\"barWidth\\\":9,\\\"data\\\":[80,500,800,1000,1200,1500,1600,2000],\\\"name\\\":\\\"销售额\\\",\\\"itemStyle\\\":{\\\"barBorderRadius\\\":0,\\\"color\\\":\\\"rgba(146,119,252,1)\\\"},\\\"label\\\":{\\\"show\\\":true,\\\"position\\\":\\\"right\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#689AFB\\\",\\\"fontSize\\\":\\\"10\\\",\\\"fontWeight\\\":\\\"normal\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[],\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontWeight\\\":\\\"bolder\\\"}}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"某站点用户访问来源\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,20]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339495346077728770\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"chengshi\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"bar.multi.horizontal\",\"chartId\":\"bar.multi.horizontal\"},\"layer_id\":\"phTmhkjHLebYlOEQ\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[6,15],[6,16],[6,17],[6,18]]},{\"row\":7,\"col\":5,\"width\":\"430\",\"height\":\"293\",\"config\":\"{\\\"geo\\\":{\\\"map\\\":\\\"china\\\",\\\"zoom\\\":0.5,\\\"label\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"8\\\",\\\"show\\\":true},\\\"itemStyle\\\":{\\\"borderWidth\\\":0.5,\\\"areaColor\\\":\\\"#8284FB\\\",\\\"borderColor\\\":\\\"#000\\\"},\\\"emphasis\\\":{\\\"label\\\":{\\\"color\\\":\\\"#fff\\\"},\\\"itemStyle\\\":{\\\"areaColor\\\":\\\"#4195EF\\\"}},\\\"regions\\\":[],\\\"layoutSize\\\":600,\\\"roam\\\":true,\\\"layoutCenter\\\":[\\\"50%\\\",\\\"50%\\\"]},\\\"series\\\":[{\\\"encode\\\":{\\\"value\\\":[2]},\\\"data\\\":[{\\\"name\\\":\\\"河北\\\",\\\"value\\\":[114.502461,38.045474,279]},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":[110.33119,20.031971,273]},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":[117.000923,36.675807,229]},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":[103.823557,36.058039,194]},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":[106.278179,38.46637,193]},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":[120.153576,30.287459,177]},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":[112.982279,28.19409,119]},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":[114.298572,30.584355,79]},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":[113.665412,34.757975,67]},{\\\"name\\\":\\\"北京\\\",\\\"value\\\":[116.405285,39.904989,58]},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":[117.190182,39.125596,59]},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":[121.472644,31.231706,63]}],\\\"name\\\":\\\"\\\",\\\"emphasis\\\":{\\\"label\\\":{\\\"show\\\":true}},\\\"itemStyle\\\":{\\\"color\\\":\\\"#FF1205\\\"},\\\"coordinateSystem\\\":\\\"geo\\\",\\\"label\\\":{\\\"formatter\\\":\\\"{b}\\\",\\\"show\\\":false,\\\"position\\\":\\\"right\\\"},\\\"type\\\":\\\"scatter\\\",\\\"symbolSize\\\":5}],\\\"chartType\\\":\\\"map\\\",\\\"tooltip\\\":{\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"主要城市空气质量\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"chartType\":\"map.scatter\"},\"layer_id\":\"YTri6J59av4gj1CY\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[7,5],[7,6],[7,7],[7,8]]},{\"row\":14,\"col\":12,\"width\":\"244\",\"height\":\"138\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\",\\\"其他\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"销售额\\\",\\\"value\\\":6000000,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(43,193,254,1)\\\"}},{\\\"name\\\":\\\"其他\\\",\\\"value\\\":3400879,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(42,45,76,0.59)\\\"}}],\\\"isRadius\\\":true,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":[\\\"50%\\\",\\\"60%\\\"],\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339498906765000705\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"xsjd\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"pie.doughnut\",\"chartId\":\"pie.doughnut\"},\"layer_id\":\"ARuuHLfjqV9l1tQD\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[14,12],[14,13],[14,14]]},{\"row\":14,\"col\":15,\"width\":\"230\",\"height\":\"139\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\",\\\"其他\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"销售额\\\",\\\"value\\\":6000000,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(43,193,254,1)\\\"}},{\\\"name\\\":\\\"其他\\\",\\\"value\\\":3400879,\\\"itemStyle\\\":{\\\"color\\\":\\\"rgba(42,45,76,0.59)\\\"}}],\\\"isRadius\\\":true,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"name\\\":\\\"访问来源\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":[\\\"45%\\\",\\\"55%\\\"],\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"某站点用户访问来源\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339498906765000705\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"xsjd\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"pie.doughnut\",\"chartId\":\"\"},\"layer_id\":\"bcrMtWqTd2AJIjLd\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[14,15],[14,16],[14,17],[14,18]]},{\"row\":14,\"col\":10,\"width\":\"244\",\"height\":\"138\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"北京\\\",\\\"青岛\\\",\\\"合肥\\\",\\\"深圳\\\",\\\"石家庄\\\",\\\"重庆\\\",\\\"保定\\\",\\\"邯郸\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type\\\":\\\"category\\\"},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":false,\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false},\\\"type \\\":\\\"value\\\"},\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"销售额\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"horizontal\\\",\\\"left\\\":\\\"center\\\",\\\"show\\\":false,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"grid\\\":{\\\"top\\\":10,\\\"left\\\":49,\\\"bottom\\\":15,\\\"right\\\":45},\\\"series\\\":[{\\\"barWidth\\\":9,\\\"data\\\":[80,500,800,1000,1200,1500,1600,2000],\\\"name\\\":\\\"销售额\\\",\\\"itemStyle\\\":{\\\"barBorderRadius\\\":0,\\\"color\\\":\\\"rgba(146,119,252,1)\\\"},\\\"label\\\":{\\\"show\\\":true,\\\"position\\\":\\\"right\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#698AFB\\\",\\\"fontSize\\\":\\\"10\\\",\\\"fontWeight\\\":\\\"normal\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2,\\\"typeData\\\":[],\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontWeight\\\":\\\"bolder\\\"}}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"axisPointer\\\":{\\\"type\\\":\\\"shadow\\\"},\\\"trigger\\\":\\\"axis\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":false,\\\"top\\\":5,\\\"text\\\":\\\"某站点用户访问来源\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,20]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339495346077728770\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"chengshi\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"bar.multi.horizontal\",\"chartId\":\"bar.multi.horizontal\"},\"layer_id\":\"Y1kgYOWBHIVQdSN5\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[14,10],[14,11]]},{\"row\":20,\"col\":1,\"width\":\"743\",\"height\":\"150\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":0,\\\"textStyle\\\":{\\\"color\\\":\\\"#FEFEFE\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"data\\\":[\\\"2020-01-09\\\",\\\"2020-01-12\\\",\\\"2020-01-14\\\",\\\"2020-01-16\\\",\\\"2020-01-18\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"grid\\\":{\\\"top\\\":53,\\\"left\\\":22,\\\"bottom\\\":37,\\\"right\\\":20},\\\"series\\\":[{\\\"areaStyle\\\":{\\\"color\\\":\\\"#43B8FB\\\",\\\"opacity\\\":0.7},\\\"data\\\":[2,6,7,5,6],\\\"showSymbol\\\":true,\\\"lineStyle\\\":{\\\"width\\\":2},\\\"symbolSize\\\":5,\\\"isArea\\\":true,\\\"name\\\":\\\"销量\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#43B8FB\\\"},\\\"step\\\":false,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"line\\\",\\\"smooth\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":\\\"10\\\"}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":14,\\\"text\\\":\\\"销售额增速\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#FFFFFF\\\",\\\"fontWeight\\\":\\\"normal\\\",\\\"fontSize\\\":\\\"14\\\"},\\\"left\\\":\\\"left\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"dataType\":\"api\",\"apiStatus\":\"1\",\"dataId\":\"1339538388453195777\",\"axisX\":\"name\",\"axisY\":\"value\",\"series\":\"type\",\"yText\":\"\",\"xText\":\"\",\"dbCode\":\"zhexian\",\"dataId1\":\"\",\"source\":\"\",\"target\":\"\",\"isTiming\":true,\"intervalTime\":\"5\",\"chartType\":\"line.area\",\"chartId\":\"\"},\"layer_id\":\"uChrZaHYoV04MQpT\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[20,1],[20,2],[20,3],[20,4],[20,5],[20,6],[20,7],[20,8],[20,9]]}],\"area\":{\"sri\":4,\"sci\":5,\"eri\":4,\"eci\":5,\"width\":105,\"height\":38},\"printElWidth\":1800,\"excel_config_id\":\"1339478701846433792\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{}},\"2\":{\"cells\":{\"1\":{\"merge\":[0,17],\"text\":\"企业实时销售数据\",\"style\":3}}},\"3\":{\"cells\":{},\"height\":35},\"4\":{\"cells\":{\"1\":{\"text\":\"  销售额省份排名\",\"style\":32,\"merge\":[0,1],\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"2\":{\"style\":32,\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"5\":{\"text\":\"  销售总额\",\"style\":69},\"10\":{\"text\":\"  销售进度\",\"style\":43},\"11\":{\"text\":\"\",\"style\":43},\"13\":{\"text\":\"  销售额城市排名\",\"style\":32,\"merge\":[0,1]},\"14\":{\"style\":32},\"15\":{\"text\":\"  个人业绩排名\",\"style\":32,\"merge\":[0,1]},\"16\":{\"style\":32},\"17\":{\"text\":\"\",\"style\":32,\"merge\":[0,1]},\"18\":{\"style\":32}},\"height\":38},\"5\":{\"cells\":{\"1\":{\"text\":\"   Sales ranking points\",\"virtual\":\"IFj1lg5S5aNG1wPx\",\"style\":62,\"merge\":[0,1]},\"2\":{\"style\":31},\"5\":{\"text\":\"12436025\",\"style\":52,\"merge\":[1,0]},\"6\":{\"merge\":[1,0],\"text\":\"元\",\"style\":22},\"10\":{\"text\":\"   Sales progress\",\"style\":33},\"11\":{\"text\":\"\",\"virtual\":\"Yb2TIGEAxnvN9ITx\",\"style\":33},\"13\":{\"text\":\"   Sales ranking\",\"virtual\":\"qQHpevWlqElpRQUl\",\"style\":31},\"14\":{\"style\":32},\"15\":{\"text\":\"   Personal  ranking\",\"style\":62,\"merge\":[0,1]},\"16\":{\"style\":62},\"17\":{\"text\":\"\",\"style\":62,\"merge\":[0,1]},\"18\":{\"style\":62}},\"height\":24},\"6\":{\"cells\":{\"1\":{\"text\":\"\",\"merge\":[0,1],\"style\":31,\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"2\":{\"style\":31,\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"3\":{\"text\":\" \",\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"4\":{\"text\":\" \",\"virtual\":\"IFj1lg5S5aNG1wPx\"},\"5\":{\"style\":53},\"6\":{\"style\":22},\"10\":{\"text\":\" \",\"virtual\":\"Yb2TIGEAxnvN9ITx\"},\"11\":{\"text\":\"\",\"style\":33,\"virtual\":\"Yb2TIGEAxnvN9ITx\"},\"12\":{\"text\":\" \",\"virtual\":\"qQHpevWlqElpRQUl\"},\"13\":{\"text\":\"\",\"virtual\":\"qQHpevWlqElpRQUl\",\"style\":31},\"14\":{\"text\":\" \",\"virtual\":\"qQHpevWlqElpRQUl\"},\"15\":{\"text\":\" \",\"virtual\":\"phTmhkjHLebYlOEQ\"},\"16\":{\"text\":\" \",\"virtual\":\"phTmhkjHLebYlOEQ\"},\"17\":{\"text\":\" \",\"style\":31,\"virtual\":\"phTmhkjHLebYlOEQ\"},\"18\":{\"text\":\" \",\"virtual\":\"phTmhkjHLebYlOEQ\"}}},\"7\":{\"cells\":{\"5\":{\"style\":53,\"virtual\":\"YTri6J59av4gj1CY\"},\"6\":{\"style\":22,\"virtual\":\"YTri6J59av4gj1CY\"},\"7\":{\"text\":\" \",\"virtual\":\"YTri6J59av4gj1CY\"},\"8\":{\"text\":\" \",\"virtual\":\"YTri6J59av4gj1CY\"}}},\"8\":{\"cells\":{\"5\":{\"style\":18,\"text\":\"\",\"virtual\":\"YTri6J59av4gj1CY\"}}},\"9\":{\"cells\":{\"5\":{\"style\":21,\"text\":\"\"}}},\"10\":{\"cells\":{\"5\":{\"text\":\"\",\"style\":17}}},\"12\":{\"cells\":{\"10\":{\"text\":\"  品类销售排名\",\"style\":43},\"11\":{\"text\":\"\",\"style\":43},\"13\":{\"text\":\"  品类销售额占比\",\"style\":43,\"merge\":[0,1]},\"14\":{\"style\":54},\"15\":{\"text\":\"  一季度销售季度\",\"style\":43,\"merge\":[0,1]},\"16\":{\"style\":54},\"17\":{\"text\":\"\",\"style\":43,\"merge\":[0,1]},\"18\":{\"style\":54}}},\"13\":{\"cells\":{\"10\":{\"text\":\"   Category Sales  ranking\",\"style\":31},\"11\":{\"text\":\"\",\"style\":31},\"13\":{\"text\":\"   Type of Sales \",\"style\":31},\"15\":{\"text\":\"   Quarterly sales progree\",\"style\":58,\"merge\":[0,1]},\"16\":{\"style\":58},\"17\":{\"text\":\"\",\"style\":58,\"merge\":[0,1]},\"18\":{\"style\":58}}},\"14\":{\"cells\":{\"10\":{\"text\":\" \",\"virtual\":\"Y1kgYOWBHIVQdSN5\"},\"11\":{\"text\":\" \",\"virtual\":\"Y1kgYOWBHIVQdSN5\"},\"12\":{\"text\":\" \",\"virtual\":\"ARuuHLfjqV9l1tQD\"},\"13\":{\"text\":\" \",\"virtual\":\"ARuuHLfjqV9l1tQD\"},\"14\":{\"text\":\" \",\"virtual\":\"ARuuHLfjqV9l1tQD\"},\"15\":{\"text\":\" \",\"virtual\":\"bcrMtWqTd2AJIjLd\"},\"16\":{\"text\":\" \",\"virtual\":\"bcrMtWqTd2AJIjLd\"},\"17\":{\"text\":\" \",\"virtual\":\"bcrMtWqTd2AJIjLd\"},\"18\":{\"text\":\" \",\"virtual\":\"bcrMtWqTd2AJIjLd\"}}},\"15\":{\"cells\":{},\"height\":15},\"16\":{\"cells\":{\"11\":{\"text\":\"\",\"style\":43},\"13\":{\"text\":\"\",\"style\":43,\"merge\":[0,1]},\"14\":{\"style\":54},\"17\":{\"text\":\"\",\"style\":43,\"merge\":[0,1]},\"18\":{\"style\":54}}},\"17\":{\"cells\":{\"11\":{\"text\":\"\",\"style\":31},\"13\":{\"text\":\"\",\"style\":31},\"17\":{\"text\":\"\",\"merge\":[0,1],\"style\":58},\"18\":{\"style\":58}}},\"18\":{\"cells\":{}},\"20\":{\"cells\":{\"1\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"2\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"3\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"4\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"5\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"6\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"7\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"8\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"},\"9\":{\"text\":\" \",\"virtual\":\"uChrZaHYoV04MQpT\"}},\"height\":39},\"22\":{\"cells\":{\"10\":{\"text\":\"企业经营指标\",\"style\":74},\"11\":{\"text\":\"1201043元\",\"style\":73},\"13\":{\"text\":\"企业经营指标\",\"style\":74},\"14\":{\"text\":\"1201043元\",\"style\":73},\"16\":{\"text\":\"企业经营指标\",\"style\":74},\"17\":{\"text\":\"1201043元\",\"style\":73}}},\"23\":{\"cells\":{\"10\":{\"text\":\"企业经营指标1\",\"style\":74},\"11\":{\"text\":\"1201043元\",\"style\":73},\"13\":{\"text\":\"企业经营指标1\",\"style\":74},\"14\":{\"text\":\"1201043元\",\"style\":73},\"16\":{\"text\":\"企业经营指标1\",\"style\":74},\"17\":{\"text\":\"1201043元\",\"style\":73}}},\"26\":{\"cells\":{},\"height\":33},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1584,\"background\":{\"path\":\"https://static.jeecg.com/designreport/images/bg55_1608205385382.png\",\"repeat\":\"no-repeat\",\"width\":\"1525\",\"height\":\"700\"},\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"color\":\"#ffffff\"},{\"color\":\"#ffffff\",\"font\":{\"size\":16}},{\"color\":\"#ffffff\",\"font\":{\"size\":16},\"align\":\"center\"},{\"color\":\"#ffffff\",\"font\":{\"size\":18},\"align\":\"center\"},{\"font\":{\"size\":18}},{\"color\":\"#67b1ee\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":14}},{\"color\":\"#67b1ee\",\"font\":{\"size\":12}},{\"font\":{\"size\":14}},{\"font\":{\"size\":18},\"bgcolor\":\"#ffffff\"},{\"font\":{\"size\":18},\"bgcolor\":\"#ffffff\",\"color\":\"#ffffff\"},{\"font\":{\"size\":16},\"bgcolor\":\"#ffffff\",\"color\":\"#ffffff\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"right\"},{\"font\":{\"size\":16},\"bgcolor\":\"#ffffff\",\"color\":\"#ffffff\",\"align\":\"right\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"center\"},{\"font\":{\"size\":16}},{\"font\":{\"size\":16},\"color\":\"#fe0000\"},{\"font\":{\"size\":16},\"color\":\"#fe0000\",\"align\":\"center\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"left\"},{\"align\":\"left\"},{\"align\":\"left\",\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"size\":14},\"color\":\"#ffffff\"},{\"font\":{\"size\":14},\"color\":\"#ffffff\"},{\"font\":{\"size\":12},\"color\":\"#ffffff\"},{\"font\":{\"size\":12,\"bold\":true},\"color\":\"#ffffff\"},{\"font\":{\"size\":12,\"bold\":false},\"color\":\"#ffffff\"},{\"font\":{\"size\":11,\"bold\":false},\"color\":\"#ffffff\"},{\"font\":{\"size\":8}},{\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"color\":\"#67b1ee\"},{\"font\":{\"size\":9},\"color\":\"#67b1ee\",\"valign\":\"top\"},{\"font\":{\"size\":8},\"color\":\"#67b1ee\",\"valign\":\"top\"},{\"font\":{\"size\":11,\"bold\":false},\"color\":\"#ffffff\",\"valign\":\"bottom\"},{\"font\":{\"size\":8},\"color\":\"#67b1ee\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"left\",\"valign\":\"bottom\"},{\"align\":\"left\",\"valign\":\"bottom\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"center\",\"valign\":\"bottom\"},{\"align\":\"center\",\"valign\":\"bottom\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":12},\"align\":\"left\",\"valign\":\"middle\"},{\"align\":\"left\",\"valign\":\"middle\"},{\"font\":{\"size\":11}},{\"font\":{\"size\":11},\"color\":\"#ffffff\"},{\"font\":{\"size\":11},\"color\":\"#ffffff\",\"valign\":\"middle\"},{\"font\":{\"size\":11},\"color\":\"#ffffff\",\"valign\":\"bottom\"},{\"color\":\"#ffffff\",\"font\":{\"size\":12},\"align\":\"left\",\"valign\":\"middle\"},{\"align\":\"left\",\"valign\":\"middle\",\"color\":\"#ffffff\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":16}},{\"color\":\"#ffff01\",\"font\":{\"size\":16}},{\"color\":\"#ffffff\",\"font\":{\"size\":11},\"align\":\"left\",\"valign\":\"middle\"},{\"color\":\"#ffffff\",\"font\":{\"size\":14},\"align\":\"left\",\"valign\":\"middle\"},{\"color\":\"#ffff01\",\"font\":{\"size\":14},\"align\":\"left\",\"valign\":\"middle\"},{\"font\":{\"size\":14},\"color\":\"#ffff01\"},{\"color\":\"#ffff01\",\"font\":{\"size\":14},\"align\":\"right\",\"valign\":\"middle\"},{\"font\":{\"size\":14},\"color\":\"#ffff01\",\"align\":\"right\"},{\"color\":\"#ffffff\",\"valign\":\"bottom\"},{\"font\":{\"size\":8},\"bgcolor\":\"#67b1ee\"},{\"font\":{\"size\":8},\"bgcolor\":\"#ffffff\"},{\"font\":{\"size\":8},\"bgcolor\":\"#ffffff\",\"color\":\"#67b1ee\"},{\"font\":{\"size\":8},\"bgcolor\":\"#ffffff\",\"color\":\"#67b1ee\",\"valign\":\"top\"},{\"font\":{\"size\":8,\"bold\":false},\"color\":\"#ffffff\",\"valign\":\"bottom\"},{\"font\":{\"size\":8,\"bold\":false},\"color\":\"#ffffff\",\"valign\":\"top\"},{\"font\":{\"size\":8},\"valign\":\"top\"},{\"font\":{\"size\":8,\"bold\":false},\"color\":\"#67b1ee\",\"valign\":\"top\"},{\"color\":\"#ffffff\",\"font\":{\"size\":11},\"align\":\"center\",\"valign\":\"middle\"},{\"align\":\"center\"},{\"color\":\"#ffffff\",\"font\":{\"size\":11},\"align\":\"right\",\"valign\":\"middle\"},{\"align\":\"right\"},{\"color\":\"#ffffff\",\"font\":{\"size\":14},\"align\":\"right\",\"valign\":\"middle\"},{\"align\":\"right\",\"font\":{\"size\":14}},{\"color\":\"#ffffff\",\"font\":{\"size\":11},\"align\":\"left\",\"valign\":\"bottom\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":11}},{\"color\":\"#67b1ee\",\"font\":{\"size\":11},\"align\":\"center\"},{\"font\":{\"size\":12}},{\"font\":{\"size\":12},\"color\":\"#ffff01\"},{\"color\":\"#67b1ee\",\"font\":{\"size\":11},\"align\":\"right\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":10},\"3\":{\"width\":102},\"4\":{\"width\":9},\"5\":{\"width\":105},\"6\":{\"width\":102},\"8\":{\"width\":124},\"9\":{\"width\":14},\"10\":{\"width\":136},\"11\":{\"width\":114},\"12\":{\"width\":15},\"13\":{\"width\":113},\"14\":{\"width\":129},\"15\":{\"width\":11},\"len\":27},\"merges\":[\"B7:C7\",\"N17:O17\",\"R17:S17\",\"R18:S18\",\"B3:S3\",\"R6:S6\",\"B5:C5\",\"B6:C6\",\"F6:F7\",\"G6:G7\",\"N5:O5\",\"R5:S5\",\"N13:O13\",\"R13:S13\",\"R14:S14\",\"P5:Q5\",\"P6:Q6\",\"P14:Q14\",\"P13:Q13\"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201218200943_1608293404719.png', 'admin', '2021-01-18 13:21:10', 'admin', '2021-02-03 14:01:28', 0, NULL, NULL, 0, 664, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('519c1c6f4d1f584ae8fa5b43b45acdc7', '56623333333', '销售单', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"excel_config_id\":\"519c1c6f4d1f584ae8fa5b43b45acdc7\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"销售单\",\"style\":40,\"merge\":[0,6]}},\"height\":99},\"1\":{\"cells\":{\"1\":{\"text\":\"商品编码\",\"style\":62},\"2\":{\"text\":\"商品名称\",\"style\":62},\"3\":{\"text\":\"销售时间\",\"style\":62},\"4\":{\"text\":\"销售数量\",\"style\":62},\"5\":{\"text\":\"定价\",\"style\":62},\"6\":{\"text\":\"优惠价\",\"style\":62},\"7\":{\"text\":\"付款金额\",\"style\":62}},\"height\":39},\"2\":{\"cells\":{\"1\":{\"text\":\"#{xiaoshou.bianma}\",\"style\":61},\"2\":{\"text\":\"#{xiaoshou.cname}\",\"style\":61},\"3\":{\"text\":\"#{xiaoshou.ctime}\",\"style\":61},\"4\":{\"text\":\"#{xiaoshou.cnum}\",\"style\":61},\"5\":{\"text\":\"#{xiaoshou.cprice}\",\"style\":61},\"6\":{\"text\":\"#{xiaoshou.yprice}\",\"style\":61},\"7\":{\"text\":\"#{xiaoshou.ctotal}\",\"style\":61}},\"isDrag\":true,\"height\":35},\"3\":{\"cells\":{\"1\":{\"style\":44,\"text\":\"\"},\"5\":{\"style\":44,\"text\":\"\"},\"6\":{\"text\":\"\",\"style\":45},\"7\":{\"style\":46,\"text\":\"=SUM(H3)\"}},\"isDrag\":true,\"height\":73},\"5\":{\"cells\":{},\"isDrag\":true},\"6\":{\"cells\":{},\"isDrag\":true},\"7\":{\"cells\":{\"2\":{\"text\":\"\"}},\"isDrag\":true},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":703,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]}},{\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#01b0f1\"},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"size\":18}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"center\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#fed964\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#fdc101\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#fdc101\"},{\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"align\":\"center\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#ffe59a\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#ffc001\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#fed964\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#ed7d31\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#fdc101\"],\"top\":[\"thin\",\"#fdc101\"],\"left\":[\"thin\",\"#fdc101\"],\"right\":[\"thin\",\"#fdc101\"]},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"align\":\"center\"},{\"font\":{\"size\":8}},{\"font\":{\"size\":8},\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#9cc2e6\"},{\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":true,\"size\":12}},{\"font\":{\"bold\":true,\"size\":16}},{\"font\":{\"bold\":true,\"size\":18}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"right\"},{\"align\":\"right\"},{\"align\":\"left\"},{\"align\":\"right\",\"font\":{\"size\":16}},{\"align\":\"left\",\"font\":{\"size\":16}},{\"align\":\"right\",\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"right\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"right\",\"font\":{\"size\":14,\"name\":\"宋体\"}},{\"align\":\"left\",\"font\":{\"size\":14,\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#2e75b5\"],\"top\":[\"thin\",\"#2e75b5\"],\"left\":[\"thin\",\"#2e75b5\"],\"right\":[\"thin\",\"#2e75b5\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#ffff01\"],\"top\":[\"thin\",\"#ffff01\"],\"left\":[\"thin\",\"#ffff01\"],\"right\":[\"thin\",\"#ffff01\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"right\",\"font\":{\"size\":14,\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"color\":\"#ffffff\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#2e75b5\"],\"top\":[\"thin\",\"#2e75b5\"],\"left\":[\"thin\",\"#2e75b5\"],\"right\":[\"thin\",\"#2e75b5\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#4371c6\"],\"top\":[\"thin\",\"#4371c6\"],\"left\":[\"thin\",\"#4371c6\"],\"right\":[\"thin\",\"#4371c6\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]}},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"],\"top\":[\"thin\",\"#d8d8d8\"],\"left\":[\"thin\",\"#d8d8d8\"],\"right\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"bgcolor\":\"#5b9cd6\",\"font\":{\"name\":\"宋体\"},\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}}],\"validations\":[],\"cols\":{\"0\":{\"width\":18},\"1\":{\"width\":102},\"2\":{\"width\":132},\"3\":{\"width\":147},\"4\":{\"width\":66},\"5\":{\"width\":66},\"6\":{\"width\":84},\"7\":{\"width\":88},\"8\":{\"width\":121},\"len\":50},\"merges\":[\"B1:H1\"]}', '', 'https://static.jeecg.com/designreport/images/xiaoshou_1607310086160.png', 'jeecg', '2020-07-28 16:54:44', 'admin', '2021-04-01 03:09:25', 0, NULL, NULL, 1, 2085, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('53c82a76f837d5661dceec7d93afafec', '5678', '阜阳检票数查询', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"53c82a76f837d5661dceec7d93afafec\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"\",\"style\":66},\"2\":{\"style\":66},\"3\":{\"style\":67,\"merge\":[0,3],\"text\":\"阜阳火车站检票数\"},\"4\":{\"style\":67},\"5\":{\"style\":67},\"6\":{\"style\":67},\"7\":{\"style\":66},\"8\":{\"style\":66},\"9\":{\"style\":58}},\"height\":63},\"1\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":66},\"2\":{\"style\":66},\"3\":{\"style\":66},\"4\":{\"style\":66},\"5\":{\"style\":66},\"6\":{\"style\":66},\"7\":{\"style\":66},\"8\":{\"style\":66},\"9\":{\"style\":58}},\"height\":20},\"2\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"日期：\",\"style\":68},\"2\":{\"text\":\"${gongsi.tdata}\",\"style\":69},\"3\":{\"style\":66},\"4\":{\"style\":66,\"text\":\"制表人：\"},\"5\":{\"text\":\"${gongsi.gname}\",\"style\":66},\"6\":{\"style\":66},\"7\":{\"text\":\"\",\"merge\":[0,1],\"style\":70},\"8\":{\"style\":70},\"9\":{\"style\":58}},\"isDrag\":true},\"3\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"班次\",\"merge\":[1,0],\"style\":71},\"2\":{\"text\":\"发车时间\",\"merge\":[1,0],\"style\":71},\"3\":{\"text\":\"是否放空\",\"merge\":[1,0],\"style\":71},\"4\":{\"text\":\"路线\",\"merge\":[0,1],\"style\":71},\"5\":{\"style\":72},\"6\":{\"text\":\"核载座位数\",\"merge\":[1,0],\"style\":71},\"7\":{\"merge\":[1,0],\"style\":71,\"text\":\"检票数\"},\"8\":{\"merge\":[1,0],\"style\":71,\"text\":\"实载率（%）\"},\"9\":{\"style\":58}}},\"4\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":72},\"2\":{\"style\":71},\"3\":{\"style\":72},\"4\":{\"text\":\"从\",\"style\":71},\"5\":{\"text\":\"到\",\"style\":71},\"6\":{\"style\":72},\"7\":{\"style\":71},\"8\":{\"style\":72},\"9\":{\"style\":58}},\"height\":25},\"5\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":73,\"text\":\"#{jianpiao.bnum}\"},\"2\":{\"style\":73,\"text\":\"#{jianpiao.ftime}\"},\"3\":{\"style\":73,\"text\":\"#{jianpiao.sfkong}\"},\"4\":{\"style\":73,\"text\":\"#{jianpiao.kaishi}\"},\"5\":{\"style\":73,\"text\":\"#{jianpiao.jieshu}\"},\"6\":{\"style\":73,\"text\":\"#{jianpiao.hezairen}\"},\"7\":{\"style\":73,\"text\":\"#{jianpiao.jpnum}\"},\"8\":{\"style\":73,\"text\":\"#{jianpiao.shihelv}\"},\"9\":{\"style\":58}},\"height\":33},\"6\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}},\"isDrag\":true},\"7\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11,\"text\":\"\"},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"8\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"9\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"10\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"11\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"12\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"13\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"14\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"len\":96,\"-1\":{\"cells\":{\"-1\":{\"text\":\"${gongsi.id}\"}},\"isDrag\":true}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":701,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#7f7f7f\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"thin\",\"#7f7f7f\"],\"bottom\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"right\":[\"thin\",\"#7f7f7f\"]}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":false}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"align\":\"right\"},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"font\":{\"bold\":true},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#2e75b5\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#2e75b5\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#0170c1\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#0170c1\"},{\"font\":{\"bold\":false},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true},\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"size\":22,\"bold\":true},\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true},\"valign\":\"bottom\"},{\"font\":{\"bold\":false},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\"},{\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"宋体\"},\"valign\":\"bottom\"},{\"font\":{\"bold\":false,\"name\":\"宋体\"},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"right\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false,\"name\":\"宋体\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false,\"name\":\"宋体\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"Microsoft YaHei\"},\"valign\":\"bottom\"},{\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"right\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"name\":\"Microsoft YaHei\"}}],\"validations\":[],\"cols\":{\"0\":{\"width\":17},\"1\":{\"width\":118},\"2\":{\"width\":75},\"3\":{\"width\":54},\"4\":{\"width\":95},\"5\":{\"width\":109},\"6\":{\"width\":75},\"7\":{\"width\":75},\"8\":{\"width\":83},\"9\":{\"width\":30},\"len\":50},\"merges\":[\"E4:F4\",\"B4:B5\",\"C4:C5\",\"D4:D5\",\"G4:G5\",\"H4:H5\",\"I4:I5\",\"D1:G1\",\"H3:I3\"]}', '', 'https://static.jeecg.com/designreport/images/25_1597233573577.png', 'jeecg', '2020-06-16 15:01:42', 'admin', '2021-02-03 12:11:37', 0, NULL, NULL, 1, 693, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('6059e405dd9c66a6d38e00841d2e40cc', '566777', '处方笺', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":{\"sri\":9,\"sci\":3,\"eri\":9,\"eci\":11,\"width\":593,\"height\":25},\"printElWidth\":718,\"excel_config_id\":\"6059e405dd9c66a6d38e00841d2e40cc\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"3\":{\"style\":80,\"text\":\" \"}},\"height\":96},\"1\":{\"cells\":{\"1\":{\"style\":24,\"text\":\" \"},\"2\":{\"style\":25,\"text\":\" \"},\"3\":{\"style\":25,\"text\":\" \"},\"4\":{\"style\":25,\"text\":\" \"},\"5\":{\"style\":25,\"text\":\" \"},\"6\":{\"style\":25,\"text\":\" \"},\"7\":{\"style\":25,\"text\":\" \"},\"8\":{\"style\":25,\"text\":\" \"},\"9\":{\"style\":25,\"text\":\" \"},\"10\":{\"style\":25,\"text\":\" \"},\"11\":{\"style\":25,\"text\":\" \"},\"12\":{\"style\":26,\"text\":\" \"}},\"height\":18},\"2\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":27},\"2\":{\"merge\":[0,9],\"text\":\"智能医学院处方笺\",\"style\":38},\"3\":{\"style\":12,\"text\":\" \"},\"4\":{\"style\":12,\"text\":\" \"},\"5\":{\"style\":12,\"text\":\" \"},\"6\":{\"style\":12,\"text\":\" \"},\"7\":{\"style\":12,\"text\":\" \"},\"8\":{\"style\":12,\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"style\":12,\"text\":\" \"},\"11\":{\"style\":12,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"height\":124},\"3\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":46},\"2\":{\"merge\":[0,1],\"text\":\"姓名：\",\"style\":4},\"3\":{\"style\":4,\"text\":\" \"},\"4\":{\"text\":\"${yonghu.yphone}\"},\"5\":{\"text\":\"性别：\",\"style\":42},\"6\":{\"text\":\"${yonghu.ysex}\",\"style\":42},\"7\":{\"text\":\"年龄：\",\"style\":47},\"8\":{\"text\":\"${yonghu.yage}\"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \",\"style\":42},\"11\":{\"style\":69,\"text\":\" \",\"merge\":[0,1]},\"12\":{\"style\":43,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"isDrag\":true},\"4\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":74},\"2\":{\"style\":4,\"merge\":[0,1],\"text\":\"单位：\"},\"3\":{\"style\":4,\"text\":\" \"},\"4\":{\"text\":\"${yonghu.danwei}\"},\"5\":{\"text\":\"电话：\"},\"6\":{\"text\":\"${yonghu.yphone}\",\"merge\":[0,5]},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"15\":{\"text\":\"\"}},\"isDrag\":true,\"height\":29},\"5\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"merge\":[0,1],\"text\":\"初步诊断：\",\"style\":4},\"3\":{\"text\":\" \",\"style\":4},\"4\":{\"text\":\"${yonghu.yjieguo}\",\"merge\":[0,7]},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true,\"height\":34},\"6\":{\"cells\":{\"1\":{\"text\":\" RP：\",\"merge\":[0,2],\"style\":79},\"2\":{\"style\":11,\"text\":\" \"},\"3\":{\"style\":11,\"text\":\" \"},\"4\":{\"style\":39,\"text\":\" \"},\"5\":{\"style\":0,\"text\":\" \"},\"6\":{\"style\":0,\"text\":\" \"},\"7\":{\"style\":0,\"text\":\" \"},\"8\":{\"style\":0,\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"style\":0,\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"14\":{},\"16\":{}},\"height\":79},\"7\":{\"cells\":{\"1\":{\"text\":\".\",\"style\":48},\"2\":{\"text\":\"\",\"style\":1},\"3\":{\"text\":\"#{yaopin.name}\",\"merge\":[0,1]},\"5\":{},\"6\":{},\"7\":{\"text\":\"#{yaopin.percent}\",\"merge\":[0,1]},\"9\":{},\"10\":{},\"11\":{\"text\":\"\"},\"12\":{\"style\":28,\"text\":\" \"},\"14\":{}},\"isDrag\":true,\"height\":37},\"8\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"height\":27},\"9\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"医嘱：\",\"style\":76},\"3\":{\"text\":\"${yonghu.yizhu}\",\"style\":6,\"merge\":[0,8]},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"10\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"药品费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"text\":\"${yonghu.yprice}\",\"style\":6},\"5\":{\"text\":\"中成药费\",\"style\":6,\"rendered\":\"\",\"merge\":[0,1]},\"7\":{\"style\":6,\"text\":\" \"},\"8\":{\"text\":\"治疗费\",\"merge\":[0,2],\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"style\":6,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"11\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"检查费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"style\":6,\"text\":\" \"},\"5\":{\"text\":\"换药费\",\"style\":6,\"merge\":[0,1]},\"7\":{\"style\":6,\"text\":\" \"},\"8\":{\"merge\":[0,2],\"text\":\"诊疗费\",\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\"${yonghu.yzhenliao}\",\"style\":6},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"12\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"注射费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"style\":6,\"merge\":[0,3],\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"merge\":[0,2],\"text\":\"其他\",\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"style\":6,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}}},\"13\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"合计\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"text\":\"${yonghu.ytotal}\",\"style\":6,\"merge\":[0,7]},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"14\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"height\":9},\"15\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"医师：\",\"style\":4,\"rendered\":\"\",\"merge\":[0,1]},\"4\":{\"text\":\"${yonghu.yishe}\",\"style\":80},\"5\":{\"style\":80,\"text\":\" \"},\"6\":{\"style\":80,\"text\":\" \"},\"7\":{\"style\":80,\"text\":\" \"},\"8\":{\"text\":\"日期：\",\"style\":4},\"9\":{\"text\":\"${yonghu.kdata}\",\"style\":80,\"merge\":[0,2]},\"12\":{\"style\":71,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"isDrag\":true,\"height\":43},\"16\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"style\":80,\"text\":\" \"},\"3\":{\"style\":80,\"text\":\" \"},\"4\":{\"style\":80,\"text\":\" \"},\"5\":{\"style\":80,\"text\":\" \"},\"6\":{\"style\":80,\"text\":\" \"},\"7\":{\"style\":80,\"text\":\" \"},\"8\":{\"style\":80,\"text\":\" \"},\"9\":{\"style\":80,\"text\":\" \"},\"10\":{\"style\":80,\"text\":\" \"},\"11\":{\"style\":80,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"height\":17},\"17\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":32},\"2\":{\"text\":\" \",\"style\":33},\"3\":{\"style\":33,\"text\":\" \"},\"4\":{\"text\":\" \",\"style\":33},\"5\":{\"text\":\" \",\"style\":33},\"6\":{\"text\":\" \",\"style\":33},\"7\":{\"text\":\" \",\"style\":33},\"8\":{\"text\":\" \",\"style\":33},\"9\":{\"text\":\" \",\"style\":33},\"10\":{\"text\":\" \",\"style\":33},\"11\":{\"text\":\" \",\"style\":33},\"12\":{\"text\":\" \",\"style\":34}}},\"18\":{\"cells\":{\"11\":{\"text\":\"\"}},\"isDrag\":true},\"len\":94,\"-1\":{\"cells\":{\"-1\":{\"text\":\"#{yaopin.key1}\"}},\"isDrag\":true},\"\":{\"cells\":{\"NaN\":{\"text\":\"\",\"rendered\":\"\"}}}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":709,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"size\":12}},{\"font\":{\"size\":10}},{\"font\":{\"size\":12},\"align\":\"right\"},{\"font\":{\"size\":14}},{\"align\":\"right\"},{\"font\":{\"size\":10},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\"},{\"font\":{\"size\":12},\"align\":\"center\"},{\"font\":{\"size\":12,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":15}},{\"align\":\"left\"},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":true}},{\"font\":{\"size\":12,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"valign\":\"bottom\"},{\"font\":{\"size\":10},\"valign\":\"bottom\"},{\"valign\":\"bottom\"},{\"align\":\"right\",\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":true},{\"font\":{\"size\":10},\"textwrap\":true},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false},{\"font\":{\"size\":10},\"textwrap\":false},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"right\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"center\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"center\"},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":15},\"align\":\"right\"},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"left\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"align\":\"left\"},{\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":15,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{},{\"font\":{\"size\":15,\"bold\":true},\"align\":\"center\"},{\"align\":\"right\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"],\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}}],\"validations\":[],\"cols\":{\"0\":{\"width\":23},\"1\":{\"width\":14},\"2\":{\"width\":56},\"3\":{\"width\":40},\"4\":{\"width\":156},\"5\":{\"width\":41},\"6\":{\"width\":18},\"7\":{\"width\":92},\"8\":{\"width\":58},\"9\":{\"width\":20},\"10\":{\"width\":20},\"11\":{\"width\":148},\"12\":{\"width\":12},\"13\":{\"width\":11},\"len\":50},\"merges\":[\"C3:E3\",\"C7:E7\",\"H3:I3\",\"H7:I7\",\"C7:E7\",\"H7:I7\",\"I11:K11\",\"I12:K12\",\"I13:K13\",\"E13:H13\",\"C11:D11\",\"C12:D12\",\"C13:D13\",\"C14:D14\",\"L4:M4\",\"C3:L3\",\"B7:D7\",\"C4:D4\",\"C5:D5\",\"E14:L14\",\"G5:L5\",\"C6:D6\",\"E6:L6\",\"D8:E8\",\"H8:I8\",\"C16:D16\",\"J16:L16\",\"F11:G11\",\"F12:G12\",\"D10:L10\"]}', '', 'https://static.jeecg.com/designreport/images/处方_1607071731580.png', 'jeecg', '2020-07-10 17:12:16', 'admin', '2021-02-03 14:03:05', 0, NULL, NULL, 1, 846, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('6d6bdcb5e820c301ea32789e3ae43c44', '1223', '供电公司抢修单', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":{\"sri\":14,\"sci\":8,\"eri\":14,\"eci\":8,\"width\":100,\"height\":67},\"printElWidth\":718,\"excel_config_id\":\"6d6bdcb5e820c301ea32789e3ae43c44\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{},\"height\":11},\"1\":{\"cells\":{\"1\":{\"text\":\"供电公司抢修竣工单\",\"merge\":[0,5],\"style\":39},\"2\":{\"style\":39},\"3\":{\"style\":39},\"4\":{\"style\":39},\"5\":{\"style\":39},\"6\":{\"style\":39}},\"height\":56},\"2\":{\"cells\":{\"1\":{\"text\":\"填报单位：\",\"style\":26},\"2\":{\"text\":\"#{qiangxiu.danwei}\",\"style\":27},\"3\":{\"style\":27},\"4\":{\"text\":\"\",\"style\":27},\"5\":{\"text\":\"填报日期：\",\"style\":26},\"6\":{\"text\":\"#{qiangxiu.time}\",\"style\":27}}},\"3\":{\"cells\":{\"1\":{\"text\":\"填报名称：\",\"style\":26},\"2\":{\"text\":\"#{qiangxiu.ktime}\",\"style\":27},\"3\":{\"style\":27},\"4\":{\"style\":27},\"5\":{\"text\":\"项目编号：\",\"style\":26},\"6\":{\"text\":\"#{qiangxiu.wtime}\",\"style\":27}}},\"4\":{\"cells\":{\"1\":{\"style\":28},\"2\":{\"style\":28},\"3\":{\"style\":28},\"4\":{\"style\":28},\"5\":{\"style\":28},\"6\":{\"style\":28}},\"height\":10},\"5\":{\"cells\":{\"1\":{\"text\":\"项目批准核算\",\"style\":29},\"2\":{\"text\":\"#{qiangxiu.yusuan}\",\"style\":30,\"merge\":[0,4]}},\"height\":89},\"6\":{\"cells\":{\"1\":{\"text\":\"开工日期\",\"style\":32},\"2\":{\"style\":33,\"text\":\"#{qiangxiu.ktime}\",\"merge\":[0,1]},\"3\":{\"style\":28},\"4\":{\"style\":34,\"text\":\"完工日期\"},\"5\":{\"style\":33,\"merge\":[0,1],\"text\":\"#{qiangxiu.wtime}\"},\"6\":{\"style\":28}},\"height\":31},\"7\":{\"cells\":{\"1\":{\"text\":\"完工主要内容\",\"style\":32},\"2\":{\"style\":33,\"text\":\"#{qiangxiu.neirong}\",\"merge\":[0,4]}},\"height\":71},\"8\":{\"cells\":{\"1\":{\"text\":\"形成能力\",\"style\":32},\"2\":{\"style\":33,\"merge\":[0,4],\"text\":\"#{qiangxiu.nengli}\"},\"3\":{\"style\":28},\"4\":{\"style\":28},\"5\":{\"style\":28},\"6\":{\"style\":28}},\"height\":49},\"9\":{\"cells\":{\"1\":{\"text\":\"目标效益验收意见\",\"style\":32},\"2\":{\"style\":35,\"text\":\"#{qiangxiu.yijian}\",\"rendered\":\"\",\"merge\":[0,4]}},\"height\":100},\"10\":{\"cells\":{\"1\":{\"style\":37,\"text\":\"                                                                                                                     \",\"merge\":[0,3]},\"2\":{\"style\":28},\"3\":{\"style\":28},\"4\":{\"style\":28},\"5\":{\"style\":37,\"text\":\"#{qiangxiu.time1}\",\"merge\":[0,1]},\"6\":{\"style\":28}}},\"11\":{\"cells\":{\"1\":{\"text\":\"实施质量验收评价\",\"style\":32},\"2\":{\"style\":35,\"text\":\"#{qiangxiu.pingjia}\",\"merge\":[0,4]}},\"height\":99},\"12\":{\"cells\":{\"1\":{\"style\":33,\"merge\":[0,3]},\"2\":{\"style\":28},\"3\":{\"style\":28},\"4\":{\"style\":28},\"5\":{\"style\":33,\"merge\":[0,1],\"text\":\"#{qiangxiu.time1}\"},\"6\":{\"style\":28}}},\"13\":{\"cells\":{\"1\":{\"text\":\"验收总结\",\"style\":32},\"2\":{\"style\":35,\"text\":\"#{qiangxiu.zongjie}\",\"merge\":[0,4],\"rendered\":\"\"}},\"height\":80},\"14\":{\"cells\":{\"1\":{\"text\":\"责任单位意见\",\"style\":32},\"2\":{\"style\":33,\"merge\":[0,4],\"text\":\"#{qiangxiu.zongjie}\"}},\"height\":67},\"15\":{\"cells\":{\"1\":{\"text\":\"责任单位审核人\",\"style\":32},\"2\":{\"style\":33,\"merge\":[0,1],\"text\":\"#{qiangxiu.dshenhe}\"},\"3\":{\"style\":28},\"4\":{\"style\":34,\"text\":\"日期\"},\"5\":{\"style\":33,\"text\":\"#{qiangxiu.time3}\",\"merge\":[0,1]},\"6\":{\"style\":28}},\"height\":42},\"16\":{\"cells\":{\"1\":{\"text\":\"生技部审批意见\",\"style\":32},\"2\":{\"style\":33,\"text\":\"#{qiangxiu.dshenhe}\",\"merge\":[0,4]}},\"height\":107},\"17\":{\"cells\":{\"1\":{\"text\":\"生技部主任\",\"style\":32},\"2\":{\"style\":33,\"merge\":[0,1],\"text\":\"#{qiangxiu.zhuren}\"},\"3\":{\"style\":28},\"4\":{\"style\":34,\"text\":\"日期\"},\"5\":{\"style\":33,\"text\":\"#{qiangxiu.time4}\",\"merge\":[0,1]},\"6\":{\"style\":28}},\"height\":41},\"18\":{\"cells\":{\"1\":{\"style\":28},\"2\":{\"style\":28},\"3\":{\"style\":28},\"4\":{\"style\":28},\"5\":{\"style\":28},\"6\":{\"style\":28}}},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":699,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#9cc2e6\"},{\"bgcolor\":\"#9cc2e6\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#ffffff\"},{\"bgcolor\":\"#ffffff\"},{\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"left\"},{\"align\":\"left\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true},{\"textwrap\":true},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":false},{\"textwrap\":false},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"right\",\"color\":\"#7f7f7f\"},{\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"bold\":false}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":false}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\",\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"宋体\"}},{\"align\":\"right\",\"color\":\"#7f7f7f\",\"font\":{\"name\":\"宋体\"}},{\"color\":\"#7f7f7f\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#ffffff\",\"font\":{\"name\":\"宋体\"}},{\"bgcolor\":\"#ffffff\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\",\"font\":{\"bold\":true,\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"宋体\"}},{\"textwrap\":true,\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"left\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":false,\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"宋体\"}}],\"validations\":[],\"cols\":{\"0\":{\"width\":23},\"1\":{\"width\":117},\"3\":{\"width\":108},\"4\":{\"width\":127},\"5\":{\"width\":76},\"6\":{\"width\":148},\"7\":{\"width\":13},\"len\":50},\"merges\":[\"C7:D7\",\"F7:G7\",\"B2:G2\",\"C9:G9\",\"B11:E11\",\"F11:G11\",\"B13:E13\",\"F13:G13\",\"C16:D16\",\"C18:D18\",\"F16:G16\",\"F18:G18\",\"C10:G10\",\"C8:G8\",\"C6:G6\",\"C12:G12\",\"C14:G14\",\"C15:G15\",\"C17:G17\"]}', '', 'https://static.jeecg.com/designreport/images/222_1607311944321.png', 'jeecg', '2020-07-20 19:37:54', 'admin', '2021-02-03 14:00:39', 0, NULL, NULL, 1, 177, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('6df599d933df24de007764d0e98eb105', '5667774539', '处方笺副本4539', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"printElWidth\":718,\"excel_config_id\":\"6df599d933df24de007764d0e98eb105\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"3\":{\"style\":80,\"text\":\" \"}},\"height\":96},\"1\":{\"cells\":{\"1\":{\"style\":24,\"text\":\" \"},\"2\":{\"style\":25,\"text\":\" \"},\"3\":{\"style\":25,\"text\":\" \"},\"4\":{\"style\":25,\"text\":\" \"},\"5\":{\"style\":25,\"text\":\" \"},\"6\":{\"style\":25,\"text\":\" \"},\"7\":{\"style\":25,\"text\":\" \"},\"8\":{\"style\":25,\"text\":\" \"},\"9\":{\"style\":25,\"text\":\" \"},\"10\":{\"style\":25,\"text\":\" \"},\"11\":{\"style\":25,\"text\":\" \"},\"12\":{\"style\":26,\"text\":\" \"}},\"height\":18},\"2\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":27},\"2\":{\"merge\":[0,9],\"text\":\"智能医学院处方笺\",\"style\":38},\"3\":{\"style\":12,\"text\":\" \"},\"4\":{\"style\":12,\"text\":\" \"},\"5\":{\"style\":12,\"text\":\" \"},\"6\":{\"style\":12,\"text\":\" \"},\"7\":{\"style\":12,\"text\":\" \"},\"8\":{\"style\":12,\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"style\":12,\"text\":\" \"},\"11\":{\"style\":12,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"height\":124},\"3\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":46},\"2\":{\"merge\":[0,1],\"text\":\"姓名：\",\"style\":4},\"3\":{\"style\":4,\"text\":\" \"},\"4\":{\"text\":\"${yonghu.yphone}\"},\"5\":{\"text\":\"性别：\",\"style\":42},\"6\":{\"text\":\"${yonghu.ysex}\",\"style\":42},\"7\":{\"text\":\"年龄：\",\"style\":47},\"8\":{\"text\":\"${yonghu.yage}\"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \",\"style\":42},\"11\":{\"style\":69,\"text\":\" \",\"merge\":[0,1]},\"12\":{\"style\":43,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"isDrag\":true},\"4\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":74},\"2\":{\"style\":4,\"merge\":[0,1],\"text\":\"单位：\"},\"3\":{\"style\":4,\"text\":\" \"},\"4\":{\"text\":\"${yonghu.danwei}\"},\"5\":{\"text\":\"电话：\"},\"6\":{\"text\":\"${yonghu.yphone}\",\"merge\":[0,5]},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"15\":{\"text\":\"\"}},\"isDrag\":true,\"height\":29},\"5\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"merge\":[0,1],\"text\":\"初步诊断：\",\"style\":4},\"3\":{\"text\":\" \",\"style\":4},\"4\":{\"text\":\"${yonghu.yjieguo}\",\"merge\":[0,7]},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true,\"height\":34},\"6\":{\"cells\":{\"1\":{\"text\":\" RP：\",\"merge\":[0,2],\"style\":79},\"2\":{\"style\":11,\"text\":\" \"},\"3\":{\"style\":11,\"text\":\" \"},\"4\":{\"style\":39,\"text\":\" \"},\"5\":{\"style\":0,\"text\":\" \"},\"6\":{\"style\":0,\"text\":\" \"},\"7\":{\"style\":0,\"text\":\" \"},\"8\":{\"style\":0,\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"style\":0,\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"14\":{},\"16\":{}},\"height\":79},\"7\":{\"cells\":{\"1\":{\"text\":\".\",\"style\":48},\"2\":{\"text\":\"\",\"style\":1},\"3\":{\"text\":\"#{yaopin.name}\",\"merge\":[0,1]},\"5\":{},\"6\":{},\"7\":{\"text\":\"#{yaopin.percent}\",\"merge\":[0,1]},\"9\":{},\"10\":{},\"11\":{\"text\":\"\"},\"12\":{\"style\":28,\"text\":\" \"},\"14\":{}},\"isDrag\":true,\"height\":37},\"8\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"height\":27},\"9\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"医嘱：\",\"style\":76},\"3\":{\"text\":\"${yonghu.yizhu}\",\"style\":6,\"merge\":[0,8]},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"10\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"药品费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"text\":\"${yonghu.yprice}\",\"style\":6},\"5\":{\"merge\":[0,1],\"text\":\"中成药费\",\"style\":6},\"6\":{\"text\":\" \"},\"7\":{\"style\":6,\"text\":\" \"},\"8\":{\"text\":\"治疗费\",\"merge\":[0,2],\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"style\":6,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"11\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"检查费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"style\":6,\"text\":\" \"},\"5\":{\"merge\":[0,1],\"text\":\"换药费\",\"style\":6},\"6\":{\"text\":\" \"},\"7\":{\"style\":6,\"text\":\" \"},\"8\":{\"merge\":[0,2],\"text\":\"诊疗费\",\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\"${yonghu.yzhenliao}\",\"style\":6},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"12\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"注射费\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"style\":6,\"merge\":[0,3],\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"merge\":[0,2],\"text\":\"其他\",\"style\":6},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"style\":6,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}}},\"13\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"合计\",\"style\":6,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"text\":\"${yonghu.ytotal}\",\"style\":6,\"merge\":[0,7]},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"isDrag\":true},\"14\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\" \"},\"3\":{\"text\":\" \"},\"4\":{\"text\":\" \"},\"5\":{\"text\":\" \"},\"6\":{\"text\":\" \"},\"7\":{\"text\":\" \"},\"8\":{\"text\":\" \"},\"9\":{\"text\":\" \"},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"height\":9},\"15\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"text\":\"医师：\",\"style\":4,\"merge\":[0,1]},\"3\":{\"text\":\" \"},\"4\":{\"text\":\"${yonghu.yishe}\",\"style\":80},\"5\":{\"style\":80,\"text\":\" \"},\"6\":{\"style\":80,\"text\":\" \"},\"7\":{\"style\":80,\"text\":\" \"},\"8\":{\"text\":\"日期：\",\"style\":4},\"9\":{\"text\":\"${yonghu.kdata}\",\"style\":80,\"merge\":[0,2]},\"10\":{\"text\":\" \"},\"11\":{\"text\":\" \"},\"12\":{\"style\":71,\"text\":\" \"},\"13\":{\"style\":80,\"text\":\" \"}},\"isDrag\":true,\"height\":43},\"16\":{\"cells\":{\"1\":{\"style\":31,\"text\":\" \"},\"2\":{\"style\":80,\"text\":\" \"},\"3\":{\"style\":80,\"text\":\" \"},\"4\":{\"style\":80,\"text\":\" \"},\"5\":{\"style\":80,\"text\":\" \"},\"6\":{\"style\":80,\"text\":\" \"},\"7\":{\"style\":80,\"text\":\" \"},\"8\":{\"style\":80,\"text\":\" \"},\"9\":{\"style\":80,\"text\":\" \"},\"10\":{\"style\":80,\"text\":\" \"},\"11\":{\"style\":80,\"text\":\" \"},\"12\":{\"style\":28,\"text\":\" \"}},\"height\":17},\"17\":{\"cells\":{\"1\":{\"text\":\" \",\"style\":32},\"2\":{\"text\":\" \",\"style\":33},\"3\":{\"style\":33,\"text\":\" \"},\"4\":{\"text\":\" \",\"style\":33},\"5\":{\"text\":\" \",\"style\":33},\"6\":{\"text\":\" \",\"style\":33},\"7\":{\"text\":\" \",\"style\":33},\"8\":{\"text\":\" \",\"style\":33},\"9\":{\"text\":\" \",\"style\":33},\"10\":{\"text\":\" \",\"style\":33},\"11\":{\"text\":\" \",\"style\":33},\"12\":{\"text\":\" \",\"style\":34}}},\"18\":{\"cells\":{\"11\":{\"text\":\"\"}},\"isDrag\":true},\"len\":94,\"-1\":{\"cells\":{\"-1\":{\"text\":\"#{yaopin.key1}\"}},\"isDrag\":true},\"\":{\"cells\":{\"NaN\":{\"text\":\"\",\"rendered\":\"\"}}}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":798,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"size\":12}},{\"font\":{\"size\":10}},{\"font\":{\"size\":12},\"align\":\"right\"},{\"font\":{\"size\":14}},{\"align\":\"right\"},{\"font\":{\"size\":10},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\"},{\"font\":{\"size\":12},\"align\":\"center\"},{\"font\":{\"size\":12,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":15}},{\"align\":\"left\"},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":true}},{\"font\":{\"size\":12,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"valign\":\"bottom\"},{\"font\":{\"size\":10},\"valign\":\"bottom\"},{\"valign\":\"bottom\"},{\"align\":\"right\",\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":true},{\"font\":{\"size\":10},\"textwrap\":true},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false},{\"font\":{\"size\":10},\"textwrap\":false},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"right\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thick\",\"#000\"]},\"textwrap\":false,\"align\":\"center\"},{\"font\":{\"size\":10},\"textwrap\":false,\"align\":\"center\"},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":15},\"align\":\"right\"},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"valign\":\"bottom\",\"align\":\"right\"},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"left\":[\"thin\",\"#000\"]},\"textwrap\":false,\"align\":\"left\"},{\"font\":{\"size\":10},\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":15},\"border\":{\"left\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"left\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"valign\":\"bottom\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":10},\"align\":\"left\"},{\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"font\":{\"size\":10},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":10},\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":15,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{},{\"font\":{\"size\":15,\"bold\":true},\"align\":\"center\"},{\"align\":\"right\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true},\"align\":\"center\",\"border\":{\"bottom\":[\"thick\",\"#000\"],\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}}],\"validations\":[],\"cols\":{\"0\":{\"width\":23},\"1\":{\"width\":14},\"2\":{\"width\":56},\"3\":{\"width\":40},\"4\":{\"width\":156},\"5\":{\"width\":41},\"6\":{\"width\":18},\"7\":{\"width\":92},\"8\":{\"width\":58},\"9\":{\"width\":20},\"10\":{\"width\":20},\"11\":{\"width\":148},\"12\":{\"width\":12},\"len\":50},\"merges\":[\"C3:E3\",\"C7:E7\",\"H3:I3\",\"H7:I7\",\"C7:E7\",\"H7:I7\",\"F11:G11\",\"I11:K11\",\"F12:G12\",\"I12:K12\",\"I13:K13\",\"E13:H13\",\"C11:D11\",\"C12:D12\",\"C13:D13\",\"C14:D14\",\"C16:D16\",\"L4:M4\",\"C3:L3\",\"B7:D7\",\"C4:D4\",\"C5:D5\",\"E14:L14\",\"J16:L16\",\"D10:L10\",\"G5:L5\",\"C6:D6\",\"E6:L6\",\"D8:E8\",\"H8:I8\"]}', '', 'https://static.jeecg.com/designreport/images/处方_1607071731580.png', 'admin', '2021-02-02 20:13:47', 'admin', '2021-02-03 14:01:33', 0, NULL, NULL, 0, 834, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('7905022412733a0c68dc7b4ef8947489', '8996445', '介绍信', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"excel_config_id\":\"7905022412733a0c68dc7b4ef8947489\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"1\":{},\"12\":{}},\"height\":11},\"1\":{\"cells\":{},\"height\":24},\"2\":{\"cells\":{},\"isDrag\":true,\"height\":43},\"3\":{\"cells\":{\"0\":{\"text\":\"\",\"style\":46},\"1\":{\"merge\":[0,10],\"text\":\"介绍信\",\"style\":337}},\"height\":216},\"4\":{\"cells\":{\"1\":{\"text\":\"${jieshaoxin.name}\",\"style\":338,\"merge\":[0,3]},\"5\":{\"text\":\"：\",\"style\":339}},\"isDrag\":true,\"height\":80},\"5\":{\"cells\":{\"1\":{\"text\":\"兹介绍我局\",\"style\":340,\"merge\":[0,5]},\"7\":{\"text\":\"${jieshaoxin.value}\",\"style\":341},\"8\":{\"text\":\"同志\",\"style\":339},\"9\":{\"text\":\"#{jieshaoxin.percent}\",\"style\":339},\"10\":{\"text\":\"人，前往你处\",\"style\":339,\"merge\":[0,1]}},\"isDrag\":true,\"height\":42},\"6\":{\"cells\":{\"1\":{\"text\":\"${jieshaoxin.shiqing}\",\"style\":342,\"merge\":[0,5]},\"15\":{\"text\":\"\"}},\"isDrag\":true,\"height\":48},\"7\":{\"cells\":{\"1\":{\"style\":343,\"text\":\"\"},\"2\":{\"style\":344,\"merge\":[0,5],\"text\":\"请予接洽并给予帮助。\"}},\"height\":56},\"8\":{\"cells\":{},\"height\":15},\"9\":{\"cells\":{},\"height\":11},\"10\":{\"cells\":{\"8\":{\"text\":\"\",\"style\":316,\"merge\":[0,3]}},\"height\":39},\"11\":{\"cells\":{\"8\":{\"merge\":[0,2],\"text\":\"单位盖章\",\"style\":347},\"11\":{\"merge\":[0,1],\"style\":316}},\"height\":84},\"12\":{\"cells\":{\"1\":{\"merge\":[0,2],\"text\":\"\",\"style\":317},\"4\":{\"merge\":[0,2],\"text\":\"\",\"style\":346},\"7\":{\"text\":\"（有效时间：至\",\"style\":317},\"8\":{\"text\":\"${jieshaoxin.gdata}\",\"style\":316,\"merge\":[0,2]},\"11\":{\"style\":348,\"text\":\"止）\"}},\"isDrag\":true,\"height\":30},\"13\":{\"cells\":{\"1\":{\"merge\":[12,11]}}},\"17\":{\"cells\":{},\"isDrag\":true},\"len\":89},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":688,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"left\"},{\"align\":\"left\",\"underline\":true},{\"underline\":true},{\"align\":\"center\",\"underline\":true},{\"align\":\"center\"},{\"align\":\"center\",\"underline\":false},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":16}},{\"font\":{\"size\":16}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"bold\":true}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":false}},{\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false}},{\"font\":{\"bold\":false}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"font\":{\"size\":12},\"align\":\"center\"},{\"font\":{\"size\":8}},{\"font\":{\"size\":10}},{\"font\":{\"size\":10,\"bold\":true}},{\"font\":{\"size\":10,\"bold\":true},\"align\":\"center\"},{\"font\":{\"size\":18,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":18}},{\"font\":{\"size\":16,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":16}},{\"font\":{\"size\":12},\"valign\":\"bottom\"},{\"font\":{\"size\":12},\"valign\":\"middle\"},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"valign\":\"middle\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"left\":[\"dashed\",\"#000\"]}},{\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"font\":{\"size\":12,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"font\":{\"size\":14,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"}},{\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"}},{\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"}},{\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"}},{\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":10,\"name\":\"Lato\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"font\":{\"size\":10,\"name\":\"Lato\"},\"valign\":\"middle\",\"color\":\"#000100\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{},{\"font\":{\"size\":12,\"name\":\"Lato\",\"bold\":true},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"bold\":true},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\"},{\"align\":\"right\"},{\"align\":\"right\",\"font\":{\"size\":12}},{\"align\":\"left\",\"font\":{\"size\":12}},{\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"valign\":\"top\"},{\"valign\":\"top\",\"align\":\"center\"},{\"valign\":\"top\",\"align\":\"center\",\"font\":{\"size\":12}},{\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\"},{\"font\":{\"size\":14}},{\"align\":\"right\",\"font\":{\"size\":14}},{\"font\":{\"size\":14},\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"right\",\"font\":{\"size\":9}},{\"font\":{\"size\":9}},{\"font\":{\"size\":9},\"align\":\"center\"},{\"font\":{\"size\":9},\"align\":\"left\"},{\"align\":\"left\",\"font\":{\"bold\":true,\"size\":14}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14},\"valign\":\"top\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16},\"valign\":\"top\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":18},\"valign\":\"top\"},{\"align\":\"right\",\"font\":{\"size\":10}},{\"font\":{\"size\":10},\"align\":\"center\"},{\"align\":\"left\",\"font\":{\"size\":10}},{\"align\":\"right\",\"font\":{\"size\":12},\"valign\":\"bottom\"},{\"valign\":\"bottom\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"valign\":\"bottom\"},{\"font\":{\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"align\":\"center\",\"valign\":\"bottom\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":22},\"valign\":\"top\"},{\"align\":\"right\",\"font\":{\"size\":14},\"valign\":\"bottom\"},{\"font\":{\"size\":14},\"valign\":\"bottom\"},{\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"valign\":\"bottom\"},{\"font\":{\"size\":14},\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"align\":\"center\",\"valign\":\"bottom\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14},\"align\":\"center\"},{\"valign\":\"top\",\"align\":\"center\",\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"size\":14}}],\"validations\":[],\"cols\":{\"0\":{\"width\":23},\"1\":{\"width\":46},\"2\":{\"width\":24},\"3\":{\"width\":15},\"4\":{\"width\":37},\"5\":{\"width\":13},\"6\":{\"width\":83},\"7\":{\"width\":256},\"8\":{\"width\":42},\"9\":{\"width\":18},\"10\":{\"width\":77},\"11\":{\"width\":54},\"12\":{\"width\":28},\"13\":{\"width\":62},\"16\":{\"width\":55},\"len\":50},\"merges\":[\"C0:D0\",\"G11:H11\",\"G12:H12\",\"B5:E5\",\"B6:G6\",\"C8:H8\",\"I12:K12\",\"B4:L4\",\"K6:L6\",\"B13:D13\",\"E13:G13\",\"I11:L11\",\"L12:M12\",\"B14:M26\",\"I13:K13\",\"B7:G7\"]}', '', 'https://static.jeecg.com/designreport/images/介绍xin_1607072641405.png', 'jeecg', '2020-07-10 13:38:40', 'admin', '2021-04-01 03:15:11', 0, NULL, NULL, 1, 831, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('7c02c224a2db56d0350069650033f702', '895666', '核查评估表', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":{\"sri\":5,\"sci\":18,\"eri\":5,\"eci\":18,\"width\":53,\"height\":46},\"printElWidth\":1399,\"excel_config_id\":\"7c02c224a2db56d0350069650033f702\",\"printElHeight\":790,\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"XX县（市、区）YY低保第三方核查评估汇总表\",\"merge\":[0,21],\"style\":386},\"2\":{\"style\":386},\"3\":{\"style\":386},\"4\":{\"style\":386},\"5\":{\"style\":386},\"6\":{\"style\":386},\"7\":{\"style\":386},\"8\":{\"style\":386},\"9\":{\"style\":386},\"10\":{\"style\":386},\"11\":{\"style\":386},\"12\":{\"style\":386},\"13\":{\"style\":386},\"14\":{\"style\":386},\"15\":{\"style\":386},\"16\":{\"style\":386},\"17\":{\"style\":386},\"18\":{\"style\":386},\"19\":{\"style\":386},\"20\":{\"style\":386},\"21\":{\"style\":386},\"22\":{\"style\":386}},\"height\":70},\"1\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":403,\"text\":\"     北京市林翠社区\"},\"2\":{\"style\":398,\"text\":\" \"},\"3\":{\"style\":398,\"text\":\" \"},\"4\":{\"merge\":[0,2],\"text\":\"镇（乡、街道办事处）\",\"style\":399},\"5\":{\"style\":399},\"6\":{\"style\":399},\"7\":{\"style\":399,\"merge\":[0,7]},\"8\":{\"style\":400},\"9\":{\"style\":400},\"10\":{\"style\":400},\"11\":{\"style\":400},\"12\":{\"style\":400},\"13\":{\"style\":400},\"14\":{\"style\":400},\"15\":{\"merge\":[0,7],\"text\":\"单位：人、元、套、平方米\",\"style\":398},\"16\":{\"style\":401},\"17\":{\"style\":401},\"18\":{\"style\":401},\"19\":{\"style\":401},\"20\":{\"style\":401},\"21\":{\"style\":401},\"22\":{\"style\":401}}},\"2\":{\"cells\":{\"1\":{\"style\":114},\"2\":{\"style\":114},\"3\":{\"style\":114},\"4\":{\"style\":114},\"5\":{\"style\":114},\"6\":{\"style\":114},\"7\":{\"style\":114},\"8\":{\"style\":114},\"9\":{\"style\":114},\"10\":{\"style\":114},\"11\":{\"style\":114},\"12\":{\"style\":114},\"13\":{\"style\":114},\"14\":{\"style\":114},\"15\":{\"style\":114},\"16\":{\"style\":114},\"17\":{\"style\":114},\"18\":{\"style\":114},\"19\":{\"style\":114},\"20\":{\"style\":114},\"21\":{\"style\":114},\"22\":{\"style\":114}},\"height\":14},\"3\":{\"cells\":{\"1\":{\"style\":406,\"text\":\"村（社区）名称\",\"merge\":[1,0]},\"2\":{\"style\":407,\"text\":\"户主名称\",\"merge\":[1,0]},\"3\":{\"style\":407,\"text\":\"保障编号\",\"merge\":[1,0]},\"4\":{\"style\":408,\"text\":\"家庭人口\",\"merge\":[1,0]},\"5\":{\"style\":409,\"text\":\"家庭住址\",\"merge\":[1,0]},\"6\":{\"style\":409,\"text\":\"联系电话\",\"merge\":[1,0]},\"7\":{\"style\":408,\"text\":\"身份证号码\",\"merge\":[1,0]},\"8\":{\"style\":409,\"text\":\"原保障\",\"merge\":[0,2]},\"9\":{\"style\":377,\"text\":\" \"},\"10\":{\"style\":377,\"text\":\" \"},\"11\":{\"text\":\"核减后月人均收入\",\"style\":408,\"merge\":[1,0]},\"12\":{\"merge\":[0,5],\"text\":\"保障建议\",\"style\":410},\"13\":{\"style\":379,\"text\":\" \"},\"14\":{\"style\":379,\"text\":\" \"},\"15\":{\"style\":379,\"text\":\" \"},\"16\":{\"style\":379,\"text\":\" \"},\"17\":{\"style\":379,\"text\":\" \"},\"18\":{\"text\":\"是否新增对象\",\"style\":411,\"merge\":[1,0]},\"19\":{\"text\":\"建议取消原因\",\"style\":409,\"merge\":[0,3]},\"20\":{\"style\":377,\"text\":\" \"},\"21\":{\"style\":377,\"text\":\" \"},\"22\":{\"style\":377,\"text\":\" \"}}},\"4\":{\"cells\":{\"1\":{\"style\":381,\"text\":\" \"},\"2\":{\"style\":407,\"text\":\" \"},\"3\":{\"style\":382,\"text\":\" \"},\"4\":{\"style\":408,\"text\":\" \"},\"5\":{\"style\":377,\"text\":\" \"},\"6\":{\"style\":409,\"text\":\" \"},\"7\":{\"style\":383,\"text\":\" \"},\"8\":{\"text\":\"户数\",\"style\":412},\"9\":{\"style\":411,\"text\":\"人口\"},\"10\":{\"style\":413,\"text\":\"金额\"},\"11\":{\"style\":383,\"text\":\" \"},\"12\":{\"text\":\"保障类型\",\"style\":408},\"13\":{\"style\":413,\"text\":\"人口\"},\"14\":{\"style\":408,\"text\":\"差额补助\"},\"15\":{\"style\":408,\"text\":\"全额补助\"},\"16\":{\"style\":408,\"text\":\"增发补助\"},\"17\":{\"style\":408,\"text\":\"合计补助\"},\"18\":{\"style\":411,\"text\":\" \"},\"19\":{\"style\":408,\"text\":\"收入超标\"},\"20\":{\"style\":406,\"text\":\"机动车超标\"},\"21\":{\"style\":410,\"text\":\"死亡\"},\"22\":{\"style\":410,\"text\":\"其他\"}},\"height\":50},\"5\":{\"cells\":{\"1\":{\"text\":\"#{hecha.name}\",\"style\":414,\"rendered\":\"\"},\"2\":{\"text\":\"#{hecha.hname}\",\"style\":414},\"3\":{\"text\":\"#{hecha.num}\",\"style\":414},\"4\":{\"text\":\"#{hecha.knum}\",\"style\":414},\"5\":{\"text\":\"#{hecha.zhuzhi}\",\"style\":414},\"6\":{\"text\":\"#{hecha.phone}\",\"style\":414},\"7\":{\"text\":\"#{hecha.scard}\",\"style\":414},\"8\":{\"text\":\"#{hecha.yhnum}\",\"style\":414},\"9\":{\"text\":\"#{hecha.yren}\",\"style\":414},\"10\":{\"text\":\"#{hecha.yjine}\",\"style\":414},\"11\":{\"text\":\"#{hecha.yjine}\",\"style\":414},\"12\":{\"text\":\"#{hecha.type}\",\"style\":414},\"13\":{\"text\":\"#{hecha.rk}\",\"style\":414},\"14\":{\"text\":\"#{hecha.cbz}\",\"style\":414},\"15\":{\"text\":\"#{hecha.cbz}\",\"style\":414},\"16\":{\"text\":\"#{hecha.cbz}\",\"style\":414},\"17\":{\"text\":\"#{hecha.cbz}\",\"style\":414},\"18\":{\"text\":\"#{hecha.sf1}\",\"style\":414},\"19\":{\"text\":\"#{hecha.sf2}\",\"style\":414},\"20\":{\"text\":\"#{hecha.sf3}\",\"style\":414},\"21\":{\"text\":\"#{hecha.sf4}\",\"style\":414},\"22\":{\"text\":\"#{hecha.bz}\",\"style\":414}},\"isDrag\":true,\"height\":46},\"6\":{\"cells\":{\"1\":{\"style\":114},\"2\":{\"style\":114},\"3\":{\"style\":114},\"4\":{\"style\":114},\"5\":{\"style\":114},\"6\":{\"style\":114},\"7\":{\"style\":114},\"8\":{\"style\":114},\"9\":{\"style\":114},\"10\":{\"style\":114},\"11\":{\"style\":114},\"12\":{\"style\":114},\"13\":{\"style\":114},\"14\":{\"style\":114},\"15\":{\"style\":114},\"16\":{\"style\":114},\"17\":{\"style\":114},\"18\":{\"style\":114},\"19\":{\"style\":114},\"20\":{\"style\":114},\"21\":{\"style\":114},\"22\":{\"style\":114}},\"height\":46},\"7\":{\"cells\":{\"1\":{\"style\":114},\"2\":{\"style\":114},\"3\":{\"style\":114},\"4\":{\"style\":114},\"5\":{\"style\":114},\"6\":{\"style\":114},\"7\":{\"style\":114},\"8\":{\"style\":114},\"9\":{\"style\":114},\"10\":{\"style\":114},\"11\":{\"style\":114},\"12\":{\"style\":114},\"13\":{\"style\":114},\"14\":{\"style\":114},\"15\":{\"style\":114},\"16\":{\"style\":114},\"17\":{\"style\":114},\"18\":{\"style\":114},\"19\":{\"style\":114},\"20\":{\"style\":114},\"21\":{\"style\":114},\"22\":{\"style\":114}},\"height\":46},\"8\":{\"cells\":{\"1\":{\"text\":\"\"},\"2\":{\"style\":114},\"3\":{\"style\":114},\"4\":{\"style\":114},\"5\":{\"style\":114},\"6\":{\"style\":114},\"7\":{\"style\":114},\"8\":{\"style\":114},\"9\":{\"style\":114},\"10\":{\"style\":114},\"11\":{\"style\":114},\"12\":{\"style\":114},\"13\":{\"style\":114},\"14\":{\"style\":114},\"15\":{\"style\":114},\"16\":{\"style\":114},\"17\":{\"style\":114},\"18\":{\"style\":114},\"19\":{\"style\":114},\"20\":{\"style\":114},\"21\":{\"style\":114},\"22\":{\"style\":114}},\"isDrag\":true},\"len\":102},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1378,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true},{\"textwrap\":true},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":false},{\"textwrap\":false},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\"},{\"textwrap\":true,\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"middle\"},{\"textwrap\":true,\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":false,\"valign\":\"middle\"},{\"textwrap\":false,\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\"},{\"textwrap\":true,\"valign\":\"bottom\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"top\"},{\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":18}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Helvetica\"}},{\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Helvetica\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"textwrap\":true,\"font\":{\"name\":\"Comic Sans MS\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Courier New\"}},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Courier New\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Verdana\"}},{\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Verdana\"}},{\"align\":\"center\",\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Verdana\"}},{\"textwrap\":true,\"font\":{\"name\":\"Verdana\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Verdana\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Verdana\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Verdana\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Verdana\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Verdana\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"}},{\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"}},{\"align\":\"center\",\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"valign\":\"middle\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":false,\"font\":{\"name\":\"Lato\"}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"valign\":\"middle\"},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\"},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"top\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]},\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"valign\":\"middle\"},{\"align\":\"center\",\"border\":{\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]}},{\"border\":{\"bottom\":[\"thin\",\"#ffffff\"],\"top\":[\"thin\",\"#ffffff\"],\"left\":[\"thin\",\"#ffffff\"],\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"border\":{\"right\":[\"thin\",\"#ffffff\"]}},{\"border\":{\"right\":[\"thin\",\"#ffffff\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"left\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"Lato\"},\"border\":{\"top\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"font\":{\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"]}},{\"font\":{\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"font\":{\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000100\"]},\"align\":\"right\"},{\"font\":{\"name\":\"Lato\"},\"align\":\"right\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"valign\":\"middle\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"center\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#000100\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#f4b184\",\"color\":\"#262626\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#9cc2e6\",\"color\":\"#262626\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#262626\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#00b04e\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]},\"align\":\"center\"},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#a7d08c\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":8},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]},\"align\":\"center\",\"font\":{\"size\":8}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#71ae47\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\"},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#00b04e\"],\"top\":[\"thin\",\"#00b04e\"],\"left\":[\"thin\",\"#00b04e\"],\"right\":[\"thin\",\"#00b04e\"]}},{\"align\":\"center\",\"font\":{\"size\":15,\"bold\":true,\"name\":\"Lato\"}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9}},{\"font\":{\"name\":\"Lato\",\"size\":9}},{\"font\":{\"size\":9}},{\"align\":\"center\",\"font\":{\"size\":9}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#000100\"]},\"color\":\"#a5a5a5\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"color\":\"#a5a5a5\"},{\"font\":{\"name\":\"Lato\",\"size\":9},\"color\":\"#a5a5a5\"},{\"font\":{\"size\":9},\"color\":\"#a5a5a5\"},{\"align\":\"center\",\"font\":{\"size\":9},\"color\":\"#a5a5a5\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#000100\"]},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"color\":\"#7f7f7f\"},{\"font\":{\"name\":\"Lato\",\"size\":9},\"color\":\"#7f7f7f\"},{\"font\":{\"size\":9},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"font\":{\"size\":9},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":9},\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"]},\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#d8d8d8\"]},\"align\":\"center\",\"font\":{\"size\":8}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"]},\"align\":\"center\",\"font\":{\"size\":8}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"align\":\"center\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"textwrap\":true,\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"textwrap\":true,\"valign\":\"bottom\",\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"textwrap\":true,\"font\":{\"name\":\"Lato\",\"size\":10},\"bgcolor\":\"#02a274\",\"color\":\"#ffffff\",\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"],\"top\":[\"thin\",\"#a5a5a5\"],\"left\":[\"thin\",\"#a5a5a5\"],\"right\":[\"thin\",\"#a5a5a5\"]},\"align\":\"center\",\"font\":{\"size\":8}}],\"validations\":[],\"cols\":{\"0\":{\"width\":30},\"1\":{\"width\":68},\"2\":{\"width\":86},\"3\":{\"width\":93},\"4\":{\"width\":91},\"5\":{\"width\":156},\"6\":{\"width\":95},\"7\":{\"width\":85},\"8\":{\"width\":37},\"9\":{\"width\":30},\"10\":{\"width\":43},\"11\":{\"width\":66},\"12\":{\"width\":38},\"13\":{\"width\":41},\"14\":{\"width\":54},\"15\":{\"width\":49},\"16\":{\"width\":45},\"17\":{\"width\":49},\"18\":{\"width\":53},\"19\":{\"width\":40},\"20\":{\"width\":50},\"21\":{\"width\":40},\"22\":{\"width\":39},\"len\":50},\"merges\":[\"M4:R4\",\"B4:B5\",\"C4:C5\",\"D4:D5\",\"E4:E5\",\"F4:F5\",\"G4:G5\",\"H4:H5\",\"I4:K4\",\"L4:L5\",\"S4:S5\",\"T4:W4\",\"E2:G2\",\"B2:D2\",\"B1:W1\",\"P2:W2\",\"H2:O2\"]}', '', 'https://static.jeecg.com/designreport/images/QQ截图20201207113312_1607312171402.png', 'jeecg', '2020-07-14 16:41:42', 'admin', '2021-02-03 14:01:17', 0, NULL, NULL, 1, 260, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('907480464532770816', '20240117141013', '主子报表循环块', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[{\"sci\":0,\"sri\":0,\"eci\":8,\"eri\":36,\"index\":1,\"db\":\"aa\"}],\"area\":{\"sri\":9,\"sci\":11,\"eri\":9,\"eci\":11,\"width\":100,\"height\":25},\"excel_config_id\":\"907480464532770816\",\"printConfig\":{\"layout\":\"portrait\",\"paginationShow\":false,\"printCallBackUrl\":\"\",\"paper\":\"A4\",\"isBackend\":false,\"width\":210,\"paginationLocation\":\"middle\",\"definition\":1,\"marginX\":10,\"height\":297,\"marginY\":10},\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"merge\":[0,6],\"style\":8,\"text\":\"订货商信息\",\"height\":0},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":57},\"1\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":10,\"text\":\"订单编号：\"},\"2\":{\"loopBlock\":1,\"merge\":[0,2],\"style\":42,\"text\":\"#{aa.order_code}\",\"height\":0},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":34},\"2\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":10,\"text\":\"订单地址：\"},\"2\":{\"loopBlock\":1,\"merge\":[0,1],\"style\":42,\"text\":\"#{aa.descc}\",\"height\":0},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"style\":10,\"text\":\"订单日期：\"},\"5\":{\"loopBlock\":1,\"merge\":[0,1],\"style\":42,\"text\":\"#{aa.order_date}\",\"height\":0},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":34},\"3\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":10,\"text\":\"订单姓名：\"},\"2\":{\"loopBlock\":1,\"merge\":[0,1],\"style\":42,\"text\":\"#{aa.create_by}\",\"height\":0},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"style\":10,\"text\":\"到货日期：\"},\"5\":{\"loopBlock\":1,\"merge\":[0,1],\"style\":42,\"text\":\"#{aa.create_time}\",\"height\":0},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":31},\"4\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"5\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"decimalPlaces\":\"4\",\"merge\":[0,6],\"style\":31,\"text\":\"订单详情\"},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1},\"4\":{\"loopBlock\":1},\"5\":{\"loopBlock\":1},\"6\":{\"loopBlock\":1},\"7\":{\"loopBlock\":1},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":51},\"6\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":15,\"text\":\"商品编码\"},\"2\":{\"loopBlock\":1,\"style\":15,\"text\":\"商品名称\"},\"3\":{\"loopBlock\":1,\"style\":15,\"text\":\"销售时间\"},\"4\":{\"loopBlock\":1,\"style\":15,\"text\":\"销售数据量\"},\"5\":{\"loopBlock\":1,\"style\":15,\"text\":\"定价\"},\"6\":{\"loopBlock\":1,\"style\":15,\"text\":\"优惠价\"},\"7\":{\"loopBlock\":1,\"style\":15,\"text\":\"付款金额\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":42},\"7\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":18,\"text\":\"#{bb.product_name}\"},\"2\":{\"loopBlock\":1,\"style\":18,\"text\":\"#{bb.product_name}\"},\"3\":{\"loopBlock\":1,\"style\":18,\"text\":\"#{bb.product_name}\"},\"4\":{\"loopBlock\":1,\"style\":18,\"text\":\"#{bb.num}\"},\"5\":{\"loopBlock\":1,\"decimalPlaces\":\"4\",\"style\":19,\"text\":\"#{bb.price}\"},\"6\":{\"loopBlock\":1,\"decimalPlaces\":\"1\",\"style\":19,\"text\":\"#{bb.price}\"},\"7\":{\"loopBlock\":1,\"style\":18,\"text\":\"#{bb.pro_type}\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"8\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"9\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"10\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":39,\"text\":\"备注：\"},\"2\":{\"loopBlock\":1,\"style\":33,\"text\":\" \"},\"3\":{\"loopBlock\":1,\"style\":33,\"text\":\" \"},\"4\":{\"loopBlock\":1,\"style\":33,\"text\":\" \"},\"5\":{\"loopBlock\":1,\"style\":33,\"text\":\" \"},\"6\":{\"loopBlock\":1,\"style\":33,\"text\":\" \"},\"7\":{\"loopBlock\":1,\"style\":34,\"text\":\" \"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":25},\"11\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"merge\":[0,6],\"style\":41,\"text\":\"1、查看信息，在浏览器输入“?did=1”或“?did=2”\",\"height\":0},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}},\"height\":37},\"12\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":35,\"text\":\" \"},\"2\":{\"loopBlock\":1,\"text\":\" \"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"style\":36,\"text\":\" \"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"13\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"style\":37,\"text\":\" \"},\"2\":{\"loopBlock\":1,\"style\":28,\"text\":\" \"},\"3\":{\"loopBlock\":1,\"style\":28,\"text\":\" \"},\"4\":{\"loopBlock\":1,\"style\":28,\"text\":\" \"},\"5\":{\"loopBlock\":1,\"style\":28,\"text\":\" \"},\"6\":{\"loopBlock\":1,\"style\":28,\"text\":\" \"},\"7\":{\"loopBlock\":1,\"style\":38,\"text\":\" \"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"14\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"15\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"16\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"17\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"18\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"19\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"20\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"21\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"22\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"23\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"24\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"25\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"26\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1},\"2\":{\"loopBlock\":1},\"3\":{\"loopBlock\":1},\"4\":{\"loopBlock\":1},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"27\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"28\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"29\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"30\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"31\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"32\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"33\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"34\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"35\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"36\":{\"cells\":{\"0\":{\"loopBlock\":1,\"text\":\"\"},\"1\":{\"loopBlock\":1,\"text\":\"\"},\"2\":{\"loopBlock\":1,\"text\":\"\"},\"3\":{\"loopBlock\":1,\"text\":\"\"},\"4\":{\"loopBlock\":1,\"text\":\"\"},\"5\":{\"loopBlock\":1,\"text\":\"\"},\"6\":{\"loopBlock\":1,\"text\":\"\"},\"7\":{\"loopBlock\":1,\"text\":\"\"},\"8\":{\"loopBlock\":1,\"text\":\"\"}}},\"len\":102},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"freeze\":\"A1\",\"dataRectWidth\":682,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#5b9cd6\",\"align\":\"center\"},{\"font\":{\"size\":18}},{\"font\":{\"size\":18,\"bold\":true}},{\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true}},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":true}},{\"bgcolor\":\"#5b9cd6\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"bottom\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"bottom\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]}},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#5b9cd6\",\"color\":\"#ffffff\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"font\":{\"name\":\"宋体\"}},{},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"format\":\"number\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"bottom\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"format\":\"normal\",\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"size\":18,\"bold\":false}},{\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":false}},{\"align\":\"center\",\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":false}},{\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#a5a5a5\"]}},{\"border\":{\"bottom\":[\"thin\",\"#262626\"]}},{\"border\":{\"bottom\":[\"thin\",\"#595959\"]}},{\"valign\":\"bottom\",\"align\":\"center\",\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":true}},{\"valign\":\"bottom\",\"align\":\"left\",\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":true}},{\"valign\":\"middle\",\"align\":\"center\",\"font\":{\"size\":18,\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"]}},{\"border\":{\"top\":[\"thin\",\"#595959\"]}},{\"border\":{\"top\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"border\":{\"left\":[\"thin\",\"#595959\"]}},{\"border\":{\"right\":[\"thin\",\"#595959\"]}},{\"border\":{\"left\":[\"thin\",\"#595959\"],\"bottom\":[\"thin\",\"#595959\"]}},{\"border\":{\"bottom\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"border\":{\"top\":[\"thin\",\"#595959\"],\"left\":[\"thin\",\"#595959\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]}},{\"border\":{\"left\":[\"thin\",\"#595959\"],\"right\":[\"thin\",\"#595959\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#595959\"]},\"font\":{\"name\":\"宋体\"}}],\"validations\":[],\"cols\":{\"0\":{\"width\":39},\"1\":{\"width\":73},\"2\":{\"width\":89},\"3\":{\"width\":101},\"4\":{\"width\":80},\"8\":{\"width\":29},\"len\":100},\"merges\":[\"B1:H1\",\"C2:E2\",\"C3:D3\",\"F3:G3\",\"C4:D4\",\"F4:G4\",\"B6:H6\",\"B12:H12\"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1617266678584.png', 'admin', '2024-01-17 14:10:13', 'admin', '2024-01-24 20:02:03', 0, NULL, NULL, 1, 79, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('919370186342354944', '20240103104736__3061', '横向总合计-横纵3*2*2副本3061', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10,\"layout\":\"landscape\",\"printCallBackUrl\":\"\",\"paginationShow\":false,\"paginationLocation\":\"middle\"},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1071,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":60},\"1\":{\"width\":96},\"2\":{\"width\":115},\"len\":50},\"area\":{\"sri\":12,\"sci\":5,\"eri\":12,\"eci\":5,\"width\":100,\"height\":25},\"excel_config_id\":\"919370186342354944\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{\"0\":{},\"4\":{},\"5\":{}}},\"1\":{\"cells\":{\"0\":{},\"1\":{\"lineStart\":\"lefttop\",\"merge\":[3,1],\"style\":0,\"text\":\"地区|销售额|时间\",\"height\":100},\"3\":{\"merge\":[3,0],\"style\":0,\"text\":\"合计(销售）\",\"height\":100},\"4\":{\"merge\":[0,1],\"style\":1,\"text\":\"#{test_heng_sum.groupRight(year)}\",\"aggregate\":\"group\",\"direction\":\"right\",\"height\":25},\"5\":{},\"6\":{\"merge\":[3,0],\"style\":0,\"text\":\"合计(销售）\",\"height\":100},\"7\":{\"merge\":[3,0],\"style\":0,\"text\":\"合计（赠送）\",\"height\":100},\"8\":{\"merge\":[3,0],\"style\":1,\"text\":\"平均（销售）\",\"height\":100},\"9\":{\"merge\":[3,0],\"style\":1,\"text\":\"最大（销售）\",\"height\":100},\"10\":{\"merge\":[3,0],\"style\":1,\"text\":\"最小（销售）\",\"height\":100}}},\"2\":{\"cells\":{\"0\":{},\"4\":{\"merge\":[0,1],\"style\":1,\"text\":\"#{test_heng_sum.groupRight(quarter)}\",\"height\":25,\"aggregate\":\"group\",\"direction\":\"right\"},\"5\":{},\"8\":{},\"9\":{},\"10\":{}}},\"3\":{\"cells\":{\"0\":{},\"4\":{\"merge\":[0,1],\"style\":1,\"text\":\"#{test_heng_sum.groupRight(month)}\",\"height\":25,\"aggregate\":\"group\",\"direction\":\"right\"},\"5\":{},\"8\":{},\"9\":{},\"10\":{}}},\"4\":{\"cells\":{\"0\":{},\"4\":{\"style\":1,\"text\":\"销售\"},\"5\":{\"style\":1,\"text\":\"赠送\"},\"8\":{},\"9\":{},\"10\":{}}},\"5\":{\"cells\":{\"0\":{},\"1\":{\"style\":1,\"text\":\"#{test_heng_sum.group(region)}\",\"aggregate\":\"group\"},\"2\":{\"style\":1,\"text\":\"#{test_heng_sum.group(province)}\",\"aggregate\":\"group\"},\"3\":{\"style\":0,\"text\":\"=SUM(E6)\"},\"4\":{\"style\":0,\"text\":\"#{test_heng_sum.dynamic(sales)}\",\"aggregate\":\"dynamic\"},\"5\":{\"style\":0,\"text\":\"#{test_heng_sum.dynamic(gift)}\",\"aggregate\":\"dynamic\"},\"6\":{\"style\":0,\"text\":\"=SUM(E6)\"},\"7\":{\"style\":0,\"text\":\"=SUM(F6)\"},\"8\":{\"style\":0,\"text\":\"=AVERAGE(E6)\"},\"9\":{\"style\":0,\"text\":\"=MAX(F6)\"},\"10\":{\"style\":0,\"text\":\"=MIN(F6)\"}}},\"6\":{\"cells\":{\"0\":{},\"1\":{\"merge\":[0,1],\"style\":1,\"text\":\"合计\",\"height\":25},\"2\":{},\"3\":{\"style\":0,\"text\":\" \"},\"4\":{\"style\":0,\"text\":\"=SUM(E6)\"},\"5\":{\"style\":0,\"text\":\"=SUM(F6)\"},\"6\":{\"style\":0,\"text\":\" \"},\"7\":{\"style\":0,\"text\":\" \"},\"8\":{\"style\":0,\"text\":\" \"},\"9\":{\"style\":0,\"text\":\" \"},\"10\":{\"style\":0,\"text\":\" \"}}},\"7\":{\"cells\":{\"0\":{},\"3\":{},\"4\":{},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{},\"10\":{},\"11\":{},\"12\":{},\"13\":{},\"14\":{},\"15\":{},\"16\":{},\"17\":{},\"18\":{},\"19\":{},\"20\":{},\"21\":{},\"22\":{},\"23\":{},\"24\":{},\"25\":{},\"26\":{},\"27\":{},\"28\":{},\"29\":{}}},\"8\":{\"cells\":{\"0\":{}}},\"len\":167},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"groupField\":\"test_heng_sum.region\",\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\"},{\"bgcolor\":\"#9cc2e6\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#9cc2e6\"}],\"isGroup\":true,\"merges\":[\"B2:C5\",\"D2:D5\",\"E2:F2\",\"G2:G5\",\"H2:H5\",\"I2:I5\",\"J2:J5\",\"K2:K5\",\"E3:F3\",\"E4:F4\",\"B7:C7\"]}', NULL, NULL, 'admin', '2024-02-19 09:35:44', '', '2024-03-04 19:15:56', 0, NULL, NULL, 0, 48, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('924614453466595328', '20201214142804__5048', '条形码报表副本5048', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"querySetting\":{\"izOpenQueryBar\":false,\"izDefaultQuery\":true},\"printConfig\":{\"layout\":\"portrait\",\"printCallBackUrl\":\"\",\"paper\":\"A4\",\"isBackend\":false,\"width\":210,\"definition\":1,\"marginX\":10,\"height\":297,\"marginY\":10},\"hidden\":{\"rows\":[],\"cols\":[]},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[\"sex1\",\"sex1\",\"sex1\"],\"freeze\":\"A1\",\"dataRectWidth\":704,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":16},\"1\":{\"width\":103},\"2\":{\"width\":156},\"3\":{\"width\":51},\"4\":{\"width\":96},\"5\":{\"width\":61},\"6\":{\"width\":106},\"7\":{\"width\":115},\"8\":{\"width\":135},\"len\":50},\"area\":false,\"pyGroupEngine\":false,\"submitHandlers\":[],\"excel_config_id\":\"924614453466595328\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{\"1\":{\"merge\":[1,3],\"style\":39,\"text\":\"居民身份证申领登记表\"},\"5\":{\"rendered\":\"\",\"merge\":[0,2],\"display\":\"text\",\"text\":\"\"},\"-1\":{\"text\":\"${tm.tp}\"}},\"height\":27},\"1\":{\"cells\":{\"5\":{\"virtual\":\"ZiOFmILaRjdmVs6E\",\"rendered\":\"XeJmxrZR4xpVQfNd\",\"display\":\"barcode\",\"merge\":[0,2],\"style\":2,\"text\":\"${tm.tm}\"}},\"height\":52},\"2\":{\"cells\":{\"1\":{\"merge\":[0,3],\"style\":36,\"text\":\"受理单位（盖章）珠海市公安局\"},\"5\":{\"style\":6,\"text\":\" \"},\"6\":{\"style\":6,\"text\":\" \"},\"7\":{\"style\":6,\"text\":\" \"},\"8\":{\"rendered\":\"\",\"text\":\"\"}},\"height\":34},\"3\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"姓名\"},\"2\":{\"rendered\":\"\",\"style\":7,\"text\":\"${tm.name}\"},\"3\":{\"style\":16,\"text\":\"性别\"},\"4\":{\"isDict\":1,\"rendered\":\"\",\"dictCode\":\"sex1\",\"style\":7,\"text\":\"${tm.sex}\"},\"5\":{\"style\":16,\"text\":\"民族\"},\"6\":{\"style\":7,\"text\":\"${tm.nation}\"},\"7\":{\"rendered\":\"ftkUSZOje4A5gVO3\",\"merge\":[2,0],\"display\":\"img\",\"style\":7,\"text\":\"${tm.tp}\"},\"9\":{\"rendered\":\"\",\"text\":\"\"}},\"isDrag\":true,\"height\":47},\"4\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"出生日期\"},\"2\":{\"merge\":[0,4],\"style\":32,\"text\":\"${tm.birth}\"},\"8\":{\"rendered\":\"\",\"text\":\"\"}},\"isDrag\":true,\"height\":51},\"5\":{\"cells\":{\"1\":{\"style\":21,\"text\":\"常住户口所在地住址\"},\"2\":{\"merge\":[0,4],\"style\":7,\"text\":\"${tm.zhuzhi}\"},\"8\":{\"rendered\":\"\",\"text\":\"\"}},\"isDrag\":true,\"height\":62},\"6\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"公民身份证\"},\"2\":{\"merge\":[0,5],\"style\":7,\"text\":\"${tm.card}\"}},\"isDrag\":true,\"height\":55},\"7\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"有限期限\"},\"2\":{\"merge\":[0,1],\"style\":34,\"text\":\"${tm.ydate}\"},\"4\":{\"style\":24,\"text\":\"签发机关\"},\"5\":{\"merge\":[0,2],\"style\":7,\"text\":\"${tm.qfjg}\"}},\"isDrag\":true,\"height\":52},\"8\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"申领原因\"},\"2\":{\"merge\":[0,5],\"style\":7,\"text\":\"${tm.slyy}\"}},\"isDrag\":true,\"height\":55},\"9\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"受理时间\"},\"2\":{\"merge\":[0,1],\"style\":32,\"text\":\"${tm.sdate}\"},\"4\":{\"style\":24,\"text\":\"受理号\"},\"5\":{\"merge\":[0,2],\"style\":7,\"text\":\"${tm.shao}\"}},\"isDrag\":true,\"height\":49},\"10\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"承办人\"},\"2\":{\"merge\":[0,1],\"style\":7,\"text\":\"${tm.cbr}\"},\"4\":{\"style\":24,\"text\":\"受理单位领导\"},\"5\":{\"merge\":[0,2],\"style\":7,\"text\":\"${tm.sld}\"}},\"isDrag\":true,\"height\":42},\"11\":{\"cells\":{\"1\":{\"style\":21,\"text\":\"申请（监护）人签名\"},\"2\":{\"merge\":[0,1],\"style\":7,\"text\":\"${tm.sr}\"},\"4\":{\"style\":21,\"text\":\"申请（监护）人联系电话\"},\"5\":{\"merge\":[0,2],\"style\":7,\"text\":\"${tm.jphone}\"}},\"isDrag\":true,\"height\":59},\"12\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"领证人签名\"},\"2\":{\"merge\":[0,1],\"style\":7,\"text\":\"${tm.lzr}\"},\"4\":{\"style\":24,\"text\":\"领证时间\"},\"5\":{\"merge\":[0,2],\"style\":32,\"text\":\"${tm.ldate}\"}},\"isDrag\":true,\"height\":57},\"13\":{\"cells\":{\"1\":{\"merge\":[0,1],\"style\":24,\"text\":\"是否通过邮政特快专递方式领取二代\"},\"3\":{\"merge\":[0,4],\"style\":7,\"text\":\"${tm.sk}\"}},\"isDrag\":true,\"height\":50},\"14\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"投递地址\"},\"2\":{\"merge\":[0,2],\"style\":7,\"text\":\"${tm.dizhi}\"},\"5\":{\"style\":24,\"text\":\"收件人\"},\"6\":{\"merge\":[0,1],\"style\":7,\"text\":\" \"}},\"isDrag\":true,\"height\":53},\"15\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"邮政编码\"},\"2\":{\"merge\":[0,1],\"style\":7,\"text\":\" \"},\"4\":{\"style\":24,\"text\":\"备注\"},\"5\":{\"merge\":[0,2],\"style\":7,\"text\":\" \"}},\"isDrag\":true,\"height\":47},\"16\":{\"cells\":{\"1\":{\"merge\":[0,6],\"style\":31,\"text\":\"公安部治安管理局治\"}}},\"len\":100},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"fillFormInfo\":{\"layout\":{\"direction\":\"horizontal\",\"width\":200,\"height\":45}},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\"},{\"textwrap\":true},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"宋体\"}},{\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"color\":\"#3f3f3f\",\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"color\":\"#0c0c0c\",\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"color\":\"#7f7f7f\",\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"color\":\"#595959\",\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\",\"bold\":false}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"宋体\",\"bold\":false}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":false}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"textwrap\":true,\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\",\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"font\":{\"size\":8}},{\"align\":\"center\",\"font\":{\"size\":8}},{\"align\":\"right\",\"font\":{\"size\":8}},{\"align\":\"right\",\"font\":{\"size\":10}},{\"color\":\"#7f7f7f\",\"align\":\"right\",\"font\":{\"size\":10}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"format\":\"date2\",\"font\":{\"name\":\"宋体\"}},{\"format\":\"date2\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"format\":\"date\",\"font\":{\"name\":\"宋体\"}},{\"format\":\"date\"},{\"color\":\"#595959\",\"valign\":\"bottom\",\"font\":{\"size\":9,\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"valign\":\"bottom\",\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}}],\"freezeLineColor\":\"rgb(185, 185, 185)\",\"merges\":[\"B1:E2\",\"F1:H1\",\"F2:H2\",\"B3:E3\",\"H4:H6\",\"C5:G5\",\"C6:G6\",\"C7:H7\",\"C8:D8\",\"F8:H8\",\"C9:H9\",\"C10:D10\",\"F10:H10\",\"C11:D11\",\"F11:H11\",\"C12:D12\",\"F12:H12\",\"C13:D13\",\"F13:H13\",\"B14:C14\",\"D14:H14\",\"C15:E15\",\"G15:H15\",\"C16:D16\",\"F16:H16\",\"B17:H17\"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1608118350039.png', '', '2024-03-04 20:54:34', 'admin', '2024-09-10 11:57:18', 0, NULL, NULL, 0, 50, NULL, NULL, NULL, '1001', 1, NULL);
INSERT INTO `jimu_report` VALUES ('928540173805338624', '20240318105250', '电子收款收据', NULL, NULL, '984302991393210368', '{\"loopBlockList\":[],\"printConfig\":{\"layout\":\"portrait\",\"printCallBackUrl\":\"\",\"paper\":\"A4\",\"isBackend\":false,\"width\":210,\"definition\":1,\"marginX\":10,\"height\":297,\"marginY\":10},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":686,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":21},\"1\":{\"width\":35},\"2\":{\"width\":45},\"3\":{\"width\":60},\"4\":{\"width\":128},\"5\":{\"width\":79},\"6\":{\"width\":67},\"7\":{\"width\":67},\"8\":{\"width\":84},\"10\":{\"width\":29},\"len\":100},\"area\":{\"sri\":24,\"sci\":11,\"eri\":24,\"eci\":11,\"width\":100,\"height\":25},\"pyGroupEngine\":false,\"excel_config_id\":\"928540173805338624\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{},\"height\":9},\"1\":{\"cells\":{\"2\":{\"rendered\":\"IKbjwc1lQUlSeJfd\",\"display\":\"qrcode\",\"merge\":[2,1],\"style\":0,\"text\":\"http://www.baidu.com\",\"config\":1,\"height\":69},\"3\":{}},\"height\":19},\"2\":{\"cells\":{\"2\":{},\"3\":{},\"4\":{\"merge\":[0,4],\"style\":80,\"text\":\"北京万达物业服务有限公司\",\"height\":25},\"9\":{\"virtual\":\"YfdiQDcuqTjlOG4f\",\"style\":67,\"text\":\" \"}}},\"3\":{\"cells\":{\"2\":{},\"3\":{},\"4\":{\"merge\":[0,4],\"style\":72,\"text\":\"电子收款收据\",\"height\":25}}},\"4\":{\"cells\":{\"2\":{},\"3\":{}},\"height\":16},\"5\":{\"cells\":{\"1\":{\"rendered\":\"\",\"merge\":[0,2],\"style\":41,\"text\":\"客户/业主\",\"config\":\"\",\"height\":25},\"4\":{\"merge\":[0,1],\"style\":43,\"text\":\"#{receipt.customName}\",\"height\":25},\"5\":{},\"6\":{\"merge\":[0,1],\"style\":44,\"text\":\"收款单号\",\"height\":25},\"8\":{\"merge\":[0,1],\"style\":45,\"text\":\"#{receipt.receiptNo}\",\"height\":25},\"9\":{}},\"height\":25},\"6\":{\"cells\":{\"1\":{\"rendered\":\"\",\"merge\":[0,2],\"style\":44,\"text\":\"实际交款人\",\"config\":\"\",\"height\":25},\"4\":{\"merge\":[0,1],\"style\":43,\"text\":\"#{receipt.actualPayer}\",\"height\":25},\"5\":{},\"6\":{\"rendered\":\"\",\"merge\":[0,1],\"style\":44,\"text\":\"结算方式\",\"config\":\"\",\"height\":25},\"8\":{\"merge\":[0,1],\"style\":45,\"text\":\"#{receipt.settlementType}\",\"height\":25},\"9\":{}},\"height\":25},\"7\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":44,\"text\":\"收款时间\",\"height\":25},\"4\":{\"merge\":[0,1],\"style\":43,\"text\":\"#{receipt.collectionTime}\",\"height\":25},\"5\":{},\"6\":{\"merge\":[0,1],\"style\":44,\"text\":\"原单号\",\"height\":25},\"8\":{\"merge\":[0,1],\"style\":45,\"text\":\"#{receipt.originalNumber}\",\"height\":25},\"9\":{}},\"height\":25},\"8\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":44,\"text\":\"收款组织\",\"height\":25},\"4\":{\"merge\":[0,5],\"style\":46,\"text\":\"#{receipt.organization}\",\"height\":25},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{},\"11\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"}},\"height\":25},\"9\":{\"cells\":{\"1\":{}}},\"10\":{\"cells\":{\"1\":{\"merge\":[0,1],\"style\":19,\"text\":\"行号\",\"height\":38},\"3\":{\"merge\":[0,1],\"style\":47,\"text\":\"房产名称\",\"height\":38},\"5\":{\"rendered\":\"\",\"merge\":[0,2],\"style\":47,\"text\":\"费用项目\",\"config\":\"\",\"height\":38},\"8\":{\"style\":47,\"text\":\"应交月份\"},\"9\":{\"style\":19,\"text\":\"金额\"}},\"height\":38},\"11\":{\"cells\":{\"1\":{\"merge\":[0,1],\"text\":\"=row()\",\"height\":34},\"3\":{\"merge\":[0,1],\"text\":\"#{receiptProject.propertyName}\",\"height\":34},\"5\":{\"merge\":[0,2],\"text\":\"#{receiptProject.expenseItem}\",\"height\":34},\"8\":{\"style\":0,\"text\":\"#{receiptProject.payableMonths}\"},\"9\":{\"style\":83,\"text\":\"#{receiptProject.price}\"},\"13\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"}},\"height\":34},\"12\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":17,\"text\":\"款项合计\",\"height\":30},\"4\":{\"merge\":[0,5],\"style\":82,\"text\":\"人民币 =sum(J12) 元\",\"height\":30},\"11\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"},\"15\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"}},\"height\":30},\"13\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":19,\"text\":\"缴费说明\",\"height\":30},\"4\":{\"merge\":[0,5],\"style\":23,\"text\":\"#{receipt.paymentDesc}\",\"height\":30},\"15\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"}},\"height\":30},\"14\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":19,\"text\":\"检验密码\",\"height\":35},\"4\":{\"merge\":[0,5],\"style\":84,\"text\":\"#{receipt.verifyPassword}\",\"height\":35},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{}},\"height\":35},\"15\":{\"cells\":{\"8\":{\"text\":\" \",\"virtual\":\"qWMWhe42wLnQXDUa\"}},\"height\":10},\"16\":{\"cells\":{\"1\":{\"merge\":[0,2],\"style\":19,\"text\":\"收款经办\",\"height\":30},\"4\":{\"style\":20,\"text\":\"#{receipt.dealWith}\"},\"5\":{\"merge\":[0,1],\"style\":19,\"text\":\"公司签章\",\"height\":30},\"7\":{\"merge\":[0,2],\"style\":23,\"text\":\" \",\"height\":30}},\"height\":30},\"17\":{\"cells\":{\"8\":{\"rendered\":\"\",\"text\":\"\",\"config\":\"\"}},\"height\":10},\"18\":{\"cells\":{\"1\":{\"merge\":[0,1],\"style\":29,\"text\":\"加密说明：\",\"height\":25}}},\"19\":{\"cells\":{\"1\":{\"merge\":[0,8],\"style\":63,\"text\":\"1、本电子收据加密信息算法使用 SHA256\",\"height\":30},\"2\":{},\"3\":{},\"4\":{},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{}},\"height\":30},\"20\":{\"cells\":{\"1\":{\"merge\":[0,8],\"style\":65,\"text\":\"2、原始输入信息依次为:法人名称、收款组织、客户/业主、实际交款人、结算方式、收款单号、收款时间、款项合计,使用RSA私钥加密信息摘要生成“校验密码”\",\"height\":37},\"2\":{},\"3\":{},\"4\":{},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{}},\"height\":37},\"21\":{\"cells\":{\"1\":{\"merge\":[0,8],\"style\":65,\"text\":\"3、应公钥为MIGEMAOCCSqGSIb3DQEBAQUAMGNADCBiQKBgQCEf iYMBHNInswq1N/KLBy smaG68D+nlQk/RZ3QVSTmWo310WnSipYR3ksCNBksyGZceEneCIEuWBboPImYQUbH/ EHP3I3Ri 1E1 INjNI3GvQ7oXH/RLmHRGAgCz 4d9QcW7mGTHVvj/3o/gEvqyHgW6eG1lsl f6aEi7mi IRHxYtZrFQIDAQAB\",\"height\":57},\"2\":{},\"3\":{},\"4\":{},\"5\":{},\"6\":{},\"7\":{},\"8\":{},\"9\":{}},\"height\":57},\"23\":{\"cells\":{},\"height\":25},\"len\":200},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{\"1\":{\"colorDark\":\"#000000\",\"width\":69,\"text\":\"http://www.baidu.com\",\"colorLight\":\"#ffffff\",\"height\":69}},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"align\":\"center\"},{\"font\":{\"size\":7.5}},{\"font\":{\"size\":8}},{\"align\":\"center\",\"font\":{\"size\":12}},{\"font\":{\"size\":12}},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":true}},{\"font\":{\"size\":12,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":11}},{\"font\":{\"size\":11}},{\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"font\":{\"size\":11,\"bold\":true}},{\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"],\"right\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]}},{\"bgcolor\":\"#dae7d2\",\"align\":\"center\"},{\"bgcolor\":\"#dae7d2\"},{\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"bold\":true}},{\"bgcolor\":\"#dae7d2\",\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"font\":{\"bold\":true}},{\"bgcolor\":\"【QQYUN-8110】在线通讯录支持设置权限\",\"align\":\"center\",\"font\":{\"bold\":true}},{\"bgcolor\":\"【QQYUN-8110】在线通讯录支持设置权限\",\"font\":{\"bold\":true}},{\"color\":\"【QQYUN-8110】在线通讯录支持设置权限\"},{\"color\":\"#0a0a0a\"},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"bold\":true}},{\"border\":{\"left\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":10.5,\"bold\":true}},{\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":10.5,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"valign\":\"middle\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"bgcolor\":\"#dae7d2\",\"valign\":\"middle\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"],\"right\":[\"thin\",\"#1e8a1e\"]},\"valign\":\"middle\"},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"valign\":\"middle\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"valign\":\"middle\"},{\"border\":{\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"valign\":\"middle\"},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"],\"right\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{\"bgcolor\":\"sk-JsZB4Wi1HM2zJne40434CbCd071642Ab9910Ee1cA4CaE115\"},{\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":11}},{\"border\":{\"top\":[\"thin\",\"#000\"]},\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"]},\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"font\":{\"size\":10}},{\"font\":{\"size\":10}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"font\":{\"size\":11}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"font\":{\"size\":11,\"bold\":true}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"align\":\"center\",\"font\":{\"size\":11,\"bold\":true}},{},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"align\":\"center\"},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#1e8a1e\"]}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"bgcolor\":\"#dae7d2\",\"align\":\"center\",\"font\":{\"size\":11}},{\"valign\":\"bottom\"},{\"textwrap\":true},{\"textwrap\":true,\"valign\":\"top\"},{\"align\":\"center\",\"font\":{\"size\":14}},{\"font\":{\"size\":14}},{\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":15,\"bold\":true}},{\"font\":{\"size\":15}},{\"align\":\"center\",\"font\":{\"size\":15,\"name\":\"宋体\",\"bold\":true}},{\"font\":{\"size\":15,\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":15,\"name\":\"楷体\",\"bold\":true}},{\"font\":{\"size\":15,\"name\":\"楷体\"}},{\"align\":\"center\",\"font\":{\"size\":15,\"name\":\"仿宋\",\"bold\":true}},{\"font\":{\"size\":15,\"name\":\"仿宋\"}},{\"align\":\"center\",\"font\":{\"size\":15,\"name\":\"华文行楷\",\"bold\":true}},{\"font\":{\"size\":15,\"name\":\"华文行楷\"}},{\"align\":\"center\",\"font\":{\"size\":14,\"name\":\"宋体\"}},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"top\":[\"thin\",\"#1e8a1e\"],\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"font\":{\"bold\":true}},{\"align\":\"right\"},{\"border\":{\"left\":[\"thin\",\"#1e8a1e\"],\"bottom\":[\"thin\",\"#1e8a1e\"]},\"textwrap\":true}],\"merges\":[\"C2:D4\",\"E3:I3\",\"E4:I4\",\"B6:D6\",\"E6:F6\",\"G6:H6\",\"I6:J6\",\"B7:D7\",\"E7:F7\",\"G7:H7\",\"I7:J7\",\"B8:D8\",\"E8:F8\",\"G8:H8\",\"I8:J8\",\"B9:D9\",\"E9:J9\",\"B11:C11\",\"D11:E11\",\"F11:H11\",\"B12:C12\",\"D12:E12\",\"F12:H12\",\"B13:D13\",\"E13:J13\",\"B14:D14\",\"E14:J14\",\"B15:D15\",\"E15:J15\",\"B17:D17\",\"F17:G17\",\"H17:J17\",\"B19:C19\",\"B20:J20\",\"B21:J21\",\"B22:J22\"],\"imgList\":[{\"row\":2,\"col\":9,\"colspan\":1,\"rowspan\":2,\"width\":\"96\",\"height\":\"47\",\"src\":\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/wanda_1710733731369.jpg\",\"layer_id\":\"YfdiQDcuqTjlOG4f\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[2,9]]},{\"row\":15,\"col\":8,\"colspan\":1,\"rowspan\":5,\"width\":\"82\",\"height\":\"77\",\"src\":\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/dzyz_1710741011435.png\",\"layer_id\":\"qWMWhe42wLnQXDUa\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[15,8]]}]}', NULL, NULL, 'admin', '2024-03-18 10:52:51', 'admin', '2024-03-20 10:16:40', 0, NULL, NULL, 1, 57, NULL, NULL, NULL, '1', 0, NULL);
INSERT INTO `jimu_report` VALUES ('938680635597357056', '20240412162853', '测试纵向分组报表111', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"printConfig\":{\"layout\":\"portrait\",\"printCallBackUrl\":\"\",\"paper\":\"A4\",\"isBackend\":false,\"width\":210,\"definition\":1,\"marginX\":10,\"height\":297,\"marginY\":10},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1048,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":53},\"6\":{\"width\":114},\"7\":{\"width\":105},\"8\":{\"width\":276},\"len\":50},\"area\":{\"sri\":6,\"sci\":6,\"eri\":6,\"eci\":6,\"width\":114,\"height\":25},\"pyGroupEngine\":false,\"excel_config_id\":\"938680635597357056\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"2\":{\"cells\":{\"1\":{\"style\":1,\"text\":\"国家\"},\"2\":{\"style\":1,\"text\":\"城市\"},\"3\":{\"style\":1,\"text\":\"地区\"},\"4\":{\"style\":1,\"text\":\"公司\"},\"5\":{\"style\":1,\"text\":\"部门\"},\"6\":{\"text\":\"学历\",\"style\":1},\"7\":{\"text\":\"性别\",\"style\":1},\"8\":{\"style\":1,\"text\":\"年龄\"}}},\"3\":{\"cells\":{\"1\":{\"style\":0,\"text\":\"#{zongxdata.group(country)}\",\"aggregate\":\"group\"},\"2\":{\"style\":0,\"text\":\"#{zongxdata.group(city)}\",\"aggregate\":\"group\"},\"3\":{\"style\":0,\"text\":\"#{zongxdata.group(region)}\",\"aggregate\":\"group\"},\"4\":{\"style\":0,\"text\":\"#{zongxdata.group(org)}\",\"aggregate\":\"group\"},\"5\":{\"style\":0,\"aggregate\":\"group\",\"text\":\"#{zongxdata.group(department)}\"},\"6\":{\"style\":0,\"aggregate\":\"group\",\"subtotal\":\"-1\",\"funcname\":\"-1\",\"text\":\"#{zongxdata.group(education)}\"},\"7\":{\"style\":0,\"aggregate\":\"group\",\"text\":\"#{zongxdata.group(sex)}\",\"subtotal\":\"groupField\",\"funcname\":\"-1\"},\"8\":{\"style\":0,\"text\":\"#{zongxdata.age}\",\"aggregate\":\"group\",\"subtotal\":\"-1\",\"funcname\":\"SUM\",\"noCalculate\":false,\"filterEmptyValue\":false,\"filterNegative\":false,\"direction\":\"down\"}}},\"8\":{\"cells\":{}},\"9\":{\"cells\":{}},\"len\":101},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"groupField\":\"zongxdata.country\",\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#c5e0b3\"}],\"isGroup\":true,\"merges\":[]}', NULL, NULL, 'admin', '2024-04-12 16:28:54', 'admin', '2024-04-12 16:57:16', 0, NULL, NULL, 0, 37, NULL, NULL, NULL, '2', 0, NULL);
INSERT INTO `jimu_report` VALUES ('94b04a1ed7c17f8e96baa6d89fb90758', '3698522', '员工请假单', '', NULL, '984302991393210368', '{\"area\":false,\"printElWidth\":794,\"excel_config_id\":\"94b04a1ed7c17f8e96baa6d89fb90758\",\"printElHeight\":1047,\"rows\":{\"1\":{\"cells\":{\"0\":{\"text\":\"员工请假单\",\"style\":100,\"merge\":[0,7]},\"1\":{\"style\":100},\"2\":{\"style\":100},\"3\":{\"style\":100},\"4\":{\"style\":100},\"5\":{\"style\":100},\"6\":{\"style\":100},\"7\":{\"style\":100}},\"height\":65},\"2\":{\"cells\":{\"0\":{\"text\":\"单位：北极星\",\"style\":101,\"merge\":[0,2]},\"1\":{\"style\":101},\"2\":{\"style\":101},\"3\":{\"style\":102},\"4\":{\"style\":102},\"5\":{\"style\":102},\"6\":{\"style\":102},\"7\":{\"style\":102}},\"height\":38},\"3\":{\"cells\":{\"0\":{\"text\":\"姓名\",\"style\":119},\"1\":{\"style\":119,\"text\":\" \"},\"2\":{\"text\":\"工作岗位\",\"style\":120},\"3\":{\"style\":119,\"text\":\" \"},\"4\":{\"text\":\"工作时间\",\"style\":119},\"5\":{\"style\":119,\"text\":\" \"},\"6\":{\"text\":\"出生日期\",\"style\":119},\"7\":{\"style\":119,\"text\":\" \"}}},\"4\":{\"cells\":{\"0\":{\"text\":\"请选择假类型\",\"style\":121,\"merge\":[4,0]},\"1\":{\"text\":\"年休假\",\"style\":120},\"2\":{\"style\":120,\"text\":\"病、事假\"},\"3\":{\"style\":120,\"text\":\"探亲假\"},\"4\":{\"style\":119,\"merge\":[0,1],\"text\":\"婚、丧假\"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":119,\"merge\":[0,1],\"text\":\"生育假\"},\"7\":{\"style\":107,\"text\":\" \"}},\"height\":29},\"5\":{\"cells\":{\"0\":{\"style\":0},\"1\":{\"text\":\"1、公岭满1~9年（5天）\",\"style\":122},\"2\":{\"style\":119,\"text\":\"1、病假\"},\"3\":{\"style\":119,\"text\":\"1、未婚探父母（20天）\"},\"4\":{\"style\":119,\"merge\":[0,1],\"text\":\"1、婚假（3天）\"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":119,\"merge\":[0,1],\"text\":\"1、流产\"},\"7\":{\"style\":107,\"text\":\" \"}},\"height\":25},\"6\":{\"cells\":{\"0\":{\"style\":0},\"1\":{\"style\":123,\"text\":\"2、公岭满10~19年（10天）\"},\"2\":{\"style\":119,\"text\":\"2、事假\"},\"3\":{\"style\":119,\"text\":\"2、已婚探父母（20天）\"},\"4\":{\"style\":119,\"merge\":[0,1],\"text\":\"2、晚婚假（13天）\"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":119,\"merge\":[0,1],\"text\":\"2、产假\"},\"7\":{\"style\":107,\"text\":\" \"}}},\"7\":{\"cells\":{\"0\":{\"style\":0},\"1\":{\"style\":123,\"text\":\"3、公岭满20年（15天）\"},\"2\":{\"style\":119,\"text\":\" \"},\"3\":{\"style\":119,\"text\":\"3、探配偶（30天）\"},\"4\":{\"style\":119,\"merge\":[0,1],\"text\":\"3、丧假（3天）\"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":119,\"merge\":[0,1],\"text\":\"3、哺乳假\"},\"7\":{\"style\":107,\"text\":\" \"}}},\"8\":{\"cells\":{\"0\":{\"style\":0},\"1\":{\"style\":119,\"text\":\" \"},\"2\":{\"style\":119,\"text\":\" \"},\"3\":{\"style\":119,\"text\":\"探亲地点：\",\"merge\":[0,2]},\"4\":{\"style\":107,\"text\":\" \"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":119,\"merge\":[0,1],\"text\":\"4、陪护假\"},\"7\":{\"style\":107,\"text\":\" \"},\"8\":{\"style\":15},\"9\":{\"style\":15},\"10\":{\"style\":15},\"11\":{\"style\":15},\"12\":{\"style\":15},\"13\":{\"style\":15},\"14\":{\"style\":15},\"15\":{\"style\":15},\"16\":{\"style\":15},\"17\":{\"style\":15},\"18\":{\"style\":15},\"19\":{\"style\":15},\"20\":{\"style\":15},\"21\":{\"style\":15},\"22\":{\"style\":15},\"23\":{\"style\":5},\"24\":{\"style\":5},\"25\":{\"style\":5}}},\"9\":{\"cells\":{\"0\":{\"style\":124,\"text\":\"请假时间\"},\"1\":{\"style\":125,\"merge\":[0,6],\"text\":\"2020年02-30 至2020年02-03-30\"},\"2\":{\"style\":115,\"text\":\" \"},\"3\":{\"style\":115,\"text\":\" \"},\"4\":{\"style\":115,\"text\":\" \"},\"5\":{\"style\":115,\"text\":\" \"},\"6\":{\"style\":115,\"text\":\" \"},\"7\":{\"style\":115,\"text\":\" \"}},\"height\":46},\"10\":{\"cells\":{\"0\":{\"style\":126,\"text\":\"审批人员及意见\"},\"1\":{\"merge\":[0,6],\"style\":127,\"text\":\"同意\"},\"2\":{\"style\":118,\"text\":\" \"},\"3\":{\"style\":118,\"text\":\" \"},\"4\":{\"style\":118,\"text\":\" \"},\"5\":{\"style\":118,\"text\":\" \"},\"6\":{\"style\":118,\"text\":\" \"},\"7\":{\"style\":118,\"text\":\" \"}},\"height\":89},\"11\":{\"cells\":{\"0\":{\"text\":\"备注\",\"style\":119},\"1\":{\"style\":119,\"text\":\" \"},\"2\":{\"text\":\"请假人签名\",\"style\":119},\"3\":{\"merge\":[0,4],\"style\":119,\"text\":\" \"},\"4\":{\"style\":107,\"text\":\" \"},\"5\":{\"style\":107,\"text\":\" \"},\"6\":{\"style\":107,\"text\":\" \"},\"7\":{\"style\":107,\"text\":\" \"}},\"height\":90},\"12\":{\"cells\":{\"0\":{\"merge\":[0,7],\"style\":120,\"text\":\"请假审批表一式两份，考勤员与人力资源部门各存一份\"},\"1\":{\"style\":106,\"text\":\" \"},\"2\":{\"style\":106,\"text\":\" \"},\"3\":{\"style\":106,\"text\":\" \"},\"4\":{\"style\":106,\"text\":\" \"},\"5\":{\"style\":106,\"text\":\" \"},\"6\":{\"style\":106,\"text\":\" \"},\"7\":{\"style\":106,\"text\":\" \"}},\"height\":25},\"len\":101},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":789,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"textwrap\":true},{\"textwrap\":false},{\"textwrap\":true,\"valign\":\"middle\"},{\"textwrap\":false,\"valign\":\"middle\"},{\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"left\"},{},{\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"}},{\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"align\":\"center\",\"font\":{\"name\":\"Arial\"}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"name\":\"Courier New\"},\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"Courier New\"},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"textwrap\":true,\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"textwrap\":true,\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"align\":\"center\"},{\"font\":{\"name\":\"Courier New\"},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\",\"size\":14}},{\"align\":\"center\",\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\",\"size\":14,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"font\":{\"name\":\"Courier New\"},\"color\":\"#7f7f7f\"},{\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Courier New\"},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"align\":\"center\",\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\"},{\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\"},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"align\":\"center\",\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"Lato\"}},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"Lato\"},\"valign\":\"middle\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"Lato\"},\"valign\":\"bottom\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"Lato\"},\"valign\":\"top\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"top\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"top\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"middle\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"middle\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"textwrap\":true},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"textwrap\":true},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"textwrap\":false},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"textwrap\":false},{\"textwrap\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"Lato\"}},{\"align\":\"center\",\"font\":{\"name\":\"宋体\",\"size\":14,\"bold\":true}},{\"font\":{\"name\":\"宋体\"},\"color\":\"#7f7f7f\"},{\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"宋体\"},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":false,\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"宋体\"},\"valign\":\"top\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"valign\":\"top\"},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"valign\":\"top\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"font\":{\"name\":\"宋体\"},\"valign\":\"bottom\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"textwrap\":false},{\"align\":\"center\",\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"textwrap\":false},{\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"align\":\"center\",\"color\":\"#000100\"},{\"textwrap\":false,\"valign\":\"middle\",\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":false,\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"color\":\"#000100\",\"font\":{\"name\":\"宋体\"},\"valign\":\"top\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"valign\":\"top\"},{\"textwrap\":true,\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"color\":\"#000100\",\"font\":{\"name\":\"宋体\"},\"valign\":\"bottom\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#262626\"],\"top\":[\"thin\",\"#262626\"],\"left\":[\"thin\",\"#262626\"],\"right\":[\"thin\",\"#262626\"]},\"font\":{\"name\":\"宋体\"},\"color\":\"#000100\",\"textwrap\":false}],\"validations\":[],\"cols\":{\"0\":{\"width\":35},\"1\":{\"width\":195},\"2\":{\"width\":77},\"3\":{\"width\":168},\"4\":{\"width\":62},\"6\":{\"width\":70},\"7\":{\"width\":82},\"len\":26},\"merges\":[\"D9:F9\",\"E5:F5\",\"E6:F6\",\"E7:F7\",\"E8:F8\",\"G5:H5\",\"G6:H6\",\"G7:H7\",\"G8:H8\",\"G9:H9\",\"B10:H10\",\"B11:H11\",\"D12:H12\",\"A13:H13\",\"A3:C3\",\"A2:H2\",\"A5:A9\"]}', '', 'https://static.jeecg.com/designreport/images/QQ截图20201207135257_1607320433681.png', 'jeecg', '2020-07-10 18:29:39', 'admin', '2021-02-03 14:01:12', 0, NULL, NULL, 1, 142, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('961455b47c0b86dc961e90b5893bff05', '56780774', '阜阳检票数查询副本0774', '', NULL, '984302991393210368', '{\"area\":{\"sri\":8,\"sci\":6,\"eri\":8,\"eci\":6,\"width\":75,\"height\":25},\"printElWidth\":794,\"excel_config_id\":\"53c82a76f837d5661dceec7d93afafec\",\"printElHeight\":1047,\"rows\":{\"0\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"\",\"style\":66},\"2\":{\"style\":66},\"3\":{\"style\":67,\"merge\":[0,3],\"text\":\"阜阳火车站检票数\"},\"4\":{\"style\":67},\"5\":{\"style\":67},\"6\":{\"style\":67},\"7\":{\"style\":66},\"8\":{\"style\":66},\"9\":{\"style\":58}},\"height\":63},\"1\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":66},\"2\":{\"style\":66},\"3\":{\"style\":66},\"4\":{\"style\":66},\"5\":{\"style\":66},\"6\":{\"style\":66},\"7\":{\"style\":66},\"8\":{\"style\":66},\"9\":{\"style\":58}},\"height\":20},\"2\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"日期：\",\"style\":68},\"2\":{\"text\":\"${gongsi.tdata}\",\"style\":69},\"3\":{\"style\":66},\"4\":{\"style\":66,\"text\":\"制表人：\"},\"5\":{\"text\":\"${gongsi.gname}\",\"style\":66},\"6\":{\"style\":66},\"7\":{\"text\":\"\",\"merge\":[0,1],\"style\":70},\"8\":{\"style\":70},\"9\":{\"style\":58}},\"isDrag\":true},\"3\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"text\":\"班次\",\"merge\":[1,0],\"style\":71},\"2\":{\"text\":\"发车时间\",\"merge\":[1,0],\"style\":71},\"3\":{\"text\":\"是否放空\",\"merge\":[1,0],\"style\":71},\"4\":{\"text\":\"路线\",\"merge\":[0,1],\"style\":71},\"5\":{\"style\":72},\"6\":{\"text\":\"核载座位数\",\"merge\":[1,0],\"style\":71},\"7\":{\"merge\":[1,0],\"style\":71,\"text\":\"检票数\"},\"8\":{\"merge\":[1,0],\"style\":71,\"text\":\"实载率（%）\"},\"9\":{\"style\":58}}},\"4\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":72},\"2\":{\"style\":71},\"3\":{\"style\":72},\"4\":{\"text\":\"从\",\"style\":71},\"5\":{\"text\":\"到\",\"style\":71},\"6\":{\"style\":72},\"7\":{\"style\":71},\"8\":{\"style\":72},\"9\":{\"style\":58}},\"height\":25},\"5\":{\"cells\":{\"0\":{\"style\":58},\"1\":{\"style\":73,\"text\":\"#{jianpiao.bnum}\"},\"2\":{\"style\":73,\"text\":\"#{jianpiao.ftime}\"},\"3\":{\"style\":73,\"text\":\"#{jianpiao.sfkong}\"},\"4\":{\"style\":73,\"text\":\"#{jianpiao.kaishi}\"},\"5\":{\"style\":73,\"text\":\"#{jianpiao.jieshu}\"},\"6\":{\"style\":73,\"text\":\"#{jianpiao.hezairen}\"},\"7\":{\"style\":73,\"text\":\"#{jianpiao.jpnum}\"},\"8\":{\"style\":73,\"text\":\"#{jianpiao.shihelv}\"},\"9\":{\"style\":58}},\"height\":33},\"6\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}},\"isDrag\":true},\"7\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11,\"text\":\"\"},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"8\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"9\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"10\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"11\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"12\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"13\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"14\":{\"cells\":{\"1\":{\"style\":11},\"2\":{\"style\":11},\"3\":{\"style\":11},\"4\":{\"style\":11},\"5\":{\"style\":11},\"6\":{\"style\":11},\"7\":{\"style\":11},\"8\":{\"style\":11}}},\"len\":96,\"-1\":{\"cells\":{\"-1\":{\"text\":\"${gongsi.id}\"}},\"isDrag\":true}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":737,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"],\"top\":[\"thin\",\"#7f7f7f\"],\"left\":[\"thin\",\"#7f7f7f\"],\"right\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"top\":[\"thin\",\"#7f7f7f\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]}},{\"border\":{\"right\":[\"thin\",\"#7f7f7f\"],\"bottom\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"bottom\":[\"thin\",\"#7f7f7f\"]}},{\"border\":{\"right\":[\"thin\",\"#7f7f7f\"]}},{\"align\":\"center\",\"font\":{\"size\":16}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"bold\":true}},{\"font\":{\"bold\":false}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true}},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"align\":\"right\"},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":true},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"font\":{\"bold\":true},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#4371c6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#2e75b5\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#2e75b5\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#0170c1\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#0170c1\"},{\"font\":{\"bold\":false},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000100\"],\"top\":[\"thin\",\"#000100\"],\"left\":[\"thin\",\"#000100\"],\"right\":[\"thin\",\"#000100\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"font\":{\"bold\":false},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#5b9cd6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true},\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"size\":22,\"bold\":true},\"valign\":\"bottom\"},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true},\"valign\":\"bottom\"},{\"font\":{\"bold\":false},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\"},{\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"宋体\"},\"valign\":\"bottom\"},{\"font\":{\"bold\":false,\"name\":\"宋体\"},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"right\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false,\"name\":\"宋体\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false,\"name\":\"宋体\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"name\":\"宋体\"}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true,\"name\":\"Microsoft YaHei\"},\"valign\":\"bottom\"},{\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"color\":\"#7f7f7f\",\"align\":\"right\"},{\"color\":\"#7f7f7f\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"right\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"font\":{\"bold\":false,\"name\":\"Microsoft YaHei\"},\"bgcolor\":\"#9cc2e6\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"font\":{\"name\":\"Microsoft YaHei\"}}],\"validations\":[],\"cols\":{\"0\":{\"width\":53},\"1\":{\"width\":118},\"2\":{\"width\":75},\"3\":{\"width\":54},\"4\":{\"width\":95},\"5\":{\"width\":109},\"6\":{\"width\":75},\"7\":{\"width\":75},\"8\":{\"width\":83},\"9\":{\"width\":30},\"len\":27},\"merges\":[\"E4:F4\",\"B4:B5\",\"C4:C5\",\"D4:D5\",\"G4:G5\",\"H4:H5\",\"I4:I5\",\"D1:G1\",\"H3:I3\"]}', '', 'https://static.jeecg.com/designreport/images/25_1597233573577.png', 'admin', '2021-01-19 10:46:45', 'admin', '2021-02-03 13:58:22', 0, NULL, NULL, 0, 702, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('965205577251782656', '20240624210923', '111', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"querySetting\":{\"izOpenQueryBar\":false,\"izDefaultQuery\":true},\"recordSubTableOrCollection\":{\"group\":[],\"record\":[],\"range\":[]},\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10,\"layout\":\"portrait\",\"printCallBackUrl\":\"\"},\"hidden\":{\"rows\":[],\"cols\":[]},\"queryFormSetting\":{\"useQueryForm\":false,\"dbKey\":\"\",\"idField\":\"\"},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":900,\"autofilter\":{},\"validations\":[],\"cols\":{\"len\":50},\"chartList\":[{\"row\":11,\"col\":-1,\"colspan\":7,\"rowspan\":14,\"width\":\"650\",\"height\":\"350\",\"config\":\"{\\\"yAxis\\\":{\\\"axisLabel\\\":{\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"销量\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"xAxis\\\":{\\\"axisLabel\\\":{\\\"rotate\\\":0,\\\"interval\\\":\\\"auto\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"data\\\":[\\\"衬衫\\\",\\\"羊毛衫\\\",\\\"雪纺衫\\\",\\\"裤子\\\",\\\"高跟鞋\\\",\\\"袜子\\\"],\\\"axisLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"#333\\\"}},\\\"show\\\":true,\\\"name\\\":\\\"服饰\\\",\\\"splitLine\\\":{\\\"lineStyle\\\":{\\\"color\\\":\\\"red\\\",\\\"width\\\":1,\\\"type\\\":\\\"solid\\\"},\\\"show\\\":false}},\\\"grid\\\":{\\\"top\\\":60,\\\"left\\\":60,\\\"bottom\\\":60,\\\"right\\\":100},\\\"series\\\":[{\\\"barWidth\\\":50,\\\"data\\\":[5,20,36,10,10,20],\\\"name\\\":\\\"销量\\\",\\\"itemStyle\\\":{\\\"color\\\":\\\"#c43632\\\",\\\"barBorderRadius\\\":0},\\\"label\\\":{\\\"show\\\":true,\\\"position\\\":\\\"top\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"black\\\",\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"bar\\\",\\\"barMinHeight\\\":2}],\\\"tooltip\\\":{\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":18}},\\\"title\\\":{\\\"padding\\\":[5,20,5,20],\\\"top\\\":\\\"5\\\",\\\"left\\\":\\\"left\\\",\\\"show\\\":true,\\\"text\\\":\\\"某站点用户访问来源\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontSize\\\":18,\\\"fontWeight\\\":\\\"bolder\\\"}}}\",\"url\":\"\",\"extData\":{\"chartId\":\"bar.simple\",\"chartType\":\"bar.simple\"},\"layer_id\":\"Zm53iOJRj7pwCuxY\",\"offsetX\":0,\"offsetY\":0,\"backgroud\":{\"enabled\":false,\"color\":\"#fff\",\"image\":\"\"},\"virtualCellRange\":[[11,-1],[11,0],[11,1],[11,2],[11,3],[11,4],[11,5]]}],\"area\":false,\"pyGroupEngine\":false,\"submitHandlers\":[],\"excel_config_id\":\"965205577251782656\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"1\":{\"cells\":{\"2\":{\"text\":\"q\"},\"3\":{\"text\":\"q\"},\"4\":{\"text\":\"q\"}}},\"3\":{\"cells\":{\"0\":{},\"2\":{\"text\":\"ID\",\"style\":1},\"3\":{\"text\":\"NAME\",\"style\":1}}},\"4\":{\"cells\":{\"2\":{\"text\":\"#{aaa.id}\",\"style\":0},\"3\":{\"text\":\"#{aaa.name}\",\"style\":0}}},\"9\":{\"cells\":{\"0\":{},\"2\":{},\"7\":{\"text\":\"2\"}}},\"11\":{\"cells\":{\"0\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"1\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"2\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"3\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"4\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"5\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"},\"-1\":{\"text\":\" \",\"virtual\":\"Zm53iOJRj7pwCuxY\"}}},\"13\":{\"cells\":{\"0\":{},\"8\":{\"text\":\"2\"}}},\"18\":{\"cells\":{\"8\":{\"text\":\"3\"}}},\"len\":100},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"fillFormInfo\":{\"layout\":{\"direction\":\"horizontal\",\"width\":200,\"height\":45}},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#71ae47\"}],\"freezeLineColor\":\"rgb(185, 185, 185)\",\"merges\":[]}', NULL, NULL, 'admin', '2024-06-24 21:09:23', 'admin', '2025-01-08 16:01:19', 0, NULL, NULL, 0, 109, NULL, NULL, NULL, '3', 2, NULL);
INSERT INTO `jimu_report` VALUES ('975549294469992448', '20240723101422', '简单表达式混合运算', NULL, NULL, 'datainfo', '{\"loopBlockList\":[],\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10,\"layout\":\"portrait\",\"printCallBackUrl\":\"\"},\"hidden\":{\"rows\":[],\"cols\":[]},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1097,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":81},\"1\":{\"width\":55},\"2\":{\"width\":144},\"3\":{\"width\":143},\"4\":{\"width\":112},\"5\":{\"width\":129},\"7\":{\"width\":333},\"len\":100},\"area\":false,\"pyGroupEngine\":false,\"excel_config_id\":\"975549294469992448\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{\"0\":{\"text\":\"1\"},\"1\":{},\"2\":{\"text\":\"SUM(A1,A2)\"},\"3\":{\"text\":\"=SUM(A1,A2)\"},\"4\":{\"text\":\"SUM(A1:A10)\"},\"5\":{\"text\":\"=SUM(A1:A10)\"}}},\"1\":{\"cells\":{\"0\":{\"text\":\"2\"},\"1\":{},\"2\":{\"text\":\"SUM(A1,A2)*2\"},\"3\":{\"text\":\"=SUM(A1,A2)*2\"},\"4\":{\"text\":\"SUM(A1:A10)*2\"},\"5\":{\"text\":\"=SUM(A1:A10)*2\"},\"6\":{},\"7\":{\"text\":\"=2+SUM(A1,A2)*2 \"}}},\"2\":{\"cells\":{\"0\":{\"text\":\"3\"},\"2\":{\"text\":\"SUM(A1,A2)/2\"},\"3\":{\"text\":\"=SUM(A1,A2)/2\"},\"4\":{\"text\":\"SUM(A1:A10)/2\"},\"5\":{\"text\":\"=SUM(A1:A10)/2\"},\"7\":{\"text\":\"=A1*A2\"}}},\"3\":{\"cells\":{\"0\":{\"text\":\"4\"},\"2\":{\"text\":\"SUM(A1,A2)+2\"},\"3\":{\"text\":\"=SUM(A1,A2)+2\"},\"4\":{\"text\":\"SUM(A1:A10)+2\"},\"5\":{\"text\":\"=SUM(A1:A10)+2\"}}},\"4\":{\"cells\":{\"0\":{\"text\":\"5\"},\"2\":{\"text\":\"SUM(A1,A2)-2\"},\"3\":{\"text\":\"=SUM(A1,A2)-2\"},\"4\":{\"text\":\"SUM(A1:A10)-2\"},\"5\":{\"text\":\"=SUM(A1:A10)-2\"},\"7\":{}}},\"5\":{\"cells\":{\"0\":{\"text\":\"6\"}}},\"6\":{\"cells\":{\"0\":{\"text\":\"7\"},\"2\":{\"text\":\"MAX(A1,A2)\"},\"3\":{\"text\":\"=MAX(A1,A2)\"},\"4\":{\"text\":\"MAX(A1:A10)\"},\"5\":{\"text\":\"=MAX(A1:A10)\"}}},\"7\":{\"cells\":{\"0\":{\"text\":\"8\"},\"2\":{\"text\":\"MAX(A1,A2)*2\"},\"3\":{\"text\":\"=MAX(A1,A2)*2\"},\"4\":{\"text\":\"MAX(A1:A10)*2\"},\"5\":{\"text\":\"=MAX(A1:A10)*2\"}}},\"8\":{\"cells\":{\"0\":{\"text\":\"9\"},\"2\":{\"text\":\"MAX(A1,A2)/2\"},\"3\":{\"text\":\"=MAX(A1,A2)/2\"},\"4\":{\"text\":\"MAX(A1:A10)/2\"},\"5\":{\"text\":\"=MAX(A1:A10)/2\"}}},\"9\":{\"cells\":{\"0\":{\"text\":\"10\"},\"2\":{\"text\":\"MAX(A1,A2)+2\"},\"3\":{\"text\":\"=MAX(A1,A2)+2\"},\"4\":{\"text\":\"MAX(A1:A10)+2\"},\"5\":{\"text\":\"=MAX(A1:A10)+2\"}}},\"10\":{\"cells\":{\"0\":{},\"2\":{\"text\":\"MAX(A1,A2)-2\"},\"3\":{\"text\":\"=MAX(A1,A2)-2\"},\"4\":{\"text\":\"MAX(A1:A10)-2\"},\"5\":{\"text\":\"=MAX(A1:A10)-2\"}}},\"11\":{\"cells\":{\"0\":{}}},\"12\":{\"cells\":{\"2\":{\"text\":\"MIN(A1,A2)\"},\"3\":{\"text\":\"=MIN(A1,A2)\"},\"4\":{\"text\":\"MIN(A1:A10)\"},\"5\":{\"text\":\"=MIN(A1:A10)\"}}},\"13\":{\"cells\":{\"2\":{\"text\":\"MIN(A1,A2)*2\"},\"3\":{\"text\":\"=MIN(A1,A2)*2\"},\"4\":{\"text\":\"MIN(A1:A10)*2\"},\"5\":{\"text\":\"=MIN(A1:A10)*2\"}}},\"14\":{\"cells\":{\"2\":{\"text\":\"MIN(A1,A2)/2\"},\"3\":{\"text\":\"=MIN(A1,A2)/2\"},\"4\":{\"text\":\"MIN(A1:A10)/2\"},\"5\":{\"text\":\"=MIN(A1:A10)/2\"}}},\"15\":{\"cells\":{\"2\":{\"text\":\"MIN(A1,A2)+2\"},\"3\":{\"text\":\"=MIN(A1,A2)+2\"},\"4\":{\"text\":\"MIN(A1:A10)+2\"},\"5\":{\"text\":\"=MIN(A1:A10)+2\"}}},\"16\":{\"cells\":{\"2\":{\"text\":\"MIN(A1,A2)-2\"},\"3\":{\"text\":\"=MIN(A1,A2)-2\"},\"4\":{\"text\":\"MIN(A1:A10)-2\"},\"5\":{\"text\":\"=MIN(A1:A10)-2\"}}},\"18\":{\"cells\":{\"2\":{\"text\":\"AVERAGE(A1,A2)\"},\"3\":{\"text\":\"=AVERAGE(A1,A2)\"},\"4\":{\"text\":\"AVERAGE(A1:A10)\"},\"5\":{\"text\":\"=AVERAGE(A1:A10)\"}}},\"19\":{\"cells\":{\"2\":{\"text\":\"AVERAGE(A1,A2)*2\"},\"3\":{\"text\":\"=AVERAGE(A1,A2)*2\"},\"4\":{\"text\":\"AVERAGE(A1:A10)*2\"},\"5\":{\"text\":\"=AVERAGE(A1:A10)*2\"}}},\"20\":{\"cells\":{\"2\":{\"text\":\"AVERAGE(A1,A2)/2\"},\"3\":{\"text\":\"=AVERAGE(A1,A2)/2\"},\"4\":{\"text\":\"AVERAGE(A1:A10)/2\"},\"5\":{\"text\":\"=AVERAGE(A1:A10)/2\"}}},\"21\":{\"cells\":{\"2\":{\"text\":\"AVERAGE(A1,A2)+2\"},\"3\":{\"text\":\"=AVERAGE(A1,A2)+2\"},\"4\":{\"text\":\"AVERAGE(A1:A10)+2\"},\"5\":{\"text\":\"=AVERAGE(A1:A10)+2\"}}},\"22\":{\"cells\":{\"2\":{\"text\":\"AVERAGE(A1,A2)-2\"},\"3\":{\"text\":\"=AVERAGE(A1,A2)-2\"},\"4\":{\"text\":\"AVERAGE(A1:A10)-2\"},\"5\":{\"text\":\"=AVERAGE(A1:A10)-2\"}}},\"24\":{\"cells\":{\"2\":{\"text\":\"COUNTNZ(A1,A2)\"},\"3\":{\"text\":\"=COUNTNZ(A1,A2)\"},\"4\":{\"text\":\"COUNTNZ(A1:A10)\"},\"5\":{\"text\":\"=COUNTNZ(A1:A10)\"}}},\"25\":{\"cells\":{\"2\":{\"text\":\"COUNTNZ(A1,A2)*2\"},\"3\":{\"text\":\"=COUNTNZ(A1,A2)*2\"},\"4\":{\"text\":\"COUNTNZ(A1:A10)*2\"},\"5\":{\"text\":\"=COUNTNZ(A1:A10)*2\"}}},\"26\":{\"cells\":{\"2\":{\"text\":\"COUNTNZ(A1,A2)/2\"},\"3\":{\"text\":\"=COUNTNZ(A1,A2)/2\"},\"4\":{\"text\":\"COUNTNZ(A1:A10)/2\"},\"5\":{\"text\":\"=COUNTNZ(A1:A10)/2\"}}},\"27\":{\"cells\":{\"2\":{\"text\":\"COUNTNZ(A1,A2)+2\"},\"3\":{\"text\":\"=COUNTNZ(A1,A2)+2\"},\"4\":{\"text\":\"COUNTNZ(A1:A10)+2\"},\"5\":{\"text\":\"=COUNTNZ(A1:A10)+2\"}}},\"28\":{\"cells\":{\"2\":{\"text\":\"COUNTNZ(A1,A2)-2\"},\"3\":{\"text\":\"=COUNTNZ(A1,A2)-2\"},\"4\":{\"text\":\"COUNTNZ(A1:A10)-2\"},\"5\":{\"text\":\"=COUNTNZ(A1:A10)-2\"}}},\"len\":200},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"styles\":[],\"freezeLineColor\":\"rgb(185, 185, 185)\",\"merges\":[]}', NULL, NULL, 'admin', '2024-07-23 10:14:22', 'admin', '2024-07-24 19:17:39', 0, NULL, NULL, 0, 75, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('989065112487022592', '20240823093133__1750', '在线填报-员工信息登记', NULL, NULL, 'datainfo', '{\"loopBlockList\":[],\"querySetting\":{\"izOpenQueryBar\":false,\"izDefaultQuery\":true},\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10,\"layout\":\"portrait\",\"printCallBackUrl\":\"\"},\"hidden\":{\"rows\":[],\"cols\":[]},\"dbexps\":[],\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":698,\"autofilter\":{},\"validations\":[],\"cols\":{\"0\":{\"width\":76},\"1\":{\"width\":114},\"2\":{\"width\":87},\"3\":{\"width\":99},\"4\":{\"width\":65},\"5\":{\"width\":126},\"6\":{\"width\":131},\"len\":100},\"area\":{\"sri\":10,\"sci\":9,\"eri\":10,\"eci\":9,\"width\":100,\"height\":121},\"pyGroupEngine\":false,\"submitHandlers\":[{\"type\":\"api\",\"code\":\"api\",\"name\":\"api\",\"isMain\":true,\"isEdit\":true,\"apiUrl\":\"https://bootapi.jeecg.com/jmreport/test/submit/handle\"}],\"excel_config_id\":\"989065112487022592\",\"hiddenCells\":[],\"zonedEditionList\":[],\"rows\":{\"0\":{\"cells\":{\"0\":{\"merge\":[1,6],\"height\":90,\"text\":\"员工信息登记表\",\"style\":6}},\"height\":45},\"1\":{\"cells\":{},\"height\":45},\"2\":{\"cells\":{\"0\":{\"text\":\"编号\",\"style\":7,\"fillFormLabel\":\"*\"},\"1\":{\"fillForm\":{\"componentFlag\":\"input-text\",\"component\":\"Input\",\"field\":\"no\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"pattern\":\"\",\"patternErrorTip\":\"\"},\"style\":7,\"text\":\" \"},\"2\":{\"text\":\"年龄\",\"style\":7},\"3\":{\"fillForm\":{\"componentFlag\":\"InputNumber\",\"component\":\"InputNumber\",\"field\":\"age\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"label\":\"\",\"labelText\":\"\",\"precision\":0,\"isLimitMinNum\":false,\"minNum\":0,\"isLimitMaxNum\":false,\"maxNum\":100,\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"age\"}]},\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"填写时间\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"DatePicker-time\",\"component\":\"DatePicker\",\"field\":\"create_time\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"label\":\"\",\"labelText\":\"\",\"dateFormat\":\"yyyy-MM-dd HH:mm:ss\",\"defaultValue\":\"\"},\"style\":7,\"text\":\" \"},\"6\":{\"merge\":[3,0],\"height\":180,\"fillForm\":{\"componentFlag\":\"JUploadImage\",\"component\":\"JUploadImage\",\"field\":\"photo\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"multiple\":false,\"maxUploadNum\":1,\"h_align\":\"center\"},\"style\":7,\"text\":\" \"}},\"height\":45},\"3\":{\"cells\":{\"0\":{\"text\":\"姓名\",\"style\":7,\"fillFormLabel\":\"*\"},\"1\":{\"text\":\" \",\"fillForm\":{\"componentFlag\":\"input-text\",\"component\":\"Input\",\"field\":\"name\",\"placeholder\":\"\",\"required\":true,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"name\"},{\"dbTable\":\"test_form_submit1\",\"dbField\":\"name\"}],\"label\":\"A5\",\"labelText\":\"姓名\",\"pattern\":\"\",\"patternErrorTip\":\"\"}},\"2\":{\"text\":\"性别\",\"style\":7},\"3\":{\"fillForm\":{\"componentFlag\":\"JRadio\",\"component\":\"JRadio\",\"field\":\"sex\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dataSource\":\"dict\",\"options\":[{\"label\":\"男\",\"value\":\"1\"},{\"label\":\"女\",\"value\":\"2\"}],\"apiUrl\":\"\",\"dictCode\":\"sex1\",\"dictName\":\"性别\"},\"style\":8,\"text\":\" \"},\"4\":{\"text\":\"出生日期\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"DatePicker-date\",\"component\":\"DatePicker\",\"field\":\"brithday\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dateFormat\":\"yyyy-MM-dd\",\"dateShowType\":\"date\"},\"style\":7,\"text\":\" \"},\"8\":{}},\"height\":45},\"4\":{\"cells\":{\"0\":{\"text\":\"民族\",\"style\":7,\"fillFormLabel\":\"*\"},\"1\":{\"fillForm\":{\"componentFlag\":\"JSelect\",\"component\":\"JSelect\",\"field\":\"nation\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dataSource\":\"dict\",\"options\":[{\"label\":\"选项1\",\"value\":\"1\"},{\"label\":\"选项2\",\"value\":\"2\"},{\"label\":\"选项3\",\"value\":\"3\"}],\"apiUrl\":\"\",\"dictCode\":\"minzu\",\"dictName\":\"民族\",\"multiple\":\"\"},\"style\":7,\"text\":\" \"},\"2\":{\"text\":\"政治面貌\",\"style\":7},\"3\":{\"fillForm\":{\"componentFlag\":\"JSelect\",\"component\":\"JSelect\",\"field\":\"politics\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"politics\"}],\"dataSource\":\"api\",\"options\":[{\"label\":\"选项1\",\"value\":\"1\"},{\"label\":\"选项2\",\"value\":\"2\"},{\"label\":\"选项3\",\"value\":\"3\"}],\"apiUrl\":\"https://bootapi.jeecg.com/jmreport/test/submit/dict/political\",\"dictCode\":\"\",\"dictName\":\"\",\"multiple\":\"\"},\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"籍贯\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"JAreaLinkage\",\"component\":\"JAreaLinkage\",\"field\":\"native_place\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"native_place\"}],\"areaType\":\"region\"},\"style\":7,\"text\":\" \"}},\"height\":45},\"5\":{\"cells\":{\"0\":{\"text\":\"身高（cm)\",\"style\":7},\"1\":{\"fillForm\":{\"componentFlag\":\"InputNumber\",\"component\":\"InputNumber\",\"field\":\"height\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"height\"}],\"precision\":2,\"isLimitMinNum\":false,\"minNum\":50,\"isLimitMaxNum\":false,\"maxNum\":200},\"style\":7,\"text\":\" \"},\"2\":{\"text\":\"体重\",\"style\":7},\"3\":{\"fillForm\":{\"componentFlag\":\"InputNumber\",\"component\":\"InputNumber\",\"field\":\"weight\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"weight\"}],\"precision\":2,\"isLimitMinNum\":false,\"minNum\":30,\"isLimitMaxNum\":false,\"maxNum\":300},\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"健康状况\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"JSelect\",\"component\":\"JSelect\",\"field\":\"health\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dataSource\":\"static\",\"options\":[{\"label\":\"健康\",\"value\":\"1\"},{\"label\":\"不健康\",\"value\":\"2\"}],\"apiUrl\":\"\",\"dictCode\":\"\",\"dictName\":\"\",\"multiple\":\"\"},\"style\":7,\"text\":\" \"}},\"height\":45},\"6\":{\"cells\":{\"0\":{\"text\":\"身份证号\",\"style\":7},\"1\":{\"merge\":[0,2],\"height\":45,\"fillForm\":{\"componentFlag\":\"input-text\",\"component\":\"Input\",\"field\":\"idcard\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"pattern\":\"^\\\\d{17}[\\\\dX]$\",\"patternErrorTip\":\"请输入身份证号\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"id_card\"}]},\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"学历\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"JSelect\",\"component\":\"JSelect\",\"field\":\"people\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dataSource\":\"dict\",\"options\":[{\"label\":\"选项1\",\"value\":\"1\"},{\"label\":\"选项2\",\"value\":\"2\"},{\"label\":\"选项3\",\"value\":\"3\"}],\"apiUrl\":\"\",\"dictCode\":\"xueli_sf\",\"dictName\":\"学历\",\"multiple\":true},\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45}},\"height\":45},\"7\":{\"cells\":{\"0\":{\"text\":\"联系地址\",\"style\":7},\"1\":{\"fillForm\":{\"componentFlag\":\"input-text\",\"component\":\"Input\",\"field\":\"addr\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"address\"}],\"pattern\":\"\",\"patternErrorTip\":\"\"},\"merge\":[0,2],\"height\":45,\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"手机号\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"input-text\",\"component\":\"Input\",\"field\":\"phone\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"phone\"}],\"pattern\":\"\",\"patternErrorTip\":\"\"},\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45}},\"height\":45},\"8\":{\"cells\":{\"0\":{\"text\":\"毕业证书\",\"style\":7},\"1\":{\"merge\":[0,2],\"height\":45,\"fillForm\":{\"componentFlag\":\"JUploadFile\",\"component\":\"JUploadFile\",\"field\":\"ca\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"multiple\":false,\"maxUploadNum\":1,\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"ca\"}]},\"style\":9,\"text\":\" \"},\"4\":{\"text\":\"幸运色\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"ColorPicker\",\"component\":\"ColorPicker\",\"field\":\"lucky_color\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"alpha\":false},\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45}},\"height\":45},\"9\":{\"cells\":{\"0\":{\"text\":\"教育经历\",\"merge\":[0,6],\"height\":45,\"style\":8}},\"height\":45},\"10\":{\"cells\":{\"0\":{\"merge\":[0,6],\"height\":121,\"fillForm\":{\"componentFlag\":\"input-textarea\",\"component\":\"Input\",\"field\":\"education\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"education\"}],\"pattern\":\"\",\"patternErrorTip\":\"\"},\"style\":7,\"text\":\" \"}},\"height\":121},\"11\":{\"cells\":{\"0\":{\"text\":\"工作经历\",\"merge\":[0,6],\"height\":45,\"style\":8}},\"height\":45},\"12\":{\"cells\":{\"0\":{\"merge\":[0,6],\"height\":150,\"fillForm\":{\"componentFlag\":\"input-textarea\",\"component\":\"Input\",\"field\":\"work_exp\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"work_exp\"}],\"pattern\":\"\",\"patternErrorTip\":\"\"},\"style\":7,\"text\":\" \"}},\"height\":150},\"13\":{\"cells\":{\"0\":{\"text\":\"爱好\",\"style\":7},\"1\":{\"merge\":[0,5],\"height\":45,\"fillForm\":{\"componentFlag\":\"JCheckbox\",\"component\":\"JCheckbox\",\"field\":\"fruity\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"fruity\"}],\"dataSource\":\"dict\",\"options\":[{\"label\":\"选项1\",\"value\":\"1\"},{\"label\":\"选项2\",\"value\":\"2\"},{\"label\":\"选项3\",\"value\":\"3\"}],\"apiUrl\":\"\",\"dictCode\":\"aihao\",\"dictName\":\"爱好\"},\"style\":7,\"text\":\" \"}},\"height\":45},\"14\":{\"cells\":{\"0\":{\"text\":\"所属部门\",\"style\":7},\"1\":{\"fillForm\":{\"componentFlag\":\"JDepartment\",\"component\":\"JDepartment\",\"field\":\"dept\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"dept\"}],\"multiple\":true,\"apiUrl\":\"http://192.168.1.69:8086/jmreport/test/getDepartmentList\"},\"merge\":[0,2],\"height\":45,\"style\":7,\"text\":\" \"},\"4\":{\"text\":\"薪资\",\"style\":7},\"5\":{\"fillForm\":{\"componentFlag\":\"JMoney\",\"component\":\"JMoney\",\"field\":\"pay\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"label\":\"\",\"labelText\":\"\",\"precision\":0,\"addon\":\"prepend\",\"moenyUnit\":\"￥\"},\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45}},\"height\":45},\"15\":{\"cells\":{\"0\":{\"text\":\"角色\",\"style\":7},\"1\":{\"merge\":[0,2],\"height\":45,\"fillForm\":{\"componentFlag\":\"JRole\",\"component\":\"JRole\",\"field\":\"role\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"multiple\":false,\"apiUrl\":\"https://bootapi.jeecg.com/jmreport/test/getRoleList\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"role\"}]},\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\"工位\"},\"5\":{\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45,\"fillForm\":{\"componentFlag\":\"JSelect\",\"component\":\"JSelect\",\"field\":\"station\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"label\":\"\",\"labelText\":\"\",\"dataSource\":\"static\",\"options\":[{\"label\":\"101\",\"value\":\"1\"},{\"label\":\"102\",\"value\":\"2\"},{\"label\":\"103\",\"value\":\"3\"},{\"label\":\"104\",\"value\":\"4\"}],\"apiUrl\":\"\",\"dictCode\":\"\",\"dictName\":\"\",\"multiple\":true}}},\"height\":45},\"16\":{\"cells\":{\"0\":{\"text\":\"直属领导\",\"style\":7},\"1\":{\"fillForm\":{\"componentFlag\":\"JUser\",\"component\":\"JUser\",\"field\":\"leader\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"multiple\":false,\"apiUrl\":\"https://bootapi.jeecg.com/jmreport/test/getUserList\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"leader\"}]},\"merge\":[0,2],\"height\":45,\"style\":7,\"text\":\" \"},\"4\":{\"style\":7,\"text\":\"是否启用\"},\"5\":{\"style\":10,\"text\":\" \",\"merge\":[0,1],\"height\":45,\"fillForm\":{\"componentFlag\":\"JSwitch\",\"component\":\"JSwitch\",\"field\":\"status\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"dbFieldBind\":[{\"dbTable\":\"test_form_submit\",\"dbField\":\"status\"}],\"label\":\"\",\"labelText\":\"\",\"switchOpen\":\"Y\",\"switchClose\":\"N\",\"h_align\":\"center\"}},\"6\":{}},\"height\":45},\"17\":{\"cells\":{\"0\":{\"style\":7,\"text\":\"负责部门\"},\"1\":{\"fillForm\":{\"componentFlag\":\"JSelectTree\",\"component\":\"JSelectTree\",\"field\":\"responsible\",\"value\":\"\",\"defaultValue\":\"\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"multiple\":true,\"apiUrl\":\"https://bootapi.jeecg.com/jmreport/test/getDepartmentList\"},\"style\":7,\"text\":\" \",\"merge\":[0,2],\"height\":45},\"4\":{\"style\":7,\"text\":\"上班时间\"},\"5\":{\"style\":7,\"text\":\" \",\"merge\":[0,1],\"height\":45,\"fillForm\":{\"componentFlag\":\"TimePicker\",\"component\":\"TimePicker\",\"field\":\"key_1724408224853_326455\",\"placeholder\":\"\",\"required\":false,\"requiredTip\":\"不能为空~\",\"label\":\"\",\"labelText\":\"\",\"isRangTime\":false,\"timeType\":\"time\"}}},\"height\":45},\"20\":{\"cells\":{\"6\":{}}},\"len\":201},\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"valign\":\"middle\"},{\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"size\":16}},{\"font\":{\"size\":16}},{\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"size\":16,\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"valign\":\"middle\"},{\"align\":\"right\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}}],\"freezeLineColor\":\"rgb(185, 185, 185)\",\"merges\":[\"A1:G2\",\"G3:G6\",\"B7:D7\",\"F7:G7\",\"B8:D8\",\"F8:G8\",\"B9:D9\",\"F9:G9\",\"A10:G10\",\"A11:G11\",\"A12:G12\",\"A13:G13\",\"B14:G14\",\"B15:D15\",\"F15:G15\",\"B16:D16\",\"F16:G16\",\"B17:D17\",\"F17:G17\",\"B18:D18\",\"F18:G18\"]}', NULL, NULL, 'admin', '2024-08-29 17:18:29', 'admin', '2024-08-30 10:24:03', 0, NULL, NULL, 1, 2, NULL, NULL, NULL, '1', 9, 1);
INSERT INTO `jimu_report` VALUES ('9dbadaee8720767efe3164a7d018c870', '45566', '发票打印', '', NULL, '984302991393210368', '{\"area\":{\"sri\":8,\"sci\":4,\"eri\":8,\"eci\":4,\"width\":100,\"height\":25},\"printElWidth\":794,\"excel_config_id\":\"9dbadaee8720767efe3164a7d018c870\",\"printElHeight\":500,\"rows\":{\"0\":{\"cells\":{\"0\":{\"text\":\"\",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"1\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"2\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"3\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"4\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"5\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"6\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"7\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"},\"8\":{\"text\":\" \",\"virtual\":\"RTA6TUIKs1pmgVOM\"}}},\"2\":{\"cells\":{},\"height\":11},\"3\":{\"cells\":{\"2\":{\"text\":\"\"},\"5\":{\"text\":\"\"}},\"height\":18},\"4\":{\"cells\":{\"2\":{\"text\":\"182123434\",\"style\":0},\"5\":{\"text\":\"12345678\"}},\"height\":15},\"5\":{\"cells\":{\"2\":{\"text\":\"\"}}},\"7\":{\"cells\":{}},\"8\":{\"cells\":{\"1\":{\"text\":\"餐饮\"},\"2\":{\"text\":\"        A11\"},\"3\":{\"text\":\"    333      3\"},\"4\":{\"text\":\"  3                   4\"},\"5\":{\"text\":\"          1\"},\"6\":{\"text\":\"3333\"}}},\"9\":{\"cells\":{\"1\":{\"text\":\"测试\"},\"2\":{\"text\":\"      mmm\"},\"3\":{\"text\":\"    33          5\"}}},\"10\":{\"cells\":{},\"height\":22},\"11\":{\"cells\":{\"2\":{\"text\":\"                          \"},\"3\":{\"text\":\"343434\"},\"6\":{\"text\":\"3434\"}},\"height\":45},\"12\":{\"cells\":{\"4\":{\"text\":\"           刮开中奖\"}},\"height\":12},\"13\":{\"cells\":{\"2\":{\"text\":\"\"},\"4\":{\"text\":\"      \"},\"5\":{\"text\":\"备注\"}},\"height\":31},\"14\":{\"cells\":{\"1\":{\"text\":\" 张三\"},\"3\":{\"text\":\"完成\"},\"4\":{\"text\":\"           李思\"}},\"height\":41},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":847,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"size\":8}}],\"validations\":[],\"cols\":{\"0\":{\"width\":93},\"1\":{\"width\":74},\"2\":{\"width\":80},\"len\":26},\"merges\":[],\"imgList\":[{\"row\":0,\"col\":0,\"width\":\"832\",\"height\":\"480\",\"src\":\"https://static.jeecg.com/designreport/images/套打_1609313052910.png\",\"isBackend\":true,\"commonBackend\":true,\"layer_id\":\"RTA6TUIKs1pmgVOM\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[0,0],[0,1],[0,2],[0,3],[0,4],[0,5],[0,6],[0,7],[0,8]]}]}', '', 'https://static.jeecg.com/designreport/images/QQ截图20201207113651_1607312223499.png', 'jeecg', '2020-07-20 18:55:59', 'admin', '2021-02-03 13:38:49', 0, NULL, NULL, 0, 1124, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('a250846887abe01217aab173d3006489', '56663', '不动产打印', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"excel_config_id\":\"a250846887abe01217aab173d3006489\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":true,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"0\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"1\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"2\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"3\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"4\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"5\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"6\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"7\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"8\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"},\"9\":{\"text\":\" \",\"virtual\":\"BJ9o6oelCr85EpT2\"}},\"isDrag\":true,\"height\":45},\"1\":{\"cells\":{},\"height\":23},\"2\":{\"cells\":{\"0\":{\"text\":\"\",\"style\":0},\"1\":{\"text\":\"           ${budong.yname}\",\"style\":21,\"merge\":[0,2]}},\"isDrag\":true,\"height\":34},\"3\":{\"cells\":{\"1\":{\"text\":\"            ${budong.chanquan}\",\"style\":0,\"merge\":[0,2]},\"5\":{\"text\":\"${budong.beizhu}\",\"merge\":[5,3]}},\"isDrag\":true,\"height\":39},\"4\":{\"cells\":{\"1\":{\"text\":\"           ${budong.zhuzhi}\",\"style\":39,\"merge\":[0,2]}},\"isDrag\":true,\"height\":33},\"5\":{\"cells\":{\"1\":{\"text\":\"           ${budong.danyuan}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":53},\"6\":{\"cells\":{\"1\":{\"text\":\"            ${budong.type}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":47},\"7\":{\"cells\":{\"1\":{\"text\":\"            ${budong.xtype}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":38},\"8\":{\"cells\":{\"1\":{\"text\":\"             ${budong.suoyou}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":31},\"9\":{\"cells\":{\"1\":{\"text\":\"              ${budong.mianji}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":45},\"10\":{\"cells\":{\"1\":{\"text\":\"               ${budong.riqi}\",\"style\":0,\"merge\":[0,2]}},\"isDrag\":true,\"height\":26},\"11\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":0,\"merge\":[0,2]}},\"height\":35},\"12\":{\"cells\":{\"1\":{\"text\":\"\",\"style\":0},\"2\":{\"text\":\"${budong.chanquan}\",\"style\":0,\"merge\":[4,1]}},\"isDrag\":true},\"13\":{\"cells\":{}},\"14\":{\"cells\":{}},\"15\":{\"cells\":{}},\"16\":{\"cells\":{},\"height\":5},\"17\":{\"cells\":{\"2\":{\"text\":\"\",\"style\":0}},\"isDrag\":true,\"height\":33},\"18\":{\"cells\":{\"2\":{\"style\":0,\"text\":\"\"}}},\"len\":100,\"-1\":{\"cells\":{\"0\":{\"text\":\"#{budong.zhuzhi}\"},\"-1\":{\"text\":\"#{budong.suoyou}\"}},\"isDrag\":true}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":1024,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"font\":{\"bold\":true}},{\"font\":{\"italic\":true}},{\"font\":{\"italic\":true,\"bold\":true}},{\"font\":{\"italic\":true,\"bold\":false}},{\"font\":{\"italic\":false,\"bold\":false}},{\"font\":{\"italic\":false,\"bold\":true}},{\"align\":\"left\"},{\"align\":\"center\"},{\"align\":\"right\"},{\"align\":\"left\",\"valign\":\"top\"},{\"align\":\"left\",\"valign\":\"top\",\"font\":{\"bold\":true}},{\"font\":{\"bold\":false}},{\"align\":\"left\",\"valign\":\"bottom\"},{\"valign\":\"bottom\"},{\"align\":\"center\",\"valign\":\"bottom\"},{\"textwrap\":true},{\"font\":{\"bold\":true},\"valign\":\"bottom\"},{\"font\":{\"italic\":false,\"bold\":true},\"valign\":\"top\"},{\"valign\":\"top\"},{\"textwrap\":true,\"font\":{\"bold\":true}},{\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"bold\":true}},{\"align\":\"left\",\"valign\":\"bottom\",\"font\":{\"bold\":true}},{\"align\":\"left\",\"valign\":\"bottom\",\"font\":{\"bold\":true,\"size\":8}},{\"font\":{\"bold\":true,\"size\":8},\"valign\":\"bottom\"},{\"align\":\"center\",\"valign\":\"bottom\",\"font\":{\"bold\":true,\"size\":8}},{\"align\":\"left\",\"valign\":\"middle\",\"font\":{\"bold\":true}},{\"align\":\"left\",\"valign\":\"middle\"},{\"font\":{\"italic\":false,\"bold\":true},\"valign\":\"bottom\"},{\"font\":{\"italic\":false,\"bold\":true},\"valign\":\"middle\"},{\"valign\":\"middle\"},{\"font\":{\"italic\":true,\"bold\":true},\"valign\":\"middle\"},{\"valign\":\"middle\",\"font\":{\"italic\":true}},{\"valign\":\"middle\",\"font\":{\"italic\":false}},{\"font\":{\"italic\":false,\"bold\":false},\"valign\":\"middle\"},{\"align\":\"center\",\"valign\":\"middle\",\"font\":{\"bold\":true,\"size\":8}},{\"font\":{\"bold\":true,\"size\":8},\"valign\":\"middle\"},{\"align\":\"left\",\"valign\":\"middle\",\"font\":{\"bold\":true,\"size\":8}},{\"align\":\"right\",\"valign\":\"middle\",\"font\":{\"bold\":true,\"size\":8}},{\"font\":{\"italic\":false,\"bold\":true},\"valign\":\"middle\",\"align\":\"center\"},{\"font\":{\"italic\":false,\"bold\":true},\"valign\":\"middle\",\"align\":\"left\"},{\"align\":\"right\",\"valign\":\"bottom\"},{\"align\":\"right\",\"valign\":\"bottom\",\"font\":{\"bold\":true,\"size\":8}},{\"align\":\"center\",\"valign\":\"middle\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":107},\"1\":{\"width\":54},\"2\":{\"width\":135},\"3\":{\"width\":180},\"6\":{\"width\":123},\"8\":{\"width\":25},\"len\":50},\"merges\":[\"B1:B2\",\"B12:D12\",\"B9:D9\",\"B7:D7\",\"B6:D6\",\"B5:D5\",\"B3:D3\",\"B11:D11\",\"B8:D8\",\"B10:D10\",\"C13:D17\",\"C1:C2\",\"B4:D4\",\"F4:I9\",\"D1:D2\"],\"imgList\":[{\"row\":0,\"col\":0,\"width\":\"950\",\"height\":\"683\",\"src\":\"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/38_1610456500965_1617247643815.jpg\",\"isBackend\":true,\"commonBackend\":true,\"layer_id\":\"BJ9o6oelCr85EpT2\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[0,0],[0,1],[0,2],[0,3],[0,4],[0,5],[0,6],[0,7],[0,8],[0,9]]}]}', '', 'https://static.jeecg.com/designreport/images/24_1597233568822.png', 'jeecg', '2020-07-09 10:48:22', 'admin', '2021-04-01 03:27:28', 0, NULL, NULL, 1, 1413, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('a9f068972508920cd4aab831814f0c04', '23445', '逮捕证', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"excel_config_id\":\"a9f068972508920cd4aab831814f0c04\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"2\":{\"text\":\"\",\"merge\":[0,9],\"style\":324},\"12\":{}},\"isDrag\":true,\"height\":55},\"1\":{\"cells\":{\"1\":{\"style\":410,\"merge\":[0,13],\"text\":\"兰州市经济侦查大队\"},\"15\":{\"style\":324,\"text\":\" \"}},\"height\":128},\"2\":{\"cells\":{\"1\":{\"style\":411,\"merge\":[0,13],\"text\":\"逮捕令\"},\"15\":{\"style\":324,\"text\":\" \"}},\"height\":41},\"3\":{\"cells\":{\"1\":{\"style\":412,\"merge\":[0,12],\"text\":\"第123459663号\"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":60},\"4\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"text\":\"                                 根据《中华人民共和国刑事诉讼法》第七十八条之规定，\",\"style\":341,\"merge\":[0,11]},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":43},\"5\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"style\":341,\"text\":\"经\",\"merge\":[0,1]},\"4\":{\"text\":\"${pdaibu.pname}\",\"style\":342,\"merge\":[0,9]},\"14\":{\"style\":413,\"text\":\" \"}},\"isDrag\":true,\"height\":47},\"6\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"style\":344,\"text\":\" \",\"merge\":[0,2]},\"5\":{\"merge\":[0,3],\"text\":\"批准，兹由我局对涉嫌\",\"style\":338},\"9\":{\"text\":\"${pdaibu.shiqing}\",\"style\":347,\"merge\":[0,4]},\"14\":{\"style\":413,\"text\":\" \"}},\"isDrag\":true,\"height\":49},\"7\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"style\":341,\"text\":\"的\"},\"3\":{\"text\":\"${pdaibu.fname}\",\"style\":345,\"merge\":[0,1]},\"5\":{\"text\":\"(性别\",\"style\":343},\"6\":{\"text\":\"${pdaibu.fsex}\",\"style\":347,\"merge\":[0,1]},\"8\":{\"style\":346,\"text\":\"出生日期\"},\"9\":{\"text\":\"${pdaibu.cdata}\",\"style\":345,\"merge\":[0,4]},\"14\":{\"style\":413,\"text\":\" \"}},\"isDrag\":true,\"height\":51},\"8\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"text\":\"${pdaibu.zhuzhi}\",\"style\":345,\"merge\":[0,7]},\"10\":{\"style\":341,\"text\":\"执行逮捕，送兰州\",\"merge\":[0,3]},\"14\":{\"style\":413,\"text\":\" \"}},\"isDrag\":true,\"height\":51},\"9\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"style\":341,\"merge\":[0,6],\"text\":\"市经济侦查大队羁押。\"},\"9\":{\"style\":341,\"text\":\" \"},\"10\":{\"style\":341,\"merge\":[5,1],\"text\":\" \"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":57},\"10\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"4\":{\"style\":338,\"virtual\":\"DId4FGTLnP3vfp4y\",\"text\":\" \"},\"5\":{\"style\":338,\"virtual\":\"DId4FGTLnP3vfp4y\",\"text\":\" \"},\"6\":{\"style\":338,\"virtual\":\"DId4FGTLnP3vfp4y\",\"text\":\" \"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":61},\"11\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"6\":{\"style\":376,\"merge\":[0,2],\"text\":\" \"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":83},\"12\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"merge\":[0,6],\"style\":338,\"text\":\" \"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":14},\"13\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"2\":{\"style\":351,\"merge\":[0,5],\"text\":\" \"},\"8\":{\"style\":380,\"text\":\"公安局印\"},\"9\":{\"text\":\" \",\"virtual\":\"XefZfpEcdS3wI6Ae\"},\"10\":{\"text\":\" \",\"virtual\":\"XefZfpEcdS3wI6Ae\"},\"11\":{\"text\":\" \",\"virtual\":\"XefZfpEcdS3wI6Ae\"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":89},\"14\":{\"cells\":{\"1\":{\"style\":414,\"text\":\" \"},\"14\":{\"style\":413,\"text\":\" \"}},\"height\":21},\"15\":{\"cells\":{\"1\":{\"style\":415,\"text\":\" \"},\"2\":{\"style\":416,\"text\":\" \"},\"3\":{\"style\":417,\"text\":\" \"},\"4\":{\"style\":417,\"text\":\" \"},\"5\":{\"style\":417,\"text\":\" \"},\"6\":{\"text\":\"${pdaibu.gdata}\",\"style\":421,\"merge\":[0,6]},\"13\":{\"style\":417,\"text\":\" \"},\"14\":{\"style\":419,\"text\":\" \"}},\"isDrag\":true,\"height\":168},\"len\":88,\"-1\":{\"cells\":{\"1\":{\"text\":\"#{daibu.fdata}\"},\"-1\":{\"text\":\"#{pdaibu.shiqing}\"}},\"isDrag\":true}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":709,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"left\"},{\"align\":\"left\",\"underline\":true},{\"underline\":true},{\"align\":\"center\",\"underline\":true},{\"align\":\"center\"},{\"align\":\"center\",\"underline\":false},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":16}},{\"font\":{\"size\":16}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":true}},{\"font\":{\"bold\":true}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":true}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":false}},{\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false}},{\"font\":{\"bold\":false}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false}},{\"align\":\"left\",\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":16,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"font\":{\"size\":12},\"align\":\"center\"},{\"font\":{\"size\":8}},{\"font\":{\"size\":10}},{\"font\":{\"size\":10,\"bold\":true}},{\"font\":{\"size\":10,\"bold\":true},\"align\":\"center\"},{\"font\":{\"size\":18,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":18}},{\"font\":{\"size\":16,\"bold\":true},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":16}},{\"font\":{\"size\":12},\"valign\":\"bottom\"},{\"font\":{\"size\":12},\"valign\":\"middle\"},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"valign\":\"middle\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"left\":[\"dashed\",\"#000\"]}},{\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"font\":{\"size\":12,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true}},{\"font\":{\"size\":14,\"bold\":true},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Arial\"}},{\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"}},{\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Source Sans Pro\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Source Sans Pro\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Source Sans Pro\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"}},{\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Comic Sans MS\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Comic Sans MS\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Comic Sans MS\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Courier New\"}},{\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"}},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Courier New\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Courier New\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Arial\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Arial\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Helvetica\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Helvetica\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"align\":\"center\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]},\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":10,\"name\":\"Lato\"},\"valign\":\"middle\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"color\":\"#000100\",\"align\":\"right\"},{\"align\":\"right\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"left\",\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"left\",\"color\":\"#000100\",\"valign\":\"top\"},{\"align\":\"left\",\"valign\":\"top\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"left\",\"color\":\"#000100\",\"valign\":\"middle\"},{\"align\":\"left\",\"valign\":\"middle\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"left\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"left\",\"valign\":\"bottom\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"left\":[\"thick\",\"#000\"]},\"align\":\"right\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":true,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"left\",\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"underline\":false,\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"align\":\"right\"},{\"font\":{\"size\":12,\"name\":\"Lato\",\"bold\":true},\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"color\":\"#000100\"},{\"border\":{\"right\":[\"thin\",\"#000\"]}},{},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"color\":\"#000100\",\"align\":\"right\"},{\"font\":{\"size\":12,\"name\":\"Lato\",\"bold\":true},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"align\":\"right\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"center\",\"underline\":false,\"font\":{\"size\":12,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":12}},{\"align\":\"center\",\"font\":{\"bold\":false}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":12}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":12},\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"valign\":\"top\"},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"align\":\"right\",\"color\":\"#000100\",\"valign\":\"bottom\"},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":14},\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"font\":{\"name\":\"Lato\",\"size\":14},\"color\":\"#000100\"},{\"align\":\"left\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\"},{\"font\":{\"size\":14},\"align\":\"center\",\"border\":{\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"]},\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"name\":\"Lato\",\"size\":14},\"color\":\"#000100\"},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\"},{\"align\":\"left\",\"valign\":\"top\",\"font\":{\"size\":14}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":16,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"align\":\"right\",\"color\":\"#000100\",\"valign\":\"bottom\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":14},\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\"},{\"border\":{\"right\":[\"thick\",\"#000\"]},\"font\":{\"size\":14}},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"name\":\"Lato\",\"size\":14},\"color\":\"#000100\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"border\":{\"bottom\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14},\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":14}},{\"font\":{\"size\":14},\"align\":\"center\"},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"center\",\"border\":{\"top\":[\"thick\",\"#000\"]}},{\"border\":{\"top\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"border\":{\"bottom\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14},\"align\":\"right\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"size\":12}},{\"font\":{\"size\":14},\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thick\",\"#000\"]},\"font\":{\"size\":12},\"align\":\"center\"},{\"align\":\"left\",\"valign\":\"middle\",\"font\":{\"size\":14}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":24}},{\"font\":{\"size\":24}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":22}},{\"font\":{\"size\":22}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":18}},{\"font\":{\"size\":18}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":18,\"bold\":true}},{\"font\":{\"size\":18,\"bold\":true}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":18,\"bold\":true},\"align\":\"center\"},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\"},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\"},{\"font\":{\"size\":14,\"bold\":true}},{\"border\":{\"top\":[\"thick\",\"#000\"]},\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\"},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\"},{\"valign\":\"bottom\"},{\"valign\":\"bottom\",\"align\":\"right\"},{\"valign\":\"bottom\",\"align\":\"right\",\"font\":{\"size\":14}},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\",\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"valign\":\"bottom\",\"align\":\"right\",\"font\":{\"size\":14},\"border\":{\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"left\",\"font\":{\"size\":14,\"bold\":false,\"name\":\"Lato\"},\"color\":\"#000100\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":14},\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":14},\"align\":\"center\",\"border\":{\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\",\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14},\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"valign\":\"bottom\",\"align\":\"right\",\"font\":{\"size\":14},\"border\":{\"left\":[\"thick\",\"#000\"],\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":14},\"align\":\"center\",\"border\":{\"right\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\",\"border\":{\"top\":[\"thick\",\"#000\"],\"left\":[\"thick\",\"#000\"]}},{\"valign\":\"bottom\",\"align\":\"right\",\"font\":{\"size\":14},\"border\":{\"left\":[\"thick\",\"#000\"]}},{\"font\":{\"size\":18,\"bold\":false},\"align\":\"center\",\"valign\":\"bottom\",\"border\":{\"top\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":true,\"size\":14},\"border\":{\"left\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]}},{\"valign\":\"bottom\",\"align\":\"right\",\"font\":{\"size\":14},\"border\":{\"left\":[\"medium\",\"#000\"]}},{\"border\":{\"right\":[\"medium\",\"#000\"]}},{\"border\":{\"left\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"left\":[\"medium\",\"#000\"]}},{\"font\":{\"size\":12,\"name\":\"Lato\"},\"color\":\"#000100\",\"align\":\"right\",\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"font\":{\"size\":12},\"align\":\"center\",\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"border\":{\"bottom\":[\"medium\",\"#000\"],\"right\":[\"medium\",\"#000\"]}},{\"align\":\"center\",\"font\":{\"bold\":false,\"size\":14},\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"font\":{\"size\":12},\"align\":\"right\",\"border\":{\"bottom\":[\"medium\",\"#000\"]}},{\"font\":{\"size\":12},\"align\":\"right\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":18},\"1\":{\"width\":21},\"2\":{\"width\":27},\"3\":{\"width\":6},\"4\":{\"width\":87},\"5\":{\"width\":51},\"6\":{\"width\":51},\"7\":{\"width\":1},\"8\":{\"width\":86},\"9\":{\"width\":163},\"10\":{\"width\":1},\"11\":{\"width\":60},\"12\":{\"width\":45},\"13\":{\"width\":49},\"14\":{\"width\":23},\"15\":{\"width\":20},\"len\":50},\"merges\":[\"D8:E8\",\"C6:D6\",\"C10:I10\",\"G8:H8\",\"C9:J9\",\"C1:L1\",\"K10:L15\",\"C13:I13\",\"C14:H14\",\"F7:I7\",\"G12:I12\",\"G16:M16\",\"B4:N4\",\"C5:N5\",\"E6:N6\",\"J7:N7\",\"C7:E7\",\"K9:N9\",\"B2:O2\",\"B3:O3\",\"J8:N8\"],\"imgList\":[{\"row\":13,\"col\":9,\"width\":\"168\",\"height\":\"158\",\"src\":\"https://static.jeecg.com/designreport/images/QQ截图20210105214919_1610075317075.png\",\"layer_id\":\"XefZfpEcdS3wI6Ae\",\"offsetX\":0,\"offsetY\":0,\"virtualCellRange\":[[13,9],[13,10],[13,11]]}]}', '', 'https://static.jeecg.com/designreport/images/逮捕令_1607070625878.png', 'jeecg', '2020-07-10 13:38:40', 'admin', '2021-04-05 18:47:36', 0, NULL, NULL, 1, 2510, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('f5f275b5e28b45256ef24587ec792f0c', '202101081641215447', '实例:来源收入统计副本5447', NULL, NULL, '984272091947253760', '{\"loopBlockList\":[],\"chartList\":[{\"row\":1,\"col\":1,\"colspan\":0,\"rowspan\":0,\"width\":\"624\",\"height\":\"281\",\"config\":\"{\\\"legend\\\":{\\\"padding\\\":[25,20,25,10],\\\"data\\\":[\\\"中国石油全资（集团所属）\\\",\\\"中国石油全资（股份所属）\\\",\\\"中石油控股或有控股权\\\",\\\"中石油参股\\\",\\\"非中石油\\\"],\\\"top\\\":\\\"top\\\",\\\"orient\\\":\\\"vertical\\\",\\\"left\\\":\\\"right\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#333\\\",\\\"fontSize\\\":12}},\\\"series\\\":[{\\\"isRose\\\":false,\\\"data\\\":[{\\\"name\\\":\\\"中国石油全资（集团所属）\\\",\\\"value\\\":38460270.57,\\\"itemStyle\\\":{\\\"color\\\":\\\"#E46C8A\\\"}},{\\\"name\\\":\\\"中国石油全资（股份所属）\\\",\\\"value\\\":227595.77,\\\"itemStyle\\\":{\\\"color\\\":\\\"#FCDE43\\\"}},{\\\"name\\\":\\\"中石油控股或有控股权\\\",\\\"value\\\":679926.75,\\\"itemStyle\\\":{\\\"color\\\":\\\"#01A8E1\\\"}},{\\\"name\\\":\\\"中石油参股\\\",\\\"value\\\":72062.75,\\\"itemStyle\\\":{\\\"color\\\":\\\"#99CC00\\\"}},{\\\"name\\\":\\\"非中石油\\\",\\\"value\\\":1698597.62,\\\"itemStyle\\\":{\\\"color\\\":\\\"#800080\\\"}}],\\\"isRadius\\\":false,\\\"roseType\\\":\\\"\\\",\\\"notCount\\\":false,\\\"center\\\":[320,180],\\\"name\\\":\\\"total\\\",\\\"minAngle\\\":0,\\\"label\\\":{\\\"show\\\":false,\\\"position\\\":\\\"outside\\\",\\\"textStyle\\\":{\\\"fontSize\\\":16,\\\"fontWeight\\\":\\\"bolder\\\"}},\\\"type\\\":\\\"pie\\\",\\\"radius\\\":\\\"55%\\\",\\\"autoSort\\\":false}],\\\"tooltip\\\":{\\\"formatter\\\":\\\"{b} : {c}\\\",\\\"show\\\":true,\\\"textStyle\\\":{\\\"color\\\":\\\"#fff\\\",\\\"fontSize\\\":18}},\\\"title\\\":{\\\"show\\\":true,\\\"top\\\":5,\\\"text\\\":\\\"来源收入统计\\\",\\\"textStyle\\\":{\\\"color\\\":\\\"#c23531\\\",\\\"fontWeight\\\":\\\"bolder\\\",\\\"fontSize\\\":18},\\\"left\\\":\\\"center\\\",\\\"padding\\\":[5,20,5,10]}}\",\"url\":\"\",\"extData\":{\"dbCode\":\"tmp_report_data_income\",\"dataType\":\"sql\",\"xText\":\"biz_income\",\"dataId1\":\"\",\"source\":\"\",\"isTiming\":true,\"target\":\"\",\"apiUrl\":\"\",\"dataId\":\"4af57d343f1d6521b71b85097b580786\",\"series\":\"\",\"yText\":\"total\",\"axisY\":\"total\",\"axisX\":\"biz_income\",\"chartType\":\"pie.simple\",\"id\":\"\",\"apiStatus\":\"\",\"intervalTime\":\"5\"},\"layer_id\":\"nVUy533exgQ70OPb\",\"offsetX\":0,\"offsetY\":0,\"backgroud\":{\"image\":\"\",\"color\":\"#fff\",\"enabled\":false},\"virtualCellRange\":[[1,1],[1,2],[1,3],[1,4],[1,5],[1,6],[1,7],[1,8]]}],\"area\":false,\"excel_config_id\":\"f5f275b5e28b45256ef24587ec792f0c\",\"printConfig\":{\"paper\":\"A4\",\"isBackend\":false,\"width\":210,\"definition\":1,\"marginX\":10,\"height\":297,\"marginY\":10},\"zonedEditionList\":[],\"rows\":{\"1\":{\"cells\":{\"1\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"2\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"3\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"4\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"5\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"6\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"7\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"},\"8\":{\"text\":\" \",\"virtual\":\"nVUy533exgQ70OPb\"}}},\"13\":{\"cells\":{\"2\":{}}},\"16\":{\"cells\":{\"1\":{\"style\":1,\"text\":\"业务来源\"},\"2\":{\"style\":1,\"text\":\"保险经纪佣金费\"},\"3\":{\"style\":1,\"text\":\"风险咨询费\"},\"4\":{\"style\":1,\"text\":\"承保公证评估费\"},\"5\":{\"style\":1,\"text\":\"保险公证费\"},\"6\":{\"style\":1,\"text\":\"投标咨询费\"},\"7\":{\"style\":1,\"text\":\"内控咨询费\"},\"8\":{\"style\":1,\"text\":\"总计\"}}},\"17\":{\"cells\":{\"1\":{\"style\":0,\"text\":\"#{tmp_report_data_income.biz_income}\"},\"2\":{\"style\":0,\"text\":\"#{tmp_report_data_income.bx_jj_yongjin}\"},\"3\":{\"style\":0,\"text\":\"#{tmp_report_data_income.bx_zx_money}\"},\"4\":{\"style\":0,\"text\":\"#{tmp_report_data_income.chengbao_gz_money}\"},\"5\":{\"style\":0,\"text\":\"#{tmp_report_data_income.bx_gg_moeny}\"},\"6\":{\"style\":0,\"text\":\"#{tmp_report_data_income.tb_zx_money}\"},\"7\":{\"style\":0,\"text\":\"#{tmp_report_data_income.neikong_zx_money}\"},\"8\":{\"style\":0,\"text\":\"#{tmp_report_data_income.total}\"}},\"isDrag\":true,\"height\":24},\"len\":58},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"rpbar\":{\"show\":true,\"pageSize\":\"\",\"btnList\":[]},\"fixedPrintHeadRows\":[],\"fixedPrintTailRows\":[],\"freeze\":\"A1\",\"dataRectWidth\":701,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#33CCCC\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":15},\"1\":{\"width\":105},\"2\":{\"width\":119},\"3\":{\"width\":87},\"4\":{\"width\":61},\"5\":{\"width\":63},\"6\":{\"width\":60},\"7\":{\"width\":91},\"len\":50},\"merges\":[]}', NULL, NULL, 'admin', '2021-01-18 13:21:14', '', '2024-01-12 10:58:10', 0, NULL, NULL, 0, 76, NULL, NULL, NULL, '1', 0, NULL);
INSERT INTO `jimu_report` VALUES ('f6ee801e8bdc28ba9d63f95dc65ccd79', '4556633', '采购单', '', NULL, '984302991393210368', '{\"loopBlockList\":[],\"area\":false,\"excel_config_id\":\"f6ee801e8bdc28ba9d63f95dc65ccd79\",\"printConfig\":{\"paper\":\"A4\",\"width\":210,\"height\":297,\"definition\":1,\"isBackend\":false,\"marginX\":10,\"marginY\":10},\"rows\":{\"0\":{\"cells\":{\"1\":{\"text\":\"采购单\",\"style\":21,\"merge\":[0,6]}},\"height\":89},\"1\":{\"cells\":{\"1\":{\"text\":\"产品名称\",\"style\":23},\"2\":{\"text\":\"产品数量\",\"style\":23},\"3\":{\"text\":\"单价\",\"style\":23},\"4\":{\"text\":\"库存量\",\"style\":23},\"5\":{\"text\":\"库存总值\",\"style\":23},\"6\":{\"text\":\"订购量\",\"style\":23},\"7\":{\"text\":\"二次订购量\",\"style\":23}},\"height\":45},\"2\":{\"cells\":{\"1\":{\"style\":24,\"text\":\"#{caigou.cname}\"},\"2\":{\"style\":24,\"text\":\"#{caigou.cnum}\"},\"3\":{\"style\":24,\"text\":\"#{caigou.cprice}\"},\"4\":{\"style\":24,\"text\":\"#{caigou.ctotal}\"},\"5\":{\"style\":24,\"text\":\"#{caigou.tp}\"},\"6\":{\"style\":24,\"text\":\"#{caigou.dtotal}\"},\"7\":{\"style\":24,\"text\":\"#{caigou.ztotal}\"}},\"height\":26},\"5\":{\"cells\":{\"1\":{\"text\":\"\"}},\"isDrag\":true},\"6\":{\"cells\":{\"1\":{\"text\":\"\"}},\"isDrag\":true},\"7\":{\"cells\":{\"1\":{\"text\":\"\"},\"2\":{\"text\":\"\"}},\"isDrag\":true},\"len\":100},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":718,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":682,\"displayConfig\":{},\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"align\":\"center\"},{\"align\":\"center\",\"color\":\"#000100\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]}},{\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#01b0f1\"],\"top\":[\"thin\",\"#01b0f1\"],\"left\":[\"thin\",\"#01b0f1\"],\"right\":[\"thin\",\"#01b0f1\"]},\"bgcolor\":\"#01b0f1\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#01b0f1\"},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]}},{\"align\":\"center\",\"font\":{\"size\":18}},{\"align\":\"center\",\"font\":{\"size\":18,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"center\"},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#9cc2e6\"},{\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#5b9cd6\"],\"top\":[\"thin\",\"#5b9cd6\"],\"left\":[\"thin\",\"#5b9cd6\"],\"right\":[\"thin\",\"#5b9cd6\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#9cc2e6\",\"font\":{\"name\":\"宋体\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#000100\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#5b9cd6\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#5b9cd6\",\"font\":{\"name\":\"宋体\"}},{\"align\":\"center\",\"font\":{\"size\":16,\"bold\":true,\"name\":\"Microsoft YaHei\"}},{\"font\":{\"name\":\"Microsoft YaHei\"}},{\"align\":\"center\",\"color\":\"#ffffff\",\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"bgcolor\":\"#5b9cd6\",\"font\":{\"name\":\"Microsoft YaHei\"}},{\"border\":{\"bottom\":[\"thin\",\"#bfbfbf\"],\"top\":[\"thin\",\"#bfbfbf\"],\"left\":[\"thin\",\"#bfbfbf\"],\"right\":[\"thin\",\"#bfbfbf\"]},\"align\":\"center\",\"font\":{\"name\":\"Microsoft YaHei\"}}],\"validations\":[],\"cols\":{\"0\":{\"width\":43},\"1\":{\"width\":114},\"2\":{\"width\":109},\"3\":{\"width\":78},\"4\":{\"width\":77},\"5\":{\"width\":84},\"6\":{\"width\":82},\"7\":{\"width\":95},\"len\":50},\"merges\":[\"B1:H1\"]}', '', 'https://static.jeecg.com/designreport/images/caigou_1607310279439.png', 'jeecg', '2020-07-28 16:54:44', 'admin', '2021-04-01 03:09:41', 0, NULL, NULL, 1, 1249, NULL, NULL, NULL, NULL, 0, NULL);
INSERT INTO `jimu_report` VALUES ('ff9bd143582a6dfed897ba8b6f93b175', '56696', '销售公司出库单', '', NULL, '984302991393210368', '{\"area\":{\"sri\":4,\"sci\":0,\"eri\":4,\"eci\":0,\"width\":32,\"height\":25},\"printElWidth\":794,\"excel_config_id\":\"ff9bd143582a6dfed897ba8b6f93b175\",\"printElHeight\":800,\"rows\":{\"0\":{\"cells\":{\"0\":{\"style\":11,\"text\":\"医疗器械销售公司出货单\",\"merge\":[0,9]}},\"height\":83},\"1\":{\"cells\":{\"0\":{\"text\":\"供货单位：\",\"style\":20,\"merge\":[0,1]},\"1\":{\"style\":30},\"2\":{\"text\":\"${gongsi.gname}\",\"style\":19},\"3\":{\"style\":19},\"4\":{\"text\":\"供货日期：\",\"style\":19},\"5\":{\"text\":\"${gongsi.gdata}\",\"style\":19,\"merge\":[0,1]},\"6\":{\"style\":19},\"7\":{\"text\":\"编号：\",\"style\":20},\"8\":{\"text\":\"${gongsi.num}\",\"style\":19,\"merge\":[0,1]},\"9\":{\"style\":19}},\"isDrag\":true},\"2\":{\"cells\":{\"0\":{\"text\":\"行号\",\"style\":39},\"1\":{\"text\":\"产品代码\",\"style\":39},\"2\":{\"text\":\"产品名称\",\"style\":39},\"3\":{\"text\":\"规格型号\",\"style\":39},\"4\":{\"text\":\"单位\",\"style\":39},\"5\":{\"text\":\"实发数量\",\"style\":39},\"6\":{\"text\":\"销售单价(元)\",\"style\":39},\"7\":{\"text\":\"折扣率（%）\",\"style\":39},\"8\":{\"text\":\"销售金额(元)\",\"style\":39},\"9\":{\"text\":\"备注\",\"style\":39}}},\"3\":{\"cells\":{\"0\":{\"style\":35,\"text\":\"#{xiaoshou.id}\"},\"1\":{\"style\":35,\"text\":\"#{xiaoshou.hnum}\"},\"2\":{\"style\":35,\"text\":\"#{xiaoshou.hname}\"},\"3\":{\"style\":35,\"text\":\"#{xiaoshou.xinghao}\"},\"4\":{\"style\":35,\"text\":\"#{xiaoshou.danwei}\"},\"5\":{\"style\":35,\"text\":\"#{xiaoshou.num}\"},\"6\":{\"style\":35,\"text\":\"#{xiaoshou.danjia}\"},\"7\":{\"style\":35,\"text\":\"#{xiaoshou.zhekoulv}\"},\"8\":{\"style\":35,\"text\":\"#{xiaoshou.xiaoshoujine}\"},\"9\":{\"style\":35,\"text\":\"#{xiaoshou.xiaoshoujine}\"}}},\"4\":{\"cells\":{\"0\":{\"style\":4},\"1\":{}},\"isDrag\":true},\"len\":84,\"-1\":{\"cells\":{\"0\":{\"text\":\"#{gongsi.gdata}\"},\"-1\":{\"text\":\"#{gongsi.didian}\"}},\"isDrag\":true}},\"dbexps\":[],\"toolPrintSizeObj\":{\"printType\":\"A4\",\"widthPx\":794,\"heightPx\":1047},\"dicts\":[],\"freeze\":\"A1\",\"dataRectWidth\":794,\"background\":false,\"name\":\"sheet1\",\"autofilter\":{},\"styles\":[{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\"},{\"font\":{\"size\":16}},{\"font\":{\"size\":16},\"align\":\"center\"},{\"align\":\"center\"},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"]}},{\"border\":{\"top\":[\"thin\",\"#000\"],\"bottom\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]}},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"right\"},{\"align\":\"right\"},{\"align\":\"center\",\"font\":{\"size\":14}},{\"align\":\"center\",\"font\":{\"size\":14,\"bold\":true}},{\"align\":\"center\",\"font\":{\"size\":9}},{\"font\":{\"size\":9}},{\"align\":\"right\",\"font\":{\"size\":9}},{\"align\":\"center\",\"font\":{\"size\":8}},{\"font\":{\"size\":8}},{\"align\":\"right\",\"font\":{\"size\":8}},{\"align\":\"center\",\"font\":{\"size\":8},\"color\":\"#7f7f7f\"},{\"font\":{\"size\":8},\"color\":\"#7f7f7f\"},{\"align\":\"right\",\"font\":{\"size\":8},\"color\":\"#7f7f7f\"},{\"align\":\"center\",\"font\":{\"size\":8},\"color\":\"#3f3f3f\"},{\"font\":{\"size\":8},\"color\":\"#3f3f3f\"},{\"align\":\"right\",\"font\":{\"size\":8},\"color\":\"#3f3f3f\"},{\"align\":\"center\",\"font\":{\"size\":8},\"color\":\"#262626\"},{\"font\":{\"size\":8},\"color\":\"#262626\"},{\"align\":\"right\",\"font\":{\"size\":8},\"color\":\"#262626\"},{\"align\":\"center\",\"font\":{\"size\":8},\"color\":\"#0c0c0c\"},{\"font\":{\"size\":8},\"color\":\"#0c0c0c\"},{\"align\":\"right\",\"font\":{\"size\":8},\"color\":\"#0c0c0c\"},{\"align\":\"right\",\"color\":\"#7f7f7f\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"align\":\"center\",\"bgcolor\":\"#71ae47\"},{\"border\":{\"bottom\":[\"thin\",\"#000\"],\"top\":[\"thin\",\"#000\"],\"left\":[\"thin\",\"#000\"],\"right\":[\"thin\",\"#000\"]},\"bgcolor\":\"#71ae47\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"align\":\"center\",\"bgcolor\":\"#71ae47\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"bgcolor\":\"#71ae47\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"align\":\"center\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]}},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"align\":\"center\",\"bgcolor\":\"#c5e0b3\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"bgcolor\":\"#c5e0b3\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"align\":\"center\",\"bgcolor\":\"#a7d08c\"},{\"border\":{\"bottom\":[\"thin\",\"#538136\"],\"top\":[\"thin\",\"#538136\"],\"left\":[\"thin\",\"#538136\"],\"right\":[\"thin\",\"#538136\"]},\"bgcolor\":\"#a7d08c\"}],\"validations\":[],\"cols\":{\"0\":{\"width\":32},\"1\":{\"width\":65},\"2\":{\"width\":115},\"3\":{\"width\":70},\"4\":{\"width\":52},\"5\":{\"width\":70},\"6\":{\"width\":93},\"7\":{\"width\":86},\"8\":{\"width\":75},\"9\":{\"width\":136},\"10\":{\"width\":81},\"len\":24},\"merges\":[\"F2:G2\",\"F2:G2\",\"I2:J2\",\"A2:B2\",\"C2:D2\",\"A2:B2\",\"A1:J1\"]}', '', 'https://static.jeecg.com/designreport/images/医疗器械_1607070355110.png', 'jeecg', '2020-06-16 11:54:02', 'admin', '2021-02-02 19:34:39', 0, NULL, NULL, 0, 764, NULL, NULL, NULL, NULL, 0, NULL);

-- ----------------------------
-- Table structure for jimu_report_category
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_category`;
CREATE TABLE `jimu_report_category`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '分类名称',
  `parent_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父级id',
  `iz_leaf` int(1) NULL DEFAULT NULL COMMENT '是否为叶子节点(0 否 1是)',
  `source_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '来源类型( report 积木报表 screen 大屏  drag 仪表盘)',
  `del_flag` int(1) NULL DEFAULT NULL COMMENT '删除标识(0 正常 1 已删除)',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` timestamp NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户id',
  `sort_no` int(11) NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '分类' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_category
-- ----------------------------
INSERT INTO `jimu_report_category` VALUES ('984272091947253760', '数据报表', '0', 1, 'report', 0, 'admin', '2024-08-16 11:52:44', NULL, NULL, '1000', 0);
INSERT INTO `jimu_report_category` VALUES ('984302961118724096', '图形报表', '0', 1, 'report', 0, 'admin', '2024-08-16 13:55:24', NULL, NULL, '1000', 0);
INSERT INTO `jimu_report_category` VALUES ('984302991393210368', '打印设计', '0', 1, 'report', 0, 'admin', '2024-08-16 13:55:31', NULL, NULL, '1000', 0);
INSERT INTO `jimu_report_category` VALUES ('988299668956545024', '仪表盘设计', '0', 1, 'drag', 0, '15931993294', '2024-08-27 00:00:00', '15931993294', '2024-08-28 00:00:00', NULL, 0);
INSERT INTO `jimu_report_category` VALUES ('988299695309357056', '门户设计', '0', 1, 'drag', 0, '15931993294', '2024-08-27 00:00:00', '15931993294', '2024-08-27 00:00:00', NULL, 0);

-- ----------------------------
-- Table structure for jimu_report_data_source
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_data_source`;
CREATE TABLE `jimu_report_data_source`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据源名称',
  `report_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '报表_id',
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码',
  `remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `db_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据库类型',
  `db_driver` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '驱动类',
  `db_url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据源地址',
  `db_username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `db_password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `connect_times` int(11) NULL DEFAULT 0 COMMENT '连接失败次数',
  `tenant_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '多租户标识',
  `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类型(report:报表;drag:仪表盘)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_jmdatasource_report_id`(`report_id`) USING BTREE,
  INDEX `idx_jmdatasource_code`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_data_source
-- ----------------------------
INSERT INTO `jimu_report_data_source` VALUES ('1324261983692902402', 'jeewx', '1324261770294071296', '', NULL, 'MYSQL', 'com.mysql.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeewx-boot?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2B8', 'root', 'root', 'jeecg', '2020-11-05 16:07:15', NULL, '2020-11-05 16:07:15', 0, NULL, 'report');
INSERT INTO `jimu_report_data_source` VALUES ('26d21fe4f27920d2f56abc8d90a8e527', 'oracle', '1308645288868712448', '', NULL, 'ORACLE', 'oracle.jdbc.OracleDriver', 'jdbc:oracle:thin:@192.168.1.199:1521:helowin', 'jeecgbootbpm', 'jeecg196283', 'admin', '2021-01-05 19:26:24', NULL, '2021-01-05 19:26:24', 0, NULL, 'report');
INSERT INTO `jimu_report_data_source` VALUES ('707437208002265088', 'MySQL5.7', NULL, NULL, NULL, 'MYSQL5.7', 'com.mysql.cj.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai', 'root', '@JimuReportSMy3f94QGFM=', 'admin', '2022-07-14 13:49:44', 'jeecg', '2024-12-16 15:52:35', 0, NULL, 'drag');
INSERT INTO `jimu_report_data_source` VALUES ('8f90daf47d15d35ca6cf420748b8b9ba', 'localhost', '1316944968992034816', '', NULL, 'MYSQL5.7', 'com.mysql.cj.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeecg-boot?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2B8', 'root', 'root', 'admin', '2021-01-13 14:34:00', NULL, '2021-01-13 14:34:00', 0, NULL, 'report');

-- ----------------------------
-- Table structure for jimu_report_db
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_db`;
CREATE TABLE `jimu_report_db`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `jimu_report_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主键字段',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `db_code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据集编码',
  `db_ch_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据集名字',
  `db_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据源类型',
  `db_table_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据库表名',
  `db_dyn_sql` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '动态查询SQL',
  `db_key` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据源KEY',
  `tb_db_key` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '填报数据源',
  `tb_db_table_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '填报数据表',
  `java_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java类数据集  类型（spring:springkey,class:java类名）',
  `java_value` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'java类数据源  数值（bean key/java类名）',
  `api_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求地址',
  `api_method` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求方法0-get,1-post',
  `is_list` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '是否是列表0否1是 默认0',
  `is_page` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否作为分页,0:不分页，1:分页',
  `db_source` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据源',
  `db_source_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据库类型 MYSQL ORACLE SQLSERVER',
  `json_data` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'json数据，直接解析json内容',
  `api_convert` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'api转换器',
  `iz_shared_source` int(1) NULL DEFAULT NULL COMMENT '是否为共享数据源(0 否 1 是)',
  `jimu_shared_source_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '指向共享数据集的id',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_jmreportdb_db_key`(`db_key`) USING BTREE,
  INDEX `idx_jimu_report_id`(`jimu_report_id`) USING BTREE,
  INDEX `idx_db_source_id`(`db_source`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_db
-- ----------------------------
INSERT INTO `jimu_report_db` VALUES ('1036890631451017216', '1036890552178671616', 'admin', NULL, '2025-01-08 16:40:01', '2025-01-08 16:40:01', 'aaa', 'aa', '0', NULL, 'select * from sys_log', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'mysql', '', '', 0, NULL);
INSERT INTO `jimu_report_db` VALUES ('1272834687525482497', '53c82a76f837d5661dceec7d93afafec', 'admin', NULL, '2021-01-04 20:42:17', '2021-01-04 20:42:17', 'jianpiao', 'jianpiao', '0', NULL, 'select * from rep_demo_jianpiao where s_id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1272858455908073473', 'ff9bd143582a6dfed897ba8b6f93b175', 'admin', NULL, '2020-12-14 16:21:09', '2020-12-14 16:21:09', 'xiaoshou', 'xiaoshou', '0', NULL, 'select * from rep_demo_xiaoshou where s_id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1273495682564534273', 'ff9bd143582a6dfed897ba8b6f93b175', 'admin', NULL, '2020-09-28 10:18:07', '2020-12-14 16:21:09', 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1283730831482937345', '6059e405dd9c66a6d38e00841d2e40cc', 'admin', NULL, '2020-12-04 16:53:38', '2020-12-04 16:53:38', 'yaopin', 'yaopin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/chufangjian', '0', '0', '0', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1283957016150249473', '6059e405dd9c66a6d38e00841d2e40cc', NULL, NULL, '2020-07-17 10:49:42', NULL, 'yonghu', 'yonghu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/yonghu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1284070508744257537', 'a250846887abe01217aab173d3006489', NULL, NULL, '2020-07-17 15:33:53', '2020-07-20 17:50:49', 'budong', 'budong', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/budongchan', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1285157606524002305', 'a9f068972508920cd4aab831814f0c04', 'admin', 'admin', '2021-04-01 02:44:48', '2021-04-01 02:44:48', 'pdaibu', 'pdaibu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/daibu', '0', '0', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1285164420728692737', '7905022412733a0c68dc7b4ef8947489', NULL, NULL, '2020-07-20 18:47:30', NULL, 'jieshaoxin', 'jieshaoxin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/jieshaoxin', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1285178919099637762', '6d6bdcb5e820c301ea32789e3ae43c44', NULL, NULL, '2020-07-20 19:45:06', NULL, 'qiangxiu', 'qiangxiu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/qiangxiu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1288038655293661186', 'f6ee801e8bdc28ba9d63f95dc65ccd79', 'admin', 'admin', '2021-04-01 03:09:40', '2021-04-01 03:09:40', 'caigou', 'caigou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/caigou?pageNo=\'${pageNo}\'&pageSize=\'${pageSize}\'', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1289140698221678593', '519c1c6f4d1f584ae8fa5b43b45acdc7', 'admin', 'admin', '2021-04-01 03:09:23', '2021-04-01 03:09:23', 'xiaoshou', 'xiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/xiaoshou?pageNo=\'${pageNo}\'&pageSize=\'${pageSize}\'', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1290104038414721025', '53c82a76f837d5661dceec7d93afafec', 'admin', NULL, '2021-01-04 20:47:07', '2021-01-04 20:47:07', 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1316987047604514817', '1314846205892759552', 'admin', NULL, '2021-01-08 10:36:58', '2021-01-08 10:36:58', 'yuangongjiben', 'yuangongjiben', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/yuangongjiben', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1316997232402231298', '1316944968992034816', 'admin', NULL, '2021-01-13 14:34:06', '2021-01-13 14:34:06', 'employee', 'employee', '0', NULL, 'select * from rep_demo_employee  where id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '', '', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1317006713165049858', '1314846205892759552', 'admin', NULL, '2021-01-11 14:38:14', '2021-01-11 14:38:14', 'xueli', 'xueli', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/xueli', '0', '1', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1317007979484147714', '1314846205892759552', 'admin', NULL, '2021-01-08 10:40:31', '2021-01-08 10:40:31', 'uu', 'uu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/gongzuojingli', '0', '1', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1317009166140829698', '1314846205892759552', 'admin', NULL, '2020-10-16 15:47:09', '2021-01-05 15:33:58', 'zhengshu', 'zhengshu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/zhengshu', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1317013474634756097', '1314846205892759552', 'admin', NULL, '2020-10-16 16:04:16', '2021-01-05 15:33:58', 'jtcy', 'jtcy', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/jtcy', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1317015169494282241', '1314846205892759552', 'admin', NULL, '2020-10-16 16:11:00', '2021-01-05 15:33:58', 'jiangli', 'jiangli', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/jiangli', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331511745851731969', '1331503965770223616', 'admin', NULL, '2020-11-25 16:15:13', '2020-11-25 16:15:13', 'chengjiao', 'chengjiao', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/chengjiao', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331514838211407873', '1331503965770223616', 'admin', NULL, '2020-11-25 16:27:30', '2020-11-25 16:27:30', 'cjpaihang', 'cjpaihang', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/cjpaihang', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331514935028527106', '1331503965770223616', 'admin', NULL, '2020-11-25 16:27:54', '2020-11-25 16:27:54', 'cjjine', 'cjjine', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/cjjine', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331872643531526146', '1331503965770223616', 'admin', NULL, '2020-11-26 16:09:18', '2020-11-26 16:09:18', 'chengjiao1', 'chengjiao1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/chengjiao1', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331878107552010242', '1331503965770223616', 'admin', NULL, '2020-11-26 16:31:01', '2020-11-26 16:31:01', 'zhuangxiu', 'zhuangxiu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/zhuangxiu', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331916030221602818', '1331503965770223616', 'admin', NULL, '2020-11-26 19:01:42', '2020-11-26 19:01:42', 'btchanquan', 'btchanquan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/btchanquan', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331919172472524801', '1331503965770223616', 'admin', NULL, '2020-11-26 19:14:11', '2020-11-26 19:14:11', 'huxingxiaoshou', 'huxingxiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/huxingxiaoshou', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331922734933987329', '1331503965770223616', 'admin', NULL, '2020-11-26 19:28:21', '2020-11-26 19:28:21', 'fangyuan', 'fangyuan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/fangyuan', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1331926127597441025', '1331503965770223616', 'admin', NULL, '2020-11-26 19:41:49', '2020-11-26 19:41:49', 'qingkuang', 'qingkuang', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/qingkuang', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1334390762455965697', '1334378897302753280', 'admin', NULL, '2021-01-06 11:43:35', '2021-01-06 11:43:35', 'quyuxiaoshou', 'quyuxiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/quyuxiaoshou', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1334440263732436994', '1334420681185566722', 'admin', NULL, '2021-01-04 21:28:19', '2021-01-04 21:28:19', 'laiyuan', 'laiyuan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/laiyuan', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1334465135435063298', '1334457419857793024', 'admin', NULL, '2021-01-04 21:29:28', '2021-01-04 21:29:28', 'xiaoshou', 'xiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/xiaoshou', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1334708015269490689', '1334696790477377536', 'admin', NULL, '2021-01-04 21:30:29', '2021-01-04 21:30:29', 'shouru', 'shouru', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/shouru', '0', '1', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1334763434197200897', '1334757703079301120', 'admin', NULL, '2020-12-04 15:40:31', '2020-12-04 15:40:31', 'chejian', 'chejian', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/chejian', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('1338756341933543425', '1338744112815411200', 'admin', NULL, '2021-02-02 19:20:56', '2021-02-02 19:20:56', 'jdcx', 'jdcx', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('28e0b01cc3e2b0d361107661527bfdff', '6df599d933df24de007764d0e98eb105', 'admin', NULL, '2020-12-04 16:53:38', '2020-12-04 16:53:38', 'yaopin', 'yaopin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/chufangjian', '0', '0', '0', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('4af57d343f1d6521b71b85097b580786', '1347459370216198144', 'admin', NULL, '2021-01-08 17:26:57', '2021-01-08 17:26:57', 'tmp_report_data_income', '来源收入统计', '0', NULL, 'select * from tmp_report_data_income', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('537477711022567424', '537446834339098624', 'admin', 'admin', '2021-04-01 05:54:42', '2021-04-01 05:54:42', 'yy', 'yy', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('537478337278291968', '537446834339098624', 'admin', 'admin', '2021-04-01 05:54:37', '2021-04-01 05:54:37', 'tt', 'tt', '0', NULL, 'select *  from SYS_DATA_LOG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '26d21fe4f27920d2f56abc8d90a8e527', 'ORACLE', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('537478706314129408', '537446834339098624', 'admin', 'admin', '2021-04-01 05:56:44', '2021-04-01 05:56:44', 'pp', 'pp', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/caigou', '0', '1', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('6011955e58d89040fca52e7f962d0bf4', '961455b47c0b86dc961e90b5893bff05', 'admin', NULL, '2021-01-04 20:47:07', '2021-01-04 20:47:07', 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('629609c4d540cb4675e9064af8955296', '7c02c224a2db56d0350069650033f702', 'admin', NULL, '2021-02-02 19:33:09', '2021-02-02 19:33:09', 'hecha', 'hecha', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/hecha', '0', '1', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('654609e4247a0469e0b2befbc69b00f9', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, '2020-12-17 16:42:21', '2020-12-17 19:50:14', 'xiaoshoue', '销售额', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/xiaoshoue', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('7911bd189c2d53e182693bd599a315a2', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, '2020-12-17 16:59:12', '2020-12-17 19:50:14', 'chengshi', '城市', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/chengshi', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('7b20679054449c554cde856ef24126ab', '1347454742040809472', 'admin', NULL, '2021-01-08 16:24:16', '2021-01-08 16:24:16', 'tmp_report_data_1', '年度佣金收入', '0', NULL, 'select monty,main_income,total,his_lowest,his_average,his_highest from tmp_report_data_1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('907482846256762880', '907480464532770816', 'admin', NULL, '2024-01-17 14:19:41', '2024-01-17 14:19:41', 'aa', 'aa', '0', NULL, 'select * from rep_demo_order_main', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '8f90daf47d15d35ca6cf420748b8b9ba', 'mysql', '', NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('907483416753410048', '907480464532770816', 'admin', NULL, '2024-01-17 14:21:57', '2024-01-17 14:21:57', 'bb', 'bb', '0', NULL, 'select * from rep_demo_order_product where order_fk_id = \'${orderId}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '8f90daf47d15d35ca6cf420748b8b9ba', 'mysql', '', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('919370187038609408', '919370186342354944', 'admin', 'admin', '2024-01-04 17:46:20', '2024-01-04 17:46:20', 'test_heng_sum', 'test_heng_sum', '3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '0', '1', '1', '', NULL, '{\n    \"data\": [\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"1月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"2月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"3月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"1月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"2月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"3月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"1月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"2月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"1\",\"month\":\"3月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"1月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"2月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2022\",\"quarter\":\"2\",\"month\":\"3月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"1月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"2月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"3月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"1月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"2月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华东\",\"province\":\"上海市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"3月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"1月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"2月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"1\",\"month\":\"3月\",\"sales\":\"2000\",\"gift\":\"1000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"1月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"2月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"},\n        {\"region\":\"华西\",\"province\":\"太原市\",\"year\":\"2023\",\"quarter\":\"2\",\"month\":\"3月\",\"sales\":\"3000\",\"gift\":\"2000\",\"proportion\":\"10%\"}\n    ]\n}', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('924614453609201664', '924614453466595328', '', NULL, '2024-03-04 20:55:03', '2024-03-04 20:55:03', 'tm', 'tm', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/tiaoma1', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('930045149249585152', '928540173805338624', 'admin', 'admin', '2024-03-20 10:18:16', '2024-03-20 10:18:16', 'receipt', '顾客/业主收费明细', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/receipt?id=${id}', '0', '0', '0', '', NULL, '', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('930241691461926912', '928540173805338624', 'admin', 'admin', '2024-03-20 10:07:37', '2024-03-20 10:07:37', 'receiptProject', '顾客/业主收费项目明细', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/receiptProject?customId=${customId}', '0', '1', '0', '', NULL, '', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('934653343564922880', '934653264347103232', 'admin', NULL, '2024-04-01 13:45:32', '2024-04-01 13:45:32', 'aa', 'a', '0', NULL, 'select * from demo', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'mysql', '', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('938680893609967616', '938680635597357056', 'admin', NULL, '2024-04-12 16:29:35', '2024-04-12 16:29:35', 'zongxdata', '分组纵向数据1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/ygtj_1712909288392', '0', '1', '0', '', NULL, '', '', NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('94bcd8202bc6bc467efd0d679dadd7bb', '1338370016550195200', 'admin', NULL, '2021-02-02 19:27:31', '2021-02-02 19:27:31', 'tm', 'tm', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/tiaoma1', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('965205702619529216', '965205577251782656', 'admin', 'admin', '2024-10-30 14:29:08', '2024-10-30 14:29:08', 'aaa', 'aaa', '0', NULL, 'select * from qingjia_dan', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'mysql', '', '', 0, NULL);
INSERT INTO `jimu_report_db` VALUES ('9b75c161322e0b7e29b3ffc84239a72c', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, '2020-12-17 17:13:21', '2020-12-17 19:50:14', 'xsjd', '销售进度', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/xsjd', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('9b7d28336b01f9a6b1a613957c3d7cda', '1338769064067076098', 'admin', NULL, '2021-02-02 19:12:55', '2021-02-02 19:12:55', 'pop', 'pop', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('a543d8dd40f4d26839b78bd604be659e', 'f5f275b5e28b45256ef24587ec792f0c', 'admin', NULL, '2021-01-08 17:26:57', '2021-01-08 17:26:57', 'tmp_report_data_income', '来源收入统计', '0', NULL, 'select * from tmp_report_data_income', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', '', 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('e0fe1d693625c906c1171d7de706a47c', '6df599d933df24de007764d0e98eb105', NULL, NULL, '2020-07-17 10:49:42', NULL, 'yonghu', 'yonghu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/yonghu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('e4cec9ff15bc0ea42f536a442a6d1335', '961455b47c0b86dc961e90b5893bff05', 'admin', NULL, '2021-01-04 20:42:17', '2021-01-04 20:42:17', 'jianpiao', 'jianpiao', '0', NULL, 'select * from rep_demo_jianpiao where s_id=\'${id}\'', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('f7649b77cfc9e0a9dacdac370cd4036b', '1347373863746539520', 'admin', NULL, '2021-01-08 10:47:52', '2021-01-08 10:47:52', 'tt', 'tt', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/baobiao/shixi', '0', '0', '0', '', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db` VALUES ('fb70a91730f087f8023afd88d24f9697', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, '2020-12-17 19:50:14', '2020-12-17 19:50:14', 'zhexian', 'zhexian', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'https://api.jeecg.com/mock/26/zhexian', '0', '1', '1', '', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for jimu_report_db_field
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_db_field`;
CREATE TABLE `jimu_report_db_field`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `jimu_report_db_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据源ID',
  `field_name` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名',
  `field_name_physics` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '物理字段名（文件数据集使用，存的是excel的字段标题）',
  `field_text` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段文本',
  `widget_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '控件类型',
  `widget_width` int(10) NULL DEFAULT NULL COMMENT '控件宽度',
  `order_num` int(3) NULL DEFAULT NULL COMMENT '排序',
  `search_flag` int(3) NULL DEFAULT 0 COMMENT '查询标识0否1是 默认0',
  `search_mode` int(3) NULL DEFAULT NULL COMMENT '查询模式1简单2范围',
  `dict_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典编码支持从表中取数据',
  `search_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询默认值',
  `search_format` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询时间格式化表达式',
  `ext_json` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '参数配置',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_jrdf_jimu_report_db_id`(`jimu_report_db_id`) USING BTREE,
  INDEX `idx_dbfield_order_num`(`order_num`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_db_field
-- ----------------------------
INSERT INTO `jimu_report_db_field` VALUES ('014179e260e0adf1706c616a3ad6e552', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'main_income', NULL, 'main_income', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('01cb1f61f836aae43bca333dbaf293be', NULL, '2021-01-11 14:38:14', NULL, NULL, '1317006713165049858', 'zhuanye', NULL, 'zhuanye', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0470c07d386940053253fe8a8c200225', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'chengbao_gz_money', NULL, 'chengbao_gz_money', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0680555456f0e579a0065c4ca5dd8d06', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('06b24135f3670ea4f4c7f554d2521a39', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'biz_income', NULL, 'biz_income', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('08a3043298245b914eec1444906f6acd', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'name', NULL, '姓名', 'string', NULL, 2, 1, NULL, '', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('08e22bbf63e81198c0d2585dce8ee8f9', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'jperson', NULL, 'jperson', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0c82931edb766ad89ead9e98a998d43f', NULL, '2021-01-11 14:38:14', NULL, NULL, '1317006713165049858', 'kdate', NULL, 'kdate', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0c9f65f5f754f1251070f51a2a19905d', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'hname', NULL, 'hname', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0e47a8aa98116f10c53c3a366b9c2324', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'dizhi', NULL, 'dizhi', 'String', NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('0fb03c8e2330e051564f3dd1de54512f', NULL, '2021-01-11 14:38:14', NULL, NULL, '1317006713165049858', 'jstudent', NULL, 'jstudent', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631694286848', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'id', NULL, 'id', 'String', NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631740424192', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'log_type', NULL, 'log_type', 'String', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631778172928', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'log_content', NULL, 'log_content', 'String', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631803338752', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'operate_type', NULL, 'operate_type', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631832698880', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'userid', NULL, 'userid', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631874641920', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'username', NULL, 'username', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631904002048', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'ip', NULL, 'ip', 'String', NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631933362176', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'method', NULL, 'method', 'String', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890631962722304', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'request_url', NULL, 'request_url', 'String', NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632042414080', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'request_param', NULL, 'request_param', 'String', NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632063385600', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'request_type', NULL, 'request_type', 'String', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632084357120', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'cost_time', NULL, 'cost_time', 'String', NULL, 11, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632105328640', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'create_by', NULL, 'create_by', 'String', NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632134688768', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'create_time', NULL, 'create_time', 'String', NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632155660288', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'update_by', NULL, 'update_by', 'String', NULL, 14, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632180826112', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'update_time', NULL, 'update_time', 'String', NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632214380544', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'tenant_id', NULL, 'tenant_id', 'String', NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1036890632231157760', 'admin', '2025-01-08 16:40:01', NULL, NULL, '1036890631451017216', 'client_type', NULL, 'client_type', 'String', NULL, 17, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('10e61155dcf655d7843ebc01cc90c8b1', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'total', NULL, 'total', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('115c1ac01462ca1fbecb3c0a55218395', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_highest', NULL, 'his_highest', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('123772e3abf28b00bd43bf81a824b525', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'slyy', NULL, 'slyy', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907562864641', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907567058946', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'bnum', NULL, 'bnum', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253250', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'ftime', NULL, 'ftime', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253251', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'sfkong', NULL, 'sfkong', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253252', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'kaishi', NULL, 'kaishi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253253', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'jieshu', NULL, 'jieshu', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253254', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'hezairen', NULL, 'hezairen', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907571253255', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'jpnum', NULL, 'jpnum', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1272834907575447554', NULL, '2020-06-16 18:14:25', NULL, NULL, '1272834687525482497', 'shihelv', NULL, 'shihelv', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016175415297', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yphone', NULL, 'yphone', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016183803906', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yzhenliao', NULL, 'yzhenliao', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016187998209', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'ysex', NULL, 'ysex', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016192192513', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'danwei', NULL, 'danwei', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016196386818', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'kdata', NULL, 'kdata', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016204775425', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yname', NULL, 'yname', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016208969729', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yprice', NULL, 'yprice', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016213164033', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'ytotal', NULL, 'ytotal', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016217358337', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yishe', NULL, 'yishe', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016221552641', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yizhu', NULL, 'yizhu', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016225746946', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yage', NULL, 'yage', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1283957016229941249', NULL, '2020-07-17 10:49:42', NULL, NULL, '1283957016150249473', 'yjieguo', NULL, 'yjieguo', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155649130497', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'xtype', NULL, 'xtype', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155686879234', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'danyuan', NULL, 'danyuan', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155691073538', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'chanquan', NULL, 'chanquan', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155695267841', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'zhuzhi', NULL, 'zhuzhi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155699462145', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'fujian', NULL, 'fujian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155707850754', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'didian', NULL, 'didian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155707850755', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'type', NULL, 'type', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155712045058', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'suoyou', NULL, 'suoyou', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155716239361', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'name', NULL, 'name', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155716239362', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'bianhao', NULL, 'bianhao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155720433666', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'yname', NULL, 'yname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155720433667', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'riqi', NULL, 'riqi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155724627969', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'beizhu', NULL, 'beizhu', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155728822274', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'time', NULL, 'time', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285150155728822275', NULL, '2020-07-20 17:50:49', NULL, NULL, '1284070508744257537', 'mianji', NULL, 'mianji', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608326889474', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'fsex', NULL, 'fsex', 'string', NULL, NULL, 0, NULL, 'sex', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608335278082', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'fname', NULL, 'fname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608339472385', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'shiqing', NULL, 'shiqing', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608339472386', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'pname', NULL, 'pname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608339472387', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'zhuzhi', NULL, 'zhuzhi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608339472388', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'gdata', NULL, 'gdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285159608343666690', 'admin', '2021-04-01 02:44:48', NULL, NULL, '1285157606524002305', 'cdata', NULL, 'cdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420749664258', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'shiqing', NULL, 'shiqing', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420753858561', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'name', NULL, 'name', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420758052866', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'gdata', NULL, 'gdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420758052867', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'value', NULL, 'value', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420758052868', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'percent', NULL, 'percent', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285164420762247169', NULL, '2020-07-20 18:47:30', NULL, NULL, '1285164420728692737', 'tdata', NULL, 'tdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919124803585', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'ktime', NULL, 'ktime', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919133192193', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'danwei', NULL, 'danwei', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919133192194', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'wtime', NULL, 'wtime', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919133192195', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'yusuan', NULL, 'yusuan', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919133192196', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'dshenhe', NULL, 'dshenhe', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919133192197', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'zhuren', NULL, 'zhuren', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919137386498', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'neirong', NULL, 'neirong', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919137386499', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'yijian', NULL, 'yijian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919137386500', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'time1', NULL, 'time1', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919137386501', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'time2', NULL, 'time2', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919137386502', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'time3', NULL, 'time3', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919141580801', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'time4', NULL, 'time4', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919141580802', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'pingjia', NULL, 'pingjia', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919141580803', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'name', NULL, 'name', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919141580804', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'bianhao', NULL, 'bianhao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919141580805', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'zongjie', NULL, 'zongjie', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919145775105', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'nengli', NULL, 'nengli', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285178919145775106', NULL, '2020-07-20 19:45:06', NULL, NULL, '1285178919099637762', 'time', NULL, 'time', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875810967553', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875823550466', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'gname', NULL, 'gname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875823550467', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'gdata', NULL, 'gdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875823550468', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'tdata', NULL, 'tdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875827744769', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'didian', NULL, 'didian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875827744770', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'zhaiyao', NULL, 'zhaiyao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1285473875827744771', NULL, '2020-07-21 15:17:10', NULL, NULL, '1273495682564534273', 'num', NULL, 'num', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655394324482', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'ctotal', NULL, '库存量', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655402713090', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'cname', NULL, '产品名称', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655406907393', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'cprice', NULL, '单价', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655411101697', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'dtotal', NULL, '订购量', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655411101698', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'tp', NULL, '库存总值', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655415296002', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'ztotal', NULL, '二次订购量', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288038655415296003', 'admin', '2021-04-01 03:09:40', NULL, NULL, '1288038655293661186', 'cnum', NULL, '产品数量', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290843074561', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290847268865', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'hnum', NULL, 'hnum', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463170', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'hname', NULL, 'hname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463171', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'xinghao', NULL, 'xinghao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463172', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'fahuocangku', NULL, 'fahuocangku', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463173', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'danwei', NULL, 'danwei', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463174', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'num', NULL, 'num', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463175', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'danjia', NULL, 'danjia', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290851463176', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'zhekoulv', NULL, 'zhekoulv', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290855657473', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'xiaoshoujine', NULL, 'xiaoshoujine', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290859851778', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 'beizhu', NULL, 'beizhu', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1288048290859851779', NULL, '2020-07-28 17:46:58', NULL, NULL, '1272858455908073473', 's_id', NULL, 's_id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038439886849', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038448275458', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'gname', NULL, 'gname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038448275459', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'gdata', NULL, 'gdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038448275460', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'tdata', NULL, 'tdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038452469761', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'didian', NULL, 'didian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038452469762', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'zhaiyao', NULL, 'zhaiyao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1290104038452469763', NULL, '2020-08-03 09:55:46', NULL, NULL, '1290104038414721025', 'num', NULL, 'num', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317007979534479361', NULL, '2020-10-16 15:42:26', NULL, NULL, '1317007979484147714', 'zmphone', NULL, 'zmphone', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317007979534479362', NULL, '2020-10-16 15:42:26', NULL, NULL, '1317007979484147714', 'jstudent', NULL, 'jstudent', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317007979534479363', NULL, '2020-10-16 15:42:26', NULL, NULL, '1317007979484147714', 'kdate', NULL, 'kdate', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317007979534479364', NULL, '2020-10-16 15:42:26', NULL, NULL, '1317007979484147714', 'jdate', NULL, 'jdate', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317007979534479365', NULL, '2020-10-16 15:42:26', NULL, NULL, '1317007979484147714', 'zmname', NULL, 'zmname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317009166149218305', NULL, '2020-10-16 15:47:09', NULL, NULL, '1317009166140829698', 'zcname', NULL, 'zcname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317009166149218306', NULL, '2020-10-16 15:47:09', NULL, NULL, '1317009166140829698', 'danwei', NULL, 'danwei', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317009166149218307', NULL, '2020-10-16 15:47:09', NULL, NULL, '1317009166140829698', 'fdate', NULL, 'fdate', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317009166149218308', NULL, '2020-10-16 15:47:09', NULL, NULL, '1317009166140829698', 'jibie', NULL, 'jibie', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317009166149218309', NULL, '2020-10-16 15:47:09', NULL, NULL, '1317009166140829698', 'beizhu', NULL, 'beizhu', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144706', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'danwei', NULL, 'danwei', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144707', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'phone', NULL, 'phone', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144708', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'name', NULL, 'name', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144709', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'zzmm', NULL, 'zzmm', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144710', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'guanxi', NULL, 'guanxi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317013474643144711', NULL, '2020-10-16 16:04:16', NULL, NULL, '1317013474634756097', 'age', NULL, 'age', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317015169502670849', NULL, '2020-10-16 16:11:00', NULL, NULL, '1317015169494282241', 'date', NULL, 'date', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317015169502670850', NULL, '2020-10-16 16:11:00', NULL, NULL, '1317015169494282241', 'mingcheng', NULL, 'mingcheng', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1317015169502670851', NULL, '2020-10-16 16:11:00', NULL, NULL, '1317015169494282241', 'didian', NULL, 'didian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331511745855926274', NULL, '2020-11-25 16:15:13', NULL, NULL, '1331511745851731969', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331511745855926275', NULL, '2020-11-25 16:15:13', NULL, NULL, '1331511745851731969', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331511745855926276', NULL, '2020-11-25 16:15:13', NULL, NULL, '1331511745851731969', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514838215602178', NULL, '2020-11-25 16:27:30', NULL, NULL, '1331514838211407873', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514838215602179', NULL, '2020-11-25 16:27:30', NULL, NULL, '1331514838211407873', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514838215602180', NULL, '2020-11-25 16:27:30', NULL, NULL, '1331514838211407873', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514935032721409', NULL, '2020-11-25 16:27:54', NULL, NULL, '1331514935028527106', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514935032721410', NULL, '2020-11-25 16:27:54', NULL, NULL, '1331514935028527106', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331514935032721411', NULL, '2020-11-25 16:27:54', NULL, NULL, '1331514935028527106', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331872643539914754', NULL, '2020-11-26 16:09:18', NULL, NULL, '1331872643531526146', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331872643539914755', NULL, '2020-11-26 16:09:18', NULL, NULL, '1331872643531526146', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331872643539914756', NULL, '2020-11-26 16:09:18', NULL, NULL, '1331872643531526146', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331878107560398849', NULL, '2020-11-26 16:31:01', NULL, NULL, '1331878107552010242', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331878107560398850', NULL, '2020-11-26 16:31:01', NULL, NULL, '1331878107552010242', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331916030229991425', NULL, '2020-11-26 19:01:42', NULL, NULL, '1331916030221602818', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331916030229991426', NULL, '2020-11-26 19:01:42', NULL, NULL, '1331916030221602818', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331916030229991427', NULL, '2020-11-26 19:01:42', NULL, NULL, '1331916030221602818', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331919172480913409', NULL, '2020-11-26 19:14:11', NULL, NULL, '1331919172472524801', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331919172480913410', NULL, '2020-11-26 19:14:11', NULL, NULL, '1331919172472524801', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331922734942375938', NULL, '2020-11-26 19:28:21', NULL, NULL, '1331922734933987329', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331922734942375939', NULL, '2020-11-26 19:28:21', NULL, NULL, '1331922734933987329', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829634', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'cjl', NULL, 'cjl', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829635', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'cjje', NULL, 'cjje', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829636', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'xsmj', NULL, 'xsmj', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829637', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'cjjj', NULL, 'cjjj', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829638', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'sfyj', NULL, 'sfyj', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1331926127605829639', NULL, '2020-11-26 19:41:49', NULL, NULL, '1331926127597441025', 'ydkh', NULL, 'ydkh', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825602', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'class', NULL, 'class', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825603', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'school', NULL, 'school', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825604', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'lv', NULL, 'lv', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825605', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'renyuan_jy', NULL, 'renyuan_jy', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825606', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'richang_jy', NULL, 'richang_jy', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825607', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'biaozhun_jy', NULL, 'biaozhun_jy', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825608', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'xinxi_jy', NULL, 'xinxi_jy', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825609', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'jichubokuan_jy', NULL, 'jichubokuan_jy', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825610', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'renyuan_ct', NULL, 'renyuan_ct', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825611', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'richang_ct', NULL, 'richang_ct', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825612', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'xiangmu_ct', NULL, 'xiangmu_ct', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825613', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'jichubokuan_ct', NULL, 'jichubokuan_ct', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825614', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'xiangmu_sh', NULL, 'xiangmu_sh', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825615', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'jichubokuan_sh', NULL, 'jichubokuan_sh', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825616', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'diannao', NULL, 'diannao', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334440263740825617', NULL, '2020-12-03 18:12:06', NULL, NULL, '1334440263732436994', 'xiaoyuanwang', NULL, 'xiaoyuanwang', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451905', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'diqu', NULL, 'diqu', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451906', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'class', NULL, 'class', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451907', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_11', NULL, 'sales_11', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451908', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_12', NULL, 'sales_12', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451909', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_13', NULL, 'sales_13', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451910', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_14', NULL, 'sales_14', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451911', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_15', NULL, 'sales_15', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451912', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_16', NULL, 'sales_16', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135443451913', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_17', NULL, 'sales_17', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646210', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_18', NULL, 'sales_18', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646211', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_19', NULL, 'sales_19', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646212', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_20', NULL, 'sales_20', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646213', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_21', NULL, 'sales_21', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646214', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_22', NULL, 'sales_22', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646215', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_31', NULL, 'sales_31', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646216', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_32', NULL, 'sales_32', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646217', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_33', NULL, 'sales_33', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646218', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_34', NULL, 'sales_34', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646219', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_35', NULL, 'sales_35', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646220', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_36', NULL, 'sales_36', 'String', NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646221', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_37', NULL, 'sales_37', 'String', NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646222', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_38', NULL, 'sales_38', 'String', NULL, 22, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646223', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_39', NULL, 'sales_39', 'String', NULL, 23, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646224', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_40', NULL, 'sales_40', 'String', NULL, 24, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646225', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_41', NULL, 'sales_41', 'String', NULL, 25, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334465135447646226', NULL, '2020-12-03 19:50:56', NULL, NULL, '1334465135435063298', 'sales_42', NULL, 'sales_42', 'String', NULL, 26, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015277879297', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'city', NULL, 'city', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073601', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'school', NULL, 'school', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073602', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'ncnum', NULL, 'ncnum', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073603', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'num', NULL, 'num', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073604', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'name', NULL, 'name', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073605', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'class', NULL, 'class', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073606', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'pay', NULL, 'pay', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073607', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'paytime', NULL, 'paytime', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073608', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'payclass', NULL, 'payclass', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073609', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'pay1', NULL, 'pay1', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073610', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'paymoth', NULL, 'paymoth', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073611', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'pay2', NULL, 'pay2', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073612', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'tuition_09', NULL, 'tuition_09', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073613', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'meals_09', NULL, 'meals_09', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073614', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'busfee_09', NULL, 'busfee_09', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073615', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'tuition_10', NULL, 'tuition_10', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073616', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'meals_10', NULL, 'meals_10', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334708015282073617', NULL, '2020-12-04 11:56:03', NULL, NULL, '1334708015269490689', 'busfee_10', NULL, 'busfee_10', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504126402561', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'city', NULL, 'city', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596866', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'finish', NULL, 'finish', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596867', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'semifinish', NULL, 'semifinish', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596868', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'time', NULL, 'time', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596869', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'state', NULL, 'state', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596870', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'attribute', NULL, 'attribute', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596871', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'num', NULL, 'num', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596872', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'gnum', NULL, 'gnum', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596873', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'jnum', NULL, 'jnum', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596874', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'wnum', NULL, 'wnum', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596875', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'uph', NULL, 'uph', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596876', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'hc', NULL, 'hc', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596877', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'jtime', NULL, 'jtime', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596878', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'yield', NULL, 'yield', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334764504130596879', NULL, '2020-12-04 15:40:31', NULL, NULL, '1334763434197200897', 'beizhu', NULL, 'beizhu', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754305', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754306', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754307', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key1', NULL, 'key1', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754308', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key2', NULL, 'key2', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754309', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key3', NULL, 'key3', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754310', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key4', NULL, 'key4', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754311', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key5', NULL, 'key5', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754312', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key6', NULL, 'key6', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754313', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'key7', NULL, 'key7', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1334782903430754314', NULL, '2020-12-04 16:53:38', NULL, NULL, '1283730831482937345', 'percent', NULL, 'percent', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('141dc952421a55e66fcddb94adddc48b', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'sex', NULL, '性别', 'String', NULL, 10, 1, 1, 'sex', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('15eb0c90635e9b9427a6e0a2d87f31b6', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'chengbao_gz_money', NULL, 'chengbao_gz_money', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('175e76d9da7c88d8c2c0d7708b308e6c', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key7', NULL, 'key7', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('17a278c53299d1342c56a8eb1614a44e', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'ctime', NULL, 'ctime', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('19e6fe3dc95b352d97f460648dc93e15', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_z', NULL, 'proportion_z', 'String', NULL, 23, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1b09540b3d8deddc06ebdbec26f6ae87', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'political', NULL, 'political', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1b53581fa4096f4a05c7e8d73c7a7af9', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'jphone', NULL, 'jphone', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1b6fbe11728a1c4633eeea8ffb12bc25', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'update_by', NULL, 'update_by', 'String', NULL, 30, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1d21c72184f2e06ca1be3dc95fbcc259', NULL, '2021-01-11 14:38:14', NULL, NULL, '1317006713165049858', 'zhiwu', NULL, 'zhiwu', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1d4cc138f277f5d78e1fe3f5241db7f2', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'tb_zx_money', NULL, 'tb_zx_money', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1ee3018b4d0c305e2c06f77e1e5f3c4c', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_3', NULL, 'sales_3', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('1fac3f8219222b8963dc6b85870ffd86', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'telphone', NULL, 'telphone', NULL, NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('218fb9e81e6255a6589c52ddd8279c40', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'laddress', NULL, 'laddress', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('21f7de0326129dbbbc03d64aceb4d3f7', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'yprice', NULL, 'yprice', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2309090975648b8765ef36ff16c09270', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'danwei', NULL, 'danwei', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2330620c6a26ff9e2840fcdcb2fd22af', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yphone', NULL, 'yphone', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('240f3415fa8e7b3876c0b422d468c90d', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'gname', NULL, 'gname', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('27bd70e2e4a08009edf64fac0fba5119', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yizhu', NULL, 'yizhu', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('284f03aead3848cf0994f71a64ce1eba', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key1', NULL, 'key1', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('298cfe65d8b484624f8a28199dc800e7', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sr', NULL, 'sr', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('29fcb4292d4782888e9fd0496bd8ddc8', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2a20af47c214fc8ad9570c9c6ba585c2', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yzhenliao', NULL, 'yzhenliao', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2a3b35b4830f1b1eff84a5a9bceed0b6', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_z', NULL, 'gift_z', 'String', NULL, 22, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2a613408420925ed9cf9618eb77a05cf', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yage', NULL, 'yage', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2baefff331206f29a9c3bf895982473a', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'kdata', NULL, 'kdata', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2be25d6c7e3ac28abec99854618d0e3d', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'birthday', NULL, 'birthday', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('2f94a4be25426f3f4013c50103559969', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_4', NULL, 'sales_4', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('30034c384d47b0193e04b19b3068b89b', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key4', NULL, 'key4', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('30f8183ff4ec5a6b30724a1da7fbbed0', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'pworktime', NULL, 'pworktime', NULL, NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('30fc020c8d14776e96350edb479f40ac', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'zhuzhi', NULL, 'zhuzhi', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('31649efb1fbc69009bdbb41f388c7d7f', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'ysex', NULL, 'ysex', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('31bd06f8bc201628d8c9c56b29f0621e', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yjieguo', NULL, 'yjieguo', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('32545e398eea7bf89791cc78dd16ab12', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yhnum', NULL, 'yhnum', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3331f86002c128555443d8e7b79c70d2', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('334ffa2aec9300ff712a1f3f3143a4cd', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_gg_moeny', NULL, 'bx_gg_moeny', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('34c933903ddf6ba5bad588d913c487c5', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_4', NULL, 'gift_4', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('350be7312c299482acfe44fb086f91c1', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_5', NULL, 'sales_5', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('35c224f8acfb063af6828b31e31f3967', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'percent', NULL, 'percent', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('35d9204189dd1d1f142a7587f89ab46c', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'email', NULL, 'email', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('37868bf0bad09f6d2084340e0b05333d', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf4', NULL, 'sf4', 'String', NULL, 18, 0, NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('38b2955e0ef75d384d0d9ff8417e4945', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf3', NULL, 'sf3', 'String', NULL, 17, 0, NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('39878a3df0fe2cafc481469b8eb71ea5', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'sex', NULL, 'sex', 'String', NULL, 10, 0, NULL, 'sex', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3c2a8313af79dbecba4c5687b65a66ab', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'cnum', NULL, 'cnum', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3c71c10a0d27796808cb201e30024fe8', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'school', NULL, 'school', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3c7597c1efa73ca9400cdc36a9a48e23', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_1', NULL, 'gift_1', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3cd9d09176d10d3225e4fe86b4538739', NULL, '2020-12-17 16:59:12', NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3ec76a981ff5353d4a65052963166477', NULL, '2020-12-17 17:13:21', NULL, NULL, '9b75c161322e0b7e29b3ffc84239a72c', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3f5a04060285392287f4e7f6d59988c6', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'tdata', NULL, 'tdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('3f7ce1ee2ad20770e64016384f2c1cd5', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'homephone', NULL, 'homephone', NULL, NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('42225abb0677e51111a8e9e7b001332c', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yjine', NULL, 'yjine', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('450316da5f9b7d8505944e16f1284a38', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'monty', NULL, 'monty', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('467edbfc6ca934a7a4d600391ed0fb75', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_jj_yongjin', NULL, 'bx_jj_yongjin', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('468acf3a75a559a283e8f424db3ac4a8', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('46a4074647a27aaee0e5263d5f6bcf5a', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'tp', NULL, 'tp', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('46f68d27013cff9b09c5d059c79fbf28', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'gtime', NULL, '雇佣时间', 'date', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('4942cc4d04ac7330799ecc3fec48ac8b', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'id_card', NULL, 'id_card', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('49def4afc641cb52775ff03fdba3007a', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_lowest', NULL, 'his_lowest', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('49fa04e98f2ed62966d7f6141611dd7e', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'children', NULL, 'children', NULL, NULL, 24, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('49febadfe1eb3a59bfbe802d506aa590', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'data', NULL, 'data', NULL, NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('4d782de2bf10be3a79f04e8841053f00', NULL, '2021-01-08 10:47:52', NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'pingjia', NULL, 'pingjia', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('4d7dd94ecf26b5fa69f9a1f811583340', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'address', NULL, 'address', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('502a0a66b4dbf8689ed36e56ab272c2f', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'birth', NULL, '出生日期', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('52444b20f2fcdfe43461a5a49079e4dc', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'health', NULL, 'health', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711047733248', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711056121856', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'name', NULL, 'name', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711064510464', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'gtime', NULL, 'gtime', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711072899072', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'update_by', NULL, 'update_by', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711077093376', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'jphone', NULL, 'jphone', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711085481984', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'birth', NULL, 'birth', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711093870592', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'hukou', NULL, 'hukou', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711102259200', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'laddress', NULL, 'laddress', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711106453504', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'jperson', NULL, 'jperson', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537477711110647808', 'admin', '2021-04-01 05:54:42', NULL, NULL, '537477711022567424', 'sex', NULL, 'sex', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337303457792', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337320235008', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'create_by', NULL, 'create_by', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337328623616', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'create_time', NULL, 'create_time', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337332817920', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'update_by', NULL, 'update_by', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337341206528', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'update_time', NULL, 'update_time', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337349595136', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'data_table', NULL, 'data_table', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337353789440', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'data_id', NULL, 'data_id', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337362178048', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'data_content', NULL, 'data_content', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337370566656', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'data_version', NULL, 'data_version', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478337378955264', 'admin', '2021-04-01 05:54:37', NULL, NULL, '537478337278291968', 'rownum_', NULL, 'rownum_', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706330906624', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706343489536', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'cname', NULL, 'cname', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706351878144', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'cnum', NULL, 'cnum', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706356072448', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'cprice', NULL, 'cprice', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706360266752', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'ctotal', NULL, 'ctotal', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706368655360', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'tp', NULL, 'tp', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706377043968', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'dtotal', NULL, 'dtotal', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706381238272', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'ztotal', NULL, 'ztotal', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('537478706389626880', 'admin', '2021-04-01 05:56:44', NULL, NULL, '537478706314129408', 'd_id', NULL, 'd_id', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('538563757aa1a49935824ce14568f27c', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'archivesdi', NULL, 'archivesdi', NULL, NULL, 34, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5406c33ff49384c2bcad5b85a9701355', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'province', NULL, 'province', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5648f5a00640e3adf57fb9bbf27269f4', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'tm', NULL, 'tm', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('56749103eb4a60e7046dea34453b439e', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'shao', NULL, 'shao', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('57ee0e6ffe7135a943dde2408d424c97', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_1', NULL, 'proportion_1', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('589a5a4fe61fc71aa1bf45d3bd73974b', NULL, '2020-12-17 19:50:14', NULL, NULL, 'fb70a91730f087f8023afd88d24f9697', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5a88459afcf01cc20ac5a50322b35fd6', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'hukounum', NULL, 'hukounum', NULL, NULL, 26, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5b7f7bebf0c3951b891026e7c2ac90cb', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'didian', NULL, 'didian', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5bc99af9cfddd240794167a6765a1517', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'neikong_zx_money', NULL, 'neikong_zx_money', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5bf6aee0bd8f676a218e0210e9e6fa0e', NULL, '2020-12-17 16:59:12', NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5cf4a1ca15691d6340e522e1831dc3ac', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_6', NULL, 'sales_6', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('5e4e8b7531a88f4db1a0d133de159494', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'num', NULL, 'num', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6020e457162b86b75a2d335999ab06ec', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'nation', NULL, 'nation', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('631632bc2243018788d11d4f8348bfd2', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'socialsecurity', NULL, 'socialsecurity', NULL, NULL, 30, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6394ea45a090ca79cfbfdbbfe2016d95', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yprice', NULL, 'yprice', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('64ff8b4e61a58a0ca3e34108c9bd97c0', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_gg_moeny', NULL, 'bx_gg_moeny', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('665f13c7fcebac6c35c894d885c4b344', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_6', NULL, 'proportion_6', 'String', NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('677bf4d6400fc465067b0d5bd6ad2a58', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_2', NULL, 'gift_2', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6a3544cc8c028e94692bb1b448620ec2', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yname', NULL, 'yname', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6b2db5f824af08166e5074feea82ab52', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sex', NULL, 'sex', 'String', NULL, 2, 0, NULL, 'sex', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6c2b1c9e4cfd3f6b79d0fb26fea72cec', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'zhaiyao', NULL, 'zhaiyao', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6dae70a5323b3d517c8f13278f0e1d5f', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_5', NULL, 'proportion_5', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('6ec41a06e2dee9ec8f07a894ddcaaae5', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'jphone', NULL, 'jphone', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('70abaf24c413f38ff6a3c315ad8824b2', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'height', NULL, 'height', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('710104c3e0541602a151d5e00fc2ee29', NULL, '2020-12-17 16:42:21', NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'type', NULL, 'type', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('718a062a1e42276c1913c7d7836b1bee', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'hobby', NULL, 'hobby', NULL, NULL, 32, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('71cb567cd27fda05d55d80324c7b59e1', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'del_flag', NULL, 'del_flag', 'String', NULL, 32, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('729c2d2c70da0f3bc092f4aab4432244', NULL, '2020-12-17 16:42:21', NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('732c8b168ade2e34974c9db6396df61f', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'type', NULL, 'type', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('742954cf518d8026db68cc87c017ad2a', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'bz', NULL, 'bz', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('768fb670937ab4aadde39842df36bfd3', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'cprice', NULL, 'cprice', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('796408f2959fc40edd9b460a1a5bdfb8', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'gtime', NULL, '雇佣日期', 'date', NULL, 3, 1, 2, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('79f29ea3b1c7ec966077941fdd004e4d', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_zx_money', NULL, 'bx_zx_money', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('7b794ecee6f61f64839eb1094a7c20bb', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'region', NULL, 'region', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('7c2c06cc52978c4e5665deac1784535d', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yren', NULL, 'yren', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('7e564f212697079394030ac0563df496', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('7f5570e3056d82210d7d4e79b861560c', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'laddress', NULL, 'laddress', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('80017f23232ea91ae32e4718eb10e8c3', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_4', NULL, 'proportion_4', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('80b5e3fd550d9be1a8c8ea69a2a593f8', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'birth', NULL, 'birth', NULL, NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('81dea8f0ccba2b3530038ebcf92b36b1', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'name', NULL, 'name', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('81f2de244fa1e6b5f28419f60c4db169', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'bnum', NULL, 'bnum', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('824a22cf80849d110e04fd5c573f40de', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'jphone', NULL, 'jphone', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('84391d55c9bd4185c4abbc0d9a8a3f9b', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'native_place', NULL, 'native_place', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('85263a305fba4c7e7a991ed3b416e006', NULL, '2020-12-17 16:42:21', NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('865ca077977b78934e5e82e733ef4e47', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'major', NULL, 'major', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8749d00c6c3cf873841a227a5206478a', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_1', NULL, 'sales_1', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('87f43f4f5220c34a95d55ff3fa9de0c1', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'health', NULL, 'health', NULL, NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('88b19703dac5a5ae8c01c68101cd8b5b', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'cbz', NULL, 'cbz', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('89bd5c1f5b37b82ab2d56d8c9e50a674', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'sex', NULL, 'sex', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8a122291db744a6109a93af5d289787f', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'computer_level', NULL, 'computer_level', 'String', NULL, 22, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8ab8d51dfb792cdc767e68d7e9370f3d', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'num', NULL, 'num', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8bfc84f6d610581d736fcccc5f04a863', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'scard', NULL, 'scard', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8d186f249df9e1c1c549fbdc6a0a4d77', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'currentdi', NULL, 'currentdi', NULL, NULL, 28, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8db810062e3a19eb83fca651691b848e', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_2', NULL, 'sales_2', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8e39d42a7fad183fe75ce1a56f148db1', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'bianma', NULL, 'bianma', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('8fb12c3929ea745f94cc4a90df9d5181', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'idcard', NULL, 'idcard', NULL, NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9168272dc8fa019a861f11b81bea1dc2', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_jj_yongjin', NULL, 'bx_jj_yongjin', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453659533312', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453697282048', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'sex', NULL, 'sex', 'String', NULL, 2, 0, NULL, 'sex', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453726642176', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'tp', NULL, 'tp', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453747613696', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'tm', NULL, 'tm', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453768585216', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'nation', NULL, 'nation', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453785362432', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'birth', NULL, 'birth', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453810528256', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'zhuzhi', NULL, 'zhuzhi', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453827305472', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'card', NULL, 'card', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453839888384', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'ydate', NULL, 'ydate', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453852471296', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'qfjg', NULL, 'qfjg', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453865054208', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'slyy', NULL, 'slyy', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453877637120', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'sdate', NULL, 'sdate', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453902802944', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'shao', NULL, 'shao', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453927968768', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'cbr', NULL, 'cbr', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453953134592', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'sld', NULL, 'sld', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614453969911808', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'sr', NULL, 'sr', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614454003466240', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'jphone', NULL, 'jphone', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614454020243456', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'lzr', NULL, 'lzr', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614454037020672', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'ldate', NULL, 'ldate', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614454053797888', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'sk', NULL, 'sk', 'String', NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('924614454074769408', NULL, '2021-02-02 19:23:18', NULL, NULL, '924614453609201664', 'dizhi', NULL, 'dizhi', 'String', NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9282683fd000d19b205ad6841f0f7b6e', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'total', NULL, 'total', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('92da818568d6c8e1e499abf51e439870', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'lzr', NULL, 'lzr', 'String', NULL, 18, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930045149299916800', 'admin', '2024-03-19 20:34:13', NULL, NULL, '930045149249585152', 'id', NULL, '编号(输入1或者2)', 'String', NULL, 0, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930045149438328832', 'admin', '2024-03-19 20:34:13', NULL, NULL, '930045149249585152', 'organization', NULL, '收款组织', 'String', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930241691537424384', 'admin', '2024-03-20 09:35:13', NULL, NULL, '930241691461926912', 'id', NULL, '编号', 'String', NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930241691583561728', 'admin', '2024-03-20 09:35:13', NULL, NULL, '930241691461926912', 'customId', NULL, '顾客/业主收费明细编号', 'String', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930241691600338944', 'admin', '2024-03-20 09:35:13', NULL, NULL, '930241691461926912', 'propertyName', NULL, '房产名称', 'String', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930241691617116160', 'admin', '2024-03-20 09:35:13', NULL, NULL, '930241691461926912', 'expenseItem', NULL, '费用项目', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930241691650670592', 'admin', '2024-03-20 09:35:13', NULL, NULL, '930241691461926912', 'price', NULL, '应交月份', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930243856901390336', 'admin', '2024-03-20 09:43:49', NULL, NULL, '930241691461926912', 'payableMonths', NULL, '金额', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634357579776', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'customName', NULL, '顾客名称', 'String', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634374356992', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'receiptNo', NULL, '收款单号', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634386939904', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'actualPayer', NULL, '实际交款人', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634403717120', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'settlementType', NULL, '结算方式', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634420494336', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'collectionTime', NULL, '收款时间', 'String', NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634433077248', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'originalNumber', NULL, '原单号', 'String', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634449854464', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'paymentDesc', NULL, '缴费说明', 'String', NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634462437376', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'verifyPassword', NULL, '检验密码', 'String', NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('930244634479214592', 'admin', '2024-03-20 09:46:54', NULL, NULL, '930045149249585152', 'dealWith', NULL, '收款经办', 'String', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343644614656', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'id', NULL, 'id', 'String', NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343678169088', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'name', NULL, 'name', 'String', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343694946304', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'key_word', NULL, 'key_word', 'String', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343711723520', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'punch_time', NULL, 'punch_time', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343728500736', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'salary_money', NULL, 'salary_money', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343741083648', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'bonus_money', NULL, 'bonus_money', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343753666560', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'sex', NULL, 'sex', 'String', NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343770443776', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'age', NULL, 'age', 'String', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343783026688', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'birthday', NULL, 'birthday', 'String', NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343795609600', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'email', NULL, 'email', 'String', NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343808192512', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'content', NULL, 'content', 'String', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343820775424', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'create_by', NULL, 'create_by', 'String', NULL, 11, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343837552640', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'create_time', NULL, 'create_time', 'String', NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343850135552', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'update_by', NULL, 'update_by', 'String', NULL, 13, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343862718464', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'update_time', NULL, 'update_time', 'String', NULL, 14, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343875301376', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'sys_org_code', NULL, 'sys_org_code', 'String', NULL, 15, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343896272896', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'tenant_id', NULL, 'tenant_id', 'String', NULL, 16, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('934653343913050112', 'admin', '2024-04-01 13:45:32', NULL, NULL, '934653343564922880', 'update_count', NULL, 'update_count', 'String', NULL, 17, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893832265728', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'country', NULL, 'country', 'String', NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893895180288', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'city', NULL, 'city', 'String', NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893916151808', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'region', NULL, 'region', 'String', NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893941317632', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'org', NULL, 'org', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893970677760', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'department', NULL, 'department', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893987454976', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'education', NULL, 'education', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680893995843584', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'sex', NULL, 'sex', 'String', NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680894033592320', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'age', NULL, 'age', 'String', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680894079729664', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'name', NULL, 'name', 'String', NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680894100701184', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'salary', NULL, 'salary', 'String', NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('938680894121672704', 'admin', '2024-04-12 16:29:35', NULL, NULL, '938680893609967616', 'tm', NULL, 'tm', 'String', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('94fc5c2791e2e218383864b80095c89c', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('95650b0335c6981bf0d657e11b1b2082', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'hysr', NULL, 'hysr', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702678249472', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'id', NULL, 'id', 'String', NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702711803904', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'create_by', NULL, 'create_by', 'String', NULL, 1, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702732775424', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'create_time', NULL, 'create_time', 'String', NULL, 2, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702753746944', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'update_by', NULL, 'update_by', 'String', NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702774718464', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'update_time', NULL, 'update_time', 'String', NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702791495680', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'sys_org_code', NULL, 'sys_org_code', 'String', NULL, 5, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702804078592', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'name', NULL, 'name', 'String', NULL, 6, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702816661504', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'sex', NULL, 'sex', 'String', NULL, 7, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702833438720', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'age', NULL, 'age', 'String', NULL, 8, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702841827328', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'descc', NULL, 'descc', 'String', NULL, 9, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702854410240', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'days', NULL, 'days', 'String', NULL, 10, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702862798848', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'be_date', NULL, 'be_date', 'String', NULL, 11, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('965205702871187456', 'admin', '2024-06-24 21:09:42', NULL, NULL, '965205702619529216', 'end_date', NULL, 'end_date', 'String', NULL, 12, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9a5f78c12595cb66d3b630962f7cd7bf', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf1', NULL, 'sf1', 'String', NULL, 15, 0, NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9bb9b5329f79564ec030694a639ffd7f', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_zx_money', NULL, 'bx_zx_money', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9d3986d3a32e9b4672dc2b29174749f3', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'rk', NULL, 'rk', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9d6a3a8b9cf5c659e7d752028b70da8b', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf2', NULL, 'sf2', 'String', NULL, 16, 0, NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9d9b437037bb304f5def5b97d4c2b4c4', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'zhuzhi', NULL, 'zhuzhi', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9ddf87596d6701eda383c3d8d7853b2b', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'education', NULL, 'education', 'String', NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9e28f1951ea83b6e6dae4e3892baea90', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'positional_titles', NULL, 'positional_titles', 'String', NULL, 25, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('9f15fef9efd35f5a5c1418ce5a6eceb0', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'birth', NULL, '出生日期', 'datetime', NULL, 6, 1, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a15e649faa93fbae15a66f5266bd9336', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'phone', NULL, 'phone', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a1b7ffeb00d30e7c0a1a1f466dd1fe06', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key2', NULL, 'key2', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a2e680c356e712b43343d589539da011', NULL, '2021-01-08 10:47:52', NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a42eed89da67da0653650edcc1576f8c', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'currentnum', NULL, 'currentnum', NULL, NULL, 29, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a93ce07361b9d6ec02a58cf7f6b94664', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'political', NULL, 'political', NULL, NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a949c4beac3fec79e96309a6d2d8f5bb', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'entrytime', NULL, 'entrytime', NULL, NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a97ee04d3e745b3be9ee48cb16fdb419', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'birth', NULL, 'birth', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('a9c7c96a412537b4da3df68ff8e93cc8', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'post', NULL, 'post', NULL, NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ab0aabf8cc08327a4510420bd553e6c0', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'providentfund', NULL, 'providentfund', NULL, NULL, 31, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ab4ee4418e54c4a4fef3c14ad8e98fa5', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'neikong_zx_money', NULL, 'neikong_zx_money', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ad146af051ba273a480223d49f59358b', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'hukoustreet', NULL, 'hukoustreet', NULL, NULL, 25, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ad1d1fe2ee182c2d3a263a127fea041e', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_2', NULL, 'proportion_2', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ad2cc52cc14e9aabc04ac79d9a10b530', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'ldate', NULL, 'ldate', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ae5ec6e56478a098b36587e93b1d8908', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'arrival_time', NULL, 'arrival_time', 'String', NULL, 24, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('aee0188ab2bf9849607f6ef34b36713e', NULL, '2020-12-17 17:13:21', NULL, NULL, '9b75c161322e0b7e29b3ffc84239a72c', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('aee106a24b11b0f8ca10bc88b62189d7', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'gdata', NULL, 'gdata', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('aee31ce5eb6271601bc4e6f8affaceb0', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'hezairen', NULL, 'hezairen', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b14588abed341d314a08d316dfde553f', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'work_experience', NULL, 'work_experience', 'String', NULL, 27, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b1de05c2d02cdde59c1e2a93e45964f9', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'create_time', NULL, 'create_time', 'String', NULL, 29, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b2176d9680c08a7aa040aec9f71ff236', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'id', NULL, 'id', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b279ab8f7d20ebbeec67f5bf2109ba22', NULL, '2021-01-08 16:10:28', NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_average', NULL, 'his_average', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b3c98ed9cb9e4a234273aa4921efd545', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'jpnum', NULL, 'jpnum', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b450669f376fa9f075ac403c7d7f2ee9', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'proportion_3', NULL, 'proportion_3', 'String', NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b46d80bfe53372b6ff92a6f8e8bf38df', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'hukoudi', NULL, 'hukoudi', NULL, NULL, 27, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b5afa6c7c63f649460d4d45b7d697098', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'zip_code', NULL, 'zip_code', 'String', NULL, 17, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b5df568754994e67a15a8f5b8d4bc297', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'phone', NULL, 'phone', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b81d3a495af538759aa6dbaf752c48db', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key6', NULL, 'key6', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b863f83ac64327d86f36c8796a00f777', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'jieshu', NULL, 'jieshu', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('b8aafd56ddcf6902909722c7d2529797', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'department', NULL, 'department', NULL, NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ba83ad8a89105b198aa49798f2940c29', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'foreign_language', NULL, 'foreign_language', 'String', NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('bb8db85fed8034645c5517b6283addc7', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('bef01b3169ec05f63c9f92245b61bedf', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'jperson', NULL, 'jperson', NULL, NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c1913cffe0a0a65b8f76ef280af93038', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'tb_zx_money', NULL, 'tb_zx_money', 'String', NULL, 6, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c2b7ed56f87bc4cb95c8e1e0300e51ff', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'ytotal', NULL, 'ytotal', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c357b23ae68c0ee6c9dab322507dce0b', NULL, '2021-01-11 14:38:14', NULL, NULL, '1317006713165049858', 'jdate', NULL, 'jdate', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c3b0443ebecc7152343c5ea3ef32a38f', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'graduation_time', NULL, 'graduation_time', 'String', NULL, 23, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c3d8cd6e68c605fd6d6ac217fed5c8d4', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'weight', NULL, 'weight', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c3fe8f62ea0c6ce9990bfa22dc0265b6', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'major', NULL, 'major', NULL, NULL, 13, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c40fe2cf7a74a6e96575f73ef5e7d205', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'nation', NULL, 'nation', NULL, NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c4d6132699dcdff382c93ab10d64551a', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'education_experience', NULL, 'education_experience', 'String', NULL, 26, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c578969584d9b639d249bcd981bc5a08', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'ydate', NULL, 'ydate', 'String', NULL, 9, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c57bd36c25b13a8149268496e54052ae', NULL, '2020-12-17 19:50:14', NULL, NULL, 'fb70a91730f087f8023afd88d24f9697', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c5a801ff78f2ca6b1b7a03b3222fdd61', NULL, '2021-01-08 16:29:02', NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'biz_income', NULL, 'biz_income', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c6144f2ca7422a71e951abea1bce6aaf', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'education', NULL, 'education', NULL, NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c6820a1e3308badb60582998805a0645', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'shihelv', NULL, 'shihelv', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c74ee42894f54c0ebc1a64a79395aa06', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key3', NULL, 'key3', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('c8d1276d19bdd946e9fc18b83aacda15', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'cname', NULL, 'cname', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('cb99a516d392d1efb87141ec42168aa9', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'card', NULL, 'card', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('cc91f43bf975f056944b5ec19266ec9c', NULL, '2020-12-17 16:59:12', NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'value', NULL, 'value', 'String', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('cec893b2241134ba9b03ed6d4edf2919', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'marital', NULL, 'marital', NULL, NULL, 23, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('cf9d32fea2f67e4b11cd2823dbbefbad', NULL, '2020-08-03 09:55:46', NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'id', NULL, 'id', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('d076942aecee8f5197b66eb382ba1995', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'sbtype', NULL, 'sbtype', NULL, NULL, 33, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('d3ef9876d3c56889157747be606f70fc', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_6', NULL, 'gift_6', 'String', NULL, 19, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('d5b7b92023a2fb09fed9d36a4ac7b3e3', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'sales_z', NULL, 'sales_z', 'String', NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('da9d0a2565cea7578415076a4d8e6c4c', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sdate', NULL, 'sdate', 'String', NULL, 12, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('db503c31de99f35cbcb1f66a69f9964c', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'mailbox', NULL, 'mailbox', NULL, NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('dbc452a77ba1449096852d21c2959f34', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'hukou', NULL, 'hukou', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('dd5697ec6eddcca16cca47080e9b801d', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sld', NULL, 'sld', 'String', NULL, 15, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('dd56fbd98db5c1cda9dd77637ba1c7e6', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'create_by', NULL, 'create_by', 'String', NULL, 28, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ddcf7ade58e0a8a520b44fc94e0602bb', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sk', NULL, 'sk', 'String', NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('dfbc8bba6261dcd4ceb3da5f517a0d58', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'school', NULL, 'school', NULL, NULL, 20, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e1c77285c7ca39ebee455895ed081245', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'nation', NULL, 'nation', 'String', NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e1fffff7030dd37d70d7b5a138046fac', NULL, '2020-12-04 16:53:38', NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key5', NULL, 'key5', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e28cc14c4e1bc2c889f04a6cf30f9196', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'cbr', NULL, 'cbr', 'String', NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e52e7896193ad09d700599d2ef6fa8ae', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'knum', NULL, 'knum', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e757987004087de43f1ccab14092361f', NULL, '2020-07-17 10:49:42', NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yishe', NULL, 'yishe', NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e7f6104183a7b2408f72b91f4638e9e2', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_3', NULL, 'gift_3', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('e8c0f052d6bca9045fdb6197b197a92d', NULL, '2021-02-02 19:13:46', NULL, NULL, '1338756341933543425', 'update_by', NULL, 'update_by', 'String', NULL, 4, 0, NULL, 'zhiwu', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ea6018bdbd9fb192b1d3f9e832b5d382', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'name', NULL, '姓名', 'string', NULL, 2, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ec6c6f56c64de5f4de16166000f31d19', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'ftime', NULL, 'ftime', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ef685270770a69bddb4f24e37eed9dc0', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'office', NULL, 'office', NULL, NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('efe17d82b5daaa3f95364e9afaeffd1c', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'register', NULL, 'register', NULL, NULL, 11, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('efe4e0110a61d9791e18308aed422aa7', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'name', NULL, 'name', NULL, NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f0a83c77c0448a9f7c8c0bc3c7f42f13', NULL, '2021-02-02 19:23:18', NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'qfjg', NULL, 'qfjg', 'String', NULL, 10, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f110f1f947e0f895b552f7edd133a60a', 'admin', '2021-04-01 03:09:23', NULL, NULL, '1289140698221678593', 'ctotal', NULL, 'ctotal', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f11af753ccbf495818e9c23c1b083ae2', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'foreign_language_level', NULL, 'foreign_language_level', 'String', NULL, 21, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f1905f7a175f8e56afd8f6c2969582e6', NULL, '2021-01-06 11:43:35', NULL, NULL, '1334390762455965697', 'gift_5', NULL, 'gift_5', 'String', NULL, 16, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f3b4e31c7ff6a365c4130cbc695e2621', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'num', NULL, 'num', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f430837a3f4c08f425bcd1de46d3a2d3', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'sex', NULL, 'sex', NULL, NULL, 5, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f53143608c570f9886861442be87b5ff', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'update_by', NULL, '职务', 'String', NULL, 4, 1, 3, 'zhiwu', NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f82904af04e557b12dcfe3562900597c', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'gdata', NULL, 'gdata', NULL, NULL, 14, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f9154d882408b868253ed8fb87879220', NULL, '2021-02-02 19:30:23', NULL, NULL, '629609c4d540cb4675e9064af8955296', 'name', NULL, 'name', 'String', NULL, 1, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f95dd09a118b93cc7884b12118448ed4', NULL, '2021-02-02 19:10:15', NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'hukou', NULL, 'hukou', 'String', NULL, 7, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f978117e8eda0daee2c00223f9df4b48', NULL, '2021-01-13 11:59:53', NULL, NULL, '1316997232402231298', 'update_time', NULL, 'update_time', 'String', NULL, 31, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('f984ef26fe0a505b279a0e4a3b27201f', NULL, '2021-01-08 10:47:52', NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'shijian', NULL, 'shijian', 'String', NULL, 4, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('fa6fce04eaee2480faa8a14393ffe15a', NULL, '2021-01-08 16:29:02', NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'total', NULL, 'total', 'String', NULL, 8, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('fac871f69237c6c25abe8c4332eabcbf', NULL, '2021-01-08 10:47:52', NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'lingdao', NULL, 'lingdao', 'String', NULL, 3, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('fc07c053ed0ecbfcc45041640acf6cb1', NULL, '2021-01-05 15:33:07', NULL, NULL, '1316987047604514817', 'party', NULL, 'party', NULL, NULL, 22, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('fe3b1449ce346836f47234ca65949aea', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'sfkong', NULL, 'sfkong', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_field` VALUES ('ffb5fbe81d2cf48ca45a815c676fd9eb', NULL, '2020-06-16 18:14:25', NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'kaishi', NULL, 'kaishi', 'string', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for jimu_report_db_param
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_db_param`;
CREATE TABLE `jimu_report_db_param`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jimu_report_head_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '动态报表ID',
  `param_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数字段',
  `param_txt` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数文本',
  `param_value` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数默认值',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `search_flag` int(1) NULL DEFAULT NULL COMMENT '查询标识0否1是 默认0',
  `widget_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询控件类型',
  `search_mode` int(1) NULL DEFAULT NULL COMMENT '查询模式1简单2范围',
  `dict_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典',
  `search_format` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询时间格式化表达式',
  `ext_json` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '参数配置',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_jrdp_jimu_report_head_id`(`jimu_report_head_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_db_param
-- ----------------------------
INSERT INTO `jimu_report_db_param` VALUES ('078d99565feef91904c84b42b43f5174', '1273495682564534273', 'id', 'id', '1', 1, NULL, '2020-08-03 09:55:26', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('1324279360203526146', '1324279359998005250', 'pageSize', 'pageSize', '10', 2, NULL, '2020-08-03 15:19:54', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('1324279360220303361', '1324279359998005250', 'pageNo', 'pageNo', '1', 1, NULL, '2020-08-03 15:19:54', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('143f8c164072ddbdeafec5c5b1466827', '1272858455908073473', 'id', 'id', '1', 1, NULL, '2020-07-21 15:31:51', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('173c869cc45b683a9cfe25826110cead', '1272834687525482497', 'id', 'id', '1', 1, NULL, '2020-08-03 09:57:08', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('1805eb351a966dc3c039b5239b6faa49', '1291310198925840385', 'sex', 'sex', '男', 2, NULL, '2020-06-08 15:21:09', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('256eb2f8582ce4d74559b1fc1e2917ca', '1291310198925840385', 'id', 'id', '111', 1, NULL, '2020-06-08 15:21:09', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('3957799c20fcc696d680cca9649897bb', 'e4cec9ff15bc0ea42f536a442a6d1335', 'id', 'id', '1', 1, NULL, '2020-08-03 09:57:08', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('3a9efc51a6b6723d5a0ddf109aacb2b5', '1288038655293661186', 'pageNo', 'pageNo', '1', 1, 'admin', '2021-04-01 03:09:40', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('3ced36c7a2cce40c667cc485bf59cd11', '1291217511962902530', 'pageSize', 'pageSize', '10', 2, NULL, '2020-08-03 15:19:54', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('49bd3f212cd6c406c8584e6bb0d9cf93', '1291549569390243841', 'pageSize', 'pageSize', '10', 2, NULL, '2020-07-30 17:26:29', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('52db6da75ea733ae741c62cc54c85d92', '6011955e58d89040fca52e7f962d0bf4', 'id', 'id', '1', 1, NULL, '2020-08-03 09:55:46', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('57165a6fe5f2b700d4ef19518de4defd', '1290104038414721025', 'id', 'id', '1', 1, NULL, '2020-08-03 09:55:46', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('7569e95c1fa73d5438aceb19c1b85ef0', '1288038655293661186', 'pageSize', 'pageSize', '20', 2, 'admin', '2021-04-01 03:09:40', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('7d7765754aadaddab91bf1257447ae73', '1291549569390243841', 'pageNo', 'pageNo', '1', 1, NULL, '2020-07-30 17:26:29', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('90b22a058cc331146b548bc93f09b5cd', '1289140698221678593', 'pageSize', 'pageSize', '20', 2, 'admin', '2021-04-01 03:09:23', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('930241691675836416', '930241691461926912', 'customId', NULL, '1', 1, 'admin', '2024-03-20 09:35:13', NULL, NULL, 0, NULL, NULL, NULL, NULL, '');
INSERT INTO `jimu_report_db_param` VALUES ('930241749263630336', '930045149249585152', 'id', NULL, '', 1, 'admin', '2024-03-20 09:35:26', NULL, NULL, 0, NULL, NULL, NULL, NULL, '');
INSERT INTO `jimu_report_db_param` VALUES ('a29c10ed01c6608e899e1368f2d5d7e3', '1316997232402231298', 'id', 'id', '1', 1, NULL, '2021-01-13 14:31:13', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('a803707f3383dd9f4685fadc7efa07f4', '1224643501392728065', 'sex', 'sex', '男', 2, NULL, '2020-06-08 15:21:09', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('b7c34e8a3c2804715825af4bdbcf857a', '1224643501392728065', 'id', 'id', '111', 1, NULL, '2020-06-08 15:21:09', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('d8010a4ffbe567e6117e7f59641aeb7c', '1289140698221678593', 'pageNo', 'pageNo', '1', 1, 'admin', '2021-04-01 03:09:23', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_db_param` VALUES ('d9d94d6b09dd074f39af96d7a4696f9a', '1291217511962902530', 'pageNo', 'pageNo', '1', 1, NULL, '2020-08-03 15:19:54', NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for jimu_report_export_job
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_export_job`;
CREATE TABLE `jimu_report_export_job`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '任务名称',
  `begin_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `exec_interval` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '执行频率',
  `report_conf` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '导出报表配置',
  `last_run_time` datetime NULL DEFAULT NULL COMMENT '最后执行时间',
  `receiver_email` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL COMMENT '接收通知的邮件',
  `file_sync_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '文件同步路径',
  `status` int(11) NULL DEFAULT NULL COMMENT '状态(0:停止;1:启动)',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `tenant_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '多租户标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci COMMENT = '积木报表导出计划表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_export_job
-- ----------------------------

-- ----------------------------
-- Table structure for jimu_report_export_log
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_export_log`;
CREATE TABLE `jimu_report_export_log`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `batch_no` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '批次编号',
  `export_channel` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '导出渠道',
  `export_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '导出类型',
  `report_id` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '报表id',
  `download_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '下载路径',
  `status` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '多租户标识',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '积木报表自动导出记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_export_log
-- ----------------------------

-- ----------------------------
-- Table structure for jimu_report_icon_lib
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_icon_lib`;
CREATE TABLE `jimu_report_icon_lib`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片名称',
  `type` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片类型',
  `image_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '图片地址',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '积木图库表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_icon_lib
-- ----------------------------

-- ----------------------------
-- Table structure for jimu_report_link
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_link`;
CREATE TABLE `jimu_report_link`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `report_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '积木设计器id',
  `parameter` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '参数',
  `eject_type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '弹出方式（0 当前页面 1 新窗口）',
  `link_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '链接名称',
  `api_method` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '请求方法0-get,1-post',
  `link_type` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '链接方式(0 网络报表 1 网络连接 2 图表联动)',
  `api_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '外网api',
  `link_chart_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联动图表的ID',
  `expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表达式',
  `requirement` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '条件',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `uniq_link_reportid`(`report_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '超链接配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_link
-- ----------------------------
INSERT INTO `jimu_report_link` VALUES ('907480951604711424', '907480464532770816', '{\"main\":\"aa\",\"sub\":\"bb\",\"subReport\":[{\"mainField\":\"id\",\"subParam\":\"orderId\",\"tableIndex\":1}]}', NULL, '555', NULL, '4', NULL, NULL, NULL, NULL);
INSERT INTO `jimu_report_link` VALUES ('929546942631428096', '928540173805338624', '{\"main\":\"receipt\",\"sub\":\"receiptProject\",\"subReport\":[{\"mainField\":\"id\",\"subParam\":\"customId\",\"tableIndex\":1}]}', NULL, '收款明细', NULL, '4', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for jimu_report_map
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_map`;
CREATE TABLE `jimu_report_map`  (
  `id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `label` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '地图名称',
  `name` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '地图编码',
  `data` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '地图数据',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '0表示未删除,1表示删除',
  `sys_org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_jmreport_map_name`(`name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '地图配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_map
-- ----------------------------

-- ----------------------------
-- Table structure for jimu_report_share
-- ----------------------------
DROP TABLE IF EXISTS `jimu_report_share`;
CREATE TABLE `jimu_report_share`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `report_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '在线excel设计器id',
  `preview_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览地址',
  `preview_lock` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码锁',
  `last_update_time` datetime NULL DEFAULT NULL COMMENT '最后更新时间',
  `term_of_validity` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '有效期(0:永久有效，1:1天，2:7天)',
  `status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否过期(0未过期，1已过期)',
  `preview_lock_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为密码锁(0 否,1是)',
  `share_token` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分享token',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_report_id`(`report_id`) USING BTREE,
  UNIQUE INDEX `uniq_jrs_report_id`(`report_id`) USING BTREE COMMENT '报表id唯一索引',
  INDEX `idx_jrs_share_token`(`share_token`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '积木报表预览权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of jimu_report_share
-- ----------------------------
INSERT INTO `jimu_report_share` VALUES ('989322818603012096', '989065112487022592', '/jmreport/shareView/989065112487022592', '', '2024-08-30 10:22:31', '1', '0', '0', '71e3778ba7ebeae4652d2e53c46a7b1b');

-- ----------------------------
-- Table structure for joa_demo
-- ----------------------------
DROP TABLE IF EXISTS `joa_demo`;
CREATE TABLE `joa_demo`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'ID',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请假人',
  `days` int(11) NULL DEFAULT NULL COMMENT '请假天数',
  `begin_date` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '请假结束时间',
  `reason` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请假原因',
  `bpm_status` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '流程状态',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人id'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '流程测试' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of joa_demo
-- ----------------------------

-- ----------------------------
-- Table structure for oauth2_registered_client
-- ----------------------------
DROP TABLE IF EXISTS `oauth2_registered_client`;
CREATE TABLE `oauth2_registered_client`  (
  `id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `client_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `client_id_issued_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `client_secret` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `client_secret_expires_at` timestamp NULL DEFAULT NULL,
  `client_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `client_authentication_methods` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `authorization_grant_types` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `redirect_uris` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `post_logout_redirect_uris` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `scopes` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `client_settings` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `token_settings` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oauth2_registered_client
-- ----------------------------
INSERT INTO `oauth2_registered_client` VALUES ('3eacac0e-0de9-4727-9a64-6bdd4be2ee1f', 'jeecg-client', '2024-02-29 18:16:33', 'secret', NULL, '3eacac0e-0de9-4727-9a64-6bdd4be2ee1f', 'client_secret_basic', 'refresh_token,authorization_code,password,app,phone,social', 'http://127.0.0.1:8080/jeecg-', 'http://127.0.0.1:8080/', '*', '{\"@class\":\"java.util.Collections$UnmodifiableMap\",\"settings.client.require-proof-key\":false,\"settings.client.require-authorization-consent\":true}', '{\"@class\":\"java.util.Collections$UnmodifiableMap\",\"settings.token.reuse-refresh-tokens\":true,\"settings.token.id-token-signature-algorithm\":[\"org.springframework.security.oauth2.jose.jws.SignatureAlgorithm\",\"RS256\"],\"settings.token.access-token-time-to-live\":[\"java.time.Duration\",300000.000000000],\"settings.token.access-token-format\":{\"@class\":\"org.springframework.security.oauth2.server.authorization.settings.OAuth2TokenFormat\",\"value\":\"self-contained\"},\"settings.token.refresh-token-time-to-live\":[\"java.time.Duration\",3600.000000000],\"settings.token.authorization-code-time-to-live\":[\"java.time.Duration\",300000.000000000],\"settings.token.device-code-time-to-live\":[\"java.time.Duration\",300000.000000000]}');

-- ----------------------------
-- Table structure for onl_auth_data
-- ----------------------------
DROP TABLE IF EXISTS `onl_auth_data`;
CREATE TABLE `onl_auth_data`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `cgform_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'online表ID',
  `rule_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则名',
  `rule_column` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则列',
  `rule_operator` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则条件 大于小于like',
  `rule_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则值',
  `status` int(1) NULL DEFAULT NULL COMMENT '1有效 0无效',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_auth_data
-- ----------------------------
INSERT INTO `onl_auth_data` VALUES ('1805174888714690561', '2d5fcb66727140629ebe46ad510e65b2', '创建人', 'create_by', '=', '#{sys_user_code}', 1, '2024-06-24 17:43:27', 'admin', NULL, NULL);

-- ----------------------------
-- Table structure for onl_auth_page
-- ----------------------------
DROP TABLE IF EXISTS `onl_auth_page`;
CREATE TABLE `onl_auth_page`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT ' 主键',
  `cgform_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'online表id',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '字段名/按钮编码',
  `type` int(1) NULL DEFAULT NULL COMMENT '1字段 2按钮',
  `control` int(1) NULL DEFAULT NULL COMMENT '3可编辑 5可见(仅支持两种状态值3,5)',
  `page` int(1) NULL DEFAULT NULL COMMENT '3列表 5表单(仅支持两种状态值3,5)',
  `status` int(1) NULL DEFAULT NULL COMMENT '1有效 0无效',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_onl_auth_page_code`(`code`) USING BTREE,
  INDEX `idx_onl_auth_page_cgform_id`(`cgform_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_auth_page
-- ----------------------------
INSERT INTO `onl_auth_page` VALUES ('1580815057246892034', '56870166aba54ebfacb20ba6c770bd73', 'order_date', 1, 5, 3, 0, '2022-10-14 14:57:34', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1580815057309806593', '56870166aba54ebfacb20ba6c770bd73', 'order_date', 1, 5, 5, 0, '2022-10-14 14:57:34', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1580815057309806594', '56870166aba54ebfacb20ba6c770bd73', 'order_date', 1, 3, 5, 0, '2022-10-14 14:57:34', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173881926541313', '2d5fcb66727140629ebe46ad510e65b2', 'name', 1, 5, 3, 1, '2024-06-24 17:39:27', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173881926541314', '2d5fcb66727140629ebe46ad510e65b2', 'name', 1, 5, 5, 1, '2024-06-24 17:39:27', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173881926541315', '2d5fcb66727140629ebe46ad510e65b2', 'name', 1, 3, 5, 1, '2024-06-24 17:39:27', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173979796430849', '2d5fcb66727140629ebe46ad510e65b2', 'age', 1, 5, 3, 1, '2024-06-24 17:39:50', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173979855151105', '2d5fcb66727140629ebe46ad510e65b2', 'age', 1, 5, 5, 1, '2024-06-24 17:39:50', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805173979855151106', '2d5fcb66727140629ebe46ad510e65b2', 'age', 1, 3, 5, 1, '2024-06-24 17:39:50', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805174564453048321', '2d5fcb66727140629ebe46ad510e65b2', 'add', 2, 5, 3, 1, '2024-06-24 17:42:09', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805174566604726273', '2d5fcb66727140629ebe46ad510e65b2', 'update', 2, 5, 3, 1, '2024-06-24 17:42:10', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805174571247820801', '2d5fcb66727140629ebe46ad510e65b2', 'delete', 2, 5, 3, 1, '2024-06-24 17:42:11', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1805174573852483586', '2d5fcb66727140629ebe46ad510e65b2', 'batch_delete', 2, 5, 3, 1, '2024-06-24 17:42:12', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428887347201', '005e34f6157f40d199f8ab3d0454678d', 'wul_name', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428904124417', '005e34f6157f40d199f8ab3d0454678d', 'wul_name', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428904124418', '005e34f6157f40d199f8ab3d0454678d', 'wul_name', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428937678850', '005e34f6157f40d199f8ab3d0454678d', 'wul_code', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428937678851', '005e34f6157f40d199f8ab3d0454678d', 'wul_code', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428946067458', '005e34f6157f40d199f8ab3d0454678d', 'wul_code', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428971233281', '005e34f6157f40d199f8ab3d0454678d', 'picc', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428983816193', '005e34f6157f40d199f8ab3d0454678d', 'picc', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465428983816194', '005e34f6157f40d199f8ab3d0454678d', 'picc', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429008982017', '005e34f6157f40d199f8ab3d0454678d', 'pid', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429017370625', '005e34f6157f40d199f8ab3d0454678d', 'pid', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429017370626', '005e34f6157f40d199f8ab3d0454678d', 'pid', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429034147842', '005e34f6157f40d199f8ab3d0454678d', 'year1', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429038342146', '005e34f6157f40d199f8ab3d0454678d', 'year1', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429038342147', '005e34f6157f40d199f8ab3d0454678d', 'year1', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429067702274', '005e34f6157f40d199f8ab3d0454678d', 'xingqi', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429071896578', '005e34f6157f40d199f8ab3d0454678d', 'xingqi', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429071896579', '005e34f6157f40d199f8ab3d0454678d', 'xingqi', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429092868098', '005e34f6157f40d199f8ab3d0454678d', 'fuwenb', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429101256706', '005e34f6157f40d199f8ab3d0454678d', 'fuwenb', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429101256707', '005e34f6157f40d199f8ab3d0454678d', 'fuwenb', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429126422530', '005e34f6157f40d199f8ab3d0454678d', 'yonhu', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429130616834', '005e34f6157f40d199f8ab3d0454678d', 'yonhu', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429130616835', '005e34f6157f40d199f8ab3d0454678d', 'yonhu', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429151588354', '005e34f6157f40d199f8ab3d0454678d', 'guanl', 1, 5, 3, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429159976962', '005e34f6157f40d199f8ab3d0454678d', 'guanl', 1, 5, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);
INSERT INTO `onl_auth_page` VALUES ('1833465429159976963', '005e34f6157f40d199f8ab3d0454678d', 'guanl', 1, 3, 5, 0, '2024-09-10 19:19:57', 'admin', NULL, NULL);

-- ----------------------------
-- Table structure for onl_auth_relation
-- ----------------------------
DROP TABLE IF EXISTS `onl_auth_relation`;
CREATE TABLE `onl_auth_relation`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `role_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `auth_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限id',
  `type` int(1) NULL DEFAULT NULL COMMENT '1字段 2按钮 3数据权限',
  `cgform_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'online表单ID',
  `auth_mode` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '授权方式role角色，depart部门，user人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_auth_relation
-- ----------------------------
INSERT INTO `onl_auth_relation` VALUES ('1805174495070871554', '1501570619841810433', '1805173881926541314', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174495070871555', '1501570619841810433', '1805173979855151106', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174495133786114', '1501570619841810433', '1805173979855151105', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174495133786115', '1501570619841810433', '1805173881926541315', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174495133786116', '1501570619841810433', '1805173881926541313', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174495133786117', '1501570619841810433', '1805173979796430849', 1, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174711119470594', '1501570619841810433', '1805174564453048321', 2, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174711119470595', '1501570619841810433', '1805174571247820801', 2, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805174711119470596', '1501570619841810433', '1805174566604726273', 2, '2d5fcb66727140629ebe46ad510e65b2', 'role');
INSERT INTO `onl_auth_relation` VALUES ('1805175242185465858', 'a75d45a015c44384a04449ee80dc3503', '1805174888714690561', 3, '2d5fcb66727140629ebe46ad510e65b2', 'user');
INSERT INTO `onl_auth_relation` VALUES ('1805175347525410817', '1501570619841810433', '1805174888714690561', 3, '2d5fcb66727140629ebe46ad510e65b2', 'role');

-- ----------------------------
-- Table structure for onl_cgform_button
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_button`;
CREATE TABLE `onl_cgform_button`  (
  `ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `BUTTON_CODE` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮编码',
  `BUTTON_ICON` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮图标',
  `BUTTON_NAME` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮名称',
  `BUTTON_STATUS` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮状态',
  `BUTTON_STYLE` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮样式',
  `EXP` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表达式',
  `CGFORM_HEAD_ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单ID',
  `OPT_TYPE` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮类型',
  `ORDER_NUM` int(11) NULL DEFAULT NULL COMMENT '排序',
  `OPT_POSITION` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮位置1侧面 2底部',
  PRIMARY KEY (`ID`) USING BTREE,
  INDEX `idx_ocb_CGFORM_HEAD_ID`(`CGFORM_HEAD_ID`) USING BTREE,
  INDEX `idx_ocb_BUTTON_CODE`(`BUTTON_CODE`) USING BTREE,
  INDEX `idx_ocb_BUTTON_STATUS`(`BUTTON_STATUS`) USING BTREE,
  INDEX `idx_ocb_ORDER_NUM`(`ORDER_NUM`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Online表单自定义按钮' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_button
-- ----------------------------
INSERT INTO `onl_cgform_button` VALUES ('007de67711d08337f7c246b6cfe306ae', 'jihuo', NULL, '激活', '1', 'link', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', 2, '2');
INSERT INTO `onl_cgform_button` VALUES ('108a564643763de3f4c81bc2deb463df', 'bt1', NULL, '激活', '1', 'button', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('5173e0b138c808f03d17d08ec4e66f3a', 'hangjihuo', NULL, '行激活', '0', 'link', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('7c140322fb6b1da7a5daed8b6edc0fb7', 'tjbpm', NULL, '提交流程', '1', 'link', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('a45bc1c6fba96be6b0c91ffcdd6b54aa', 'genereate_person_config', 'icon-edit', '生成配置', '1', 'link', NULL, 'e2faf977fdaf4b25a524f58c2441a51c', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('cc1d12de57a1a41d3986ed6d13e3ac11', '链接按钮测试', 'icon-edit', '自定义link', '1', 'link', NULL, 'd35109c3632c4952a19ecc094943dd71', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('e2a339b9fdb4091bee98408c233ab36d', 'zuofei', NULL, '作废', '1', 'form', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO `onl_cgform_button` VALUES ('e95e84b749761b574a9cc0967c06c2a9', 'test1', NULL, '弹出表单', '1', 'button', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', 1, '2');
INSERT INTO `onl_cgform_button` VALUES ('ebcc48ef0bde4433a6faf940a5e170c1', 'button按钮测试', 'icon-edit', '自定义button', '1', 'button', NULL, 'd35109c3632c4952a19ecc094943dd71', 'js', NULL, '2');

-- ----------------------------
-- Table structure for onl_cgform_enhance_java
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_enhance_java`;
CREATE TABLE `onl_cgform_enhance_java`  (
  `ID` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `BUTTON_CODE` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮编码',
  `CG_JAVA_TYPE` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '类型',
  `CG_JAVA_VALUE` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数值',
  `CGFORM_HEAD_ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表单ID',
  `ACTIVE_STATUS` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '生效状态',
  `EVENT` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'end' COMMENT '事件状态(end:结束，start:开始)',
  PRIMARY KEY (`ID`) USING BTREE,
  INDEX `idx_ejava_cgform_head_id`(`CGFORM_HEAD_ID`) USING BTREE,
  INDEX `idx_ocej_BUTTON_CODE`(`BUTTON_CODE`) USING BTREE,
  INDEX `idx_ocej_ACTIVE_STATUS`(`ACTIVE_STATUS`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_enhance_java
-- ----------------------------

-- ----------------------------
-- Table structure for onl_cgform_enhance_js
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_enhance_js`;
CREATE TABLE `onl_cgform_enhance_js`  (
  `ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `CG_JS` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'JS增强内容',
  `CG_JS_TYPE` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型',
  `CONTENT` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `CGFORM_HEAD_ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单ID',
  PRIMARY KEY (`ID`) USING BTREE,
  INDEX `idx_ejs_cgform_head_id`(`CGFORM_HEAD_ID`) USING BTREE,
  INDEX `idx_ejs_cg_js_type`(`CG_JS_TYPE`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_enhance_js
-- ----------------------------
INSERT INTO `onl_cgform_enhance_js` VALUES ('0b326acbbc8e52c9c9ecdb19342fc3cf', 'show(){\n   console.log(\'form\',that)\n   //this.form.setFieldsValue({\"name\":\"name值\"})  \n  that.$nextTick(() => {\n           //age是对应表的字段名\n            that.form.setFieldsValue({\"age\":\"999\"})\n          });\n}\n\nonlChange(){\n   return {\n     \n     sex(){\n        let value = event.value\n        //alert(\'触发控件\',value)\n        \n         //性别改动，年龄归零\n        if(value!=null && value!=\"\"){   \n          let values = {\'age\':0}\n          that.triggleChangeValues(values)\n        }\n      }\n     \n    }\n }\n', 'form', NULL, '05a3a30dada7411c9109306aa4117068');
INSERT INTO `onl_cgform_enhance_js` VALUES ('274b5d741a0262d3411958f0c465c5f0', 'genereate_person_config(row){\nconsole.log(\'选择\',row)\nalert(row.name + \'，个人积分配置生成成功！\');\n}', 'list', NULL, 'e2faf977fdaf4b25a524f58c2441a51c');
INSERT INTO `onl_cgform_enhance_js` VALUES ('2cbaf25f1edb620bea2d8de07f8233a1', 'air_china_post_materiel_item_onlChange(){\n    return {\n        wl_name(){\n           \n            let id = event.row.id\n            let cnum = event.row.num\n            let value = event.value\n            let targrt = event.target\n            let columnKey = event.column.key\n           let nval = 200*cnum\n           console.log(\'row\',event.row);\n           console.log(\'cnum\',cnum);\n           let otherValues = {\'jifen\': nval}\n              \n                that.triggleChangeValues(targrt,id,otherValues)\n\n        }\n    }\n}', 'form', NULL, 'e67d26b610dd414c884c4dbb24e71ce3');
INSERT INTO `onl_cgform_enhance_js` VALUES ('32e7b7373abe0fb9c4dd608b4517f814', '', 'form', NULL, '53a3e82b54b946c2b904f605875a275c');
INSERT INTO `onl_cgform_enhance_js` VALUES ('35d4ef464e5e8c87c9aa82ea89215fc1', '', 'list', NULL, 'e67d26b610dd414c884c4dbb24e71ce3');
INSERT INTO `onl_cgform_enhance_js` VALUES ('44cad4eec436328ed3cc134855f8d1d5', ' onlChange(){\n   return {\n    name(that, event) {\n      that.executeMainFillRule()\n    }\n  }\n }', 'form', NULL, '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO `onl_cgform_enhance_js` VALUES ('4569bc0e6126d2b8a0e0c69b9a47e8db', '', 'list', NULL, '56efb74326e74064b60933f6f8af30ea');
INSERT INTO `onl_cgform_enhance_js` VALUES ('5e9ccc1e2b977bdd5a873a6bd6311290', 'jihuo_hook(){\n  console.log(\'当前选中行的id\', this);\n  console.log(\'this.abc\', this.abc);\n   import {useMessage} from \"@/hooks/useMessage\"\n        const {createMessage} = useMessage()\n        function sayHi () {\n            createMessage.success(\"这是代码里的提示：hello world!\")\n        }\n        sayHi();\n}\n\n\n\ntest1(){\n  this.openCustomModal({\n    title: \'测试自定义弹框1\',\n    width: 800,\n     hide: [\'cc\']\n  });\n}\n\nsetup(){\n    console.log(\"进入form: \",this)\n    import { defineComponent, computed, CSSProperties, unref, ref, watchEffect, watch, PropType } from \'vue\';\n  \n  watch(name,(newValue,oldValue)=>{\n    console.log(\"新值是\"+newValue, \"旧址是\"+oldValue);\n  })\n  \n}', 'list', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389');
INSERT INTO `onl_cgform_enhance_js` VALUES ('6dd82d8eac166627302230a809233481', 'ces_order_goods_onlChange(){\n    return {\n        num(){\n           \n            let id = event.row.id\n            let num = event.row.num\n            let price = event.row.price\n\n            let targrt = event.target\n            \n            let nval = price*num\n            console.log(\'row\',event.row);\n            console.log(\'num\',num);\n            console.log(\'that\',that);\n            let otherValues = {\'zong_price\': nval}\n              \n            that.triggleChangeValues(otherValues,id,targrt)\n   \n\n        }\n    }\n}', 'form', NULL, '56efb74326e74064b60933f6f8af30ea');
INSERT INTO `onl_cgform_enhance_js` VALUES ('73ff4666e0cf5c2070263345e1e11835', 'one(){\n  console.log(\'当前选中行的id\', this.selectedRowKeys);\n}\n\nbeforeDelete(row){\n  return new Promise(resolve=>{\n    console.log(\'删除数据之前看看数据\', row);\n    resolve();\n  });\n}', 'list', NULL, '553a4172fde446419cb602dc70f9ee67');
INSERT INTO `onl_cgform_enhance_js` VALUES ('85e7acd772c8ec322b97a1fd548007e0', '', 'form', NULL, '09fd28e4b7184c1a9668496a5c496450');
INSERT INTO `onl_cgform_enhance_js` VALUES ('8b76f282ddc81ce99a129e90fdd977ce', '', 'form', NULL, '86bf17839a904636b7ed96201b2fa6ea');
INSERT INTO `onl_cgform_enhance_js` VALUES ('90394fbc3d48978cc0937bc56f2d5370', '', 'list', NULL, 'deea5a8ec619460c9245ba85dbc59e80');
INSERT INTO `onl_cgform_enhance_js` VALUES ('a0ca1d842f138ba2cda00bc44e95edd9', 'loaded(){\n  this.$nextTick(()=>{\n    let text = \'测试js增强设置默认值\';\n    if(this.isUpdate.value === true){\n      text = \'测试js增强修改表单值\';\n    }\n    this.setFieldsValue({\n      name: text\n    })\n  })\n}\n\n onlChange(){\n   return {\n    name(){\n      let value = event.value\n      let values = {\'dhwb\': \'我的名称是：\'+ value }\n      this.triggleChangeValues(values)\n    }\n  }\n }\n\nbeforeSubmit(row){\n	return new Promise((resolve, reject)=>{\n    //此处模拟等待时间，可能需要发起请求\n    setTimeout(()=>{\n      if(row.name == \'test\'){\n        // 当某个字段不满足要求的时候可以reject \n        reject(\'不能提交测试数据\');\n      }else{\n        resolve();\n      }\n    },3000)\n  })\n}', 'form', NULL, '553a4172fde446419cb602dc70f9ee67');
INSERT INTO `onl_cgform_enhance_js` VALUES ('ae9cf52fbe13cc718de2de6e1b3d6792', '', 'list', NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO `onl_cgform_enhance_js` VALUES ('beec235f0b2d633ff3a6c395affdf59d', '', 'list', NULL, '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO `onl_cgform_enhance_js` VALUES ('c5ac9a2b2fd92ef68274f630b8aec78a', 'tjbpm(row){\nconst { createMessage, notification ,createConfirm, createConfirmSync, createSuccessModal, createErrorModal, createInfoModal, createWarningModal } = useMessage();\n  alert(\'提交流程\')\n  createMessage.warn(\'点击提交流程\');\n  console.log(\'row\',row)\n}\n\nbt1(){\n   console.log(\'that.table.selectionRows\',this.selectedRowKeys)\n   console.log(\'that.table.selectedRowKeys\',this.selectedRows)\n   alert(\'激活全部数据\')\n}', 'list', NULL, '05a3a30dada7411c9109306aa4117068');
INSERT INTO `onl_cgform_enhance_js` VALUES ('d7ddb7aa407f6deed75aac11f0a25f0e', '222', 'list', NULL, '09fd28e4b7184c1a9668496a5c496450');
INSERT INTO `onl_cgform_enhance_js` VALUES ('de79fe5530e19ccb71b750900892a3a4', 'setup(){\n    console.log(\"进入form: \",this)\n    import { defineComponent, computed, CSSProperties, unref, ref, watchEffect, watch, PropType } from \'vue\';\n  \n  watch(name,(newValue,oldValue)=>{\n    console.log(\"新值是\"+newValue, \"旧址是\"+oldValue);\n  })\n  \n}', 'form', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389');
INSERT INTO `onl_cgform_enhance_js` VALUES ('f6f8f230566d09d4b66338955ffb5691', '', 'form', NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO `onl_cgform_enhance_js` VALUES ('fd711738f58d5481ca0ce9bc3a415223', '', 'list', NULL, '86bf17839a904636b7ed96201b2fa6ea');

-- ----------------------------
-- Table structure for onl_cgform_enhance_sql
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_enhance_sql`;
CREATE TABLE `onl_cgform_enhance_sql`  (
  `ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `BUTTON_CODE` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮编码',
  `CGB_SQL` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'SQL内容',
  `CGB_SQL_NAME` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Sql名称',
  `CONTENT` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `CGFORM_HEAD_ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单ID',
  PRIMARY KEY (`ID`) USING BTREE,
  INDEX `idx_oces_CGFORM_HEAD_ID`(`CGFORM_HEAD_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_enhance_sql
-- ----------------------------
INSERT INTO `onl_cgform_enhance_sql` VALUES ('0ebf418bd02f486342123eaf84cd39ad', 'add', '', NULL, '', '18f064d1ef424c93ba7a16148851664f');
INSERT INTO `onl_cgform_enhance_sql` VALUES ('5ab418a13fd0bbf30ee9dd04203f3c28', 'add', '', NULL, '', '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO `onl_cgform_enhance_sql` VALUES ('8750b93ba5332460c76c492359d7a06b', 'edit', '', NULL, '', '18f064d1ef424c93ba7a16148851664f');
INSERT INTO `onl_cgform_enhance_sql` VALUES ('edfab059050b19328ac81e6833b5ebc2', 'delete', '', NULL, '', '18f064d1ef424c93ba7a16148851664f');

-- ----------------------------
-- Table structure for onl_cgform_field
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_field`;
CREATE TABLE `onl_cgform_field`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `cgform_head_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表ID',
  `db_field_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字段名字',
  `db_field_txt` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段备注',
  `db_field_name_old` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '原字段名',
  `db_is_key` tinyint(1) NULL DEFAULT NULL COMMENT '是否主键 0否 1是',
  `db_is_null` tinyint(1) NULL DEFAULT NULL COMMENT '是否允许为空0否 1是',
  `db_is_persist` tinyint(1) NULL DEFAULT NULL COMMENT '是否需要同步数据库字段， 1是0否',
  `db_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据库字段类型',
  `db_length` int(11) NOT NULL COMMENT '数据库字段长度',
  `db_point_length` int(11) NULL DEFAULT NULL COMMENT '小数点',
  `db_default_val` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表字段默认值',
  `dict_field` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典code',
  `dict_table` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典表',
  `dict_text` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典Text',
  `field_show_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单控件类型',
  `field_href` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '跳转URL',
  `field_length` int(11) NULL DEFAULT NULL COMMENT '表单控件长度',
  `field_valid_type` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单字段校验规则',
  `field_must_input` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段是否必填',
  `field_extend_json` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '扩展参数JSON',
  `field_default_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '控件默认值，不同的表达式展示不同的结果。\r\n1. 纯字符串直接赋给默认值；\r\n2. #{普通变量}；\r\n3. {{ 动态JS表达式 }}；\r\n4. ${填值规则编码}；\r\n填值规则表达式只允许存在一个，且不能和其他规则混用。',
  `is_query` tinyint(1) NULL DEFAULT NULL COMMENT '是否查询条件0否 1是',
  `is_show_form` tinyint(1) NULL DEFAULT NULL COMMENT '表单是否显示0否 1是',
  `is_show_list` tinyint(1) NULL DEFAULT NULL COMMENT '列表是否显示0否 1是',
  `is_read_only` tinyint(1) NULL DEFAULT 0 COMMENT '是否是只读（1是 0否）',
  `query_mode` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询模式',
  `main_table` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '外键主表名',
  `main_field` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '外键主键字段',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `converter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '自定义值转换器',
  `query_def_val` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询默认值',
  `query_dict_text` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询配置字典text',
  `query_dict_field` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询配置字典code',
  `query_dict_table` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询配置字典table',
  `query_show_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询显示控件',
  `query_config_flag` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否启用查询配置1是0否',
  `query_valid_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询字段校验类型',
  `query_must_input` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询字段是否必填1是0否',
  `sort_flag` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否支持排序1是0否',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_ocf_cgform_head_id`(`cgform_head_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_field
-- ----------------------------
INSERT INTO `onl_cgform_field` VALUES ('0021c969dc23a9150d6f70a13b52e73e', '402860816aa5921f016aa5921f480000', 'begin_date', '开始时间', 'begin_date', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('011ddab07f440f2fb7ab548a4d6fb54f', '05a3a30dada7411c9109306aa4117068', 'sheng', '地区', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'pca', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('020c1622c3df0aef30185f57874f6959', '79091e8277c744158530321513119c68', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 32, 0, '1', 'bpm_status', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 1, 0, 'single', '', '', 8, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:29:26', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('02b20e692456403e2fed1a89a06833b4', '402860816bff91c0016bff91d2810005', 'phone', '联系方式', 'phone', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('03668009f0ad92b20abb1a377197ee47', 'deea5a8ec619460c9245ba85dbc59e80', 'order_fk_id', '订单外键ID', NULL, 0, 0, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', 'test_order_main', 'id', 10, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:42:53', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('03709092184fdf4a66b0cdb4dd10a159', '402860816bff91c0016bffa220a9000b', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 32, 0, '1', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 46, 'admin', '2019-07-22 16:15:32', '2019-07-19 15:34:44', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('03988419d751a330c2b0f0519a531880', '997ee931515a4620bc30a9c1246429a9', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('03a7782d6e594ace41f2b22f43bafb55', '2d5fcb66727140629ebe46ad510e65b2', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 7, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('03c105d2706c8286416833684de67406', '79091e8277c744158530321513119c68', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('03fd5ab69f331ff760c3f7d86b4a93f8', '4028318169e81b970169e81b97650000', 'log_content', '日志内容', 'log_content', 0, 1, 1, 'string', 1000, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 3, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('045eb432c418b2b103b1e1b8e8a8a75d', 'fb7125a344a649b990c12949945cb6c1', 'age', '年龄', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', NULL, NULL, NULL, '2019-03-26 19:24:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('04e4185a503e6aaaa31c243829ff4ac7', 'd35109c3632c4952a19ecc094943dd71', 'birthday', '生日', NULL, 0, 1, 1, 'Datetime', 32, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 9, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('04ff134cb4aae845059e10b3b85f1451', '7ea60a25fa27470e9080d6a921aabbd1', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('051dd70c504c97a028daab2af261ea35', '1acb6f81a1d9439da6cc4e868617b565', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('052dcc6f34976b66754fd99415bd22ce', '79091e8277c744158530321513119c68', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('054db05394e83b318f097a60bc044134', '402860816bff91c0016bffa220a9000b', 'residence_address', '户籍地址', 'residence_address', 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 28, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('05dbdd8d9f0f84c8504faa6f24c7d4ac', '402880eb71d61d3d0171d61d3de30000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 9, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('05ed6a78a2e9d0c82bfa2c55898570b8', '997ee931515a4620bc30a9c1246429a9', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0604945c206e867644e9a44b4c9b20c6', 'fb19fb067cd841f9ae93d4eb3b883dc0', '2', '4', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 5, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0617de6d735b37a3f80f2f35ad5d1511', '4028839a6de2ebd3016de2ebd3870000', 'size_type', '尺码类型', 'size_type', 0, 1, 1, 'string', 2, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 13, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0619dfc3fbf9e193534bb3460a1a9d92', 'cb2d8534a2f544bc9c618dd49da66336', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:13', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('06a1badae6119abf4ec48858a3e94e1c', '402860816bff91c0016bffa220a9000b', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 43, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('06be12d850f7cb3261111e35c2622f5c', 'b493c5fd4fa64a3a84e74ee171763e37', 'dd', 'dd', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('06f1cfff58395ff62526b894f6182641', 'e67d26b610dd414c884c4dbb24e71ce3', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('07a307972076a392ffc61b11437f89dd', '402860816bff91c0016bff91c0cb0000', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('07f4776fd641389a8c98a85713990dce', '402860816bff91c0016bff91c0cb0000', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 14, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('08a3353c11efd5f062c3076d0554b5c5', '402881e6760269a20176026d25650002', 'salary_money', '工资', 'salary_money', 0, 1, 1, 'BigDecimal', 10, 3, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 5, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('08f002095da7c1886c86648fcec38ca9', '56efb74326e74064b60933f6f8af30ea', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('09450359eb90b40d224ec43588a62f9e', '402860816bff91c0016bff91c0cb0000', 'user_id', '用户ID', 'user_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0a1208184216d9f5defa41d08040a8fd', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'sex', 'sex', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0a453a63e33654aa1b9ee2affa854a6d', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0a4cdcb7e54f614ab952024f6c72bb6d', 'beee191324fd40c1afec4fda18bd9d47', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0aad6fa0bf0965a6be1df8aa6005afb4', 'feea98637c2144caae7c5d56a815a245', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0acfc27e493c204f72d42b6dc00a2ded', '53a3e82b54b946c2b904f605875a275c', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0ad547ea9cab1e0f2b185ab3dc963fe6', '402881fd812267500181226787d90001', 'sheng', '地区', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'pca', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0adc06d9b497684bcbb5a781e044517c', '1acb6f81a1d9439da6cc4e868617b565', 'supplier', '供应商', NULL, 0, 1, 1, 'string', 32, 0, '', 'air_china_ supplier', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 15, 'admin', '2019-06-10 14:47:14', '2019-04-24 16:52:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0ae4bc5d4921aa240d814e018ddb7779', '56efb74326e74064b60933f6f8af30ea', 'money', '订单总额', NULL, 0, 1, 1, 'double', 10, 3, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0b3e833ac4aae3a13ec2f8ae460708f8', '4028839a6de2ebd3016de2ebd3870000', 'no', '预算表序号', 'no', 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 8, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0ba1bf74e2a6a94a7a63010ec7230706', '402860816bff91c0016bffa220a9000b', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 42, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0bd10d416252bdc6b169056d2a1a4a68', '402880e5721355dd01721355dd390000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 3, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0c34ebfe2e2a619d42db13f93d2a2d40', 'b81de38db24047b497d476516f8a0865', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0cba94f0497d4d3d829fc573f58eff9f', '402860816bff91c0016bffa220a9000b', 'graduation_time', '毕业时间', 'graduation_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 16, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0d00c51a4ddad2598a587fadc968a8b2', '402860816bff91c0016bff91cfea0004', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0d1b1fde3a27bf78aed05edbaf9e922d', '402881fd812267500181226787d90001', 'year', '年', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"year\"}', '', 0, 1, 1, 0, 'single', '', '', 12, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0ddd0c0afc967a9ab6050401ca62a4be', 'e67d26b610dd414c884c4dbb24e71ce3', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0e157503e648653836a602f5bbad4e83', '402881e6760269a201760269a2af0000', 'files', '文件', NULL, 0, 1, 1, 'string', 1000, 0, '', '', '', '', 'file', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 15, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0e5fb96c3f5a37c758eb7f5d1322694f', '402880e5721355dd01721355dd390000', 'good_name', '商品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 7, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('0fb6fa76c5c78a1e957dbb411e110738', '402860816bff91c0016bff91d8830007', 'politically_status', '政治面貌', 'politically_status', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('0fd6b83f09ea78d32094aabbdf639a36', '553a4172fde446419cb602dc70f9ee67', 'wenjian', '文件', NULL, 0, 1, 1, 'string', 250, 0, NULL, '', '', '', 'file', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 16, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('101a73df0aa5199ac05c4ce92a4f0e3e', '4adec929a6594108bef5b35ee9966e9f', 'name', '姓名', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{sysUserCode}', 0, 1, 1, 0, 'single', '', '', 3, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('105be0f7d827a0324216cf8af268fb9e', '09fd28e4b7184c1a9668496a5c496450', 'birthday', '客户生日', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('105c8e44ad13026b641f0363601f30f3', 'e5464aa8fa7b47c580e91593cf9b46dc', 'num', '循环数量', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('10b78ee7954f230117689a226c44c0db', '402880e570a5d7000170a5d700f50000', 'descc', '描述', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 11, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('10cfb512423f929b6a488f5e50923199', '402881fd812267500181226750e90000', 'contents', '商品简介', NULL, 0, 1, 1, 'Text', 0, 0, '', '', '', '', 'umeditor', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 10, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1130f1e252533529bb1167b896dffe32', 'deea5a8ec619460c9245ba85dbc59e80', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('117fc4ba649d6690a3ac482ad5e4ad38', '56870166aba54ebfacb20ba6c770bd73', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('12017d49b3ff97bb4cd6880beefedfaf', '2d5fcb66727140629ebe46ad510e65b2', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('12aa08f8e948e2b60b40a7b6429c866b', '56efb74326e74064b60933f6f8af30ea', 'order_code', '订单编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '${shop_order_num}', 0, 1, 1, 1, 'single', '', '', 7, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('12d4efc70887c335850beb67399af7ae', '005e34f6157f40d199f8ab3d0454678d', 'year1', '年度', 'year1', 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"year\"}', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:47:04', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('13246645b7650491b70205d99703ca06', '402860816aa5921f016aa5dedcb90009', 'bpm_status', '流程状态', 'bpm_status', 0, 1, 1, 'string', 32, 0, '1', 'bpm_status', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 1, 0, 'group', '', '', 8, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('135dd0ee50712722db65b8762bd487ea', '8994f2817b5a45d9890aa04497a317c5', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 4, NULL, NULL, '2019-03-23 11:39:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('13d9c22ba0a4f09111d115022a148d23', '09fd28e4b7184c1a9668496a5c496450', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('14b7e6161d1f908e13026439af302a66', '3b5e18da618247539481816995b6bf9f', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('14ec4c83c29966ab42b6b718c5a3e774', '7ea60a25fa27470e9080d6a921aabbd1', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('154ba4ca5328866010e042086ffc2b81', '56efb74326e74064b60933f6f8af30ea', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('15768c8d3a9b43069678c017e1fa1d15', '5517e93b148a42a7b82d5f3f94542dcf', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('157bcfec23eceb0bc9197c4ac13375c5', '41de7884bf9a42b7a2c5918f9f765dff', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('16363d0bc125125e395772278d0cf22e', '4b556f0168f64976a3d20bfb932bc798', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('168426cf1016cf0b99705ae1c4c8591e', '402880e5721355dd01721355dd390000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', NULL, NULL, 1, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('16918ac159cb6313fec1dea7ac4bd0a0', '402880eb71d52dc30171d52dc3a10000', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 10, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('16963d4264b4abcb46beb21c66459350', '41de7884bf9a42b7a2c5918f9f765dff', 'name', '客户名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('179c290e383009810fb738f07bd5af8d', '402860816bff91c0016bff91d2810005', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('17cbda69da9dd3632625a0647c259070', '73162c3b8161413e8ecdca7eb288d0c9', 'wl_name', '物料名字', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '1', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('182d038554a6ee7ddfd07763aaa10686', '53a3e82b54b946c2b904f605875a275c', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('18fefb2257901f05508f8ec13ada78a3', 'e5464aa8fa7b47c580e91593cf9b46dc', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-04-24 17:09:48', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('191705159cea35e8cbacb326f172be94', 'd35109c3632c4952a19ecc094943dd71', 'search_sel', '搜索下拉', NULL, 0, 1, 1, 'string', 100, 0, '', 'role_code', 'sys_role', 'role_name', 'sel_search', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 17, 'admin', '2023-09-16 21:25:25', '2020-11-26 18:02:20', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('193c3c062cc6ee210970dbe327412e67', '553a4172fde446419cb602dc70f9ee67', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, '', '0', NULL, NULL, 0, 0, 0, 0, 'single', NULL, NULL, 1, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1973ef1d3728fbff2db6a352e001f5f7', 'fb7125a344a649b990c12949945cb6c1', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 5, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('19a9bf071cf3aa3b2ef94344d2300616', '402881e6760269a20176026d25650002', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 32, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 12, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1ab5be1f937f393b3e5cc214ef1b855c', '7ea60a25fa27470e9080d6a921aabbd1', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1b071c02de2830f9fe82a542b31cce7f', '3b5e18da618247539481816995b6bf9f', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1b6c7b95028bed9ff656d65557dd2bdf', '402860816bff91c0016bffa220a9000b', 'user_id', '用户id', 'user_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1c2f307e315bac77a6d3f02e88387a43', 'deea5a8ec619460c9245ba85dbc59e80', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1c3b2ad0a52ecb47fa7fd53f25875beb', 'deea5a8ec619460c9245ba85dbc59e80', 'price', '价格', NULL, 0, 1, 1, 'double', 32, 0, '', '', '', '', 'text', '', 120, 'n', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1c4d25a12388c80d397bb4f4664fe4e6', '4b556f0168f64976a3d20bfb932bc798', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1cb1bad94673821cbbe1c0cfbcb4a0e2', '402881fd812267500181226787d90001', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', 'username', 'tj_user_report', 'name', 'popup', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', NULL, NULL, 6, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('1cfe967bb457cbaa6e041e45d019b583', '402860816bff91c0016bff91c7010001', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1d0037eba10efd76be45150479399a7e', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1d712db19506ee40b2c1ef5a611baf88', '53a3e82b54b946c2b904f605875a275c', 'name', '商品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1d95bdf1120c5a1776df022d0a571f21', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 7, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1e37ae77c0d406d4ff3c5442ec63cd1f', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1e3d8cfbf12155559666a23ee2c6c5ca', 'e5464aa8fa7b47c580e91593cf9b46dc', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1ed46fdeb289bd7805c9b83332ccd3b4', '402860816bff91c0016bff91d2810005', 'relation', '关系', 'relation', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1eda61dece35abd76b8d8d49e1b139b8', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'content', '描述', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('1f0c6d33b79713fe79fb30373c81f6f7', '758334cb1e7445e2822b60e807aec4a3', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('1fa5f07b3e70d4925b69b2bf51309421', '56870166aba54ebfacb20ba6c770bd73', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('209ddb923d8dab9f454d56d82c0cc725', '3d447fa919b64f6883a834036c14aa67', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('20ff34fb0466089cb633d73d5a6f08d6', 'd35109c3632c4952a19ecc094943dd71', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2113a4ec7b88b4820dcbbdf96e46bbb7', 'fbc35f067da94a70adb622ddba259352', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2150e48b2cb6072d2d8ecd79a7daf7cc', '402860816bff91c0016bff91ca7e0002', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2323239efb5a40b73034411868dfc41d', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'update_by', '更新人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 3, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('23f42061ed218bdbc1262913c071e1cd', 'e5464aa8fa7b47c580e91593cf9b46dc', 'iz_valid', '启动状态', NULL, 0, 1, 1, 'int', 2, 0, '', 'air_china_valid', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2019-04-24 17:09:49', '2019-04-24 14:09:06', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('242cc59b23965a92161eca69ffdbf018', 'd35109c3632c4952a19ecc094943dd71', 'age', '年龄', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', 'http://www.baidu.com', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('24a7c5e2e2b004b7ef4bd09fba693d6f', '2d5fcb66727140629ebe46ad510e65b2', 'descc', '请假原因', NULL, 0, 1, 1, 'string', 1000, 0, '', '', '', '', 'textarea', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('25d91ca4cdc3919c7557d23caf7ed6de', 'f9fb8bee1a64472889d077c757b9acc7', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2640235b9638547f1776b930bd8c12b4', '997ee931515a4620bc30a9c1246429a9', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('265702edb8872e322fe72d3640e34ac5', '402860816bff91c0016bff91cfea0004', 'from_time', '开始日期', 'from_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('26be1b96f3c5d1f25254cc8ab60a268a', '5517e93b148a42a7b82d5f3f94542dcf', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2739ab1ece4d6053ba931bb6572f4ed8', '4028839a6de2ebd3016de2ebd3870000', 'iz_valid', '启用状态', 'iz_valid', 0, 1, 1, 'string', 2, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 9, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('273b0fd37640a9ef1614e987e2bc44a0', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'pics', '图片', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'image', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('281ce0b5343cd42b28825d7df16422f1', 'b81de38db24047b497d476516f8a0865', 'vv', 'vv', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('283f42283b9d0bf3b95ba3384ab2d255', '758334cb1e7445e2822b60e807aec4a3', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('284864d99fddfdcb00e188e3a512cb28', '1acb6f81a1d9439da6cc4e868617b565', 'no', '预算表序号', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2889d3cef706f91e092d76a56b8055be', '402860816bff91c0016bff91cda80003', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('28900c8e76dd0e77193cbd85b5bc6af8', '402881e6760269a201760269a2af0000', 'remakr', 'markdown', NULL, 0, 1, 1, 'Text', 0, 0, '', '', '', '', 'markdown', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 16, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('28ab929fd8535396feee2995ad6a2dd5', '553a4172fde446419cb602dc70f9ee67', 'zdys', '自定义树', NULL, 0, 1, 1, 'string', 255, 0, NULL, '0', 'sys_category', 'id,pid,name,has_child', 'sel_tree', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 32, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('293f6bc9a0f557a32bbdf45669404f35', 'feea98637c2144caae7c5d56a815a245', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('29e4abea55d9fa7dbbd0c8dbbb2b3756', '402860816bff91c0016bff91cda80003', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2aef31179964d0a5a945df7bddff00ae', '53a3e82b54b946c2b904f605875a275c', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2c9be627e7cab7f5a2ae9c7ca7ce94a2', 'cb2d8534a2f544bc9c618dd49da66336', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2d53a66f0b72d820b86ff445e2181d76', 'beee191324fd40c1afec4fda18bd9d47', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2dfc4c81926f678c5f8d5ffd27858201', 'e2faf977fdaf4b25a524f58c2441a51c', 'account', '用户编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2e0374878fb3d5be3b0b3f868a97fb59', '09fd28e4b7184c1a9668496a5c496450', 'sex', '客户性别', NULL, 0, 1, 1, 'string', 1, 0, '', 'sex', '', '', 'list', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2e5275b6407e1b4265af8519077fa4a5', 'd3ae1c692b9640e0a091f8c46e17bb01', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2e66b9db37648389e0846e2204111732', '73162c3b8161413e8ecdca7eb288d0c9', 'has_child', '是否有子节点', NULL, 0, 1, 1, 'string', 3, 0, '', 'valid_status', '', '', 'list', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2e6f741fa96a49a0adccc7b4682c1cef', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'name', '名称', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{sysUserName}', 0, 1, 1, 0, 'single', '', '', 3, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2e9f4340f5cc919f83d50db558cf5598', '41de7884bf9a42b7a2c5918f9f765dff', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('2ee58d8e4844dfe1fa6b1b841ae0b312', '402860816bff91c0016bff91d2810005', 'politically_status', '政治面貌', 'politically_status', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2f111722eb3a994450e67e3211fd69a8', '402860816bff91c0016bff91ca7e0002', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('2f13bd36aadfe10fb79c57d727279981', 'feea98637c2144caae7c5d56a815a245', 'aaa', 'aa', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('30143cc3de69c413828f9fba20662026', '402860816bff91c0016bffa220a9000b', 'healthy', '健康状况', 'healthy', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('306e3fb9c87ca6442cefbd61f498f1f7', '402881e6760269a201760269a2af0000', 'dep_sel', '选择部门', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'sel_depart', '', 120, NULL, '0', '', '#{sysOrgCode}', 0, 1, 1, 0, 'single', NULL, NULL, 19, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3087aa8f38c787e066a886d950a9edfa', '05a3a30dada7411c9109306aa4117068', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('310c86bfd1e67500774c208d601acdc3', '56870166aba54ebfacb20ba6c770bd73', 'xiala', '下拉多选', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list_multi', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 8, 'admin', '2024-01-02 21:44:58', '2020-11-30 21:08:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('31193dc8ceacf979e4042e784ea8278a', '402880e570a5d7000170a5d700f50000', 'order_fk_id', '订单外键ID', NULL, 0, 0, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 10, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('31fd90306c3942f09cb79deabbf2f541', '402860816bff91c0016bff91d2810005', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('33114c18c59e0b8094f6a3b32641401a', '2d5fcb66727140629ebe46ad510e65b2', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('336495117e3a31351fed6963b950dddb', '402860816bff91c0016bffa220a9000b', 'inside_transfer', '内部工作调动情况', 'inside_transfer', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 37, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('34138092d743d4232341a920efd2699e', '402880eb71d52dc30171d52dc3a10000', 'name', '名称', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{sysUserName}', 0, 1, 1, 0, 'single', NULL, NULL, 3, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('345c8b48e1e128e77c4c6e2b36512804', '402860816aa5921f016aa5dedcb90009', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 2, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('34625a911b39e0596690c1a15f784448', '402880e570a5d7000170a5d700f50000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3489a6451bbbcabc0f39ca04b0dd62f2', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('34ecf29484ffd4b287bd34b52cf89775', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'name', 'name', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('34f0c4cb0049ef71735e9f12a1006a9c', '41de7884bf9a42b7a2c5918f9f765dff', 'address', '地址', NULL, 0, 1, 1, 'string', 300, 0, '', '', '', '', 'pca', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, NULL, NULL, '2022-11-23 12:01:37', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('351faaeb2dd8105e9c66f678211c9d4f', 'dbf4675875e14676a3f9a8b2b8941140', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('35417ba3993afe3405e1e0b9abbd7e1b', '402880e5721355dd01721355dd390000', 'num', '数量', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 9, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('354b2ce39c5e8ec3f0bbb01bf8ff0fb7', '32f75e4043ef4070919dbd4337186a3d', 'content', '描述', NULL, 0, 1, 1, 'string', 300, 0, '', '', '', '', 'textarea', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-04-11 10:15:31', '2019-03-28 15:24:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('35ca1c8aa1501bc8a79c880928841f18', '402860816aa5921f016aa5921f480000', 'update_by', '修改人id', 'update_by', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 11, 'admin', '2019-05-11 15:31:55', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3635793767371c6db9f76b4b79f9d321', '402860816bff91c0016bff91d8830007', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('36de6b200a489f1fedc8cdbebfa264ee', '553a4172fde446419cb602dc70f9ee67', 'bmxz', '部门选择', NULL, 0, 1, 1, 'string', 100, 0, NULL, '', '', '', 'sel_depart', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 24, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('370a6eebc2d732eaf121fe0830d853a6', 'e5464aa8fa7b47c580e91593cf9b46dc', 'wl_code', '物料编码', NULL, 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 7, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3722bec99d589389c6b974accd87b060', '402881fd812267500181226787d90001', 'birthday', '生日', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 9, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('37462a4d78968d0e432d746423603b81', '3d447fa919b64f6883a834036c14aa67', 'province', '省份', NULL, 0, 1, 1, 'string', 100, 0, '', '', '{table:\'sys_category\',txt:\'name\',key:\'id\',linkField:\'city,area\',idField:\'id\',pidField:\'pid\', condition:\" pid = \'1230769196661510146\' \"         }', '', 'link_down', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 1, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('375957774c7d424ce9a58d84d4c4387f', '553a4172fde446419cb602dc70f9ee67', 'yhxz', '用户选择', NULL, 0, 1, 1, 'string', 100, 0, NULL, '', '', '', 'sel_user', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 25, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('37e2548874f09ef7d08642a30bc918fa', 'fbc35f067da94a70adb622ddba259352', 'group_name', '小组名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('37fc52e472b24309d82782113f7aa15f', '2d5fcb66727140629ebe46ad510e65b2', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3816bb487c6665a5f2ae7a4dbcbc9095', 'd35109c3632c4952a19ecc094943dd71', 'sel_table', '下拉字典表', NULL, 0, 1, 1, 'string', 32, 0, '', 'username', 'sys_user where username like \'a%\'', 'realname', 'sel_search', '', 120, '', '0', '{\"labelLength\":5}', '', 1, 1, 1, 0, 'single', '', '', 18, 'admin', '2023-09-16 21:25:25', '2021-07-01 12:29:11', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('391e7cbd9f29743b11bb555c50547b1f', '32f75e4043ef4070919dbd4337186a3d', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('393227a51251906a91f4e05a095eb1ba', '553a4172fde446419cb602dc70f9ee67', 'markdown', 'markdown', NULL, 0, 1, 1, 'Blob', 0, 0, NULL, '', '', '', 'markdown', '', 120, '', '0', '', '', 0, 1, 0, 0, 'single', '', '', 27, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('396c36fa5320975851d06772d10ea7b1', 'cb2d8534a2f544bc9c618dd49da66336', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('39fb459c676307b2e07d04ced217f6ec', '005e34f6157f40d199f8ab3d0454678d', 'picc', '封面图', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'image', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:44:22', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3aa6c41ffd2cd6321f91f60e6c6b7191', '402881fd812267500181226787d90001', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 2, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3acd1b022fd8cb6b99534161fa3d6a24', 'd35109c3632c4952a19ecc094943dd71', 'ceck', 'checkbox', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'checkbox', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 15, 'admin', '2023-09-16 21:25:25', '2020-11-26 18:02:20', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3b439859f98e30e34d25e983eb22e408', '402860816bff91c0016bff91c7010001', 'award_time', '获奖时间', 'award_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3b67be0187044a0d023fc2c4c7eceabc', '402881e6760269a20176026d25650002', 'bonus_money', '奖金', 'bonus_money', 0, 1, 1, 'double', 10, 2, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 6, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3bf44e68de518f3ddf72b87671d0ff90', '8994f2817b5a45d9890aa04497a317c5', 'update_by', '更新人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 3, NULL, NULL, '2019-03-23 11:39:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3c74df163f36d1ac61af6811d2569d6c', 'f9fb8bee1a64472889d077c757b9acc7', 'ds', 'ds', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3cd2061ea15ce9eeb4b7cf2e544ccb6b', 'd35109c3632c4952a19ecc094943dd71', 'file_kk', '附件', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'file', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2023-09-16 21:25:25', '2019-06-10 20:06:57', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3cfd4d60c7d8409ae716a579bcb0910d', '402860816bff91c0016bff91c0cb0000', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 16, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3d72550564009a430d8d9099f47c4a05', '553a4172fde446419cb602dc70f9ee67', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, '', '0', NULL, NULL, 0, 0, 0, 0, 'single', NULL, NULL, 5, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3e30b6f564303f3d013e86d710d1e1a0', '005e34f6157f40d199f8ab3d0454678d', 'yonhu', '用户', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'sel_user', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 14, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:47:04', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3e32f6c30c9028872388f70743c5d6a5', '402860816bff91c0016bff91c0cb0000', 'reason', '申请理由', 'reason', 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3e70d1c516c3533c6698300665c669e1', '402860816bff91c0016bff91c0cb0000', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:31', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3ef0a9ed04605267f7fa304a8c353576', '05a3a30dada7411c9109306aa4117068', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', 'username', 'tj_user_report', 'name', 'popup', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 6, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('3eff1d21b946e23d7f83de977962d9cf', '402880eb71d61d3d0171d61d3de30000', 'main_id', '主表ID', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-11-26 17:28:14', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3f2ace8f968a0e5b91d1340ee2957cda', '402860816bff91c0016bff91d8830007', 'real_name', '姓名', 'real_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('3f7f7720ee65648cb2850fccedf7be9d', '53a3e82b54b946c2b904f605875a275c', 'contents', '商品简介', NULL, 0, 1, 1, 'Text', 0, 0, '', '', '', '', 'umeditor', '', 120, '', '0', '', '', 0, 1, 0, 0, 'single', '', '', 9, 'admin', '2022-10-25 11:10:49', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3f9deca6c193f0b2609113713956ad19', '86bf17839a904636b7ed96201b2fa6ea', 'order_main_id', '订单ID', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', 'ces_order_main', 'id', 11, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3fab15057918efd10650bd31b1dd10cc', '553a4172fde446419cb602dc70f9ee67', 'ldzuy', '联动组件一', NULL, 0, 1, 1, 'string', 255, 0, NULL, '', '\n{\n	table: \"sys_category\",\n	txt: \"name\",\n	key: \"id\",\n	linkField: \"ldzje,ldzjs\",\n	idField: \"id\",\n	pidField: \"pid\",\n	condition:\"pid = \'0\'\"\n}', '', 'link_down', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 29, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('3fef8fd58530bab358517f926b147828', '005e34f6157f40d199f8ab3d0454678d', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('40471eb4560bf0bbd2ffef17d48a269d', 'dbf4675875e14676a3f9a8b2b8941140', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('404b516d4f2229f292783db595b02ba1', '402860816bff91c0016bff91d8830007', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('405cf0d6cdd3c5d4fa14985b4caba3b2', '005e34f6157f40d199f8ab3d0454678d', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('405de5ea82e54138a0613dd41b006dfb', '56870166aba54ebfacb20ba6c770bd73', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('40675bb9f053aabf8823ddf4b5389141', 'b81de38db24047b497d476516f8a0865', 'aa', 'aa', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4164314d6a51d100169a29872b7504d8', '402860816bff91c0016bff91ca7e0002', 'cert_time', '发证时间', 'cert_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('41b80b89de0ceb609eb016dacf106ef8', '553a4172fde446419cb602dc70f9ee67', 'shq', '省市区', NULL, 0, 1, 1, 'string', 100, 0, NULL, '', '', '', 'pca', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 28, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('41d4215c01b0d26871f2cb83d3e532ae', '402860816bff91c0016bff91c0cb0000', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 32, 0, '1', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 17, 'admin', '2019-07-19 18:09:01', '2019-07-19 15:35:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('422a44a15fa39fd57c3c23eb601f7c03', '56870166aba54ebfacb20ba6c770bd73', 'descc', '描述', NULL, 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2024-01-02 21:44:58', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('42cccfa014c9e131a0a1b23f563d3688', '402860816bff91c0016bffa220a9000b', 'sex', '性别', 'sex', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4312f618c83e07db82e468b81a1eaa45', '402860816bff91c0016bffa220a9000b', 'photo', '照片', 'photo', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 20, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4355aaad8679a1adf8578b20310e93c1', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('435b57180fc995e3c4ec42516963bca3', '4028839a6de2ebd3016de2ebd3870000', 'wl_code', '物料编码', 'wl_code', 0, 1, 1, 'string', 60, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 6, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('44bdc595f1e565fc053e01134b92bb47', 'd3ae1c692b9640e0a091f8c46e17bb01', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('44e81e24d2384b0f187e8f69eda55390', '402860816bff91c0016bff91cda80003', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('45c0a1a89a1e2a72533b9af894be1011', '27fc5f91274344afa7673a732b279939', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('45d59eb647257fcbcb9d143ff1ba2080', 'deea5a8ec619460c9245ba85dbc59e80', 'pro_type', '产品类型', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'radio', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2020-05-03 01:01:18', '2019-04-23 20:54:08', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('469b250595f15dfebe69991d72e4bfb2', 'e9faf717024b4aae95cff224ae9b6d97', 'name', '员工姓名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('46be01bef342519e268902d0d36a7473', 'deea5a8ec619460c9245ba85dbc59e80', 'descc', '描述', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('46c13ceab79269d151c975bf11847a2e', '553a4172fde446419cb602dc70f9ee67', 'ldzjs', '联动组件三', NULL, 0, 1, 1, 'string', 255, 0, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 31, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('46e53e5445838093ac2fdb33fbdf2c09', '005e34f6157f40d199f8ab3d0454678d', 'fuwenb', '富文本', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'umeditor', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 13, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:47:04', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('46f1a875f86a4f48d0540ad0d5e667d7', '56870166aba54ebfacb20ba6c770bd73', 'order_date', '下单时间', NULL, 0, 1, 1, 'Datetime', 32, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 6, 'admin', '2024-01-02 21:44:58', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('470a3a02210932c55950cd673c50705b', '553a4172fde446419cb602dc70f9ee67', 'geshu', 'integer类型', NULL, 0, 1, 1, 'int', 9, 0, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 34, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('47c21a6b45e59a6b70bb9c0cc4510a68', '1acb6f81a1d9439da6cc4e868617b565', 'integral_val', '积分值', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 13, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('47fa05530f3537a1be8f9e7a9e98be82', 'd35109c3632c4952a19ecc094943dd71', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 6, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('4851697fdf63709d2bc7451b7415f4af', '32f75e4043ef4070919dbd4337186a3d', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '1', 'sex', '', '', 'list', '', 120, NULL, '0', '', '', 1, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('485a8ddce2c033f88af674ec98b68e32', '402860816bff91c0016bffa220a9000b', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 40, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4863e3b3e632a254ad3b2ec873767bcb', 'b493c5fd4fa64a3a84e74ee171763e37', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('48a235839668d769b90c0a72aff7d1f3', '2d5fcb66727140629ebe46ad510e65b2', 'end_date', '结束时间', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2024-06-24 17:30:15', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('492a462b212fc34b0ee70e872684ed7e', '7ea60a25fa27470e9080d6a921aabbd1', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('499a5dac033a01ce58009e4c5b786697', 'e9faf717024b4aae95cff224ae9b6d97', 'age', '员工年龄', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('49cd3dbd4f7f7cf0d19b1ee1045cfa69', 'e67d26b610dd414c884c4dbb24e71ce3', 'post_code', '岗位编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4ad94222c025b56fb0833a88a1514aeb', '86bf17839a904636b7ed96201b2fa6ea', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4b136f953675fffcc1b6d7d6d414d57e', '402880eb71d61d3d0171d61d3de30000', 'date', '日期', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{date}', 0, 1, 1, 0, 'single', '', '', 4, 'admin', '2020-11-26 17:28:14', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4b1d4d7a1c1f7d5b99ae6c6a6d91b403', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'dated', '生日', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4ba7c553ca4babcec75273c531cd65e1', '402860816bff91c0016bff91cfea0004', 'workplace', '工作单位', 'workplace', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4c17487e6944555ec05781cd085add08', '553a4172fde446419cb602dc70f9ee67', 'create_time', '创建时间', NULL, 0, 1, 1, 'Datetime', 50, 0, NULL, NULL, NULL, NULL, 'datetime', NULL, 120, 'n6-16', '0', NULL, NULL, 0, 0, 0, 0, 'single', NULL, NULL, 2, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4c2cba9fc950333421c4193576b8384d', '32f75e4043ef4070919dbd4337186a3d', 'salary', '工资', NULL, 0, 1, 1, 'double', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2019-04-11 10:15:32', '2019-03-28 15:24:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4c4f4067fa31737f3ff9e088130ef793', '4adec929a6594108bef5b35ee9966e9f', 'sex', '性别', NULL, 0, 1, 1, 'string', 200, 0, '', 'sex', '', '', 'list', '', 120, NULL, '0', '', '{{ 2 }}', 0, 1, 1, 0, 'single', '', '', 4, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4c570c5cf05590348e12621ca62773cf', '402860816aa5921f016aa5921f480000', 'name', '请假人', 'name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 2, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4cacfa054e96791ab938b5c8f8e02cd1', '27fc5f91274344afa7673a732b279939', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 2, 0, '', 'bpm_status', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, NULL, NULL, '2019-07-01 16:28:20', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4d0b04cbb7db89b5468f32edafb610bc', '402881fd812267500181226750e90000', 'good_type_id', '商品分类', NULL, 0, 1, 1, 'string', 32, 0, '', '0', 'ces_shop_type', 'id,pid,name,has_child', 'sel_tree', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 11, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4dc3f7e772564de45773a8379adc4335', '3b5e18da618247539481816995b6bf9f', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4e3760f9068aee4318123d85fbf2ebf9', '53a3e82b54b946c2b904f605875a275c', 'good_type_id', '商品分类', NULL, 0, 1, 1, 'string', 32, 0, '', '0', 'ces_shop_type', 'id,pid,name,has_child', 'sel_tree', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2022-10-25 11:10:49', '2020-05-07 22:51:42', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('4f718d95ad9de33eac18fd0663e4c1f1', '32f75e4043ef4070919dbd4337186a3d', 'birthday', '生日', NULL, 0, 1, 1, 'Datetime', 32, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 1, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4f7cba71de7afe6efbd024f5f9935521', '402860816bff91c0016bff91cda80003', 'to_time', '截止时间', 'to_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('4faa7848b92f05bcb3cf03de34af9ff2', 'cb2d8534a2f544bc9c618dd49da66336', 'ddd', 'dd', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('50552383ac67ed56760fb8c84d01de9e', '553a4172fde446419cb602dc70f9ee67', 'xlss', '字典表下拉搜索框', NULL, 0, 1, 1, 'string', 50, 0, NULL, 'username', 'sys_user', 'realname', 'sel_search', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 20, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('506c9b0b2331a24e5c284274d28fe569', '27fc5f91274344afa7673a732b279939', 'kkk', '描述', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('508eb28e1409a2a9501cdf6fd7eb24c7', 'dbf4675875e14676a3f9a8b2b8941140', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('509a4f63f02e784bc04499a6a9be8528', 'd35109c3632c4952a19ecc094943dd71', 'update_by', '更新人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('50a1fc04f08226f0e29a62e39d2f87fc', '402881fd812267500181226787d90001', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('519f68557b953fc2d38400182b187366', '402860816bff91c0016bffa220a9000b', 'residence_type', '户籍类别', 'residence_type', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('52241dbe405db36d2960765e061c117c', '553a4172fde446419cb602dc70f9ee67', 'yuanjia', 'double类型', NULL, 0, 1, 1, 'double', 6, 2, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 33, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5237e186de11017ee52d3c344f450b3b', 'f9fb8bee1a64472889d077c757b9acc7', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('524d75f1e4fed1167c80477658290ddf', '402881fd812267500181226787d90001', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 1, 1, 1, 0, 'group', NULL, NULL, 7, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('52975c3f03325de8233d3459b2230b09', 'f9fb8bee1a64472889d077c757b9acc7', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('52ee861bc1b62cd8e4f10632b3d9d1b2', '79091e8277c744158530321513119c68', 'name', '顺序会签标题', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5531fb261c77e9d12f7cca1af528f70a', '05a3a30dada7411c9109306aa4117068', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('553a250fb89de39e4ba9f8450fd72ade', '05a3a30dada7411c9109306aa4117068', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('555f9d43db20204128d76e22226ca36e', '402881e6760269a201760269a2af0000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 2, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5562a7242e4978f02e6d3a08d5828bbf', '53a3e82b54b946c2b904f605875a275c', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5562ad3165b1399f97a48f5f06d7fa06', '3b5e18da618247539481816995b6bf9f', 'ccc', 'cc', NULL, 0, 1, 1, 'string', 1000, 0, '', '', '', '', 'umeditor', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('55ee63fe34f0b666078e6af940bee222', 'feea98637c2144caae7c5d56a815a245', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('566db879e54b175b20195ca284e76eec', '402881fd812267500181226750e90000', 'chuc_date', '出厂时间', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 9, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('56a7800e4e476812c74217c2aad781aa', '32feeb502544416c9bf41329c10a88f4', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('56cd0a76f922bf76d982b24a509e4782', '4028839a6de2ebd3016de2ebd3870000', 'create_time', '创建日期', 'create_time', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 3, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('56e247f12d62b49cd9bd537e3efecf16', '402860816bff91c0016bff91c0cb0000', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('57552a4f0b7b5c096ab8985ced57cc7d', 'cb2d8534a2f544bc9c618dd49da66336', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('581d8e8ce270b762458121b1dea0be9a', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('588400f6ebcdd0bc9bb560dd36636af9', 'e2faf977fdaf4b25a524f58c2441a51c', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('58a96f945912d33b64ebf5dee98156dc', '402860816bff91c0016bffa220a9000b', 'mobile', '手机号', 'mobile', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 19, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('58eea85add4788b83c893092434bc413', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 4, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('59ae1e853668c676e85329aa029c68a6', '402860816bff91c0016bff91c0cb0000', 'status', '状态（1：申请中 2：通过）', 'status', 0, 1, 1, 'string', 2, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a043c7ae042e48f50d1fb0bb3d760a8', '402880eb71d61d3d0171d61d3de30000', 'code', '编码', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '${order_num_rule_param}', 0, 1, 1, 0, 'single', '', '', 2, 'admin', '2020-11-26 17:28:14', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5a1ab458d88bb766f92c3d791495cdcd', '402860816bff91c0016bff91d2810005', 'age', '年龄', 'age', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a48150409b0960173f091558d1611d0', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5a4ef083dd572114aeb581b6828de545', '402860816bff91c0016bff91c7010001', 'award_name', '获奖名称', 'award_name', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a621f27aa443fe9eccc73717e4fa172', '4028318169e81b970169e81b97650000', 'method', '请求java方法', 'method', 0, 1, 1, 'string', 500, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 8, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a655b208d6318ed02f236f15a319b5f', 'fbc35f067da94a70adb622ddba259352', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a6f88710c49bbe8e2e0ca58e149abad', '402860816bff91c0016bff91cda80003', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a7ce5af50f28d613d8beea7c866ae0c', '402881e6760269a20176026d25650002', 'update_by', '修改人', 'update_by', 0, 1, 1, 'string', 32, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 14, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5a8b97a00f8fa395c0b9bd817a1874db', '2d5fcb66727140629ebe46ad510e65b2', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5ab702dbc37d6fd8d3a1093fda7223bf', '53a3e82b54b946c2b904f605875a275c', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5b17ba693745c258f6b66380ac851e5f', 'd35109c3632c4952a19ecc094943dd71', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 0, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5c25a6636c8d2c93d2859c7db6cb8281', '553a4172fde446419cb602dc70f9ee67', 'xldx', '字典下拉多选框', NULL, 0, 1, 1, 'string', 250, 0, NULL, 'urgent_level', '', '', 'list_multi', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 19, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5c64d270eb4ee8ea6bf55c7e4257f162', '553a4172fde446419cb602dc70f9ee67', 'flzds', '分类字典树', NULL, 0, 1, 1, 'string', 100, 0, NULL, 'B02', '', '', 'cat_tree', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 23, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5c76f5ecc774d7339eb0c2199c0052bc', '402860816bff91c0016bff91c0cb0000', 'biz_no', '编号', 'biz_no', 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 2, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5c8c8d573e01e4f40b5a7c451515e1d2', '32feeb502544416c9bf41329c10a88f4', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5dfbea516ee2390d712eace5405c5219', '402860816bff91c0016bff91ca7e0002', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5e4484b7348dc3e59a0c58bdc3828cc0', '27fc5f91274344afa7673a732b279939', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5e4ac29ac2007ceabf93368330290a42', '402860816bff91c0016bff91d8830007', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('5e729f9823b5cc96c50b0b7c0f07eb05', '402880e5721355dd01721355dd390000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 2, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5f13f7087caa0bbf47e5eba01d0d0443', '05a3a30dada7411c9109306aa4117068', 'contents', '请假原因', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'umeditor', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5f5ac4d37fd1a3a09e2b19f0d4d99c0f', '4adec929a6594108bef5b35ee9966e9f', 'code', '编码', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '${order_num_rule_param}', 0, 1, 1, 0, 'single', '', '', 2, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('5f718d8968d908cd2e4de6ee4c74d644', '402880eb71d61d3d0171d61d3de30000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 7, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('60b3b452232904f5a1130348bc1eab53', '402881e6760269a20176026d25650002', 'sys_org_code', '所属部门编码', 'sys_org_code', 0, 1, 1, 'string', 64, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 16, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('60eed6c429cf7796c3f0a17faaed00da', 'b493c5fd4fa64a3a84e74ee171763e37', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6130dbb6d36bab8ee9154e7ab58af34c', '402880e570a5d7000170a5d700f50000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 1, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('617349b18dab429009ccd304fd7d459c', '4028839a6de2ebd3016de2ebd3870000', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 4, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('61c7a0058c264dd746eb35e6f50fc15b', '402860816aa5921f016aa5dedcb90009', 'update_time', '更新日期', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 5, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('6232ade7e2a0c1e97e2c0945b32e61b6', '402860816bff91c0016bffa220a9000b', 'paying_social_insurance', '是否上社保', 'paying_social_insurance', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 32, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('631a606d35a74c2036a81f27dd16a1a6', 'feea98637c2144caae7c5d56a815a245', 'dd', 'dd', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6352d477b6b2751780c5852e92d0daa6', '402880eb71d61d3d0171d61d3de30000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('635e09afc01aad757faacf1321465c23', 'b81de38db24047b497d476516f8a0865', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('641e74beb228275dc2ca38a977b76c47', '553a4172fde446419cb602dc70f9ee67', 'nyrsfm', '年月日时分秒', NULL, 0, 1, 1, 'Datetime', 0, 0, NULL, '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 14, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6490a98dccb6df218feaeb4ce11bc03b', '402860816aa5921f016aa5921f480000', 'update_time', '修改时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 10, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('654362725195829005036b3db47ec826', '402860816bff91c0016bffa220a9000b', 'post', '职务', 'post', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('656ec51bb57da5a47076f8a26053bbbb', '553a4172fde446419cb602dc70f9ee67', 'zdmrz', '自定义查询', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'text', '', 120, '', '0', '', '1', 1, 1, 1, 0, 'single', '', '', 37, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '1', '', 'sex', '', 'list', '1', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6603058186832c4ff9e8c6e43baa5c3d', '86bf17839a904636b7ed96201b2fa6ea', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('66a7ef842bc34e105a90186e48167ef2', 'dbf4675875e14676a3f9a8b2b8941140', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('671e62c685bc86bde3cef0e023418fb4', '05a3a30dada7411c9109306aa4117068', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('685ec502d669cadb61cafae167591de0', '2d5fcb66727140629ebe46ad510e65b2', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('686dea2621feadcd9b4c611df046adb4', '86bf17839a904636b7ed96201b2fa6ea', 'price', '价格', NULL, 0, 1, 1, 'double', 10, 3, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('68769fa7e4696e3a28f4cecf63076b7b', '402860816bff91c0016bff91ca7e0002', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('68861523516849eff46a0df045f1031b', '402881e6760269a201760269a2af0000', 'birthday', '时间', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 13, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('69666f21896136af16a6303aff440156', '402860816bff91c0016bffa220a9000b', 'nation', '民族', 'nation', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('69d11490788fecfc9fb7d74bf449ba86', '32f75e4043ef4070919dbd4337186a3d', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('6a0082c8ffbae092e99689520f1c83f7', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 9, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6a30c2e6f01ddd24349da55a37025cc0', 'd35109c3632c4952a19ecc094943dd71', 'top_pic', '头像', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'image', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2023-09-16 21:25:25', '2019-06-10 20:06:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6ab2e3d9b944701b405fb1a5ed167012', '86bf17839a904636b7ed96201b2fa6ea', 'zong_price', '单品总价', NULL, 0, 1, 1, 'double', 10, 3, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6b21f5239671023ca769b6717a51130e', '402880eb71d61d3d0171d61d3de30000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 8, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6b6f3aa00b8e73fb785154e795189739', '402860816aa5921f016aa5dedcb90009', 'start_time', '会签发起时间', 'start_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('6beb40bdd28af22e06b26640bc0c3f4d', '3b5e18da618247539481816995b6bf9f', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6c35eb97737e9f86279939d264454a94', '86bf17839a904636b7ed96201b2fa6ea', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6cfb5acbbb69782bf0c7043b53f595b2', '402860816bff91c0016bff91cda80003', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('6d03a7774a50c6e6f76dbc7a8269beba', '3b5e18da618247539481816995b6bf9f', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6d4a4414b55ad5b6f31c8fb327dad834', '09fd28e4b7184c1a9668496a5c496450', 'address', '常用地址', NULL, 0, 1, 1, 'string', 300, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6dea0ed8104a84f25d84b39187249109', '41de7884bf9a42b7a2c5918f9f765dff', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6e5c9d8e8b7eb6980ec246cb813b180b', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6ed8d9acef3cccd1b8fd659b3b538023', '53a3e82b54b946c2b904f605875a275c', 'price', '价格', NULL, 0, 1, 1, 'BigDecimal', 10, 5, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6edce6cf880cf68d4d7812076e274610', '402881fd812267500181226750e90000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6f38a07ea2b1065315a6b89a02af5bb4', '3b5e18da618247539481816995b6bf9f', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6f47a2e4426e7d63c223803b1ecbe790', '553a4172fde446419cb602dc70f9ee67', 'update_time', '更新时间', NULL, 0, 1, 1, 'Datetime', 50, 0, NULL, NULL, NULL, NULL, 'datetime', NULL, 120, '', '0', NULL, NULL, 0, 0, 0, 0, 'single', NULL, NULL, 4, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('6f73e96a659c200c083006b6fce1f043', '402860816bff91c0016bff91ca7e0002', 'cert_name', '证书名称', 'cert_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('71197d255e05c9f6db67fd30380953c7', '402881e6760269a201760269a2af0000', 'sel_mut', '下拉多选', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list_multi', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 11, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7154c75d754a5f88bef2b68829baf576', '4028318169e81b970169e81b97650000', 'operate_type', '操作类型', 'operate_type', 0, 1, 1, 'string', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 4, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('71afb00a1971125ecfa13b4dfa49665e', '402860816bff91c0016bff91cfea0004', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('71d5b0675df5aba71688c9d7d75cccee', '4028318169e81b970169e81b97650000', 'log_type', '日志类型（1登录日志，2操作日志）', 'log_type', 0, 1, 1, 'string', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 2, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('71e9ab74dae687837365e50eed090591', '1acb6f81a1d9439da6cc4e868617b565', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7280c56a210e6a47794fda855d0c6abb', 'fbc35f067da94a70adb622ddba259352', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('72e784af5c47bbbc0534b29bf656bd61', '4028839a6de2ebd3016de2ebd3870000', 'id', '主键', 'id', 1, 0, 1, 'string', 36, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 0, 0, 0, 'group', NULL, NULL, 1, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7365f05f551092716223d5d449efd8c7', 'beee191324fd40c1afec4fda18bd9d47', 'name', 'ss', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('73d3b57df0c6cf15c21970f4dd979319', '402880e5721355dd01721355dd390000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('73dc6089556f3446e39d42df3dedb2db', '402880e570a5d7000170a5d700f50000', 'num', '数量', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, 'n', '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 8, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('742329ccdb185cf5d3e0b5b0c05dcffa', '402860816bff91c0016bffa220a9000b', 'interest', '兴趣爱好', 'interest', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 34, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('744444a7ada3bbb05c6b114b5ba0d477', '402860816aa5921f016aa5dedcb90009', 'id', 'id', 'id', 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('74af99545de724a4abd2022581a36026', 'fb7125a344a649b990c12949945cb6c1', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('756b07656386dbd91245f7ffda32ae61', '402860816bff91c0016bff91d8830007', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('75841fa7c75ebdc94655bd5e44fbc9f6', '402860816bff91c0016bffa220a9000b', 'native_place', '籍贯', 'native_place', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('75ba781c67711bed71bba1c3e3c68e11', '8994f2817b5a45d9890aa04497a317c5', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 0, NULL, NULL, '2019-03-23 11:39:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('75e82f151e8cc12455f7f0d25bf4dac0', '4028839a6de2ebd3016de2ebd3870000', 'wl_name', '物料名称', 'wl_name', 0, 1, 1, 'string', 100, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 7, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('760d2503c1890ee80edb7b0fdeb29f1c', '005e34f6157f40d199f8ab3d0454678d', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7639c1bc4327f1f674ffeab2ca261134', '32f75e4043ef4070919dbd4337186a3d', 'update_by', '更新人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('766ca866b72d118f5d8883de46a8c043', '4028839a6de2ebd3016de2ebd3870000', 'supplier', '供应商', 'supplier', 0, 1, 1, 'string', 32, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 15, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('76c64fdb02faecd86c817cbb58d293c2', '402881e6760269a201760269a2af0000', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 6, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('773910592db75466ccb080797cd66e7a', '553a4172fde446419cb602dc70f9ee67', 'price', '单价', NULL, 0, 1, 1, 'BigDecimal', 10, 2, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('78a40344207c791b8d7ac7de721ce1c4', '79091e8277c744158530321513119c68', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('78eb7e3b77cd49f9acb9b024cfe834e1', '402860816aa5921f016aa5dedcb90009', 'create_time', '创建日期', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 3, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('78fd804d93dc716fd8c2ccc45f788565', 'fb7125a344a649b990c12949945cb6c1', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('790c9f3dba773ed9a6ea3ad627393f57', '402860816bff91c0016bffa220a9000b', 'archives_location', '档案所在地', 'archives_location', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 36, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7a665ed90ef64b4d65632c941e5795b2', '4b556f0168f64976a3d20bfb932bc798', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2019-04-12 23:38:29', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7a697e4053445f07ad1a56a246f593e7', '86bf17839a904636b7ed96201b2fa6ea', 'good_name', '商品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7b4c181e4ebd76022f75535ed6fd9de3', '4adec929a6594108bef5b35ee9966e9f', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7b502641ba16c2b7ef4a7d8c53e94b6d', '005e34f6157f40d199f8ab3d0454678d', 'pid', '父级节点', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 1, 0, 0, 'single', '', '', 9, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7b642d983ac06bfef91edde2c932dbe7', '1acb6f81a1d9439da6cc4e868617b565', 'xg_shangxian', '选购上限', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 14, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7b6fe525c26b7085c13e32e94c90aff9', '553a4172fde446419cb602dc70f9ee67', 'province', '输入2到10位的字母', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'text', '', 120, '^[a-z|A-Z]{2,10}$', '0', '', '', 0, 1, 1, 0, 'single', '', '', 36, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7b849e57debfb889caea5e0fef09062b', 'beee191324fd40c1afec4fda18bd9d47', 'sex2', 'dd', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7beb639aa9ffda07edb5ce1e49c2287f', '402860816bff91c0016bff91d2810005', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7bf091da401b74d55b107fe9f930ea54', '4028839a6de2ebd3016de2ebd3870000', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 2, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7c6aecc377816c69147f1193b17dfcc5', 'e9faf717024b4aae95cff224ae9b6d97', 'sex', '员工性别', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7c8c5f45cb994038a51febdb0112a995', '553a4172fde446419cb602dc70f9ee67', 'jycs', '唯一检验', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'text', '', 120, 'only', '0', '', '', 0, 1, 1, 0, 'single', '', '', 35, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7ca2ae42e686e917f766edd2570c5141', '553a4172fde446419cb602dc70f9ee67', 'shijian', '时间', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'time', '', 120, '', '0', '', '', 1, 1, 1, 0, 'group', '', '', 15, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7cadf4e0be0b173bb5b8d39613e25190', '402860816bff91c0016bffa220a9000b', 'residence_postcode', '户籍邮编', 'residence_postcode', 0, 1, 1, 'string', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 29, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7cce797000cec08416fb027d1a4013cb', '402881e6760269a20176026d25650002', 'sex', '性别 {男:1,女:2}', 'sex', 0, 1, 1, 'string', 2, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 7, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7cdbe0d563e15f3fb1fb32d996fe4ba7', '3d447fa919b64f6883a834036c14aa67', 'area', '区', NULL, 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 3, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7d107728408c21ece332406a21f2d692', '402860816bff91c0016bff91cfea0004', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7d27d79157dff60f847d98cbc4e66e81', 'b493c5fd4fa64a3a84e74ee171763e37', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7e066f60680158d47b328ef519d80e49', 'beee191324fd40c1afec4fda18bd9d47', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7e331396f6e544ae801690cf475e7615', '402881e6760269a201760269a2af0000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 3, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7e5013b8a3e970fdcef2b577829bfa83', '402881fd812267500181226750e90000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 2, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('7f10901c6ade3aa9d9ff46ed7039c70f', '1acb6f81a1d9439da6cc4e868617b565', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('7f610ecd480210d2d12ce6eb47f261f0', '402881fd812267500181226787d90001', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 1, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('809a9fafe0b79c9997de32cb6e831c6f', '05a3a30dada7411c9109306aa4117068', 'birthday', '生日', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8119d3de514092232935b038531828c5', '05a3a30dada7411c9109306aa4117068', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 8, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('813a5ebf7335309c7edb3803f7e4b204', '402880e570a5d7000170a5d700f50000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 2, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('817cc5e277e88164dffd4caee1169276', '56efb74326e74064b60933f6f8af30ea', 'remark', '备注', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('81ed9556c9fda1bbb46d94a53a6c90c7', '402860816bff91c0016bff91c0cb0000', 'depart_name', '部门名称', 'depart', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('82ac28d632eb5d75ce4bfb68459c58bc', '553a4172fde446419cb602dc70f9ee67', 'zddtjxlss', '字典表带条件下拉搜索', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'username', 'sys_user where username like \'%a%\'', 'realname', 'sel_search', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 46, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('83764a3d17590f5a69047295803eaa07', 'feea98637c2144caae7c5d56a815a245', 'cc', 'cc', NULL, 0, 1, 1, 'double', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('838622bc247b35606e95ddcc079f70f4', 'f9fb8bee1a64472889d077c757b9acc7', 'nn', 'nn', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('840343a59a8e705821d393506c2bc1fe', '402880e570a5d7000170a5d700f50000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 3, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8419278effeb3a6531247fbfdb3b10e3', '402881e6760269a201760269a2af0000', 'user_sel', '选择用户', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'sel_user', '', 120, NULL, '0', '', '#{sysUserCode}', 0, 1, 1, 0, 'single', NULL, NULL, 18, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8422485e1cbf4455f9ded7d0af59379c', '402860816bff91c0016bff91cfea0004', 'to_time', '截止时间', 'to_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('843c14e8c8709eb13014303671192ae4', '402881fd812267500181226787d90001', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 4, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('844334fbd9dc9bd87682d7058ee65bcb', '553a4172fde446419cb602dc70f9ee67', 'mi_ma', '密码', NULL, 0, 1, 1, 'string', 32, 0, NULL, '', '', '', 'password', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('845c70568d44a074f067d6d277950525', '402860816bff91c0016bffa220a9000b', 'entrytime', '入职时间', 'entrytime', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 23, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('845f20dcbcb3cae414387203a8c70f1d', '553a4172fde446419cb602dc70f9ee67', 'name', '用户名', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'text', '', 120, '', '1', '', '', 1, 1, 1, 0, 'single', '', '', 7, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8529ddaed8d5f3d9084e873203d55cac', '402860816bff91c0016bffa220a9000b', 'marital_status', '婚姻状况', 'marital_status', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 24, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('857a0daa9cd8a058f2f15fc7c5fb3571', '402860816bff91c0016bffa220a9000b', 'email', '邮箱', 'email', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 17, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('85e43fa87074845f86cf52606a23a57c', 'b81de38db24047b497d476516f8a0865', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8652ca69a947fd4c961a3ac7c0fa252a', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'create_by', '创建人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 1, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('867b7947db161541ad7f4d0b2127d793', '553a4172fde446419cb602dc70f9ee67', 'tupian', '图片', NULL, 0, 1, 1, 'string', 250, 0, NULL, '', '', '', 'image', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 17, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('86bbafef5683674a736cf7241c458d44', '27fc5f91274344afa7673a732b279939', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('86c598da4f5a3dd3e82e1d9f38d06747', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('86e0f3a8f31c60698157f139ed993954', '402860816bff91c0016bffa220a9000b', 'having_reserve_funds', '是否有公积金', 'having_reserve_funds', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 33, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('86f29e9919766e0d1128263608c016a0', '997ee931515a4620bc30a9c1246429a9', 'type_name', '商品分类', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('873e2bb041b17bff77d3aca72900ea1b', '56870166aba54ebfacb20ba6c770bd73', 'order_code', '订单编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '${shop_order_num}', 1, 1, 1, 0, 'single', '', '', 5, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8756fbb5c23a0258e029e0cb3c0a045c', '402880e5721355dd01721355dd390000', 'price', '价格', NULL, 0, 1, 1, 'double', 10, 3, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 8, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('877391ae770a4ce2c95181ef410982ce', '4028318169e81b970169e81b97650000', 'request_param', '请求参数', 'request_param', 0, 1, 1, 'string', 255, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 10, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('87e82e3c723a6abb020122babdac6bd1', '8994f2817b5a45d9890aa04497a317c5', 'create_by', '创建人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 1, NULL, NULL, '2019-03-23 11:39:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('87f7a2703c5850f0b063dd866d0e2917', '402860816bff91c0016bffa220a9000b', 'birthday', '出生日期', 'birthday', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('87fafe1a4a8a626e3875697574c19f15', '402860816bff91c0016bff91d2810005', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 14, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('883265736ad6db0c98a7517d1f4a2488', '402880eb71d52dc30171d52dc3a10000', 'main_id', '主表ID', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, NULL, NULL, '2020-05-02 19:37:59', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('88a12570e14c9f6f442e731ae5ad0eb1', 'beee191324fd40c1afec4fda18bd9d47', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('88de72456c03410c364c80095aaa96eb', 'd35109c3632c4952a19ecc094943dd71', 'pop', '弹窗', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 14, 'admin', '2023-09-16 21:25:25', '2020-11-26 18:02:20', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('89370ae67e241fa5d1e47d22adeaca7b', '402880eb71d52dc30171d52dc3a10000', 'date', '日期', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{date}', 0, 1, 1, 0, 'single', NULL, NULL, 4, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('89ab9eedbac6141e7a0df6d37a3655d0', 'e67d26b610dd414c884c4dbb24e71ce3', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8a24fb45e2af120c253c8b61c0085f7a', '402860816bff91c0016bff91cda80003', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8a2f97fde739720e86fbcd3ce311c037', '09fd28e4b7184c1a9668496a5c496450', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8a6440c447ca97b1ceac40fa8576044e', '3b5e18da618247539481816995b6bf9f', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8a9d6bbbe45fd3539a8cb3ba2cee470a', '402881e6760269a201760269a2af0000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 5, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8ac8a0c0087469a4e7579229ff17f273', 'e5464aa8fa7b47c580e91593cf9b46dc', 'jifen', '合计积分', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8b0d9ecfe8d44282b973cd56bd99f1a8', '553a4172fde446419cb602dc70f9ee67', 'xiala', '字典下拉', NULL, 0, 1, 1, 'string', 50, 0, NULL, 'sex', '', '', 'list', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 9, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8bd4deadc9e96c1a6d7abd77033105f6', 'e67d26b610dd414c884c4dbb24e71ce3', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8c10f1728f8aa4f0a650af5a6856ccaa', 'f9fb8bee1a64472889d077c757b9acc7', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8c1b6fff73650b8650947c2a29c63492', '402881e6760269a201760269a2af0000', 'sex', '下拉框', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 8, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('8c4f4e151639f85bdf4a53f988588dc9', '402881fd812267500181226787d90001', 'contents', '请假原因', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'markdown', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 10, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8c6518fec11fc4769ba4eb770c9e00f7', '4028839a6de2ebd3016de2ebd3870000', 'integral_val', '积分值', 'integral_val', 0, 1, 1, 'int', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 11, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8ca56210938fbe649f840e505eb9fd41', '56870166aba54ebfacb20ba6c770bd73', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8e080f4ded1e3b2a1daa5b11eca4a0ff', '4adec929a6594108bef5b35ee9966e9f', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 7, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8e1212df6a94ed8f5102a327564e5af6', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'name', '分类名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8e131d4a438c907b3272474780be7603', '402880eb71d52dc30171d52dc3a10000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 8, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8e1e4cb5c41ba685c48ebabf0aacc469', '402880eb71d61d3d0171d61d3de30000', 'name', '名称', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{sysUserName}', 0, 1, 0, 0, 'single', '', '', 3, 'admin', '2020-11-26 17:28:14', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8e4012b263d899531aac5227db147bda', '41de7884bf9a42b7a2c5918f9f765dff', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'radio', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8ea43fd1e4ce82becee61b2f1e2e843f', '32feeb502544416c9bf41329c10a88f4', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8f1d302868640b72cef52171a023a203', 'e9faf717024b4aae95cff224ae9b6d97', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8f3e6fb68179c690f748f3c541fb50f1', '7ea60a25fa27470e9080d6a921aabbd1', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('8f6810b315b5101bea9d3de4d2400edd', '553a4172fde446419cb602dc70f9ee67', 'zddtjdx', '字典表带条件单选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'username', 'sys_user where username like \'%a%\'', 'realname', 'radio', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 43, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('8fc0be84bed1216635c69af918e097ff', '402860816aa5921f016aa5dedcb90009', 'name', '并行会签标题', 'name', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('903c33f7d18175a269b783cd4288216f', '402881e6760269a20176026d25650002', 'update_time', '修改时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 15, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('909b3de0c8a48a21ef8cf98eb4831689', '56efb74326e74064b60933f6f8af30ea', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('90a822b8a63bbbc1e9575c9f4e21e021', 'd35109c3632c4952a19ecc094943dd71', 'descc', '描述', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'textarea', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('90f39a6e29dae2e1fbb59d7d605f7c09', '1acb6f81a1d9439da6cc4e868617b565', 'iz_valid', '启用状态', NULL, 0, 1, 1, 'string', 2, 0, '', 'air_china_valid', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('918b8d661e480624713ddcff1bdda4f4', '402881e6760269a20176026d25650002', 'birthday', '生日', 'birthday', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 9, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('91be98b96dea1528abc943f9f131fd16', '402880e570a5d7000170a5d700f50000', 'price', '价格', NULL, 0, 1, 1, 'double', 32, 0, '', '', '', '', 'text', '', 120, 'n', '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 7, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('91f7cd9b59c0da033363f8a09b02ec96', '3d447fa919b64f6883a834036c14aa67', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('921cc5a92a79e1e21e9e631a1b7f3fbd', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, NULL, NULL, '2020-05-07 22:46:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('92a81f2775d611df6a9c9ee02ad896b3', '005e34f6157f40d199f8ab3d0454678d', 'has_child', '是否有子节点', NULL, 0, 1, 1, 'string', 3, 0, '', 'yn', '', '', 'list', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9341a3b2a734d8c73455c136e1cac8ad', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 8, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9370c9304af30b8d29defe0a5ada6e5b', '62e29cdb81ac44d1a2d8ff89851b853d', 'DC_DDSA', 'DD', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9371f61d39c5d57ddb0a2db96b2e2412', '402860816bff91c0016bffa220a9000b', 'speciality', '专业', 'speciality', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 15, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('941ef1bddbf91fcd3a437a7a7dd347e7', 'feea98637c2144caae7c5d56a815a245', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('947174892512ea97fafde899d427ea7e', '402860816bff91c0016bff91c0cb0000', 'real_name', '姓名', 'real_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('94b8bf435175cc545366e11992280757', '32f75e4043ef4070919dbd4337186a3d', 'age', '年龄', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 1, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('94e682cb802777fe4205536888f69353', '402860816bff91c0016bff91d2810005', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('951c51699d728072d88196d30f7aad10', '4adec929a6594108bef5b35ee9966e9f', 'address', '地址', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '{{ demoFieldDefVal_getAddress() }}', 0, 1, 1, 0, 'single', '', '', 5, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('957386b500be42a200d6a56d54345392', 'deea5a8ec619460c9245ba85dbc59e80', 'num', '数量', NULL, 0, 1, 1, 'int', 32, 0, '', '', '', '', 'text', '', 120, 'n', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('960d2847922b61dadeb3518ef55fb0c1', '1acb6f81a1d9439da6cc4e868617b565', 'wl_name', '物料名称', NULL, 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9665f02764774fdd77c19923d3ff3c3e', '4028318169e81b970169e81b97650000', 'cost_time', '耗时', 'cost_time', 0, 1, 1, 'string', 19, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 12, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('966a4988298d5cb0be47848735ce8cb7', '4028839a6de2ebd3016de2ebd3870000', 'xg_shangxian', '选购上限', 'xg_shangxian', 0, 1, 1, 'int', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 12, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9698964a9e06edf12fc88df976080984', '09fd28e4b7184c1a9668496a5c496450', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('96c585a4f71e5c38ed25b9741366365b', '402860816bff91c0016bff91c7010001', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9765efa2cafde6d0ede2215848c9e80b', '32f75e4043ef4070919dbd4337186a3d', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 0, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9874c79ce2e8663867d20ba4a5058ebd', '553a4172fde446419cb602dc70f9ee67', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, '', '1', NULL, NULL, 0, 0, 0, 1, 'single', NULL, NULL, 0, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('98e82cb1595609a3b42fa75c60ac1229', '402860816bff91c0016bff91d2810005', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9914a0c84805e72c4b6075e36edb13f9', '402860816aa5921f016aa5921f480000', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 9, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9920ecec9c9109fc6b93e86f8fdfa03b', '402860816bff91c0016bffa220a9000b', 'depart_name', '所在部门', 'depart_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 1, 1, 1, 0, 'group', '', '', 2, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('99b43bbb23237815ebb74b12b4d7ea2f', '62e29cdb81ac44d1a2d8ff89851b853d', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9a462d83210cad30f0e12b98e8a172a7', '3b5e18da618247539481816995b6bf9f', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9a4dc8718000c30953a3923eb7db5096', '402880eb71d52dc30171d52dc3a10000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', NULL, NULL, 1, NULL, NULL, '2020-05-02 19:37:59', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9a579c506f75f75baf88352a5eb2c249', '1acb6f81a1d9439da6cc4e868617b565', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 2, 0, '1', 'bpm_status', '', '', 'list', '', 120, NULL, '0', '', '', 0, 0, 1, 0, 'single', '', '', 16, 'admin', '2019-06-10 14:47:14', '2019-05-07 16:54:43', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9a9516645cbc8147b23333fea76aa2bb', 'b81de38db24047b497d476516f8a0865', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9aa6738443d3d8a67cf50506199d15ad', 'cb2d8534a2f544bc9c618dd49da66336', 'aaae', 'aae', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, NULL, NULL, '2020-02-24 17:22:43', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9b66c6501baaef67b35bd41ba7a6a781', '402881fd812267500181226750e90000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', NULL, NULL, 1, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9bd056786694d67666f6924cc225b1a0', '3d447fa919b64f6883a834036c14aa67', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 0, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9c40fb4db8afed3c682c6b8a732fd69d', 'e2faf977fdaf4b25a524f58c2441a51c', 'post', '用户岗位', NULL, 0, 1, 1, 'string', 32, 0, '', 'post_code', 'air_china_post_materiel_main', 'post_name', 'sel_search', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9cc60be30026301b9eafb8c310387f54', '402880e570a5d7000170a5d700f50000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 4, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9ceff249ef81ca6fa145456667c89051', '4adec929a6594108bef5b35ee9966e9f', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 8, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('9d85bafa399f28a40e1de1eeef747223', '4028318169e81b970169e81b97650000', 'ip', 'IP', 'ip', 0, 1, 1, 'string', 100, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 7, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9d88e0661ed4b0969b7f0608a714b14a', '402881e6760269a20176026d25650002', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 13, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9d89ff1a019f41d80307652041490944', '32feeb502544416c9bf41329c10a88f4', 'name', '请假人', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('9e50680eb4e79b3af352a5933d239dff', 'dbf4675875e14676a3f9a8b2b8941140', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a01a7fe5660206e6f407ed98b6c732d6', '402860816bff91c0016bff91cfea0004', 'phone', '联系方式', 'phone', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a029ecf9b943773bdf30a490e9922e45', '553a4172fde446419cb602dc70f9ee67', 'zdbxldx', '字典表下拉多选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'id', 'sys_depart', 'depart_name', 'list_multi', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 41, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a047f542fc3f1eb833593dfffdee5d5d', '553a4172fde446419cb602dc70f9ee67', 'popback', 'popback', NULL, 0, 1, 1, 'string', 100, 0, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 22, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a1a2d49b35c185df9f9e149b290aa277', '56efb74326e74064b60933f6f8af30ea', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a1f5daba36f536e7acf6a939826183b0', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 0, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a232d608434d15fcecd8a3f31a9044b2', '86bf17839a904636b7ed96201b2fa6ea', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a2baa3a18062f28e3d8a81178027f171', '402881fd812267500181226750e90000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 3, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a3dea64c8009780e213d16c69704c030', '53a3e82b54b946c2b904f605875a275c', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, 'admin', '2022-10-25 11:10:48', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a45eba33810c485b9d8e6f70818a1dfa', '402860816aa5921f016aa5921f480000', 'bpm_status', '流程状态', 'bpm_status', 0, 1, 1, 'string', 50, 0, '1', 'bpm_status', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 1, 0, 'group', '', '', 7, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a4e83c528933fc7d3a4230d4141a5a20', '553a4172fde446419cb602dc70f9ee67', 'dhwb', '多行文本框', NULL, 0, 1, 1, 'string', 250, 0, NULL, '', '', '', 'textarea', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 18, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a6471d4fb3dbffef01dab1f7d452bb30', '27fc5f91274344afa7673a732b279939', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a6722b498602d7d7b5177b16789d8cc1', 'e5464aa8fa7b47c580e91593cf9b46dc', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-04-24 17:09:48', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a6c428d67bbad26f220794ddfc7c637d', 'b493c5fd4fa64a3a84e74ee171763e37', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a7444c8c7be4fa4a0e18c65d9ea3de37', '553a4172fde446419cb602dc70f9ee67', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, '', '0', NULL, NULL, 0, 0, 0, 0, 'single', NULL, NULL, 3, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a76f561057ac9e43a8ca09e478a1eab8', '402860816bff91c0016bff91ca7e0002', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a7822f6e4cffb37fc0729cbd4cfd8655', '32f75e4043ef4070919dbd4337186a3d', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 1, 1, 1, 0, 'single', '', '', 5, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a7b6ae09441ce36a14c7ce95f17a218e', '86bf17839a904636b7ed96201b2fa6ea', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a82ca42a76e9d2b8dae6d57dbb5edb54', 'deea5a8ec619460c9245ba85dbc59e80', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a83acbadb64ad5ba87a384dd6eea3117', 'f9fb8bee1a64472889d077c757b9acc7', 'ddd', 'dd', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a8bbb074e115c12daa74de569db63399', '2d5fcb66727140629ebe46ad510e65b2', 'days', '请假天数', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '1', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a940adc4585fa3b5bd2114ea9abe8491', '402860816bff91c0016bff91ca7e0002', 'cert_level', '证书级别', 'cert_level', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a94f1d7da64f3aa35c32155ea00ccb2f', '402860816bff91c0016bffa220a9000b', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a95250edf8ca51cdec3b29962f5a9f1c', '005e34f6157f40d199f8ab3d0454678d', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('a9780eace237a15f26931dd6a9ec02e9', '758334cb1e7445e2822b60e807aec4a3', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('a97fec2610584bebe5fda2ba538e3881', '402881fd812267500181226750e90000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 4, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('aa07931514727913413880b7a2b76dcb', 'd3ae1c692b9640e0a091f8c46e17bb01', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('aa4780601419c21dabb6c42fc511e71c', '402860816bff91c0016bffa220a9000b', 'have_children', '有无子女', 'have_children', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 25, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('aa687ad6911c7797951276271bf9a85b', '5517e93b148a42a7b82d5f3f94542dcf', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ab10e0aa029ded2f4420a33420de225d', '1acb6f81a1d9439da6cc4e868617b565', 'wl_code', '物料编码', NULL, 0, 1, 1, 'string', 60, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ab1f880ba593f3757dac70e003945aa2', '402860816bff91c0016bff91c0cb0000', 'depart_id', '部门ID', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-07-19 18:09:01', '2019-07-17 19:38:45', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ab58f43f853fd1f65f83c22966883afb', 'beee191324fd40c1afec4fda18bd9d47', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-04-13 13:41:13', '2019-04-13 13:40:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ab7e46d1a9bd6fe87e6cd82140ce997b', '5517e93b148a42a7b82d5f3f94542dcf', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ab8e6f1cca421c5ce395a2c1fdfd2100', '32feeb502544416c9bf41329c10a88f4', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('abe61a8ddf966a979457b763329a537b', 'e5464aa8fa7b47c580e91593cf9b46dc', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ac91565da5fb8fe43a4da3dec660b25f', '402860816bff91c0016bff91c7010001', 'award_place', '获奖地点', 'award_place', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('acff5c8aef3b6288b87fd91215012206', 'e5464aa8fa7b47c580e91593cf9b46dc', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ad061417d5b53c67975eb83657505218', '73162c3b8161413e8ecdca7eb288d0c9', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ad93762c6c4a1dd8331e5fa11215b568', 'e2faf977fdaf4b25a524f58c2441a51c', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ae31da96f38fc2941cb93d1bb1ab9431', 'deea5a8ec619460c9245ba85dbc59e80', 'product_name', '产品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ae77bb317366622698c8ab9bf2325833', 'deea5a8ec619460c9245ba85dbc59e80', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ae9e686072c3c7f9b36bbc4be0fe1384', '402881e6760269a201760269a2af0000', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{sysUserCode}', 0, 1, 1, 0, 'single', NULL, NULL, 7, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('aee804d5d92922378cac6d4ae9257680', '402881fd812267500181226750e90000', 'price', '价格', NULL, 0, 1, 1, 'BigDecimal', 10, 5, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 8, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('af0fe0df8b626129de62e22212732517', '402860816bff91c0016bff91cda80003', 'speciality', '专业', 'speciality', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('af6c582b902e2f2bf9930eba61ae7938', '73162c3b8161413e8ecdca7eb288d0c9', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('af7c5ec3c49673562319bd29d6ac169b', '553a4172fde446419cb602dc70f9ee67', 'duoxuan', '字典多选', NULL, 0, 1, 1, 'string', 50, 0, NULL, 'urgent_level', '', '', 'checkbox', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('afd3ef1d494a9b69d2c7a3cdde937f6f', '402860816bff91c0016bffa220a9000b', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 39, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b01304904babd7479de2acfe8a77157f', '402860816aa5921f016aa5921f480000', 'id', 'ID', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b05b4cbb74f389a7376f51ed9fd97030', '402860816bff91c0016bff91d8830007', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b0a06bdbefd304d81a1838d8d94deda9', '4b556f0168f64976a3d20bfb932bc798', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b0a2c8d21782830ec6a2d16cc1231328', '402881e6760269a20176026d25650002', 'punch_time', '打卡时间', 'punch_time', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 4, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b0b1cf271dd6b221a902da2d2f8f889a', 'e9faf717024b4aae95cff224ae9b6d97', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b0dfd0f0c36ee46ef483c0c225956ac5', '402881e6760269a201760269a2af0000', 'checkbox', 'checkbox', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'checkbox', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 10, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b18f96f96d979daa7336e81086ea2bc1', 'cb2d8534a2f544bc9c618dd49da66336', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b1fc6e2ca671b19e57b08a4f57fc2454', 'fb7125a344a649b990c12949945cb6c1', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b22694cf34ffb967b8717647816ad5df', 'e5464aa8fa7b47c580e91593cf9b46dc', 'fk_id', '外键', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', 'air_china_post_materiel_main', 'id', 15, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b276facab025f9750b0aff391693cc4b', '402860816bff91c0016bff91c7010001', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b2b0cb30159639bb1190e150322b7541', '4028839a6de2ebd3016de2ebd3870000', 'wl_unit', '计量单位', 'wl_unit', 0, 1, 1, 'string', 100, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 14, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b3542d3e7908ed885ecc4ba9e7300705', '4b556f0168f64976a3d20bfb932bc798', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b3b61f9386eb2262919e0835e3c82eb9', '86bf17839a904636b7ed96201b2fa6ea', 'num', '数量', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b3fce33f7760070f26580ac84aa9599f', '41de7884bf9a42b7a2c5918f9f765dff', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b47af4d937e55c6208939bac5378bfad', '62e29cdb81ac44d1a2d8ff89851b853d', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b4e4fe6774e9d7b5f72d2056b47d18ac', '5517e93b148a42a7b82d5f3f94542dcf', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b53203fc52d067bb4730dbcb7e496bd3', '56870166aba54ebfacb20ba6c770bd73', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 0, 'admin', '2024-01-02 21:44:57', '2019-04-20 11:38:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b5cfd3c9691a884430f3d9cd5ecb211f', 'e2faf977fdaf4b25a524f58c2441a51c', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b67d877c34a5b67299f8b011b7fc2254', '41de7884bf9a42b7a2c5918f9f765dff', 'order_id', '订单id', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', 'test_order_main', 'id', 10, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b6874a05734cad8bd96ffd2f31f1ebca', '402860816bff91c0016bff91c7010001', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b733fa73519603b22d401fabbf9e9781', '402860816bff91c0016bff91c0cb0000', 'hiredate', '入职时间', 'hiredate', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b7938e4518f9062ce62702cf45986e06', 'e2faf977fdaf4b25a524f58c2441a51c', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b7a1243aaa712e2c152c0c7a46f88683', '402860816bff91c0016bff91d8830007', 'age', '年龄', 'age', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b7b311cf4483bd10a93a40891cc39a77', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'has_child', '是否有子节点', NULL, 0, 1, 1, 'string', 3, 0, '', 'yn', '', '', 'list', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 11, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b91258e3dc15b28c2e3f0d934e6e27e8', 'fb7125a344a649b990c12949945cb6c1', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 0, NULL, NULL, '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b92572ae142f8dd5f2ac02fb45e6b2c1', 'e2faf977fdaf4b25a524f58c2441a51c', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', 'realname,username', 'report_user', 'name,account', 'sel_search', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('b9280db8eff6098287747f1c99ef170e', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'age', 'age', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b9a1e25a5636f5e61cd07a852a4d7770', '402881fd812267500181226750e90000', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 6, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('b9fbace24688c9c9a8c9be72c1d014e7', '402860816bff91c0016bffa220a9000b', 'phone', '电话', 'phone', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 18, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ba17414716b12b51c85f9d1f6f1e5787', 'd35109c3632c4952a19ecc094943dd71', 'chegnshi', '城市', NULL, 0, 1, 1, 'string', 300, 0, '', '', '', '', 'pca', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 13, 'admin', '2023-09-16 21:25:25', '2020-11-26 16:54:45', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ba5f4b2affa94f36eda7f6f133db7ae3', '402860816bff91c0016bff91d2810005', 'workplace', '工作单位', 'workplace', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ba6f3e762d6e3ea1068a085ec2f7e501', '56efb74326e74064b60933f6f8af30ea', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bad02e68ea37bf387337516af84a1ddb', '73162c3b8161413e8ecdca7eb288d0c9', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bb44475e1d1738a19745bf9f3ebf9e40', '402860816bff91c0016bff91cfea0004', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bb7683ca63df1a2df70cc60c000df85e', '2d5fcb66727140629ebe46ad510e65b2', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bbbb38347b1a5340a1d293e455c632ce', 'fb19fb067cd841f9ae93d4eb3b883dc0', '3', '4', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bc648624ad14c826bbc6e9b23a2b9858', '402860816bff91c0016bff91ca7e0002', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bc793fdbef9f6474425456c4eb9d197a', '402860816bff91c0016bff91cfea0004', 'witness', '证明人', 'references', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bc7df6f3cf49f670c36a3de25e25e715', '402860816bff91c0016bff91d2810005', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bcc1f7cfabd386311a3c21e588022338', '553a4172fde446419cb602dc70f9ee67', 'fwb', '富文本', NULL, 0, 1, 1, 'Text', 0, 0, NULL, '', '', '', 'umeditor', '', 120, '', '0', '', '', 0, 1, 0, 0, 'single', '', '', 26, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bcf2f5d1390227cf0d9ddfbd6121161f', '402880eb71d61d3d0171d61d3de30000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bd39cb237049ac60218b3f4dd844f30c', '402860816bff91c0016bffa220a9000b', 'current_address', '现居住地', 'current_address', 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 30, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bde81809057b1a4c974fa0f090501fdd', '402860816aa5921f016aa5dedcb90009', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 4, 'admin', '2019-05-11 15:56:47', '2019-05-11 15:50:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bdea5b776a15897265c43e6ee44af2e1', '997ee931515a4620bc30a9c1246429a9', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('be3f8c157d8a1b40e6f7b836552a8095', '8994f2817b5a45d9890aa04497a317c5', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 2, NULL, NULL, '2019-03-23 11:39:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('be5eeda7d51dace73d3818bd8467b53b', '402860816bff91c0016bff91c0cb0000', 'update_time', '更新时间', 'update_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 15, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('be868eed386da3cfcf49ea9afcdadf11', 'd35109c3632c4952a19ecc094943dd71', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bec3082fc5f0f194be5cd72cc2866ff4', 'e5464aa8fa7b47c580e91593cf9b46dc', 'wl_name', '物料名字', NULL, 0, 1, 1, 'string', 200, 0, '', 'wl_code', 'air_china_materiel', 'wl_name', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-04-24 17:09:49', '2019-04-24 11:05:10', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bed0bc67f570613eaa6a1bd8bcaaddcc', '4b556f0168f64976a3d20bfb932bc798', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bed95ca6dd6bb4b4f7cfd787313a0a4b', '402880e570a5d7000170a5d700f50000', 'product_name', '产品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 6, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bef85fd2846dd7ffc42d747095557d14', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'date', '日期', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '#{date}', 0, 1, 1, 0, 'single', '', '', 4, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('bf61aa04c5ca77ad54c764f8f8b2bdec', '402860816bff91c0016bff91d8830007', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 12, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bfc2f19fae367f885adb8bd82a344391', '4028318169e81b970169e81b97650000', 'userid', '操作用户账号', 'userid', 0, 1, 1, 'string', 32, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 5, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('bff39a86bd05656ee156b685e5187211', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c047ed2cead5bab0307967435f370936', '53a3e82b54b946c2b904f605875a275c', 'chuc_date', '出厂时间', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2022-10-25 11:10:49', '2020-05-07 22:49:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c08da9dc0325c441d89ae7378bcbf599', '553a4172fde446419cb602dc70f9ee67', 'zdbduoxuan', '字典表多选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'id', 'sys_depart', 'depart_name', 'checkbox', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 40, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c0c80f370e1d400fe670d8702c3b84da', '4adec929a6594108bef5b35ee9966e9f', 'address_param', '地址（传参）', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '{{ demoFieldDefVal_getAddress(\"昌平区\") }}', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:40:53', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c0d66c95773774e7ac1f2a88df307e7a', '402860816aa5921f016aa5921f480000', 'reason', '请假原因', 'reason', 0, 1, 1, 'string', 500, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c29216d975fee50af175bca8c664a475', 'e67d26b610dd414c884c4dbb24e71ce3', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:56', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c2b9eae184afe56d59ea7940d77cfced', '4adec929a6594108bef5b35ee9966e9f', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:57', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c311cca084580e5fd4b5a2e5b81c4cc5', '402881e6760269a20176026d25650002', 'email', '邮箱', 'email', 0, 1, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 10, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c382877700a9987f4bcc2deea9ee9daf', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c3d5f211ff18ff241fac97d31254173a', '402881fd812267500181226787d90001', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 3, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c43d87b6340c29c0c354aa9c579f387f', '32feeb502544416c9bf41329c10a88f4', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c456753a9c83e55fa241c4ec72c00f86', '402880eb71d52dc30171d52dc3a10000', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 6, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c4d71528f3f45661b1a87841b7256204', '402880e5721355dd01721355dd390000', 'order_main_id', '订单ID', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 11, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c52711856d2e81ad1074265833f44328', 'b81de38db24047b497d476516f8a0865', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, NULL, NULL, '2020-02-24 14:56:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c596f7f9035c71f9d2d0206d14b0eee8', '402881e6760269a201760269a2af0000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 4, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c59f39e7b3bb877398f16796b2cd7962', '997ee931515a4620bc30a9c1246429a9', 'pid', '父级节点', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 0, 0, 'single', '', '', 9, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c5a61724b3b1fdfd0eb39c361f22bafd', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c5dd2fc34ae825ebfced2ec74948654c', '402860816aa5921f016aa5921f480000', 'end_date', '请假结束时间', 'end_date', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c5f6ea01a6523a60df153cc61dc92f4d', 'fbc35f067da94a70adb622ddba259352', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c6024742fbc62f2fc39992e6b59ac13d', '05a3a30dada7411c9109306aa4117068', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 1, 1, 1, 0, 'group', '', '', 7, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('c6730e00df5efd77fedf181df29102de', '402860816bff91c0016bff91c7010001', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c75a7cb0a21958aa7ca5442f66019669', 'e9faf717024b4aae95cff224ae9b6d97', 'depart', '所属部门', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c772ed9cbe2d1dc69e9ffa73d3487021', '4b556f0168f64976a3d20bfb932bc798', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-04-12 23:38:28', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c7e0a5c6e23e99ac9af5d3fcc33323f7', 'b493c5fd4fa64a3a84e74ee171763e37', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c7f1907e8e7aa373c6829263ca6322d0', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c8027cf4f2483042445c89ba86c4e51f', '402880e5721355dd01721355dd390000', 'zong_price', '单品总价', NULL, 0, 1, 1, 'double', 10, 3, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 10, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c91b697b1bcd2be943fc746e2660bc9e', '402860816bff91c0016bff91d2810005', 'real_name', '姓名', 'real_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c962b89c893e2b8cf1a12c678ba12962', '553a4172fde446419cb602dc70f9ee67', 'zdbdx', '字典表单选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'id', 'sys_depart', 'depart_name', 'radio', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 39, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c988bd2b6125c01ceb3579a207dd8784', '3d447fa919b64f6883a834036c14aa67', 'city', '市', NULL, 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 2, 'admin', '2022-10-13 20:58:04', '2020-02-20 16:19:00', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('c9969d8427655f34affd6021ecd546ca', '05a3a30dada7411c9109306aa4117068', 'month', '月', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"month\"}', '', 0, 1, 1, 0, 'single', '', '', 13, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('c9b698d3f75aa780ee1eb67ef090b15b', '73162c3b8161413e8ecdca7eb288d0c9', 'wl_code', '物料编码', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ca68d935c875ba92c998a20fca314bed', '402881fd812267500181226787d90001', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', NULL, NULL, 0, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('caf5a071f2299c0f9ff2f3038d6d0fc6', '402860816bff91c0016bff91ca7e0002', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cb33a708b95e19085f8c9001d2d5c64c', 'e9faf717024b4aae95cff224ae9b6d97', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cb50a5991ca29e617aa32e49e92c01e7', '09fd28e4b7184c1a9668496a5c496450', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('cb7da49a981a1b0acc5f7e8a0130bdcd', 'd35109c3632c4952a19ecc094943dd71', 'user_code', '用户编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 1, 1, 0, 0, 'single', '', '', 10, 'admin', '2023-09-16 21:25:25', '2019-05-11 16:26:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('cb871284e845e26e88242a96fac9c576', '402860816bff91c0016bff91c7010001', 'order_no', '序号', 'order_no', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cb883a4932f0fd3a80fcf27efd7d1f2d', 'f9fb8bee1a64472889d077c757b9acc7', 'sdf', 'sdf', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:58:02', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('cc1ddc1304d3eb5d9a189da0a509ccd0', '32f75e4043ef4070919dbd4337186a3d', 'create_by', '创建人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-04-11 10:15:32', '2019-03-27 15:54:49', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ccda49a8cea079c34f0034361d058c08', '09fd28e4b7184c1a9668496a5c496450', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ccf2f331af46ddc411b8039dd187621b', '4028839a6de2ebd3016de2ebd3870000', 'price', '单价', 'price', 0, 1, 1, 'double', 10, 2, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 10, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cee3c1dbf67b4a7d9626b8032897a4c7', '402860816bff91c0016bff91d8830007', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cefb82e2168ab7e3aa57a7e9c3ca950e', '09fd28e4b7184c1a9668496a5c496450', 'order_main_id', '订单ID', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', 'ces_order_main', 'id', 12, 'admin', '2022-05-07 19:05:57', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('cf4c5a4c06ae6bac701edfeedfcd16aa', 'd3ae1c692b9640e0a091f8c46e17bb01', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('cfeb6491427aec2b4db9694af867da23', 'e9faf717024b4aae95cff224ae9b6d97', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d03036e8210754e126fa74facbfe6d2e', '005e34f6157f40d199f8ab3d0454678d', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d0559db07f05c870860f98313eb0f857', 'cb2d8534a2f544bc9c618dd49da66336', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-02-24 17:22:42', '2020-02-24 15:15:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d0d1be336726df9c41f2173f8886ba35', '997ee931515a4620bc30a9c1246429a9', 'has_child', '是否有子节点', NULL, 0, 1, 1, 'string', 3, 0, '', 'yn', '', '', 'list', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d14e47befe47925b1440d584f4ca56fc', '09fd28e4b7184c1a9668496a5c496450', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d2551b70dc96a45a73b304bf755a996f', '402860816bff91c0016bff91d8830007', 'workplace', '工作单位', 'workplace', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d29dcdba14ea61808391fff2d927efea', '402860816bff91c0016bff91c0cb0000', 'work_summary', '工作总结', 'work_summary', 0, 1, 1, 'Text', 65535, 0, '', '', '', '', 'textarea', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d3a701472d27ca8435d6a781a597038d', 'deea5a8ec619460c9245ba85dbc59e80', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-05-03 01:01:18', '2019-04-20 11:41:19', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d3ba5f990e14f9a1a0bbf6aa4cfa26dc', '56efb74326e74064b60933f6f8af30ea', 'xd_date', '下单时间', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d44b89cc5f1828f7ceb9be196d549665', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'code', '编码', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '${order_num_rule_param}', 0, 1, 1, 0, 'single', '', '', 2, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:01', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d48bfd2a840f9b1d00bd3b5599dca0f0', '402860816bff91c0016bff91cda80003', 'post', '职务', 'post', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d4d8cae3cd9ea93e378fc14303eee105', 'd35109c3632c4952a19ecc094943dd71', 'create_by', '创建人登录名称', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d4dea775487aef5a7aea41791d3a65db', 'e5464aa8fa7b47c580e91593cf9b46dc', 'cycle_time', '发放周期(年)', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 11, 'admin', '2019-04-24 17:09:49', '2019-04-24 14:09:06', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d525e93aca3f1ec6c20a7ab058724e82', '553a4172fde446419cb602dc70f9ee67', 'danxuan', '字典单选', NULL, 0, 1, 1, 'string', 50, 0, NULL, 'sex', '', '', 'radio', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d52c79620e21128fb69b4e8628cf25cc', 'dbf4675875e14676a3f9a8b2b8941140', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2019-05-27 18:02:07', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d530ab1bc3c51e8249a506a25d1003c7', '79091e8277c744158530321513119c68', 'start_time', '会签发起时间', NULL, 0, 1, 1, 'Datetime', 32, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d53e70411c206efecb8dcd00174e907c', '62e29cdb81ac44d1a2d8ff89851b853d', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d5983069825aa9ae8624efe2567bbdc4', '005e34f6157f40d199f8ab3d0454678d', 'wul_code', '物料编码', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d5df0a35352ee960053686e959e9084b', '1acb6f81a1d9439da6cc4e868617b565', 'wl_unit', '计量单位', NULL, 0, 1, 1, 'string', 100, 0, '', 'air_china_unit', '', '', 'list_multi', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d6fad89f4f26d733291863c2dfbc5945', '27fc5f91274344afa7673a732b279939', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d7082454dac60103fdda3e00b6557d39', '402880eb71d52dc30171d52dc3a10000', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 9, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d766ea5809e2ec9ff2cdbcb18f610ab3', '7ea60a25fa27470e9080d6a921aabbd1', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d7c3b107f004cbc99dfe1fe6c79894d8', '402860816bff91c0016bffa220a9000b', 'social_insurance_type', '参加社保类型', 'social_insurance_type', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 35, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d8234b56acea1a752271a6c911dd91a0', '7ea60a25fa27470e9080d6a921aabbd1', 'age', '年龄', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2019-04-17 00:22:21', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d86909d794b01ad7fbb5e61d28b6603b', '73162c3b8161413e8ecdca7eb288d0c9', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d949d9157831c2fb7ba9f175081fe036', '402860816bff91c0016bff91cda80003', 'school', '学校', 'school', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d9d308feb95968dbb322c9bff0c18452', '32feeb502544416c9bf41329c10a88f4', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d9dde2f59bb148c6b7e95256acad8972', 'e67d26b610dd414c884c4dbb24e71ce3', 'post_name', '岗位名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-04-24 11:03:32', '2019-04-24 11:02:57', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('d9e1ea7f448c5fbe7a4a7a5109a87138', '402881fd812267500181226750e90000', 'name', '商品名字', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 7, NULL, NULL, '2022-06-02 11:13:25', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('d9f9ae6986cb85019a3a4030f62f4d1a', '402860816bff91c0016bff91cfea0004', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('da397534e84567b4f94cca10b70b2d52', '553a4172fde446419cb602dc70f9ee67', 'zddtjxl', '字典表带条件下拉', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'username', 'sys_user where username like \'%a%\'', 'realname', 'list', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 42, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('db11e7fe2a76680e502007ad82fc08b9', '402881e6760269a20176026d25650002', 'name', '姓名', 'name', 0, 1, 1, 'string', 30, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 2, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('db1fb3e12385cb967b63420cfe97cde6', '402860816bff91c0016bff91cda80003', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('db30abd575f5774365750d93ad47c952', '2d5fcb66727140629ebe46ad510e65b2', 'be_date', '开始时间', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '1', '', '', 1, 1, 1, 0, 'single', '', '', 11, 'admin', '2024-06-24 17:30:15', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('db518071f3d42832d13a5132f82af9c2', '553a4172fde446419cb602dc70f9ee67', 'zddtjduox', '字典表带条件多选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'username', 'sys_user where username like \'%a%\'', 'realname', 'checkbox', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 44, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('dbfc8f23823c4091f516635a464b3cc5', '402881e6760269a20176026d25650002', 'content', '个人简介', 'content', 0, 1, 1, 'string', 1000, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 11, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('dc2bec862a4f0d600751c632d246f0ed', '4028839a6de2ebd3016de2ebd3870000', 'update_time', '更新日期', 'update_time', 0, 1, 1, 'Datetime', 0, 0, NULL, NULL, NULL, NULL, 'date', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 5, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('dcce0f5c34c530e2903de9e16feb9dbf', '41de7884bf9a42b7a2c5918f9f765dff', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('dd3e1e13d7429807b83a00a090e060b7', '402860816bff91c0016bffa220a9000b', 'join_party_info', '入党（团）时间地点', 'join_party_info', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 26, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('dd68fff7927061a239b025afe0cf5fd3', '2d5fcb66727140629ebe46ad510e65b2', 'name', '请假人', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '1', '', '', 1, 1, 1, 0, 'single', '', '', 6, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ddc302f84c75a5f056855c664b82202a', '402860816aa5921f016aa5921f480000', 'days', '请假天数', 'days', 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ddcc14a2105588982b4ae657f2893d81', '32feeb502544416c9bf41329c10a88f4', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('de34e46a66def956437635585db427b7', 'cb2d8534a2f544bc9c618dd49da66336', 'dde', 'ee', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 10, NULL, NULL, '2020-02-24 17:22:43', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('de3a8a6b042b1821b3dcbd236fd82174', '402881e6760269a201760269a2af0000', 'pic', '图片', NULL, 0, 1, 1, 'string', 1000, 0, '', '', '', '', 'image', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 14, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('de8f510d358f499dcd966e97708f82d4', '997ee931515a4620bc30a9c1246429a9', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('dec74e7fe09a525cda36efd37e6c4dca', '553a4172fde446419cb602dc70f9ee67', 'zddtjxldx', '字典表带条件下拉多选', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'username', 'sys_user where username like \'%a%\'', 'realname', 'list_multi', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 45, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('dedb920a5e876e27eb144464209ebe1e', '27fc5f91274344afa7673a732b279939', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('df489194c6008f3bd21b2c1c11fde337', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 2, NULL, NULL, '2019-03-23 11:39:48', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('df4c5e8411c102f02a6fe6727e858d55', '997ee931515a4620bc30a9c1246429a9', 'pic', '分类图片', NULL, 0, 1, 1, 'string', 500, 0, '', '', '', '', 'image', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('df58a7b1c3ed8f58a1994c0c0855db16', '4adec929a6594108bef5b35ee9966e9f', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 11, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('dff586dae2bf4587a0b438cdbba0a5b9', 'b493c5fd4fa64a3a84e74ee171763e37', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e09b191e3c37f9c89ae2192c75220b89', 'b81de38db24047b497d476516f8a0865', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2020-02-24 14:56:08', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e0c5d6e483897d5c4e7894dc66dd1aff', '32feeb502544416c9bf41329c10a88f4', 'bpm_status', '流程状态', NULL, 0, 1, 1, 'string', 2, 0, '', 'bpm_status', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-08-23 20:03:40', '2019-07-02 18:23:58', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e24de426223dc0271a55eccc1d5457d0', '73162c3b8161413e8ecdca7eb288d0c9', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e2d73ccda7f10f5a1ccce3c48b1e699e', '402860816bff91c0016bffa220a9000b', 'residence_street', '户口所在街道', 'residence_street', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 27, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e350986acb670f247df30fe4a44e73df', '09fd28e4b7184c1a9668496a5c496450', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 1, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e461b46a91d2f856d417fa32f4c4d887', 'f9fb8bee1a64472889d077c757b9acc7', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e48ebd15c6110e9eb753bdfc88c04683', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2021-01-24 14:39:35', '2021-01-24 14:38:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e4914fdff68ac72486ada105e6e9fa36', 'e9faf717024b4aae95cff224ae9b6d97', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-07-03 18:23:49', '2019-07-03 18:22:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e4a4c1d50b7b46678bc14fd5b90ee082', '73162c3b8161413e8ecdca7eb288d0c9', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e4d7f95340e73a54e8ff3f66b0613513', '56efb74326e74064b60933f6f8af30ea', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2020-07-10 16:53:27', '2020-05-08 23:45:32', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e50b4398731e06572c247993a0dcc38d', 'd35109c3632c4952a19ecc094943dd71', 'name', '用户名', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, '*', '0', '', '', 1, 1, 1, 0, 'single', '', '', 5, 'admin', '2023-09-16 21:25:25', '2019-03-15 14:24:35', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '1');
INSERT INTO `onl_cgform_field` VALUES ('e53f53766d1f7718b3ee5eabe105b969', '402860816bff91c0016bffa220a9000b', 'social_insurance_time', '五险一金日期', 'social_insurance_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 38, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e60156c892af8f2cd658e9f358255566', '005e34f6157f40d199f8ab3d0454678d', 'wul_name', '物料名称', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e60a8e496b0f7081dbfe4253b3218546', '402880eb71d61d3d0171d61d3de30000', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 10, 'admin', '2020-05-03 00:54:16', '2020-05-02 23:59:33', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e672d5974a06d5c37b3b4c94a6f29f96', '4028318169e81b970169e81b97650000', 'request_url', '请求路径', 'request_url', 0, 1, 1, 'string', 255, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 9, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e6bd2d4c533918a0b19e1d54a056582f', '41de7884bf9a42b7a2c5918f9f765dff', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e72ee3a352143281ccc3a823b25401c7', '402881fd812267500181226787d90001', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', NULL, NULL, 8, 'admin', '2022-06-02 11:13:48', '2022-06-02 11:13:39', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e7aade12ca722b59c1ec681d14247ff8', '402860816bff91c0016bff91d8830007', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 14, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e7c367221181aa9d1fc395e09796be8d', '402880eb71d52dc30171d52dc3a10000', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 7, NULL, NULL, '2020-05-02 19:37:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e7ec6838aad8d2dd2e175886a7c6e14e', '402881e6760269a201760269a2af0000', 'sel_search', '下拉搜索', NULL, 0, 1, 1, 'string', 32, 0, '', 'username', 'sys_user', 'username', 'sel_search', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 12, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e824c44d26034ad8eed32e22a3f69043', '402881e6760269a201760269a2af0000', 'ddd', 'DD类型', NULL, 0, 1, 1, 'double', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 20, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e845925368919482df6dac58e6ed708d', '402860816bff91c0016bff91d8830007', 'phone', '联系方式', 'phone', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e85295979d84bde27615a008d8bbadf1', '3b5e18da618247539481816995b6bf9f', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2020-07-11 11:27:29', '2020-07-11 11:27:17', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e878e70574d0d6180c2f6f0d281c9262', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'pid', '父级节点', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 0, 0, 'single', '', '', 10, NULL, NULL, '2020-05-07 22:46:32', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e88d328af34dd8a17f51437c52b68a2d', '402860816bff91c0016bff91cfea0004', 'create_by', '创建人', 'create_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e99cc08f4d88dd8f788399db8d448ee8', '62e29cdb81ac44d1a2d8ff89851b853d', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e9a45935d69f5fd91f0c6880e5e6cfa4', '402881e6760269a20176026d25650002', 'age', '年龄', 'age', 0, 1, 1, 'int', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 8, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('e9b782461fc66dbc77df0400600868f7', '553a4172fde446419cb602dc70f9ee67', 'riqi', '日期', NULL, 0, 1, 1, 'Date', 50, 0, NULL, '', '', '', 'date', '', 120, '', '0', '', '', 1, 1, 1, 0, 'group', '', '', 13, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('e9fb150adabaaacdd804b1953e6bad24', '05a3a30dada7411c9109306aa4117068', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ea309f9cd81ede7b9b36a1377a3a40d8', '997ee931515a4620bc30a9c1246429a9', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-05-03 00:57:44', '2020-05-03 00:56:56', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ea644c4c208739640933ba6e568045c1', 'e2faf977fdaf4b25a524f58c2441a51c', 'ruz_date', '入职时间', NULL, 0, 1, 1, 'Datetime', 32, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ea749346b5eb9e70df2058ade2b0bbfa', '402881e6760269a201760269a2af0000', 'fuwenb', '富文本', NULL, 0, 1, 1, 'Text', 0, 0, '', '', '', '', 'umeditor', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 17, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ea96d1c33f0f0d7245045e70a5793257', '402860816bff91c0016bffa220a9000b', 'current_postcode', '现居住地邮编', 'current_postcode', 0, 1, 1, 'string', 10, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 31, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('eb1d4b15efc32b81ec5e486f73b5ef24', '41de7884bf9a42b7a2c5918f9f765dff', 'birthday', '生日', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ebc41362681919cc680fcc58bf87fdcb', '1acb6f81a1d9439da6cc4e868617b565', 'price', '单价', NULL, 0, 1, 1, 'double', 10, 2, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ec20e66d5eb9b8b7f58de9edc0f7630b', '1acb6f81a1d9439da6cc4e868617b565', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ec5e9cb5809b2f8ce1446df4a27693f0', '27fc5f91274344afa7673a732b279939', 'name', '用户名', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2019-07-01 16:28:20', '2019-07-01 16:26:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ed16f23d08e7bcda11a1383fda68057e', '402860816bff91c0016bff91c7010001', 'employee_id', '员工ID', 'employee_id', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', 'oa_employee_info', 'id', 2, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('edaa8951735cedf29d6114354faaae67', '402881e6760269a201760269a2af0000', 'radio', 'radio', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'radio', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 9, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('edda30c64e1dccee510d40b77a8ca094', 'fb7125a344a649b990c12949945cb6c1', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ee09e0e21fa350b9346b70292dcfca00', '79091e8277c744158530321513119c68', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ee4ffe04a25fcf556e78183f1f521546', '402860816aa5921f016aa5921f480000', 'create_by', '创建人id', 'create_by', 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 8, 'admin', '2019-05-11 15:31:54', '2019-05-11 14:26:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ee5803611f63643059b6375166d71567', '402860816bff91c0016bff91c7010001', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:07:47', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('eec5bc01720642ccc635c7fc2e9b1eb8', '86bf17839a904636b7ed96201b2fa6ea', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2020-05-14 21:18:49', '2020-05-08 23:48:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ef81373c5fd7130d7e23859d90c9eb3e', '402860816bff91c0016bff91cda80003', 'from_time', '开始日期', 'from_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 3, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('efd1b955a75b5046e9857e00fe94ae2c', 'fbc35f067da94a70adb622ddba259352', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f015cc2ffdcc2c4be1e9b3622eb69b52', 'fbc35f067da94a70adb622ddba259352', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2019-07-03 19:44:23', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f06b2bb01ea1fae487b7e3c3eb521d5b', 'd3ae1c692b9640e0a091f8c46e17bb01', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f0967fd139b440f79f21248bf4e4a209', 'd3ae1c692b9640e0a091f8c46e17bb01', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2019-07-24 14:47:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f0a453930aa16ca32f2e3be860bfe542', '402860816bff91c0016bffa220a9000b', 'education', '学历', 'education', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 14, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f12753b4a3815697a72017a7436fe733', 'e2faf977fdaf4b25a524f58c2441a51c', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, 'admin', '2019-06-10 17:27:00', '2019-04-24 17:12:11', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f1ab7d3b55ade57eeac6c55b32ce813a', '1acb6f81a1d9439da6cc4e868617b565', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f1c7fde21f26c7ed64a0ef1095900c52', '4028318169e81b970169e81b97650000', 'request_type', '请求类型', 'request_type', 0, 1, 1, 'string', 10, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 11, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f32068148faf57abaf4511cd94adb3e4', '05a3a30dada7411c9109306aa4117068', 'year', '年', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"year\"}', '', 0, 1, 1, 0, 'single', '', '', 12, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f3244d0f0576b232cd5ffda9e3f18084', '005e34f6157f40d199f8ab3d0454678d', 'xingqi', '星期', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"week\"}', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:47:04', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f3284a1ce6da9b887dce89091eaa0f6b', '402880e570a5d7000170a5d700f50000', 'pro_type', '产品类型', NULL, 0, 1, 1, 'string', 32, 0, '', 'sex', '', '', 'radio', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', NULL, NULL, 9, NULL, NULL, '2020-03-04 21:58:16', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f38319e2add8da6a7223d77359144a22', '402880e5721355dd01721355dd390000', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 4, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f3a82b0b74e8feb37b423571c443357c', '553a4172fde446419cb602dc70f9ee67', 'kaiguan', '开关', NULL, 0, 1, 1, 'string', 50, 0, NULL, '', '', '', 'switch', '', 120, '', '0', '[1,2]', '', 0, 1, 1, 0, 'single', '', '', 12, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f3b9e10fa748661b4aba538eeb425dec', '2d5fcb66727140629ebe46ad510e65b2', 'age', '年龄', NULL, 0, 1, 1, 'int', 10, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2024-06-24 17:30:14', '2024-06-24 17:17:09', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f3c17d679978f0d375adde046536faa8', '553a4172fde446419cb602dc70f9ee67', 'popup', 'popup弹窗', NULL, 0, 1, 1, 'string', 100, 0, NULL, 'username,realname', 'report_user', 'popup,popback', 'popup', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 21, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f4647a91a4ac5d6d32bb0692b800bffe', '402860816bff91c0016bff91c0cb0000', 'probation_post', '试用期职位', 'probation_post', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-19 18:09:01', '2019-07-17 18:54:32', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f4b0bc7f3d6562e28d7c5e2d56510ecd', 'e5464aa8fa7b47c580e91593cf9b46dc', 'first_num', '首次数量', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 8, 'admin', '2019-04-24 17:09:49', '2019-04-24 14:31:31', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f4df140776be0d014d768a3cabf13dbe', '553a4172fde446419cb602dc70f9ee67', 'zdbxl', '字典表下拉', NULL, 0, 1, 1, 'string', 255, 0, NULL, 'id', 'sys_depart', 'depart_name', 'list', '', 200, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 38, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f558359b06aea79a992c102ce3563a4d', '4028318169e81b970169e81b97650000', 'username', '操作用户名称', 'username', 0, 1, 1, 'string', 100, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 6, NULL, NULL, '2019-04-04 19:28:36', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f56d0d76ec8e3a1e8922b41b864dab73', 'b493c5fd4fa64a3a84e74ee171763e37', 'aa', 'aa', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2021-06-07 18:13:37', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f5d2475aec4b9016dfc0c8772e1704ea', '402880eb71d52dc30171d52dc3a10000', 'code', '编码', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '${order_num_rule_param}', 0, 1, 1, 0, 'single', NULL, NULL, 2, NULL, NULL, '2020-05-02 19:37:59', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f6076d9c662a0adddb39a91cccb4c993', 'd35109c3632c4952a19ecc094943dd71', 'xiamuti', '下拉多选', NULL, 0, 1, 1, 'string', 100, 0, '', 'sex', '', '', 'list_multi', '', 120, '', '0', '', '', 1, 1, 1, 0, 'single', '', '', 16, 'admin', '2023-09-16 21:25:25', '2020-11-26 18:02:20', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f6431abe33976df2491df14db01591fe', '402881e6760269a20176026d25650002', 'key_word', '关键词', 'key_word', 0, 1, 1, 'string', 255, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'single', NULL, NULL, 3, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f6afcb7d8ea81879593ff737b55ddcc0', '402860816bff91c0016bff91cda80003', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:06:36', '2019-07-17 18:54:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f6f8aed87ec73994f6a12abbc079dbb1', '402860816bff91c0016bffa220a9000b', 'update_by', '更新人', 'update_by', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 41, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f7332af7586c83c87f7b9ea144a5292d', '62e29cdb81ac44d1a2d8ff89851b853d', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2019-05-11 14:01:14', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f76719783433487f4710232e2ae0e521', '402860816bff91c0016bff91cfea0004', 'id', 'id', 'id', 1, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'group', '', '', 1, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f7e7eb84ddc34d7e09d10af213ac6667', '402860816bff91c0016bff91d2810005', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 11, 'admin', '2019-07-19 18:05:55', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f7f84f3337548e36430f81640b028b41', '5517e93b148a42a7b82d5f3f94542dcf', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 120, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, NULL, NULL, '2022-07-19 19:36:53', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f81c2df076ceea5312648efc45311cf0', '402881fd812267500181226787d90001', 'month', '月', NULL, 0, 1, 1, 'Date', 0, 0, '', '', '', '', 'date', '', 120, '', '0', '{\"labelLength\":6,\"picker\":\"month\"}', '', 0, 1, 1, 0, 'single', '', '', 13, NULL, NULL, '2024-06-12 11:21:08', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f81d7103c0c857e5c744cda2bc4c000a', '402860816bff91c0016bff91ca7e0002', 'cert_organizations', '发证机关', 'cert_organizations', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 6, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f82db8edef5babf741914b0fa221329b', '4028839a6de2ebd3016de2ebd3870000', 'bpm_status', '流程状态', 'bpm_status', 0, 1, 1, 'string', 2, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 1, 1, 0, 'group', NULL, NULL, 16, NULL, NULL, '2019-10-19 15:29:30', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f857d4fd2d63c1ad94ed4698f5b173f5', '05a3a30dada7411c9109306aa4117068', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, 'admin', '2024-06-12 11:21:08', '2020-05-06 11:34:31', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f8a0fd20a1173270afdfed1129d5c669', '402860816bff91c0016bffa220a9000b', 'depart_id', '所在部门id', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 44, 'admin', '2019-07-22 16:15:32', '2019-07-19 15:33:44', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f8cc6be747fec10802eb625ac529c16f', '402860816bff91c0016bff91cfea0004', 'create_time', '创建时间', 'create_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 10, 'admin', '2019-07-19 18:05:13', '2019-07-17 18:54:35', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f90bcb38fb89988bd40d1618aa75cea0', '758334cb1e7445e2822b60e807aec4a3', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 1, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f93dcb2aa091b8e1038019d8f07cbd3f', '402881e6760269a201760269a2af0000', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 1, 'single', NULL, NULL, 1, NULL, NULL, '2020-11-26 10:37:26', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('f94db83e41c69f407d3c9a81c5892269', '402860816bff91c0016bffa220a9000b', 'first_job_time', '首次工作时间', 'first_job_time', 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'date', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 22, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('f95d2cbefd25444909c83aaf8c4f72fb', '402860816bff91c0016bff91ca7e0002', 'memo', '备注', 'memo', 0, 1, 1, 'string', 255, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 7, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fa3a12d7abf72b23afe425f8dbd57f86', '1acb6f81a1d9439da6cc4e868617b565', 'size_type', '尺码类型', NULL, 0, 1, 1, 'string', 2, 0, '', 'air_china_size', '', '', 'list', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-06-10 14:47:14', '2019-04-23 22:58:19', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fa497f056f22d546a0a281bac047e6b9', '005e34f6157f40d199f8ab3d0454678d', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 0, 0, '', '', '', '', 'datetime', '', 200, '', '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:42:48', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fa8f5a0ba673e0208934567462844eab', '402860816bff91c0016bff91ca7e0002', 'sys_org_code', '组织机构编码', 'sys_org_code', 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 13, 'admin', '2019-07-19 18:07:13', '2019-07-17 18:54:33', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('faaaca21b7b2b16089c885f3224e4dc5', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'main_id', '主表ID', NULL, 0, 1, 1, 'string', 200, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', 'demo_field_def_val_main', 'id', 5, 'admin', '2020-11-26 17:28:14', '2020-04-10 19:47:55', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fafb32cf7e63bca93bbd70b0a0ea11fc', '758334cb1e7445e2822b60e807aec4a3', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 6, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fb56aeb6b3a5a0a974ef62f34727eea6', '402880e5721355dd01721355dd390000', 'sys_org_code', '所属部门', NULL, 0, 1, 1, 'string', 64, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', NULL, NULL, 6, NULL, NULL, '2020-05-14 21:18:14', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fbf817e3eafd7d8935fc1154640c040c', 'f9fb8bee1a64472889d077c757b9acc7', 'create_time', '创建日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 3, 'admin', '2021-08-17 13:58:15', '2021-08-17 13:57:48', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fc22e67ed788a1f0b0fe4639ecb6f4c1', '553a4172fde446419cb602dc70f9ee67', 'ldzje', '联动组件二', NULL, 0, 1, 1, 'string', 255, 0, NULL, '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 30, 'admin', '2022-10-14 09:31:05', '2022-10-13 20:59:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fc55d467102c2c782286f546d7820c3d', '73162c3b8161413e8ecdca7eb288d0c9', 'pid', '父物料', NULL, 0, 1, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 9, 'admin', '2019-07-01 14:23:32', '2019-06-10 15:18:34', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fc76a3832d232829852cae6c66e44f67', '402860816bff91c0016bffa220a9000b', 'identity_no', '身份证号', 'identity_no', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 21, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fcd519058d68fa4dab192335602b5d24', '402860816bff91c0016bffa220a9000b', 'real_name', '姓名', 'real_name', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 5, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fd0586cae06685959415d9017b2bdf49', '758334cb1e7445e2822b60e807aec4a3', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2019-10-18 18:02:09', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fd80c2874fb71c8fc7cff81fb3dae0fb', 'feea98637c2144caae7c5d56a815a245', 'create_by', '创建人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 2, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fdc3f994afedc2e64269655eab6adf66', '005e34f6157f40d199f8ab3d0454678d', 'guanl', '关联请假单', NULL, 0, 1, 1, 'string', 32, 0, '', 'id', 'qingjia_dan', 'name,sex,age', 'link_table', '', 120, '', '0', '{\"showType\":\"card\",\"multiSelect\":false}', '', 0, 1, 1, 0, 'single', '', '', 15, 'admin', '2025-02-19 19:56:36', '2024-06-25 09:47:04', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fde00160a5d664effaa4b5552e814e74', 'fb7125a344a649b990c12949945cb6c1', 'sex', '性别', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 6, 'admin', '2019-03-26 19:24:11', '2019-03-26 19:01:52', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fde3b676f66c20375136421a11743c3b', 'feea98637c2144caae7c5d56a815a245', 'update_time', '更新日期', NULL, 0, 1, 1, 'Datetime', 20, 0, '', '', '', '', 'datetime', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 5, NULL, NULL, '2021-10-27 10:24:24', 'admin', '', '', '', '', '', NULL, '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fe05080f0cd87dd11710b83ce77fefb7', '402881e6760269a20176026d25650002', 'id', '主键ID', 'id', 1, 0, 1, 'string', 50, 0, NULL, NULL, NULL, NULL, 'text', NULL, 120, NULL, '0', NULL, NULL, 0, 0, 0, 1, 'single', NULL, NULL, 1, NULL, NULL, '2020-11-26 10:41:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('fed133a00f57245d4cfb02dd3c3ce7c1', '4adec929a6594108bef5b35ee9966e9f', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 9, 'admin', '2020-04-10 19:43:38', '2020-04-10 19:35:58', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('fef2add806c5e1ddd01c79c7e84f5a65', 'cb2d8534a2f544bc9c618dd49da66336', 'cc', 'cc', NULL, 0, 1, 1, 'string', 32, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, NULL, NULL, '2020-02-24 17:22:42', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ff2a099186b13d3ecb0764f7f22b1fbf', '09fd28e4b7184c1a9668496a5c496450', 'name', '客户名字', NULL, 0, 1, 1, 'string', 32, 0, '', 'realname,sex,birthday', 'tj_user_report', 'name,sex,birthday', 'popup', '', 120, '', '0', '', '', 0, 1, 1, 0, 'single', '', '', 7, 'admin', '2022-05-07 19:05:56', '2020-05-08 23:51:49', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ff2b9d7e0493b78fa34188aa3a45231a', '41de7884bf9a42b7a2c5918f9f765dff', 'id', '主键', NULL, 1, 0, 1, 'string', 36, 0, '', '', '', '', 'text', '', 120, '', '0', '', '', 0, 0, 0, 1, 'single', '', '', 0, 'admin', '2022-11-23 12:01:36', '2022-10-29 17:02:47', 'admin', '', '', '', '', '', 'text', '0', NULL, NULL, '0');
INSERT INTO `onl_cgform_field` VALUES ('ff49b468e54e137032f7e4d976b83b5a', '402860816bff91c0016bffa220a9000b', 'politically_status', '政治面貌', 'politically_status', 0, 1, 1, 'string', 20, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 8, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ff601f75d0e7ced226748eb8fba2c896', '402860816bff91c0016bff91d8830007', 'relation', '关系', 'relation', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 4, 'admin', '2019-07-19 18:04:41', '2019-07-17 18:54:37', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ffacafee9fa46eb297ca3252f95acef9', '402860816bff91c0016bffa220a9000b', 'school', '毕业学校', 'school', 0, 1, 1, 'string', 100, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 1, 1, 0, 'group', '', '', 9, 'admin', '2019-07-22 16:15:32', '2019-07-17 19:12:24', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_field` VALUES ('ffcbf379fffabbd13aa2c22ce565ec12', '79091e8277c744158530321513119c68', 'update_by', '更新人', NULL, 0, 1, 1, 'string', 50, 0, '', '', '', '', 'text', '', 120, NULL, '0', '', '', 0, 0, 0, 0, 'single', '', '', 4, 'admin', '2019-05-11 15:29:47', '2019-05-11 15:27:17', 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for onl_cgform_head
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_head`;
CREATE TABLE `onl_cgform_head`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `table_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表名',
  `table_type` int(11) NOT NULL COMMENT '表类型: 0单表、1主表、2附表',
  `table_version` int(11) NULL DEFAULT 1 COMMENT '表版本',
  `table_txt` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表说明',
  `is_checkbox` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否带checkbox',
  `is_db_synch` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'N' COMMENT '同步数据库状态',
  `is_page` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否分页',
  `is_tree` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否是树',
  `id_sequence` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主键生成序列',
  `id_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主键类型',
  `query_mode` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询模式',
  `relation_type` int(11) NULL DEFAULT NULL COMMENT '映射关系 0一对多  1一对一',
  `sub_table_str` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '子表',
  `tab_order_num` int(11) NULL DEFAULT NULL COMMENT '附表排序序号',
  `tree_parent_id_field` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '树形表单父id',
  `tree_id_field` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '树表主键字段',
  `tree_fieldname` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '树开表单列字段',
  `form_category` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'bdfl_ptbd' COMMENT '表单分类',
  `form_template` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'PC表单模板',
  `form_template_mobile` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表单模板样式(移动端)',
  `scroll` int(3) NULL DEFAULT 0 COMMENT '是否有横向滚动条',
  `copy_version` int(11) NULL DEFAULT NULL COMMENT '复制版本号',
  `copy_type` int(3) NULL DEFAULT 0 COMMENT '复制表类型1为复制表 0为原始表',
  `physic_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '原始表ID',
  `ext_config_json` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '扩展JSON',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `theme_template` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主题模板',
  `is_des_form` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否用设计器表单',
  `des_form_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设计器表单编码',
  `low_app_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联的应用ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_och_cgform_head_id`(`table_name`) USING BTREE,
  INDEX `idx_och_table_name`(`form_template`) USING BTREE,
  INDEX `idx_och_form_template_mobile`(`form_template_mobile`) USING BTREE,
  INDEX `idx_och_table_version`(`table_version`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_head
-- ----------------------------
INSERT INTO `onl_cgform_head` VALUES ('005e34f6157f40d199f8ab3d0454678d', 'wu_liao', 1, 8, '物料表', 'Y', 'Y', 'Y', 'Y', NULL, 'UUID', 'single', NULL, NULL, NULL, 'pid', 'has_child', 'wul_name', 'temp', '1', NULL, 1, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":\"\",\"commentStatus\":0,\"tableFixedAction\":1,\"tableFixedActionType\":\"right\",\"formLabelLengthShow\":0,\"formLabelLength\":null}', 'admin', '2025-02-19 19:56:36', 'admin', '2024-06-25 09:42:48', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('05a3a30dada7411c9109306aa4117068', 'test_note', 1, 17, '请假单@JS增强示例', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, 1, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":0,\"commentStatus\":1,\"tableFixedAction\":1,\"tableFixedActionType\":\"right\",\"formLabelLengthShow\":0,\"formLabelLength\":null}', 'admin', '2024-06-12 11:21:11', 'admin', '2020-05-06 11:34:31', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('2d5fcb66727140629ebe46ad510e65b2', 'qingjia_dan', 1, 5, '请假单', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, 1, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":\"\",\"commentStatus\":0,\"tableFixedAction\":1,\"tableFixedActionType\":\"right\",\"formLabelLengthShow\":0,\"formLabelLength\":null}', 'admin', '2024-06-24 17:30:15', 'admin', '2024-06-24 17:17:09', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('3d447fa919b64f6883a834036c14aa67', 'test_enhance_select', 1, 6, '三级联动控件', 'N', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, 0, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":\"\",\"commentStatus\":0}', 'admin', '2022-10-13 20:58:08', 'admin', '2020-02-20 16:19:00', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('402880e570a5d7000170a5d700f50000', 'test_order_product$1', 1, 11, '订单产品明细', 'N', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, 0, 1, 1, 'deea5a8ec619460c9245ba85dbc59e80', NULL, NULL, NULL, 'admin', '2020-03-04 21:58:16', NULL, NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('402880e5721355dd01721355dd390000', 'ces_order_goods$1', 1, 1, '订单商品', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, 1, 1, 1, '86bf17839a904636b7ed96201b2fa6ea', NULL, NULL, NULL, 'admin', '2020-05-14 21:18:14', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('402880eb71d61d3d0171d61d3de30000', 'demo_field_def_val_sub$1', 1, 2, '示例：控件默认值（子表）', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'demo', '1', NULL, 1, 1, 1, '4fb8e12a697f4d5bbe9b9fb1e9009486', NULL, 'admin', '2020-05-03 00:54:16', 'admin', '2020-05-02 23:59:33', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('402881fd812267500181226750e90000', 'ces_shop_goods$1', 1, 1, '商品', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, 1, 7, 1, '53a3e82b54b946c2b904f605875a275c', NULL, NULL, NULL, 'admin', '2022-06-02 11:13:25', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('402881fd812267500181226787d90001', 'test_note$1', 1, 2, '请假单@JS增强示例', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, 1, 12, 1, '05a3a30dada7411c9109306aa4117068', '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":\"\"}', 'admin', '2022-06-02 11:13:48', 'admin', '2022-06-02 11:13:39', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('41de7884bf9a42b7a2c5918f9f765dff', 'test_order_customer', 3, 9, '订单客户', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', 0, NULL, 2, NULL, NULL, NULL, 'temp', '1', NULL, 1, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":\"\",\"commentStatus\":0}', 'admin', '2022-11-23 12:01:41', 'admin', '2019-04-20 11:41:19', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('4adec929a6594108bef5b35ee9966e9f', 'demo_field_def_val_main', 2, 1, '示例：控件默认值（主表）', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, 'demo_field_def_val_sub', NULL, NULL, NULL, NULL, 'demo', '1', NULL, 1, NULL, 0, NULL, NULL, 'admin', '2020-11-26 17:28:14', 'admin', '2020-04-10 19:35:57', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('4fb8e12a697f4d5bbe9b9fb1e9009486', 'demo_field_def_val_sub', 3, 2, '示例：控件默认值（子表）', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'group', 0, NULL, 1, NULL, NULL, NULL, 'demo', '1', NULL, 1, NULL, 0, NULL, NULL, 'admin', '2020-11-26 17:28:14', 'admin', '2020-04-10 19:47:01', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('56870166aba54ebfacb20ba6c770bd73', 'test_order_main', 2, 38, '测试订单主表', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, 'test_order_product,test_order_customer', NULL, NULL, NULL, NULL, 'bdfl_include', '2', NULL, 0, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":900,\"commentStatus\":0,\"tableFixedAction\":0,\"tableFixedActionType\":\"right\"}', 'admin', '2024-01-02 21:44:58', 'admin', '2019-04-20 11:38:39', 'erp', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('997ee931515a4620bc30a9c1246429a9', 'test_shoptype_tree', 1, 2, '商品分类', 'Y', 'Y', 'Y', 'Y', NULL, 'UUID', 'single', NULL, NULL, NULL, 'pid', 'has_child', 'type_name', 'temp', '1', NULL, 1, NULL, 0, NULL, NULL, 'admin', '2020-05-03 00:57:47', 'admin', '2020-05-03 00:56:56', 'normal', NULL, NULL, NULL);
INSERT INTO `onl_cgform_head` VALUES ('d35109c3632c4952a19ecc094943dd71', 'test_demo', 1, 39, '测试用户表', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'group', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, 0, NULL, 0, NULL, '{\"reportPrintShow\":0,\"reportPrintUrl\":\"\",\"joinQuery\":0,\"modelFullscreen\":0,\"modalMinWidth\":900,\"commentStatus\":0,\"tableFixedAction\":0,\"tableFixedActionType\":\"right\"}', 'admin', '2023-09-16 21:25:25', 'admin', '2019-03-15 14:24:35', 'normal', 'N', '', NULL);
INSERT INTO `onl_cgform_head` VALUES ('deea5a8ec619460c9245ba85dbc59e80', 'test_order_product', 3, 12, '订单产品明细', 'N', 'Y', 'Y', 'N', NULL, 'UUID', 'single', 0, '', 1, NULL, NULL, NULL, 'bdfl_include', '1', NULL, 0, NULL, 0, NULL, NULL, 'admin', '2022-10-29 17:13:01', 'admin', '2019-04-20 11:41:19', 'normal', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for onl_cgform_index
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgform_index`;
CREATE TABLE `onl_cgform_index`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `cgform_head_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '主表id',
  `index_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '索引名称',
  `index_name_old` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '原索引名称',
  `index_field` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '索引栏位',
  `index_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '索引类型',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `is_db_synch` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否同步数据库 N未同步 Y已同步',
  `del_flag` int(1) NULL DEFAULT 0 COMMENT '是否删除 0未删除 1删除',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_oci_cgform_head_id`(`cgform_head_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgform_index
-- ----------------------------
INSERT INTO `onl_cgform_index` VALUES ('4731e321163d65e0e2cabf52c4a29937', '553a4172fde446419cb602dc70f9ee67', 'index_jycs', NULL, 'jycs', 'unique', 'admin', '2022-10-13 20:59:58', 'admin', '2022-10-14 09:31:05', 'Y', 0);

-- ----------------------------
-- Table structure for onl_cgreport_head
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgreport_head`;
CREATE TABLE `onl_cgreport_head`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '报表编码',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '报表名字',
  `cgr_sql` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '报表SQL',
  `return_val_field` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '返回值字段',
  `return_txt_field` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '返回文本字段',
  `return_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '返回类型，单选或多选',
  `db_source` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '动态数据源',
  `content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `low_app_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联的应用ID',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人id',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `index_onlinereport_code`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgreport_head
-- ----------------------------
INSERT INTO `onl_cgreport_head` VALUES ('1256627801873821698', 'report002', '统计登录每日登录次数', 'select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')', NULL, NULL, '1', NULL, NULL, NULL, '2022-10-13 16:47:57', 'admin', '2020-05-03 00:53:10', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('1260179852088135681', 'tj_user_report', '统一有效系统用户', 'select id,realname,username,sex,birthday,avatar,phone,email from sys_user', NULL, NULL, '1', NULL, NULL, NULL, '2023-10-17 16:25:56', 'admin', '2020-05-12 20:07:44', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('1590154651759259649', 'withparamreport', '带参数报表', 'select * from demo where sex = \'${sex}\'', NULL, NULL, '1', NULL, NULL, NULL, '2024-01-03 11:08:34', 'admin', '2022-11-09 09:29:47', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('1705487386450534402', 'seelog', '查看日志', 'select * from sys_log', NULL, NULL, '1', NULL, NULL, NULL, '2024-06-22 19:30:48', 'admin', '2023-09-23 15:40:54', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('1805173266362097665', 'report_qingjia', '统计每个人的请假情况', 'select name ,days from qingjia_dan', NULL, NULL, '1', NULL, NULL, NULL, '2024-06-24 17:37:40', 'admin', '2024-06-24 17:37:00', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('6c7f59741c814347905a938f06ee003c', 'report_user', '统计在线用户', 'select realname,username,sex,birthday,avatar,phone,email from sys_user', NULL, NULL, '1', NULL, NULL, NULL, '2022-10-25 11:41:18', 'admin', '2019-03-25 11:20:45', 'admin');
INSERT INTO `onl_cgreport_head` VALUES ('87b55a515d3441b6b98e48e5b35474a6', 'demo', 'Report Demo', 'select * from demo', NULL, NULL, '1', NULL, NULL, NULL, '2020-05-03 01:14:35', 'admin', '2019-03-12 11:25:16', 'admin');

-- ----------------------------
-- Table structure for onl_cgreport_item
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgreport_item`;
CREATE TABLE `onl_cgreport_item`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cgrhead_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '报表ID',
  `field_name` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字段名字',
  `field_txt` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段文本',
  `field_width` int(3) NULL DEFAULT NULL,
  `field_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型',
  `search_mode` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询模式',
  `is_order` int(2) NULL DEFAULT 0 COMMENT '是否排序  0否,1是',
  `is_search` int(2) NULL DEFAULT 0 COMMENT '是否查询  0否,1是',
  `dict_code` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典CODE',
  `field_href` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段跳转URL',
  `is_show` int(2) NULL DEFAULT 1 COMMENT '是否显示  0否,1显示',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `replace_val` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '取值表达式',
  `is_total` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否合计 0否,1是（仅对数值有效）',
  `group_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分组标题',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_oci_cgrhead_id`(`cgrhead_id`) USING BTREE,
  INDEX `idx_oci_is_show`(`is_show`) USING BTREE,
  INDEX `idx_oci_order_num`(`order_num`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgreport_item
-- ----------------------------
INSERT INTO `onl_cgreport_item` VALUES ('1256627802020622337', '1256627801873821698', 'date', '日期', NULL, 'String', NULL, 0, 0, '', '', 1, 0, '', NULL, NULL, 'admin', '2020-09-11 14:50:45', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1256627802075148289', '1256627801873821698', 'num', '登录次数', NULL, 'String', NULL, 0, 0, '', '', 1, 1, '', '1', NULL, 'admin', '2020-09-11 14:50:45', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496577', '1260179852088135681', 'id', 'ID', NULL, 'String', NULL, 0, 0, '', '', 0, 0, '', NULL, NULL, 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496578', '1260179852088135681', 'username', '账号', NULL, 'String', NULL, 0, 0, '', '', 1, 1, '', NULL, '用户信息', 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496579', '1260179852088135681', 'realname', '用户名字', NULL, 'String', NULL, 0, 0, '', '', 1, 2, '', NULL, '用户信息', 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496584', '1260179852088135681', 'sex', '性别', NULL, 'String', NULL, 0, 1, 'sex', '', 1, 3, '', NULL, '用户信息', 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496585', '1260179852088135681', 'email', '邮箱', NULL, 'String', 'single', 0, 1, '', '', 1, 4, '', NULL, NULL, 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1260179881129496586', '1260179852088135681', 'phone', '电话', NULL, 'String', NULL, 0, 0, '', '', 1, 5, '', NULL, NULL, 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('15884396588465896672', '87b55a515d3441b6b98e48e5b35474a6', 'id', 'ID', NULL, 'String', NULL, 0, 0, '', '', 0, 1, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('15892858611256977947', '1260179852088135681', 'birthday', '生日', NULL, 'Date', NULL, 0, 0, '', '', 1, 6, '', NULL, NULL, 'admin', '2020-09-11 14:07:38', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651872505857', '1590154651759259649', 'id', 'id', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 0, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700162', '1590154651759259649', 'name', 'name', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 1, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700163', '1590154651759259649', 'key_word', 'key_word', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 2, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700164', '1590154651759259649', 'punch_time', 'punch_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 3, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700165', '1590154651759259649', 'salary_money', 'salary_money', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 4, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700166', '1590154651759259649', 'bonus_money', 'bonus_money', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 5, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651876700167', '1590154651759259649', 'sex', 'sex', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 6, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088769', '1590154651759259649', 'age', 'age', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 7, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088770', '1590154651759259649', 'birthday', 'birthday', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 8, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088771', '1590154651759259649', 'email', 'email', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 9, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088772', '1590154651759259649', 'content', 'content', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 10, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088773', '1590154651759259649', 'create_by', 'create_by', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 11, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088774', '1590154651759259649', 'create_time', 'create_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 12, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088775', '1590154651759259649', 'update_by', 'update_by', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 13, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651885088776', '1590154651759259649', 'update_time', 'update_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 14, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651893477378', '1590154651759259649', 'sys_org_code', 'sys_org_code', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 15, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1590154651893477379', '1590154651759259649', 'tenant_id', 'tenant_id', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 16, NULL, NULL, NULL, 'admin', '2022-11-09 09:29:47', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386643472386', '1705487386450534402', 'id', 'id', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 0, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581250', '1705487386450534402', 'log_type', 'log_type', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 1, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581251', '1705487386450534402', 'log_content', 'log_content', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 2, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581252', '1705487386450534402', 'operate_type', 'operate_type', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 3, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581253', '1705487386450534402', 'userid', 'userid', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 4, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581254', '1705487386450534402', 'username', 'username', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 5, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581255', '1705487386450534402', 'ip', 'ip', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 6, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581256', '1705487386450534402', 'method', 'method', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 7, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581257', '1705487386450534402', 'request_url', 'request_url', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 8, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581258', '1705487386450534402', 'request_param', 'request_param', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 9, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581259', '1705487386450534402', 'request_type', 'request_type', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 10, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581260', '1705487386450534402', 'cost_time', 'cost_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 11, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581261', '1705487386450534402', 'create_by', 'create_by', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 12, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581262', '1705487386450534402', 'create_time', 'create_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 13, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581263', '1705487386450534402', 'update_by', 'update_by', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 14, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581264', '1705487386450534402', 'update_time', 'update_time', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 15, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1705487386710581265', '1705487386450534402', 'tenant_id', 'tenant_id', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 16, NULL, NULL, NULL, 'admin', '2023-09-23 15:40:54', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1740bb02519db90c44cb2cba8b755136', '6c7f59741c814347905a938f06ee003c', 'realname', '用户名称', NULL, 'String', NULL, 0, 0, '', 'https://www.baidu.com', 1, 0, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1805173266559229953', '1805173266362097665', 'name', '姓名', NULL, 'String', NULL, 0, 0, NULL, NULL, 1, 0, NULL, NULL, NULL, 'admin', '2024-06-24 17:37:00', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1805173266622144513', '1805173266362097665', 'days', '请假天数', NULL, 'Integer', NULL, 0, 0, NULL, NULL, 1, 1, NULL, '1', NULL, 'admin', '2024-06-24 17:37:00', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('1b181e6d2813bcb263adc39737f9df46', '87b55a515d3441b6b98e48e5b35474a6', 'name', '用户名', NULL, 'String', 'single', 0, 1, '', '', 1, 2, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('61ef5b323134938fdd07ad5e3ea16cd3', '87b55a515d3441b6b98e48e5b35474a6', 'key_word', '关键词', NULL, 'String', 'single', 0, 1, '', '', 1, 3, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('627768efd9ba2c41e905579048f21000', '6c7f59741c814347905a938f06ee003c', 'username', '用户账号', NULL, 'String', 'single', 0, 1, 'SELECT username value,  realname text FROM sys_user', '', 1, 1, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('8bb087a9aa2000bcae17a1b3f5768435', '6c7f59741c814347905a938f06ee003c', 'sex', '性别', NULL, 'String', 'single', 0, 1, 'sex', '', 1, 2, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('90d4fa57d301801abb26a9b86b6b94c4', '6c7f59741c814347905a938f06ee003c', 'birthday', '生日', NULL, 'Date', 'single', 0, 0, '', '', 1, 3, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('a4ac355f07a05218854e5f23e2930163', '6c7f59741c814347905a938f06ee003c', 'avatar', '头像', NULL, 'String', NULL, 0, 0, '', '', 0, 4, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('d6e86b5ffd096ddcc445c0f320a45004', '6c7f59741c814347905a938f06ee003c', 'phone', '手机号', NULL, 'String', NULL, 0, 0, '', '', 1, 5, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('df365cd357699eea96c29763d1dd7f9d', '6c7f59741c814347905a938f06ee003c', 'email', '邮箱', NULL, 'String', NULL, 0, 0, '', '', 1, 6, '', NULL, NULL, 'admin', '2020-05-03 02:35:28', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('edf9932912b81ad01dd557d3d593a559', '87b55a515d3441b6b98e48e5b35474a6', 'age', '年龄', NULL, 'String', NULL, 0, 0, '', '', 1, 4, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('f985883e509a6faaaf62ca07fd24a73c', '87b55a515d3441b6b98e48e5b35474a6', 'birthday', '生日', NULL, 'Date', 'single', 0, 1, '', '', 1, 5, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);
INSERT INTO `onl_cgreport_item` VALUES ('fce83e4258de3e2f114ab3116397670c', '87b55a515d3441b6b98e48e5b35474a6', 'punch_time', '发布时间', NULL, 'String', NULL, 0, 0, '', '', 1, 6, '', NULL, NULL, 'admin', '2020-05-03 01:14:35', NULL, NULL);

-- ----------------------------
-- Table structure for onl_cgreport_param
-- ----------------------------
DROP TABLE IF EXISTS `onl_cgreport_param`;
CREATE TABLE `onl_cgreport_param`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `cgrhead_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '动态报表ID',
  `param_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数字段',
  `param_txt` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数文本',
  `param_value` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数默认值',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_ocp_cgrhead_id`(`cgrhead_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_cgreport_param
-- ----------------------------
INSERT INTO `onl_cgreport_param` VALUES ('1590154651838951425', '1590154651759259649', 'sex', 'sex', '2', 0, 'admin', '2022-11-09 09:29:47', NULL, NULL);

-- ----------------------------
-- Table structure for onl_drag_comp
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_comp`;
CREATE TABLE `onl_drag_comp`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `parent_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `comp_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件名称',
  `comp_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `icon` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图标',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `type_id` int(11) NULL DEFAULT NULL COMMENT '组件类型',
  `comp_config` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '组件配置',
  `status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态0:无效 1:有效',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '组件库' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_comp
-- ----------------------------
INSERT INTO `onl_drag_comp` VALUES ('100', '0', '常用', '', 'ant-design:setting-twotone', 2, NULL, NULL, '0', NULL, NULL, 'jeecg', '2022-04-24 11:02:19');
INSERT INTO `onl_drag_comp` VALUES ('100100', '100', '查询条件', 'JForm', 'ant-design:form-outlined', 1, NULL, '{\n  \"w\": 24,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"timeOut\": -1,\n  \"option\": {}\n}', '1', NULL, NULL, 'jeecg', '2022-04-29 18:55:15');
INSERT INTO `onl_drag_comp` VALUES ('100102', '0', '数据', 'dataList', 'ant-design:table-outlined', 3, NULL, NULL, '0', NULL, NULL, 'admin', '2022-04-29 09:49:48');
INSERT INTO `onl_drag_comp` VALUES ('100102100', '100102', '动态表格', 'JTable', 'bi:table', 12, NULL, '{\n  \"w\": 24,\n  \"h\": 42,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/tableData\",\n  \"tableList\": \"http://api.jeecg.com/mock/42/tableList\",\n  \"timeOut\": 0,\n  \"chartData\": [\n    {\n      \"fieldTxt\": \"姓名\",\n      \"fieldName\": \"name\",\n      \"type\": \"field\",\n      \"isShow\": \"Y\",\n      \"isTotal\": \"N\"\n    },\n    {\n      \"fieldTxt\": \"年龄\",\n      \"fieldName\": \"age\",\n      \"type\": \"field\",\n      \"isShow\": \"Y\",\n      \"isTotal\": \"Y\"\n    },\n    {\n      \"fieldTxt\": \"性别\",\n      \"fieldName\": \"sex\",\n      \"type\": \"field\",\n      \"isShow\": \"Y\",\n      \"isTotal\": \"N\"\n    },\n    {\n      \"fieldTxt\": \"住址\",\n      \"fieldName\": \"address\",\n      \"type\": \"field\",\n      \"isShow\": \"Y\",\n      \"isTotal\": \"N\"\n    },\n    {\n      \"title\": \"新增\",\n      \"show\": 1,\n      \"position\": \"top\",\n      \"type\": \"button\",\n      \"key\": \"add\"\n    },\n    {\n      \"title\": \"编辑\",\n      \"show\": 1,\n      \"position\": \"row\",\n      \"type\": \"button\",\n      \"key\": \"edit\"\n    },\n    {\n      \"title\": \"导出\",\n      \"show\": 1,\n      \"position\": \"top\",\n      \"type\": \"button\",\n      \"key\": \"export\"\n    }\n  ]\n}', '0', NULL, NULL, NULL, '2022-04-28 15:37:26');
INSERT INTO `onl_drag_comp` VALUES ('100103', '100104', '快捷导航', 'JQuickNav', 'ion:navigate', 6, NULL, '{\n  \"w\": 12,\n  \"h\": 26,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\r\n	\"dataMapping\": [\r\n    {\r\n      \"filed\": \"标题\",\r\n      \"mapping\": \"\"\r\n    },\r\n    {\r\n      \"filed\": \"图标\",\r\n      \"mapping\": \"\"\r\n    },\r\n    {\r\n      \"filed\": \"颜色\",\r\n      \"mapping\": \"\"\r\n    },\r\n    {\r\n      \"filed\": \"跳转\",\r\n      \"mapping\": \"\"\r\n    }\r\n  ],\n  \"chartData\": [\n    {\n      \"title\": \"首页\",\n      \"icon\": \"icon-jeecg-homepage\",\n      \"color\": \"#1fdaca\"\n    },\n    {\n      \"title\": \"仪表盘\",\n      \"icon\": \"icon-jeecg-shijian\",\n      \"color\": \"#bf0c2c\"\n    },\n    {\n      \"title\": \"组件\",\n      \"icon\": \"icon-jeecg-dangan\",\n      \"color\": \"#e18525\"\n    },\n    {\n      \"title\": \"系统管理\",\n      \"icon\": \"icon-jeecg-shezhi\",\n      \"color\": \"#3fb27f\"\n    },\n    {\n      \"title\": \"权限管理\",\n      \"icon\": \"icon-jeecg-yuechi\",\n      \"color\": \"#4daf1bc9\"\n    },\n    {\n      \"title\": \"图表\",\n      \"icon\": \"icon-jeecg-fujin\",\n      \"color\": \"#00d8ff\"\n    }\n  ],\n  \"option\": {\n    \"icon\": {\n      \"scriptUrl\": \"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\n      \"fontSize\": 30\n    },\n    \"card\": {\n      \"title\": \"快捷导航\",\n      \"extra\": \"更多\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"column\": 3,\n      \"textAlign\": \"center\",\n      \"iconAlign\": \"top\"\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-04-29 19:50:38');
INSERT INTO `onl_drag_comp` VALUES ('100104', '0', '首页', 'home', 'carbon:home', 9, NULL, NULL, '0', NULL, NULL, 'admin', '2022-04-29 09:50:07');
INSERT INTO `onl_drag_comp` VALUES ('100104100', '100104', '统计卡片', 'JGrowCard', 'mdi:card-bulleted-outline', 7, NULL, '{\n  \"w\": 12,\n  \"h\": 19,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"标题\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"图标\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"总计\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"前缀\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"颜色\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"单位\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"title\": \"访问数\",\n      \"icon\": \"icon-jeecg-qianbao\",\n      \"value\": 2000,\n      \"total\": 120000,\n      \"prefix\": \"$\",\n      \"color\": \"green\",\n      \"action\": \"月\"\n    },\n    {\n      \"title\": \"成交额\",\n      \"icon\": \"icon-jeecg-youhuiquan\",\n      \"value\": 20000,\n      \"total\": 500000,\n      \"prefix\": \"$\",\n      \"color\": \"blue\",\n      \"action\": \"月\"\n    },\n    {\n      \"title\": \"下载数\",\n      \"icon\": \"icon-jeecg-tupian\",\n      \"value\": 8000,\n      \"prefix\": \"$\",\n      \"total\": 120000,\n      \"color\": \"orange\",\n      \"action\": \"周\"\n    },\n    {\n      \"title\": \"成交数\",\n      \"icon\": \"icon-jeecg-jifen\",\n      \"value\": 5000,\n      \"prefix\": \"$\",\n      \"total\": 50000,\n      \"color\": \"purple\",\n      \"action\": \"年\"\n    }\n  ],\n  \"option\": {\n    \"icon\": {\n      \"scriptUrl\": \"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\n      \"fontSize\": 20\n    },\n    \"card\": {\n      \"title\": \"统计卡片\",\n      \"extra\": \"更多\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"horizontal\": 8,\n      \"vertical\": 8,\n      \"span\": 6\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-05-07 18:24:23');
INSERT INTO `onl_drag_comp` VALUES ('100104108', '100104', '简洁卡片', 'JSimpleCard', 'mdi:card-bulleted-outline', 8, NULL, '{\n  \"w\": 24,\n  \"h\": 14,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"标题\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"图标\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"后缀\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"颜色\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"title\": \"访问数\",\n      \"icon\": \"icon-jeecg-qianbao\",\n      \"value\": 2000,\n      \"color\": \"green\",\n      \"suffix\": \"月\"\n    },\n    {\n      \"title\": \"成交额\",\n      \"icon\": \"icon-jeecg-youhuiquan\",\n      \"value\": 20000,\n      \"color\": \"blue\",\n      \"suffix\": \"月\"\n    },\n    {\n      \"title\": \"下载数\",\n      \"icon\": \"icon-jeecg-tupian\",\n      \"value\": 8000,\n      \"color\": \"orange\",\n      \"suffix\": \"周\"\n    },\n    {\n      \"title\": \"成交数\",\n      \"icon\": \"icon-jeecg-jifen\",\n      \"value\": 5000,\n      \"color\": \"purple\",\n      \"suffix\": \"年\"\n    }\n  ],\n  \"option\": {\n    \"icon\": {\n      \"fontSize\": 50\n    },\n    \"card\": {\n      \"title\": \"卡片\",\n      \"extra\": \"更多\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"horizontal\": 8,\n      \"vertical\": 8,\n      \"span\": 6\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-05-07 18:24:23');
INSERT INTO `onl_drag_comp` VALUES ('100105', '100104', '项目列表', 'JProjectCard', 'ant-design:unordered-list-outlined', 8, NULL, '{\n  \"w\": 12,\n  \"h\": 33,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"标题\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"图标\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"分组\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"描述\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"时间\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"颜色\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"title\": \"Github\",\n      \"icon\": \"icon-jeecg-social-github\",\n      \"color\": \"\",\n      \"desc\": \"不要等待机会，而要创造机会。\",\n      \"group\": \"开源组\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"Vue\",\n      \"icon\": \"icon-jeecg-social-buysellads\",\n      \"color\": \"#3fb27f\",\n      \"desc\": \"现在的你决定将来的你。\",\n      \"group\": \"算法组\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"Html5\",\n      \"icon\": \"icon-jeecg-html5\",\n      \"color\": \"#e18525\",\n      \"desc\": \"没有什么才能比努力更重要。\",\n      \"group\": \"上班摸鱼\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"Angular\",\n      \"icon\": \"icon-jeecg-social-product-hunt\",\n      \"color\": \"#bf0c2c\",\n      \"desc\": \"热情和欲望可以突破一切难关。\",\n      \"group\": \"UI\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"React\",\n      \"icon\": \"icon-jeecg-social-skype\",\n      \"color\": \"#00d8ff\",\n      \"desc\": \"健康的身体是实目标的基石。\",\n      \"group\": \"技术牛\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"Js\",\n      \"icon\": \"icon-jeecg-social-pengyou\",\n      \"color\": \"#4daf1bc9\",\n      \"desc\": \"路是走出来的，而不是空想出来的。\",\n      \"group\": \"架构组\",\n      \"date\": \"2021-04-01\"\n    }\n  ],\n  \"option\": {\n    \"icon\": {\n      \"scriptUrl\": \"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\n      \"fontSize\": 30\n    },\n    \"card\": {\n      \"title\": \"项目列表\",\n      \"extra\": \"更多\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"column\": 3\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-04-29 19:52:42');
INSERT INTO `onl_drag_comp` VALUES ('100106', '100104', '待办事项', 'JWaitMatter', 'ant-design:ordered-list-outlined', 9, NULL, '{\n  \"w\": 12,\n  \"h\": 19,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"标题\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"图标\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"描述\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"时间\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"title\": \"待办公文\",\n      \"icon\": \"icon-jeecg-yudu\",\n      \"content\": 23,\n      \"desc\": \"今日已办 3\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"待办流程\",\n      \"icon\": \"icon-jeecg-shuju\",\n      \"content\": 23,\n      \"desc\": \"今日已办 3\",\n      \"date\": \"2021-04-01\"\n    },\n    {\n      \"title\": \"待办任务\",\n      \"icon\": \"icon-jeecg-tongzhi\",\n      \"content\": 23,\n      \"desc\": \"今日已办 3 今日更新 5\",\n      \"date\": \"2021-04-01\"\n    }\n  ],\n  \"option\": {\n    \"icon\": {\n      \"scriptUrl\": \"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\n      \"fontSize\": 25\n    },\n    \"card\": {\n      \"title\": \"待办事项\",\n      \"extra\": \"更多\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"column\": 3\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-04-29 19:52:49');
INSERT INTO `onl_drag_comp` VALUES ('100108', '100', 'Iframe', 'JIframe', 'ic:outline-web-asset', 11, NULL, '{\n  \"w\": 12,\n  \"h\": 26,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"linkageConfig\": [],\n  \"chartData\": \"http://www.jeecg.com\",\n  \"option\": {\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"url\": \"https://help.jeecg.com\"\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-05-07 11:02:00');
INSERT INTO `onl_drag_comp` VALUES ('100109', '100', '图片', 'JImg', 'ion:image-sharp', 13, NULL, '{\r\n    \"w\": 12,\r\n    \"h\": 26,\r\n    \"dataType\": 1,\r\n    \"url\": \"http://api.jeecg.com/mock/42/nav\",\r\n    \"timeOut\": -1,\r\n    \"option\": {\r\n        \"card\": {\r\n            \"title\": \"\",\r\n            \"extra\": \"\",\r\n            \"rightHref\": \"\",\r\n            \"size\": \"default\"\r\n        },\r\n        \"body\": {\r\n            \"url\": \"https://static.jeecg.com/upload/test/df_1616583016208.png\"\r\n        }\r\n    }\r\n}', '1', NULL, NULL, 'admin', '2022-04-29 10:41:39');
INSERT INTO `onl_drag_comp` VALUES ('100110', '100', '文本', 'JText', 'ant-design:font-colors-outlined', 14, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\r\n  \"dataType\": 1,\r\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\r\n  \"timeOut\": 0,\r\n	\"background\": \"#4A90E2\",\r\n	\"linkageConfig\": [],\r\n	\"dataMapping\": [\r\n    {\r\n      \"filed\": \"数值\",\r\n      \"mapping\": \"\"\r\n    }\r\n  ],\r\n  \"turnConfig\": {\r\n    \"url\": \"\"\r\n  },\r\n  \"chartData\": \"文本内容\",\r\n  \"option\": {\r\n    \"card\": {\r\n      \"title\": \"\",\r\n      \"extra\": \"\",\r\n      \"rightHref\": \"\",\r\n      \"size\": \"default\"\r\n    },\r\n    \"body\": {\r\n      \"text\": \"\",\r\n      \"color\": \"#FFFFFF\",\r\n      \"fontWeight\": \"bold\",\r\n      \"marginLeft\": 0,\r\n      \"marginTop\": 0\r\n    }\r\n  }\r\n}', '1', NULL, NULL, 'admin', '2022-04-29 10:49:04');
INSERT INTO `onl_drag_comp` VALUES ('100112', '100102', '数据表格', 'JCommonTable', 'ant-design:table-outlined', 2, NULL, '{\n  \"w\": 24,\n  \"h\": 42,\n  \"dataType\": 1,\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"option\": {},\n  \"chartData\": [\n    {\n      \"name\": \"4月\",\n      \"value\": 50\n    },\n    {\n      \"name\": \"2月\",\n      \"value\": 200\n    },\n    {\n      \"name\": \"3月\",\n      \"value\": 300\n    },\n    {\n      \"name\": \"4月\",\n      \"value\": 400\n    },\n    {\n      \"name\": \"5月\",\n      \"value\": 50\n    },\n    {\n      \"name\": \"6月\",\n      \"value\": 120\n    }\n  ]\n}', '1', NULL, NULL, NULL, '2022-04-22 18:58:17');
INSERT INTO `onl_drag_comp` VALUES ('100120107', '100120', '区域地图', 'JAreaMap', 'ic:outline-scatter-plot', 1, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"activeKey\": 1,\n  \"dataType\": 1,\n  \"background\": \"#ffffff\",\n  \"url\": \"http://api.jeecg.com/mock/33/radar\",\n  \"timeOut\": 0,\n       \"dataMapping\": [{\n        \"filed\": \"区域\",\n        \"mapping\": \"\"\n    }, {\n        \"filed\": \"数值\",\n        \"mapping\": \"\"\n    }],\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"jsConfig\": \"\",\n  \"chartData\": [\n    {\n      \"name\": \"北京\",\n      \"value\": 199\n    },\n    {\n      \"name\": \"天津\",\n      \"value\": 42\n    },\n    {\n      \"name\": \"河北\",\n      \"value\": 102\n    },\n    {\n      \"name\": \"山西\",\n      \"value\": 81\n    },\n    {\n      \"name\": \"内蒙古\",\n      \"value\": 47\n    },\n    {\n      \"name\": \"辽宁\",\n      \"value\": 67\n    },\n    {\n      \"name\": \"吉林\",\n      \"value\": 82\n    },\n    {\n      \"name\": \"黑龙江\",\n      \"value\": 123\n    },\n    {\n      \"name\": \"上海\",\n      \"value\": 24\n    },\n    {\n      \"name\": \"江苏\",\n      \"value\": 92\n    },\n    {\n      \"name\": \"浙江\",\n      \"value\": 114\n    },\n    {\n      \"name\": \"安徽\",\n      \"value\": 109\n    },\n    {\n      \"name\": \"福建\",\n      \"value\": 116\n    },\n    {\n      \"name\": \"江西\",\n      \"value\": 91\n    },\n    {\n      \"name\": \"山东\",\n      \"value\": 119\n    },\n    {\n      \"name\": \"河南\",\n      \"value\": 137\n    },\n    {\n      \"name\": \"湖北\",\n      \"value\": 116\n    },\n    {\n      \"name\": \"湖南\",\n      \"value\": 114\n    },\n    {\n      \"name\": \"重庆\",\n      \"value\": 91\n    },\n    {\n      \"name\": \"四川\",\n      \"value\": 125\n    },\n    {\n      \"name\": \"贵州\",\n      \"value\": 62\n    },\n    {\n      \"name\": \"云南\",\n      \"value\": 83\n    },\n    {\n      \"name\": \"西藏\",\n      \"value\": 9\n    },\n    {\n      \"name\": \"陕西\",\n      \"value\": 80\n    },\n    {\n      \"name\": \"甘肃\",\n      \"value\": 56\n    },\n    {\n      \"name\": \"青海\",\n      \"value\": 10\n    },\n    {\n      \"name\": \"宁夏\",\n      \"value\": 18\n    },\n    {\n      \"name\": \"新疆\",\n      \"value\": 180\n    },\n    {\n      \"name\": \"广东\",\n      \"value\": 123\n    },\n    {\n      \"name\": \"广西\",\n      \"value\": 59\n    },\n    {\n      \"name\": \"海南\",\n      \"value\": 14\n    }\n  ],\n  \"commonOption\": {\n    \"barSize\": 10,\n    \"barColor\": \"#fff176\",\n    \"barColor2\": \"#fcc02e\",\n    \"gradientColor\": false,\n    \"areaColor\": {\n      \"color1\": \"#f7f7f7\",\n      \"color2\": \"#fcc02e\"\n    },\n    \"inRange\": {\n      \"color\": [\n        \"#04387b\",\n        \"#467bc0\"\n      ]\n    },\n    \"breadcrumb\": {\n      \"drillDown\": false,\n      \"textColor\": \"#000000\"\n    }\n  },\n  \"option\": {\n    \"drillDown\": false,\n    \"area\": {\n      \"markerCount\": 5,\n      \"shadowBlur\": 10,\n      \"markerOpacity\": 1,\n      \"markerColor\": \"#DDE330\",\n      \"shadowColor\": \"#DDE330\",\n      \"scatterLabelShow\": false,\n      \"markerType\": \"effectScatter\",\n      \"value\": [\n        \"china\"\n      ],\n      \"name\": [\n        \"中国\"\n      ]\n    },\n    \"graphic\": [],\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"\",\n      \"left\": 10,\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"legend\": {\n      \"data\": []\n    },\n    \"visualMap\": {\n      \"show\": false,\n      \"min\": 0,\n      \"type\": \"continuous\",\n      \"max\": 200,\n      \"left\": \"5%\",\n      \"top\": \"bottom\",\n      \"calculable\": true,\n      \"seriesIndex\": [\n        0\n      ]\n    },\n    \"geo\": {\n      \"top\": 30,\n      \"label\": {\n        \"emphasis\": {\n          \"show\": false,\n          \"color\": \"#fff\"\n        }\n      },\n      \"roam\": false,\n      \"zoom\": 1,\n      \"itemStyle\": {\n        \"normal\": {\n          \"borderColor\": \"#a9a9a9\",\n          \"borderWidth\": 1,\n          \"areaColor\": \"\",\n          \"shadowColor\": \"#80d9f8\",\n          \"shadowOffsetX\": 0,\n          \"shadowOffsetY\": 0,\n          \"shadowBlur\": 0\n        },\n        \"emphasis\": {\n          \"areaColor\": \"#fff59c\",\n          \"borderWidth\": 0\n        }\n      }\n    }\n  }\n}', '1', NULL, NULL, 'admin', '2022-08-05 10:32:09');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736000', '1009728983979950080', '边框1', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"1\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736002', '1009728983979950080', '边框2', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"2\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n  }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736003', '1009728983979950080', '边框3', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"3\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n  }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736004', '1009728983979950080', '边框4', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"4\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736005', '1009728983979950080', '边框5', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"5\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736006', '1009728983979950080', '边框6', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"6\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736007', '1009728983979950080', '边框7', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"7\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736008', '1009728983979950080', '边框8', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"8\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736009', '1009728983979950080', '边框9', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"9\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736010', '1009728983979950080', '边框10', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"10\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736011', '1009728983979950080', '边框11', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"11\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736012', '1009728983979950080', '边框12', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"12\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008616402292736013', '1009728983979950080', '边框13', 'JDragBorder', 'ant-design:border-outer-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"13\",\n    \"title\": \"边框\",\n    \"titleWidth\": 250,\n    \"mainColor\": \"#83bff6\",\n    \"subColor\": \"#00CED1\",\n    \"backgroundColor\": \"#ffffff00\",\n    \"reverse\": false,\n    \"dur\": 3\n   }\n}', '1', 'admin', '2024-10-22 16:08:20', 'admin', '2024-10-22 16:08:36');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893610', '1009729002476830720', '装饰10', 'JDragDecoration', 'ant-design:format-painter-filled', 10, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"10\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893611', '1009729002476830720', '装饰11', 'JDragDecoration', 'ant-design:format-painter-filled', 11, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"11\",\n    \"title\": \"装饰\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893612', '1009729002476830720', '装饰12', 'JDragDecoration', 'ant-design:format-painter-filled', 12, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"12\",\n    \"title\": \"装饰\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893691', '1009729002476830720', '装饰1', 'JDragDecoration', 'ant-design:format-painter-filled', 1, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"1\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893693', '1009729002476830720', '装饰3', 'JDragDecoration', 'ant-design:format-painter-filled', 3, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"3\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893694', '1009729002476830720', '装饰4', 'JDragDecoration', 'ant-design:format-painter-filled', 4, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"4\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893695', '1009729002476830720', '装饰5', 'JDragDecoration', 'ant-design:format-painter-filled', 5, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"5\",\n    \"title\": \"装饰\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893696', '1009729002476830720', '装饰6', 'JDragDecoration', 'ant-design:format-painter-filled', 6, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"6\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893697', '1009729002476830720', '装饰7', 'JDragDecoration', 'ant-design:format-painter-filled', 7, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"7\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893698', '1009729002476830720', '装饰8', 'JDragDecoration', 'ant-design:format-painter-filled', 8, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"8\",\n    \"title\": \"边框\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008622512340893699', '1009729002476830720', '装饰9', 'JDragDecoration', 'ant-design:format-painter-filled', 9, NULL, '{\n  \"w\": 12,\n  \"h\": 12,\n  \"dataType\": 1,\n  \"option\": {\n    \"type\": \"9\",\n    \"title\": \"装饰\",\n    \"mainColor\": \"#00CED1\",\n    \"subColor\": \"#FAD400\",\n    \"reverse\": false,\n    \"dur\": 3,\n    \"fontSize\": 15\n  }\n}', '1', 'admin', '2024-10-22 16:32:36', 'admin', '2024-10-22 16:32:48');
INSERT INTO `onl_drag_comp` VALUES ('1008904673035976704', '1009728871115423744', '翻牌器', 'JCountTo', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"background\": \"#4A90E2\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"chartData\": \"10000\",\n  \"option\": {\n    \"whole\": false,\n    \"boxWidth\":50,\r\n   \"boxHeight\":50,\n    \"fontSize\": 16,\n    \"color\": \"#fff\",\n    \"fontWeight\": \"normal\",\n    \"prefixFontSize\": 16,\n    \"prefixColor\": \"#fff\",\n    \"prefixFontWeight\": \"normal\",\n    \"suffix\": \"\",\n    \"suffixFontSize\": 16,\n    \"suffixColor\": \"#fff\",\n    \"suffixFontWeight\": \"normal\",\n    \"prefix\": \"\",\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"text\": \"\",\n      \"color\": \"#FFFFFF\",\n      \"fontWeight\": \"bold\",\n      \"marginLeft\": 0,\n      \"marginTop\": 0\n    }\n  }\n}', '1', 'admin', '2024-10-23 11:13:49', 'admin', '2024-10-23 11:55:21');
INSERT INTO `onl_drag_comp` VALUES ('1009335943687733248', '1009728871115423744', '男女占比', 'JGender', NULL, 100, NULL, '{\n  \"w\": 8,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/pictogram\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"男\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"女\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"man\": 50,\n      \"woman\": 35\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"show\": true,\n      \"text\": \"男女占比\"\n    },\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"series\": []\n  }\n}', '1', 'admin', '2024-10-24 15:47:32', 'admin', '2024-10-24 15:48:01');
INSERT INTO `onl_drag_comp` VALUES ('1009345312659767296', '1009728871115423744', '颜色块', 'JColorBlock', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"background\": \"#4A90E2\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"前缀\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"后缀\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"颜色\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"chartData\": [\n    {\n      \"backgroundColor\": \"#67C23A\",\n      \"prefix\": \"朝阳总销售额\",\n      \"value\": \"12345\",\n      \"suffix\": \"亿\"\n    },\n    {\n      \"backgroundColor\": \"#409EFF\",\n      \"prefix\": \"昌平总销售额\",\n      \"value\": \"12345\",\n      \"suffix\": \"亿\"\n    },\n    {\n      \"backgroundColor\": \"#E6A23C\",\n      \"prefix\": \"海淀总销售额\",\n      \"value\": \"12345\",\n      \"suffix\": \"亿\"\n    },\n    {\n      \"backgroundColor\": \"#F56C6C\",\n      \"prefix\": \"西城总销售额\",\n      \"value\": \"12345\",\n      \"suffix\": \"亿\"\n    }\n  ],\n  \"option\": {\n    \"whole\": false,\n    \"width\": 50,\n    \"height\": 50,\n    \"lineNum\": 2,\n    \"borderSplitx\": 20,\n    \"borderSplity\": 20,\n    \"fontSize\": 16,\n    \"color\": \"#fff\",\n    \"fontWeight\": \"normal\",\n    \"textAlign\": \"center\",\n    \"padding\": 5,\n    \"prefixFontSize\": 16,\n    \"prefixColor\": \"#fff\",\n    \"prefixFontWeight\": \"normal\",\n    \"prefixSplitx\": 0,\n    \"prefixSplity\": 0,\n    \"suffix\": \"\",\n    \"suffixSplitx\": 0,\n    \"suffixFontSize\": 16,\n    \"suffixColor\": \"#fff\",\n    \"suffixFontWeight\": \"normal\",\n    \"prefix\": \"\",\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"text\": \"\",\n      \"color\": \"#FFFFFF\",\n      \"fontWeight\": \"bold\",\n      \"marginLeft\": 0,\n      \"marginTop\": 0\n    }\n  }\n}', '1', 'admin', '2024-10-24 16:24:45', 'admin', '2024-10-24 16:24:56');
INSERT INTO `onl_drag_comp` VALUES ('1009386233476579328', '1009728871115423744', '胶囊图', 'JCapsuleChart', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"苹果\",\n      \"value\": 1000879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"三星\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"小米\",\n      \"value\": 2300879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"oppo\",\n      \"value\": 5400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"vivo\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    }\n  ],\n  \"option\": {\n    \"showValue\": false,\n    \"unit\": \"\",\n    \"customColor\": [],\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础柱形图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-24 19:07:22', 'admin', '2024-10-24 19:07:37');
INSERT INTO `onl_drag_comp` VALUES ('1009395760485793792', '1009728871115423744', '动态环形图', 'JActiveRing', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"周口\",\n      \"value\": 55\n    },\n    {\n      \"name\": \"南阳\",\n      \"value\": 120\n    },\n    {\n      \"name\": \"西峡\",\n      \"value\": 78\n    },\n    {\n      \"name\": \"驻马店\",\n      \"value\": 66\n    },\n    {\n      \"name\": \"新乡\",\n      \"value\": 80\n    }\n  ],\n  \"option\": {\n    \"lineWidth\": 10,\n    \"radius\": 100,\n    \"activeRadius\": 100,\n    \"showOriginValue\": false,\n    \"customColor\": [],\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"动态环形图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-24 19:45:13', 'admin', '2024-10-24 19:45:39');
INSERT INTO `onl_drag_comp` VALUES ('1009679509282783232', '1009728871115423744', '排行榜', 'JScrollRankingBoard', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"苹果\",\n      \"value\": 1000879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"三星\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"小米\",\n      \"value\": 2300879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"oppo\",\n      \"value\": 5400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"vivo\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    }\n  ],\n  \"option\": {\n    \"waitTime\": 2000,\n    \"rowNum\": 5,\n    \"carousel\": \"single\",\n    \"sort\": true,\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"排行榜\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-25 14:32:44', 'admin', '2024-10-25 14:33:00');
INSERT INTO `onl_drag_comp` VALUES ('1009694340236869632', '1009728871115423744', '轮播表', 'JScrollBoard', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    [\n      \"行1列1\",\n      \"行1列2\",\n      \"行1列3\"\n    ],\n    [\n      \"行2列1\",\n      \"行2列2\",\n      \"行2列3\"\n    ],\n    [\n      \"行3列1\",\n      \"行3列2\",\n      \"行3列3\"\n    ],\n    [\n      \"行4列1\",\n      \"行4列2\",\n      \"行4列3\"\n    ],\n    [\n      \"行5列1\",\n      \"行5列2\",\n      \"行5列3\"\n    ]\n  ],\n  \"option\": {\n    \"waitTime\": 2000,\n    \"rowNum\": 5,\n    \"carousel\": \"single\",\n    \"sort\": true,\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"轮播表\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-25 15:31:40', 'admin', '2024-10-25 15:32:08');
INSERT INTO `onl_drag_comp` VALUES ('1009728871115423744', '0', '大屏', 'bigscreen', 'ant-design:fund-projection-screen-outlined', 100, NULL, NULL, '0', 'admin', '2024-10-25 17:48:53', 'admin', '2024-10-25 17:49:14');
INSERT INTO `onl_drag_comp` VALUES ('1009728983979950080', '1009728871115423744', '边框', 'border', NULL, 100, NULL, NULL, '1', 'admin', '2024-10-25 17:49:20', 'admin', '2024-10-25 17:49:50');
INSERT INTO `onl_drag_comp` VALUES ('1009729002476830720', '1009728871115423744', '装饰', 'decoration', NULL, 100, NULL, NULL, '1', 'admin', '2024-10-25 17:49:24', 'admin', '2024-10-25 17:50:05');
INSERT INTO `onl_drag_comp` VALUES ('1010847514343669760', '1009728871115423744', '水波图', 'JLiquid', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 25\n    }\n  ],\n  \"option\": {\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"水波图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-28 19:53:58', 'admin', '2024-10-28 19:54:17');
INSERT INTO `onl_drag_comp` VALUES ('1011075798868328448', '1009728871115423744', '玉珏图', 'JRadialBar', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\":[\n      {\n          \"name\": \"A\",\n          \"value\": 297\n      },\n      {\n          \"name\": \"B\",\n          \"value\": 506\n      },\n      {\n          \"name\": \"C\",\n          \"value\": 805\n      },\n      {\n          \"name\": \"D\",\n          \"value\": 1478\n      },\n      {\n          \"name\": \"E\",\n          \"value\": 2029\n      },\n      {\n          \"name\": \"F\",\n          \"value\": 7100\n      },\n      {\n          \"name\": \"G\",\n          \"value\": 7346\n      },\n      {\n          \"name\": \"H\",\n          \"value\": 10178\n      }\n  ],\n  \"option\": {\n    \"type\": \"bar\",\n    \"radius\": 0.8,\n    \"innerRadius\": 0.2,\n    \"maxAngle\": 240,\n    \"radiuShow\": false,\n    \"bgShow\": false,\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"玉珏图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-29 11:01:06', 'admin', '2024-10-29 11:01:35');
INSERT INTO `onl_drag_comp` VALUES ('1011128533818966016', '1009728871115423744', '百分比条形图', 'JPercentBar', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"分组\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\":[\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1750\",\n          \"value\": 502\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1800\",\n          \"value\": 635\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1850\",\n          \"value\": 809\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1900\",\n          \"value\": 947\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1950\",\n          \"value\": 1402\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"1999\",\n          \"value\": 3634\n      },\n      {\n          \"type\": \"Asia\",\n          \"name\": \"2050\",\n          \"value\": 5268\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1750\",\n          \"value\": 106\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1800\",\n          \"value\": 107\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1850\",\n          \"value\": 111\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1900\",\n          \"value\": 133\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1950\",\n          \"value\": 221\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"1999\",\n          \"value\": 767\n      },\n      {\n          \"type\": \"Africa\",\n          \"name\": \"2050\",\n          \"value\": 1766\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1750\",\n          \"value\": 163\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1800\",\n          \"value\": 203\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1850\",\n          \"value\": 276\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1900\",\n          \"value\": 408\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1950\",\n          \"value\": 547\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"1999\",\n          \"value\": 729\n      },\n      {\n          \"type\": \"Europe\",\n          \"name\": \"2050\",\n          \"value\": 628\n      }\n  ],\n  \"option\": {\n    \"yNameFontColor\": \"#fff\",\n    \"yNameFontSize\": 12,\n    \"xNameFontColor\": \"#fff\",\n    \"xNameFontSize\": 12,\n    \"legendLayout\": \"horizontal\",\n    \"legendPosition\": \"bottom\",\n    \"legendFontColor\": \"#fff\",\n    \"legendFontSize\": 16,\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"百分比图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-29 14:30:39', 'admin', '2024-10-29 14:30:56');
INSERT INTO `onl_drag_comp` VALUES ('1011137156657872896', '1009728871115423744', '矩形图', 'JRectangle', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"分类 1\",\n      \"value\": 560\n    },\n    {\n      \"name\": \"分类 2\",\n      \"value\": 500\n    },\n    {\n      \"name\": \"分类 3\",\n      \"value\": 150\n    },\n    {\n      \"name\": \"分类 4\",\n      \"value\": 140\n    },\n    {\n      \"name\": \"分类 5\",\n      \"value\": 115\n    },\n    {\n      \"name\": \"分类 6\",\n      \"value\": 95\n    },\n    {\n      \"name\": \"分类 7\",\n      \"value\": 90\n    },\n    {\n      \"name\": \"分类 8\",\n      \"value\": 75\n    },\n    {\n      \"name\": \"分类 9\",\n      \"value\": 98\n    },\n    {\n      \"name\": \"分类 10\",\n      \"value\": 60\n    },\n    {\n      \"name\": \"分类 11\",\n      \"value\": 45\n    },\n    {\n      \"name\": \"分类 12\",\n      \"value\": 40\n    },\n    {\n      \"name\": \"分类 13\",\n      \"value\": 40\n    },\n    {\n      \"name\": \"分类 14\",\n      \"value\": 35\n    },\n    {\n      \"name\": \"分类 15\",\n      \"value\": 40\n    },\n    {\n      \"name\": \"分类 16\",\n      \"value\": 40\n    },\n    {\n      \"name\": \"分类 17\",\n      \"value\": 40\n    },\n    {\n      \"name\": \"分类 18\",\n      \"value\": 30\n    },\n    {\n      \"name\": \"分类 19\",\n      \"value\": 28\n    },\n    {\n      \"name\": \"分类 20\",\n      \"value\": 16\n    }\n  ],\n  \"option\": {\n    \"theme\": \"default\",\n    \"titleFontSize\": 12,\n    \"titleColor\": \"#fff\",\n    \"tipFontSize\": 12,\n    \"tipColor\": \"#fff\",\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础矩形图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\n        \"fontWeight\": \"normal\"\n      }\n    }\n  }\n}', '1', 'admin', '2024-10-29 15:04:54', 'admin', '2024-10-29 15:05:11');
INSERT INTO `onl_drag_comp` VALUES ('1011144678642974720', '1009728871115423744', '旋转饼图', 'JRotatePie', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1048,\n      \"name\": \"vivo\"\n    },\n    {\n      \"value\": 735,\n      \"name\": \"oppo\"\n    },\n    {\n      \"value\": 580,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 484,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 300,\n      \"name\": \"三星\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"title\": {\n      \"text\": \"旋转饼图\",\n      \"subtext\": \"\",\n      \"left\": \"left\",\n      \"textStyle\": {\n        \"fontWeight\": \"normal\"\n      },\n      \"show\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\"\n    },\n    \"legend\": {\n      \"orient\": \"vertical\"\n    },\n    \"series\": [\n      {\n        \"name\": \"\",\n        \"type\": \"pie\",\n        \"data\": [],\n        \"emphasis\": {\n          \"itemStyle\": {\n            \"shadowBlur\": 10,\n            \"shadowOffsetX\": 0,\n            \"shadowColor\": \"rgba(0, 0, 0, 0.5)\"\n          }\n        }\n      }\n    ]\n  }\n}', '1', 'admin', '2024-10-29 15:34:48', 'admin', '2024-10-29 15:35:16');
INSERT INTO `onl_drag_comp` VALUES ('1011160078130774016', '1009728871115423744', '视频', 'JVideoPlay', NULL, 100, NULL, '{\n  \"w\": 12,\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n  \"background\": \"#4A90E2\",\n  \"dataMapping\": [\n    {\n      \"filed\": \"路径\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"src\": \"http://vjs.zencdn.net/v/oceans.mp4\"\n    }\n  ],\n  \"option\": {\n    \"autoPlay\": false,\n    \"loop\": true\n  }\n}', '1', 'admin', '2024-10-29 16:35:59', 'admin', '2024-10-29 16:36:14');
INSERT INTO `onl_drag_comp` VALUES ('1501033448017510401', '100', '轮播图', 'JCarousel', 'ic:baseline-image', 5, NULL, '{\n  \"w\": 24,\n  \"h\": 22,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/carousel\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"路径\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"option\": {\n    \"autoplay\": true,\n    \"dots\": true,\n    \"dotPosition\": \"bottom\"\n  },\n  \"chartData\": [\n    {\r\n      \"src\": \"https://jeecgos.oss-cn-beijing.aliyuncs.com/files/site/drag/0.png\"\r\n		},\r\n		{\r\n			\"src\": \"https://jeecgos.oss-cn-beijing.aliyuncs.com/files/site/drag/1.png\"\r\n		},\r\n		{\r\n			\"src\": \"https://jeecgos.oss-cn-beijing.aliyuncs.com/files/site/drag/2.png\"\r\n		}\n  ]\n}', '1', 'jeecg', '2022-03-08 11:13:57', 'admin', '2022-04-22 18:58:47');
INSERT INTO `onl_drag_comp` VALUES ('1501109939736690691', '200', '统计进度图', 'JTotalProgress', 'ri:bar-chart-horizontal-line', 7, NULL, '{\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 50\n    }\n  ],\n  \"option\": {\r\n   \"targetValue\":{},\n    \"series\": [\n      {\n        \"barWidth\": 19,\n        \"label\": {\n          \"show\": true,\n          \"position\": \"right\",\n          \"offset\": [\n            0,\n            -40\n          ],\n          \"formatter\": \"{c}{a}\",\n          \"color\": \"black\",\n          \"fontSize\": 24\n        },\n        \"itemStyle\": {\n          \"normal\": {\n            \"barBorderRadius\": 10\n          }\n        },\n        \"color\": \"#151B87\",\n        \"zlevel\": 1\n      },\n      {\n        \"type\": \"bar\",\n        \"barGap\": \"-100%\",\n        \"color\": \"#eeeeee\",\n        \"barWidth\": 19,\n        \"itemStyle\": {\n          \"normal\": {\n            \"barBorderRadius\": 10\n          }\n        }\n      }\n    ]\n  }\n}', '1', 'jeecg', '2022-03-08 16:17:54', 'admin', '2022-04-28 20:58:49');
INSERT INTO `onl_drag_comp` VALUES ('1501109939736690693', '200', '字符云', 'JWordCloud', 'ri:bar-chart-horizontal-line', 7, NULL, '{\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"linkageConfig\": [],\n  \"dataMapping\": [\r\n    {\r\n      \"filed\": \"维度\",\r\n      \"mapping\": \"\"\r\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\r\n      \"name\":\"手机\",\n      \"value\": 50\n    }\n  ],\n  \"option\": {\r\n   \"minSize\": 12,\r\n    \"maxSize\": 60,\n    \"series\": [\n      {\n        \"type\": \"wordCloud\",\r\n        \"shape\": \"circle\"\n      }\n    ]\n  }\n}', '1', 'jeecg', '2022-03-08 16:17:54', 'admin', '2022-04-28 20:58:49');
INSERT INTO `onl_drag_comp` VALUES ('1501439613197119490', '100102', '数据列表', 'JList', 'ph:list-numbers', 4, NULL, '{\n  \"w\": 12,\n  \"h\": 24,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/list\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"标题\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"描述\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"时间\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"封面\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"timeOut\": -1,\n  \"option\": {\n    \"showTitlePrefix\": true,\n    \"showTimePrefix\": true,\n    \"titleFontSize\": 18,\n    \"layout\": \"horizontal\"\n  },\n  \"chartData\": [\n    {\n      \"title\": \"通知一\",\n      \"date\": \"2022-3-9 14:20:21\"\n    },\n    {\n      \"title\": \"通知二\",\n      \"date\": \"2022-3-8 14:20:21\"\n    },\n    {\n      \"title\": \"通知三\",\n      \"date\": \"2022-3-7 14:20:21\"\n    },\n    {\n      \"title\": \"通知四\",\n      \"date\": \"2022-3-4 14:20:21\"\n    }\n  ]\n}', '1', 'jeecg', '2022-03-09 14:07:54', 'admin', '2022-04-29 19:38:46');
INSERT INTO `onl_drag_comp` VALUES ('1501439614397119490', '100104', '最新动态', 'JDynamicInfo', 'ic:sharp-list-alt', 16, NULL, '{\n  \"w\": 12,\n  \"h\": 28,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/list\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"名称\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"描述\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"时间\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"头像\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"timeOut\": -1,\n  \"option\": {\n    \"titleFontSize\": 18\n  },\n  \"chartData\": [\n    {\n      \"name\": \"威廉\",\n      \"date\": \"刚刚\",\n      \"desc\": \"在 <a>开源组</a> 创建了项目 <a>Vue</a>\",\n      \"avatar\": \"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/320222_1646724689691.jpg\"\n    },\n    {\n      \"name\": \"艾文\",\n      \"date\": \"1个小时前\",\n      \"desc\": \"关注了 <a>威廉</a>\",\n      \"avatar\": \"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/320305_1646724680756.jpg\"\n    },\n    {\n      \"name\": \"克里斯\",\n      \"date\": \"1天前\",\n      \"desc\": \"发布了 <a>个人动态</a>\",\n      \"avatar\": \"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/299258_1646724675255.jpg\"\n    },\n    {\n      \"name\": \"Jeecg\",\n      \"date\": \"2天前\",\n      \"desc\": \"发表文章 <a>如何编写一个Vite插件</a>\",\n      \"avatar\": \"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/2.4jeecg_1621512120602.png\"\n    }\n  ]\n}', '1', 'jeecg', '2022-03-09 14:07:54', 'admin', '2022-04-29 19:52:54');
INSERT INTO `onl_drag_comp` VALUES ('1536970245843996673', '200200', '对比柱形图', 'JMultipleBar', 'material-symbols:grouped-bar-chart', 5, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/stackedBar\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"分组\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"1991\",\n      \"value\": 3,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1992\",\n      \"value\": 4,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1993\",\n      \"value\": 3.5,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1994\",\n      \"value\": 5,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1995\",\n      \"value\": 4.9,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1996\",\n      \"value\": 6,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1997\",\n      \"value\": 7,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1998\",\n      \"value\": 9,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1999\",\n      \"value\": 13,\n      \"type\": \"Lon\"\n    },\n    {\n      \"name\": \"1991\",\n      \"value\": 3,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1992\",\n      \"value\": 4,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1993\",\n      \"value\": 3.5,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1994\",\n      \"value\": 5,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1995\",\n      \"value\": 4.9,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1996\",\n      \"value\": 6,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1997\",\n      \"value\": 7,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1998\",\n      \"value\": 9,\n      \"type\": \"Bor\"\n    },\n    {\n      \"name\": \"1999\",\n      \"value\": 13,\n      \"type\": \"Bor\"\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"text\": \"多数据对比柱形图\",\n      \"show\": true,\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			}\n    },\n    \"grid\": {\n      \"bottom\": 115,\n          \"top\":90\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"axis\",\n      \"axisPointer\": {\n        \"type\": \"shadow\",\n        \"label\": {\n          \"show\": true,\n          \"backgroundColor\": \"#333\"\n        }\n      }\n    },\n    \"series\": []\n  }\n}', '1', NULL, '2022-06-15 15:13:57', 'admin', '2022-08-04 19:19:06');
INSERT INTO `onl_drag_comp` VALUES ('1537002903949037570', '200', '折线图', 'line', 'teenyicons:area-chart-outline', 2, NULL, NULL, '1', NULL, '2022-06-15 17:23:43', NULL, '2022-06-17 19:56:48');
INSERT INTO `onl_drag_comp` VALUES ('1537284032572702721', '1537002903949037570', '平滑折线图', 'JSmoothLine', 'mdi:chart-bell-curve', 2, NULL, '{\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1000,\n      \"name\": \"联想\"\n    },\n    {\n      \"value\": 7350,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 5800,\n      \"name\": \"华为\"\n    },\n    {\n      \"value\": 6000,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 3000,\n      \"name\": \"戴尔\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115,\n          \"top\":90\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"平滑折线图\",\n      \"subtext\": \"\",\n      \"left\": \"left\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			}\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"smooth\": true,\n        \"type\": \"line\"\n      }\n    ]\n  }\n}', '1', NULL, '2022-06-16 12:00:49', 'admin', '2022-08-04 19:19:43');
INSERT INTO `onl_drag_comp` VALUES ('1537318081257291777', '1537764165146476546', '普通散点图', 'JScatter', 'mdi:chart-scatter-plot', 100, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": 200,\n      \"value\": 300\n    },\n    {\n      \"name\": 400,\n      \"value\": 500\n    },\n    {\n      \"name\": 150,\n      \"value\": 320\n    },\n    {\n      \"name\": 320,\n      \"value\": 320\n    },\n    {\n      \"name\": 170,\n      \"value\": 300\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础散点图\",\n      \"show\": true,\n      \"textStyle\": {\r\n				\"fontWeight\":\"normal\"\n      }\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\",\n      \"formatter\": \"x:{b}<br/>y:{c}\",\n      \"axisPointer\": {\n        \"type\": \"shadow\",\n        \"label\": {\n          \"show\": true,\n          \"backgroundColor\": \"#333\"\n        }\n      }\n    },\n    \"yAxis\": {\n      \"splitLine\": {\n        \"interval\": 2\n      },\n      \"lineStyle\": {\n        \"color\": \"#f3f3f3\"\n      }\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"type\": \"scatter\",\n        \"symbolSize\": 20,\r\n        \"itemStyle\": {\r\n          \"color\": \"#64b5f6\"\r\n        }\n      }\n    ]\n  }\n}', '1', NULL, '2022-06-16 14:16:07', NULL, '2022-06-16 17:10:52');
INSERT INTO `onl_drag_comp` VALUES ('1537318433201340417', '1537764868216684545', '金字塔漏斗图', 'JPyramidFunnel', 'icon-park-outline:children-pyramid', 100, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/funnel\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1000,\n      \"name\": \"直接访问\"\n    },\n    {\n      \"value\": 200,\n      \"name\": \"邮件营销\"\n    },\n    {\n      \"value\": 400,\n      \"name\": \"联盟广告\"\n    },\n    {\n      \"value\": 600,\n      \"name\": \"网页查询\"\n    },\n    {\n      \"value\": 800,\n      \"name\": \"广告点击\"\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"text\": \"基础漏斗图\",\r\n      \"textStyle\":{\r\n       \"fontWeight\":\"normal\"\r\n     },\n      \"show\": true\n    },\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\",\n      \"formatter\": \"{a} <br/>{b} : {c}%\"\n    },\n    \"legend\": {\n      \"orient\": \"horizontal\"\n    },\n    \"series\": [\n      {\n        \"name\": \"Funnel\",\n        \"type\": \"funnel\",\n        \"left\": \"10%\",\n        \"width\": \"80%\",\n        \"sort\": \"ascending\",\n        \"gap\": 2,\n        \"label\": {\n          \"show\": true,\n          \"position\": \"inside\"\n        },\n        \"labelLine\": {\n          \"length\": 10,\n          \"lineStyle\": {\n            \"width\": 1,\n            \"type\": \"solid\"\n          }\n        },\n        \"itemStyle\": {\n          \"borderColor\": \"#fff\",\n          \"borderWidth\": 1\n        },\n        \"emphasis\": {\n          \"label\": {\n            \"fontSize\": 20\n          }\n        }\n      }\n    ]\n  }\n}', '1', NULL, '2022-06-16 14:17:31', NULL, '2022-06-16 14:59:44');
INSERT INTO `onl_drag_comp` VALUES ('1537764165146476546', '200', '散点图', 'scatter', 'ant-design:dot-chart-outlined', 100, NULL, NULL, '1', NULL, '2022-06-17 19:48:42', NULL, '2022-06-17 19:49:24');
INSERT INTO `onl_drag_comp` VALUES ('1537764868216684545', '200', '漏斗图', 'funnel', 'ant-design:funnel-plot-filled', 100, NULL, NULL, '1', NULL, '2022-06-17 19:51:30', NULL, '2022-06-17 19:51:52');
INSERT INTO `onl_drag_comp` VALUES ('1537773244027863041', '1537773378102984706', '圆形雷达图', 'JCircleRadar', 'tabler:radar', 100, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/radar\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"分组\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 75,\n      \"name\": \"得分\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 65,\n      \"name\": \"篮板\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 55,\n      \"name\": \"防守\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 74,\n      \"name\": \"失误\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 38,\n      \"name\": \"盖帽\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 88,\n      \"name\": \"三分\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"圆形雷达图\",\r\n     \"textStyle\":{\r\n       \"fontWeight\":\"normal\"\r\n     },\n      \"show\": true\n    },\n    \"legend\": {\n      \"data\": []\n    },\n    \"radar\": [\n      {\n        \"indicator\": []\n      }\n    ],\n    \"series\": [\n      {\n        \"type\": \"radar\",\n        \"data\": []\n      }\n    ]\n  }\n}', '1', NULL, '2022-06-17 20:24:46', NULL, '2022-06-27 16:56:51');
INSERT INTO `onl_drag_comp` VALUES ('1537773378102984706', '200', '雷达图', 'radar', 'ant-design:radar-chart-outlined', 100, NULL, NULL, '1', NULL, '2022-06-17 20:25:18', NULL, '2022-06-17 20:26:03');
INSERT INTO `onl_drag_comp` VALUES ('200', '0', '图表', 'chart', 'ant-design:bar-chart-outlined', 1, NULL, '', '0', NULL, NULL, NULL, '2022-04-29 17:52:06');
INSERT INTO `onl_drag_comp` VALUES ('200200', '200', '柱形图', '', 'ant-design:bar-chart-outlined', 1, NULL, '', '1', NULL, NULL, NULL, '2022-04-29 09:37:37');
INSERT INTO `onl_drag_comp` VALUES ('200200201', '200200', '基础柱形图', 'JBar', 'ic:baseline-bar-chart', NULL, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"苹果\",\n      \"value\": 1000879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"三星\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"小米\",\n      \"value\": 2300879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"oppo\",\n      \"value\": 5400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"vivo\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"top\":90, \n      \"bottom\": 115,\r\n			\"containLabel\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础柱形图\",\n      \"show\": true,\n      \"textStyle\": {\r\n				\"fontWeight\":\"normal\"\n      }\n    },\n    \"tooltip\": {\n      \"trigger\": \"axis\",\n      \"axisPointer\": {\n        \"type\": \"shadow\",\n        \"label\": {\n          \"show\": true,\n          \"backgroundColor\": \"#333\"\n        }\n      }\n    },\n    \"yAxis\": {\n      \"splitLine\": {\n        \"interval\": 2\n      },\n      \"lineStyle\": {\n        \"color\": \"#f3f3f3\"\n      }\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"type\": \"bar\",\n        \"barWidth\": 40,\n        \"itemStyle\": {\n          \"color\": \"#64b5f6\",\n          \"borderRadius\": 0\n        }\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-08-04 19:18:21');
INSERT INTO `onl_drag_comp` VALUES ('200200208', '200200', '基础条形图', 'JHorizontalBar', 'ic:baseline-bar-chart', NULL, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"苹果\",\n      \"value\": 1000879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"三星\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"小米\",\n      \"value\": 2300879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"oppo\",\n      \"value\": 5400879,\n      \"type\": \"手机品牌\"\n    },\n    {\n      \"name\": \"vivo\",\n      \"value\": 3400879,\n      \"type\": \"手机品牌\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"top\":40, \n      \"bottom\": 40,\r\n			\"containLabel\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础条形图\",\n      \"show\": true,\n      \"textStyle\": {\n        \"color\": \"#464646\",\r\n				\"fontWeight\":\"normal\"\n      }\n    },\n    \"tooltip\": {\n      \"trigger\": \"axis\",\n      \"axisPointer\": {\n        \"type\": \"shadow\",\n        \"label\": {\n          \"show\": true,\n          \"backgroundColor\": \"#333\"\n        }\n      }\n    },\n    \"yAxis\": {\r\n		  \"type\": \"category\",\n      \"splitLine\": {\n        \"interval\": 2\n      },\n      \"lineStyle\": {\n        \"color\": \"#f3f3f3\"\n      }\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"type\": \"bar\",\n        \"barWidth\": 20,\n        \"itemStyle\": {\n          \"color\": \"#64b5f6\",\n          \"borderRadius\": 0\n        }\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-08-04 19:18:21');
INSERT INTO `onl_drag_comp` VALUES ('200201', '200', '饼图', 'JPie', 'ant-design:pie-chart-outlined', 2, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1048,\n      \"name\": \"vivo\"\n    },\n    {\n      \"value\": 735,\n      \"name\": \"oppo\"\n    },\n    {\n      \"value\": 580,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 484,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 300,\n      \"name\": \"三星\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"title\": {\n      \"text\": \"基础饼图\",\n      \"subtext\": \"\",\n      \"left\": \"left\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\"\n    },\n    \"legend\": {\n      \"orient\": \"vertical\"\n    },\n    \"series\": [\n      {\n        \"name\": \"\",\n        \"type\": \"pie\",\n        \"radius\": \"50%\",\n        \"data\": [],\n        \"emphasis\": {\n          \"itemStyle\": {\n            \"shadowBlur\": 10,\n            \"shadowOffsetX\": 0,\n            \"shadowColor\": \"rgba(0, 0, 0, 0.5)\"\n          }\n        }\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-05-23 14:07:29');
INSERT INTO `onl_drag_comp` VALUES ('200202', '1537002903949037570', '基础折线图', 'JLine', 'teenyicons:area-chart-outline', 1, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1000,\n      \"name\": \"联想\"\n    },\n    {\n      \"value\": 7350,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 5800,\n      \"name\": \"华为\"\n    },\n    {\n      \"value\": 6000,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 3000,\n      \"name\": \"戴尔\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115,\n          \"top\":90\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础折线图\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"subtext\": \"\",\n      \"left\": 10\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"type\": \"line\",\r\n         \"itemStyle\": {\r\n          \"color\": \"#64b5f6\"\r\n        }\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-08-04 19:20:12');
INSERT INTO `onl_drag_comp` VALUES ('200203', '200', '南丁格尔玫瑰图', 'JRose', 'ant-design:pie-chart-outlined', 2, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1048,\n      \"name\": \"vivo\"\n    },\n    {\n      \"value\": 735,\n      \"name\": \"oppo\"\n    },\n    {\n      \"value\": 580,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 484,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 300,\n      \"name\": \"三星\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"title\": {\n      \"text\": \"基础饼图\",\n      \"subtext\": \"\",\n      \"left\": \"left\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\"\n    },\n    \"legend\": {\n      \"orient\": \"vertical\"\n    },\n    \"series\": [\n      {\n        \"name\": \"南丁格尔玫瑰\",\n        \"type\": \"pie\",\n        \"radius\": \"50%\",\r\n        \"roseType\": \"radius\",\n        \"data\": [],\n        \"emphasis\": {\n          \"itemStyle\": {\n            \"shadowBlur\": 10,\n            \"shadowOffsetX\": 0,\n            \"shadowColor\": \"rgba(0, 0, 0, 0.5)\"\n          }\n        }\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-05-23 14:07:29');
INSERT INTO `onl_drag_comp` VALUES ('200204', '1537773378102984706', '普通雷达图', 'JRadar', 'ant-design:radar-chart-outlined', 4, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/radar\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"分组\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 75,\n      \"name\": \"得分\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 65,\n      \"name\": \"篮板\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 55,\n      \"name\": \"防守\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 74,\n      \"name\": \"失误\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 38,\n      \"name\": \"盖帽\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    },\n    {\n      \"value\": 88,\n      \"name\": \"三分\",\n      \"type\": \"NBA\",\n      \"max\": 100\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础雷达图\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"legend\": {\n      \"data\": []\n    },\n    \"radar\": [\n      {\n        \"indicator\": []\n      }\n    ],\n    \"series\": [\n      {\n        \"type\": \"radar\",\n        \"data\": []\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-06-17 20:25:47');
INSERT INTO `onl_drag_comp` VALUES ('200205', '200', '环形图', 'JRing', 'mdi:chart-donut', 5, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1048,\n      \"name\": \"oppo\"\n    },\n    {\n      \"value\": 735,\n      \"name\": \"vivo\"\n    },\n    {\n      \"value\": 580,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 484,\n      \"name\": \"小米\"\n    },\n    {\n      \"value\": 300,\n      \"name\": \"三星\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"show\": false,\n      \"bottom\": 115\n    },\n    \"title\": {\n      \"text\": \"基础环形图\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\"\n    },\n    \"series\": [\n      {\n        \"name\": \"Access From\",\n        \"type\": \"pie\",\n        \"radius\": [\n          \"40%\",\n          \"70%\"\n        ],\n        \"avoidLabelOverlap\": false,\n        \"label\": {\n          \"show\": false,\n          \"position\": \"center\"\n        },\n        \"emphasis\": {\n          \"label\": {\n            \"show\": true,\n            \"fontWeight\": \"bold\",\r\n						\"fontSize\": 14\n          }\n        },\n        \"labelLine\": {\n          \"show\": false\n        },\n        \"data\": []\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-04-22 19:05:11');
INSERT INTO `onl_drag_comp` VALUES ('200206', '200', '面积图', 'JArea', 'teenyicons:area-chart-solid', 6, NULL, '{\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": -1,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 1048,\n      \"name\": \"华为\"\n    },\n    {\n      \"value\": 605,\n      \"name\": \"vivo\"\n    },\n    {\n      \"value\": 580,\n      \"name\": \"oppo\"\n    },\n    {\n      \"value\": 484,\n      \"name\": \"苹果\"\n    },\n    {\n      \"value\": 300,\n      \"name\": \"小米\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"基础面积图\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"xAxis\": {\n      \"boundaryGap\": false,\n      \"data\": []\n    },\n    \"series\": [\n      {\n        \"data\": [],\n        \"type\": \"line\",\n        \"areaStyle\": {}\n      }\n    ]\n  }\n}', '1', NULL, NULL, 'admin', '2022-04-22 19:04:01');
INSERT INTO `onl_drag_comp` VALUES ('200207', '200', '象形图', 'JPictorialBar', 'ant-design:dot-chart-outlined', 10, NULL, '{\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/pictogram\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"name\": \"驯鹿\",\n      \"value\": 123,\n      \"symbol\": \"path://M-22.788,24.521c2.08-0.986,3.611-3.905,4.984-5.892 c-2.686,2.782-5.047,5.884-9.102,7.312c-0.992,0.005-0.25-2.016,0.34-2.362l1.852-0.41c0.564-0.218,0.785-0.842,0.902-1.347 c2.133-0.727,4.91-4.129,6.031-6.194c1.748-0.7,4.443-0.679,5.734-2.293c1.176-1.468,0.393-3.992,1.215-6.557 c0.24-0.754,0.574-1.581,1.008-2.293c-0.611,0.011-1.348-0.061-1.959-0.608c-1.391-1.245-0.785-2.086-1.297-3.313 c1.684,0.744,2.5,2.584,4.426,2.586C-8.46,3.012-8.255,2.901-8.04,2.824c6.031-1.952,15.182-0.165,19.498-3.937 c1.15-3.933-1.24-9.846-1.229-9.938c0.008-0.062-1.314-0.004-1.803-0.258c-1.119-0.771-6.531-3.75-0.17-3.33 c0.314-0.045,0.943,0.259,1.439,0.435c-0.289-1.694-0.92-0.144-3.311-1.946c0,0-1.1-0.855-1.764-1.98 c-0.836-1.09-2.01-2.825-2.992-4.031c-1.523-2.476,1.367,0.709,1.816,1.108c1.768,1.704,1.844,3.281,3.232,3.983 c0.195,0.203,1.453,0.164,0.926-0.468c-0.525-0.632-1.367-1.278-1.775-2.341c-0.293-0.703-1.311-2.326-1.566-2.711 c-0.256-0.384-0.959-1.718-1.67-2.351c-1.047-1.187-0.268-0.902,0.521-0.07c0.789,0.834,1.537,1.821,1.672,2.023 c0.135,0.203,1.584,2.521,1.725,2.387c0.102-0.259-0.035-0.428-0.158-0.852c-0.125-0.423-0.912-2.032-0.961-2.083 c-0.357-0.852-0.566-1.908-0.598-3.333c0.4-2.375,0.648-2.486,0.549-0.705c0.014,1.143,0.031,2.215,0.602,3.247 c0.807,1.496,1.764,4.064,1.836,4.474c0.561,3.176,2.904,1.749,2.281-0.126c-0.068-0.446-0.109-2.014-0.287-2.862 c-0.18-0.849-0.219-1.688-0.113-3.056c0.066-1.389,0.232-2.055,0.277-2.299c0.285-1.023,0.4-1.088,0.408,0.135 c-0.059,0.399-0.131,1.687-0.125,2.655c0.064,0.642-0.043,1.768,0.172,2.486c0.654,1.928-0.027,3.496,1,3.514 c1.805-0.424,2.428-1.218,2.428-2.346c-0.086-0.704-0.121-0.843-0.031-1.193c0.221-0.568,0.359-0.67,0.312-0.076 c-0.055,0.287,0.031,0.533,0.082,0.794c0.264,1.197,0.912,0.114,1.283-0.782c0.15-0.238,0.539-2.154,0.545-2.522 c-0.023-0.617,0.285-0.645,0.309,0.01c0.064,0.422-0.248,2.646-0.205,2.334c-0.338,1.24-1.105,3.402-3.379,4.712 c-0.389,0.12-1.186,1.286-3.328,2.178c0,0,1.729,0.321,3.156,0.246c1.102-0.19,3.707-0.027,4.654,0.269 c1.752,0.494,1.531-0.053,4.084,0.164c2.26-0.4,2.154,2.391-1.496,3.68c-2.549,1.405-3.107,1.475-2.293,2.984 c3.484,7.906,2.865,13.183,2.193,16.466c2.41,0.271,5.732-0.62,7.301,0.725c0.506,0.333,0.648,1.866-0.457,2.86 c-4.105,2.745-9.283,7.022-13.904,7.662c-0.977-0.194,0.156-2.025,0.803-2.247l1.898-0.03c0.596-0.101,0.936-0.669,1.152-1.139 c3.16-0.404,5.045-3.775,8.246-4.818c-4.035-0.718-9.588,3.981-12.162,1.051c-5.043,1.423-11.449,1.84-15.895,1.111 c-3.105,2.687-7.934,4.021-12.115,5.866c-3.271,3.511-5.188,8.086-9.967,10.414c-0.986,0.119-0.48-1.974,0.066-2.385l1.795-0.618 C-22.995,25.682-22.849,25.035-22.788,24.521z\",\n      \"symbolSize\": [\n        60,\n        60\n      ]\n    },\n    {\n      \"name\": \"飞机\",\n      \"value\": 60,\n      \"symbol\": \"path://M1.112,32.559l2.998,1.205l-2.882,2.268l-2.215-0.012L1.112,32.559z M37.803,23.96 c0.158-0.838,0.5-1.509,0.961-1.904c-0.096-0.037-0.205-0.071-0.344-0.071c-0.777-0.005-2.068-0.009-3.047-0.009 c-0.633,0-1.217,0.066-1.754,0.18l2.199,1.804H37.803z M39.738,23.036c-0.111,0-0.377,0.325-0.537,0.924h1.076 C40.115,23.361,39.854,23.036,39.738,23.036z M39.934,39.867c-0.166,0-0.674,0.705-0.674,1.986s0.506,1.986,0.674,1.986 s0.672-0.705,0.672-1.986S40.102,39.867,39.934,39.867z M38.963,38.889c-0.098-0.038-0.209-0.07-0.348-0.073 c-0.082,0-0.174,0-0.268-0.001l-7.127,4.671c0.879,0.821,2.42,1.417,4.348,1.417c0.979,0,2.27-0.006,3.047-0.01 c0.139,0,0.25-0.034,0.348-0.072c-0.646-0.555-1.07-1.643-1.07-2.967C37.891,40.529,38.316,39.441,38.963,38.889z M32.713,23.96 l-12.37-10.116l-4.693-0.004c0,0,4,8.222,4.827,10.121H32.713z M59.311,32.374c-0.248,2.104-5.305,3.172-8.018,3.172H39.629 l-25.325,16.61L9.607,52.16c0,0,6.687-8.479,7.95-10.207c1.17-1.6,3.019-3.699,3.027-6.407h-2.138 c-5.839,0-13.816-3.789-18.472-5.583c-2.818-1.085-2.396-4.04-0.031-4.04h0.039l-3.299-11.371h3.617c0,0,4.352,5.696,5.846,7.5 c2,2.416,4.503,3.678,8.228,3.87h30.727c2.17,0,4.311,0.417,6.252,1.046c3.49,1.175,5.863,2.7,7.199,4.027 C59.145,31.584,59.352,32.025,59.311,32.374z M22.069,30.408c0-0.815-0.661-1.475-1.469-1.475c-0.812,0-1.471,0.66-1.471,1.475 s0.658,1.475,1.471,1.475C21.408,31.883,22.069,31.224,22.069,30.408z M27.06,30.408c0-0.815-0.656-1.478-1.466-1.478 c-0.812,0-1.471,0.662-1.471,1.478s0.658,1.477,1.471,1.477C26.404,31.885,27.06,31.224,27.06,30.408z M32.055,30.408 c0-0.815-0.66-1.475-1.469-1.475c-0.808,0-1.466,0.66-1.466,1.475s0.658,1.475,1.466,1.475 C31.398,31.883,32.055,31.224,32.055,30.408z M37.049,30.408c0-0.815-0.658-1.478-1.467-1.478c-0.812,0-1.469,0.662-1.469,1.478 s0.656,1.477,1.469,1.477C36.389,31.885,37.049,31.224,37.049,30.408z M42.039,30.408c0-0.815-0.656-1.478-1.465-1.478 c-0.811,0-1.469,0.662-1.469,1.478s0.658,1.477,1.469,1.477C41.383,31.885,42.039,31.224,42.039,30.408z M55.479,30.565 c-0.701-0.436-1.568-0.896-2.627-1.347c-0.613,0.289-1.551,0.476-2.73,0.476c-1.527,0-1.639,2.263,0.164,2.316 C52.389,32.074,54.627,31.373,55.479,30.565z\",\n      \"symbolSize\": [\n        65,\n        35\n      ]\n    },\n    {\n      \"name\": \"火箭\",\n      \"value\": 25,\n      \"symbol\": \"path://M-244.396,44.399c0,0,0.47-2.931-2.427-6.512c2.819-8.221,3.21-15.709,3.21-15.709s5.795,1.383,5.795,7.325C-237.818,39.679-244.396,44.399-244.396,44.399z M-260.371,40.827c0,0-3.881-12.946-3.881-18.319c0-2.416,0.262-4.566,0.669-6.517h17.684c0.411,1.952,0.675,4.104,0.675,6.519c0,5.291-3.87,18.317-3.87,18.317H-260.371z M-254.745,18.951c-1.99,0-3.603,1.676-3.603,3.744c0,2.068,1.612,3.744,3.603,3.744c1.988,0,3.602-1.676,3.602-3.744S-252.757,18.951-254.745,18.951z M-255.521,2.228v-5.098h1.402v4.969c1.603,1.213,5.941,5.069,7.901,12.5h-17.05C-261.373,7.373-257.245,3.558-255.521,2.228zM-265.07,44.399c0,0-6.577-4.721-6.577-14.896c0-5.942,5.794-7.325,5.794-7.325s0.393,7.488,3.211,15.708C-265.539,41.469-265.07,44.399-265.07,44.399z M-252.36,45.15l-1.176-1.22L-254.789,48l-1.487-4.069l-1.019,2.116l-1.488-3.826h8.067L-252.36,45.15z\",\n      \"symbolSize\": [\n        50,\n        60\n      ]\n    },\n    {\n      \"name\": \"高铁\",\n      \"value\": 18,\n      \"symbol\": \"path://M67.335,33.596L67.335,33.596c-0.002-1.39-1.153-3.183-3.328-4.218h-9.096v-2.07h5.371 c-4.939-2.07-11.199-4.141-14.89-4.141H19.72v12.421v5.176h38.373c4.033,0,8.457-1.035,9.142-5.176h-0.027 c0.076-0.367,0.129-0.751,0.129-1.165L67.335,33.596L67.335,33.596z M27.999,30.413h-3.105v-4.141h3.105V30.413z M35.245,30.413 h-3.104v-4.141h3.104V30.413z M42.491,30.413h-3.104v-4.141h3.104V30.413z M49.736,30.413h-3.104v-4.141h3.104V30.413z  M14.544,40.764c1.143,0,2.07-0.927,2.07-2.07V35.59V25.237c0-1.145-0.928-2.07-2.07-2.07H-9.265c-1.143,0-2.068,0.926-2.068,2.07 v10.351v3.105c0,1.144,0.926,2.07,2.068,2.07H14.544L14.544,40.764z M8.333,26.272h3.105v4.141H8.333V26.272z M1.087,26.272h3.105 v4.141H1.087V26.272z M-6.159,26.272h3.105v4.141h-3.105V26.272z M-9.265,41.798h69.352v1.035H-9.265V41.798z\",\n      \"symbolSize\": [\n        50,\n        30\n      ]\n    },\n    {\n      \"name\": \"轮船\",\n      \"value\": 12,\n      \"symbol\": \"path://M16.678,17.086h9.854l-2.703,5.912c5.596,2.428,11.155,5.575,16.711,8.607c3.387,1.847,6.967,3.75,10.541,5.375 v-6.16l-4.197-2.763v-5.318L33.064,12.197h-11.48L20.43,15.24h-4.533l-1.266,3.286l0.781,0.345L16.678,17.086z M49.6,31.84 l0.047,1.273L27.438,20.998l0.799-1.734L49.6,31.84z M33.031,15.1l12.889,8.82l0.027,0.769L32.551,16.1L33.031,15.1z M22.377,14.045 h9.846l-1.539,3.365l-2.287-1.498h1.371l0.721-1.352h-2.023l-0.553,1.037l-0.541-0.357h-0.34l0.359-0.684h-2.025l-0.361,0.684 h-3.473L22.377,14.045z M23.695,20.678l-0.004,0.004h0.004V20.678z M24.828,18.199h-2.031l-0.719,1.358h2.029L24.828,18.199z  M40.385,34.227c-12.85-7.009-25.729-14.667-38.971-12.527c1.26,8.809,9.08,16.201,8.213,24.328 c-0.553,4.062-3.111,0.828-3.303,7.137c15.799,0,32.379,0,48.166,0l0.066-4.195l1.477-7.23 C50.842,39.812,45.393,36.961,40.385,34.227z M13.99,35.954c-1.213,0-2.195-1.353-2.195-3.035c0-1.665,0.98-3.017,2.195-3.017 c1.219,0,2.195,1.352,2.195,3.017C16.186,34.604,15.213,35.954,13.99,35.954z M23.691,20.682h-2.02l-0.588,1.351h2.023 L23.691,20.682z M19.697,18.199l-0.721,1.358h2.025l0.727-1.358H19.697z\",\n      \"symbolSize\": [\n        50,\n        35\n      ]\n    },\n    {\n      \"name\": \"汽车\",\n      \"value\": 9,\n      \"symbol\": \"path://M49.592,40.883c-0.053,0.354-0.139,0.697-0.268,0.963c-0.232,0.475-0.455,0.519-1.334,0.475 c-1.135-0.053-2.764,0-4.484,0.068c0,0.476,0.018,0.697,0.018,0.697c0.111,1.299,0.697,1.342,0.931,1.342h3.7 c0.326,0,0.628,0,0.861-0.154c0.301-0.196,0.43-0.772,0.543-1.78c0.017-0.146,0.025-0.336,0.033-0.56v-0.01 c0-0.068,0.008-0.154,0.008-0.25V41.58l0,0C49.6,41.348,49.6,41.09,49.592,40.883L49.592,40.883z M6.057,40.883 c0.053,0.354,0.137,0.697,0.268,0.963c0.23,0.475,0.455,0.519,1.334,0.475c1.137-0.053,2.762,0,4.484,0.068 c0,0.476-0.018,0.697-0.018,0.697c-0.111,1.299-0.697,1.342-0.93,1.342h-3.7c-0.328,0-0.602,0-0.861-0.154 c-0.309-0.18-0.43-0.772-0.541-1.78c-0.018-0.146-0.027-0.336-0.035-0.56v-0.01c0-0.068-0.008-0.154-0.008-0.25V41.58l0,0 C6.057,41.348,6.057,41.09,6.057,40.883L6.057,40.883z M49.867,32.766c0-2.642-0.344-5.224-0.482-5.507 c-0.104-0.207-0.766-0.749-2.271-1.773c-1.522-1.042-1.487-0.887-1.766-1.566c0.25-0.078,0.492-0.224,0.639-0.241 c0.326-0.034,0.345,0.274,1.023,0.274c0.68,0,2.152-0.18,2.453-0.48c0.301-0.303,0.396-0.405,0.396-0.672 c0-0.268-0.156-0.818-0.447-1.146c-0.293-0.327-1.541-0.49-2.273-0.585c-0.729-0.095-0.834,0-1.022,0.121 c-0.304,0.189-0.32,1.919-0.32,1.919l-0.713,0.018c-0.465-1.146-1.11-3.452-2.117-5.269c-1.103-1.979-2.256-2.599-2.737-2.754 c-0.474-0.146-0.904-0.249-4.131-0.576c-3.298-0.344-5.922-0.388-8.262-0.388c-2.342,0-4.967,0.052-8.264,0.388 c-3.229,0.336-3.66,0.43-4.133,0.576s-1.633,0.775-2.736,2.754c-1.006,1.816-1.652,4.123-2.117,5.269L9.87,23.109 c0,0-0.008-1.729-0.318-1.919c-0.189-0.121-0.293-0.225-1.023-0.121c-0.732,0.104-1.98,0.258-2.273,0.585 c-0.293,0.327-0.447,0.878-0.447,1.146c0,0.267,0.094,0.379,0.396,0.672c0.301,0.301,1.773,0.48,2.453,0.48 c0.68,0,0.697-0.309,1.023-0.274c0.146,0.018,0.396,0.163,0.637,0.241c-0.283,0.68-0.24,0.524-1.764,1.566 c-1.506,1.033-2.178,1.566-2.271,1.773c-0.139,0.283-0.482,2.865-0.482,5.508s0.189,5.02,0.189,5.86c0,0.354,0,0.976,0.076,1.565 c0.053,0.354,0.129,0.697,0.268,0.966c0.232,0.473,0.447,0.516,1.334,0.473c1.137-0.051,2.779,0,4.477,0.07 c1.135,0.043,2.297,0.086,3.33,0.11c2.582,0.051,1.826-0.379,2.928-0.36c1.102,0.016,5.447,0.196,9.424,0.196 c3.976,0,8.332-0.182,9.423-0.196c1.102-0.019,0.346,0.411,2.926,0.36c1.033-0.018,2.195-0.067,3.332-0.11 c1.695-0.062,3.348-0.121,4.477-0.07c0.886,0.043,1.103,0,1.332-0.473c0.132-0.269,0.218-0.611,0.269-0.966 c0.086-0.592,0.078-1.213,0.078-1.565C49.678,37.793,49.867,35.408,49.867,32.766L49.867,32.766z M13.219,19.735 c0.412-0.964,1.652-2.9,2.256-3.244c0.145-0.087,1.426-0.491,4.637-0.706c2.953-0.198,6.217-0.276,7.73-0.276 c1.513,0,4.777,0.078,7.729,0.276c3.201,0.215,4.502,0.611,4.639,0.706c0.775,0.533,1.842,2.28,2.256,3.244 c0.412,0.965,0.965,2.858,0.861,3.116c-0.104,0.258,0.104,0.388-1.291,0.275c-1.387-0.103-10.088-0.216-14.185-0.216 c-4.088,0-12.789,0.113-14.184,0.216c-1.395,0.104-1.188-0.018-1.291-0.275C12.254,22.593,12.805,20.708,13.219,19.735 L13.219,19.735z M16.385,30.511c-0.619,0.155-0.988,0.491-1.764,0.482c-0.775,0-2.867-0.353-3.314-0.371 c-0.447-0.017-0.842,0.302-1.076,0.362c-0.23,0.06-0.688-0.104-1.377-0.318c-0.688-0.216-1.092-0.155-1.316-1.094 c-0.232-0.93,0-2.264,0-2.264c1.488-0.068,2.928,0.069,5.621,0.826c2.693,0.758,4.191,2.213,4.191,2.213 S17.004,30.357,16.385,30.511L16.385,30.511z M36.629,37.293c-1.23,0.164-6.386,0.207-8.794,0.207c-2.412,0-7.566-0.051-8.799-0.207 c-1.256-0.164-2.891-1.67-1.764-2.865c1.523-1.627,1.24-1.576,4.701-2.023C24.967,32.018,27.239,32,27.834,32 c0.584,0,2.865,0.025,5.859,0.404c3.461,0.447,3.178,0.396,4.699,2.022C39.521,35.623,37.887,37.129,36.629,37.293L36.629,37.293z  M48.129,29.582c-0.232,0.93-0.629,0.878-1.318,1.093c-0.688,0.216-1.145,0.371-1.377,0.319c-0.231-0.053-0.627-0.371-1.074-0.361 c-0.448,0.018-2.539,0.37-3.313,0.37c-0.772,0-1.146-0.328-1.764-0.481c-0.621-0.154-0.966-0.154-0.966-0.154 s1.49-1.464,4.191-2.213c2.693-0.758,4.131-0.895,5.621-0.826C48.129,27.309,48.361,28.643,48.129,29.582L48.129,29.582z\",\n      \"symbolSize\": [\n        40,\n        30\n      ]\n    },\n    {\n      \"name\": \"跑步\",\n      \"value\": 2,\n      \"symbol\": \"path://M13.676,32.955c0.919-0.031,1.843-0.008,2.767-0.008v0.007c0.827,0,1.659,0.041,2.486-0.019 c0.417-0.028,1.118,0.325,1.14-0.545c0.014-0.637-0.156-1.279-0.873-1.367c-1.919-0.241-3.858-0.233-5.774,0.019 c-0.465,0.062-0.998,0.442-0.832,1.069C12.715,32.602,13.045,32.977,13.676,32.955z M14.108,29.013 c1.47-0.007,2.96-0.122,4.414,0.035c1.792,0.192,3.1-0.412,4.273-2.105c-3.044,0-5.882,0.014-8.719-0.01 c-0.768-0.005-1.495,0.118-1.461,1C12.642,28.731,13.329,29.014,14.108,29.013z M23.678,36.593c-0.666-0.69-1.258-1.497-2.483-1.448 c-2.341,0.095-4.689,0.051-7.035,0.012c-0.834-0.014-1.599,0.177-1.569,1.066c0.031,0.854,0.812,1.062,1.636,1.043 c1.425-0.033,2.852-0.01,4.278-0.01v-0.01c1.562,0,3.126,0.008,4.691-0.005C23.614,37.239,24.233,37.174,23.678,36.593z  M32.234,42.292h-0.002c-1.075,0.793-2.589,0.345-3.821,1.048c-0.359,0.193-0.663,0.465-0.899,0.799 c-1.068,1.623-2.052,3.301-3.117,4.928c-0.625,0.961-0.386,1.805,0.409,2.395c0.844,0.628,1.874,0.617,2.548-0.299 c1.912-2.573,3.761-5.197,5.621-7.814C33.484,42.619,33.032,42.387,32.234,42.292z M43.527,28.401 c-0.688-1.575-2.012-0.831-3.121-0.895c-1.047-0.058-2.119,1.128-3.002,0.345c-0.768-0.677-1.213-1.804-1.562-2.813 c-0.45-1.305-1.495-2.225-2.329-3.583c2.953,1.139,4.729,0.077,5.592-1.322c0.99-1.61,0.718-3.725-0.627-4.967 c-1.362-1.255-3.414-1.445-4.927-0.452c-1.933,1.268-2.206,2.893-0.899,6.11c-2.098-0.659-3.835-1.654-5.682-2.383 c-0.735-0.291-1.437-1.017-2.293-0.666c-2.263,0.927-4.522,1.885-6.723,2.95c-1.357,0.658-1.649,1.593-1.076,2.638 c0.462,0.851,1.643,1.126,2.806,0.617c0.993-0.433,1.994-0.857,2.951-1.374c1.599-0.86,3.044-0.873,4.604,0.214 c1.017,0.707,0.873,1.137,0.123,1.849c-1.701,1.615-3.516,3.12-4.933,5.006c-1.042,1.388-0.993,2.817,0.255,4.011 c1.538,1.471,3.148,2.869,4.708,4.315c0.485,0.444,0.907,0.896-0.227,1.104c-1.523,0.285-3.021,0.694-4.538,1.006 c-1.109,0.225-2.02,1.259-1.83,2.16c0.223,1.07,1.548,1.756,2.687,1.487c3.003-0.712,6.008-1.413,9.032-2.044 c1.549-0.324,2.273-1.869,1.344-3.115c-0.868-1.156-1.801-2.267-2.639-3.445c-1.964-2.762-1.95-2.771,0.528-5.189 c1.394-1.357,1.379-1.351,2.437,0.417c0.461,0.769,0.854,1.703,1.99,1.613c2.238-0.181,4.407-0.755,6.564-1.331 C43.557,30.447,43.88,29.206,43.527,28.401z\",\n      \"symbolSize\": [\n        50,\n        50\n      ]\n    },\n    {\n      \"name\": \"步行\",\n      \"value\": 1,\n      \"symbol\": \"path://M29.902,23.275c1.86,0,3.368-1.506,3.368-3.365c0-1.859-1.508-3.365-3.368-3.365 c-1.857,0-3.365,1.506-3.365,3.365C26.537,21.769,28.045,23.275,29.902,23.275z M36.867,30.74c-1.666-0.467-3.799-1.6-4.732-4.199 c-0.932-2.6-3.131-2.998-4.797-2.998s-7.098,3.894-7.098,3.894c-1.133,1.001-2.1,6.502-0.967,6.769 c1.133,0.269,1.266-1.533,1.934-3.599c0.666-2.065,3.797-3.466,3.797-3.466s0.201,2.467-0.398,3.866 c-0.599,1.399-1.133,2.866-1.467,6.198s-1.6,3.665-3.799,6.266c-2.199,2.598-0.6,3.797,0.398,3.664 c1.002-0.133,5.865-5.598,6.398-6.998c0.533-1.397,0.668-3.732,0.668-3.732s0,0,2.199,1.867c2.199,1.865,2.332,4.6,2.998,7.73 s2.332,0.934,2.332-0.467c0-1.401,0.269-5.465-1-7.064c-1.265-1.6-3.73-3.465-3.73-5.265s1.199-3.732,1.199-3.732 c0.332,1.667,3.335,3.065,5.599,3.399C38.668,33.206,38.533,31.207,36.867,30.74z\",\n      \"symbolSize\": [\n        40,\n        50\n      ]\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"show\": true,\n      \"text\": \"象形柱图\"\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"tooltip\": {\n      \"trigger\": \"axis\",\n      \"axisPointer\": {\n        \"type\": \"shadow\",\n        \"label\": {\n          \"show\": true,\n          \"backgroundColor\": \"#333\"\n        }\n      }\n    },\n    \"series\": []\n  }\n}', '1', NULL, '2022-01-05 16:52:27', 'admin', '2022-04-24 11:03:33');
INSERT INTO `onl_drag_comp` VALUES ('200208', '1537764868216684545', '普通漏斗图', 'JFunnel', 'ant-design:funnel-plot-filled', 8, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/funnel\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"维度\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"value\": 335,\n      \"name\": \"直接访问\"\n    },\n    {\n      \"value\": 310,\n      \"name\": \"邮件营销\"\n    },\n    {\n      \"value\": 234,\n      \"name\": \"联盟广告\"\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"text\": \"基础漏斗图\",\r\n			\"textStyle\":{\r\n			  \"fontWeight\":\"normal\"\r\n			},\n      \"show\": true\n    },\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"trigger\": \"item\",\n      \"formatter\": \"{a} <br/>{b} : {c}%\"\n    },\n    \"legend\": {\n      \"orient\": \"horizontal\"\n    },\n    \"series\": [\n      {\n        \"name\": \"Funnel\",\n        \"type\": \"funnel\",\n        \"left\": \"10%\",\n        \"width\": \"80%\",\n        \"sort\": \"descending\",\n        \"gap\": 2,\n        \"label\": {\n          \"show\": true,\n          \"position\": \"inside\"\n        },\n        \"labelLine\": {\n          \"length\": 10,\n          \"lineStyle\": {\n            \"width\": 1,\n            \"type\": \"solid\"\n          }\n        },\n        \"itemStyle\": {\n          \"borderColor\": \"#fff\",\n          \"borderWidth\": 1\n        },\n        \"emphasis\": {\n          \"label\": {\n            \"fontSize\": 20\n          }\n        }\n      }\n    ]\n  }\n}', '1', NULL, '2022-01-06 14:38:04', 'admin', '2022-06-17 19:51:26');
INSERT INTO `onl_drag_comp` VALUES ('200211', '200300', '基础仪表盘', 'JGauge', 'mdi:gauge', NULL, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/26/gauge\",\n  \"timeOut\": -1,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"linkageConfig\": [],\n  \"dataMapping\": [\n    {\n      \"filed\": \"名称\",\n      \"mapping\": \"\"\n    },\n    {\n      \"filed\": \"数值\",\n      \"mapping\": \"\"\n    }\n  ],\n  \"chartData\": [\n    {\n      \"min\": 1,\n      \"max\": 10,\n      \"label\": \"名称\",\n      \"value\": 4,\n      \"unit\": \"%\"\n    }\n  ],\n  \"option\": {\n    \"title\": {\n      \"text\": \"标准仪表盘\"\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"tooltip\": {\n      \"formatter\": \"{a} <br/>{b} : {c}%\"\n    },\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"series\": [\n      {\n        \"axisLabel\": {\n          \"show\": true,\n          \"fontSize\": 12\n        },\n        \"detail\": {\n          \"fontSize\": 25,\n          \"formatter\": \"{value}\"\n        },\n        \"splitLine\": {\n          \"length\": 12,\n          \"lineStyle\": {\n            \"color\": \"#eee\",\n            \"width\": 4\n          }\n        },\n        \"axisTick\": {\n          \"show\": true,\n          \"lineStyle\": {\n            \"color\": \"#eee\"\n          }\n        },\n        \"progress\": {\n          \"show\": true\n        },\n        \"data\": [],\r\n \"itemStyle\": {\r\n          \"color\": \"#64b5f6\"\r\n        },\n        \"type\": \"gauge\"\n      }\n    ]\n  }\n}', '1', 'jeecg', '2021-12-26 18:32:05', 'admin', '2022-04-24 10:57:39');
INSERT INTO `onl_drag_comp` VALUES ('200300', '200', '仪表盘', '', 'mdi:gauge', 10, NULL, '', '1', NULL, NULL, NULL, '2022-04-22 19:10:00');
INSERT INTO `onl_drag_comp` VALUES ('200400', '708970414976712704', '通用组件', 'JCommon', 'teenyicons:area-chart-solid', 6, NULL, '{\r\n  \"dataType\": 1,\r\n  \"background\": \"#ffffff\",\r\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\r\n  \"timeOut\": 0,\r\n  \"turnConfig\": {\r\n    \"url\": \"\"\r\n  },\r\n  \"linkageConfig\": [],\r\n  \"dataMapping\": [],\r\n	\"customOption\": \"option = {xAxis: {type: \'category\',data: [\'Mon\', \'Tue\', \'Wed\', \'Thu\', \'Fri\', \'Sat\', \'Sun\']},yAxis: {type: \'value\'},series: [{data: [150, 230, 224, 218, 135, 147, 260],type: \'line\'}]};return option;\",\r\n  \"chartData\": [\r\n    {\r\n      \"value\": 0,\r\n      \"name\": \"\"\r\n    }\r\n  ],\r\n	\r\n  \"option\": {\r\n    \"grid\": {\r\n      \"bottom\": 115\r\n    },\r\n    \"card\": {\r\n      \"title\": \"\",\r\n      \"extra\": \"\",\r\n      \"rightHref\": \"\",\r\n      \"size\": \"default\"\r\n    },\r\n    \"title\": {\r\n      \"text\": \"\",\r\n      \"show\": true\r\n    }\r\n  }\r\n}', '1', NULL, NULL, 'admin', '2022-07-01 17:34:27');
INSERT INTO `onl_drag_comp` VALUES ('708970414976712704', '0', '个性', 'custom', 'ant-design:appstore-twotone', 100, NULL, NULL, '0', 'admin', '2022-07-18 19:22:09', 'admin', '2022-07-18 19:33:20');
INSERT INTO `onl_drag_comp` VALUES ('708970874177503232', '708970414976712704', '牛气冲天', 'JCommon', 'ant-design:heart-outlined', 100, NULL, '{\n  \"dataType\": 1,\n  \"background\": \"#ffffff\",\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"customOption\": \"var path=\'path://M1472.28,127.91v1C1551,161.7,1579,253.05,1566,330.91a302.16,302.16,0,0,1-10.75,45c-1.53,4.64-2.58,11.74-5.84,15.49-4.58,5.24-17.68,7.14-24.16,9.56-16.89,6.31-33.09,14.32-49,22.73a288.45,288.45,0,0,0-41,26.87c-5.65,4.35-12.1,13-19,15-5,1.48-13-2.41-18-3.47-13-2.75-26.75-4.88-40-5.2-34.31-.84-68.14-.13-101-12.07-87.12-31.65-121-121.33-121-207.95-8.6,6.19-14.51,17.69-19.24,27-12.29,24.17-18.25,50.2-20.93,77-9.21,92.11,29.78,183.68,110.17,232,17.52,10.54,39.51,23,60,26-27.07,22.42-61.21,39.27-91,58l-24,15.1c-3.06,1.92-8.39,4-10.25,7.28-3.37,5.86,12.26,15.67,16.25,18.32,19,12.57,45.11,21.88,68,22.35-14.3,12.93-35.35,20.72-51,32.66-34,26-63.52,56.3-91.71,88.34a787.23,787.23,0,0,0-57.4,73c-12.44,18.05-23,37.85-38,54-13.26,14.26-28.7,25.07-44.92,35.66-56.3,36.75-122.64,58.87-187,76.76-91.95,25.57-185.55,44.87-277,72.31-41.2,12.35-81.72,26.39-117,51.7-11.09,8-22.6,17.26-31.57,27.57-4.78,5.49-11.54,16.79-18.44,19.4-6.5,2.45-17.27-.17-24-1.13-21.36-3-50.8-8.45-64.21-27.27-9.24-13-3-28.7,5.88-40,17.49-22.23,44.8-39.36,71.33-48.66,53.62-18.78,111-24.35,165-42.34,25.32-8.44,54.45-19.34,71.49-41,21.79-27.7,14.86-74.74,5.94-106-26.46-92.7-114.26-157-210.43-159,14.47,18,33.35,30.17,41.31,53,2.84,8.16,2.07,15.62,2.86,24,1.79,18.79,6.07,37.51,19,52,28.13,31.53,70.68,26.37,102.82,49.93,17.21,12.61,32.57,33.58,27.1,56.07-10.26,42.27-68.2,52.95-104.1,59.42-57.71,10.42-118.24,18.08-173,40-30.44,12.18-59.21,31.26-72.13,62.6-19.22,46.59,5,87.25,44.13,113.33a263.25,263.25,0,0,0,41,22.09c4.22,1.84,12.58,3.76,11.82,9.6-1.91,14.69-8.09,29.16-10.39,44-4.36,28.12-5.11,57.57-4.41,86,1.54,62.75,7,125,7,188,0,39-.72,79-10.73,117-12.41,47.06-52.6,77.71-69.21,123a177.6,177.6,0,0,0-11,53c-.64,14.62,1.52,29.6-1.7,44-3.28,14.63-19.08,24.93-20.24,39-1.48,18,10.2,33.95,7.6,52-3.72,25.85-33.15,41.75-27,70,3.33,15.35,18.49,24.8,32.33,29.66,28.41,10,63.53,12.06,93,5.68,19.29-4.18,41.85-16,32-39.34-16.25,4.65-30.79,10.21-48,11-16.31.71-31.87-3.27-48-4v-1c29.51-5.48,58.33-7.43,85-23-14.07-44.48-78.23-59.81-76-110,.64-13.92,8.93-27.24,17.09-38,18.37-24.2,43.35-42.89,67.87-60.42,58.41-41.76,121.88-75.85,180-118,37.2-27,70.16-60.68,106-89.57,16.43,79.56,64.1,157.63,124,211.83,20.94,19,44.5,33.9,67,50.8,11.75,8.82,25.72,18.68,33.54,31.37,8.65,14.06-8.82,18.72-8.4,32,.46,14.58,16.09,26.43,19.35,41,2.91,13-1.16,25.79-5.54,38-3.51,9.81-6.76,21.2,1.52,29.67,6.93,7.08,18.29,9.25,27.53,11.45,25.93,6.14,53.84,6.41,80,2,8.67-1.47,40.39-11.88,28.83-26.48-3.37-4.25-19.71-.6-24.83-.6-23,0-42.29-5.75-64-12v-1c25.71,0,58.05-.69,82-11-7.68-18.45-19.4-37.15-34-50.91-11.59-10.93-25.16-18.77-35.56-31.09-37.67-44.64-65-113-62.4-172,1.41-32.05,18.57-53.87,35.62-80,19.45-29.79,38.76-59.78,57.54-90,8.14-13.11,16.85-25.89,25-39,2.87-4.62,6.56-13.55,11.85-15.69,6.63-2.68,18,1,24.95,1.6,22.7,1.83,45.45,4.82,68,8,73.16,10.17,145.12,22.29,216,43.41,15.49,4.61,31.33,8.38,47,12.35,7.83,2,17.29,3,24,7.75,28.88,20.47,61.08,50.49,76.74,82.62,10.42,21.38,9.22,47.09,24.72,66,30,36.62,76.59,55.44,109.5,89,22.06,22.51,25,52.87,38.3,80,5.78,11.84,18.15,18.21,23.39,30,9.57,21.55-5.94,45.37-13,65-5.93,16.62-2.68,37.29,8.63,51,28.34,34.37,85.85,32.9,125.68,25.39,21.63-4.08,45-13.08,45-38.39-33.33.09-65,2.77-98-5.48-14.23-3.55-26.6-9.94-40-15.52v-1c45.78,5.91,88.63,10.78,134-2-13.48-32.38-41.31-63.58-67-86.83-22.22-20.11-45.87-38.14-63-63.17-19-27.75-26.23-61.69-23.94-95,1.07-15.61,8.5-30.09,5.24-46-5.58-27.3-24.69-47.5-36-72-11.87-25.65-13.5-55.3-15.4-83-.84-12.21-3.08-26.88-.63-39,1.37-6.77,7.76-13.69,11.93-19,11-14,23.22-26.45,35.79-39,20.79-20.76,45.55-37.78,69-55.37,32.27-24.21,65.23-49,101-67.85,24-12.65,58.09-21.5,79.91.31,19,19,18.11,52.46,3.73,73.91-6.5,9.7-18.93,17-21.17,29-3.86,20.58,15.81,43.32-7.47,58.9-30.6,20.47-81.21,5.06-100.63,43.1a53.83,53.83,0,0,0-5.07,16c-5.36,34.59,6.69,80.69,32.7,104.91,11.92,11.1,29.9,18.48,46,12.16,3.89-1.53,11.44-4.6,12.65-9.1,1-3.68-4.44-6.88-6.65-9a102.67,102.67,0,0,1-18.69-24c-14-25.5-15.53-49.67-14.31-78h1c.75,36.25,22.54,76.42,57,90,42.58-109.73,89.4-217.41,110.42-334,8.3-46,17.54-102.62,1.36-148-5.89-16.53-21.23-23.44-35.78-31.31-29.79-16.11-59.59-31.3-91-44.09-8.3-3.37-16.6-6.81-25-9.92-3.63-1.34-9.71-2.44-12.38-5.38-3.17-3.49-.62-16.55-.62-21.3,0-20,.28-40.07-1.09-60a870.11,870.11,0,0,0-11.33-95c-8.14-45.1-19.57-89.75-17.54-136,1.44-32.95,3.38-70.71,22.48-99,8.7-12.88,22.25-21.62,33.48-32.08,17.49-16.29,33.42-34.41,45.8-54.92,16.85-27.91,27.29-59.34,34.55-91,5.5-24,8.46-48.26,18.51-71,17.57-39.74,54.62-67.63,70.08-108,11.51-30.07,9.57-65.44.92-96-3.24-11.42-6.37-24.73-15.86-32.67-26.77-22.36-65.92,2.83-61.81,35.67,2.31,18.57,25.16,26.94,39.81,16.37,9.18-6.63,10-16,10-26.37h1c1,7.24,2.88,13.66,1.1,21-5.85,24.08-34.91,38.31-56.1,23.22-23.42-16.69-27.41-51.5-10.84-74.22a58.1,58.1,0,0,1,21.84-18.51c11.76-5.52,22.5-5,35-4.49v-1c-5.86-3.08-11.5-6.23-18-7.76-33.08-7.79-45,24.6-68,38.95-52,32.51-108.58,62.8-167,81.81,0-81.44-16.39-176.06-91-223.56a189.17,189.17,0,0,0-48-21.71c-21.73-6.48-44.43-8.73-67-8.73m133,55c0,6.85.56,13.72-2.67,20-8.44,16.45-28,18.37-42.33,9v-1c14,.61,27.06-.94,36.47-13,3.6-4.61,5.06-10.41,8.53-15m28,41c9.74,33-39.31,61.09-61,33,19.8,3.85,38.15.49,51.53-16,4.25-5.23,6-11.45,9.47-17m25,56c-2,15.68-10.38,29.06-25,35.88-18.57,8.67-48.86,2.65-56-18.88,20.19,10.63,41.93,14.1,62,.65,7.47-5,12.19-12.14,19-17.65m186,36-23.14,54-29.86,67h-1v-66h-1c-5,28.89-23.6,57.21-33,85h-1l-4-59h-1l-14,39-9,22-10-51h-1c-1.56,11.56-4.92,29.05-11,39l-18-34c-.82,10.06-4.13,27.77-10,36l-20-44,44-14.34,67-27.91,76-45.75m-182,19c-1,46.3-68.69,59.78-89,19,7.24,2.29,13.51,6.61,21,8.53a61.2,61.2,0,0,0,51-10.29c6.62-4.92,11-11.78,17-17.24m-510,23c4.91,26.55-30.79,50.19-50,27,15.91,3.09,30.78.15,41.67-13,3.55-4.28,5-9.65,8.33-14m17,38c2.32,8.49,5.16,16,3.54,25-5,27.78-32.38,37.31-56.54,28v-1a51.93,51.93,0,0,0,47.69-31c3-6.73,2.48-14.42,5.31-21m28,32c24.78,24.8,25.68,67.05-9,84.63-8.79,4.46-18.31,5.37-28,5.37v-1c24.42-11.62,42.28-34,42-62-.09-8.54-6.36-19.21-5-27m57,27c29,22.14,29.88,67.72,3,91.83-13.69,12.28-29.28,15.17-47,15.17v-1c33.84-11.52,51.46-46,50-80-.39-8.8-6.23-17.58-6-26m76,15c32.9,23.18,31.66,75.17,3,100.83-14.75,13.21-32,16.17-51,16.17v-1c33.86-13.15,55.87-46.86,55-83-.27-10.86-7.83-22.88-7-33m367,0c-1.53,11.34-6.74,22.81-11.76,33-5.79,11.79-12.83,23.62-22.33,32.83-32.55,31.58-79.5,22.37-113.91-.83,3.4-14.17,15-26.81,26-35.73,34.26-27.82,80.08-29.27,122-29.27m83,153v1c-32.1,9-68.74,12.91-102,13v1l70,1,37-3v1c-32.09,13.35-65.32,29.91-101,30v1c39.41,0,72.72-12.82,110-23-6,8.07-16.41,13.4-25,18.29-26,14.78-55.32,20.71-85,20.71-14.48,0-32.39-1.69-42.81-13-13.24-14.41-3.73-39.46,11.81-48.05,15-8.3,34.65-6.49,51-4.74,25.45,2.73,50.37,4.83,76,4.83m46,40v1c-72.51,34.36-150.45,63-232,63v1c50.37,0,102.12-5,151-17.88,20.48-5.4,39.55-16.27,60-21.12v1c-67.17,35.76-136.49,64-214,64v1c49.63,0,98.61-6.95,146-22,18.9-6,36.58-14.83,55-22-13.6,14-39.3,21.26-57,28.85-54.69,23.48-109.23,39.15-169,39.15-29.63,0-87.91-8.9-72.45-52,10.38-28.94,53.16-25,77.45-25,26.34,0,52.55,3.12,79,2s54.08-6.6,80-12c32.94-6.82,63.51-21.3,96-29m-490,95c-9,12.82-22,23.86-33,35-13.57,13.74-26.34,28.34-40,42-9.52,9.52-21.78,19.12-33.47,5.82-6.26-7.12-8.17-19.63-.42-26.43,10.95-9.61,28-15.38,40.89-22.17,20.8-11,43.44-27.7,66-34.22m110,7c13.35,13.32,27.65,25.68,41,39,8.43,8.42,17.17,16.84,26,24.83,7,6.32,19.4,14.49,21.61,24.17,3.34,14.66-14,28.53-27.61,22.35-8.07-3.66-11.35-15.11-15.42-22.35-11.5-20.39-22.56-41.2-33.32-62-3.38-6.52-13.32-18.7-12.26-26m-58,3c0,37.17-1.35,76,2.17,113,1.3,13.63,5.23,34.75-9.17,42.59-13.67,7.44-36.07-1.26-34.9-18.59.71-10.58,6.13-21.87,9.18-32l19-63c3.75-12.51,5.9-31.54,13.72-42m-21,9c-6,19-20.18,37.46-29.69,55-9.86,18.19-18.64,41-31.7,57-7.09,8.69-20.53,7.56-28.42.5-12.18-10.9-6.4-24.08,3.81-33.32,20.52-18.57,40.48-37.76,61-56.34,8.27-7.48,15.88-16.4,25-22.83m41,0c18.35,30,36.3,60.21,55,90,6.77,10.82,18.18,24.73,7.71,37-7.85,9.17-26.4,12-33.24,0-4.52-7.89-5.11-19.19-7.29-28-5.31-21.25-9.84-42.7-15-64-2.29-9.44-9.28-25.59-7.13-35m-889,172c-21.37-15-38.7-38.46-57-57-22.46-22.73-50.59-44.87-69-71,14.95,2.24,29.74,12,42,20.35,36.79,25,67,66.75,84,107.65m-130-95c15.29,21.27,35.84,39.06,56,55.58,9.21,7.56,21.44,14.27,29,23.42-32-1.37-58.8-24.18-74.13-51-3.78-6.61-13.15-20.27-10.87-28m1243,10c5.1,17.26,2.45,39.26,2,57-1,41.87-6.18,83.51-17.43,124-5.68,20.43-14.79,39.76-20.58,60h1c5.34-16.88,17.8-33.09,25.75-49,18.06-36.11,35.72-73.55,48.25-112h1c-1.71,21.7-7.08,43.65-11.2,65a1364.13,1364.13,0,0,1-42.8,164h1l48.58-77,41.42-81h1l-34.33,130-24.87,70-16.8,40h1l35-49,47-79h1c-11.54,44.6-23.55,88.39-41.42,131-10.72,25.55-24.91,49-36.58,74l46.37-61,30.63-44h1c-2.82,19.19-11.82,38.78-18.31,57a892.42,892.42,0,0,1-60.69,135,595.42,595.42,0,0,0,63-75h1c-2.34,15.9-9.21,31.82-14.33,47-11.65,34.49-27.12,68.68-47.34,99-9.95,14.93-21.5,30.6-36.33,41,0-23.32,3.72-46.66,4-70,.93-78.47-3.47-156.65-17.42-234a892.72,892.72,0,0,0-29.25-118c-4.27-13.12-8.85-26.18-13.93-39-2.51-6.32-7.29-14.22-7.84-21-.44-5.6,2.71-12.57,4.07-18,3.14-12.59,6.07-25.27,8.57-38,7.43-37.9,12.8-76.37,12.8-115h2c1.2,58.05,17.25,118.15,3,176h1c16.24-39.6,34-77.54,45.58-119a454.82,454.82,0,0,0,10.34-46c1.31-7.76,1.07-17.84,4.08-25m-413,70c5.41-1.52,11.34-3.23,17-2.55,45.43,5.41,38.79,62.68,22,91.55h-1l-1-27h-1l-5,28h-1l-5-39h-1l-2,40h-1l-12-50h-1l2,49h-1l-14-47h-1l4,47h-1c-6.44-15-14.6-34.95-17-51h-1l10,55h-1c-9.22-20.8-21.68-47.51-25-70h-1l15,74h-1c-8.36-15.68-17-34.66-21-52h-1l11,53h-1l-20-43h-1l12,50h-1l-22-41h-1l16,48c-10.14-7.77-19.56-23.5-25-35h-1l15,37c-7.66-3.57-14.41-12.46-18-20h-1l13,25c-28.92-15.39-67.06-61.19-30-89.46,4.72-3.6,10.4-5,16-6.54-8-27.15,18.21-52,44-52,17.77,0,33.13,12,40,28m-39,23,1,1-1-1m157,165v-1l26-9v-1l-29,4v-1l35-17v-1l-39,11v-1l44-27v-1l-48,17v-1l42-29-45,18v-1l44-31v-1l-50,26v-1l59-46c-21.47,11.31-43.75,30.16-67,37v-1l44-37-48,27,35-34-45,27,32-35-41,29,25-34-31,25,13-23-19,19c7.13-27.47,25.41-68.94,61-62.53,6.42,1.15,13,3.62,18,7.86,3,2.52,6,8.94,10.1,9.46,5.24.67,12.45-3.1,17.91-3.62,14.25-1.35,28.44,5.57,37,16.83,9.21,12.19,12.1,28.87,5.73,43-2.64,5.85-8.72,11.12-10.59,17-1.24,3.88,3.09,8.47,4.35,12,2.22,6.23,2.34,14.57.87,21-8.36,36.41-53.28,33.2-81.32,32m-316-149c-9.77,26.84-33.09,53-51.84,74-62,69.42-148.28,112.34-240.16,124.72-28.53,3.84-56.39,3.28-85,3.28v-2c32.11-4.32,65.57-17.48,96-28.31,76.94-27.38,152-62.23,217-112.34,23.38-18,42-40.27,64-59.35m191.33,2.67.34.67-.34-.67m-40,3,.34.67-.34-.67m-23.33,19.33,1,1-1-1m305,6c47.91,32.33,77.54,87.44,68.41,146-4.37,28-17.32,68.7-53.41,62.67-39.88-6.66-32.15-69.51,8-66.34,7.87.62,14.47,3.37,21,7.67,8.36-40.54,6.18-75.37-14.85-112a159.52,159.52,0,0,0-18.44-26c-3.15-3.59-9.46-7.43-10.71-12m-143,3,1,1-1-1m-18,2,1,1-1-1m34,3,1,1-1-1m26,15,1,1-1-1m23,1,1,1-1-1m-238,40-27-7v1c8.65,2,20.27,7.08,26,14l-39-6v1c12,1,26.62,7,37,13v1l-52-4v1l47,13v1l-51-1v1l48,11v1h-56v1l57,7v1l-77,3v1c24.17,0,53.5,2.4,77,8v1l-59,4v1l57,5v1l-49,6v1l51,4v1l-46,8v1h50v1l-39,11v1l38-2v1l-23,9v1l26-5c-3.72,6.43-11.75,10.68-18,14.4-19.67,11.7-47.78,20.06-67,2.41a35,35,0,0,1-10.53-17.81c-.8-3.77.68-9.29-1.54-12.57s-8.52-3.8-12-5.31a42.36,42.36,0,0,1-17.08-13.12c-20.88-28.29-1-67.22,33.08-70,0-5.45.48-10.86,2.47-16,16.06-41.47,75.51-20,94.53,7m138,22h-1c-4.91-26.06-35.82-46.31-56-20-4.56-12.85,14.79-25.15,25-27.19,28.54-5.71,40.67,24.69,32,47.19m91-41,1,1-1-1m-154,4-2,13-8-11c3.64-3.31,5.3-3.42,10-2m-5,20c-29.83-6.15-51.37,18.89-37,47-4.81-1.64-8.47-5-11.61-9-10.65-13.57-8.63-34.2,5.61-44.36,12-8.53,35-7.37,43,6.36m160-9,1,1-1-1M1097,1069.23l.66.34-.66-.34m194.33,12.67,3-1,1,7-12,3c.57-3.17,3.82-12.42,8-9m-65,33c-5.93-4.35-9.93-17-12-24-.82-2.83-1.91-8.2,2.09-9.25,3.68-1,5.61,3.48,6.35,6.25a112.35,112.35,0,0,1,3.52,27m7-8c.68-3.53,2.4-21.07,7.79-20.08,6.55,1.2-5.14,18.35-7.79,20.08m137-12,1,1-1-1m-135,24c5-7,12.85-13.76,20-18.53,2.36-1.58,7.77-4.78,9.86-1,1.86,3.35-2.55,6.85-4.88,8.45-6.81,4.68-16.85,9.65-25,11.1m-21-5c-3.62-1.56-19.7-8.26-17.65-13.59,1.12-2.93,5.28-.19,6.65.87,4.32,3.36,8.69,7.77,11,12.72m65,46c3.6-5.28,11.31-7.72,15.67-13,8.57-10.39,8.57-26.61,0-37-3.9-4.73-10.23-7.27-13.67-12,10.34,0,20.07,2,27.91,9.3,13,12.06,11.9,34.24-1.92,45.17-8.33,6.59-17.81,7.53-28,7.53m316-55-1,3,1-3m-376,18c-6.47,3.88-19.5,4.25-27,4-2.73-.11-8.66-.88-8.08-4.91.52-3.54,5.3-4,8.08-4a102.69,102.69,0,0,1,27,4.9m-55,1v2l-12,4-3-4c3.47-7.92,8.72-5.29,15-2m63.13-3.25c4.09-1.1,6,5.2,1.77,6.28-4,1-5.85-5.18-1.77-6.28m18.87,4.25v-2c3.26,0,21.77-3.61,21.65,1.87s-18.45.54-21.65.13m-10,4a109.5,109.5,0,0,1,12,6.28c2.7,1.54,5.39,3.1,8,4.77,3,1.91,13,12.66,3,11.66-6.45-.64-23.11-16.37-23-22.71m-66,1c-2.24,6.14-5.66,11.24-6,18-1,23.73,19.44,33.62,40,32-11.45,13.82-36.37,12.67-47.47-1-9.27-11.45-8.17-27.5.4-38.95a31.67,31.67,0,0,1,13.07-10m55,2c.71,8-2.25,19.48-5.09,27-1,2.62-3.14,7-6.7,6.17-4-1-2.74-6.51-1.74-9.17,2.92-7.8,7.6-18.14,13.53-24m-11,2c-4.65,5.77-12,14-20,13,2.12-7.39,12.9-11.73,20-13m136,143c-9.89,22.12-39.74,19.35-56,7.24s-24.49-37.81-27-57.24h1l17,21-12-26,27,26-20-32,40,32-30-39,41,30-31-37,44,30-40-39,64,42-40-36-16-16,50,30-41-37,43,22-38-32v-1l41,18-39-29,41,14v-1l-33-20v-1l25,5v-1l-24-10c7-3.14,14.66-1.63,22-1.09,23.3,1.71,50.28,10.14,56,36.09a35.71,35.71,0,0,1-1.46,21c-1.49,3.71-6.09,7.91-5.94,12,.34,9.16,10.9,17.45,11.38,28,1.11,24.47-16.4,46.95-42,47.54-9.75.23-17.92-3.94-27-6.54m-116-137,7,22c-7.65-1.25-9.62-15.74-7-22m127,11,1,1-1-1m-68,18v7c-7.6.51-10.64-2.39-12-10l12,3m-20-2c2.48,8.81,4,17.11.9,26-6.8,19.17-30.6,26-46.9,14.36-8.19-5.87-12-14.8-14-24.36,16.33,13.11,35.34,21.78,51.67,2,4.52-5.48,4.51-12.5,8.33-18m94,16v1l3,1-3-2m-159,5v13l-7,1-3-4,10-10m-63,6-14,22,20-18-18,36h1c5.28-11.12,15.22-24.52,25-32l-19,49h1l27-41h1l-16,48h1c4.46-14.08,15.76-28.77,24-41h1l-16,52h1l23-50h1l-20,72h1l30-68h1l-13,56h1l21-50h1l-8,48h1l18-47h1l-5,46h1l14-47h1l-1,43h1l10-39h1l2,26h1l3-26h1c6.57,17,12.39,37.56,8.48,56-5.16,24.33-31.08,41.28-54.48,29-10.63,28-49.21,32.56-70,13.82-11.91-10.75-15.64-28.55-12-43.82-22.18-3.33-31.83-27.15-26.25-47,5.65-20.14,28.24-41.12,48.25-47m219,4,1,1-1-1m-1165,9c11.79,43.13,63.28,76.37,105,85v1c-35.68-.74-79-19.55-96.22-52-4.37-8.25-12.45-24.61-8.78-34m1163,6,1,1-1-1m-232,3,1,1-1-1m-536,47c-15.95-5.39-31.12-10.22-48-11.83-45.95-4.38-87.44,11.77-127,32.83,7-12.12,20.55-21.05,32-28.67,39.85-26.52,91.69-32.75,137-17.66,22.11,7.36,52,20.84,54.82,47.33,3.26,30.35-41.74,49.71-55.75,19-5.87-12.88.9-29.5,6.93-41m188-32,76,15v1l-42,22v1l47,10v1l-44,24v1l65-3-26,19-42,28v1l75-14v1l-93,67,80-19c-12,15.65-34.36,27.6-50,39.65-30.72,23.67-61.34,53.17-95,72.35,5.57-19.33,17.38-38.12,24.79-57a458.62,458.62,0,0,0,26.93-102,331.28,331.28,0,0,0,2.19-74c-.76-9.5-7.57-25.25-4.91-34m562,1,2,2-2-2m24,3,1,1-1-1m-37,4,1,1-1-1m-46,9,1,1-1-1m15,0,3,3-3-3m20,0,1,1-1-1m313,7,1,1-1-1m-592,129-74,3v-1l28-21c-26.61.55-58.13,3.82-84,10l20-15,49-33-61-5,15-10.15,34-18.85v-1l-59-15v-2l58-12.42,22.57-3.94,3.8,8.36,6.63,24,22.25,58,18.75,35m111-126,1,1-1-1m10,11,1,1-1-1m359,5c-3.64,7.95-11,14.48-16.72,21a376.36,376.36,0,0,1-48.28,45.4c-81,64.74-191,95.89-292,63.6v-1c93.66-7.39,189-40.62,273-81.26,29.13-14.09,55.56-32.6,84-47.74m-335,5,1,1-1-1m-18.67,12.67.34.66-.34-.66m746.67,3.33c-4,10.82-11.47,20.72-16.74,31-11.54,22.51-22,47.75-25.26,73h-1c-25.77-42.14.69-86.29,43-104m-69,5c-6.38,9.06-15.37,16.66-22.71,25-23.71,26.94-49.14,56.12-62.29,90-5.31-10-1.62-26.62,1.16-37,9.65-36.18,47.59-69.39,83.84-78m-1350,74c-5.76-7.72-10.07-16.77-19-21.58-7.09-3.82-14.48.3-14.65,8.58-.19,10.13,7.28,18.1,10.65,27-9.55-2.21-17.11-7.11-24-14-16.27-16.26-26.69-45.3,0-57.68a31.9,31.9,0,0,1,12-3.06c26-.78,41.69,39.59,35,60.74m29,18c5.18-8.3,13.44-15.74,14.63-26,1-8.18-6.44-12.49-13.63-9.87-9.58,3.5-13.89,13-22,17.87a56.19,56.19,0,0,1,5.76-26c5.62-11.42,14.81-25.06,28.24-27.69,28.06-5.48,42.54,25.25,27.78,46.69-4.66,6.77-11,12.13-17.78,16.64a49,49,0,0,1-23,8.36m1115-60-2,4,2-4m-992,21.39c24.32-1.72,28.64,37.5,4,39.52-27.06,2.22-30.95-37.61-4-39.52m-154,27.94c27.49-4.82,35.84,37.46,8,42.34-27.08,4.75-35.1-37.59-8-42.34m-24,13.67c-9.38,5.65-21.43,4.64-28.28,15-3.9,5.89.36,11.42,6.28,13.53,9.5,3.38,19.82.42,29-2.52-9.88,19.83-47.72,36.81-66.83,20.32-18.74-16.17-8-43,12.83-49.8,6.92-2.26,13.8-2.52,21-2.52,9.4,0,17.71,1.29,26,6m47,30c9.11,2.49,20.28,9,30,5.26,7.07-2.72,8.31-9.74,3.77-15.26-6.34-7.71-15-11.08-23.77-15,17-12.62,57.8.34,64.21,20,7.8,23.92-15.09,42.14-37.21,36.08a62,62,0,0,1-19-9.29c-7.59-5.34-15.32-12.7-18-21.79m970-27,11,96-44-41,5,60c-17-11.28-32.55-28.55-47-43l29,78-32-24.12-51-39.88c11.93,28.5,35.45,54.33,44,84l-39-28.63-77-57.37c15.81,29.7,41.11,57.58,53,89-22.38-9.41-44.15-29.53-64-43.58q-61.1-43.21-123-85.42c4.26-1.53,9.57.39,14,1,10.31,1.42,20.65,2.8,31,3.83a694.58,694.58,0,0,0,99,3.13c45.84-2,92.82-10.18,136-26,18.85-6.91,36.29-20,55-25.95m-1140,4.46c25.56-.81,26.56,39.2,1,39.2-24.83,0-25.94-38.41-1-39.2M797,1405.23l.66.34-.66-.34m841.33,13.67-1,2,1-2m-1156,8c-.44,10.17-3.59,28.15,8,34,14.89,7.46,18-24,18-32,17.73,13.7,18.84,56.69-1,69-21.27,13.2-43-5-43-27,0-7.36.64-14,3-21,3-9,7.1-17.39,15-23m588,12c1.81,42,10.69,83.63,28.31,122,7.81,17,18.66,31.77,27.69,48-18.64-1.48-37.52-6.86-56-9.92-37.14-6.15-74.55-11.29-112-14.91-33.14-3.21-67.66-6.36-101-4.08-20.42,1.4-40.6,5.39-61,6.82-22.36,1.57-47.11,3.25-69-2.39-10.33-2.66-21.8-8.89-23-20.52,13.73,4.35,23,10,38,10-5.17-13.8-3.92-31.05,0-45h1c6.38,14.77,21.44,28.52,37,33,0-16.18-2.43-36.79,7-51,7.41,15.63,19.47,32.84,37,38-.14-17.15-2-32.81,8-48,3.36,4.69,4.52,10.92,7.43,16,7.29,12.74,19,24.15,32.57,30,0-16.21-.22-35.54,8-50h1c8.11,18.3,14.61,37.08,32,49-4.83-20.29.31-47.81,10-66,4.24,6.74,5.81,15.62,8.86,23,6.89,16.68,15.59,32.88,28.14,46,0-19.12-.59-38,2.13-57,.89-6.21,1.57-17,6.87-21,1.35,31.27,22.24,61.38,42,84-1.09-25.29-2.9-49.67,0-75,1.16-10.35,2.42-24.05,8-33,12.83,37.82,18.07,80.41,45,112a499.31,499.31,0,0,1,.83-88c1-9.94.8-22.92,5.17-32m214,42,1,1-1-1m-635,3c-1.72,11.45-8,23.06-13.72,33-22.54,39.4-64.15,66.87-109.28,71.95-24.81,2.8-67.3,2.25-72.67-29.95-7.37-44.11,58.5-56.52,65.91-12,1.12,6.72-.2,12.59-2.24,19,40.85,0,77.9-15.94,105.91-46,10.34-11.1,16.65-24.61,26.09-36m-300,23.3c55.12-7.94,82.86,65.83,36,96a51,51,0,0,1-21,7.41c-54,7-80.66-66.35-35-95.84a51.36,51.36,0,0,1,20-7.57m-3,29.7c-3.64,7.79-16.4,22.36-15.75,30.9.27,3.49,5.17,5,7.75,6.41,7.92,4.3,15.67,9.22,24,12.69l17-33-33-17m1132,41,20,59,11,35-45-37,15,57-44-41,2,55-46-52v58h-1l-37.42-62-21.58-37c12.07,1.62,23.69,5.68,36,6,44.13,1.08,76-16.59,111-41m-1109,204v-1c53-12.15,110.13-43.3,150-80-14.43,8.22-27.55,18.83-42,27.13-39.89,22.9-86.13,41-132,46.87v-1c58.55-19.05,116.35-52.27,161-95-14.74,9.18-28.22,20.37-43,29.57-35.05,21.83-72.47,39.29-112,51.15-12,3.6-24.57,8.61-37,10.28,21.82-14.49,50.72-20.72,74-33.31,48-25.94,88.27-58.6,127-96.69,15.34-15.09,43.34-40.45,67-28.62,39.51,19.75,0,63.81-19,81.53-37,34.43-82.1,54-129,70.78-20.52,7.33-43.1,16.57-65,18.31m468-153v1c-56.73,26.52-100,91.38-100,154-28.71-14.54-35.34-59.06-19.3-84,18.72-29.13,54.16-46.72,85.3-59.4,10.77-4.38,22.44-9.89,34-11.6m45,3c-8.66,11.77-20.89,20.85-29.57,33-21,29.33-32.33,67-32.43,103-6.52-4.69-11.48-11.94-15.22-19-28.43-53.65,32.72-99.73,77.22-117m-581,4c42.61,13.62,88.26,20,133,16.91,20.57-1.41,40.61-7.29,61-8.91v1c-14.54,9-27.7,19-44,24.95-55.81,20.46-105.49.78-151-32.95l1-1m1532,8c-16.45,31.23-22,62.25-9,96-40.31-18.8-28.28-81.58,9-96m-1125,7c-5.59,9.72-13.3,18-18.69,28-15.09,27.84-26.05,63.11-26.31,95,18.47-1.46,37.55-3.83,51.91,11,27.62,28.62-9.23,63.21-40.91,57.5-28.41-5.13-39-37.23-39-62.54,0-49.78,24.67-108.17,73-129m-196,22-6,6,6-6m-234,5c33.75,19.62,76.22,22.1,114,22v1c-28.48,16.62-65,19.94-93,.65-6.34-4.37-21.71-15-21-23.65m252,13-1,2,1-2m-3,2-8,8,8-8m996,47c-2.89,22.83-.92,41.85,5,64l-22-19,5,56h-1l-30-54h-1l-4,34h-1l-22-40-2,29h-1l-25-63c22.71,11.62,49.89,13.22,74,4.92,8.84-3,16.39-8.66,25-11.92m-1176,102v2l-38,30,8-26-34,28,12-35-37,32,8-34-38,37c4.62-16,13.74-31.83,20.69-47,2.35-5.14,4.42-14.67,9.52-17.69,7.43-4.38,19-2,26.79-.18,23.32,5.59,41.5,19.46,62,30.87m447,60-14-19h-1l10,24h-1l-15-19,13,28-36-41,24,47-40-43,17,40h-1l-34-40,19,44-37-41,12,29c-8.25-5.81-27.23-20.9-29.53-31-1.74-7.63,4.91-16.47,10.57-20.7,13.44-10,36.41-9.18,52-5.4,13.58,3.3,31.36,9.74,40.21,21.19,5.76,7.45,7.92,18.09,10.79,26.91m-45-28,1,1-1-1m-34,4,1,1-1-1m18,0,1,1-1-1m44,2,1,3h1l-2-3m-80,1,1,1-1-1m74,4,1,3h1l-2-3m-589,187c-2.56,11.16-11,30-4.06,40.9,3.39,5.37,10.43,5.65,16.06,6.38,14.54,1.89,29.49-2.14,44-3.28v1c-21,6-51.89,20.17-74,13.2-8.63-2.73-8.12-10.89-6.24-18.2,3.55-13.8,12.82-31.26,24.24-40Zm1484-1557c0,21.15-18,38.3-40.22,38.3s-40.22-17.15-40.22-38.3,18-38.3,40.22-38.3S1666.24,493.75,1666.24,514.9Z\';option={backgroundColor:new echarts.graphic.RadialGradient(0,0,1,[{offset:0,color:\'#06798c\'},{offset:1,color:\'#07162b\'}]),title:{text:\'牛气冲天\',top:100,left:100,textStyle:{fontWeight:\'normal\',fontSize:40,color:\'#fff\',fontFamily:\'STXinwei\',textShadowColor:\'#c30d23\',textShadowBlur:\'2\',textShadowOffsetX:1,textShadowOffsetY:3,}},grid:{left:\'80%\',top:\'42%\',bottom:100},xAxis:{show:false,data:[\'2017\']},yAxis:{show:false,},series:[{type:\'liquidFill\',data:[0.7,0.8,0.75,0.21,0.2,0.13,0.1,],radius:\'90%\',waveLength:\'90%\',waveHeight:\'10\',amplitude:10,z:2,outline:{show:false},backgroundStyle:{color:new echarts.graphic.LinearGradient(1,0,0,0,[{offset:0,color:\\\"#1afae8\\\"},{offset:0.3,color:\\\"#007771\\\"},{offset:0.6,color:\\\"#27AEFA\\\"},{offset:1,color:\\\"#4D8AFF\\\"}]),borderColor:new echarts.graphic.LinearGradient(1,0,.3,1,[{offset:0,color:\'#5dfff8\'},{offset:0.3,color:\'#33ffe6\'},{offset:0.5,color:\'#049a8c\'},{offset:1,color:\'#f63469\'}]),borderWidth:1,shadowColor:\'#040b17\',shadowOffsetX:-5,shadowOffsetY:5,shadowBlur:5},shape:path,color:new echarts.graphic.LinearGradient(1,0,.23,1,[{offset:0,color:\'#FDD43F\'},{offset:0.3,color:\'#33ffe6\'},{offset:0.5,color:\'#049a8c\'},{offset:1,color:\'#f63469\'}]),label:{normal:{formatter:\'\',}}},{name:\'\',type:\\\"effectScatter\\\",rippleEffect:{period:10,scale:12,brushType:\'stroke\',color:new echarts.graphic.LinearGradient(1,0,.3,1,[{offset:0,color:\'rgba(93, 255, 248, .3)\',},{offset:0.3,color:\'rgba(51, 255, 230, .3)\',},{offset:0.5,color:\'rgba(4, 154, 140, .3)\',},{offset:1,color:\'rgba(246, 52, 105, .3)\',}]),},z:0,symbolPosition:\'end\',symbol:path,\\\"symbolSize\\\":[80,100],\\\"symbolOffset\\\":[0,-9],itemStyle:{normal:{color:\'rgba(0, 0, 0, 0)\',}},data:[0]},]};return option;\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [],\n  \"chartData\": [\n    {\n      \"value\": 0,\n      \"name\": \"\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"\",\n      \"show\": true\n    }\n  }\n}', '1', 'admin', '2022-07-18 19:23:58', 'admin', '2022-07-18 19:34:37');
INSERT INTO `onl_drag_comp` VALUES ('708976410864304128', '708970414976712704', '五行相克', 'JCommon', 'ant-design:appstore-twotone', 100, NULL, '{\n  \"dataType\": 1,\n  \"h\": 55,\n  \"background\": \"#ffffff\",\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"customOption\": \"var wuXin=new Array(\'木\',\'火\',\'土\',\'金\',\'水\');var color=[\'#78a355\',\'#d93a49\',\'#8e3e1f\',\'#dea32c\',\'#50b7c1\'];function roundDatas(num){var datas=[];for(var i=0;i<num;i++){var x=Math.cos(72*i*Math.PI/180);var y=Math.sin(72*i*Math.PI/180);datas.push({name:wuXin[i],x:y,y:-x,itemStyle:{normal:{color:color[i]}}});}return datas;}function linkDatas(num){var ldatas=[];for(var i=0;i<num;i++){ldatas.push({label:{normal:{show:true,formatter:\'相生\'}},lineStyle:{normal:{color:\'#94d6da\',width:2,curveness:0.3,opacity:0.8,type:\'dashed\',}},source:i,target:i+1});ldatas.push({lineStyle:{normal:{color:\'#FF5151\',width:2,curveness:0,opacity:0.8}},label:{normal:{show:true,formatter:\'相克\'}},source:i,target:i+2});}ldatas.push({label:{normal:{show:true,formatter:\'相生\'}},lineStyle:{normal:{color:\'#94d6da\',type:\'dashed\',width:2,curveness:0.3,opacity:0.8}},source:(i-1),target:0});ldatas.push({lineStyle:{normal:{color:\'#FF5151\',width:2,curveness:0,opacity:0.8}},label:{normal:{show:true,formatter:\'相克\'}},source:3,target:0});ldatas.push({lineStyle:{normal:{color:\'#FF5151\',width:2,curveness:0,opacity:0.8}},label:{normal:{show:true,formatter:\'相克\'}},source:4,target:1});return ldatas;}option={backgroundColor:\'#2E2E2E\',title:{text:\'五行相生相克图\',subtext:\'\',left:50,top:10,backgroundColor:\'#FFFAFA\',borderRadius:8,textStyle:{color:\'#102b6a\',},subtextStyle:{color:\'#102b6a\',}},color:[\'#000000\',\'#FFFFFF\'],series:[{name:\'五行\',type:\'graph\',focusNodeAdjacency:true,edgeSymbol:[\'\',\'arrow\'],edgeSymbolSize:[3,15],edgeLabel:{normal:{textStyle:{fontSize:15}}},label:{normal:{show:true,formatter:\'{b}\',fontSize:46}},symbol:\'circle\',symbolSize:60,top:\'60\',left:\'200\',width:\'400\',height:\'400\',data:roundDatas(5),links:linkDatas(5)},{name:\'大圆\',type:\'pie\',radius:\'52\',center:[\'400\',\'268\'],data:[{value:50,name:\'阴\'},{value:50,name:\'阳\'},],roseType:\'radius\',hoverAnimation:false,label:{normal:{show:false}},labelLine:{normal:{show:false,}}},{name:\'黑色圆\',type:\'pie\',zlevel:2,radius:\'26\',center:[\'400\',\'294\'],data:[{value:50,name:\'\'},],roseType:\'radius\',hoverAnimation:false,label:{normal:{show:false}},labelLine:{normal:{show:false,}}},{name:\'白色圆\',type:\'pie\',zlevel:2,radius:\'26\',center:[\'400\',\'242\'],data:[{value:50,name:\'\'},],roseType:\'radius\',hoverAnimation:false,label:{normal:{show:false}},labelLine:{normal:{show:false,}}},{name:\'黑色圆小\',type:\'pie\',zlevel:3,radius:\'12\',center:[\'400\',\'242\'],data:[{value:50,name:\'\'},],roseType:\'radius\',hoverAnimation:false,label:{normal:{show:false}},labelLine:{normal:{show:false,}}},{name:\'白色圆小\',type:\'pie\',zlevel:3,radius:\'12\',center:[\'400\',\'294\'],data:[{value:50,name:\'\'},],roseType:\'radius\',hoverAnimation:false,label:{normal:{show:false}},labelLine:{normal:{show:false,}}}]};return option;\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [],\n  \"chartData\": [\n    {\n      \"value\": 0,\n      \"name\": \"\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"\",\n      \"show\": true\n    }\n  }\n}', '1', 'admin', '2022-07-18 19:45:58', 'admin', '2022-07-18 20:40:09');
INSERT INTO `onl_drag_comp` VALUES ('708976410864304129', '708970414976712704', '甘特图', 'JCommon', 'ant-design:appstore-twotone', 100, NULL, '{\n  \"dataType\": 1,\n  \"h\": 55,\n  \"background\": \"#ffffff\",\n  \"url\": \"http://api.jeecg.com/mock/33/chart\",\n  \"timeOut\": 0,\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"customOption\": \"option={\'backgroundColor\':\'#fff\',\'title\':{\'text\':\'工程项目工期\',\'padding\':20,\'textStyle\':{\'fontSize\':17,\'fontWeight\':\'bolder\',\'color\':\'#333\'},\'subtextStyle\':{\'fontSize\':13,\'fontWeight\':\'bolder\'}},\'legend\':{\'data\':[\'计划工期\',\'可行性研究阶段\',\'初步设计阶段\',\'施工图设计阶段\',\'项目实施阶段\',\'项目验收阶段\'],\'align\':\'right\',\'right\':80,\'top\':50},\'grid\':{\'containLabel\':true,\'show\':false,\'right\':130,\'left\':40,\'bottom\':40,\'top\':90},\'xAxis\':{\'type\':\'time\',\'axisLabel\':{\'show\':true,\'interval\':0},\'axisLine\':{\'show\':true}},\'yAxis\':{\'axisLabel\':{\'show\':true,\'interval\':0,\'formatter\':function(value,index){var last=\'\';var max=5;var len=value.length;var hang=Math.ceil(len/max);if(hang>1){for(var i=0;i<hang;i++){var start=i*max;var end=start+max;var temp=value.substring(start,end)+\'\';last+=temp;}return last;}else{return value;}}},\'data\':[\'临夏自治州2015年度治理工程项目\',\'标段一\',\'标段二\']},\'tooltip\':{\'trigger\':\'axis\',\'formatter\':function(params){var res=\'\';var name=\'\';var start0=\'\';var start=\'\';var end0=\'\';var end=\'\';for(var i in params){var k=i%2;if(!k){start0=params[i].data;start=start0.getFullYear()+\'-\'+(start0.getMonth()+1)+\'-\'+start0.getDate();}if(k){name=params[i].seriesName;end0=params[i].data;end=end0.getFullYear()+\'-\'+(end0.getMonth()+1)+\'-\'+end0.getDate();res+=name+\' : \'+start+\'~\'+end+\'</br>\';}}return res;}},\'series\':[{\'name\':\'计划工期\',\'type\':\'bar\',\'stack\':\'总量0\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'skyblue\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1525132800000),new Date(1520985600000),new Date(1525132800000)]},{\'name\':\'计划工期\',\'type\':\'bar\',\'stack\':\'总量0\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1514764800000),new Date(1514764800000),new Date(1521072000000)]},{\'name\':\'可行性研究阶段\',\'type\':\'bar\',\'stack\':\'总量2\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'green\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1515542400000),new Date(1515542400000),new Date(1522368000000)]},{\'name\':\'可行性研究阶段\',\'type\':\'bar\',\'stack\':\'总量2\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1514851200000),new Date(1514851200000),new Date(1521158400000)]},{\'name\':\'初步设计阶段\',\'type\':\'bar\',\'stack\':\'总量3\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'red\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1519084800000),new Date(1516406400000),new Date(1523318400000)]},{\'name\':\'初步设计阶段\',\'type\':\'bar\',\'stack\':\'总量3\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1517443200000),new Date(1515715200000),new Date(1522540800000)]},{\'name\':\'施工图设计阶段\',\'type\':\'bar\',\'stack\':\'总量4\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'brown\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1520553600000),new Date(1516838400000),new Date(1524182400000)]},{\'name\':\'施工图设计阶段\',\'type\':\'bar\',\'stack\':\'总量4\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1519516800000),new Date(1516492800000),new Date(1523404800000)]},{\'name\':\'项目实施阶段\',\'type\':\'bar\',\'stack\':\'总量5\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'yellow\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1520812800000),new Date(1518652800000),new Date(1525046400000)]},{\'name\':\'项目实施阶段\',\'type\':\'bar\',\'stack\':\'总量5\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1520640000000),new Date(1516924800000),new Date(1524268800000)]},{\'name\':\'项目验收阶段\',\'type\':\'bar\',\'stack\':\'总量6\',\'label\':{\'normal\':{\'show\':true,\'color\':\'#000\',\'position\':\'right\',\'formatter\':function(params){return params.seriesName}}},\'itemStyle\':{\'normal\':{\'color\':\'orange\',\'borderColor\':\'#fff\',\'borderWidth\':2}},\'zlevel\':-1,\'data\':[new Date(1522368000000),new Date(1520899200000),new Date(1525132800000)]},{\'name\':\'项目验收阶段\',\'type\':\'bar\',\'stack\':\'总量6\',\'itemStyle\':{\'normal\':{\'color\':\'white\'}},\'zlevel\':-1,\'z\':3,\'data\':[new Date(1521072000000),new Date(1518739200000),new Date(1525046400000)]}]};return option;\",\n  \"linkageConfig\": [],\n  \"dataMapping\": [],\n  \"chartData\": [\n    {\n      \"value\": 0,\n      \"name\": \"\"\n    }\n  ],\n  \"option\": {\n    \"grid\": {\n      \"bottom\": 115\n    },\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"title\": {\n      \"text\": \"\",\n      \"show\": true\n    }\n  }\n}', '1', 'admin', '2022-07-18 19:45:58', 'admin', '2022-07-25 15:42:04');
INSERT INTO `onl_drag_comp` VALUES ('725214423934730240', '100', '数值', 'JNumber', 'ant-design:field-number-outlined', 14, NULL, '{\r\n  \"w\": 12,\r\n  \"h\": 30,\r\n  \"dataType\": 1,\r\n  \"timeOut\": 0,\r\n  \"turnConfig\": {\r\n    \"url\": \"\"\r\n  },\r\n  \"chartData\": {\r\n    \"value\": \"1024\"\r\n  },\r\n  \"analysis\": {\r\n    \"isCompare\": false,\r\n    \"compareType\": \"\",\r\n    \"trendType\": \"1\"\r\n  },\r\n  \"option\": {\r\n    \"isCompare\": false,\r\n    \"trendType\": \"1\",\r\n    \"card\": {\r\n      \"title\": \"\",\r\n      \"extra\": \"\",\r\n      \"rightHref\": \"\",\r\n      \"size\": \"small\",\r\n      \"textStyle\": {\r\n        \"fontSize\": 18,\r\n        \"fontWeight\": \"bold\",\r\n        \"color\": \"#464646\"\r\n      }\r\n    },\r\n    \"body\": {\r\n      \"text\": \"\",\r\n      \"fontWeight\": \"bold\"\r\n    }\r\n  }\r\n}', '1', 'jeecg', '2022-09-01 15:10:03', 'jeecg', '2022-09-02 16:52:23');
INSERT INTO `onl_drag_comp` VALUES ('728116316742778880', '100', '自定义按钮', 'JCustomButton', 'teenyicons:button-outline', 100, NULL, '{\r\n		\"w\": 12,\r\n		\"h\": 30,\r\n    \"dataType\": 1,\r\n    \"url\": \"\",\r\n    \"timeOut\": 0,\r\n    \"chartData\": [\r\n        {\r\n            \"btnId\": \"74591654852155\",\r\n            \"title\": \"销售订单\",\r\n            \"icon\": \"ant-design:calendar-twotone\",\r\n            \"color\": \"#ED4B82\",\r\n            \"operationType\": \"1\",\r\n            \"worksheet\": \"\",\r\n            \"view\": \"\",\r\n            \"defVal\": [\r\n                \r\n            ],\r\n            \"customPage\": \"\",\r\n            \"href\": {\r\n                \"url\": \"\",\r\n                \"isParam\": false,\r\n                \"params\": [\r\n                    \r\n                ]\r\n            },\r\n            \"openMode\": \"2\",\r\n            \"bizFlow\": \"\",\r\n            \"click\": {\r\n                \"type\": \"1\",\r\n                \"message\": {\r\n                    \"title\": \"你确认执行此操作吗？\",\r\n                    \"okText\": \"确认\",\r\n                    \"cancelText\": \"取消\"\r\n                }\r\n            }\r\n        }\r\n    ],\r\n    \"option\": {\r\n        \"title\": \"\",\r\n        \"btnType\": \"button\",\r\n        \"btnStyle\": \"solid\",\r\n        \"btnWidth\": \"custom\",\r\n        \"btnDirection\": \"column\",\r\n        \"rowNum\": 4\r\n    }\r\n}', '1', 'jeecg', '2022-09-09 15:21:08', 'jeecg', '2022-09-09 15:41:56');
INSERT INTO `onl_drag_comp` VALUES ('72811631742776660', '100', '查询条件', 'JFilterQuery', 'ant-design:filter-filled', 100, NULL, '{\r\n	\"w\": 12,\r\n	\"h\": 12,\r\n	\"dataType\": 1,\r\n	\"url\": \"\",\r\n	\"timeOut\": 0,\r\n	\"chartData\": []\r\n}', '1', 'jeecg', '2022-09-09 15:21:08', 'jeecg', '2022-09-09 15:41:56');
INSERT INTO `onl_drag_comp` VALUES ('729550825967222784', '100102', '透视表', 'JPivotTable', 'ant-design:table-outlined', 13, NULL, '{\n  \"w\": 24,\n  \"h\": 42,\n  \"dataType\": 1,\n  \"timeOut\": 0,\n  \"chartData\": {\n    \"x\": [\n      {\n        \"62eb2e00c349cde9883d3c1c\": [\n          \"测试1\",\n          \"测试1\",\n          \"测试2\",\n          \"测试3\"\n        ]\n      },\n      {\n        \"62f37518df6db6d3e0c9b7ad\": [\n          \"1\",\n          \"2\",\n          \"3\",\n          \"4\"\n        ]\n      }\n    ],\n    \"data\": [\n      {\n        \"y\": [\n          \"2022/09\",\n          \"2022\"\n        ],\n        \"t_id\": \"62f37456cf07c28f9312dd13\",\n        \"data\": [\n          111,\n          null,\n          null,\n          null\n        ],\n        \"sum\": 111,\n        \"summary_col\": false\n      },\n      {\n        \"y\": [\n          \"2022/09\",\n          \"2022\"\n        ],\n        \"t_id\": \"62f37456cf07c28f9312dd14\",\n        \"data\": [\n          444,\n          null,\n          null,\n          null\n        ],\n        \"sum\": 444,\n        \"summary_col\": false\n      },\n      {\n        \"y\": [\n          \"2022/08\",\n          \"2022\"\n        ],\n        \"t_id\": \"62f37456cf07c28f9312dd13\",\n        \"data\": [\n          null,\n          222,\n          333,\n          444\n        ],\n        \"sum\": 999,\n        \"summary_col\": false\n      },\n      {\n        \"y\": [\n          \"2022/08\",\n          \"2022\"\n        ],\n        \"t_id\": \"62f37456cf07c28f9312dd14\",\n        \"data\": [\n          null,\n          333,\n          222,\n          111\n        ],\n        \"sum\": 666,\n        \"summary_col\": false\n      },\n      {\n        \"y\": [],\n        \"t_id\": \"62f37456cf07c28f9312dd13\",\n        \"data\": [\n          111,\n          222,\n          333,\n          444\n        ],\n        \"sum\": 278,\n        \"summary_col\": true\n      },\n      {\n        \"y\": [],\n        \"t_id\": \"62f37456cf07c28f9312dd14\",\n        \"data\": [\n          444,\n          333,\n          222,\n          111\n        ],\n        \"sum\": 1110,\n        \"summary_col\": true\n      }\n    ]\n  },\n  \"option\": {\r\n		\"card\": {\r\n			\"title\": \"未命名标题\",\r\n			\"extra\": \"\",\r\n			\"rightHref\": \"\",\r\n			\"size\": \"default\"\r\n		}\r\n  }\n}', '1', 'jeecg', '2022-09-13 14:21:21', 'jeecg', '2022-09-13 20:13:32');
INSERT INTO `onl_drag_comp` VALUES ('932219134883299328', '100', '当前时间', 'JCurrentTime', 'ant-design:field-time-outlined', 100, NULL, '{\n  \"w\": 12,\n  \"h\": 6,\n  \"dataType\": 1,\n  \"url\": \"http://api.jeecg.com/mock/42/nav\",\n  \"timeOut\": 0,\n	\"background\": \"#3F7DD4\",\n  \"turnConfig\": {\n    \"url\": \"\"\n  },\n  \"chartData\": \"\",\n  \"option\": {\r\n	  \"showWeek\":\"show\",\n    \"card\": {\n      \"title\": \"\",\n      \"extra\": \"\",\n      \"rightHref\": \"\",\n      \"size\": \"default\"\n    },\n    \"body\": {\n      \"text\": \"\",\n      \"color\": \"#FFFFFF\",\n      \"fontWeight\": \"normal\",\n      \"marginLeft\": 0,\n      \"marginTop\": 0\n    }\n  }\n}', '1', 'jeecg', '2024-03-25 20:32:51', 'jeecg', '2024-03-25 20:34:14');

-- ----------------------------
-- Table structure for onl_drag_dataset_head
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_dataset_head`;
CREATE TABLE `onl_drag_dataset_head`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '名称',
  `code` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编码',
  `parent_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父id',
  `db_source` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '动态数据源',
  `query_sql` varchar(5000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '查询数据SQL',
  `content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `iz_agent` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT 'iz_agent',
  `data_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据类型',
  `api_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'api方法：get/post',
  `create_time` datetime NULL DEFAULT NULL,
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `low_app_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '应用ID',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_dataset_head
-- ----------------------------
INSERT INTO `onl_drag_dataset_head` VALUES ('1011801324208574464', '大屏数据集', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-31 11:04:04', 'admin', NULL, NULL, NULL, 3);
INSERT INTO `onl_drag_dataset_head` VALUES ('1011805223195824128', '车辆归属地', '', '1011801324208574464', '', 'https://api.jeecg.com/mock/26/activering', '', '0', 'api', 'get', '2024-10-31 11:19:34', 'admin', '2024-11-15 11:50:54', 'admin', NULL, 3);
INSERT INTO `onl_drag_dataset_head` VALUES ('1011861146144657408', '拨打电话排行榜', '', '1011801324208574464', '', 'https://api.jeecg.com/mock/26/activering', '', '0', 'api', 'get', '2024-10-31 15:01:47', 'admin', NULL, NULL, NULL, 3);
INSERT INTO `onl_drag_dataset_head` VALUES ('1516317603268657153', '示例_参数查询', '', '1516743332632494082', '707437208002265088', 'select * from demo where name like \'%${name}%\'', '', '', 'sql', 'get', '2022-04-21 15:59:43', 'admin', '2022-04-21 17:28:44', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1516743332632494082', '示例数据集', NULL, NULL, NULL, '0', NULL, '0', NULL, NULL, '2022-04-20 19:39:25', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1516743766914924546', '统计近十日的登陆次数', '', '1516743332632494082', '707437208002265088', 'SELECT\n	count(*) num,\n	DATE_FORMAT(create_time, \'%Y-%m-%d\') AS `day`\nFROM\n	sys_log\nWHERE\n	log_type = 1\nAND create_time > DATE_SUB(NOW(), INTERVAL 10 DAY)\nGROUP BY\n	DATE_FORMAT(create_time, \'%Y-%m-%d\')', '', '', 'sql', 'get', '2022-04-20 19:41:08', 'admin', '2023-06-06 15:25:30', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1516748630344630273', '项目性质收入统计JSON', '', '1516743332632494082', '', '[\n    {\n        \"column1\": \"市场化-电商业务\",\n        \"column2\": 4865.41,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 4865.41\n    },\n    {\n        \"column1\": \"统筹型\",\n        \"column2\": 35767081.88,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 35767081.88\n    },\n    {\n        \"column1\": \"市场化-非股东\",\n        \"column2\": 1487045.35,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 1487045.35\n    },\n    {\n        \"column1\": \"市场化-参控股\",\n        \"column2\": 382690.56,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 382690.56\n    },\n    {\n        \"column1\": \"市场化-员工福利\",\n        \"column2\": 256684.91,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 265684.91\n    },\n    {\n        \"column1\": \"市场化-再保险\",\n        \"column2\": 563451.03,\n        \"column3\": 0,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 563451.03\n    },\n    {\n        \"column1\": \"市场化-海外业务\",\n        \"column2\": 760576.25,\n        \"column3\": 770458.75,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 0,\n        \"column8\": 1531035.00\n    },\n    {\n        \"column1\": \"市场化-风险咨询\",\n        \"column2\": 0.00,\n        \"column3\": 910183.93,\n        \"column4\": 0,\n        \"column5\": 0,\n        \"column6\": 0,\n        \"column7\": 226415.09,\n        \"column8\": 1136599.02\n    }\n]', '', '', 'json', 'get', '2022-04-20 20:00:28', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1517020649262972930', '项目性质收入统计SQL', '', '1516743332632494082', '707437208002265088', 'SELECT\n	id,\n	nature,\n	insurance_fee,\n	risk_consulting_fee,\n	evaluation_fee,\n	insurance_evaluation_fee,\n	bidding_consulting_fee,\n	interol_consulting_fee,\n	(\n		insurance_fee + \n		risk_consulting_fee + \n		risk_consulting_fee + \n		evaluation_fee + \n		insurance_evaluation_fee + \n		bidding_consulting_fee + \n		interol_consulting_fee\n	) AS \'total\'\nFROM\n	jeecg_project_nature_income', '', '', 'sql', 'get', '2022-04-21 14:01:22', 'admin', '2022-04-21 14:02:36', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1517045842874236930', '统计男女比例', '', '1516743332632494082', '707437208002265088', 'select count(*) cout, sex from sys_user group by sex', '', '', 'sql', 'get', '2022-04-21 15:41:29', 'admin', '2022-04-21 16:09:23', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1517046231342284802', '图表API示例-年龄占比', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/jingwu/nianling', '', '', 'api', 'get', '2022-04-21 15:43:02', 'admin', '2022-04-21 16:54:33', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1517046731341070337', '统计每日大屏创建情况', '', '1516743332632494082', '707437208002265088', 'SELECT count(*) c,DATE_FORMAT(create_time, \'%Y-%m-%d\') as date  from jmreport_big_screen GROUP BY date order by date desc', '', '', 'sql', 'get', '2022-04-21 15:45:01', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1517071247723233281', '示例_根据年龄查询用户', '', '1516743332632494082', '707437208002265088', 'select * from demo where age=${age}', '', '', 'sql', 'get', '2022-04-21 17:22:26', 'admin', '2023-04-27 14:25:34', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1519274169102020610', '钻取api', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/drilling/deptuser', '', '0', 'api', 'get', '2022-04-27 19:16:03', 'admin', '2022-04-29 18:52:08', 'jeecg', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1519945036454813698', '数据列表', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/datalist/list', '', '0', 'api', 'get', '2022-04-29 15:41:51', 'admin', '2022-04-29 17:00:15', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1519962879095332865', '首页快速导航', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/home/quick', '', '0', 'api', 'get', '2022-04-29 16:52:45', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522098873378549762', '出资', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/chuzi', '', '0', 'api', 'get', '2022-05-05 14:20:25', 'admin', '2022-05-05 14:22:06', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522181219549196289', '智慧社区_违法犯罪人员分析', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/Illegal', '', '0', 'api', 'get', '2022-05-05 19:47:38', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522182473872584705', '智慧社区_人员出入记录', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/ace', '', '0', 'api', 'get', '2022-05-05 19:52:37', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522184215045615618', '智慧社区_年龄分部', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/age', '', '0', 'api', 'get', '2022-05-05 19:59:32', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522185936018878466', '智慧社区_地区分部', '', '1516743332632494082', '', 'http://api.jeecg.com/mock/51/region', '', '0', 'api', 'get', '2022-05-05 20:06:23', 'admin', '2022-05-05 20:06:38', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522187101267832833', '智慧社区_时间分部', '', '1516743332632494082', '', '[\n  {\n    \"name\": \"6:00-9:00\",\n    \"value\": 800\n  },\n  {\n    \"name\": \"10:00-12:00\",\n    \"value\": 300\n  },\n  {\n    \"name\": \"13:00-15:00\",\n    \"value\": 500\n  },\n  {\n    \"name\": \"16:00-20:00\",\n    \"value\": 800\n  },\n  {\n    \"name\": \"21:00-24:00\",\n    \"value\": 600\n  }\n]', '', '0', 'json', 'get', '2022-05-05 20:11:00', 'admin', '2022-05-05 20:11:12', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522422772532256770', '乡村振兴_表格', '', '1516743332632494082', '', '[\n  {\n    \"name\": \"数据\",\n    \"sj\": \"1000\",\n    \"type\": \"担保\",\n    \"je\": \"50\",\n    \"jg\": \"机构\",\n    \"jl\": \"数据2\"\n  },\n  {\n    \"name\": \"数据1\",\n    \"sj\": \"1500\",\n    \"type\": \"担保\",\n    \"je\": \"100\",\n    \"jg\": \"机构2\",\n    \"jl\": \"李四\"\n  },\n  {\n    \"name\": \"数据\",\n    \"sj\": \"1000\",\n    \"type\": \"担保\",\n    \"je\": \"50\",\n    \"jg\": \"机构\",\n    \"jl\": \"数据2\"\n  },\n  {\n    \"name\": \"数据1\",\n    \"sj\": \"1500\",\n    \"type\": \"担保\",\n    \"je\": \"100\",\n    \"jg\": \"机构2\",\n    \"jl\": \"李四\"\n  },\n  {\n    \"name\": \"数据\",\n    \"sj\": \"1000\",\n    \"type\": \"担保\",\n    \"je\": \"50\",\n    \"jg\": \"机构\",\n    \"jl\": \"数据2\"\n  },\n  {\n    \"name\": \"数据1\",\n    \"sj\": \"1500\",\n    \"type\": \"担保\",\n    \"je\": \"100\",\n    \"jg\": \"机构2\",\n    \"jl\": \"李四\"\n  },\n  {\n    \"name\": \"数据\",\n    \"sj\": \"1000\",\n    \"type\": \"担保\",\n    \"je\": \"50\",\n    \"jg\": \"机构\",\n    \"jl\": \"数据2\"\n  },\n  {\n    \"name\": \"数据1\",\n    \"sj\": \"1500\",\n    \"type\": \"担保\",\n    \"je\": \"100\",\n    \"jg\": \"机构2\",\n    \"jl\": \"李四\"\n  }\n]', '', '0', 'json', 'get', '2022-05-06 11:47:29', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522455203175997442', '智能大数据_计划生产', '', '1516743332632494082', '', '[\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"56-REE-4\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"BB-1L-0004\",\n        \"jh\": \"2\",\n        \"dqgx\": \"工序\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"DB-F5GNT-1\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"A5-0001\",\n        \"jh\": \"1\",\n        \"dqgx\": \"总装工序\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"56-REE-4\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"BB-1L-0004\",\n        \"jh\": \"2\",\n        \"dqgx\": \"工序\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"DB-F5GNT-1\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"A5-0001\",\n        \"jh\": \"1\",\n        \"dqgx\": \"总装工序\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"56-REE-4\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"ACDFE_0045\",\n        \"gjbm\": \"BB-1L-0004\",\n        \"jh\": \"2\",\n        \"dqgx\": \"工序\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"DB-F5GNT-1\",\n        \"jh\": \"1\",\n        \"dqgx\": \"工程\",\n        \"zt\": \"未开始\"\n    },\n    {\n        \"gh\": \"JFL5GZ1-01\",\n        \"gjbm\": \"A5-0001\",\n        \"jh\": \"1\",\n        \"dqgx\": \"总装工序\",\n        \"zt\": \"未开始\"\n    }\n]', '', '0', 'json', 'get', '2022-05-06 13:56:21', 'admin', '2022-05-06 18:22:13', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522464505970302978', '旅游数据监控', '', '1516743332632494082', '', '[{\"type1\":\"路线1\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线2\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线3\",\"type3\":\"1111\",\"type2\":\"1111\"},{\"type1\":\"路线4\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线5\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线6\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线7\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线8\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线9\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线10\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线11\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线12\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线13\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线14\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线15\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线16\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线17\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线18\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线19\",\"type2\":\"1111\",\"type3\":\"1111\"},{\"type1\":\"路线20\",\"type2\":\"1111\",\"type3\":\"1111\"}]', '', '0', 'json', 'get', '2022-05-06 14:33:19', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522503560003067906', '首页_近一周访问量', '', '1516743332632494082', '707437208002265088', 'select count(*) as visit\n        	   ,count(distinct(ip)) as ip\n        	   ,DATE_FORMAT(create_time, \'%Y-%m-%d\') as tian\n        	   ,DATE_FORMAT(create_time, \'%m-%d\') as type\n        	   from sys_log \n         where log_type = 1 and create_time <= sysdate() and create_time >= (select date_sub(curdate(),interval 7 day))\n         group by tian,type\n         order by tian desc', '', '0', 'sql', 'get', '2022-05-06 17:08:30', 'admin', '2022-05-06 17:49:07', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522522034783920129', '智能大数据_实际生产', '', '1516743332632494082', '', '[\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"TYIY-908\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"11CPER-44\",\n        \"jgsj\": \"2021-03-29 18:07\",\n        \"dqgx\": \"工序2\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"F56677\",\n        \"jgsj\": \"2021-02-28 07:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"99CVB-1\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序3\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"TYIY-908\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"11CPER-44\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序2\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"F56677\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"99CVB-1\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序3\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"TYIY-908\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"ATJDS01\",\n        \"gjbm\": \"11CPER-44\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序2\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"F56677\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序1\",\n        \"zt\": \"已完成\"\n    },\n    {\n        \"gh\": \"PFTE56\",\n        \"gjbm\": \"99CVB-1\",\n        \"jgsj\": \"2021-03-28 17:07\",\n        \"dqgx\": \"工序3\",\n        \"zt\": \"已完成\"\n    }\n]', '', '0', 'json', 'get', '2022-05-06 18:21:55', 'admin', '2022-05-06 18:23:06', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522523544120991745', '智能大数据_一览表', '', '1516743332632494082', '', '[\n    {\n        \"ddh\": \"A5CCU_2017...\",\n        \"zcxm\": \"国际城0902\",\n        \"zl\": \"2548\",\n        \"jhrq\": \"2021-04-21\",\n        \"scjd\": \"100%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2017...\",\n        \"zcxm\": \"新城ERT\",\n        \"zl\": \"27215\",\n        \"jhrq\": \"2021-05-21\",\n        \"scjd\": \"54%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2018...\",\n        \"zcxm\": \"天桥TTY\",\n        \"zl\": \"5423\",\n        \"jhrq\": \"2021-12-21\",\n        \"scjd\": \"100%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2018...\",\n        \"zcxm\": \"国际中心地\",\n        \"zl\": \"14427\",\n        \"jhrq\": \"2021-12-21\",\n        \"scjd\": \"88%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2019...\",\n        \"zcxm\": \"新生广场\",\n        \"zl\": \"2808\",\n        \"jhrq\": \"2021-08-21\",\n        \"scjd\": \"98%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2017...\",\n        \"zcxm\": \"国际城0902\",\n        \"zl\": \"2548\",\n        \"jhrq\": \"2021-04-21\",\n        \"scjd\": \"100%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2019...\",\n        \"zcxm\": \"新生广场\",\n        \"zl\": \"2808\",\n        \"jhrq\": \"2021-08-21\",\n        \"scjd\": \"98%\"\n    },\n    {\n        \"ddh\": \"A5CCU_2017...\",\n        \"zcxm\": \"新城ERT\",\n        \"zl\": \"27215\",\n        \"jhrq\": \"2021-05-21\",\n        \"scjd\": \"54%\"\n    }\n]', '', '0', 'json', 'get', '2022-05-06 18:27:55', 'admin', '2022-05-06 18:28:53', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522824721899511810', '示例_数据表格', '', '1516743332632494082', '707437208002265088', 'select * from demo where sex=\'${sex}\'', '', '0', 'sql', 'get', '2022-05-07 14:24:41', 'admin', '2022-05-07 14:53:35', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('1522853857095376898', '示例_日期范围查询', '', '1516743332632494082', '707437208002265088', 'select * from sys_user where create_time >= \'${createTime_begin}\' and create_time <=\'${createTime_end}\'', '', '0', 'sql', 'get', '2022-05-07 16:20:27', 'admin', '2022-05-07 19:29:07', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('864649684727169024', 'cc1分组', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-21 09:35:59', 'admin', '2024-03-06 16:07:25', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('874452164751183872', '日志统计', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:47:33', 'ceshi', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('874452378731991040', '查询系统日志', '', '874452164751183872', '707437208002265088', 'select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')', '', '0', 'sql', 'get', '2023-10-18 10:48:24', 'ceshi', '2023-12-31 19:29:46', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910401375061983232', '库存管理可视化大屏', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-25 15:36:52', 'admin', '2024-01-25 17:31:14', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910406419257802752', '库存管理-卡片', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryManagement', '', '0', 'api', 'get', '2024-01-25 15:56:55', 'admin', '2024-01-25 16:02:28', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910419343896526848', 'air库存情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryStatus?type=air', '', '0', 'api', 'get', '2024-01-25 16:48:16', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910423953398874112', 'lite库存情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryStatus?type=lite', '', '0', 'api', 'get', '2024-01-25 17:06:35', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910425301976662016', 'super库存情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryStatus?type=super', '', '0', 'api', 'get', '2024-01-25 17:11:57', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910427052079366144', 'ultra库存情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryStatus?type=ultra', '', '0', 'api', 'get', '2024-01-25 17:18:54', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910430104345690112', '产品库存占比情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=storkProportion', '', '0', 'api', 'get', '2024-01-25 17:31:02', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910431120222896128', '仓库状态情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=warehouseStatus', '', '0', 'api', 'get', '2024-01-25 17:35:04', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910435726206222336', '当月出库情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=outbound', '', '0', 'api', 'get', '2024-01-25 17:53:22', 'admin', '2024-01-25 17:59:40', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910441161197928448', '当月入库情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=warehousing', '', '0', 'api', 'get', '2024-01-25 18:14:58', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910442989620871168', '产品库存覆盖率情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=coverage', '', '0', 'api', 'get', '2024-01-25 18:22:14', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910447275230674944', '产品库龄分布情况', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=stockAge', '', '0', 'api', 'get', '2024-01-25 18:39:15', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910455640270880768', '产品库存状态监控', '', '910401375061983232', '', 'https://apijeecgcom/mock/51/inventoryChart?type=monitor', '', '0', 'api', 'get', '2024-01-25 19:12:30', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910478407196262400', '某电商公司销售运营', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-25 20:42:58', 'admin', '2024-01-25 20:43:03', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910478592823574528', '销售状态', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=saleStatus', '', '0', 'api', 'get', '2024-01-25 20:43:42', 'admin', '2024-01-25 20:45:22', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910695134387552256', '各地区订单与仓库情况', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=regionalOrders', '', '0', 'api', 'get', '2024-01-26 11:04:10', 'admin', '2024-01-26 11:34:02', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910708293282349056', '季度目标完成', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=quarterlyFinish', '', '0', 'api', 'get', '2024-01-26 11:56:27', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910721009699045376', '品牌销售占比', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=brandSales', '', '0', 'api', 'get', '2024-01-26 12:46:59', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910732622212677632', '销售地区排行', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=areaRanking', '', '0', 'api', 'get', '2024-01-26 13:33:07', 'admin', '2024-01-26 13:33:13', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910737864308342784', '物流订单接收', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=logisticsOrder', '', '0', 'api', 'get', '2024-01-26 13:53:57', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910740127152128000', '订单产生趋势', '', '910478407196262400', '', 'https://apijeecgcom/mock/51/commerceSalesOperations?type=generatingTrends', '', '0', 'api', 'get', '2024-01-26 14:02:57', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910750333919608832', '物业消防巡检状态', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-26 14:43:30', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910750488542625792', '区域基本情况', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=regionBasicInformation', '', '0', 'api', 'get', '2024-01-26 14:44:07', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910754028661030912', '正常设备', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=normalDevice', '', '0', 'api', 'get', '2024-01-26 14:58:11', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910754465934000128', '异常设备', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=abnormalDevice', '', '0', 'api', 'get', '2024-01-26 14:59:55', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910759432656830464', '设备异常明细', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=equipmentDetails', '', '0', 'api', 'get', '2024-01-26 15:19:40', 'admin', '2024-01-26 15:20:43', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910765056765509632', '小区地图分布', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=residentialDistributionMap', '', '0', 'api', 'get', '2024-01-26 15:42:00', 'admin', '2024-01-26 15:43:52', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910773111884398592', '小区分布地图表格', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=residentialDistributionTable', '', '0', 'api', 'get', '2024-01-26 16:14:01', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910776816075587584', '室外消火栓泵', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=deviceCountProportion', '', '0', 'api', 'get', '2024-01-26 16:28:44', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910790230315417600', '区域设备数量	', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=areaDeviceCount', '', '0', 'api', 'get', '2024-01-26 17:22:02', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910794755508060160', '巡检任务数', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=inspectionTasksCount', '', '0', 'api', 'get', '2024-01-26 17:40:01', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('910797586147360768', '巡检任务数表格', '', '910750333919608832', '', 'https://apijeecgcom/mock/51/propertyFireFighting?type=inspectionTasksTable', '', '0', 'api', 'get', '2024-01-26 17:51:16', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911773848785436672', '某连锁饮品销售', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-29 10:30:35', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911792028287287296', '销量额', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=salesVolume', '', '0', 'api', 'get', '2024-01-29 11:42:50', 'admin', '2024-01-29 11:46:35', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836343134896128', '单月最高销售量分店	', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=topSellingBranch', '', '0', 'api', 'get', '2024-01-29 14:38:55', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836426450550784', '单月最高销量品线	', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=salesLine', '', '0', 'api', 'get', '2024-01-29 14:39:15', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836535531814912', '单月最高销量单品', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=highestSellingItem', '', '0', 'api', 'get', '2024-01-29 14:39:41', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836717715603456', '单月最高销量规格', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=maximumSalesSpecs', '', '0', 'api', 'get', '2024-01-29 14:40:24', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836839023263744', '销售额走势', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=salesTrend', '', '0', 'api', 'get', '2024-01-29 14:40:53', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911836922162757632', '销量走势', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=salesTendency', '', '0', 'api', 'get', '2024-01-29 14:41:13', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911837008343121920', '订单销售量	', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=orderSalesVolume', '', '0', 'api', 'get', '2024-01-29 14:41:34', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911837091507781632', '店铺销售额排名', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=salesRanking', '', '0', 'api', 'get', '2024-01-29 14:41:53', 'admin', '2024-01-29 15:44:55', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911837168896884736', ' 冷热占比', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=coldAndHostProportion', '', '0', 'api', 'get', '2024-01-29 14:42:12', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911845934736392192', '原料支出趋势', '', '911773848785436672', '', 'https://apijeecgcom/mock/51/beverageSales?type=expenditureTrends', '', '0', 'api', 'get', '2024-01-29 15:17:02', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911878648998969344', '产品销售数据', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-29 17:27:02', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911887596497977344', '本月渠道销售', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=salesThisMonth', '', '0', 'api', 'get', '2024-01-29 18:02:35', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911887691259887616', '本月代理商销售排行', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=salesRanking', '', '0', 'api', 'get', '2024-01-29 18:02:57', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911888632709169152', '近七天销售额趋势', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=salesTrend', '', '0', 'api', 'get', '2024-01-29 18:06:42', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911888715248877568', '本月重点城市的重点产品销售额', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=productSalesRevenue', '', '0', 'api', 'get', '2024-01-29 18:07:02', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911888877589413888', '本月重点城市的重点产品销售额（表格）', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=productSalesRevenueTable', '', '0', 'api', 'get', '2024-01-29 18:07:40', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911889006916583424', '本月产品销售', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=productSalesThisMonth', '', '0', 'api', 'get', '2024-01-29 18:08:11', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('911889086163763200', '本月产品小类销售排行', '', '911878648998969344', '', 'https://api.jeecg.com/mock/51/productSales?type=rankingCategorySales', '', '0', 'api', 'get', '2024-01-29 18:08:30', 'admin', NULL, NULL, NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('925264960069664768', 'cc1请假性别汇总', '', '864649684727169024', '707437208002265088', 'SELECT sex, COUNT(*) as count\nFROM demo\nGROUP BY sex', '', '0', 'sql', 'get', '2024-03-06 15:59:27', 'admin', '2024-06-12 18:01:28', 'admin', NULL, NULL);
INSERT INTO `onl_drag_dataset_head` VALUES ('965151322172129280', 'qingjia', '', '1516743332632494082', '707437208002265088', 'select * from qingjia_dan', '', '0', 'sql', 'get', '2024-06-24 17:33:37', 'admin', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for onl_drag_dataset_item
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_dataset_item`;
CREATE TABLE `onl_drag_dataset_item`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `head_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主表ID',
  `field_name` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段名',
  `field_txt` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段文本',
  `field_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段类型',
  `widget_type` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '控件类型',
  `dict_code` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典Code',
  `dict_table` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dict_text` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `iz_show` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表显示',
  `iz_search` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询',
  `iz_total` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否计算总计（仅对数值有效）',
  `search_mode` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询模式',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_oddi_head_id`(`head_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_dataset_item
-- ----------------------------
INSERT INTO `onl_drag_dataset_item` VALUES ('1011861146174017536', '1011861146144657408', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-10-31 15:01:47', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1011861146207571968', '1011861146144657408', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-10-31 15:01:47', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1017248926035136512', '1011805223195824128', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-10-31 11:19:34', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1017248926102245376', '1011805223195824128', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-10-31 11:19:34', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630361407489', '1516748630344630273', 'column1', '项目性质', 'String', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630373990402', '1516748630344630273', 'column5', '保险公估费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630382379010', '1516748630344630273', 'column4', '承保公估评估费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630394961921', '1516748630344630273', 'column3', '风险咨询费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630403350530', '1516748630344630273', 'column2', '保险经纪佣金费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630415933442', '1516748630344630273', 'column8', '总计', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630424322049', '1516748630344630273', 'column7', '内控咨询费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1516748630432710658', '1516748630344630273', 'column6', '投标咨询费', 'Integer', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-20 20:00:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958387372033', '1517020649262972930', 'nature', '项目性质', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958395760641', '1517020649262972930', 'insurance_fee', '保险经纪佣金费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958412537857', '1517020649262972930', 'risk_consulting_fee', '风险咨询费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958429315073', '1517020649262972930', 'evaluation_fee', '承保公估评估费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958446092290', '1517020649262972930', 'insurance_evaluation_fee', '保险公估费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958462869505', '1517020649262972930', 'bidding_consulting_fee', '投标咨询费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958475452418', '1517020649262972930', 'interol_consulting_fee', '内控咨询费', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517020958483841026', '1517020649262972930', 'total', 'total', 'Integer', NULL, NULL, NULL, NULL, 'N', NULL, 'N', NULL, NULL, 'admin', '2022-04-21 14:01:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517046731353653249', '1517046731341070337', 'date', '日期', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-04-21 15:45:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517046731362041857', '1517046731341070337', 'c', '数量', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 15:45:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517052863103139842', '1517045842874236930', 'sex', '性别', 'String', NULL, 'sex', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-04-21 15:41:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517052863115722754', '1517045842874236930', 'cout', '人数', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-04-21 15:41:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517064229583093762', '1517046231342284802', 'name', '年龄', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-04-21 16:46:03', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517064229595676674', '1517046231342284802', 'value', '数量', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-04-21 16:46:03', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517072834290024450', '1516317603268657153', 'name', 'name', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-04-21 17:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517072834331967489', '1516317603268657153', 'sex', 'sex', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-04-21 17:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1517072834340356097', '1516317603268657153', 'age', 'age', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-04-21 17:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519962879107915777', '1519962879095332865', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 1, 'admin', '2022-04-29 16:52:45', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519962879124692994', '1519962879095332865', 'icon', 'icon', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 2, 'admin', '2022-04-29 16:52:45', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519962879137275906', '1519962879095332865', 'color', 'color', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 3, 'admin', '2022-04-29 16:52:45', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519962879149858817', '1519962879095332865', 'href', 'href', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 4, 'admin', '2022-04-29 16:52:45', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519964769946296322', '1519945036454813698', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 1, 'admin', '2022-04-29 15:41:51', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519964769958879233', '1519945036454813698', 'date', 'date', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 2, 'admin', '2022-04-29 15:41:51', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519964769975656449', '1519945036454813698', 'remark', 'remark', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 3, 'admin', '2022-04-29 15:41:51', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519964769988239361', '1519945036454813698', 'pic', 'pic', 'String', NULL, NULL, NULL, NULL, 'true', NULL, NULL, NULL, 4, 'admin', '2022-04-29 15:41:51', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519992923574362113', '1519274169102020610', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-04-27 19:16:03', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1519992923586945026', '1519274169102020610', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-04-27 19:16:03', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522181219565973505', '1522181219549196289', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-05-05 19:47:38', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522181219578556417', '1522181219549196289', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-05-05 19:47:38', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522182473885167618', '1522182473872584705', 'name', '姓名', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-05-05 19:52:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522182473897750530', '1522182473872584705', 'type', '类型', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-05-05 19:52:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522182473914527746', '1522182473872584705', 'mode', '开门方式', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2022-05-05 19:52:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522182473927110658', '1522182473872584705', 'date', '日期', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2022-05-05 19:52:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522184215058198530', '1522184215045615618', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-05-05 19:59:32', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522184215074975746', '1522184215045615618', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-05-05 19:59:32', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522185998719528962', '1522185936018878466', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-05-05 20:06:23', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522185998732111873', '1522185936018878466', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-05-05 20:06:23', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522187150638985217', '1522187101267832833', 'name', 'name', 'String', NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-05-05 20:11:00', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522187150651568129', '1522187101267832833', 'value', 'value', 'String', NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2022-05-05 20:11:00', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772574199809', '1522422772532256770', 'name', '客户姓名', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772590977026', '1522422772532256770', 'sj', '放款时间', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772607754242', '1522422772532256770', 'type', '担保方式', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772620337154', '1522422772532256770', 'je', '放款金额', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772632920065', '1522422772532256770', 'jg', '法人机构', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522422772666474497', '1522422772532256770', 'jl', '客户经理', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 11:47:29', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522464505987080193', '1522464505970302978', 'type1', '路线', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 14:33:19', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522464505999663105', '1522464505970302978', 'type2', '车辆', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 14:33:19', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522464506012246018', '1522464505970302978', 'type3', '人数', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 14:33:19', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522513781081513985', '1522503560003067906', 'visit', '访问量', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 17:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522513781094096898', '1522503560003067906', 'ip', 'ip地址', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 17:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522513781123457025', '1522503560003067906', 'tian', '年月', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 17:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522513781136039937', '1522503560003067906', 'type', '天', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 17:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522111850061825', '1522455203175997442', 'gh', '工号', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 13:56:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522111866839042', '1522455203175997442', 'gjbm', '构件编号', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 13:56:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522111879421953', '1522455203175997442', 'jh', '序号', 'String', NULL, '', NULL, NULL, 'N', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 13:56:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522111892004865', '1522455203175997442', 'dqgx', '当前工序', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2022-05-06 13:56:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522111904587777', '1522455203175997442', 'zt', '状态', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 13:56:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522331996495874', '1522522034783920129', 'gh', '工号', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:21:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522332013273090', '1522522034783920129', 'gjbm', '编码', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:21:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522332025856002', '1522522034783920129', 'jgsj', '完成时间', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:21:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522332038438913', '1522522034783920129', 'dqgx', '工序', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:21:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522522332051021826', '1522522034783920129', 'zt', '状态', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:21:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522523789429055490', '1522523544120991745', 'ddh', '订单号', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:27:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522523789445832705', '1522523544120991745', 'zcxm', '在产项目', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:27:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522523789458415618', '1522523544120991745', 'zl', '重量', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:27:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522523789470998530', '1522523544120991745', 'jhrq', '交货日期', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:27:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522523789479387138', '1522523544120991745', 'scjd', '产量进度', 'String', NULL, '', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-06 18:27:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522535242705936386', '1522098873378549762', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2022-05-05 14:22:06', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522535242718519298', '1522098873378549762', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2022-05-05 14:22:06', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522535242731102210', '1522098873378549762', 'type', 'type', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2022-05-05 14:22:06', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994227056641', '1522824721899511810', 'name', '姓名', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994243833857', '1522824721899511810', 'punch_time', '打卡时间', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994264805377', '1522824721899511810', 'salary_money', '工资', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994281582593', '1522824721899511810', 'bonus_money', '奖金', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994298359810', '1522824721899511810', 'sex', '性别', 'String', NULL, 'sex', NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994319331330', '1522824721899511810', 'age', '年龄', 'String', NULL, '', NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994336108545', '1522824721899511810', 'birthday', '生日', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994348691458', '1522824721899511810', 'email', '邮箱', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522831994365468673', '1522824721899511810', 'content', '个人简介', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522902540205744130', '1522853857095376898', 'username', 'username', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522902540218327041', '1522853857095376898', 'realname', 'realname', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522902540230909954', '1522853857095376898', 'sex', 'sex', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('1522902540243492866', '1522853857095376898', 'create_time', 'create_time', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('811451544708886528', '1517071247723233281', 'name', 'name', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2023-04-27 14:25:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('811451544750829568', '1517071247723233281', 'sex', 'sex', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2023-04-27 14:25:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('811451544767606784', '1517071247723233281', 'age', 'age', 'String', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'admin', '2023-04-27 14:25:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('825962141328650240', '1516743766914924546', 'day', '日期', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, NULL, 'admin', '2023-06-06 15:25:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('825962141399953408', '1516743766914924546', 'num', '登录次数', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, 'Y', NULL, NULL, 'admin', '2023-06-06 15:25:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('901400288010797056', '874452378731991040', 'date', 'date', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 17, 'ceshi', '2023-10-18 10:50:06', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('901400288082100224', '874452378731991040', 'num', 'num', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 18, 'ceshi', '2023-10-18 10:50:06', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910407818167238656', '910406419257802752', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 15:56:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910407818200793088', '910406419257802752', 'icon', 'icon', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 15:56:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910407818234347520', '910406419257802752', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-25 15:56:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910407818259513344', '910406419257802752', 'action', 'action', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2024-01-25 16:02:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910419343930081280', '910419343896526848', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 16:48:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910419343967830016', '910419343896526848', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 16:48:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910423953432428544', '910423953398874112', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:06:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910423953465982976', '910423953398874112', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:06:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910425302010216448', '910425301976662016', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:11:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910425302043770880', '910425301976662016', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:11:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910427052108726272', '910427052079366144', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:18:54', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910427052146475008', '910427052079366144', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:18:54', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910430104379244544', '910430104345690112', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:31:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910430104412798976', '910430104345690112', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:31:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910431120256450560', '910431120222896128', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:35:04', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910431120290004992', '910431120222896128', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:35:04', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910437313372798976', '910435726206222336', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 17:53:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910437313410547712', '910435726206222336', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 17:53:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910441161239871488', '910441161197928448', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 18:14:58', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910441161277620224', '910441161197928448', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 18:14:58', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910442989654425600', '910442989620871168', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 18:22:14', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910442989692174336', '910442989620871168', 'type', 'type', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 18:22:14', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910442989713145856', '910442989620871168', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-25 18:22:14', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910447275268423680', '910447275230674944', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 18:39:15', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910447275301978112', '910447275230674944', 'type', 'type', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 18:39:15', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910447275331338240', '910447275230674944', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-25 18:39:15', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640329601024', '910455640270880768', 'name', '仓库', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640371544064', '910455640270880768', 'series', '系列', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640400904192', '910455640270880768', 'marketName', '市场名', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640426070016', '910455640270880768', 'model', '机型', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640455430144', '910455640270880768', 'productStatus', '产品状态', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640484790272', '910455640270880768', 'inventory', '当前库存', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 5, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910455640509956096', '910455640270880768', 'inventoryStatus', '库存状态', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 6, 'admin', '2024-01-25 19:12:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910479009821278208', '910478592823574528', 'title', 'title', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-25 20:43:42', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910479009859026944', '910478592823574528', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-25 20:43:42', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910479009884192768', '910478592823574528', 'unit', 'unit', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-25 20:45:22', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910702652337733632', '910695134387552256', 'warehouseName', '仓库名称', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 11:04:10', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910702652383870976', '910695134387552256', 'warehouseCount', '仓库存量', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 11:04:10', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910702652413231104', '910695134387552256', 'name', '省份', 'String', NULL, NULL, NULL, NULL, 'N', NULL, NULL, NULL, 2, 'admin', '2024-01-26 11:04:10', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910702652446785536', '910695134387552256', 'value', '销售额', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-01-26 11:04:10', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910708293328486400', '910708293282349056', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 11:56:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910708293370429440', '910708293282349056', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 11:56:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910721009736794112', '910721009699045376', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 12:46:59', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910721009778737152', '910721009699045376', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 12:46:59', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910732646887768064', '910732622212677632', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 13:33:13', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910732646933905408', '910732622212677632', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 13:33:13', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910737864350285824', '910737864308342784', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 13:53:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910737864400617472', '910737864308342784', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 13:53:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910740127202459648', '910740127152128000', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 14:02:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910740127244402688', '910740127152128000', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 14:02:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910750488576180224', '910750488542625792', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 14:44:07', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910750488630706176', '910750488542625792', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 14:44:07', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910754028698779648', '910754028661030912', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 14:58:11', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910754465980137472', '910754465934000128', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 14:59:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910759700177928192', '910759432656830464', 'name', '小区名称', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 15:19:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910759700219871232', '910759432656830464', 'deviceName', '设备名称', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 15:19:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910759700257619968', '910759432656830464', 'deviceAddress', '设备地址', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-26 15:19:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910759700295368704', '910759432656830464', 'deviceStatus', '设备状态', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-01-26 15:19:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910765523046285312', '910765056765509632', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 15:42:00', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910765523092422656', '910765056765509632', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 15:42:00', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910773111934730240', '910773111884398592', 'areaName', '区域名称', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 16:14:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910773111976673280', '910773111884398592', 'value', '小区数量', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 16:14:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910776816117530624', '910776816075587584', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 16:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910776816167862272', '910776816075587584', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 16:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910790230357360640', '910790230315417600', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 17:22:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910790230407692288', '910790230315417600', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 17:22:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910794755550003200', '910794755508060160', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 17:40:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910794755591946240', '910794755508060160', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 17:40:01', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586197692416', '910797586147360768', 'inspectTime', '检查时间', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586294161408', '910797586147360768', 'deviceName', '设备名称', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586319327232', '910797586147360768', 'deviceAddress', '设备地址', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586352881664', '910797586147360768', 'inspected', '检查人', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586382241792', '910797586147360768', 'content', '检查内容', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('910797586415796224', '910797586147360768', 'inspectResult', '巡查结果', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 5, 'admin', '2024-01-26 17:51:16', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911792972810993664', '911792028287287296', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 11:42:50', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911792972852936704', '911792028287287296', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 11:42:50', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911792972882296832', '911792028287287296', 'icon', 'icon', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-29 11:42:50', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911792972911656960', '911792028287287296', 'action', 'action', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-01-29 11:42:50', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911792972949405696', '911792028287287296', 'color', 'color', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2024-01-29 11:46:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836343176839168', '911836343134896128', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:38:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836343218782208', '911836343134896128', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:38:55', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836426496688128', '911836426450550784', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:39:15', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836426538631168', '911836426450550784', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:39:15', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836535569563648', '911836535531814912', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:39:41', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836535603118080', '911836535531814912', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:39:41', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836717761740800', '911836717715603456', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:40:24', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836717803683840', '911836717715603456', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:40:24', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836839392362496', '911836839023263744', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:40:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836839736295424', '911836839023263744', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:40:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836922204700672', '911836922162757632', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:41:13', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911836922238255104', '911836922162757632', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:41:13', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911837008376676352', '911837008343121920', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:41:34', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911837008414425088', '911837008343121920', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:41:34', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911837169203068928', '911837168896884736', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:42:12', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911837169526030336', '911837168896884736', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:42:12', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911845934769946624', '911845934736392192', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 15:17:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911845934807695360', '911845934736392192', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 15:17:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911852950460612608', '911837091507781632', 'name', '店铺', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 14:41:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911852950506749952', '911837091507781632', 'value', '销售金额（元）', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 14:41:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911887596531531776', '911887596497977344', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:02:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911887596565086208', '911887596497977344', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:02:35', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911887691293442048', '911887691259887616', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:02:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911887691331190784', '911887691259887616', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:02:57', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888632742723584', '911888632709169152', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:06:42', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888632767889408', '911888632709169152', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:06:42', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888715282432000', '911888715248877568', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:07:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888715320180736', '911888715248877568', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:07:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888715345346560', '911888715248877568', 'type', 'type', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-01-29 18:07:02', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888877618774016', '911888877589413888', 'city', '城市', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:07:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911888877643939840', '911888877589413888', 'rate', '月环比', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:07:40', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911889006950137856', '911889006916583424', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:08:11', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911889006987886592', '911889006916583424', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:08:11', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911889086197317632', '911889086163763200', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-01-29 18:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('911889086230872064', '911889086163763200', 'value', 'value', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-01-29 18:08:30', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('960809675552555008', '925264960069664768', 'count', '数量', 'Integer', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 11, 'admin', '2024-03-06 16:01:21', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('960809675590303744', '925264960069664768', 'sex', '性别', 'String', NULL, 'sex', NULL, NULL, 'Y', NULL, NULL, NULL, 7, 'admin', '2024-03-06 15:59:27', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322230849536', '965151322172129280', 'id', 'id', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 0, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322331512832', '965151322172129280', 'create_by', 'create_by', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 1, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322369261568', '965151322172129280', 'create_time', 'create_time', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 2, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322407010304', '965151322172129280', 'update_by', 'update_by', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 3, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322453147648', '965151322172129280', 'update_time', 'update_time', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 4, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322495090688', '965151322172129280', 'sys_org_code', 'sys_org_code', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 5, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322541228032', '965151322172129280', 'name', 'name', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 6, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322587365376', '965151322172129280', 'sex', 'sex', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 7, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322616725504', '965151322172129280', 'age', 'age', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 8, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322650279936', '965151322172129280', 'descc', 'descc', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 9, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322688028672', '965151322172129280', 'days', 'days', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 10, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322729971712', '965151322172129280', 'be_date', 'be_date', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 11, 'admin', '2024-06-24 17:33:37', NULL, NULL);
INSERT INTO `onl_drag_dataset_item` VALUES ('965151322763526144', '965151322172129280', 'end_date', 'end_date', 'String', NULL, NULL, NULL, NULL, 'Y', NULL, NULL, NULL, 12, 'admin', '2024-06-24 17:33:37', NULL, NULL);

-- ----------------------------
-- Table structure for onl_drag_dataset_param
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_dataset_param`;
CREATE TABLE `onl_drag_dataset_param`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `head_id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '动态报表ID',
  `param_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '参数字段',
  `param_txt` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数文本',
  `param_value` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数默认值',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '排序',
  `iz_search` int(11) NULL DEFAULT NULL COMMENT '查询标识0否1是 默认0',
  `widget_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '查询控件类型',
  `search_mode` int(11) NULL DEFAULT NULL COMMENT '查询模式1简单2范围',
  `dict_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_oddp_head_id`(`head_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_dataset_param
-- ----------------------------
INSERT INTO `onl_drag_dataset_param` VALUES ('1517072834441019393', '1516317603268657153', 'name', 'name', '', NULL, NULL, NULL, NULL, NULL, 'admin', '2022-04-21 17:28:44', NULL, NULL);
INSERT INTO `onl_drag_dataset_param` VALUES ('1522831994378051586', '1522824721899511810', 'sex', 'sex', '1', NULL, NULL, NULL, NULL, 'sex', 'admin', '2022-05-07 14:50:53', NULL, NULL);
INSERT INTO `onl_drag_dataset_param` VALUES ('1522902540256075778', '1522853857095376898', 'createTime_begin', 'createTime_begin', '2011-01-01', NULL, NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_param` VALUES ('1522902540272852993', '1522853857095376898', 'createTime_end', 'createTime_end', '2022-12-31', NULL, NULL, NULL, NULL, NULL, 'admin', '2022-05-07 16:20:28', NULL, NULL);
INSERT INTO `onl_drag_dataset_param` VALUES ('811451544792772608', '1517071247723233281', 'age', 'age', '0', NULL, NULL, NULL, NULL, NULL, 'admin', '2023-04-27 14:25:35', NULL, NULL);

-- ----------------------------
-- Table structure for onl_drag_page
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_page`;
CREATE TABLE `onl_drag_page`  (
  `id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '界面名称',
  `path` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '访问路径',
  `background_color` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '背景色',
  `background_image` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '背景图',
  `design_type` int(1) NULL DEFAULT NULL COMMENT '设计模式(1:pc,2:手机,3:平板)',
  `theme` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '主题色',
  `style` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '面板主题',
  `cover_url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '封面图',
  `des_json` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '仪表盘主配置JSON',
  `template` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '布局json',
  `protection_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '保护码',
  `type` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属分类',
  `iz_template` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '是否模板(1:是；0不是)',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `low_app_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '应用ID',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户ID',
  `update_count` int(10) NULL DEFAULT 1,
  `visits_num` int(11) NULL DEFAULT NULL COMMENT '访问次数',
  `del_flag` int(11) NULL DEFAULT NULL COMMENT '删除状态( 0未删除 1已删除)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '可视化拖拽界面' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_page
-- ----------------------------
INSERT INTO `onl_drag_page` VALUES ('1011800681234354176', '医院实时数据监控', '/drag/page/view/1011800681234354176', '#1E0047', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/医院大屏_1733208287062.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"component\":\"JText\",\"w\":119,\"x\":53,\"h\":92.00000000000006,\"i\":\"ab90426f-3d27-4321-98ab-6fa901c590a7\",\"y\":165,\"orderNum\":0,\"pageCompId\":\"1023815689401061376\",\"componentName\":\"文本\",\"key\":\"db8981ac-9e5b-464c-a184-793178df46f6\"},{\"component\":\"JText\",\"w\":161,\"x\":254,\"h\":121.99999999999991,\"i\":\"d0c51e1d-ebd7-482f-8df4-ecc556b21050\",\"y\":151,\"orderNum\":0,\"pageCompId\":\"1023815689434615808\",\"componentName\":\"文本\",\"key\":\"a9c1e4e0-3647-4f4c-89b0-920a728eceff\"},{\"component\":\"JText\",\"w\":171.99999999999983,\"x\":871,\"h\":89.00000000000011,\"i\":\"2bc4359f-2033-43a9-ad56-eaac0952f845\",\"y\":173,\"orderNum\":0,\"pageCompId\":\"1023815689451393024\",\"componentName\":\"文本\",\"key\":\"0c1082d3-8762-41f5-a44b-90f2cb3438d2\"},{\"component\":\"JText\",\"w\":186,\"x\":528,\"h\":96.00000000000011,\"i\":\"6f873e82-c961-46e0-8dc2-38f0f4e04eb1\",\"y\":169,\"orderNum\":0,\"pageCompId\":\"1023815689459781632\",\"componentName\":\"文本\",\"key\":\"4e908f5d-a9e0-4916-8a0c-145295ea4ccb\"},{\"component\":\"JText\",\"w\":210.99999999999994,\"x\":1188,\"h\":96.99999999999999,\"i\":\"1493c911-276d-4eaa-8dbe-f03c15b0de37\",\"y\":177,\"orderNum\":0,\"pageCompId\":\"1023815689468170240\",\"componentName\":\"文本\",\"key\":\"085a93eb-7833-4180-8734-0c4363b3083d\"},{\"component\":\"JText\",\"w\":94.99999999999989,\"x\":488,\"h\":44.999999999999886,\"i\":\"6f889970-99fb-498a-8fe0-297ac57eda2e\",\"y\":295,\"orderNum\":0,\"pageCompId\":\"1023815689476558848\",\"componentName\":\"文本\",\"key\":\"9ef95676-a1bb-45bc-8f0d-6441b261b98e\"},{\"component\":\"JText\",\"w\":84,\"x\":826,\"h\":31,\"i\":\"23ea496a-d7a5-4831-a685-d4c7c2adae08\",\"y\":300,\"orderNum\":0,\"pageCompId\":\"1023815689484947456\",\"componentName\":\"文本\",\"key\":\"fb1302ca-ce44-4e3c-817a-588064bf10a6\"},{\"component\":\"JText\",\"w\":77,\"x\":591,\"h\":40.99999999999987,\"i\":\"9a8177f4-f3d6-4727-80f2-893f9cbba466\",\"y\":299,\"orderNum\":300,\"pageCompId\":\"1023815689501724672\",\"componentName\":\"文本\",\"key\":\"1fc1308d-f00c-49dd-83fd-202e1ab622ad\"},{\"component\":\"JText\",\"w\":96,\"x\":671,\"h\":41.99999999999983,\"i\":\"54e8548b-7e1c-4e6d-961d-8dfe2d482e8d\",\"y\":300,\"orderNum\":300,\"pageCompId\":\"1023815689514307584\",\"componentName\":\"文本\",\"key\":\"f8f8b3c1-ced3-4da2-b9b6-1da3ea95599a\"},{\"component\":\"JText\",\"w\":100,\"x\":907,\"h\":37.99999999999994,\"i\":\"40da445c-ceda-481f-81a0-cf5708b4c017\",\"y\":300,\"orderNum\":0,\"pageCompId\":\"1023815689522696192\",\"componentName\":\"文本\",\"key\":\"ee593903-f28a-4679-aa7a-84da7bce394d\"},{\"component\":\"JText\",\"w\":100,\"x\":1008,\"h\":33,\"i\":\"c7992cee-df3b-4fc7-b6cc-8b52e7b2ec9c\",\"y\":300,\"orderNum\":0,\"pageCompId\":\"1023815689531084800\",\"componentName\":\"文本\",\"key\":\"fdd0f02a-555c-4633-8c80-0e71290e0ae7\"},{\"component\":\"JText\",\"w\":82,\"x\":1160,\"h\":39.00000000000006,\"i\":\"937d7716-e61f-4631-8bcb-973f651b63f5\",\"y\":300,\"orderNum\":0,\"pageCompId\":\"1023815689543667712\",\"componentName\":\"文本\",\"key\":\"e6c0c471-ef79-4d59-8819-422e420ae8f5\"},{\"component\":\"JText\",\"w\":59.000000000000114,\"x\":1268,\"h\":45.99999999999993,\"i\":\"eedf5469-0915-4d50-8e71-a172d6db3745\",\"y\":299,\"orderNum\":300,\"pageCompId\":\"1023815689552056320\",\"componentName\":\"文本\",\"key\":\"5b197f2a-63f9-4a7c-8483-0e23eb55a688\"},{\"component\":\"JText\",\"w\":79.99999999999989,\"x\":1354,\"h\":44.000000000000014,\"i\":\"539ed1da-ad37-45ae-8226-97beedb3b375\",\"y\":300,\"orderNum\":600,\"pageCompId\":\"1023815689560444928\",\"componentName\":\"文本\",\"key\":\"a895372a-5dc4-41bb-aeec-e08a1e257005\"},{\"component\":\"JText\",\"w\":85,\"x\":1543,\"h\":53,\"i\":\"f04165b9-f514-4179-8e6b-7e67a5d6daa5\",\"y\":207,\"orderNum\":0,\"pageCompId\":\"1023815689577222144\",\"componentName\":\"文本\",\"key\":\"743e46b9-df9b-41cc-b63b-71f3e0cd10f9\"},{\"component\":\"JText\",\"w\":78,\"x\":1808,\"h\":49.99999999999982,\"i\":\"df422e72-7ce7-4ef5-bdd3-97a259cb89a4\",\"y\":206,\"orderNum\":300,\"pageCompId\":\"1023815689589805056\",\"componentName\":\"文本\",\"key\":\"5d6087bd-cbe5-4d3d-8ee8-76367aba23bd\"},{\"component\":\"JPie\",\"w\":314,\"x\":65,\"h\":243.99999999999994,\"i\":\"6e13ccec-1d9c-49a8-8413-f57685b077f2\",\"y\":267,\"orderNum\":0,\"pageCompId\":\"1023815689598193664\",\"componentName\":\"饼图\",\"key\":\"4a5a4539-278f-48c3-819f-06a82ba8d3af\"},{\"component\":\"JMultipleLine\",\"w\":517,\"x\":486,\"h\":332,\"i\":\"b4749e4f-2319-4ceb-9a03-826cac8c805f\",\"y\":364,\"orderNum\":0,\"pageCompId\":\"1023815689606582272\",\"componentName\":\"对比折线图\",\"key\":\"c880dda6-05a4-41bc-8b60-e97ebf96db8b\"},{\"component\":\"JBar\",\"w\":754,\"x\":406,\"h\":392,\"i\":\"c2682077-7f2a-40e2-92ac-9ee50e8183f6\",\"y\":757,\"orderNum\":0,\"pageCompId\":\"1023815689619165184\",\"componentName\":\"基础柱形图\",\"key\":\"3b98fac0-1163-4894-8c0f-a5960bc5bc03\"},{\"component\":\"JRose\",\"w\":400,\"x\":1034,\"h\":222.99999999999994,\"i\":\"847f44b6-33d1-495d-8240-e28f132ae6e0\",\"y\":840,\"orderNum\":0,\"pageCompId\":\"1023815689627553792\",\"componentName\":\"南丁格尔玫瑰图\",\"key\":\"87e6c042-8fb2-4dca-b904-93fc32b8a9bb\"},{\"component\":\"JMultipleLine\",\"w\":566,\"x\":478,\"h\":313.00000000000006,\"i\":\"6a6ba5f6-32ef-486c-8280-720a57e5b482\",\"y\":550,\"orderNum\":0,\"pageCompId\":\"1023815689644331008\",\"componentName\":\"对比折线图\",\"key\":\"a20281a8-8ab0-4325-9030-30577e05483a\"},{\"component\":\"JDynamicBar\",\"w\":221,\"x\":982,\"h\":510,\"i\":\"44c310d1-5bfc-4bc6-9713-b3c95e7b07cf\",\"y\":317,\"orderNum\":0,\"pageCompId\":\"1023815689656913920\",\"componentName\":\"动态柱形图\",\"key\":\"ce2f34bf-d6bf-443d-8c0d-fc215f5977df\"},{\"component\":\"JDynamicBar\",\"w\":228.00000000000003,\"x\":1230,\"h\":424,\"i\":\"3ed7b3d0-b620-4612-a3ef-397063203669\",\"y\":341,\"orderNum\":0,\"pageCompId\":\"1023815689665302528\",\"componentName\":\"动态柱形图\",\"key\":\"78979e31-7e17-4967-88b5-66391930b627\"},{\"component\":\"JRose\",\"w\":221,\"x\":1485,\"h\":180,\"i\":\"ebaa226d-75b4-4416-8fd6-2288e24a1735\",\"y\":251,\"orderNum\":0,\"pageCompId\":\"1023815689677885440\",\"componentName\":\"南丁格尔玫瑰图\",\"key\":\"a6adb5a2-a7c9-41c1-8bc0-26d4db8eb0cb\"},{\"component\":\"JRose\",\"w\":215,\"x\":1662,\"h\":264.0000000000001,\"i\":\"e87986e7-b5ae-4fbd-ac9d-d791e75441eb\",\"y\":200,\"orderNum\":0,\"pageCompId\":\"1023815689686274048\",\"componentName\":\"南丁格尔玫瑰图\",\"key\":\"eef35e45-d1d0-4d64-9fa7-f79cf9495ecd\"},{\"component\":\"JBar\",\"w\":471.00000000000006,\"x\":1409,\"h\":387.00000000000006,\"i\":\"714c0b6f-b0fc-45e0-b0f8-9585076a8895\",\"y\":365,\"orderNum\":0,\"pageCompId\":\"1023815689694662656\",\"componentName\":\"基础柱形图\",\"key\":\"30b44812-618e-4ecc-bccc-9fd5b9218285\"},{\"component\":\"JPie\",\"w\":328,\"x\":1497,\"h\":300,\"i\":\"daa3d01f-ef70-43f4-a6cd-f4ff92537ce3\",\"y\":601,\"orderNum\":0,\"pageCompId\":\"1023815689707245568\",\"componentName\":\"饼图\",\"key\":\"7bb6691d-2fc3-403e-9c5d-d1b3733ba7e9\"},{\"component\":\"JBar\",\"w\":269.9999999999999,\"x\":1450,\"h\":297,\"i\":\"2880db1f-a5a1-492e-8d78-975c958cea96\",\"y\":825,\"orderNum\":0,\"pageCompId\":\"1023815689719828480\",\"componentName\":\"基础柱形图\",\"key\":\"5df76f0a-159f-41b4-80fb-375e2898cdc6\"},{\"component\":\"JScatter\",\"w\":212,\"x\":1688,\"h\":269,\"i\":\"534ae97f-fc40-497d-8ecb-854af3664b1c\",\"y\":846,\"orderNum\":0,\"pageCompId\":\"1023815689732411392\",\"componentName\":\"普通散点图\",\"key\":\"f3680c48-713e-499f-8904-cdf459f5b561\"},{\"component\":\"JScrollBoard\",\"visible\":true,\"w\":417,\"x\":23,\"h\":214,\"i\":\"20384464-b32d-4dad-8660-76370062042a\",\"y\":568,\"orderNum\":0,\"componentName\":\"轮播表\",\"pageCompId\":\"1023815689744994304\"},{\"component\":\"JScrollBoard\",\"visible\":true,\"w\":417,\"x\":23,\"h\":214,\"i\":\"es-drager-1732187641762-1\",\"y\":840,\"orderNum\":0,\"componentName\":\"轮播表\",\"pageCompId\":\"1023815689757577216\"}]', '', '0', '1', 'admin', '2024-10-31 11:01:31', 'admin', '2024-12-03 14:44:52', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1011818817561657344', '222大屏', '/drag/page/view/1011818817561657344', NULL, NULL, 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"component\":\"JBar\",\"w\":994,\"x\":0,\"h\":300,\"i\":\"dd432094-6d9b-4806-8280-d31ba7fecab7\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"1024103577252102144\",\"componentName\":\"基础柱形图\"},{\"component\":\"JPie\",\"visible\":true,\"w\":450,\"x\":0,\"h\":300,\"i\":\"93776624-abf6-4d44-a86e-da3d91903beb\",\"y\":300,\"orderNum\":300,\"componentName\":\"饼图\",\"pageCompId\":\"1024103577302433792\"}]', '', '0', '0', 'admin', '2024-10-31 12:13:35', 'admin', '2024-12-04 09:48:50', NULL, 1000, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1011871598899679232', '北京税务在线监控', '/drag/page/view/1011871598899679232', '#1E0047', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/bg2_1733208420102.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"component\":\"JDragBorder\",\"w\":1918,\"x\":-1,\"h\":1077,\"i\":\"0cc22009-cfe5-492f-9e3b-8708cbdbda81\",\"y\":-1,\"orderNum\":0,\"pageCompId\":\"1023816327790907392\",\"componentName\":\"边框1\",\"key\":\"f00c04db-0349-4afe-b0fc-da6789411877\"},{\"component\":\"JDragBorder\",\"w\":524,\"x\":389,\"h\":289,\"i\":\"0a3aa2ce-dae7-4507-916c-f04ac3040fee\",\"y\":159,\"orderNum\":1072,\"pageCompId\":\"1023816327832850432\",\"componentName\":\"边框1\",\"key\":\"54891ccd-ee91-4bc0-8f55-ad19e94021bf\"},{\"component\":\"JImg\",\"w\":1911,\"x\":0,\"h\":78,\"i\":\"90667f29-8fe9-42e1-bab7-3ba1737f3743\",\"y\":-1,\"orderNum\":0,\"pageCompId\":\"1023816327853821952\",\"componentName\":\"图片\",\"key\":\"01769c78-a893-430a-9ca3-6d44da9e18ef\"},{\"component\":\"JDragBorder\",\"w\":460,\"x\":1411,\"h\":320,\"i\":\"es-drager-1731470190655-12\",\"y\":732,\"orderNum\":1072,\"pageCompId\":\"1023816327891570688\",\"componentName\":\"边框1\",\"key\":\"40744a4e-1dcf-4d3a-aa5e-d7b428f82c8d\"},{\"component\":\"JDragBorder\",\"w\":447,\"x\":932,\"h\":321,\"i\":\"es-drager-1731047088918-3\",\"y\":729,\"orderNum\":1072,\"pageCompId\":\"1023816327916736512\",\"componentName\":\"边框1\",\"key\":\"53f91224-70cc-47d7-a12d-0740556219f6\"},{\"component\":\"JDragBorder\",\"w\":453,\"x\":932,\"h\":245,\"i\":\"es-drager-1731046742304-1\",\"y\":461,\"orderNum\":1072,\"pageCompId\":\"1023816327937708032\",\"componentName\":\"边框1\",\"key\":\"372ce922-3bcd-40e6-8dad-bd7a6ed66d78\"},{\"component\":\"JDragBorder\",\"w\":454,\"x\":1415,\"h\":286,\"i\":\"64fabe6b-c6c0-47c5-babe-f365769a5a57\",\"y\":154,\"orderNum\":0,\"pageCompId\":\"1023816327971262464\",\"componentName\":\"边框1\",\"key\":\"736f181f-e855-43a1-a3d4-670aa28c4f7e\"},{\"component\":\"JDragBorder\",\"w\":521,\"x\":386,\"h\":325,\"i\":\"es-drager-1731047055106-2\",\"y\":729,\"orderNum\":1072,\"pageCompId\":\"1023816327992233984\",\"componentName\":\"边框1\",\"key\":\"91f39508-ba29-4564-965e-dec1d7c0d429\"},{\"component\":\"JBar\",\"w\":444,\"x\":-22,\"h\":414,\"i\":\"492e7aed-5126-46b6-828d-c33ac0b52eea\",\"y\":381,\"orderNum\":0,\"pageCompId\":\"1023816328042565632\",\"componentName\":\"基础柱形图\",\"key\":\"f6099efc-cb26-4831-8eee-baa389523052\"},{\"component\":\"JText\",\"w\":666,\"x\":615,\"h\":85.00000000000006,\"i\":\"85a6c956-9417-4e56-87ab-b6828d82aa42\",\"y\":6,\"orderNum\":128,\"pageCompId\":\"1023816328071925760\",\"componentName\":\"文本\",\"key\":\"47e20d30-a16a-4d58-8d2e-b8fa2aee858a\"},{\"component\":\"JText\",\"w\":137,\"x\":4,\"h\":75.99999999999997,\"i\":\"ca03940c-8e02-46c1-af5b-5d256059e4e2\",\"y\":59,\"orderNum\":0,\"pageCompId\":\"1023816328109674496\",\"componentName\":\"文本\",\"key\":\"9076cce5-c821-49e9-977b-4836f77c10f7\"},{\"component\":\"JImg\",\"w\":129.0000000000001,\"x\":201,\"h\":61.99999999999994,\"i\":\"b3f25af5-b0bc-4bbf-a11c-5a7b01174b14\",\"y\":77,\"orderNum\":0,\"pageCompId\":\"1023816328130646016\",\"componentName\":\"图片\",\"key\":\"bc89e2fa-b84a-4a2f-bceb-6dd5cf389e54\"},{\"component\":\"JText\",\"w\":145,\"x\":194,\"h\":95.00000000000006,\"i\":\"4bfdb5e1-0fcc-445d-8b96-bad7d6a5d106\",\"y\":62,\"orderNum\":0,\"pageCompId\":\"1023816328151617536\",\"componentName\":\"文本\",\"key\":\"32e785e0-9553-4245-8e39-e7226439b457\"},{\"component\":\"JImg\",\"w\":125,\"x\":461,\"h\":54.000000000000064,\"i\":\"6e4f9a66-2884-45e0-932d-ca1638e76d02\",\"y\":83.00000000000001,\"orderNum\":0,\"pageCompId\":\"1023816328185171968\",\"componentName\":\"图片\",\"key\":\"f348f7f4-3233-4d6d-ac4e-14efc9009428\"},{\"component\":\"JImg\",\"w\":152.9999999999999,\"x\":680,\"h\":58,\"i\":\"74041015-3d1e-48c2-8651-5103b5f9d51c\",\"y\":92,\"orderNum\":0,\"pageCompId\":\"1023816328214532096\",\"componentName\":\"图片\",\"key\":\"93c2a4e6-98d8-4ddc-83f0-29feaec54e43\"},{\"component\":\"JImg\",\"w\":156,\"x\":939,\"h\":57.00000000000015,\"i\":\"215a7f44-2f53-4984-9eb8-2e03c157bb6f\",\"y\":98.99999999999999,\"orderNum\":0,\"pageCompId\":\"1023816328252280832\",\"componentName\":\"图片\",\"key\":\"e171bc62-1bd8-4e96-803d-e801f959d63e\"},{\"component\":\"JImg\",\"w\":149,\"x\":1205,\"h\":52.99999999999994,\"i\":\"630e71d8-c9bf-40ff-9dd4-04420343f500\",\"y\":101,\"orderNum\":0,\"pageCompId\":\"1023816328277446656\",\"componentName\":\"图片\",\"key\":\"d1a38d8e-6329-46b5-8d55-831008e6dbfb\"},{\"component\":\"JImg\",\"w\":159.9999999999999,\"x\":1426,\"h\":50.00000000000003,\"i\":\"25c7a576-aad7-42c9-8dec-3a7dc6d79f8b\",\"y\":104.99999999999999,\"orderNum\":0,\"pageCompId\":\"1023816328311001088\",\"componentName\":\"图片\",\"key\":\"01e6cbdb-6f02-45f4-8806-c265ed7bb999\"},{\"component\":\"JImg\",\"w\":150.0000000000001,\"x\":1665,\"h\":53.99999999999997,\"i\":\"d28acb12-4bf1-434a-b583-9eacadd9836e\",\"y\":102.00000000000001,\"orderNum\":0,\"pageCompId\":\"1023816328336166912\",\"componentName\":\"图片\",\"key\":\"03673620-0948-4454-bcaa-562d5cb94a7b\"},{\"component\":\"JText\",\"w\":117,\"x\":463,\"h\":68.99999999999989,\"i\":\"c126d088-629f-4657-8473-781dde4302a3\",\"y\":76,\"orderNum\":0,\"pageCompId\":\"1023816328352944128\",\"componentName\":\"文本\",\"key\":\"cbb9a863-b00e-4a3e-8bb8-65db6149e067\"},{\"component\":\"JText\",\"w\":173,\"x\":666,\"h\":60.00000000000003,\"i\":\"09c94616-d224-4fa8-8654-c017a7a7a8e4\",\"y\":91,\"orderNum\":0,\"pageCompId\":\"1023816328394887168\",\"componentName\":\"文本\",\"key\":\"3813482a-894a-48b9-b78b-77b3d38e24bc\"},{\"component\":\"JText\",\"w\":173.00000000000006,\"x\":929,\"h\":53.99999999999983,\"i\":\"00e87ff1-5149-4ec3-853b-107dfc90c947\",\"y\":102,\"orderNum\":0,\"pageCompId\":\"1023816328411664384\",\"componentName\":\"文本\",\"key\":\"8697d9bb-c7f9-4b72-bee0-6fa68df15693\"},{\"component\":\"JText\",\"w\":147,\"x\":1206,\"h\":56.00000000000001,\"i\":\"68992daa-bcb5-4bf9-879b-aeec9b24e105\",\"y\":99,\"orderNum\":0,\"pageCompId\":\"1023816328432635904\",\"componentName\":\"文本\",\"key\":\"ea0cd3c1-065b-443b-80f0-62dd61b5e3c5\"},{\"component\":\"JText\",\"w\":146,\"x\":1435,\"h\":54.00000000000007,\"i\":\"7da253f2-da2c-4483-8f7a-9b604269fee8\",\"y\":101.00000000000003,\"orderNum\":0,\"pageCompId\":\"1023816328457801728\",\"componentName\":\"文本\",\"key\":\"82463e99-1c67-4268-83de-e663a1bfa68f\"},{\"component\":\"JText\",\"w\":164,\"x\":1657,\"h\":59.999999999999794,\"i\":\"ffefd138-865e-4857-8268-8980c0eb3433\",\"y\":98.99999999999999,\"orderNum\":0,\"pageCompId\":\"1023816328482967552\",\"componentName\":\"文本\",\"key\":\"e7fca865-757a-4a39-aa07-cf434a3daebc\"},{\"component\":\"JText\",\"w\":171,\"x\":21,\"h\":53.99999999999997,\"i\":\"7a274443-2335-41d1-8edb-93595b5fb3eb\",\"y\":156,\"orderNum\":0,\"pageCompId\":\"1023816328512327680\",\"componentName\":\"文本\",\"key\":\"c7ac5314-df57-4055-a47e-ba307d4182c2\"},{\"component\":\"JPie\",\"w\":426,\"x\":-59,\"h\":267,\"i\":\"5f2a005a-facb-492d-9221-e8d5b641dc50\",\"y\":190,\"orderNum\":0,\"pageCompId\":\"1023816328533299200\",\"componentName\":\"饼图\",\"key\":\"480bff7a-7170-4cda-8c49-ee2ec18e9edb\"},{\"component\":\"JText\",\"w\":195.00000000000014,\"x\":32.999999999999886,\"h\":50.99999999999994,\"i\":\"4399b94e-3eca-4f0d-872a-6d8a33cf3f45\",\"y\":725,\"orderNum\":0,\"pageCompId\":\"1023816328550076416\",\"componentName\":\"文本\",\"key\":\"dc81d128-94f1-4bff-8e96-bc8d4ee6b0fc\"},{\"component\":\"JBar\",\"w\":407,\"x\":3,\"h\":360,\"i\":\"e05f2635-03f9-4718-a268-ee5513bf4f78\",\"y\":764,\"orderNum\":0,\"pageCompId\":\"1023816328587825152\",\"componentName\":\"基础柱形图\",\"key\":\"02002e38-c239-498c-9376-3cb65af8e201\"},{\"component\":\"JText\",\"w\":151.00000000000003,\"x\":410,\"h\":49.000000000000014,\"i\":\"d3edb23c-86fb-4021-9aff-e50ab1fe113e\",\"y\":161.99999999999997,\"orderNum\":0,\"pageCompId\":\"1023816328608796672\",\"componentName\":\"文本\",\"key\":\"a9d8c13a-b827-40b0-953f-2fb977c1dfa8\"},{\"component\":\"JBar\",\"w\":517,\"x\":390,\"h\":267,\"i\":\"7b7a1ca9-b9de-4a27-9d76-4e85f324edb3\",\"y\":158,\"orderNum\":0,\"pageCompId\":\"1023816328629768192\",\"componentName\":\"基础柱形图\",\"key\":\"e8c6130a-e499-4287-943f-f29ec145dcc8\"},{\"component\":\"JBar\",\"w\":434.00000000000006,\"x\":388,\"h\":246.99999999999994,\"i\":\"dc011315-c8cb-460e-8958-f89ec118789d\",\"y\":465,\"orderNum\":0,\"pageCompId\":\"1023816328667516928\",\"componentName\":\"基础柱形图\",\"key\":\"fd8d79e7-f546-4633-86e8-805de5866eb5\"},{\"component\":\"JText\",\"w\":203.99999999999983,\"x\":397.0000000000001,\"h\":59.99999999999996,\"i\":\"4f9d7602-3fb7-4f57-81f0-1c9c06f71109\",\"y\":450,\"orderNum\":0,\"pageCompId\":\"1023816328684294144\",\"componentName\":\"文本\",\"key\":\"20d2dbe0-a66b-456d-880a-f0558b563704\"},{\"component\":\"JText\",\"w\":145.9999999999999,\"x\":385,\"h\":72.99999999999997,\"i\":\"b084b430-2d26-4952-90c5-dd3778d98df6\",\"y\":711,\"orderNum\":0,\"pageCompId\":\"1023816328701071360\",\"componentName\":\"文本\",\"key\":\"5a67aed1-f3b2-45d7-8c3c-dbe521a3fd1e\"},{\"component\":\"JImg\",\"w\":44,\"x\":429,\"h\":42,\"i\":\"6b66ae21-a187-42e8-8de8-c43933e3baa5\",\"y\":797,\"orderNum\":0,\"pageCompId\":\"1023816328738820096\",\"componentName\":\"图片\",\"key\":\"db0c5c3a-a04b-4e71-8c52-1fbe2d548007\"},{\"component\":\"JImg\",\"w\":45.999999999999986,\"x\":426,\"h\":44.00000000000005,\"i\":\"d2c60790-219a-4c37-b82b-d625aba9ad95\",\"y\":875,\"orderNum\":0,\"pageCompId\":\"1023816328755597312\",\"componentName\":\"图片\",\"key\":\"64c8cf8b-ffba-429f-a78e-84bbd83a6494\"},{\"component\":\"JImg\",\"w\":37,\"x\":432,\"h\":35,\"i\":\"4ac90ff9-722a-4836-8056-681329419d0a\",\"y\":949,\"orderNum\":0,\"pageCompId\":\"1023816328768180224\",\"componentName\":\"图片\",\"key\":\"3d5b4124-523a-4843-8bf5-a7fca530a156\"},{\"component\":\"JText\",\"w\":133,\"x\":479,\"h\":50,\"i\":\"7e2ab80b-2abe-4a5b-ab57-3821d8e954ea\",\"y\":786,\"orderNum\":0,\"pageCompId\":\"1023816328801734656\",\"componentName\":\"文本\",\"key\":\"cd7c368d-9c78-4299-abf3-3d45aa962d10\"},{\"component\":\"JLine\",\"w\":425,\"x\":933,\"h\":204,\"i\":\"5add5568-a651-4150-802d-8e13fab4be54\",\"y\":210,\"orderNum\":0,\"pageCompId\":\"1023816328818511872\",\"componentName\":\"基础折线图\",\"key\":\"3737d2ec-7355-4678-8b15-23de79634383\"},{\"component\":\"JLiquid\",\"w\":209,\"x\":1432,\"h\":126,\"i\":\"1d2da469-9128-4339-8ffb-2f665b9c760c\",\"y\":203,\"orderNum\":0,\"pageCompId\":\"1023816328835289088\",\"componentName\":\"水波图\",\"key\":\"739835a3-0af5-48be-823a-f2aad83e3ec3\"},{\"component\":\"JRose\",\"w\":397,\"x\":948,\"h\":206,\"i\":\"f81fe9db-cf49-4461-8e8c-dcc43b3a9128\",\"y\":490,\"orderNum\":0,\"pageCompId\":\"1023816328864649216\",\"componentName\":\"南丁格尔玫瑰图\",\"key\":\"2d22b9d9-04e0-4d1c-8760-01a89ab517db\"},{\"component\":\"JLine\",\"w\":425,\"x\":943,\"h\":241,\"i\":\"c161f938-81ce-4033-8492-9203ddbfba85\",\"y\":797,\"orderNum\":0,\"pageCompId\":\"1023816328885620736\",\"componentName\":\"基础折线图\",\"key\":\"93ace0f6-c47f-4143-8a3d-3ecbd53e1947\"},{\"component\":\"JText\",\"w\":252,\"x\":919,\"h\":42,\"i\":\"b5644afc-7551-4690-98d7-a3b67ae76ab8\",\"y\":729,\"orderNum\":0,\"pageCompId\":\"1023816328906592256\",\"componentName\":\"文本\",\"key\":\"ebf198ba-0973-4223-8b2f-a8f14deab29e\"},{\"component\":\"JDragBorder\",\"w\":365,\"x\":14,\"h\":334,\"i\":\"b2390199-e9b6-4036-8032-c3657c90312f\",\"y\":728,\"orderNum\":1072,\"pageCompId\":\"1023816328935952384\",\"componentName\":\"边框1\",\"key\":\"b9612da1-0a05-48e5-bfa7-8287ee17bbf2\"},{\"component\":\"JDragBorder\",\"w\":370,\"x\":6,\"h\":551,\"i\":\"a6f4742b-49f3-4760-9243-ee7691f68c00\",\"y\":154,\"orderNum\":1072,\"pageCompId\":\"1023816328956923904\",\"componentName\":\"边框1\",\"key\":\"ade24c76-ac58-4b06-826a-7bc81324a1f8\"},{\"component\":\"JDragBorder\",\"w\":526,\"x\":388,\"h\":248,\"i\":\"7be4dcb2-744b-4f1a-9b83-6f586a730002\",\"y\":460,\"orderNum\":1072,\"pageCompId\":\"1023816328969506816\",\"componentName\":\"边框1\",\"key\":\"e6698dec-2d96-433c-809a-65a030e566b1\"},{\"component\":\"JDragBorder\",\"w\":449,\"x\":930,\"h\":277,\"i\":\"e692a49f-8747-4df5-9e31-b35cb080d875\",\"y\":160,\"orderNum\":0,\"pageCompId\":\"1023816328986284032\",\"componentName\":\"边框1\",\"key\":\"c87222c9-2274-4bc0-89b0-e21ecfcef07b\"},{\"component\":\"JLiquid\",\"w\":181.00000000000006,\"x\":1642,\"h\":136.99999999999997,\"i\":\"f7de9b5c-c4e8-41f1-9197-f7efc7a7126d\",\"y\":194,\"orderNum\":0,\"pageCompId\":\"1023816329019838464\",\"componentName\":\"水波图\",\"key\":\"65c8e18b-b906-45e7-b167-ba6ff88cf8c9\"},{\"component\":\"JText\",\"w\":194,\"x\":933,\"h\":31.0000000000001,\"i\":\"b3659810-6e9c-47ac-ba63-8e78044a2c63\",\"y\":167,\"orderNum\":0,\"pageCompId\":\"1023816329036615680\",\"componentName\":\"文本\",\"key\":\"e845dc37-a9af-4153-8a66-bf7204f8d3a1\"},{\"component\":\"JText\",\"w\":159,\"x\":1417,\"h\":52.00000000000011,\"i\":\"aaa6cdac-bcfc-40f3-8c0c-2605417665da\",\"y\":157,\"orderNum\":0,\"pageCompId\":\"1023816329057587200\",\"componentName\":\"文本\",\"key\":\"b258bd40-8c44-4cee-9bd3-483a7b71f15d\"},{\"component\":\"JText\",\"w\":133,\"x\":1479,\"h\":31.999999999999886,\"i\":\"3a0e298c-ee1b-49cf-82b3-9066d30920a0\",\"y\":360,\"orderNum\":0,\"pageCompId\":\"1023816329095335936\",\"componentName\":\"文本\",\"key\":\"99a13c51-11d4-4653-a3df-f901809aa8b3\"},{\"component\":\"JText\",\"w\":125.00000000000003,\"x\":1476,\"h\":43.00000000000007,\"i\":\"51138ed7-27f5-4b2f-bb91-92581db74f2a\",\"y\":320,\"orderNum\":300,\"pageCompId\":\"1023816329112113152\",\"componentName\":\"文本\",\"key\":\"7eedfdb5-7a0d-4188-8990-dcc6fba4ac91\"},{\"component\":\"JText\",\"w\":112.99999999999983,\"x\":1681,\"h\":75.00000000000009,\"i\":\"38e5ef36-5efc-4b1a-8c98-9707729f25b6\",\"y\":311,\"orderNum\":0,\"pageCompId\":\"1023816329149861888\",\"componentName\":\"文本\",\"key\":\"a3d81f8d-7a50-49da-979f-3644a9319ff1\"},{\"component\":\"JText\",\"w\":103.00000000000003,\"x\":1495,\"h\":58.99999999999993,\"i\":\"51933693-1a23-43a7-8d3d-9a117555a080\",\"y\":378,\"orderNum\":0,\"pageCompId\":\"1023816329166639104\",\"componentName\":\"文本\",\"key\":\"ce8e4be4-fa4b-4b4f-b62a-4c2ebf8cf912\"},{\"component\":\"JText\",\"w\":101,\"x\":1686,\"h\":55.999999999999915,\"i\":\"2c7c13a4-d842-4aeb-80e0-322baf38fcd4\",\"y\":349,\"orderNum\":0,\"angle\":0,\"pageCompId\":\"1023816329187610624\",\"componentName\":\"文本\",\"key\":\"cbd63feb-ac7a-44e5-8cd2-f876266ccde9\"},{\"component\":\"JText\",\"w\":187,\"x\":941,\"h\":44.99999999999998,\"i\":\"b46eb115-30ae-4109-9d3b-c9ebee84d462\",\"y\":456,\"orderNum\":0,\"pageCompId\":\"1023816329221165056\",\"componentName\":\"文本\",\"key\":\"5e32cb8d-3c0e-4ef0-bf35-21c5b22323f0\"},{\"component\":\"JText\",\"w\":117.00000000000001,\"x\":1417,\"h\":48.999999999999886,\"i\":\"086c850d-6552-4d12-8f7b-2a356e319fd5\",\"y\":460,\"orderNum\":0,\"pageCompId\":\"1023816329246330880\",\"componentName\":\"文本\",\"key\":\"a0c2319e-820f-4917-9183-c618e2191afb\"},{\"component\":\"JText\",\"w\":231.9999999999999,\"x\":1416,\"h\":36.00000000000006,\"i\":\"f2632fa7-5cd6-4508-bc8e-bed46dc4796b\",\"y\":734,\"orderNum\":0,\"pageCompId\":\"1023816329263108096\",\"componentName\":\"文本\",\"key\":\"537922e2-250e-4fc6-a285-6c9616408d12\"},{\"component\":\"JText\",\"w\":133,\"x\":588,\"h\":50,\"i\":\"es-drager-1731468997745-1\",\"y\":786,\"orderNum\":0,\"pageCompId\":\"1023816329292468224\",\"componentName\":\"文本\",\"key\":\"42d7fe19-dba1-49ce-977a-0a7f4c734d4d\"},{\"component\":\"JText\",\"w\":133,\"x\":689,\"h\":50,\"i\":\"es-drager-1731469045324-2\",\"y\":788,\"orderNum\":0,\"pageCompId\":\"1023816329309245440\",\"componentName\":\"文本\",\"key\":\"137deb59-8229-4443-a6db-1a32d3314f28\"},{\"component\":\"JText\",\"w\":156,\"x\":487,\"h\":50,\"i\":\"es-drager-1731469067745-3\",\"y\":816,\"orderNum\":0,\"pageCompId\":\"1023816329330216960\",\"componentName\":\"文本\",\"key\":\"6172c7db-0958-4695-8959-5383b8c7a813\"},{\"component\":\"JText\",\"w\":133,\"x\":475,\"h\":50,\"i\":\"es-drager-1731469093837-4\",\"y\":873,\"orderNum\":0,\"pageCompId\":\"1023816329363771392\",\"componentName\":\"文本\",\"key\":\"508cdaa6-76d8-4528-aa40-490ad090b798\"},{\"component\":\"JText\",\"w\":133,\"x\":593,\"h\":50,\"i\":\"es-drager-1731469107919-5\",\"y\":874,\"orderNum\":0,\"pageCompId\":\"1023816329376354304\",\"componentName\":\"文本\",\"key\":\"10e5279b-44d1-4ef4-8cd9-0471159b640d\"},{\"component\":\"JText\",\"w\":133,\"x\":473,\"h\":50,\"i\":\"es-drager-1731469125505-6\",\"y\":939,\"orderNum\":0,\"pageCompId\":\"1023816329397325824\",\"componentName\":\"文本\",\"key\":\"683165dd-c105-4cec-98eb-54e6d4770dbd\"},{\"component\":\"JDragBorder\",\"w\":459,\"x\":1409,\"h\":258,\"i\":\"es-drager-1731469576838-7\",\"y\":458,\"orderNum\":1072,\"pageCompId\":\"1023816329430880256\",\"componentName\":\"边框1\",\"key\":\"a4d4e644-4965-4aec-868f-8c53448ce113\"},{\"visible\":true,\"h\":216,\"i\":\"d8b90d85-f8b8-47c8-88bd-e498323150d8\",\"orderNum\":77,\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"w\":422,\"x\":1423,\"y\":501,\"pageCompId\":\"1023816329451851776\",\"componentName\":\"对比柱形图\",\"key\":\"7d7a295f-e411-4d1e-8536-69699c32a7ce\"},{\"visible\":true,\"h\":159,\"i\":\"5f653b62-2148-406b-8d29-f6fe1a2e313a\",\"orderNum\":77,\"compTextName\":\"\",\"component\":\"JLiquid\",\"w\":239,\"x\":1411,\"y\":814,\"pageCompId\":\"1023816329468628992\",\"componentName\":\"水波图\",\"key\":\"47ca34b1-801c-41e2-84da-1fb9b2b846c5\"},{\"component\":\"JText\",\"w\":133,\"x\":1459,\"h\":50,\"i\":\"es-drager-1731469849535-8\",\"y\":964,\"orderNum\":0,\"pageCompId\":\"1023816329497989120\",\"componentName\":\"文本\",\"key\":\"58bfe70f-7c07-498d-815b-7b84b339b548\"},{\"visible\":true,\"h\":159,\"i\":\"es-drager-1731469860843-9\",\"orderNum\":77,\"compTextName\":\"\",\"component\":\"JLiquid\",\"w\":239,\"x\":1625,\"y\":810,\"pageCompId\":\"1023816329514766336\",\"componentName\":\"水波图\",\"key\":\"af4592a7-893a-4ac6-a8ad-f5858f5ce642\"},{\"component\":\"JText\",\"w\":133,\"x\":1682,\"h\":50,\"i\":\"es-drager-1731469871395-11\",\"y\":963,\"orderNum\":0,\"pageCompId\":\"1023816329539932160\",\"componentName\":\"文本\",\"key\":\"f073c7b6-f877-40c4-8360-02db29823dcb\"},{\"component\":\"JImg\",\"visible\":true,\"w\":372,\"x\":4,\"h\":563,\"i\":\"664afc6d-de2e-4ea3-add4-6a4775aecdb6\",\"y\":147,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329569292288\",\"key\":\"e426e43f-b306-4f10-b035-7750f520bd2f\"},{\"component\":\"JImg\",\"visible\":true,\"w\":370,\"x\":9,\"h\":342,\"i\":\"es-drager-1732616244282-1\",\"y\":722,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329594458112\",\"key\":\"458e2e3c-3736-4c8b-8b67-425facc62e01\"},{\"component\":\"JImg\",\"visible\":true,\"w\":530,\"x\":386,\"h\":246,\"i\":\"es-drager-1732616354696-2\",\"y\":459,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329615429632\",\"key\":\"7f23d65d-ed7f-4b03-97a4-5f0afcd1bc4c\"},{\"component\":\"JImg\",\"visible\":true,\"w\":529,\"x\":388,\"h\":289,\"i\":\"es-drager-1732616405643-3\",\"y\":157,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329640595456\",\"key\":\"c984532e-0bfa-4599-8c75-9bfcaae81138\"},{\"component\":\"JImg\",\"visible\":true,\"w\":525,\"x\":384,\"h\":330,\"i\":\"es-drager-1732616467619-4\",\"y\":724,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329665761280\",\"key\":\"73f250d3-e0e1-4e06-ad49-d93e9c802c05\"},{\"component\":\"JImg\",\"visible\":true,\"w\":456,\"x\":925,\"h\":284,\"i\":\"es-drager-1732616496825-5\",\"y\":155,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329682538496\",\"key\":\"a6e2b4fe-5795-4755-85f6-c4a6c5eff951\"},{\"component\":\"JImg\",\"visible\":true,\"w\":459,\"x\":928,\"h\":247,\"i\":\"es-drager-1732616524093-6\",\"y\":457,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329711898624\",\"key\":\"1924130e-9b87-4549-a316-2ac1fc858713\"},{\"component\":\"JImg\",\"visible\":true,\"w\":450,\"x\":930,\"h\":330,\"i\":\"es-drager-1732616572285-7\",\"y\":724,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329732870144\",\"key\":\"b321eb44-73a3-48e3-9560-37d2a279b018\"},{\"component\":\"JImg\",\"visible\":true,\"w\":457,\"x\":1414,\"h\":285,\"i\":\"es-drager-1732616606027-8\",\"y\":152,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329758035968\",\"key\":\"c9c3913f-b2ea-46ca-84df-8190b09f1707\"},{\"component\":\"JImg\",\"visible\":true,\"w\":462,\"x\":1405,\"h\":262,\"i\":\"es-drager-1732616641566-9\",\"y\":454,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329783201792\",\"key\":\"ae158e97-49b6-4e08-8d05-34ff82e43ddc\"},{\"component\":\"JImg\",\"visible\":true,\"w\":464,\"x\":1410,\"h\":323,\"i\":\"es-drager-1732616671162-10\",\"y\":729,\"orderNum\":1076,\"componentName\":\"图片\",\"pageCompId\":\"1023816329799979008\",\"key\":\"cb74b720-4a75-46bd-883c-ddb194c1f370\"}]', '', '0', '1', 'admin', '2024-10-31 15:43:19', 'admin', '2024-12-03 14:47:25', NULL, 3, 2, 70, 0);
INSERT INTO `onl_drag_page` VALUES ('1011915958294990848', '军地大数据驾驶舱', '/drag/page/view/1011915958294990848', '#495A78', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/temp/bg2_1731048266718.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"visible\":true,\"h\":73.99999999999997,\"i\":\"d21ff181-9e4f-4232-8541-6eb1960fc562\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JText\",\"w\":446.00000000000006,\"x\":762,\"y\":20,\"pageCompId\":\"1023811507021467648\",\"componentName\":\"文本\",\"key\":\"6e5a3ecd-17c7-4a07-9b16-2d5ae6335ff9\"},{\"visible\":true,\"h\":268,\"i\":\"05e6432a-51b5-48fd-8ab6-a124d3a50aae\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRose\",\"w\":426,\"x\":49,\"y\":23,\"pageCompId\":\"1023811507063410688\",\"componentName\":\"南丁格尔玫瑰图\",\"key\":\"c1577c67-fbef-4166-8af1-ea7981306105\"},{\"visible\":true,\"h\":492,\"i\":\"eadb74d9-d2ac-44f9-bf13-ea1a7dee4654\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JBubbleMap\",\"w\":635,\"x\":635,\"y\":115,\"pageCompId\":\"1023811507080187904\",\"componentName\":\"散点地图\",\"key\":\"041f1194-8fd0-46d3-bbd9-b71d48d2d404\"},{\"visible\":true,\"h\":60,\"i\":\"6f3bc67b-ab9f-4802-876b-95e5881d3407\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JCurrentTime\",\"w\":465,\"x\":695,\"y\":116,\"pageCompId\":\"1023811507101159424\",\"componentName\":\"当前时间\",\"key\":\"134efa53-4ce2-49ba-8c71-e8ff88494146\"},{\"visible\":true,\"h\":512,\"i\":\"53b9d837-ac93-4267-814d-2fb58de90959\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JImg\",\"w\":560,\"x\":707,\"y\":111,\"pageCompId\":\"1023811507117936640\",\"componentName\":\"图片\",\"key\":\"b6519495-5bc5-41bb-aa2e-d8847fff1623\"},{\"visible\":true,\"h\":328,\"i\":\"ea130c05-dbd4-420e-8e5b-7527dfc89349\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"w\":536,\"x\":44,\"y\":228,\"pageCompId\":\"1023811507130519552\",\"componentName\":\"对比柱形图\",\"key\":\"340b4328-86e9-4e2a-8fa1-cbcc67a1219a\"},{\"visible\":true,\"h\":305,\"i\":\"es-drager-1731053336142-4\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JMultipleLine\",\"w\":519,\"x\":38,\"y\":560,\"pageCompId\":\"1023811507138908160\",\"componentName\":\"对比折线图\",\"key\":\"d10f660e-e668-467d-910a-0c92ac105f85\"},{\"visible\":true,\"h\":286,\"i\":\"es-drager-1731054001741-5\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"w\":1259,\"x\":7,\"y\":770,\"pageCompId\":\"1023811507151491072\",\"componentName\":\"对\",\"key\":\"7b7de114-55f0-4040-8511-fafc5e890c0b\"},{\"visible\":true,\"h\":36.99999999999996,\"i\":\"8b80e585-cca1-4de4-8029-cdf6a11ecb01\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JText\",\"w\":99.00000000000006,\"x\":1809,\"y\":18,\"pageCompId\":\"1023811507180851200\",\"componentName\":\"文本\",\"key\":\"fdd9bf52-0641-412a-9073-8344018e4ce2\"},{\"visible\":true,\"h\":295,\"i\":\"c7ca60ee-3281-428d-975e-49195c8cb742\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"w\":510,\"x\":1383,\"y\":68,\"pageCompId\":\"1023811507189239808\",\"componentName\":\"轮播表\",\"key\":\"a348bf5a-bf05-4d38-8f7a-3141536de3f8\"},{\"visible\":true,\"h\":326,\"i\":\"5e3ac2b4-7262-4999-b3f8-eed7cde4aae0\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRadar\",\"w\":540,\"x\":1344,\"y\":418,\"pageCompId\":\"1023811507201822720\",\"componentName\":\"普通雷达图\",\"key\":\"4cf7463a-80a4-4a94-8e0c-93ff64e01d13\"},{\"visible\":true,\"h\":36.99999999999996,\"i\":\"es-drager-1731055443036-8\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JText\",\"w\":171.00000000000006,\"x\":1732,\"y\":739,\"pageCompId\":\"1023811507214405632\",\"componentName\":\"文本\",\"key\":\"3adaa5fa-b8b2-4666-9671-c6a0f57a7793\"},{\"visible\":true,\"h\":150,\"i\":\"bc23259f-0db5-4ff9-8651-b04ab85bfd86\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":245,\"x\":1289,\"y\":778,\"pageCompId\":\"1023811507222794240\",\"componentName\":\"基础环形图\",\"key\":\"bff57100-8221-475f-8ae4-556f4f003623\"},{\"visible\":true,\"h\":145,\"i\":\"es-drager-1731464896011-1\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":206,\"x\":1490,\"y\":784,\"pageCompId\":\"1023811507247960064\",\"componentName\":\"基础环形图\",\"key\":\"af09d0dd-6ee8-4888-be1e-0aa70e8034a9\"},{\"visible\":true,\"h\":145,\"i\":\"es-drager-1731465032706-2\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":206,\"x\":1681,\"y\":789,\"pageCompId\":\"1023811507260542976\",\"componentName\":\"基础环形图\",\"key\":\"d14af176-59cc-4b63-bb63-e2c0359f90b5\"},{\"visible\":true,\"h\":148,\"i\":\"es-drager-1731465068621-3\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":225,\"x\":1310,\"y\":920,\"pageCompId\":\"1023811507273125888\",\"componentName\":\"基础环形图\",\"key\":\"b6f36278-68f0-4aac-8ccd-8b433a61a645\"},{\"visible\":true,\"h\":145,\"i\":\"es-drager-1731465078501-4\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":228,\"x\":1477,\"y\":920,\"pageCompId\":\"1023811507281514496\",\"componentName\":\"基础环形图\",\"key\":\"6417673f-2e1e-4484-8fd5-47a54765c64c\"},{\"visible\":true,\"h\":145,\"i\":\"es-drager-1731465083311-5\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JRingProgress\",\"w\":267,\"x\":1643,\"y\":924,\"pageCompId\":\"1023811507294097408\",\"componentName\":\"基础环形图\",\"key\":\"db7baa0d-98da-45d0-9a00-321e7469973e\"},{\"visible\":true,\"h\":55,\"i\":\"bbf1a7a0-2dd6-4a91-88de-e8f83d8a4d15\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JProgress\",\"w\":330,\"x\":618,\"y\":629,\"pageCompId\":\"1023811507319263232\",\"componentName\":\"进度图\",\"key\":\"51a1720e-f1f3-4fde-8b92-9fb184d1003b\"},{\"visible\":true,\"h\":55,\"i\":\"es-drager-1731661825946-1\",\"orderNum\":390,\"compTextName\":\"\",\"component\":\"JProgress\",\"w\":330,\"x\":614,\"y\":677,\"pageCompId\":\"1023811507331846144\",\"componentName\":\"进度图\",\"key\":\"f3ea9eff-ac32-405a-abf2-3a48a31763eb\"}]', '', '0', '1', 'admin', '2024-10-31 18:39:35', 'admin', '2024-12-03 14:28:15', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1014376428645961728', '北京科技数字化云平台', '/drag/page/view/1014376428645961728', '#1E0047', '/img/bg/bg10.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"component\":\"JImg\",\"w\":1917.0000000000002,\"x\":-1,\"h\":80,\"i\":\"1c5b0dae-314f-4663-8ebc-529e7ef397a1\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"1021338143312891904\",\"componentName\":\"图片\",\"key\":\"c6bb8c0a-1734-405f-82be-5b25699a1bc1\"},{\"component\":\"JText\",\"w\":420,\"x\":746,\"h\":77,\"i\":\"afe6932a-9fcd-4cc1-8037-eefcf1b0605f\",\"y\":2,\"orderNum\":80,\"pageCompId\":\"1021338143350640640\",\"componentName\":\"文本\",\"key\":\"2ce590fd-9d06-4a8d-9680-247a0fb4edef\"},{\"component\":\"JCurrentTime\",\"w\":421,\"x\":745,\"h\":35,\"i\":\"a1ce6897-c28b-4f42-a775-c8c34d495d5d\",\"y\":107,\"orderNum\":80,\"pageCompId\":\"1021338143363223552\",\"componentName\":\"当前时间\",\"key\":\"4aa4d128-8900-4bb3-8931-0de2329d594c\"},{\"component\":\"JImg\",\"w\":130,\"x\":82,\"h\":52,\"i\":\"df702a2c-c1bf-4b9a-a1c7-83ff51a74c19\",\"y\":21,\"orderNum\":80,\"pageCompId\":\"1021338143375806464\",\"componentName\":\"图片\",\"key\":\"0423a14c-aa58-4a24-88b5-9e72c803f2f3\"},{\"component\":\"JText\",\"w\":80,\"x\":104,\"h\":41,\"i\":\"30361f52-fd03-40ab-86b8-52f358f3aff4\",\"y\":28.00000000000003,\"orderNum\":80,\"pageCompId\":\"1021338143384195072\",\"componentName\":\"文本\",\"key\":\"6f310775-12f2-4e7b-851e-8ac90409239a\"},{\"component\":\"JImg\",\"w\":130,\"x\":327,\"h\":52,\"i\":\"bc141cf0-9e31-424b-bc6c-1698023529be\",\"y\":21,\"orderNum\":80,\"pageCompId\":\"1021338143392583680\",\"componentName\":\"图片\",\"key\":\"c3323f46-a868-4a34-814d-f95979d553cd\"},{\"component\":\"JText\",\"w\":80,\"x\":352,\"h\":40,\"i\":\"becd17b5-e053-40c1-ab20-936e08457e38\",\"y\":27,\"orderNum\":80,\"pageCompId\":\"1021338143405166592\",\"componentName\":\"文本\",\"key\":\"10d319c0-bcb7-46ea-8d7b-8aeced7cb4f8\"},{\"component\":\"JImg\",\"w\":130,\"x\":205,\"h\":52,\"i\":\"08856df6-2e3b-422d-9a27-ceb3e94ddbe1\",\"y\":22,\"orderNum\":80,\"pageCompId\":\"1021338143426138112\",\"componentName\":\"图片\",\"key\":\"bdd13a67-9d91-4ac0-973e-9149f2abeb12\"},{\"component\":\"JImg\",\"w\":130,\"x\":1327,\"h\":52,\"i\":\"36ab5497-269f-4aee-a4b6-3fe6a2c20d4b\",\"y\":22,\"orderNum\":340,\"pageCompId\":\"1021338143442915328\",\"componentName\":\"图片\",\"key\":\"c0961091-151c-4a65-81db-7c8263018832\"},{\"component\":\"JImg\",\"w\":130,\"x\":1454,\"h\":52,\"i\":\"9697caf8-8a85-44c2-b7a4-ff5624b29217\",\"y\":22,\"orderNum\":600,\"pageCompId\":\"1021338143455498240\",\"componentName\":\"图片\",\"key\":\"5bd5f33d-49d3-4c51-b6fc-dccc388a565b\"},{\"component\":\"JImg\",\"w\":130,\"x\":1701,\"h\":52,\"i\":\"3b70af8f-cb79-45fb-b493-67f9f3ba68cd\",\"y\":22,\"orderNum\":1120,\"pageCompId\":\"1021338143468081152\",\"componentName\":\"图片\",\"key\":\"bc96714a-6706-4a8a-8f21-7f9c26859c51\"},{\"component\":\"JImg\",\"w\":130,\"x\":1579,\"h\":52,\"i\":\"4190d49d-5234-4c6b-8092-311e77aff8e1\",\"y\":21,\"orderNum\":1380,\"pageCompId\":\"1021338143484858368\",\"componentName\":\"图片\",\"key\":\"541dc811-5fd0-4b3a-8deb-082e430c3ac4\"},{\"component\":\"JImg\",\"w\":130,\"x\":452,\"h\":52,\"i\":\"cf1d47c4-70d8-4792-ab2c-cfa33476c5e2\",\"y\":21,\"orderNum\":1640,\"pageCompId\":\"1021338143501635584\",\"componentName\":\"图片\",\"key\":\"f9ce5aba-f469-48d9-aad6-b7f82cf14ea4\"},{\"component\":\"JText\",\"w\":81,\"x\":229,\"h\":40,\"i\":\"65595a23-9092-4735-8f50-e43aa9b1090f\",\"y\":29,\"orderNum\":80,\"pageCompId\":\"1021338143514218496\",\"componentName\":\"文本\",\"key\":\"124b4e24-fc36-419d-b0e0-011c683512f2\"},{\"component\":\"JText\",\"w\":80,\"x\":477,\"h\":40,\"i\":\"c3f77106-d4d2-49e0-9d94-7836eb492869\",\"y\":27,\"orderNum\":380,\"pageCompId\":\"1021338143526801408\",\"componentName\":\"文本\",\"key\":\"647324c5-98a4-4bdd-9aa0-71e6d07ca55a\"},{\"component\":\"JText\",\"w\":80,\"x\":1351,\"h\":40,\"i\":\"73f50ee8-3743-466d-b2e3-87c05122a4fc\",\"y\":28,\"orderNum\":680,\"pageCompId\":\"1021338143539384320\",\"componentName\":\"文本\",\"key\":\"0c05486a-7cf8-42dd-8408-80d9b0d7467d\"},{\"component\":\"JText\",\"w\":80,\"x\":1726,\"h\":40,\"i\":\"e9c3ab9b-a254-47fd-8965-b871c21a19dc\",\"y\":29,\"orderNum\":980,\"pageCompId\":\"1021338143560355840\",\"componentName\":\"文本\",\"key\":\"2e9efc55-2346-41d8-8829-3fd8f83c16cd\"},{\"component\":\"JText\",\"w\":80,\"x\":1480,\"h\":40,\"i\":\"38a62dd0-f307-4f50-8fd6-c84c7026c875\",\"y\":29,\"orderNum\":1280,\"pageCompId\":\"1021338143577133056\",\"componentName\":\"文本\",\"key\":\"0390e889-22ba-4fde-8657-32d8be6bd605\"},{\"component\":\"JText\",\"w\":80,\"x\":1604,\"h\":40,\"i\":\"495b30ae-75f6-49cb-8fa8-c5ee1b178529\",\"y\":28,\"orderNum\":80,\"pageCompId\":\"1021338143593910272\",\"componentName\":\"文本\",\"key\":\"755692a6-4622-401e-a2f3-27e516fe3153\"},{\"component\":\"JImg\",\"w\":465,\"x\":51,\"h\":260,\"i\":\"73b633d2-20f2-4b52-8db7-c23650825fc4\",\"y\":134,\"orderNum\":80,\"pageCompId\":\"1021338143606493184\",\"componentName\":\"图片\",\"key\":\"76375940-b57f-4530-add1-cca8070a881e\"},{\"component\":\"JText\",\"w\":115,\"x\":104,\"h\":33.99999999999994,\"i\":\"88a76ab8-7f47-43a3-8c56-2208a412dc9b\",\"y\":140,\"orderNum\":80,\"pageCompId\":\"1021338143619076096\",\"componentName\":\"文本\",\"key\":\"74de6558-99ae-46eb-8fd1-9dd23c3e0b17\"},{\"component\":\"JText\",\"w\":267.00000000000006,\"x\":167.99999999999997,\"h\":42.999999999999886,\"i\":\"1a568920-26ed-4f2a-a3b2-ee30e9120783\",\"y\":183,\"orderNum\":80,\"pageCompId\":\"1021338143635853312\",\"componentName\":\"文本\",\"key\":\"064902ad-c58b-4c31-9a14-ba351374f686\"},{\"component\":\"JCountTo\",\"w\":87,\"x\":170,\"h\":40,\"i\":\"cf88897f-f8ed-4994-8825-4781822d6da4\",\"y\":254,\"orderNum\":80,\"pageCompId\":\"1021338143648436224\",\"componentName\":\"翻牌器\",\"key\":\"33006bad-0489-43c3-aecd-e7ad249e95e4\"},{\"component\":\"JCountTo\",\"w\":91.99999999999994,\"x\":318,\"h\":39.00000000000006,\"i\":\"7e11b52c-2c9c-49d9-8921-529e89f7e188\",\"y\":252,\"orderNum\":80,\"pageCompId\":\"1021338143665213440\",\"componentName\":\"翻牌器\",\"key\":\"14f4c518-fd66-41b7-ae24-69f4992e78b3\"},{\"component\":\"JText\",\"w\":80.00000000000006,\"x\":174,\"h\":32.99999999999994,\"i\":\"5e3aaf53-23db-40d7-8492-9ca6220991a8\",\"y\":302,\"orderNum\":80,\"pageCompId\":\"1021338143690379264\",\"componentName\":\"文本\",\"key\":\"cdd16d26-6bf3-4010-8a4f-198112383d83\"},{\"component\":\"JText\",\"w\":91.00000000000006,\"x\":323,\"h\":31.999999999999886,\"i\":\"b012cf61-412e-4a10-8131-e0d0c0ee722c\",\"y\":303.00000000000006,\"orderNum\":80,\"pageCompId\":\"1021338143711350784\",\"componentName\":\"文本\",\"key\":\"73a0a2a9-8b9b-41ad-ac84-70ad6fbab13c\"},{\"component\":\"JImg\",\"w\":468,\"x\":48,\"h\":632,\"i\":\"5440a659-599a-4f47-aedd-0dffeba16881\",\"y\":415,\"orderNum\":80,\"pageCompId\":\"1021338143728128000\",\"componentName\":\"图片\",\"key\":\"21fed81a-0e75-460d-bb02-5354b624135a\"},{\"component\":\"JBar\",\"w\":393,\"x\":90,\"h\":264,\"i\":\"293ea950-a869-4661-818d-2ddb042c5831\",\"y\":466,\"orderNum\":80,\"pageCompId\":\"1021338143744905216\",\"componentName\":\"基础柱形图\",\"key\":\"4b4ec44a-d4ad-4f25-803e-bc9d8d5a1c3f\"},{\"component\":\"JBar\",\"w\":391,\"x\":83,\"h\":266,\"i\":\"53e124ad-12e5-4e40-8bda-c4a3982df3f2\",\"y\":758,\"orderNum\":80,\"pageCompId\":\"1021338143761682432\",\"componentName\":\"基础柱形图\",\"key\":\"7bfd0d39-b4b8-44cb-8d6a-34fc5ebd1d47\"},{\"component\":\"JImg\",\"w\":857,\"x\":539,\"h\":483,\"i\":\"748d6c5f-c1ba-42a8-b853-d72e8cf86037\",\"y\":162,\"orderNum\":80,\"pageCompId\":\"1021338143786848256\",\"componentName\":\"图片\",\"key\":\"dc04036a-aac4-492a-8118-3fa7ebee2d65\"},{\"component\":\"JGauge\",\"w\":465,\"x\":941,\"h\":300,\"i\":\"62bbe478-2de0-4ba0-883e-7851a22525f8\",\"y\":166,\"orderNum\":80,\"pageCompId\":\"1021338143803625472\",\"componentName\":\"基础仪表盘\",\"key\":\"ee9ea87e-eb4c-4ecd-9637-6012763d69b6\"},{\"component\":\"JGauge\",\"w\":359,\"x\":563,\"h\":253,\"i\":\"72e4c8b5-9ad4-4209-8f91-232ec35404f3\",\"y\":410,\"orderNum\":380,\"pageCompId\":\"1021338143816208384\",\"componentName\":\"基础仪表盘\",\"key\":\"4d0dfcb4-5a66-4e40-b1f9-890f3a863827\"},{\"component\":\"JGauge\",\"w\":359,\"x\":798,\"h\":253,\"i\":\"c682e09f-78f2-4ad3-90e8-e5a8c29e87e2\",\"y\":411,\"orderNum\":680,\"pageCompId\":\"1021338143837179904\",\"componentName\":\"基础仪表盘\",\"key\":\"9433d861-11bc-478d-8826-3d37777cb5de\"},{\"component\":\"JGauge\",\"w\":359,\"x\":1033,\"h\":253,\"i\":\"24276840-64dc-4a3e-91df-3ee4ebc11dda\",\"y\":411,\"orderNum\":980,\"pageCompId\":\"1021338143853957120\",\"componentName\":\"基础仪表盘\",\"key\":\"87de9d63-8c51-4485-bb2b-0a02b396709d\"},{\"component\":\"JImg\",\"w\":859,\"x\":534,\"h\":390,\"i\":\"75acb749-0e0d-4786-82a8-00e95be9f438\",\"y\":655,\"orderNum\":80,\"pageCompId\":\"1021338143870734336\",\"componentName\":\"图片\",\"key\":\"c9ce4876-c35e-4b30-8c7a-8b94342f1f72\"},{\"component\":\"JText\",\"w\":184,\"x\":558,\"h\":44.000000000000064,\"i\":\"b3343cad-a2e4-4fe8-aee3-0df2011efdba\",\"y\":666,\"orderNum\":80,\"pageCompId\":\"1021338143895900160\",\"componentName\":\"文本\",\"key\":\"6efaa506-5e73-4b5c-9001-dfe627072b7f\"},{\"component\":\"JImg\",\"w\":465,\"x\":1416,\"h\":449,\"i\":\"64faccb2-3cdb-4f2c-893c-5500876b9814\",\"y\":134,\"orderNum\":80,\"pageCompId\":\"1021338143921065984\",\"componentName\":\"图片\",\"key\":\"849ff904-c1cd-417b-85e8-c628b3a94d94\"},{\"component\":\"JText\",\"w\":342,\"x\":1478,\"h\":51,\"i\":\"b026c26b-d67e-4d2a-abb0-faee39022d65\",\"y\":146,\"orderNum\":80,\"pageCompId\":\"1021338143933648896\",\"componentName\":\"文本\",\"key\":\"7ad15ec7-26ec-4311-a081-9ec6433ad949\"},{\"component\":\"JText\",\"w\":459,\"x\":1394,\"h\":80,\"i\":\"7a3e3767-a8c2-420b-8fb8-e7b0449b6ea0\",\"y\":188,\"orderNum\":80,\"pageCompId\":\"1021338143946231808\",\"componentName\":\"文本\",\"key\":\"c1ef9157-88d6-418f-8555-e4c0eb3a9910\"},{\"component\":\"JText\",\"w\":460,\"x\":1402,\"h\":80,\"i\":\"5b37cb7e-23f1-476d-8306-cce309220168\",\"y\":267,\"orderNum\":80,\"pageCompId\":\"1021338143958814720\",\"componentName\":\"文本\",\"key\":\"334c39ea-3d81-44f4-81a5-3f5becb7c238\"},{\"component\":\"JText\",\"w\":458,\"x\":1419,\"h\":80,\"i\":\"80333722-29ff-4703-80cc-6244600321cf\",\"y\":342,\"orderNum\":80,\"pageCompId\":\"1021338143983980544\",\"componentName\":\"文本\",\"key\":\"64176ba1-1726-4b3b-930a-60d78f55405d\"},{\"component\":\"JText\",\"w\":459,\"x\":1401,\"h\":80,\"i\":\"72fbb44c-32de-413d-8968-b7b7d7d4e701\",\"y\":420,\"orderNum\":80,\"pageCompId\":\"1021338143996563456\",\"componentName\":\"文本\",\"key\":\"2180452b-8354-41eb-8ca2-f8ac29a3d72d\"},{\"component\":\"JImg\",\"w\":465,\"x\":1415,\"h\":410,\"i\":\"c1d5b4eb-3891-4a0a-9a21-80e80259a176\",\"y\":634,\"orderNum\":80,\"pageCompId\":\"1021338144009146368\",\"componentName\":\"图片\",\"key\":\"6fbc13df-3fe5-4bd3-a66a-bd0c0f6fc52a\"},{\"component\":\"JText\",\"w\":340,\"x\":1477,\"h\":44,\"i\":\"44f731e0-fa94-4109-8d53-e216cab63b8a\",\"y\":647,\"orderNum\":80,\"pageCompId\":\"1021338144025923584\",\"componentName\":\"文本\",\"key\":\"d26580ba-97bd-4656-84eb-b176c458ad32\"},{\"component\":\"JText\",\"w\":465,\"x\":761,\"h\":57.99999999999997,\"i\":\"c0d264d8-2b60-4afd-b306-d265c58e8473\",\"y\":165,\"orderNum\":80,\"pageCompId\":\"1021338144046895104\",\"componentName\":\"文本\",\"key\":\"fd6b9ecb-a058-45ff-96af-7ff4429e58dd\"},{\"component\":\"JLine\",\"w\":466,\"x\":1414,\"h\":288,\"i\":\"0b1de716-468e-42ec-89b8-be233d3d8724\",\"y\":707,\"orderNum\":80,\"pageCompId\":\"1021338144063672320\",\"componentName\":\"基础折线图\",\"key\":\"34d49859-b94c-48e3-808f-da08b873426c\"},{\"compTextName\":\"\",\"component\":\"JScrollTable\",\"visible\":true,\"w\":852,\"x\":537,\"h\":329,\"i\":\"89e5576b-dbbf-4a06-9ceb-db690e7ad61c\",\"y\":712,\"orderNum\":80,\"pageCompId\":\"1021338144080449536\",\"componentName\":\"表格\"},{\"component\":\"JGauge\",\"w\":524,\"x\":543,\"h\":301,\"i\":\"9044d895-c38e-44ba-a793-826b086fec66\",\"y\":166,\"orderNum\":80,\"pageCompId\":\"1021338144088838144\",\"componentName\":\"基础仪表盘\",\"key\":\"331dc721-7c5e-4004-81b1-8aca324df4f8\"}]', '', '0', '1', 'admin', '2024-11-07 13:36:37', 'admin', '2024-11-26 18:39:59', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1015895036886831104', '监狱狱政科数据展示', '/drag/page/view/1015895036886831104', NULL, 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/2背景_1731554307578.jpg', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"visible\":true,\"h\":39,\"i\":\"8a751a70-50ff-4a18-bb2a-e33c7d8bb055\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":18,\"y\":16,\"pageCompId\":\"1017321185898713088\",\"selected\":true,\"key\":\"3a9800ef-77ba-4d23-ad7f-93299a9746f5\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554341219-1\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":519,\"x\":695,\"y\":39,\"pageCompId\":\"1017321185940656128\",\"selected\":false,\"key\":\"87a516b1-654e-4385-8624-92b63e69dfce\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554641653-2\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":45,\"y\":129,\"pageCompId\":\"1017321185957433344\",\"selected\":false,\"key\":\"8bd60606-6457-4074-8251-67e8d476058c\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554650239-3\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":142,\"x\":621,\"y\":130,\"pageCompId\":\"1017321185974210560\",\"selected\":false,\"key\":\"1118e97a-1e3d-4e8d-839e-80485318ab38\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554657899-4\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":794,\"y\":130,\"pageCompId\":\"1017321185986793472\",\"selected\":false,\"key\":\"9c0a3cb7-aaba-472a-a1d7-cf692e2aa1c4\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554660718-5\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":969,\"y\":131,\"pageCompId\":\"1017321186003570688\",\"selected\":false,\"key\":\"7039875e-bec1-4c3a-9e15-3d2ee61e0d34\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554663509-6\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1140,\"y\":132,\"pageCompId\":\"1017321186024542208\",\"selected\":false,\"key\":\"506c148d-7747-4fb2-aa8f-6642cd48ecde\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554901305-7\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":615,\"y\":180,\"pageCompId\":\"1017321186041319424\",\"selected\":false,\"key\":\"7cb3629b-2812-4137-afba-1036dfd65e4c\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554904164-8\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":49,\"x\":820,\"y\":182,\"pageCompId\":\"1017321186053902336\",\"selected\":false,\"key\":\"fcad8b91-29ab-4094-8626-9d59e91797ef\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554906777-9\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":965,\"y\":181,\"pageCompId\":\"1017321186066485248\",\"selected\":false,\"key\":\"338a28fd-1ac4-4642-8267-7a9259379408\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554911018-10\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":89,\"x\":1173,\"y\":182,\"pageCompId\":\"1017321186095845376\",\"selected\":false,\"key\":\"6f8b961b-77b9-468d-8c6b-ff63b9a834a4\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554930989-11\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1338,\"y\":129,\"pageCompId\":\"1017321186108428288\",\"selected\":false,\"key\":\"0d699b4a-d448-40a2-9cc4-d7f20ecc125e\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554944783-12\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":211,\"x\":1337,\"y\":625,\"pageCompId\":\"1017321186121011200\",\"selected\":false,\"key\":\"97d874ca-f103-4830-8663-a3c68246e406\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554949510-13\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":192,\"x\":616,\"y\":623,\"pageCompId\":\"1017321186133594112\",\"selected\":false,\"key\":\"e36af5b1-f538-45d1-b609-6905b0924772\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731554956540-14\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":52,\"y\":625,\"pageCompId\":\"1017321186154565632\",\"selected\":false,\"key\":\"bcd21420-8a7f-44fe-891b-92600239e2e8\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555036448-15\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":44,\"x\":853,\"y\":182,\"pageCompId\":\"1017321186175537152\",\"selected\":false,\"key\":\"445e208c-59a3-4fb9-b0d2-6def4f0179bd\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555481413-16\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":52,\"y\":189,\"pageCompId\":\"1017321186188120064\",\"selected\":false,\"key\":\"d688d880-01bd-4e34-97cf-b76d90dce3e1\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555488647-17\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":284,\"y\":185,\"pageCompId\":\"1017321186200702976\",\"selected\":false,\"key\":\"9e4d8375-3307-494b-9d50-f00ad07587ee\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555491173-18\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":84,\"y\":225,\"pageCompId\":\"1017321186217480192\",\"selected\":false,\"key\":\"fb22424a-2a27-4ccc-bf06-e8d792580b94\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555492397-19\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":308,\"y\":223,\"pageCompId\":\"1017321186238451712\",\"selected\":false,\"key\":\"a21ba509-1ec6-4450-8353-aa3929092dc3\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555507249-20\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1311,\"y\":188,\"pageCompId\":\"1017321186251034624\",\"selected\":false,\"key\":\"7667dd74-acff-4fb6-8881-b8035d0ede80\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555511061-21\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1541,\"y\":192,\"pageCompId\":\"1017321186263617536\",\"selected\":false,\"key\":\"40d56052-f72b-4eae-8c7e-1d77cae61013\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555514595-22\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1343,\"y\":222,\"pageCompId\":\"1017321186280394752\",\"selected\":false,\"key\":\"8995191b-cfdc-4978-8428-2b43b1d9a046\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731555517774-23\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1610,\"y\":224,\"pageCompId\":\"1017321186305560576\",\"selected\":false,\"key\":\"4e2fb295-3f4e-4e35-ac37-7d85f35a9242\"},{\"visible\":true,\"h\":216,\"i\":\"8fc14384-c894-4c46-830c-9047ff569a66\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"w\":489,\"x\":55,\"y\":356,\"pageCompId\":\"1017321186322337792\",\"selected\":false,\"key\":\"a132eed8-6436-4fc5-86f6-dfda0f05eb95\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556853370-24\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":63,\"y\":258,\"pageCompId\":\"1017321186334920704\",\"selected\":false,\"key\":\"40d94708-30eb-4c29-8e52-4b7d18036c1d\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556856918-25\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":94,\"y\":297,\"pageCompId\":\"1017321186351697920\",\"selected\":false,\"key\":\"d95f5454-2a3f-49d3-a3fa-2e2854dec8da\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556862766-26\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":311,\"y\":259,\"pageCompId\":\"1017321186376863744\",\"selected\":false,\"key\":\"07269e41-c8ce-4d70-8ff2-3abcf3ba247b\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556870179-27\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":311,\"y\":299,\"pageCompId\":\"1017321186393640960\",\"selected\":false,\"key\":\"f11c4f40-34b9-4048-936a-cdcf2d4017e2\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556893775-28\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1309,\"y\":268,\"pageCompId\":\"1017321186406223872\",\"selected\":false,\"key\":\"b55f7d17-91a2-4cb1-8c2f-60c10c073d5b\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556897633-29\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1353,\"y\":306,\"pageCompId\":\"1017321186431389696\",\"selected\":false,\"key\":\"efeaefc7-4cd2-4563-a337-da451878a314\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556900421-30\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1547,\"y\":269,\"pageCompId\":\"1017321186452361216\",\"selected\":false,\"key\":\"2e268466-8ded-4a7b-808a-8582b306e11f\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731556904681-31\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":153,\"x\":1609,\"y\":302,\"pageCompId\":\"1017321186464944128\",\"selected\":false,\"key\":\"920ee28a-be38-41ed-84be-9ca5d8b9e359\"},{\"visible\":true,\"h\":263,\"i\":\"810ae487-0402-45e4-839f-ae53fe327206\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JPie\",\"w\":412,\"x\":608,\"y\":298,\"pageCompId\":\"1017321186477527040\",\"selected\":false,\"key\":\"63730e7b-f8a1-493b-8094-684034d0c004\"},{\"visible\":true,\"h\":263,\"i\":\"es-drager-1731565807875-32\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JPie\",\"w\":412,\"x\":960,\"y\":295,\"pageCompId\":\"1017321186498498560\",\"selected\":false,\"key\":\"ce4dca14-edfc-488c-80e1-f3c908d5de65\"},{\"visible\":true,\"h\":236,\"i\":\"e546a2b1-0da9-45b4-95f6-c6fbcb6d1846\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"w\":529,\"x\":1339,\"y\":350,\"pageCompId\":\"1017321186515275776\",\"selected\":false,\"key\":\"448ab743-22ec-427a-945f-d44a48b56f0b\"},{\"visible\":true,\"h\":177,\"i\":\"96d5c689-2fc0-494a-92e1-9d446345c1e9\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDynamicBar\",\"w\":464,\"x\":1336,\"y\":670,\"pageCompId\":\"1017321186532052992\",\"selected\":false,\"key\":\"a3c4101a-faeb-47d8-8db9-476d3133575d\"},{\"visible\":true,\"h\":171,\"i\":\"es-drager-1731571931624-1\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDynamicBar\",\"w\":450,\"x\":1336,\"y\":838,\"pageCompId\":\"1017321186544635904\",\"selected\":false,\"key\":\"7de97686-514e-47d8-8dca-e3332bb1a101\"},{\"visible\":true,\"h\":321,\"i\":\"18f17713-c9a2-43c8-a1b4-8956526edf92\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"w\":534,\"x\":49,\"y\":684,\"pageCompId\":\"1017321186561413120\",\"selected\":false,\"key\":\"b9bbfb10-b8b6-4d69-839d-533cb6bc87b3\"},{\"visible\":true,\"h\":324,\"i\":\"es-drager-1731572436300-2\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"w\":676,\"x\":624,\"y\":686,\"pageCompId\":\"1017321186582384640\",\"selected\":false,\"key\":\"4e9900f0-25b3-4afe-8f4a-47fe3278f7d5\"},{\"compTextName\":\"\",\"component\":\"JCurrentTime\",\"visible\":true,\"w\":289,\"x\":1585,\"h\":33,\"i\":\"93f679fd-84cd-4e4e-8b1c-a6c832393f9f\",\"y\":18,\"orderNum\":0,\"pageCompId\":\"1017321186599161856\",\"selected\":false}]', '', '0', '1', 'admin', '2024-11-11 18:11:01', 'admin', '2024-11-15 16:38:02', NULL, 3, 2, 10, 0);
INSERT INTO `onl_drag_page` VALUES ('1016497921022545920', '监狱财政科数据展示', '/drag/page/view/1016497921022545920', '#1E0047', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/jimureport/images/1背景_1731463744922.jpg', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":144,\"x\":27,\"h\":33,\"i\":\"bea2f336-12f8-4333-adb1-882c4a46f1ef\",\"y\":22,\"orderNum\":0,\"pageCompId\":\"1019836136064339968\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":466,\"x\":730,\"h\":45,\"i\":\"es-drager-1731575388068-1\",\"y\":40,\"orderNum\":0,\"pageCompId\":\"1019836136139837440\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":144,\"x\":46,\"h\":33,\"i\":\"es-drager-1731575453492-2\",\"y\":135,\"orderNum\":0,\"pageCompId\":\"1019836136160808960\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":144,\"x\":1332,\"h\":33,\"i\":\"es-drager-1731575564662-3\",\"y\":132,\"orderNum\":0,\"pageCompId\":\"1019836136177586176\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":177,\"x\":44,\"h\":33,\"i\":\"es-drager-1731575571643-4\",\"y\":630,\"orderNum\":0,\"pageCompId\":\"1019836136190169088\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":195,\"x\":619,\"h\":33,\"i\":\"es-drager-1731575574764-5\",\"y\":628,\"orderNum\":0,\"pageCompId\":\"1019836136206946304\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":144,\"x\":1338,\"h\":33,\"i\":\"es-drager-1731575579158-6\",\"y\":628,\"orderNum\":0,\"pageCompId\":\"1019836136232112128\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":55,\"h\":33,\"i\":\"es-drager-1731575591936-7\",\"y\":185,\"orderNum\":0,\"pageCompId\":\"1019836136248889344\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":298,\"h\":33,\"i\":\"es-drager-1731575650336-8\",\"y\":183,\"orderNum\":0,\"pageCompId\":\"1019836136261472256\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":57,\"h\":33,\"i\":\"es-drager-1731575655752-9\",\"y\":259,\"orderNum\":0,\"pageCompId\":\"1019836136274055168\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":151,\"x\":302,\"h\":33,\"i\":\"es-drager-1731575658548-10\",\"y\":259,\"orderNum\":0,\"pageCompId\":\"1019836136295026688\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1364,\"h\":33,\"i\":\"es-drager-1731575662995-11\",\"y\":192,\"orderNum\":0,\"pageCompId\":\"1019836136311803904\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1633,\"h\":33,\"i\":\"es-drager-1731575667327-12\",\"y\":192,\"orderNum\":0,\"pageCompId\":\"1019836136328581120\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1367,\"h\":33,\"i\":\"es-drager-1731575676489-13\",\"y\":259,\"orderNum\":0,\"pageCompId\":\"1019836136336969728\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1649,\"h\":33,\"i\":\"es-drager-1731575681208-14\",\"y\":263,\"orderNum\":0,\"pageCompId\":\"1019836136353746944\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":807,\"h\":33,\"i\":\"es-drager-1731575699841-15\",\"y\":124,\"orderNum\":0,\"pageCompId\":\"1019836136374718464\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":801,\"h\":33,\"i\":\"es-drager-1731575713035-16\",\"y\":202,\"orderNum\":0,\"pageCompId\":\"1019836136395689984\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1166,\"h\":33,\"i\":\"es-drager-1731575720590-17\",\"y\":122,\"orderNum\":0,\"pageCompId\":\"1019836136412467200\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1169,\"h\":33,\"i\":\"es-drager-1731575724256-18\",\"y\":205,\"orderNum\":0,\"pageCompId\":\"1019836136429244416\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":637,\"h\":33,\"i\":\"es-drager-1731575741874-19\",\"y\":145,\"orderNum\":0,\"pageCompId\":\"1019836136450215936\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":132,\"x\":1008,\"h\":33,\"i\":\"es-drager-1731575790320-20\",\"y\":136,\"orderNum\":0,\"pageCompId\":\"1019836136466993152\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":298,\"h\":33,\"i\":\"es-drager-1731576490851-23\",\"y\":218,\"orderNum\":0,\"pageCompId\":\"1019836136487964672\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":56,\"h\":33,\"i\":\"es-drager-1731576557313-24\",\"y\":219,\"orderNum\":0,\"pageCompId\":\"1019836136508936192\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":47,\"h\":33,\"i\":\"es-drager-1731576610256-25\",\"y\":290,\"orderNum\":0,\"pageCompId\":\"1019836136525713408\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":288,\"h\":33,\"i\":\"es-drager-1731576613557-26\",\"y\":294,\"orderNum\":0,\"pageCompId\":\"1019836136538296320\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":630,\"h\":33,\"i\":\"es-drager-1731576622559-27\",\"y\":195,\"orderNum\":0,\"pageCompId\":\"1019836136555073536\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":179,\"x\":988,\"h\":33,\"i\":\"es-drager-1731576628027-28\",\"y\":196,\"orderNum\":0,\"pageCompId\":\"1019836136563462144\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1345,\"h\":33,\"i\":\"es-drager-1731576635331-29\",\"y\":225,\"orderNum\":0,\"pageCompId\":\"1019836136580239360\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1389,\"h\":33,\"i\":\"es-drager-1731576638739-30\",\"y\":294,\"orderNum\":0,\"pageCompId\":\"1019836136592822272\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1654,\"h\":33,\"i\":\"es-drager-1731576643262-31\",\"y\":225,\"orderNum\":0,\"pageCompId\":\"1019836136605405184\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1659,\"h\":33,\"i\":\"es-drager-1731576941854-33\",\"y\":296,\"orderNum\":0,\"pageCompId\":\"1019836136622182400\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":803,\"h\":33,\"i\":\"es-drager-1731577225841-34\",\"y\":150,\"orderNum\":0,\"pageCompId\":\"1019836136638959616\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":782,\"h\":33,\"i\":\"es-drager-1731577276117-35\",\"y\":231,\"orderNum\":0,\"pageCompId\":\"1019836136655736832\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1154,\"h\":33,\"i\":\"es-drager-1731577281301-36\",\"y\":146,\"orderNum\":0,\"pageCompId\":\"1019836136668319744\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":161,\"x\":1149,\"h\":33,\"i\":\"es-drager-1731577285085-37\",\"y\":231,\"orderNum\":0,\"pageCompId\":\"1019836136685096960\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":84,\"x\":850,\"h\":33,\"i\":\"es-drager-1731577430161-38\",\"y\":231,\"orderNum\":0,\"pageCompId\":\"1019836136693485568\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":84,\"x\":1220,\"h\":33,\"i\":\"es-drager-1731577464601-39\",\"y\":231,\"orderNum\":0,\"pageCompId\":\"1019836136710262784\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JMultipleBar\",\"visible\":true,\"w\":543,\"x\":47,\"h\":257,\"i\":\"f5598f5b-7aee-4b4a-aa98-3703c9f471f4\",\"y\":335,\"orderNum\":0,\"pageCompId\":\"1019836136727040000\",\"componentName\":\"对比柱形图\"},{\"compTextName\":\"\",\"component\":\"JMultipleLine\",\"visible\":true,\"w\":682,\"x\":628,\"h\":309,\"i\":\"0811e80e-d0df-43d7-92c6-d7f0e0d62fd7\",\"y\":297,\"orderNum\":0,\"pageCompId\":\"1019836136743817216\",\"componentName\":\"对比折线图\"},{\"compTextName\":\"\",\"component\":\"JArea\",\"visible\":true,\"w\":530,\"x\":1358,\"h\":258,\"i\":\"aeafbc37-dcbc-4385-8d24-643fa4dc4fcd\",\"y\":328,\"orderNum\":0,\"pageCompId\":\"1019836136756400128\",\"componentName\":\"面积图\"},{\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"visible\":true,\"w\":531,\"x\":49,\"h\":326,\"i\":\"12b2c94e-529a-4668-a2de-9b2021e93f56\",\"y\":678,\"orderNum\":0,\"pageCompId\":\"1019836136764788736\",\"componentName\":\"轮播表\"},{\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"visible\":true,\"w\":671,\"x\":626,\"h\":338,\"i\":\"es-drager-1731579827097-40\",\"y\":675,\"orderNum\":0,\"pageCompId\":\"1019836136777371648\",\"componentName\":\"轮播表\"},{\"compTextName\":\"\",\"component\":\"JScrollBoard\",\"visible\":true,\"w\":531,\"x\":1342,\"h\":326,\"i\":\"es-drager-1731579847826-41\",\"y\":681,\"orderNum\":0,\"pageCompId\":\"1019836136794148864\",\"componentName\":\"轮播表\"}]', '', '0', '1', 'admin', '2024-11-13 10:06:40', 'admin', '2024-11-22 15:11:33', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1016994145836257280', '个性化组件大阅兵', '/drag/page/view/1016994145836257280', '#1E0047', '/img/bg/bg1.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":2000}', '[{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":695,\"x\":606,\"h\":459,\"i\":\"es-drager-1731636172470-5\",\"y\":497,\"orderNum\":0,\"pageCompId\":\"1017225681378529280\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":690,\"x\":610,\"h\":385,\"i\":\"es-drager-1731636518160-9\",\"y\":968,\"orderNum\":0,\"pageCompId\":\"1017225681424666624\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":543,\"x\":41,\"h\":385,\"i\":\"es-drager-1731636444637-8\",\"y\":968,\"orderNum\":0,\"pageCompId\":\"1017225681441443840\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":543,\"x\":1311,\"h\":455,\"i\":\"es-drager-1731636204058-6\",\"y\":501,\"orderNum\":0,\"pageCompId\":\"1017225681454026752\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":688,\"x\":437,\"h\":385,\"i\":\"es-drager-1731635819511-1\",\"y\":96,\"orderNum\":0,\"pageCompId\":\"1017225681470803968\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":350,\"x\":1512.5302491103203,\"h\":385,\"i\":\"es-drager-1731635884970-3\",\"y\":97.09964412811388,\"orderNum\":0,\"pageCompId\":\"1017225681495969792\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":360,\"x\":1139.5302491103203,\"h\":385,\"i\":\"es-drager-1731635842921-2\",\"y\":93.09964412811388,\"orderNum\":0,\"pageCompId\":\"1017225681512747008\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":588,\"x\":710,\"h\":71,\"i\":\"93d57e1f-efe0-41d8-a970-cca353e07913\",\"y\":5,\"orderNum\":0,\"pageCompId\":\"1017225681525329920\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JFlashCloud\",\"visible\":true,\"w\":321,\"x\":77.53024911032026,\"h\":333,\"i\":\"60e1c0cf-8ed5-4069-8d45-4422daddd4fa\",\"y\":107.09964412811388,\"orderNum\":0,\"pageCompId\":\"1017225681588244480\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JGender\",\"visible\":true,\"w\":341,\"x\":1147,\"h\":284,\"i\":\"b704fde0-b83b-43c9-812f-00669da4fd26\",\"y\":130,\"orderNum\":0,\"pageCompId\":\"1017225681609216000\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JWeatherForecast\",\"visible\":true,\"w\":257,\"x\":1536.5302491103203,\"h\":47,\"i\":\"962e8a41-52bc-486b-8bac-a4d2bede7b60\",\"y\":239.09964412811385,\"orderNum\":0,\"pageCompId\":\"1017225681621798912\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JNegativeBar\",\"visible\":true,\"w\":515,\"x\":63,\"h\":429,\"i\":\"6f636ad2-1e9a-43ae-aa23-79e4066a5f09\",\"y\":511,\"orderNum\":0,\"pageCompId\":\"1017225681634381824\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JFlashList\",\"visible\":true,\"w\":498,\"x\":1353,\"h\":300,\"i\":\"70f4698c-332c-4278-aabe-fbfa06900b68\",\"y\":556,\"orderNum\":0,\"pageCompId\":\"1017225681655353344\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JPictorialBar\",\"visible\":true,\"w\":516,\"x\":55,\"h\":334,\"i\":\"56271f7e-e085-4bdc-81da-1223af3d1ba2\",\"y\":996,\"orderNum\":0,\"pageCompId\":\"1017225681676324864\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDevHistory\",\"visible\":true,\"w\":661,\"x\":620,\"h\":300,\"i\":\"21224e76-d6fe-4600-a16d-ae6e7f55bfbc\",\"y\":991,\"orderNum\":0,\"pageCompId\":\"1017225681697296384\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JRotatePie\",\"visible\":true,\"w\":450,\"x\":1345,\"h\":300,\"i\":\"3b9b8918-5afa-4bb9-83a7-d8b6d87338e3\",\"y\":1012,\"orderNum\":0,\"pageCompId\":\"1017225681714073600\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JColorBlock\",\"visible\":true,\"w\":1865,\"x\":23,\"h\":110,\"i\":\"d7661f3f-303c-4110-8128-32be407275a3\",\"y\":1389,\"orderNum\":0,\"pageCompId\":\"1017225681726656512\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":350,\"x\":58.09964412811388,\"h\":385,\"i\":\"30152f09-985b-4d7f-82a7-1d78251f1c2a\",\"y\":91,\"orderNum\":0,\"pageCompId\":\"1017225681743433728\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":545,\"x\":43,\"h\":468,\"i\":\"es-drager-1731635997743-4\",\"y\":492,\"orderNum\":0,\"pageCompId\":\"1017225681764405248\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":541,\"x\":1311,\"h\":379,\"i\":\"es-drager-1731636613880-10\",\"y\":972,\"orderNum\":0,\"pageCompId\":\"1017225681781182464\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JRectangle\",\"visible\":true,\"w\":662,\"x\":447,\"h\":364,\"i\":\"bbfdcef5-a32d-4d15-8f12-d7a4d5016e68\",\"y\":102,\"orderNum\":0,\"pageCompId\":\"1017225681793765376\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JPyramid3D\",\"visible\":true,\"w\":678,\"x\":625,\"h\":438,\"i\":\"014b738b-9fc6-49ca-8d27-a029b89f2dc0\",\"y\":511,\"orderNum\":0,\"pageCompId\":\"1017225681810542592\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":1878,\"x\":9,\"h\":130,\"i\":\"16e26ff8-0039-4ae7-a2c3-4b4a97e44e8b\",\"y\":1365,\"orderNum\":0,\"pageCompId\":\"1017225681823125504\",\"selected\":false}]', '', '0', '1', 'admin', '2024-11-14 18:58:29', 'admin', '2024-11-15 10:18:32', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1016994272231608320', '旅游数据分析中心大屏', '/drag/page/view/1016994272231608320', '#1E0047', '/img/bg/bg1.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080}', '[{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":801,\"x\":550,\"h\":926,\"i\":\"es-drager-1731642710947-12\",\"y\":128,\"orderNum\":300,\"pageCompId\":\"1021960592459091968\",\"componentName\":\"边框1\"},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":488,\"x\":20,\"h\":926,\"i\":\"5427a7d4-3c10-425f-a059-ecadd99cf9e0\",\"y\":127,\"orderNum\":300,\"pageCompId\":\"1021960592501035008\",\"componentName\":\"边框1\"},{\"compTextName\":\"\",\"component\":\"JDragBorder\",\"visible\":true,\"w\":507,\"x\":1398,\"h\":926,\"i\":\"es-drager-1731642738303-13\",\"y\":125,\"orderNum\":300,\"pageCompId\":\"1021960592526200832\",\"componentName\":\"边框1\"},{\"visible\":true,\"h\":88,\"i\":\"3ec5db86-1dc8-4fc1-84c0-e7db4e7934bd\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":636,\"x\":673,\"y\":13,\"pageCompId\":\"1021960592555560960\",\"componentName\":\"文本\",\"key\":\"b992d9d0-a169-4750-8b85-043a6db79675\"},{\"visible\":true,\"h\":39,\"i\":\"03c0a8d6-e38b-4b37-8158-d048079be048\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":139,\"x\":35,\"y\":139,\"pageCompId\":\"1021960592568143872\",\"componentName\":\"文本\",\"key\":\"08550975-dab7-48f8-8323-f12b93b7d579\"},{\"visible\":true,\"h\":74,\"i\":\"a2f9a2bc-f6cc-4811-add1-aa48cd7d499e\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JImg\",\"w\":91,\"x\":93.53557015642195,\"y\":202.6610746089451,\"pageCompId\":\"1021960592584921088\",\"componentName\":\"图片\",\"key\":\"233b45a6-858d-4486-9fb7-1c70503502c0\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638452515-1\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":171,\"x\":47,\"y\":344,\"pageCompId\":\"1021960592601698304\",\"componentName\":\"文本\",\"key\":\"03718e74-b30f-44e9-873d-75eacf011834\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638457909-2\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":231,\"x\":44,\"y\":650,\"pageCompId\":\"1021960592622669824\",\"componentName\":\"文本\",\"key\":\"9db0eb47-7974-4f3f-8c87-e761eba17b8d\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638464024-3\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":200,\"x\":576,\"y\":136,\"pageCompId\":\"1021960592647835648\",\"componentName\":\"文本\",\"key\":\"ddacdb15-4f7f-4417-91f5-e2195199ed2f\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638496760-4\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":212,\"x\":1079,\"y\":140,\"pageCompId\":\"1021960592664612864\",\"componentName\":\"文本\",\"key\":\"d064d0b9-1470-4d35-9fc4-c4b88efe63bd\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638502084-5\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":267,\"x\":1427,\"y\":144,\"pageCompId\":\"1021960592681390080\",\"componentName\":\"文本\",\"key\":\"d4a88ee7-5091-4b8b-80f4-395b5af94a13\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638509763-6\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":205,\"x\":1409,\"y\":309,\"pageCompId\":\"1021960592706555904\",\"componentName\":\"文本\",\"key\":\"f115414b-da0c-4606-9ecd-af9d464cd4a5\"},{\"visible\":true,\"h\":39,\"i\":\"es-drager-1731638514808-7\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":192,\"x\":1431,\"y\":678,\"pageCompId\":\"1021960592735916032\",\"componentName\":\"文本\",\"key\":\"b91f0e67-d931-49ab-98ce-43bbdf1f6c97\"},{\"visible\":true,\"h\":100,\"i\":\"1f05d4e8-af8b-43b9-bb80-0a1e803c9407\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"w\":443,\"x\":23,\"y\":16,\"pageCompId\":\"1021960592765276160\",\"componentName\":\"装饰1\",\"key\":\"053b7c8f-4c72-4230-a5f7-5eb46acce4e0\"},{\"visible\":true,\"h\":47,\"i\":\"16f505ae-dcc8-4329-841f-6816ed0f79fa\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JWeatherForecast\",\"w\":257,\"x\":202,\"y\":184,\"pageCompId\":\"1021960592786247680\",\"componentName\":\"滚动版\",\"key\":\"bf67a1de-364e-416a-88ff-ad9db3df8f5f\"},{\"visible\":true,\"h\":33,\"i\":\"1eb7afb8-829c-4ba6-a539-0b76f843d185\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JCurrentTime\",\"w\":270,\"x\":183,\"y\":238,\"pageCompId\":\"1021960592807219200\",\"componentName\":\"当前时间\",\"key\":\"e7bf2eb6-d0d3-4427-851c-4b6f7620d152\"},{\"visible\":true,\"h\":47,\"i\":\"9c8ccf30-2db6-4f5b-9a47-358748ce0077\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"w\":383,\"x\":74,\"y\":291,\"pageCompId\":\"1021960592844967936\",\"componentName\":\"装饰1\",\"key\":\"9f5b9308-ee8f-4a10-8bf5-74de1bd272fa\"},{\"visible\":true,\"h\":300,\"i\":\"e1437091-ec46-455b-851a-1b2262c9b427\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JLine\",\"w\":488,\"x\":31,\"y\":699,\"pageCompId\":\"1021960592861745152\",\"componentName\":\"基础折线图\",\"key\":\"c371e000-99f4-43c6-b660-5cd19ec59887\"},{\"visible\":true,\"h\":41,\"i\":\"es-drager-1731638963126-8\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"w\":396,\"x\":55,\"y\":607,\"pageCompId\":\"1021960592878522368\",\"componentName\":\"装饰1\",\"key\":\"bf2601e8-d445-49a6-a52d-9738278d633f\"},{\"visible\":true,\"h\":245,\"i\":\"ae124c04-e6d8-443b-9ddb-cb99c21300ed\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JGender\",\"w\":317,\"x\":98,\"y\":393,\"pageCompId\":\"1021960592899493888\",\"componentName\":\"男女占比\",\"key\":\"02cb5192-9972-4517-b00e-1382685803d2\"},{\"visible\":true,\"h\":100,\"i\":\"da3036d0-e3b7-4a05-a229-0d05389e7370\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"w\":604,\"x\":1326,\"y\":10,\"pageCompId\":\"1021960592941436928\",\"componentName\":\"装饰1\",\"key\":\"1712efe4-3815-46e2-aae4-2d08183b3e36\"},{\"visible\":true,\"h\":142,\"i\":\"c4fbcf36-1a87-499b-b0cb-46a26a2c2f5b\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JCountTo\",\"w\":712,\"x\":582,\"y\":218,\"pageCompId\":\"1021960592958214144\",\"componentName\":\"翻牌器\",\"key\":\"e4805388-607c-48a1-8b04-7ad672938721\"},{\"visible\":true,\"h\":527,\"i\":\"edd9d638-3fee-4e3e-84b4-9599bdc25a00\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JBubbleMap\",\"w\":718,\"x\":585,\"y\":393,\"pageCompId\":\"1021960592991768576\",\"componentName\":\"散点地图\",\"key\":\"07e69455-5f45-4b5a-874b-db3adf6a800b\"},{\"compTextName\":\"\",\"component\":\"JImg\",\"visible\":true,\"w\":54,\"x\":1451,\"h\":51,\"i\":\"5d6a9f04-f23e-493c-8825-59b784cef860\",\"y\":192,\"orderNum\":0,\"pageCompId\":\"1021960593008545792\",\"componentName\":\"图片\"},{\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"visible\":true,\"w\":406,\"x\":1445,\"h\":47,\"i\":\"es-drager-1731641087446-9\",\"y\":247,\"orderNum\":0,\"pageCompId\":\"1021960593029517312\",\"componentName\":\"装饰1\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":134,\"x\":1524,\"h\":33,\"i\":\"3716ccfd-c753-400e-80ba-37d73732e967\",\"y\":199,\"orderNum\":300,\"pageCompId\":\"1021960593063071744\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":true,\"w\":128,\"x\":1678,\"h\":45,\"i\":\"es-drager-1731641329682-10\",\"y\":189,\"orderNum\":300,\"pageCompId\":\"1021960593079848960\",\"componentName\":\"文本\"},{\"compTextName\":\"\",\"component\":\"JRing\",\"visible\":true,\"w\":436,\"x\":1446,\"h\":300,\"i\":\"1fc939b3-3b6b-4d09-9c4e-cd37292f7ac5\",\"y\":334,\"orderNum\":300,\"pageCompId\":\"1021960593096626176\",\"componentName\":\"饼状环形图\"},{\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"visible\":true,\"w\":421,\"x\":1435,\"h\":47,\"i\":\"es-drager-1731642551406-11\",\"y\":617,\"orderNum\":0,\"pageCompId\":\"1021960593121792000\",\"componentName\":\"装饰1\"},{\"compTextName\":\"\",\"component\":\"JCapsuleChart\",\"visible\":true,\"w\":450,\"x\":1427,\"h\":300,\"i\":\"37fa8779-2081-4f35-83ef-797ff9ddcce0\",\"y\":728,\"orderNum\":300,\"pageCompId\":\"1021960593138569216\",\"componentName\":\"胶囊图\"}]', '', '0', '1', 'admin', '2024-11-14 18:59:00', 'admin', '2024-11-28 11:53:23', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1016994412900175872', '收视监控平台', '/drag/page/view/1016994412900175872', '#1E0047', '/img/bg/bg18.jpg', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":2000}', '[{\"visible\":true,\"h\":52,\"i\":\"ae56fe51-65d1-4866-9789-f9229289964f\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":376,\"x\":779,\"y\":27,\"pageCompId\":\"1017286463101390848\",\"selected\":false,\"key\":\"33c6ecba-c0f5-46f2-9323-aab43e87eb63\"},{\"visible\":true,\"h\":45,\"i\":\"8ce1a978-3664-41d4-8d80-1b8f81deee0a\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JText\",\"w\":382,\"x\":774,\"y\":107,\"pageCompId\":\"1017286463134945280\",\"selected\":false,\"key\":\"936bc496-c82b-46b1-bc19-a9ee91929452\"},{\"visible\":true,\"h\":78,\"i\":\"04048a06-cefb-4dcd-ac0c-004da0229a9e\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JDragDecoration\",\"w\":403,\"x\":10,\"y\":52,\"pageCompId\":\"1017286463160111104\",\"selected\":false,\"key\":\"6cc237a4-89ad-4718-83c4-feb0b9a14ef9\"},{\"visible\":true,\"h\":33,\"i\":\"f69ec49c-ff6d-40f6-bcff-06a2d6742751\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JCurrentTime\",\"w\":270,\"x\":1629,\"y\":20,\"pageCompId\":\"1017286463176888320\",\"selected\":false,\"key\":\"1ac1bf52-506c-4d5b-95da-52f907854017\"},{\"visible\":true,\"h\":61,\"i\":\"5094172c-0de1-4f5d-84d8-fff43811bba5\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JImg\",\"w\":93,\"x\":1558,\"y\":10,\"pageCompId\":\"1017286463185276928\",\"selected\":false,\"key\":\"dd9f7e52-86bc-4fcb-8bb2-bbd62e1a7546\"},{\"visible\":true,\"h\":59,\"i\":\"3d154544-9fab-4177-8fa8-dce02ccf8b5e\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JWeatherForecast\",\"w\":267,\"x\":1635,\"y\":59,\"pageCompId\":\"1017286463202054144\",\"selected\":false,\"key\":\"375983aa-1c1b-4cd0-8d68-a67e55588edc\"},{\"visible\":true,\"h\":441,\"i\":\"9fe7eb28-0157-48ca-8535-34760368e2d7\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JDragBorder\",\"w\":599,\"x\":79,\"y\":190,\"pageCompId\":\"1017286463223025664\",\"selected\":false,\"key\":\"51cc5aff-ade9-40ef-9a31-891cc4779213\"},{\"visible\":true,\"h\":445,\"i\":\"es-drager-1731648824951-1\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JDragBorder\",\"w\":582,\"x\":699,\"y\":189,\"pageCompId\":\"1017286463235608576\",\"selected\":false,\"key\":\"8c08e246-f373-45e7-84cb-896b3c19c248\"},{\"visible\":true,\"h\":450,\"i\":\"es-drager-1731648851843-2\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JDragBorder\",\"w\":589,\"x\":1297,\"y\":187,\"pageCompId\":\"1017286463248191488\",\"selected\":false,\"key\":\"71fe25a3-4299-42c7-8a96-2415747940c9\"},{\"visible\":true,\"h\":405,\"i\":\"22aae23c-029e-456e-a1ac-0936cbfa6b6b\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JVideoJs\",\"w\":568,\"x\":93,\"y\":207,\"pageCompId\":\"1017286463260774400\",\"selected\":false,\"key\":\"41da84ee-4ced-4414-af4c-acbf4cf2232c\"},{\"visible\":true,\"h\":416,\"i\":\"9d1f25e6-5446-4f78-90c6-7f9bd674b058\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JVideoJs\",\"w\":560,\"x\":707,\"y\":201,\"pageCompId\":\"1017286463281745920\",\"selected\":false,\"key\":\"864aa918-532c-4407-9bb0-2e2041ae53f7\"},{\"visible\":true,\"h\":433,\"i\":\"85841a8f-e6cd-479a-9ba8-c36497b4e912\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JVideoJs\",\"w\":570,\"x\":1306,\"y\":194,\"pageCompId\":\"1017286463294328832\",\"selected\":false,\"key\":\"8f12407a-94af-46c1-bd13-1e28fcbfaee0\"},{\"visible\":true,\"h\":56,\"i\":\"b0c4361a-0dfb-4575-88cb-edb593d4e120\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JText\",\"w\":262,\"x\":81,\"y\":666,\"pageCompId\":\"1017286463311106048\",\"selected\":false,\"key\":\"245b1381-54f5-40fd-9475-e34e41587f37\"},{\"visible\":true,\"h\":417,\"i\":\"3ca04b91-c734-42b9-8eea-93dad3b04a7e\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JDragBorder\",\"w\":1790,\"x\":70,\"y\":747,\"pageCompId\":\"1017286463319494656\",\"selected\":false,\"key\":\"5627d105-4546-4692-abcd-42f2e61c3e45\"},{\"visible\":true,\"h\":335,\"i\":\"236cba9d-2c70-407e-8013-ee37e3d5d124\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JMultipleLine\",\"w\":485,\"x\":109,\"y\":797,\"pageCompId\":\"1017286463332077568\",\"selected\":false,\"key\":\"644ef67f-0b41-4cb5-8cc5-1cac198d745f\"},{\"visible\":true,\"h\":335,\"i\":\"es-drager-1731649759290-3\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JMultipleLine\",\"w\":485,\"x\":704,\"y\":797,\"pageCompId\":\"1017286463357243392\",\"selected\":false,\"key\":\"f92fba2e-d9c4-4e38-901d-d947f542e17b\"},{\"visible\":true,\"h\":335,\"i\":\"es-drager-1731649765690-4\",\"orderNum\":300,\"compTextName\":\"\",\"component\":\"JMultipleLine\",\"w\":485,\"x\":1292,\"y\":793,\"pageCompId\":\"1017286463369826304\",\"selected\":false,\"key\":\"3c1ab904-3923-4a51-80c5-d355c8516333\"},{\"visible\":true,\"h\":80,\"i\":\"3f014db1-34fe-41b7-bdff-ab4a23a7d6f6\",\"orderNum\":108,\"compTextName\":\"\",\"component\":\"JSelectRadio\",\"w\":400,\"x\":62,\"y\":7,\"pageCompId\":\"1017286463382409216\",\"selected\":false,\"key\":\"1fef29d3-cad8-4248-84d3-a778f7f1b389\"},{\"visible\":false,\"h\":351,\"i\":\"26735d51-f628-4ec6-8886-0ede0a7443af\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JVideoPlay\",\"w\":516,\"x\":121,\"y\":236,\"pageCompId\":\"1017286463394992128\",\"selected\":false,\"key\":\"861f9c1d-d8dc-418a-a8c6-19f9c8d3a7e1\"},{\"visible\":false,\"h\":361,\"i\":\"es-drager-1731650783569-1\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JVideoPlay\",\"w\":518,\"x\":730,\"y\":226,\"pageCompId\":\"1017286463411769344\",\"selected\":false,\"key\":\"9daa119e-566a-4c34-8643-49334e77701c\"},{\"visible\":false,\"h\":378,\"i\":\"es-drager-1731650792607-2\",\"orderNum\":0,\"compTextName\":\"\",\"component\":\"JVideoPlay\",\"w\":521,\"x\":1329,\"y\":222,\"pageCompId\":\"1017286463436935168\",\"selected\":false,\"key\":\"75211ac2-b0de-45bf-87ae-f84c8a712368\"},{\"compTextName\":\"\",\"component\":\"JBubble\",\"visible\":false,\"w\":851,\"x\":106,\"h\":360,\"i\":\"3acfc295-ea6d-4e16-83fd-bfd8d9022d8d\",\"y\":784,\"orderNum\":0,\"pageCompId\":\"1017286463449518080\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JText\",\"visible\":false,\"w\":268,\"x\":1037,\"h\":63,\"i\":\"f499c09e-61cc-40f1-8496-d57d2f98f82c\",\"y\":752,\"orderNum\":300,\"pageCompId\":\"1017286463462100992\",\"selected\":false},{\"compTextName\":\"\",\"component\":\"JRing\",\"visible\":false,\"w\":666,\"x\":944,\"h\":385,\"i\":\"a82c61b6-4287-422a-b8e7-1cb34d17859a\",\"y\":794,\"orderNum\":300,\"pageCompId\":\"1017286463478878208\",\"selected\":false}]', '', '0', '1', 'admin', '2024-11-14 18:59:33', 'admin', '2024-11-15 14:20:03', NULL, 3, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1028452982650404864', '111', '/drag/page/view/1028452982650404864', NULL, '', 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JForm\",\"w\":24,\"moved\":false,\"x\":0,\"h\":12,\"i\":\"2fc7cea1-b0cb-4238-af48-e778176669c2\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"1038355269527105536\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"9ac6aa6a-4a8b-454b-a9f9-0454af9da0c7\",\"y\":12,\"orderNum\":12,\"pageCompId\":\"1038355269648740352\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"664499de-0e73-4392-ab74-393dd2236940\",\"y\":54,\"orderNum\":54,\"pageCompId\":\"1038355269661323264\"},{\"component\":\"JHorizontalBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":30,\"i\":\"d9d9ee23-0c0a-4d21-8f89-f48f063fa181\",\"y\":54,\"orderNum\":84,\"pageCompId\":\"1038355269678100480\"}]', '', '988299668956545024', '0', 'admin', '2024-12-16 09:51:49', 'admin', '2025-01-12 17:39:58', NULL, 1000, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1038355124454518784', '第一个', '/drag/page/view/1038355124454518784', '#1E0047', '/img/bg/bg4.png', 100, 'dark', 'bigScreen', NULL, '{\"width\":1920,\"height\":1080,\"waterMark\":{\"show\":false,\"content\":\"\",\"fontSize\":12,\"color\":\"#ffffff\",\"angle\":45},\"sysDefColor\":[{\"color\":\"#1e90ff\",\"color1\":\"#1e90ff\"},{\"color\":\"#90ee90\",\"color1\":\"#90ee90\"},{\"color\":\"#00ced1\",\"color1\":\"#00ced1\"},{\"color\":\"#e2bd84\",\"color1\":\"#e2bd84\"},{\"color\":\"#7a90e0\",\"color1\":\"#7a90e0\"},{\"color\":\"#3ba272\",\"color1\":\"#3ba272\"},{\"color\":\"#2be7ff\",\"color1\":\"#2be7ff\"},{\"color\":\"#0a8ada\",\"color1\":\"#0a8ada\"},{\"color\":\"#ffd700\",\"color1\":\"#ffd700\"}]}', '[{\"component\":\"JBubbleMap\",\"visible\":true,\"w\":450,\"x\":729,\"h\":360,\"i\":\"1b3009bd-bf09-41fa-84e2-4b90b20c4357\",\"y\":255,\"orderNum\":600,\"componentName\":\"散点地图\",\"pageCompId\":\"1038355182650486784\"},{\"component\":\"JScrollTable\",\"visible\":true,\"w\":450,\"x\":0,\"h\":300,\"i\":\"a479458a-2da8-4014-8f8c-d38963b7d5b0\",\"y\":300,\"orderNum\":300,\"componentName\":\"表格\",\"pageCompId\":\"1038355182679846912\"},{\"component\":\"JBar\",\"visible\":true,\"w\":450,\"x\":0,\"h\":300,\"i\":\"f455a98e-4df4-4095-90ec-cf77bd81551e\",\"y\":0,\"orderNum\":0,\"componentName\":\"基础柱形图\",\"pageCompId\":\"1038355182688235520\"}]', '', '0', '0', 'admin', '2025-01-12 17:39:24', 'admin', '2025-01-12 17:39:37', NULL, 1000, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1052103653559730176', 'online测试', '/drag/page/view/1052103653559730176', NULL, '', NULL, 'default', 'default', NULL, NULL, NULL, '', '988299668956545024', '0', 'admin', '2025-02-19 16:11:08', 'admin', '2025-02-19 16:11:08', NULL, 1000, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('1504359493847306242', '流程门户', '/drag/page/view/1504359493847306242', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"eoa-cms-apply-process\",\"w\":16,\"moved\":false,\"x\":0,\"h\":43,\"i\":\"ec47ccc3-fadb-4b4f-b156-be622e95a39f\",\"y\":59,\"pageCompId\":\"1526478613069701121\"},{\"component\":\"eoa-cms-comm-use\",\"w\":24,\"moved\":false,\"x\":0,\"h\":15,\"i\":\"7fb16df0-15dc-43c7-908e-7edb803cf1db\",\"y\":0,\"pageCompId\":\"1526478613174558721\"},{\"component\":\"eoa-cms-process-notice\",\"w\":8,\"moved\":false,\"x\":16,\"h\":44,\"i\":\"57eb306f-c556-4425-8966-ca315c83754a\",\"y\":15,\"pageCompId\":\"1526478613275222017\"},{\"component\":\"eoa-cms-my-process\",\"w\":16,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"6dbe85c8-a57a-4fa9-8223-c320ebb3aa38\",\"y\":15,\"pageCompId\":\"1526478613384273922\"},{\"component\":\"eoa-cms-user-notice\",\"w\":8,\"moved\":false,\"x\":16,\"h\":43,\"i\":\"62b1793a-de33-4196-81fd-d1476131cc92\",\"y\":59,\"pageCompId\":\"1526478613489131521\"},{\"component\":\"eoa-cms-process-chart\",\"w\":16,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"a0ad5cf9-81f8-415f-94d9-00ce57214192\",\"y\":102,\"pageCompId\":\"1526478613593989121\"},{\"component\":\"eoa-cms-process-type\",\"w\":8,\"moved\":false,\"x\":16,\"h\":36,\"i\":\"fbe20e5e-7aaa-4642-8368-28d2f2638cfd\",\"y\":102,\"pageCompId\":\"1526478613694652418\"},{\"component\":\"eoa-cms-email\",\"w\":16,\"moved\":false,\"x\":0,\"h\":48,\"i\":\"f7bd7396-b869-446b-8042-63871c77f05e\",\"y\":138,\"pageCompId\":\"1526478613803704322\"},{\"component\":\"eoa-cms-plan\",\"w\":8,\"moved\":false,\"x\":16,\"h\":48,\"i\":\"5a99de6c-8636-41be-8fe4-934bfce171f5\",\"y\":138,\"pageCompId\":\"1526478613904367618\"}]', '', '988299695309357056', '0', 'jeecg', '2022-03-17 15:30:28', 'admin', '2023-05-15 11:06:58', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1504364941187043329', '企业门户', '/drag/page/view/1504364941187043329', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"eoa-cms-banner\",\"w\":24,\"moved\":false,\"x\":0,\"h\":34,\"i\":\"43d3d2e3-7311-4714-bf93-8dd4a3984615\",\"y\":0,\"pageCompId\":\"1526476125109231618\"},{\"component\":\"eoa-cms-news-info\",\"w\":16,\"moved\":false,\"x\":0,\"h\":63,\"i\":\"e2b21502-d058-4cad-b16d-9a986ed1c1c4\",\"y\":34,\"pageCompId\":\"1526476125247643650\"},{\"component\":\"eoa-cms-user-notice\",\"w\":8,\"moved\":false,\"x\":16,\"h\":38,\"i\":\"1b834694-04df-491b-a734-aa38d70c1ed6\",\"y\":34,\"pageCompId\":\"1526476125352501250\"},{\"component\":\"eoa-cms-rule-info\",\"w\":9,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"fa29e703-60b0-43b5-a84e-ff92eb9188b5\",\"y\":97,\"pageCompId\":\"1526476125457358849\"},{\"component\":\"eoa-cms-sign-news\",\"w\":7,\"moved\":false,\"x\":9,\"h\":44,\"i\":\"5cd2720b-4ac9-4485-92a1-e77363883012\",\"y\":97,\"pageCompId\":\"1526476125562216450\"},{\"component\":\"eoa-cms-plan\",\"w\":8,\"moved\":false,\"x\":16,\"h\":49,\"i\":\"7bc89a6e-8a1e-4e5e-8aad-a59011bd7bd1\",\"y\":72,\"pageCompId\":\"1526476125667074049\"},{\"component\":\"eoa-cms-link\",\"w\":8,\"moved\":false,\"x\":16,\"h\":20,\"i\":\"5b7716a2-b0ab-4344-8a72-da53b5beb9f0\",\"y\":121,\"pageCompId\":\"1526476125771931649\"}]', '', '988299695309357056', '0', 'jeecg', '2022-03-17 15:52:06', 'admin', '2023-05-15 11:07:00', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1516742733803323394', '示例_统计近十日的登陆次数', '/drag/page/view/1516742733803323394', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JTabs\",\"w\":24,\"moved\":false,\"x\":0,\"h\":49,\"i\":\"2a745b71-b463-401e-895a-8067ea72830b\",\"y\":0,\"pageCompId\":\"826049694035705856\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":49,\"i\":\"952b9508-df94-4612-abd8-69ca24157572\",\"y\":49,\"pageCompId\":\"826049694119591936\"}]', '', '988299668956545024', '0', 'admin', '2022-04-20 19:37:02', 'admin', '2023-06-06 21:13:25', NULL, NULL, 2, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1516747539813007362', '示例_项目性质收入统计JSON', '/drag/page/view/1516747539813007362', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"a2ada7ba-ff55-4d2c-ba1b-10eb3c04b5f7\",\"y\":0,\"pageCompId\":\"1517018288431857665\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"195569f9-8bd3-4e8f-892a-f81f60a25ba8\",\"y\":0,\"pageCompId\":\"1517018288566075393\"},{\"component\":\"JLine\",\"w\":24,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"5cde89e3-1174-4a95-8385-065c1ee1a22d\",\"y\":42,\"pageCompId\":\"1517018288670932994\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":48,\"i\":\"2ed05f21-e822-4c4e-8657-02edb10b1cca\",\"y\":86,\"pageCompId\":\"1517018288775790593\"}]', '', '0', '1', 'admin', '2022-04-20 19:56:08', 'admin', '2023-05-15 11:07:40', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1517018517935783937', '示例_项目性质收入统计SQL', '/drag/page/view/1517018517935783937', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JTabs\",\"w\":24,\"moved\":false,\"x\":0,\"h\":56,\"i\":\"19dd2a57-e10d-418b-8146-cd30de6e9aea\",\"y\":0,\"pageCompId\":\"1524663379220791297\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":48,\"i\":\"e9e93d41-076f-436a-b466-3c327478e94d\",\"y\":56,\"pageCompId\":\"1524663379359203329\"}]', '', '0', '1', 'admin', '2022-04-21 13:52:54', 'admin', '2022-05-12 16:10:51', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1517062686729338882', '示例_年龄占比API', '/drag/page/view/1517062686729338882', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JLine\",\"w\":13,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"503ecff5-5f00-4188-90f7-227f5847b895\",\"y\":0,\"pageCompId\":\"1517064663387373570\"},{\"component\":\"JRing\",\"w\":11,\"moved\":false,\"x\":13,\"h\":44,\"i\":\"5a72ce0b-838d-4777-838a-1a0505ef8394\",\"y\":0,\"pageCompId\":\"1517064663563534337\"},{\"component\":\"JFunnel\",\"w\":13,\"moved\":false,\"x\":0,\"h\":49,\"i\":\"39790ea2-63de-41b4-957b-5a51b7e11f29\",\"y\":44,\"pageCompId\":\"1517064663664197634\"},{\"component\":\"JCommonTable\",\"w\":11,\"moved\":false,\"x\":13,\"h\":49,\"i\":\"9c1f12e1-d71d-4a12-b601-d6730fcd0223\",\"y\":44,\"pageCompId\":\"1517064663798415361\"}]', '', '0', '1', 'admin', '2022-04-21 16:48:25', 'admin', '2022-04-21 16:56:16', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1517067453027352578', '示例_查询_联动', '/drag/page/view/1517067453027352578', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JForm\",\"w\":24,\"moved\":false,\"x\":0,\"h\":12,\"i\":\"d83aab3e-fb0e-4f5a-8c04-3b870e7d0cdd\",\"y\":0,\"pageCompId\":\"811451560194256896\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"79f3e507-d7ab-4cd5-9402-ca5b41086a73\",\"y\":12,\"pageCompId\":\"811451560223617024\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"95f190fb-69cc-4dc7-8f4c-b9f33460ad60\",\"y\":12,\"pageCompId\":\"811451560236199936\"},{\"component\":\"JLine\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"a7de05b4-3eab-40ce-bb95-39d650ea3c1b\",\"y\":54,\"pageCompId\":\"811451560252977152\"},{\"component\":\"JProgress\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"9e46a297-752b-40bc-95c7-d28f87ce7cd5\",\"y\":54,\"pageCompId\":\"811451560269754368\"}]', '', '0', '1', 'admin', '2022-04-21 17:07:21', 'admin', '2023-04-27 14:25:38', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1519992838245441538', '示例_钻取', '/drag/page/view/1519992838245441538', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"c801a065-ca40-4095-8d27-6cf722deb09e\",\"y\":0,\"pageCompId\":\"1519994699446870018\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"58236f99-4803-4a3c-ad39-e83949270517\",\"y\":0,\"pageCompId\":\"1519994699518173186\"}]', '', '0', '1', 'jeecg', '2022-04-29 18:51:47', 'jeecg', '2022-04-29 18:59:11', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522121177760280578', '示例_医院综合数据统计', '/drag/page/view/1522121177760280578', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JText\",\"w\":9,\"moved\":false,\"x\":8,\"h\":8,\"i\":\"5df901ff-2237-4aaf-91b2-74eb9103dc09\",\"y\":0,\"pageCompId\":\"1523906947722629122\"},{\"component\":\"JStackBar\",\"w\":8,\"moved\":false,\"x\":0,\"h\":37,\"i\":\"35c97a7b-966d-4124-8589-9ad9175085e2\",\"y\":0,\"pageCompId\":\"1523906947861041153\"},{\"component\":\"JArea\",\"w\":7,\"moved\":false,\"x\":17,\"h\":25,\"i\":\"f9936af9-9347-4ea2-8fda-4eef38fc2851\",\"y\":35,\"pageCompId\":\"1523906947932344321\"},{\"component\":\"JBar\",\"w\":8,\"moved\":false,\"x\":0,\"h\":29,\"i\":\"94f35443-fdf7-462c-8ed1-5eff21f41624\",\"y\":37,\"pageCompId\":\"1523906948037201921\"},{\"component\":\"JColorGauge\",\"w\":4,\"moved\":false,\"x\":0,\"h\":27,\"i\":\"6685b078-9067-42a5-a14d-9037dbe12131\",\"y\":66,\"pageCompId\":\"1523906948108505089\"},{\"component\":\"JColorGauge\",\"w\":4,\"moved\":false,\"x\":4,\"h\":27,\"i\":\"1e968150-d9d6-411b-833d-f95b231ae4ad\",\"y\":66,\"pageCompId\":\"1523906948179808258\"},{\"component\":\"JPie\",\"w\":7,\"moved\":false,\"x\":17,\"h\":32,\"i\":\"cbc6855a-1bc5-403b-be2d-76af53b1eb40\",\"y\":60,\"pageCompId\":\"1523906948246917122\"},{\"component\":\"JLine\",\"w\":7,\"moved\":false,\"x\":17,\"h\":35,\"i\":\"cc1dde8c-c064-438c-96a2-82a70bcb6815\",\"y\":0,\"pageCompId\":\"1523906948351774722\"},{\"component\":\"JRing\",\"w\":9,\"moved\":false,\"x\":8,\"h\":34,\"i\":\"ac652ca3-c956-4e0b-8dc3-b1407f4d8f5c\",\"y\":24,\"pageCompId\":\"1523906948423077889\"},{\"component\":\"JFunnel\",\"w\":9,\"moved\":false,\"x\":8,\"h\":34,\"i\":\"142fe7cf-1e45-4c52-9e6b-625bdf16d002\",\"y\":58,\"pageCompId\":\"1523906948490186754\"},{\"component\":\"JGrowCard\",\"w\":9,\"moved\":false,\"x\":8,\"h\":16,\"i\":\"3d9d75ff-99f5-49da-b16e-88447705dcc3\",\"y\":8,\"pageCompId\":\"1523906948561489921\"}]', '', '0', '1', 'admin', '2022-05-05 15:49:03', 'admin', '2022-05-10 14:05:04', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522172834409885698', '示例_智慧社区', '/drag/page/view/1522172834409885698', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JText\",\"w\":10,\"moved\":false,\"x\":7,\"h\":7,\"i\":\"a027c162-fc08-430b-aaca-428a40bf6757\",\"y\":0,\"pageCompId\":\"1524661142020980737\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"08290325-ab4c-4637-9533-50bb9ce0e92b\",\"y\":0,\"pageCompId\":\"1524661142121644034\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"543590d0-763e-4871-8c8b-72258b10f68e\",\"y\":6,\"pageCompId\":\"1524661142226501634\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"6253853a-75fb-42b4-ad93-b94cdd66b2c0\",\"y\":12,\"pageCompId\":\"1524661142331359233\"},{\"component\":\"JPie\",\"w\":7,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"a20e09ed-a2db-4b0b-8c9a-e745eb747378\",\"y\":17,\"pageCompId\":\"1524661142436216833\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"64040039-455f-47c8-800e-f6061af70451\",\"y\":53,\"pageCompId\":\"1524661142541074433\"},{\"component\":\"JCommonTable\",\"w\":7,\"moved\":false,\"x\":0,\"h\":43,\"i\":\"485ad866-aeae-4137-8227-bef27c9275b0\",\"y\":59,\"pageCompId\":\"1524661142645932033\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":17,\"h\":5,\"i\":\"aa8f5bac-5cdd-484b-b7ec-145b34119d94\",\"y\":0,\"pageCompId\":\"1524661142750789634\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":17,\"h\":5,\"i\":\"cd378afa-20ce-4d37-abcd-9b73af9bd70a\",\"y\":35,\"pageCompId\":\"1524661142855647234\"},{\"component\":\"JText\",\"w\":7,\"moved\":false,\"x\":17,\"h\":5,\"i\":\"0b9d4f60-d3a2-43bd-a444-2378974cbac0\",\"y\":69,\"pageCompId\":\"1524661142960504833\"},{\"component\":\"JLine\",\"w\":7,\"moved\":false,\"x\":17,\"h\":28,\"i\":\"a88af204-bba2-48e0-857a-056f77a62838\",\"y\":74,\"pageCompId\":\"1524661143065362433\"},{\"component\":\"JBar\",\"w\":7,\"moved\":false,\"x\":17,\"h\":29,\"i\":\"fc62f6b2-54b2-42fb-ac49-730a458365f7\",\"y\":40,\"pageCompId\":\"1524661143170220033\"},{\"component\":\"JRing\",\"w\":7,\"moved\":false,\"x\":17,\"h\":30,\"i\":\"a0fd33e9-ad35-4f54-8f1c-15e6d6a0e1a8\",\"y\":5,\"pageCompId\":\"1524661143275077633\"},{\"component\":\"JGauge\",\"w\":10,\"moved\":false,\"x\":7,\"h\":30,\"i\":\"a65c5a00-3a09-488e-8ed7-957c37c74ec5\",\"y\":7,\"pageCompId\":\"1524661143379935234\"},{\"component\":\"JColorGauge\",\"w\":10,\"moved\":false,\"x\":7,\"h\":31,\"i\":\"0633a426-0e0a-4b4d-9813-575166ab382e\",\"y\":37,\"pageCompId\":\"1524661143518347265\"},{\"component\":\"JStackBar\",\"w\":10,\"moved\":false,\"x\":7,\"h\":34,\"i\":\"0be25d6b-60e4-40a3-8af2-637bab222491\",\"y\":68,\"pageCompId\":\"1524661143660953602\"}]', '', '0', '1', 'admin', '2022-05-05 19:14:19', 'admin', '2022-05-12 16:01:58', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522417428246568961', '示例_乡村振兴普惠金融服务', '/drag/page/view/1522417428246568961', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"62cb9a5f-eb84-4f74-8e35-3fa54fd867f0\",\"y\":8,\"pageCompId\":\"1522524336454377473\"},{\"component\":\"JText\",\"w\":6,\"moved\":false,\"x\":0,\"h\":8,\"i\":\"7e21b964-9332-4348-b36e-30314b6f92c2\",\"y\":0,\"pageCompId\":\"1522524336693452802\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"1edb6c33-8eb8-4f22-8711-55aef46767d7\",\"y\":8,\"pageCompId\":\"1522524336823476225\"},{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"f4d32efe-0cff-4845-8c38-bde3fdb0657c\",\"y\":13,\"pageCompId\":\"1522524336903168002\"},{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"6b640017-ec02-407e-87d3-35b4da262384\",\"y\":18,\"pageCompId\":\"1522524336974471169\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"f64eb1a5-faec-4b42-8490-88cddf20669b\",\"y\":13,\"pageCompId\":\"1522524337066745858\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"402b8a18-951c-4bd0-b817-17b75d18cbd2\",\"y\":18,\"pageCompId\":\"1522524337146437633\"},{\"component\":\"JCommonTable\",\"w\":14,\"moved\":false,\"x\":0,\"h\":43,\"i\":\"aafe3aec-5265-4769-8ba3-c3f693287100\",\"y\":38,\"pageCompId\":\"1522524337251295233\"},{\"component\":\"JLine\",\"w\":10,\"moved\":false,\"x\":14,\"h\":29,\"i\":\"ba474f88-f06a-4459-adc0-53929c564e5f\",\"y\":0,\"pageCompId\":\"1522524337356152834\"},{\"component\":\"JBar\",\"w\":10,\"moved\":false,\"x\":14,\"h\":28,\"i\":\"88f93cd9-3a51-42aa-9a11-6edf685a5db9\",\"y\":29,\"pageCompId\":\"1522524337461010433\"},{\"component\":\"JPie\",\"w\":10,\"moved\":false,\"x\":14,\"h\":24,\"i\":\"4e7bb9d5-72c2-4f21-85cb-0f6289d9099e\",\"y\":57,\"pageCompId\":\"1522524337565868034\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"53d91193-8d89-4291-be1b-cc6e43ef1bf9\",\"y\":23,\"pageCompId\":\"1522524337670725634\"},{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"e04f860d-3355-4ce2-8ad7-c7597f7365e2\",\"y\":23,\"pageCompId\":\"1522524337742028802\"},{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"e52f5ced-8159-46e6-8a60-7349e9eb26b9\",\"y\":28,\"pageCompId\":\"1522524337813331969\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"b6d236f0-827a-4b32-a556-e85fe44e7df1\",\"y\":28,\"pageCompId\":\"1522524337884635138\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":1,\"h\":5,\"i\":\"018f02bb-eb4b-43f3-a98e-9a712681bb26\",\"y\":33,\"pageCompId\":\"1522524337951744001\"},{\"component\":\"JImg\",\"w\":1,\"moved\":false,\"x\":0,\"h\":5,\"i\":\"ecc0ff70-9aa0-48ee-84c1-625c5069044c\",\"y\":33,\"pageCompId\":\"1522524338023047170\"},{\"component\":\"JFunnel\",\"w\":8,\"moved\":false,\"x\":6,\"h\":38,\"i\":\"19ab2147-2c5c-47c7-8dce-bec960353793\",\"y\":0,\"pageCompId\":\"1522524338094350337\"}]', '', '0', '1', 'admin', '2022-05-06 11:26:15', 'admin', '2022-05-06 18:31:04', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522451603569778690', '示例_智能大数据', '/drag/page/view/1522451603569778690', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"6070607f-f8cd-48f9-b8e6-74511388b222\",\"y\":0,\"pageCompId\":\"1522523872572743681\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"0ced8073-18dc-4d50-84be-5364d338a6b4\",\"y\":6,\"pageCompId\":\"1522523872849567745\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"e8e1e96a-6bcd-470f-8d52-3be655942a97\",\"y\":12,\"pageCompId\":\"1522523872954425346\"},{\"component\":\"JPie\",\"w\":6,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"5d40565e-8ac4-4156-8130-ab627e98a80c\",\"y\":56,\"pageCompId\":\"1522523873038311426\"},{\"component\":\"JPie\",\"w\":6,\"moved\":false,\"x\":6,\"h\":42,\"i\":\"60495499-f2d4-463d-ad7f-2487ee47592d\",\"y\":56,\"pageCompId\":\"1522523873143169025\"},{\"component\":\"JTabs\",\"w\":12,\"moved\":false,\"x\":12,\"h\":50,\"i\":\"a83d340c-a493-4d37-935c-be8a35c09097\",\"y\":0,\"pageCompId\":\"1522523873235443714\"},{\"component\":\"JTabs\",\"w\":12,\"moved\":false,\"x\":12,\"h\":48,\"i\":\"7903672e-9139-4db9-ab25-24c0612537cb\",\"y\":50,\"pageCompId\":\"1522523873340301313\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":4,\"h\":6,\"i\":\"38364ada-5aeb-4ca3-8bfe-c81c3894846d\",\"y\":0,\"pageCompId\":\"1522523873445158914\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":4,\"h\":6,\"i\":\"6f1363fd-4306-4452-82ac-b0427e064b59\",\"y\":6,\"pageCompId\":\"1522523873529044994\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":8,\"h\":6,\"i\":\"8a101ba0-496e-451c-8d37-fefa1858f19c\",\"y\":0,\"pageCompId\":\"1522523873621319682\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":8,\"h\":6,\"i\":\"45600ba8-6cff-4083-8db8-fead5cfc88ab\",\"y\":6,\"pageCompId\":\"1522523873726177281\"}]', '', '0', '1', 'admin', '2022-05-06 13:42:03', 'admin', '2022-05-06 18:29:13', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522460228585529346', '示例_旅游数据监控', '/drag/page/view/1522460228585529346', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JRing\",\"w\":8,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"3e514383-e7b8-4038-8037-da02ceeb251f\",\"y\":0,\"pageCompId\":\"1522466576295534593\"},{\"component\":\"JBar\",\"w\":8,\"moved\":false,\"x\":0,\"h\":24,\"i\":\"7c31dea0-fdf9-46ae-83f3-a3c1e50641f6\",\"y\":30,\"pageCompId\":\"1522466576429752321\"},{\"component\":\"JLine\",\"w\":8,\"moved\":false,\"x\":0,\"h\":26,\"i\":\"661c80a4-668f-4446-8f56-d8628e2511f9\",\"y\":54,\"pageCompId\":\"1522466576526221314\"},{\"component\":\"JPie\",\"w\":7,\"moved\":false,\"x\":17,\"h\":31,\"i\":\"09a859e0-d906-4d6a-92d2-5cb9966aedfb\",\"y\":0,\"pageCompId\":\"1522466576605913090\"},{\"component\":\"JImg\",\"w\":9,\"moved\":false,\"x\":8,\"h\":25,\"i\":\"c30dbcb0-4d27-4f25-83f5-de2bbbac401c\",\"y\":11,\"pageCompId\":\"1522466576702382082\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":8,\"h\":5,\"i\":\"d4f386cb-6074-4f46-84a7-7328b2b147bf\",\"y\":0,\"pageCompId\":\"1522466576777879554\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":13,\"h\":5,\"i\":\"e355be6c-3c7f-4f6e-8014-7ff591f8c9b0\",\"y\":0,\"pageCompId\":\"1522466576878542849\"},{\"component\":\"JText\",\"w\":5,\"moved\":false,\"x\":8,\"h\":5,\"i\":\"f6cb6f0f-3e74-4f97-8965-c83102f62248\",\"y\":5,\"pageCompId\":\"1522466576954040321\"},{\"component\":\"JText\",\"w\":4,\"moved\":false,\"x\":13,\"h\":6,\"i\":\"3e3d8fee-844f-4437-a593-899b6b1ff811\",\"y\":5,\"pageCompId\":\"1522466577054703617\"},{\"component\":\"JPie\",\"w\":9,\"moved\":false,\"x\":8,\"h\":44,\"i\":\"c3bb7ba4-8dc9-4e2a-8252-77ed74dd10d0\",\"y\":36,\"pageCompId\":\"1522466577159561217\"},{\"component\":\"JCommonTable\",\"w\":7,\"moved\":false,\"x\":17,\"h\":49,\"i\":\"d3edcc06-4e00-4934-ab1e-066f058ea618\",\"y\":31,\"pageCompId\":\"1522466577264418817\"}]', '', '0', '1', 'admin', '2022-05-06 14:16:19', 'admin', '2022-05-06 14:41:33', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522466781443137538', '示例_首页', '/drag/page/view/1522466781443137538', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JQuickNav\",\"w\":13,\"moved\":false,\"x\":0,\"h\":28,\"i\":\"a80f65fe-cdc3-4fbe-a383-c526eda9886e\",\"y\":19,\"pageCompId\":\"1522504050518532098\"},{\"component\":\"JList\",\"w\":11,\"moved\":false,\"x\":13,\"h\":44,\"i\":\"4d7f78a3-6520-45ae-85e4-ac0cfca514b3\",\"y\":39,\"pageCompId\":\"1522504050690498562\"},{\"component\":\"JGrowCard\",\"w\":24,\"moved\":false,\"x\":0,\"h\":19,\"i\":\"1aab1f6b-316e-4046-9ec0-d68d35fa6142\",\"y\":0,\"pageCompId\":\"1522504050782773249\"},{\"component\":\"JProjectCard\",\"w\":13,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"ab1fcd58-e150-4816-b06a-5d2a62517510\",\"y\":47,\"pageCompId\":\"1522504050862465026\"},{\"component\":\"JWaitMatter\",\"w\":11,\"moved\":false,\"x\":13,\"h\":20,\"i\":\"e5a73961-e1ba-462c-bf86-78fbb94390d4\",\"y\":19,\"pageCompId\":\"1522504050958934017\"},{\"component\":\"JLine\",\"w\":24,\"moved\":false,\"x\":0,\"h\":41,\"i\":\"b1786985-070f-4f7b-8c46-b61c0ac9b8c7\",\"y\":83,\"pageCompId\":\"1522504051076374530\"}]', '', '0', '1', 'admin', '2022-05-06 14:42:21', 'admin', '2022-05-06 17:10:27', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522507145776472065', '示例_数据分析', '/drag/page/view/1522507145776472065', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"cfe42a6f-d74e-46f4-8a64-c2b7d13b0d12\",\"y\":23,\"pageCompId\":\"1522520321213603842\"},{\"component\":\"JStackBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"fe5628ab-6e56-4f25-88bf-21e4d5d2eb40\",\"y\":23,\"pageCompId\":\"1522520321352015874\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"70d1dace-e2d2-4080-8736-f9cac6b9e727\",\"y\":65,\"pageCompId\":\"1522520321456873474\"},{\"component\":\"JLine\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"32560edd-a4b5-4b7d-8f8b-7e84ce1c5213\",\"y\":65,\"pageCompId\":\"1522520321549148162\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"1f3f12e8-f852-4e81-9b11-6f4a762500f9\",\"y\":107,\"pageCompId\":\"1522520321628839937\"},{\"component\":\"JTabs\",\"w\":15,\"moved\":false,\"x\":0,\"h\":43,\"i\":\"43c93eaa-1db0-42e2-8865-f0deb138782e\",\"y\":233,\"pageCompId\":\"1522520321725308929\"},{\"component\":\"JGrid\",\"w\":24,\"moved\":false,\"x\":0,\"h\":40,\"i\":\"1ac58009-1e17-4136-8309-313a9111ebb6\",\"y\":193,\"pageCompId\":\"1522520321935024129\"},{\"component\":\"JCarousel\",\"w\":24,\"moved\":false,\"x\":0,\"h\":23,\"i\":\"85bab599-d0e8-4989-9e76-a662dd71ab93\",\"y\":0,\"pageCompId\":\"1522520322014715906\"},{\"component\":\"JIframe\",\"w\":24,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"39c79717-7996-43b8-89db-b9cacfed9bc0\",\"y\":276,\"pageCompId\":\"1522520322115379202\"},{\"component\":\"JPictorialBar\",\"w\":9,\"moved\":false,\"x\":15,\"h\":43,\"i\":\"8b8d91a4-8796-431f-a6a8-ff1379dbc93c\",\"y\":233,\"pageCompId\":\"1522520322216042498\"},{\"component\":\"JBar\",\"w\":15,\"moved\":false,\"x\":0,\"h\":44,\"i\":\"7027c8c1-6178-40cb-8a54-e98e468679fc\",\"y\":149,\"pageCompId\":\"1522520322329288706\"},{\"component\":\"JLine\",\"w\":9,\"moved\":false,\"x\":15,\"h\":44,\"i\":\"eb6b93ec-c49e-446d-8aed-5370c391b1bc\",\"y\":149,\"pageCompId\":\"1522520322421563394\"}]', '', '0', '1', 'admin', '2022-05-06 17:22:45', 'admin', '2022-05-06 18:15:07', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522823348231397378', '示例_数据表格', '/drag/page/view/1522823348231397378', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JForm\",\"w\":24,\"moved\":false,\"x\":0,\"h\":12,\"i\":\"2c69541d-4945-4734-8813-f719cccff3e3\",\"y\":0,\"pageCompId\":\"1524656729709641730\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"491fc4c0-782c-49ac-838c-ae7003abece2\",\"y\":12,\"pageCompId\":\"1524656729776750593\"}]', '', '0', '1', 'admin', '2022-05-07 14:19:14', 'admin', '2022-05-12 15:44:26', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1522835471967772673', '示例_日期范围查询', '/drag/page/view/1522835471967772673', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"918fc3ea-c88a-4c42-892b-d2a14967258e\",\"y\":12,\"pageCompId\":\"1526496110877696002\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"d14e4994-171d-4ca1-8bd8-85dc821f56a7\",\"y\":12,\"pageCompId\":\"1526496110948999169\"},{\"component\":\"JForm\",\"w\":24,\"moved\":false,\"x\":0,\"h\":12,\"i\":\"eba57ed3-52c2-4ebd-aa70-81ed565d8488\",\"y\":0,\"pageCompId\":\"1526496111003525121\"}]', '', '0', '1', 'admin', '2022-05-07 15:07:24', 'admin', '2022-05-17 17:33:28', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('1524641995740446722', '示例_全组件', '/drag/page/view/1524641995740446722', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":39,\"i\":\"fa778a18-c782-4f15-849b-f41e95ebf2e5\",\"y\":24,\"pageCompId\":\"1546761823821938690\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"70157e6a-4357-41e6-9b33-7c54897c0630\",\"y\":63,\"pageCompId\":\"1546761823821938691\"},{\"component\":\"JStackBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":39,\"i\":\"2a223f69-813b-4f55-8849-d7265cebf295\",\"y\":24,\"pageCompId\":\"1546761823821938692\"},{\"component\":\"JDynamicBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"9be9a362-e019-4ce5-a6ec-35d986582f65\",\"y\":63,\"pageCompId\":\"1546761823821938693\"},{\"component\":\"JLine\",\"w\":12,\"moved\":false,\"x\":0,\"h\":37,\"i\":\"7be6d89a-4e82-4a98-8574-39ce47e3dd9e\",\"y\":105,\"pageCompId\":\"1546761823821938694\"},{\"component\":\"JRadar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":37,\"i\":\"0693213b-fc57-41f7-891a-55c252469a5d\",\"y\":105,\"pageCompId\":\"1546761823889047554\"},{\"component\":\"JRing\",\"w\":12,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"f720948d-e768-44a5-8f51-ccaf6292523e\",\"y\":142,\"pageCompId\":\"1546761823889047555\"},{\"component\":\"JArea\",\"w\":12,\"moved\":false,\"x\":12,\"h\":36,\"i\":\"d69757e5-f19a-48b1-bea4-d9456086e45e\",\"y\":142,\"pageCompId\":\"1546761823889047556\"},{\"component\":\"JProgress\",\"w\":12,\"moved\":false,\"x\":0,\"h\":33,\"i\":\"4efbcc2a-5b1d-46c2-9b6d-40e26d69e967\",\"y\":178,\"pageCompId\":\"1546761823889047557\"},{\"component\":\"JFunnel\",\"w\":12,\"moved\":false,\"x\":12,\"h\":33,\"i\":\"fba9dcee-2737-48bc-afc5-865484ce1be3\",\"y\":178,\"pageCompId\":\"1546761823889047558\"},{\"component\":\"JPictorialBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":38,\"i\":\"17497727-7589-4ec7-8a45-c15a4317602b\",\"y\":211,\"pageCompId\":\"1546761823951962113\"},{\"component\":\"JGauge\",\"w\":12,\"moved\":false,\"x\":12,\"h\":38,\"i\":\"7136f472-1e93-4387-b147-1bb06673f338\",\"y\":211,\"pageCompId\":\"1546761823951962114\"},{\"component\":\"JColorGauge\",\"w\":12,\"moved\":false,\"x\":0,\"h\":48,\"i\":\"6fa66881-2c04-4720-8fe9-5ccdc6f5edb0\",\"y\":249,\"pageCompId\":\"1546761823951962115\"},{\"component\":\"JTabs\",\"w\":12,\"moved\":false,\"x\":12,\"h\":48,\"i\":\"a9b26f9d-3a79-430a-80fb-4261d9fc40e7\",\"y\":249,\"pageCompId\":\"1546761823951962116\"},{\"component\":\"JGrid\",\"w\":24,\"moved\":false,\"x\":0,\"h\":40,\"i\":\"ed8dfb23-63c9-4d3d-8bef-aad3a5de4cc4\",\"y\":297,\"pageCompId\":\"1546761823951962117\"},{\"component\":\"JCommonTable\",\"w\":24,\"moved\":false,\"x\":0,\"h\":50,\"i\":\"eb4af4a3-8fce-40f9-832c-c749e75dac5d\",\"y\":349,\"pageCompId\":\"1546761824014876674\"},{\"component\":\"JList\",\"w\":12,\"moved\":false,\"x\":0,\"h\":38,\"i\":\"e2b2073e-d523-4545-a9a2-903710c50952\",\"y\":399,\"pageCompId\":\"1546761824014876675\"},{\"component\":\"JForm\",\"w\":24,\"moved\":false,\"x\":0,\"h\":12,\"i\":\"27d36825-02a8-49b5-a058-4ab710516fdd\",\"y\":337,\"pageCompId\":\"1546761824014876676\"},{\"component\":\"JCarousel\",\"w\":24,\"moved\":false,\"x\":0,\"h\":24,\"i\":\"0c12ecb7-0ff2-498d-811f-b10b303b2ab3\",\"y\":0,\"pageCompId\":\"1546761824014876677\"},{\"component\":\"JIframe\",\"w\":24,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"193478dd-b57c-4930-84b4-f021721c8f52\",\"y\":437,\"pageCompId\":\"1546761824014876678\"},{\"component\":\"JCalendar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":38,\"i\":\"df8b75f0-9243-47b4-8773-47916cd6768b\",\"y\":399,\"pageCompId\":\"1546761824014876679\"},{\"component\":\"JImg\",\"w\":10,\"moved\":false,\"x\":0,\"h\":24,\"i\":\"e326ea85-2fc7-4c72-bf68-3d525cbdd271\",\"y\":479,\"pageCompId\":\"1546761824014876680\"},{\"component\":\"JText\",\"w\":6,\"moved\":false,\"x\":0,\"h\":6,\"i\":\"798187db-1959-4d6e-be8a-adcd7b249558\",\"y\":556,\"pageCompId\":\"1546761824081985537\"},{\"component\":\"JRadioButton\",\"w\":5,\"moved\":false,\"x\":7,\"h\":6,\"i\":\"6cb30c18-e63d-428e-9b29-52dd04e1b182\",\"y\":556,\"pageCompId\":\"1546761824081985538\"},{\"component\":\"JQuickNav\",\"w\":12,\"moved\":false,\"x\":0,\"h\":26,\"i\":\"1e215e4d-89ea-4de8-bd33-9a392746b3cb\",\"y\":503,\"pageCompId\":\"1546761824081985539\"},{\"component\":\"JGrowCard\",\"w\":14,\"moved\":false,\"x\":10,\"h\":24,\"i\":\"12eaede2-77dd-4603-8c5a-7b914632ea38\",\"y\":479,\"pageCompId\":\"1546761824081985540\"},{\"component\":\"JProjectCard\",\"w\":12,\"moved\":false,\"x\":12,\"h\":38,\"i\":\"baa68293-3cfc-4563-a841-d498652c934b\",\"y\":524,\"pageCompId\":\"1546761824081985541\"},{\"component\":\"JWaitMatter\",\"w\":12,\"moved\":false,\"x\":12,\"h\":21,\"i\":\"2507f501-ec3f-4210-b980-c6544188fef8\",\"y\":503,\"pageCompId\":\"1546761824081985542\"},{\"component\":\"JDynamicInfo\",\"w\":12,\"moved\":false,\"x\":0,\"h\":27,\"i\":\"8837f7a2-d767-4ff4-8537-d6cd61b9312d\",\"y\":529,\"pageCompId\":\"1546761824081985543\"}]', '', '0', '1', 'admin', '2022-05-12 14:45:53', 'admin', '2022-07-12 15:42:11', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('750931735173201920', '双11', '/drag/page/view/750931735173201920', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JMultipleBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"5a4b8360-890b-4f0e-92a8-342f42573fb1\",\"y\":0,\"orderNum\":126,\"pageCompId\":\"750939797242052608\"},{\"component\":\"JMixLineBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"46888850-01e3-4655-8fac-257a82874988\",\"y\":16,\"orderNum\":168,\"pageCompId\":\"750939797271412736\"},{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"479c3829-ba95-4522-af6a-49ef84bf029f\",\"y\":42,\"orderNum\":126,\"pageCompId\":\"750939797288189952\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":0,\"h\":16,\"i\":\"5f4d3595-1886-4528-84e5-b100f64e97ca\",\"y\":0,\"orderNum\":126,\"pageCompId\":\"750939797300772864\"},{\"component\":\"JNegativeBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":42,\"i\":\"34f9be94-c288-470a-837e-f5b5e56381e8\",\"y\":84,\"orderNum\":142,\"pageCompId\":\"750939797313355776\"},{\"component\":\"JMixLineBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":42,\"i\":\"74c17127-28de-4aa7-b01a-a2f1eb1f9324\",\"y\":58,\"orderNum\":142,\"pageCompId\":\"750939797321744384\"}]', '', '988299668956545024', '0', 'admin', '2022-11-11 14:21:28', 'jeecg', '2023-02-20 10:44:09', NULL, NULL, 1, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('750938006131638272', '单表示例', '/drag/page/view/750938006131638272', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JBar\",\"pcX\":0,\"w\":12,\"moved\":false,\"pcY\":42,\"x\":0,\"h\":39,\"i\":\"cc1f6705-a9f0-4044-8ac2-06eedca5d2bf\",\"y\":42,\"orderNum\":0,\"pageCompId\":\"897716207532212224\"},{\"component\":\"JLine\",\"pcX\":0,\"w\":12,\"moved\":false,\"pcY\":81,\"x\":0,\"h\":42,\"i\":\"79d6ec63-0bb5-4065-8bac-4debeebe4365\",\"y\":81,\"orderNum\":42,\"pageCompId\":\"897716207632875520\"},{\"component\":\"JRing\",\"pcX\":0,\"w\":12,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":42,\"i\":\"68edd288-1c8c-4b6d-8b28-a92efee80d8a\",\"y\":0,\"orderNum\":84,\"pageCompId\":\"897716207645458432\"},{\"component\":\"JGauge\",\"pcX\":0,\"w\":12,\"moved\":false,\"pcY\":123,\"x\":0,\"h\":42,\"i\":\"87836c01-e1aa-4cde-8769-ef3a2bbfaf4b\",\"y\":123,\"orderNum\":126,\"pageCompId\":\"897716207653847040\"},{\"component\":\"JFunnel\",\"pcX\":12,\"w\":12,\"moved\":false,\"pcY\":0,\"x\":12,\"h\":42,\"i\":\"190e9dcc-4f19-4461-a420-0a7d4b340194\",\"y\":0,\"orderNum\":210,\"pageCompId\":\"897716207670624256\"},{\"component\":\"JBar\",\"pcX\":12,\"w\":12,\"moved\":false,\"pcY\":42,\"x\":12,\"h\":42,\"i\":\"77df8b4c-038f-4646-9a14-e1f4ea339cde\",\"y\":42,\"orderNum\":164,\"pageCompId\":\"897716207679012864\"},{\"component\":\"JStackBar\",\"pcX\":0,\"w\":12,\"moved\":false,\"pcY\":165,\"x\":0,\"h\":42,\"i\":\"4d24ed2e-9cef-4f3d-8e42-754346f2d1ce\",\"y\":165,\"orderNum\":164,\"pageCompId\":\"897716207750316032\"},{\"component\":\"JDynamicBar\",\"pcX\":12,\"w\":12,\"moved\":false,\"pcY\":84,\"x\":12,\"h\":42,\"i\":\"d2a65733-dbce-42a8-8cc6-4d8228b664c7\",\"y\":84,\"orderNum\":206,\"pageCompId\":\"897716207758704640\"},{\"component\":\"JMultipleBar\",\"pcX\":12,\"w\":12,\"moved\":false,\"pcY\":126,\"x\":12,\"h\":42,\"i\":\"a1a6fb86-af98-4347-8412-5446acdef70c\",\"y\":126,\"orderNum\":248,\"pageCompId\":\"897716207771287552\"},{\"component\":\"JNegativeBar\",\"pcX\":12,\"w\":12,\"moved\":false,\"pcY\":168,\"x\":12,\"h\":42,\"i\":\"f0840234-2a10-4b7d-8d40-d987c9218911\",\"y\":168,\"orderNum\":248,\"pageCompId\":\"897716207779676160\"}]', '', '988299668956545024', '0', 'admin', '2022-11-11 14:46:23', 'admin', '2023-12-21 15:30:33', NULL, NULL, 2, NULL, 0);
INSERT INTO `onl_drag_page` VALUES ('874452016289599488', '我的第一个大屏', '/drag/page/view/874452016289599488', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"ea5b13d5-0b38-4665-ab64-faadc4b67d3e\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"902166022685032448\"},{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":12,\"h\":30,\"i\":\"c37a27ad-670b-407b-85b0-c97d167cf353\",\"y\":0,\"orderNum\":30,\"pageCompId\":\"902166022726975488\"},{\"component\":\"JMultipleBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"0d52d5d1-2266-4973-8c24-3ad958a619b6\",\"y\":30,\"orderNum\":30,\"pageCompId\":\"902166022743752704\"},{\"component\":\"JPictorialBar\",\"w\":12,\"moved\":false,\"x\":12,\"h\":30,\"i\":\"edb19ffd-909f-4fc0-8fd6-e4ebe87c5c27\",\"y\":30,\"orderNum\":60,\"pageCompId\":\"902166022756335616\"},{\"component\":\"JQuickNav\",\"w\":12,\"moved\":false,\"x\":0,\"h\":26,\"i\":\"d3c56f1d-efb7-4892-8340-de290039741b\",\"y\":60,\"orderNum\":60,\"pageCompId\":\"902166022773112832\"},{\"component\":\"JGrowCard\",\"w\":12,\"x\":12,\"h\":19,\"i\":\"05cb64b3-b84a-4151-b652-17f0c3848e66\",\"y\":60,\"orderNum\":86,\"pageCompId\":\"902166022789890048\"}]', NULL, '988299668956545024', '0', 'ceshi', '2023-10-18 10:46:57', 'admin', '2024-01-02 22:12:31', NULL, 0, 5, 1, 0);
INSERT INTO `onl_drag_page` VALUES ('905620097363705856', 'cc1请假单图表', '/drag/page/view/905620097363705856', NULL, NULL, 100, 'default', 'default', '', NULL, '[{\"component\":\"JPie\",\"w\":12,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"c9b7a9c2-6784-4f0f-a770-e71fb7b6bc1e\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"960809684834549760\"}]', NULL, '988299668956545024', '0', NULL, '2024-01-12 10:57:47', 'admin', '2024-06-12 18:01:30', NULL, 1000, 4, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('910394028067438592', '库存管理可视化大屏', '/drag/page/view/910394028067438592', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":8,\"i\":\"377bfc6b-26f1-4fb0-8fe1-0acbc39149e2\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"912577433139986432\"},{\"component\":\"JGrowCard\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":8,\"x\":0,\"h\":31,\"i\":\"94fb7d28-1f93-4506-8310-f39f6ca8f356\",\"y\":8,\"orderNum\":10,\"pageCompId\":\"912577433169346560\"},{\"component\":\"JText\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":39,\"x\":0,\"h\":5,\"i\":\"79eb8d80-8720-4dac-b4ab-a1bd295d3fa5\",\"y\":39,\"orderNum\":65,\"pageCompId\":\"912577433190318080\"},{\"component\":\"JList\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":44,\"x\":0,\"h\":11,\"i\":\"3e12ea9a-04b8-4f1a-819a-1666be83bb2c\",\"y\":44,\"orderNum\":51,\"pageCompId\":\"912577433207095296\"},{\"component\":\"JText\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":55,\"x\":0,\"h\":5,\"i\":\"b1bc2b1b-4e38-4042-942d-50978e79236f\",\"y\":55,\"orderNum\":61,\"pageCompId\":\"912577433228066816\"},{\"component\":\"JList\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":60,\"x\":0,\"h\":11,\"i\":\"ee6f5621-53ef-4d0f-a6c9-fd33982b2be1\",\"y\":60,\"orderNum\":71,\"pageCompId\":\"912577433249038336\"},{\"component\":\"JText\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":71,\"x\":0,\"h\":5,\"i\":\"9d1b768d-17ac-461b-8597-41a969fd1589\",\"y\":71,\"orderNum\":82,\"pageCompId\":\"912577433274204160\"},{\"component\":\"JList\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":76,\"x\":0,\"h\":11,\"i\":\"380b67f4-ada6-47df-83a0-83b9c62fa435\",\"y\":76,\"orderNum\":92,\"pageCompId\":\"912577433295175680\"},{\"component\":\"JText\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":87,\"x\":0,\"h\":5,\"i\":\"0b6da57d-9804-4bfa-8ab8-54d690f8a09a\",\"y\":87,\"orderNum\":103,\"pageCompId\":\"912577433316147200\"},{\"component\":\"JList\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":92,\"x\":0,\"h\":11,\"i\":\"c2551fe6-5a8f-4d45-bb3a-aa86dd6b46cd\",\"y\":92,\"orderNum\":113,\"pageCompId\":\"912577433337118720\"},{\"component\":\"JBar\",\"pcX\":5,\"w\":10,\"moved\":false,\"pcY\":39,\"x\":5,\"h\":20,\"i\":\"acecbdec-0b6b-4744-aeed-3f969e7915b6\",\"y\":39,\"orderNum\":124,\"pageCompId\":\"912577433366478848\"},{\"component\":\"JBar\",\"pcX\":5,\"w\":10,\"moved\":false,\"pcY\":59,\"x\":5,\"h\":22,\"i\":\"a3420701-faac-4d38-b7e2-9c12c3dc45e2\",\"y\":59,\"orderNum\":124,\"pageCompId\":\"912577433387450368\"},{\"component\":\"JBar\",\"pcX\":15,\"w\":9,\"moved\":false,\"pcY\":59,\"x\":15,\"h\":22,\"i\":\"a100e000-aee6-4138-8c72-0e4a830ec8de\",\"y\":59,\"orderNum\":124,\"pageCompId\":\"912577433408421888\"},{\"component\":\"JMultipleBar\",\"pcX\":15,\"w\":9,\"moved\":false,\"pcY\":81,\"x\":15,\"h\":22,\"i\":\"7d4ec916-020b-4f35-baff-87951bf2aa48\",\"y\":81,\"orderNum\":124,\"pageCompId\":\"912577433429393408\"},{\"component\":\"JCommonTable\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":110,\"x\":0,\"h\":45,\"i\":\"49592c96-4da5-4afb-9c15-fa7bea72bbc1\",\"y\":103,\"orderNum\":131,\"pageCompId\":\"912577433450364928\"},{\"component\":\"JPie\",\"pcX\":15,\"w\":9,\"moved\":false,\"pcY\":39,\"x\":15,\"h\":20,\"i\":\"ed714128-19d1-4117-a7b0-029620389fda\",\"y\":39,\"orderNum\":148,\"pageCompId\":\"912577433471336448\"},{\"component\":\"JMultipleBar\",\"pcX\":5,\"w\":10,\"moved\":false,\"pcY\":81,\"x\":5,\"h\":22,\"i\":\"7bcdb3a7-eff0-4373-9911-e900d3e3ec7d\",\"y\":81,\"orderNum\":148,\"pageCompId\":\"912577433496502272\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-01-25 15:07:40', 'admin', '2024-01-30 20:04:50', NULL, 0, 53, 5, 0);
INSERT INTO `onl_drag_page` VALUES ('910475721247866880', '某电商公司销售运营看板', '/drag/page/view/910475721247866880', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":8,\"i\":\"1aa60c03-aa11-400b-81a9-3a710ef7b17d\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"912579172505272320\"},{\"component\":\"JGrowCard\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":10,\"x\":0,\"h\":17,\"i\":\"3ab3538e-5195-452c-82a7-08a1768548bb\",\"y\":8,\"orderNum\":10,\"pageCompId\":\"912579172538826752\"},{\"component\":\"JBubbleMap\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":27,\"x\":0,\"h\":42,\"i\":\"79506e2d-bfca-410b-bd5f-3fc1791af798\",\"y\":25,\"orderNum\":26,\"pageCompId\":\"912579172559798272\"},{\"component\":\"JCommonTable\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":69,\"x\":0,\"h\":45,\"i\":\"cd448408-0e55-41b3-8ab7-3b7dd8657055\",\"y\":67,\"orderNum\":72,\"pageCompId\":\"912579172580769792\"},{\"component\":\"JPie\",\"pcX\":8,\"w\":5,\"moved\":false,\"pcY\":10,\"x\":8,\"h\":35,\"i\":\"40b0322c-f6a9-4614-83b8-c77a086bc065\",\"y\":8,\"orderNum\":105,\"pageCompId\":\"912579172597547008\"},{\"component\":\"JNumber\",\"pcX\":13,\"w\":5,\"moved\":false,\"pcY\":10,\"x\":13,\"h\":17,\"i\":\"353858f6-fecf-4c42-81f4-537d24289a68\",\"y\":8,\"orderNum\":105,\"pageCompId\":\"912579172618518528\"},{\"component\":\"JNumber\",\"pcX\":13,\"w\":5,\"moved\":false,\"pcY\":27,\"x\":13,\"h\":18,\"i\":\"3a74f30d-8357-43c4-811c-a0a1c7201453\",\"y\":25,\"orderNum\":105,\"pageCompId\":\"912579172643684352\"},{\"component\":\"JPie\",\"pcX\":18,\"w\":6,\"moved\":false,\"pcY\":10,\"x\":18,\"h\":35,\"i\":\"2bd80a2b-f848-49d6-875b-05897deac11c\",\"y\":8,\"orderNum\":105,\"pageCompId\":\"912579172664655872\"},{\"component\":\"JBar\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":45,\"x\":8,\"h\":29,\"i\":\"043d13e0-4e90-47e4-8715-29cc400adeb1\",\"y\":43,\"orderNum\":105,\"pageCompId\":\"912579172685627392\"},{\"component\":\"JBar\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":45,\"x\":16,\"h\":29,\"i\":\"4b5fbe15-8931-48bb-a0f0-67855e782af4\",\"y\":43,\"orderNum\":114,\"pageCompId\":\"912579172702404608\"},{\"component\":\"JBar\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":74,\"x\":8,\"h\":40,\"i\":\"e2f99a5d-eaf4-4823-b1a7-eb0a878be363\",\"y\":72,\"orderNum\":114,\"pageCompId\":\"912579172719181824\"},{\"component\":\"JLine\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":74,\"x\":16,\"h\":40,\"i\":\"dad9aacc-549f-4418-8f55-8ca499aa83b4\",\"y\":72,\"orderNum\":114,\"pageCompId\":\"912579172740153344\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-01-25 20:32:17', 'admin', '2024-01-30 20:07:19', NULL, 6902, 24, 5, 0);
INSERT INTO `onl_drag_page` VALUES ('910744177604083712', '物业消防巡检状态', '/drag/page/view/910744177604083712', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":8,\"i\":\"5d85e389-7ee4-40dd-8544-80049646ee34\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"912578020841668608\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":10,\"x\":0,\"h\":6,\"i\":\"878306f4-8ff4-412c-b8d8-744b0897ae8f\",\"y\":8,\"orderNum\":10,\"pageCompId\":\"912578020875223040\"},{\"component\":\"JList\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":0,\"h\":17,\"i\":\"fe852828-ba3d-46d1-884a-1c723b870d55\",\"y\":14,\"orderNum\":20,\"pageCompId\":\"912578020896194560\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":37,\"x\":0,\"h\":7,\"i\":\"57fd4478-440a-4a6e-a115-186e14d5047a\",\"y\":31,\"orderNum\":38,\"pageCompId\":\"912578020917166080\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":47,\"x\":0,\"h\":12,\"i\":\"bb98b9db-042b-445e-8672-34182191871d\",\"y\":38,\"orderNum\":48,\"pageCompId\":\"912578020938137600\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":57,\"x\":0,\"h\":12,\"i\":\"7eeab8ac-66f7-4d80-81a8-2e75dcb7093a\",\"y\":50,\"orderNum\":58,\"pageCompId\":\"912578020959109120\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":67,\"x\":0,\"h\":7,\"i\":\"d7a87bcb-e5a6-4092-9b44-be37c284761d\",\"y\":62,\"orderNum\":69,\"pageCompId\":\"912578020980080640\"},{\"component\":\"JCommonTable\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":77,\"x\":0,\"h\":51,\"i\":\"1397ca94-7293-48bd-bb4f-673355c0355e\",\"y\":69,\"orderNum\":79,\"pageCompId\":\"912578021005246464\"},{\"component\":\"JBubbleMap\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":8,\"h\":32,\"i\":\"f0f84536-4ae3-43ff-aadb-6a1f113b1ab9\",\"y\":14,\"orderNum\":109,\"pageCompId\":\"912578021026217984\"},{\"component\":\"JText\",\"pcX\":8,\"w\":16,\"moved\":false,\"pcY\":10,\"x\":8,\"h\":6,\"i\":\"52c28b77-268c-4dc4-805e-a48b37657be1\",\"y\":8,\"orderNum\":109,\"pageCompId\":\"912578021047189504\"},{\"component\":\"JCommonTable\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":16,\"h\":32,\"i\":\"8b2b0a47-c1fb-47bf-b8af-9c249d903baa\",\"y\":14,\"orderNum\":109,\"pageCompId\":\"912578021068161024\"},{\"component\":\"JPie\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":52,\"x\":8,\"h\":34,\"i\":\"619921d9-f1fe-4d09-8f3d-09238f6d3e4f\",\"y\":46,\"orderNum\":109,\"pageCompId\":\"912578021093326848\"},{\"component\":\"JBar\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":52,\"x\":16,\"h\":34,\"i\":\"2598e9f8-7611-49c1-97a5-018fba23f0e0\",\"y\":46,\"orderNum\":109,\"pageCompId\":\"912578021114298368\"},{\"component\":\"JLine\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":98,\"x\":8,\"h\":33,\"i\":\"01569400-637c-4d01-986e-c6604f88cc32\",\"y\":87,\"orderNum\":109,\"pageCompId\":\"912578021131075584\"},{\"component\":\"JCommonTable\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":86,\"x\":16,\"h\":33,\"i\":\"4fd26be3-3138-4cf5-9e7a-e24ff75bafad\",\"y\":87,\"orderNum\":114,\"pageCompId\":\"912578021156241408\"},{\"component\":\"JText\",\"pcX\":8,\"w\":16,\"moved\":false,\"pcY\":86,\"x\":8,\"h\":7,\"i\":\"e3bea36a-c897-41ec-9c8d-c572609a74e5\",\"y\":80,\"orderNum\":114,\"pageCompId\":\"912578021181407232\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-01-26 14:19:02', 'admin', '2024-01-31 15:46:14', NULL, 6902, 35, 5, 0);
INSERT INTO `onl_drag_page` VALUES ('910820508471705600', '某连锁饮品销售看板', '/drag/page/view/910820508471705600', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":15,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":10,\"i\":\"dcd6e80e-8865-4238-844b-2bb8998f755e\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"912577878868672512\"},{\"component\":\"JForm\",\"pcX\":15,\"w\":9,\"moved\":false,\"pcY\":0,\"x\":15,\"h\":10,\"i\":\"50040bd1-c081-4e5b-a36a-ea6a5afce396\",\"y\":0,\"orderNum\":10,\"pageCompId\":\"912577878898032640\"},{\"component\":\"JGrowCard\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":10,\"x\":0,\"h\":30,\"i\":\"0efe3637-39ac-4f2e-82f4-e09540ee332a\",\"y\":10,\"orderNum\":10,\"pageCompId\":\"912577878919004160\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":40,\"x\":0,\"h\":17,\"i\":\"2db8c9de-9f8b-49f8-8d7a-6b3166de0ed5\",\"y\":40,\"orderNum\":40,\"pageCompId\":\"912577878944169984\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":57,\"x\":0,\"h\":16,\"i\":\"6f773617-eca8-4598-8260-dc701cc16e8b\",\"y\":57,\"orderNum\":50,\"pageCompId\":\"912577878965141504\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":73,\"x\":0,\"h\":16,\"i\":\"868c63d3-cfc2-4e49-a1c5-6ee0418fd303\",\"y\":73,\"orderNum\":59,\"pageCompId\":\"912577878990307328\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":89,\"x\":0,\"h\":17,\"i\":\"35a7308b-0482-48c8-8e46-ed50cfb67961\",\"y\":89,\"orderNum\":83,\"pageCompId\":\"912577879023861760\"},{\"component\":\"JLine\",\"pcX\":5,\"w\":8,\"moved\":false,\"pcY\":40,\"x\":5,\"h\":23,\"i\":\"2323a8fb-42ff-4a23-9b13-8f4f514dafb5\",\"y\":40,\"orderNum\":96,\"pageCompId\":\"912577879044833280\"},{\"component\":\"JLine\",\"pcX\":5,\"w\":8,\"moved\":false,\"pcY\":63,\"x\":5,\"h\":22,\"i\":\"715ebf76-9228-4b2e-8ab7-dcb351c2ff03\",\"y\":63,\"orderNum\":96,\"pageCompId\":\"912577879065804800\"},{\"component\":\"JLine\",\"pcX\":5,\"w\":8,\"moved\":false,\"pcY\":85,\"x\":5,\"h\":21,\"i\":\"cd981a55-258c-48cd-8e92-742185a711a3\",\"y\":85,\"orderNum\":96,\"pageCompId\":\"912577879086776320\"},{\"component\":\"JBar\",\"pcX\":13,\"w\":11,\"moved\":false,\"pcY\":40,\"x\":13,\"h\":33,\"i\":\"82016a70-aa98-42cb-b205-c14e5e212cf8\",\"y\":40,\"orderNum\":106,\"pageCompId\":\"912577879103553536\"},{\"component\":\"JCommonTable\",\"pcX\":13,\"w\":6,\"moved\":false,\"pcY\":73,\"x\":13,\"h\":33,\"i\":\"0b68bd42-a0e9-48f8-9a7b-794ba9ebf8cf\",\"y\":73,\"orderNum\":106,\"pageCompId\":\"912577879116136448\"},{\"component\":\"JRing\",\"pcX\":19,\"w\":5,\"moved\":false,\"pcY\":73,\"x\":19,\"h\":33,\"i\":\"5130130f-6076-45b1-8977-d9b5a4c894fc\",\"y\":73,\"orderNum\":106,\"pageCompId\":\"912577879132913664\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-01-26 19:22:21', 'admin', '2024-01-29 15:56:38', NULL, 6902, 36, 3, 0);
INSERT INTO `onl_drag_page` VALUES ('911856216581914624', '产品销售数据', '/drag/page/view/911856216581914624', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":8,\"i\":\"8faf5811-d619-4ff2-839e-86ecb4e0328f\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"912581733916393472\"},{\"component\":\"JRing\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":8,\"x\":0,\"h\":30,\"i\":\"b5fa4269-1d38-4a62-80a3-52490943ff59\",\"y\":8,\"orderNum\":38,\"pageCompId\":\"912581733949947904\"},{\"component\":\"JBar\",\"pcX\":0,\"w\":5,\"moved\":false,\"pcY\":38,\"x\":0,\"h\":41,\"i\":\"de23faa0-ffa7-482c-857e-8dbfaea7dd47\",\"y\":38,\"orderNum\":38,\"pageCompId\":\"912581733975113728\"},{\"component\":\"JText\",\"pcX\":5,\"w\":4,\"moved\":false,\"pcY\":8,\"x\":5,\"h\":5,\"i\":\"f2158c50-22b0-4978-98b9-6e2cc784650e\",\"y\":8,\"orderNum\":84,\"pageCompId\":\"912581734000279552\"},{\"component\":\"JText\",\"pcX\":5,\"w\":4,\"moved\":false,\"pcY\":13,\"x\":5,\"h\":5,\"i\":\"a28c1804-cb6b-4c70-8e57-ce352ff09d63\",\"y\":13,\"orderNum\":84,\"pageCompId\":\"912581734025445376\"},{\"component\":\"JText\",\"pcX\":5,\"w\":4,\"moved\":false,\"pcY\":18,\"x\":5,\"h\":5,\"i\":\"63506dd7-e376-42c5-b39f-b2211ad8ebdc\",\"y\":18,\"orderNum\":84,\"pageCompId\":\"912581734050611200\"},{\"component\":\"JText\",\"pcX\":9,\"w\":4,\"moved\":false,\"pcY\":8,\"x\":9,\"h\":5,\"i\":\"de7e9a36-1234-4792-835a-c20687c433ed\",\"y\":8,\"orderNum\":84,\"pageCompId\":\"912581734084165632\"},{\"component\":\"JText\",\"pcX\":9,\"w\":4,\"moved\":false,\"pcY\":13,\"x\":9,\"h\":5,\"i\":\"ee6464c3-bda1-424a-8c0f-37fdfce6d8cb\",\"y\":13,\"orderNum\":84,\"pageCompId\":\"912581734113525760\"},{\"component\":\"JText\",\"pcX\":9,\"w\":4,\"moved\":false,\"pcY\":18,\"x\":9,\"h\":5,\"i\":\"c6de77fa-b17a-4549-bda8-0e00e65a7748\",\"y\":18,\"orderNum\":84,\"pageCompId\":\"912581734138691584\"},{\"component\":\"JText\",\"pcX\":13,\"w\":4,\"moved\":false,\"pcY\":8,\"x\":13,\"h\":5,\"i\":\"3dc483bb-0067-48ee-98bd-dfa2e7534909\",\"y\":8,\"orderNum\":84,\"pageCompId\":\"912581734163857408\"},{\"component\":\"JText\",\"pcX\":13,\"w\":4,\"moved\":false,\"pcY\":13,\"x\":13,\"h\":10,\"i\":\"ecd623a6-2e08-47f2-8dd6-c25ff5c29a66\",\"y\":13,\"orderNum\":84,\"pageCompId\":\"912581734189023232\"},{\"component\":\"JLine\",\"pcX\":5,\"w\":12,\"moved\":false,\"pcY\":23,\"x\":5,\"h\":27,\"i\":\"b910f04d-6a4d-4d79-811d-dc5d2f807713\",\"y\":23,\"orderNum\":83,\"pageCompId\":\"912581734209994752\"},{\"component\":\"JStackBar\",\"pcX\":5,\"w\":12,\"moved\":false,\"pcY\":50,\"x\":5,\"h\":29,\"i\":\"406be0c9-dc13-4cad-ac22-17a4a5c22bff\",\"y\":50,\"orderNum\":83,\"pageCompId\":\"912581734230966272\"},{\"component\":\"JRing\",\"pcX\":17,\"w\":7,\"moved\":false,\"pcY\":8,\"x\":17,\"h\":32,\"i\":\"76d16482-fd7f-4e92-ba27-68980b8b0029\",\"y\":8,\"orderNum\":83,\"pageCompId\":\"912581734256132096\"},{\"component\":\"JText\",\"pcX\":17,\"w\":7,\"moved\":false,\"pcY\":40,\"x\":17,\"h\":5,\"i\":\"211ebf49-1284-4b1c-99c9-08066a50f9ae\",\"y\":40,\"orderNum\":82,\"pageCompId\":\"912581734272909312\"},{\"component\":\"JBar\",\"pcX\":17,\"w\":7,\"moved\":false,\"pcY\":45,\"x\":17,\"h\":34,\"i\":\"c89556db-678a-418b-8121-1052958f4149\",\"y\":45,\"orderNum\":115,\"pageCompId\":\"912581734289686528\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-01-29 15:57:53', 'admin', '2024-01-30 14:21:56', NULL, 6902, 24, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('924603858451734528', '公司年度招聘看板', '/drag/page/view/924603858451734528', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"925744261272031232\",\"key\":\"c65d42a5-a824-49a9-83c0-c4596aa219d4\"},{\"pcX\":0,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":13,\"pageCompId\":\"925744261330751488\",\"key\":\"45bb9ca9-ade1-44b4-8a8c-f912aa5920b6\"},{\"pcX\":0,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":19,\"pageCompId\":\"925744261351723008\",\"key\":\"37d8b7ad-6b59-480f-8af1-c44a03ffca00\"},{\"pcX\":3,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":13,\"pageCompId\":\"925744261381083136\",\"key\":\"41b3d153-7e04-4751-94a3-2f6b466e9424\"},{\"pcX\":3,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"2df4f63e-b1a9-4a53-8972-08947f5f011b\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":19,\"pageCompId\":\"925744261402054656\",\"key\":\"e065a06b-e251-42b3-8ecf-e115459ae476\"},{\"pcX\":6,\"moved\":false,\"pcY\":13,\"h\":16,\"i\":\"2429182c-a58b-4cd9-8c88-8ad9b2b6a1e2\",\"orderNum\":20,\"component\":\"JRing\",\"w\":6,\"x\":6,\"y\":13,\"pageCompId\":\"925744261427220480\",\"key\":\"0bd2ecf1-d948-411c-8c49-09530f9ccae0\"},{\"pcX\":12,\"moved\":false,\"pcY\":13,\"h\":31,\"i\":\"33c42a31-ee7f-4f0a-b9bb-280bef0f4c02\",\"orderNum\":20,\"component\":\"JBubbleMap\",\"w\":6,\"x\":12,\"y\":13,\"pageCompId\":\"925744261464969216\",\"key\":\"6f298d57-db77-4801-9dc8-76b14967300f\"},{\"pcX\":18,\"moved\":false,\"pcY\":13,\"h\":31,\"i\":\"59cce641-ef13-4a49-835b-4ad20a3cc477\",\"orderNum\":20,\"component\":\"JFunnel\",\"w\":6,\"x\":18,\"y\":13,\"pageCompId\":\"925744261490135040\",\"key\":\"e8e525b9-051b-4f45-88ec-00dfcca1ffc8\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":6,\"x\":0,\"y\":8,\"pageCompId\":\"925744261519495168\",\"key\":\"79a6e469-54b4-46dd-88f2-896c07e6ec0b\"},{\"pcX\":6,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":12,\"x\":6,\"y\":8,\"pageCompId\":\"925744261544660992\",\"key\":\"808ca03a-2f22-4f5e-851b-cdd19a2e059d\"},{\"pcX\":18,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":6,\"x\":18,\"y\":8,\"pageCompId\":\"925744261569826816\",\"key\":\"8b2edadf-cdaf-43f4-86a1-2735219e5980\"},{\"pcX\":6,\"moved\":false,\"pcY\":29,\"h\":15,\"i\":\"a53c49e6-435a-402d-8de1-b8644b87486b\",\"orderNum\":25,\"component\":\"JPie\",\"w\":6,\"x\":6,\"y\":29,\"pageCompId\":\"925744261594992640\",\"key\":\"e8bdb58d-8950-4791-93dd-37a064e886f4\"},{\"pcX\":0,\"moved\":false,\"pcY\":25,\"h\":19,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"component\":\"JSmoothLine\",\"w\":6,\"x\":0,\"y\":25,\"pageCompId\":\"925744261615964160\",\"key\":\"891346e4-3bb3-46d0-af0d-da0a6cc118b8\"},{\"component\":\"JText\",\"pcX\":0,\"w\":6,\"moved\":false,\"pcY\":44,\"x\":0,\"h\":5,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"y\":44,\"orderNum\":44,\"pageCompId\":\"925744261636935680\"},{\"component\":\"JMultipleBar\",\"pcX\":0,\"w\":6,\"moved\":false,\"pcY\":49,\"x\":0,\"h\":29,\"i\":\"6841deb3-d062-42d8-8a2b-b58f6da64159\",\"y\":49,\"orderNum\":49,\"pageCompId\":\"925744261662101504\"},{\"component\":\"JCommonTable\",\"pcX\":6,\"w\":12,\"moved\":false,\"pcY\":49,\"x\":6,\"h\":29,\"i\":\"92758754-3165-4df6-a897-6da821492f81\",\"y\":49,\"orderNum\":69,\"pageCompId\":\"925744261687267328\"},{\"component\":\"JText\",\"pcX\":6,\"w\":12,\"moved\":false,\"pcY\":44,\"x\":6,\"h\":5,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"y\":44,\"orderNum\":69,\"pageCompId\":\"925744261712433152\"},{\"component\":\"JText\",\"pcX\":18,\"w\":6,\"moved\":false,\"pcY\":44,\"x\":18,\"h\":5,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"y\":44,\"orderNum\":78,\"pageCompId\":\"925744261745987584\"},{\"component\":\"JStackBar\",\"pcX\":18,\"w\":6,\"moved\":false,\"pcY\":49,\"x\":18,\"h\":29,\"i\":\"a9f3e66d-cfcd-41bb-908b-fc2e95cdb125\",\"y\":49,\"orderNum\":78,\"pageCompId\":\"925744261766959104\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-03-04 20:12:28', 'admin', '2024-03-13 14:05:31', NULL, 1, 41, 8, 0);
INSERT INTO `onl_drag_page` VALUES ('925264635338260480', '测试cc1', '/drag/page/view/925264635338260480', NULL, NULL, 100, 'default', 'default', '', NULL, '[{\"component\":\"JBar\",\"w\":12,\"moved\":false,\"x\":0,\"h\":30,\"i\":\"ee644916-114e-4790-a1f2-e7ded851f214\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"925265555992182784\"}]', NULL, '988299695309357056', '0', 'admin', '2024-03-06 15:58:10', 'admin', '2024-03-06 16:01:49', NULL, 1000, 2, 1, 0);
INSERT INTO `onl_drag_page` VALUES ('925744661614153728', '金融封控数据展示', '/drag/page/view/925744661614153728', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"925962667610906624\",\"key\":\"e39b1e6d-dca7-4223-866f-e2e28f1233da\"},{\"pcX\":9,\"moved\":false,\"pcY\":14,\"h\":6,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":15,\"pageCompId\":\"925962667648655360\",\"key\":\"8c8d6017-40e4-49ae-8acb-74aa3f01d1b8\"},{\"pcX\":9,\"moved\":false,\"pcY\":8,\"h\":7,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":8,\"pageCompId\":\"925962667665432576\",\"key\":\"c57cfb37-3333-4fb3-9033-211cc6b63607\"},{\"pcX\":12,\"moved\":false,\"pcY\":14,\"h\":6,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":15,\"pageCompId\":\"925962667682209792\",\"key\":\"e131ddbd-2c02-4c99-b635-2453739987c2\"},{\"pcX\":12,\"moved\":false,\"pcY\":8,\"h\":7,\"i\":\"2df4f63e-b1a9-4a53-8972-08947f5f011b\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":8,\"pageCompId\":\"925962667698987008\",\"key\":\"650b2a2e-b0c2-4644-8131-d6bfb1d937b7\"},{\"pcX\":9,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":21,\"pageCompId\":\"925962667715764224\",\"key\":\"11408620-748c-40bb-9cb2-a38e14e099bb\"},{\"pcX\":9,\"moved\":false,\"pcY\":24,\"h\":6,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":27,\"pageCompId\":\"925962667732541440\",\"key\":\"ee880781-7379-4234-9fa0-5e838d2f8bc7\"},{\"pcX\":12,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":21,\"pageCompId\":\"925962667753512960\",\"key\":\"55e04041-6770-48f4-905a-2e6296904162\"},{\"pcX\":0,\"moved\":false,\"pcY\":58,\"h\":35,\"i\":\"a53c49e6-435a-402d-8de1-b8644b87486b\",\"orderNum\":25,\"component\":\"JPie\",\"w\":8,\"x\":0,\"y\":57,\"pageCompId\":\"925962667774484480\",\"key\":\"d4994845-fc96-4961-90b3-df812b410b92\"},{\"pcX\":15,\"moved\":false,\"pcY\":8,\"h\":7,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"orderNum\":44,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":8,\"pageCompId\":\"925962667795456000\",\"key\":\"7c8b661f-534e-4ab2-83d9-b845bdb6223f\"},{\"pcX\":15,\"moved\":false,\"pcY\":14,\"h\":6,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"orderNum\":69,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":15,\"pageCompId\":\"925962667808038912\",\"key\":\"04880935-83e1-41aa-809e-8a1127b1beb3\"},{\"pcX\":12,\"moved\":false,\"pcY\":24,\"h\":6,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"orderNum\":78,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":27,\"pageCompId\":\"925962667824816128\",\"key\":\"c208c5a6-fd09-4af5-893e-d678187887eb\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":25,\"i\":\"aafdcd2d-abec-48e5-8040-cc237cc70dec\",\"orderNum\":78,\"component\":\"JDynamicBar\",\"w\":9,\"x\":0,\"y\":8,\"pageCompId\":\"925962667841593344\",\"key\":\"a5a17907-3563-4fe6-8081-d4e3eaf0c942\"},{\"pcX\":15,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"f5027ec2-646c-4d37-ac73-bd1718720bb6\",\"orderNum\":97,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":21,\"pageCompId\":\"925962667858370560\",\"key\":\"10b2e5a9-c158-4a78-83c1-bc907c27df9c\"},{\"pcX\":15,\"moved\":false,\"pcY\":24,\"h\":6,\"i\":\"e2996773-4ddf-4f80-9139-4b5edc91c0ff\",\"orderNum\":97,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":27,\"pageCompId\":\"925962667875147776\",\"key\":\"e5b27b79-7618-42b7-8bb2-6f93102f48e6\"},{\"pcX\":8,\"moved\":false,\"pcY\":29,\"h\":29,\"i\":\"3785fa0d-410c-46d4-8942-d02ddfe884fc\",\"orderNum\":97,\"component\":\"JMultipleLine\",\"w\":10,\"x\":8,\"y\":33,\"pageCompId\":\"925962667896119296\",\"key\":\"cfde0604-580b-4faa-8e45-3922eac1bfd1\"},{\"pcX\":18,\"moved\":false,\"pcY\":38,\"h\":28,\"i\":\"ae1c0095-453d-49ff-8742-252645fd3ca4\",\"orderNum\":97,\"component\":\"JPie\",\"w\":6,\"x\":18,\"y\":38,\"pageCompId\":\"925962667912896512\",\"key\":\"55ff9177-3aa9-4ba4-8628-1da43691633d\"},{\"pcX\":0,\"moved\":false,\"pcY\":34,\"h\":24,\"i\":\"8dede0fc-a267-444a-a8ae-c224bb922d3a\",\"orderNum\":80,\"component\":\"JRing\",\"w\":8,\"x\":0,\"y\":33,\"pageCompId\":\"925962667938062336\",\"key\":\"91ec2e06-a569-489a-8806-08c37b8f2303\"},{\"pcX\":18,\"moved\":false,\"pcY\":8,\"h\":30,\"i\":\"e296cec4-664c-49d7-8922-61cde992b42b\",\"orderNum\":103,\"component\":\"JRing\",\"w\":6,\"x\":18,\"y\":8,\"pageCompId\":\"925962667954839552\",\"key\":\"d7227958-f9b0-400a-89fa-7440b70c3c44\"},{\"component\":\"JDynamicBar\",\"pcX\":8,\"w\":10,\"moved\":false,\"pcY\":58,\"x\":8,\"h\":30,\"i\":\"482a7ccc-51f1-40b5-9204-308be3ecc5f1\",\"y\":62,\"orderNum\":90,\"pageCompId\":\"925962667967422464\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-03-07 23:45:37', 'admin', '2024-03-13 14:05:28', NULL, 1, 67, 9, 0);
INSERT INTO `onl_drag_page` VALUES ('925966805971279872', '车间生产管理', '/drag/page/view/925966805971279872', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"925987666560327680\",\"key\":\"24ecfee4-be3c-47e7-a7f7-ee0af996e966\"},{\"pcX\":6,\"moved\":false,\"pcY\":14,\"h\":5,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":3,\"x\":6,\"y\":14,\"pageCompId\":\"925987666589687808\",\"key\":\"bac10715-7e2f-4408-821e-d300c96bb3f3\"},{\"pcX\":6,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":3,\"x\":6,\"y\":8,\"pageCompId\":\"925987666602270720\",\"key\":\"db0e5681-9481-4eab-b8c5-f7cd25d3310c\"},{\"pcX\":9,\"moved\":false,\"pcY\":14,\"h\":5,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":14,\"pageCompId\":\"925987666619047936\",\"key\":\"fff5d5ab-f352-44ae-8fd7-2f71d761d77a\"},{\"pcX\":9,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"2df4f63e-b1a9-4a53-8972-08947f5f011b\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":9,\"y\":8,\"pageCompId\":\"925987666640019456\",\"key\":\"96a44d9e-9d2e-4c8f-ac1d-b5298abe91d9\"},{\"pcX\":18,\"moved\":false,\"pcY\":13,\"h\":31,\"i\":\"59cce641-ef13-4a49-835b-4ad20a3cc477\",\"orderNum\":20,\"component\":\"JFunnel\",\"w\":6,\"x\":18,\"y\":13,\"pageCompId\":\"925987666660990976\",\"key\":\"1f16d847-f33b-4019-80fb-0395a9df514f\"},{\"pcX\":15,\"moved\":false,\"pcY\":14,\"h\":5,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":14,\"pageCompId\":\"925987666677768192\",\"key\":\"5d942489-aa76-4ef8-8c71-733dd3688266\"},{\"pcX\":12,\"moved\":false,\"pcY\":14,\"h\":5,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":14,\"pageCompId\":\"925987666698739712\",\"key\":\"7ed4eaf7-7a75-47c2-925e-43f89b059a02\"},{\"pcX\":12,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":3,\"x\":12,\"y\":8,\"pageCompId\":\"925987666715516928\",\"key\":\"0dd0c030-aba4-417c-a12e-c5cd32035fad\"},{\"pcX\":18,\"moved\":false,\"pcY\":73,\"h\":24,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"component\":\"JSmoothLine\",\"w\":6,\"x\":18,\"y\":73,\"pageCompId\":\"925987666732294144\",\"key\":\"2ae30c7d-2c6d-4ef0-8d42-80cea0412320\"},{\"pcX\":15,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"orderNum\":44,\"component\":\"JText\",\"w\":3,\"x\":15,\"y\":8,\"pageCompId\":\"925987666749071360\",\"key\":\"f2df4d9f-736f-4064-a404-5e974e84f4ce\"},{\"pcX\":18,\"moved\":false,\"pcY\":44,\"h\":29,\"i\":\"6841deb3-d062-42d8-8a2b-b58f6da64159\",\"orderNum\":49,\"component\":\"JMultipleBar\",\"w\":6,\"x\":18,\"y\":44,\"pageCompId\":\"925987666770042880\",\"key\":\"e96c07b2-5ed1-46dc-894c-202e0b04e6e5\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":37,\"i\":\"92758754-3165-4df6-a897-6da821492f81\",\"orderNum\":69,\"component\":\"JCommonTable\",\"w\":6,\"x\":0,\"y\":8,\"pageCompId\":\"925987666786820096\",\"key\":\"b59b15af-0b49-4938-8f87-e2aa7267346f\"},{\"pcX\":6,\"moved\":false,\"pcY\":59,\"h\":5,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"orderNum\":69,\"component\":\"JText\",\"w\":12,\"x\":6,\"y\":59,\"pageCompId\":\"925987666803597312\",\"key\":\"4f4afc8f-4b87-4127-a4f0-c365cce28ede\"},{\"pcX\":18,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"orderNum\":78,\"component\":\"JText\",\"w\":6,\"x\":18,\"y\":8,\"pageCompId\":\"925987666828763136\",\"key\":\"8b0234ac-2115-4d19-a356-b67147758ee7\"},{\"pcX\":0,\"moved\":false,\"pcY\":79,\"h\":18,\"i\":\"a9f3e66d-cfcd-41bb-908b-fc2e95cdb125\",\"orderNum\":78,\"component\":\"JStackBar\",\"w\":6,\"x\":0,\"y\":79,\"pageCompId\":\"925987666849734656\",\"key\":\"d85d94cc-642f-4ef7-88c2-12f97e30e636\"},{\"pcX\":0,\"moved\":false,\"pcY\":45,\"h\":34,\"i\":\"e90a0a58-5039-4763-9fd5-e7a271ee7ace\",\"orderNum\":74,\"component\":\"JCommonTable\",\"w\":6,\"x\":0,\"y\":45,\"pageCompId\":\"925987666866511872\",\"key\":\"21a8a9b4-8c86-4b26-8fa2-32104044fb53\"},{\"pcX\":6,\"moved\":false,\"pcY\":19,\"h\":40,\"i\":\"91178230-4e13-448d-bd76-69af0d3defe3\",\"orderNum\":108,\"component\":\"JMixLineBar\",\"w\":12,\"x\":6,\"y\":19,\"pageCompId\":\"925987666879094784\",\"key\":\"40fb5768-5cc1-49d6-b940-ba355c13eb21\"},{\"pcX\":11,\"moved\":false,\"pcY\":64,\"h\":33,\"i\":\"8c7f4e62-f8d9-4ba9-84c9-32fc7ae18206\",\"orderNum\":108,\"component\":\"JCommonTable\",\"w\":7,\"x\":11,\"y\":64,\"pageCompId\":\"925987666904260608\",\"key\":\"75ba8e4b-cced-4b47-afbf-dad8e52a1347\"},{\"component\":\"JPie\",\"pcX\":6,\"w\":5,\"moved\":false,\"pcY\":64,\"x\":6,\"h\":33,\"i\":\"275ce85f-17f5-4d32-8469-386c65a76637\",\"y\":64,\"orderNum\":97,\"pageCompId\":\"925987666925232128\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-03-08 14:28:20', 'admin', '2024-03-13 14:05:26', NULL, 1, 66, 9, 0);
INSERT INTO `onl_drag_page` VALUES ('925988240575995904', '医美行业网络关注度', '/drag/page/view/925988240575995904', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"927766205680885760\",\"key\":\"d55088fd-e43d-4a1d-9b05-5649a8eb596c\"},{\"pcX\":0,\"moved\":false,\"pcY\":78,\"h\":6,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":8,\"x\":0,\"y\":78,\"pageCompId\":\"927766205706051584\",\"key\":\"1c4e0fa2-b239-4f6e-a421-da3e0025d890\"},{\"pcX\":16,\"moved\":false,\"pcY\":77,\"h\":6,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":8,\"x\":16,\"y\":78,\"pageCompId\":\"927766205718634496\",\"key\":\"a97e4d8e-1a35-4259-8450-602159ee4549\"},{\"pcX\":8,\"moved\":false,\"pcY\":78,\"h\":6,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":8,\"x\":8,\"y\":78,\"pageCompId\":\"927766205731217408\",\"key\":\"19e0a67a-1f13-4af0-83ad-e6b8fde95a4f\"},{\"pcX\":16,\"moved\":false,\"pcY\":13,\"h\":30,\"i\":\"59cce641-ef13-4a49-835b-4ad20a3cc477\",\"orderNum\":20,\"component\":\"JFunnel\",\"w\":8,\"x\":16,\"y\":13,\"pageCompId\":\"927766205743800320\",\"key\":\"5d922cdd-ec89-4e9a-964f-c1ae3eedb607\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":8,\"x\":0,\"y\":8,\"pageCompId\":\"927766205756383232\",\"key\":\"4aaeb68b-8d14-48ba-89fc-4d22c13adaae\"},{\"pcX\":8,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":8,\"x\":8,\"y\":8,\"pageCompId\":\"927766205773160448\",\"key\":\"3cf7deaa-fb9d-4ef2-8cd7-d32d0a785690\"},{\"pcX\":16,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":8,\"x\":16,\"y\":8,\"pageCompId\":\"927766205794131968\",\"key\":\"88d4fdcd-ff1c-4d46-8466-200ef9e65a69\"},{\"pcX\":8,\"moved\":false,\"pcY\":13,\"h\":30,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"component\":\"JSmoothLine\",\"w\":8,\"x\":8,\"y\":13,\"pageCompId\":\"927766205806714880\",\"key\":\"5e423a51-6773-44a3-88e3-34b9589c696c\"},{\"pcX\":0,\"moved\":false,\"pcY\":43,\"h\":5,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"orderNum\":44,\"component\":\"JText\",\"w\":8,\"x\":0,\"y\":43,\"pageCompId\":\"927766205823492096\",\"key\":\"344516b7-8a19-4cd5-85f8-398c3480f814\"},{\"pcX\":16,\"moved\":false,\"pcY\":48,\"h\":30,\"i\":\"6841deb3-d062-42d8-8a2b-b58f6da64159\",\"orderNum\":49,\"component\":\"JMultipleBar\",\"w\":8,\"x\":16,\"y\":48,\"pageCompId\":\"927766205836075008\",\"key\":\"6d8a2052-2429-418f-80ab-e9e78af70de0\"},{\"pcX\":8,\"moved\":false,\"pcY\":43,\"h\":5,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"orderNum\":69,\"component\":\"JText\",\"w\":8,\"x\":8,\"y\":43,\"pageCompId\":\"927766205852852224\",\"key\":\"b499b520-7880-4630-b223-b0d8b5aed79d\"},{\"pcX\":16,\"moved\":false,\"pcY\":43,\"h\":5,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"orderNum\":78,\"component\":\"JText\",\"w\":8,\"x\":16,\"y\":43,\"pageCompId\":\"927766205865435136\",\"key\":\"89b201f0-871e-4ec8-96b0-eb03c9b31357\"},{\"pcX\":0,\"moved\":false,\"pcY\":13,\"h\":30,\"i\":\"88e40b11-fc48-4d59-8ba8-5d106f3dfa2b\",\"orderNum\":53,\"component\":\"JMixLineBar\",\"w\":8,\"x\":0,\"y\":13,\"pageCompId\":\"927766205873823744\",\"key\":\"0d8ade3b-02e8-4a6b-a0ed-f0dd46ebe87f\"},{\"pcX\":0,\"moved\":false,\"pcY\":48,\"h\":30,\"i\":\"000017d9-054b-492f-9327-537c64b25f0f\",\"orderNum\":54,\"component\":\"JDynamicBar\",\"w\":8,\"x\":0,\"y\":48,\"pageCompId\":\"927766205890600960\",\"key\":\"64b531f1-56d4-49ad-9afa-e03bd45d0c8b\"},{\"pcX\":0,\"moved\":false,\"pcY\":84,\"h\":29,\"i\":\"0331fad4-d098-4aa4-84e1-0583a0ed828f\",\"orderNum\":80,\"component\":\"JDynamicBar\",\"w\":8,\"x\":0,\"y\":84,\"pageCompId\":\"927766205903183872\",\"key\":\"7f656710-b951-4dce-860b-b5421fc62070\"},{\"pcX\":8,\"moved\":false,\"pcY\":48,\"h\":30,\"i\":\"f36d52f6-942b-438b-881a-2fd02ebfd7f0\",\"orderNum\":109,\"component\":\"JRing\",\"w\":8,\"x\":8,\"y\":48,\"pageCompId\":\"927766205915766784\",\"key\":\"423d760e-342e-473b-8af1-67e1c538c725\"},{\"pcX\":8,\"moved\":false,\"pcY\":84,\"h\":29,\"i\":\"7c994b82-cde8-41a2-9192-21f8c92085b9\",\"orderNum\":109,\"component\":\"JCommonTable\",\"w\":8,\"x\":8,\"y\":84,\"pageCompId\":\"927766205924155392\",\"key\":\"d4c825d1-c807-47f1-ac75-452de7f492bd\"},{\"component\":\"JRing\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":83,\"x\":16,\"h\":29,\"i\":\"7759c7d3-2ea1-4f89-9c49-9866e9d6cc77\",\"y\":84,\"orderNum\":113,\"pageCompId\":\"927766205936738304\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-03-08 15:53:31', 'admin', '2024-03-13 14:05:24', NULL, 1, 73, 6, 0);
INSERT INTO `onl_drag_page` VALUES ('925988379923357696', '消费者权益保护', '/drag/page/view/925988379923357696', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"927733693940277248\",\"key\":\"3dce2b44-02cb-4dce-83ce-c584eaba0bae\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":8,\"pageCompId\":\"927733693998997504\",\"key\":\"8ecd434b-858a-451a-8df5-236157d63c21\"},{\"pcX\":0,\"moved\":false,\"pcY\":14,\"h\":6,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":14,\"pageCompId\":\"927733694024163328\",\"key\":\"9bbaae8e-f7ea-41f7-be93-47039647c615\"},{\"pcX\":3,\"moved\":false,\"pcY\":8,\"h\":6,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":8,\"pageCompId\":\"927733694045134848\",\"key\":\"afbf3bce-23f1-4127-bb5a-b211e27b8593\"},{\"pcX\":3,\"moved\":false,\"pcY\":14,\"h\":6,\"i\":\"2df4f63e-b1a9-4a53-8972-08947f5f011b\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":14,\"pageCompId\":\"927733694066106368\",\"key\":\"3ec0dc1e-73b0-4196-8afd-c715f3a8ada9\"},{\"pcX\":6,\"moved\":false,\"pcY\":36,\"h\":5,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":8,\"x\":6,\"y\":36,\"pageCompId\":\"927733694087077888\",\"key\":\"ac2978bf-43af-4b8a-8b71-af89857ea47e\"},{\"pcX\":6,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":8,\"x\":6,\"y\":8,\"pageCompId\":\"927733694099660800\",\"key\":\"c53a541d-9a9c-4b1f-ba18-f55df961fc4e\"},{\"pcX\":14,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":10,\"x\":14,\"y\":8,\"pageCompId\":\"927733694116438016\",\"key\":\"a8ad0233-9683-4d1b-9e1b-e33cf79c1179\"},{\"pcX\":14,\"moved\":false,\"pcY\":24,\"h\":25,\"i\":\"a53c49e6-435a-402d-8de1-b8644b87486b\",\"orderNum\":25,\"component\":\"JPie\",\"w\":5,\"x\":14,\"y\":24,\"pageCompId\":\"927733694141603840\",\"key\":\"5fb28666-fe2b-4a2a-8a9c-1bb244bbf53d\"},{\"pcX\":6,\"moved\":false,\"pcY\":13,\"h\":23,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"component\":\"JSmoothLine\",\"w\":8,\"x\":6,\"y\":13,\"pageCompId\":\"927733694166769664\",\"key\":\"8b0e7f38-126e-4567-975b-100c6ca49e61\"},{\"pcX\":20,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"orderNum\":44,\"component\":\"JText\",\"w\":4,\"x\":20,\"y\":13,\"pageCompId\":\"927733694179352576\",\"key\":\"3d049ce0-e6ae-42c9-8a6b-454bea5f6a81\"},{\"pcX\":17,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"orderNum\":69,\"component\":\"JText\",\"w\":3,\"x\":17,\"y\":13,\"pageCompId\":\"927733694200324096\",\"key\":\"62fe06b3-008a-4fe7-a69a-ef3b6221d8db\"},{\"pcX\":14,\"moved\":false,\"pcY\":19,\"h\":5,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"orderNum\":78,\"component\":\"JText\",\"w\":10,\"x\":14,\"y\":19,\"pageCompId\":\"927733694217101312\",\"key\":\"8ab5ca31-cf06-490a-87a4-a97678f0d681\"},{\"pcX\":14,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"f4029d4e-b19e-4f50-9614-8eb6002b8bef\",\"orderNum\":54,\"component\":\"JText\",\"w\":3,\"x\":14,\"y\":13,\"pageCompId\":\"927733694233878528\",\"key\":\"4ad27d3e-44e5-4ec8-8a2d-f7fc15555f92\"},{\"pcX\":19,\"moved\":false,\"pcY\":24,\"h\":25,\"i\":\"b9fd7a80-7f1f-4ffd-b6dd-3efe1a3c224c\",\"orderNum\":54,\"component\":\"JBar\",\"w\":5,\"x\":19,\"y\":24,\"pageCompId\":\"927733694246461440\",\"key\":\"063a93ea-44a5-4921-9ed4-e741685e28f9\"},{\"pcX\":14,\"moved\":false,\"pcY\":49,\"h\":34,\"i\":\"ec683701-de14-49c5-88d2-684ba2b0983f\",\"orderNum\":54,\"component\":\"JScatter\",\"w\":10,\"x\":14,\"y\":49,\"pageCompId\":\"927733694259044352\",\"key\":\"2c485bcb-6e03-43b2-8f8d-25aee3637bb1\"},{\"pcX\":6,\"moved\":false,\"pcY\":56,\"h\":24,\"i\":\"4aeb9633-f22d-4b40-8ec3-45111146e9fa\",\"orderNum\":54,\"component\":\"JStepLine\",\"w\":8,\"x\":6,\"y\":56,\"pageCompId\":\"927733694267432960\",\"key\":\"6d8562e2-42a4-47e3-83ec-8632e80fd222\"},{\"pcX\":0,\"moved\":false,\"pcY\":20,\"h\":38,\"i\":\"147b58fb-4401-49b9-9db4-017b3c34ca40\",\"orderNum\":59,\"component\":\"JRing\",\"w\":6,\"x\":0,\"y\":20,\"pageCompId\":\"927733694284210176\",\"key\":\"e73c4768-778a-46ab-8748-06713f11cc49\"},{\"pcX\":6,\"moved\":false,\"pcY\":41,\"h\":15,\"i\":\"ab89cda3-73f8-4e04-8259-669cc5411a1c\",\"orderNum\":58,\"component\":\"JProgress\",\"w\":8,\"x\":6,\"y\":41,\"pageCompId\":\"927733694296793088\",\"key\":\"89c3f808-8423-4fd2-b2e3-29563cc00716\"},{\"component\":\"JPie\",\"pcX\":0,\"w\":6,\"moved\":false,\"pcY\":58,\"x\":0,\"h\":22,\"i\":\"5b345a14-4a1a-462d-8653-1bd8555039c1\",\"y\":58,\"orderNum\":58,\"pageCompId\":\"927733694309376000\"}]', 'amVlY2cxMzE0', '0', '1', 'admin', '2024-03-08 15:54:04', 'admin', '2024-03-13 14:05:20', NULL, 1, 69, 7, 0);
INSERT INTO `onl_drag_page` VALUES ('964024982110830592', '菜单示例@医美行业网络统计', '/drag/page/view/964024982110830592', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"moved\":false,\"pcY\":0,\"w\":24,\"h\":8,\"x\":0,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"y\":0,\"pageCompId\":\"964024982177939456\",\"key\":\"d55088fd-e43d-4a1d-9b05-5649a8eb596c\"},{\"component\":\"JText\",\"pcX\":0,\"moved\":false,\"pcY\":78,\"w\":8,\"h\":6,\"x\":0,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"y\":78,\"pageCompId\":\"964024982203105280\",\"key\":\"1c4e0fa2-b239-4f6e-a421-da3e0025d890\"},{\"component\":\"JText\",\"pcX\":16,\"moved\":false,\"pcY\":77,\"w\":8,\"h\":6,\"x\":16,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"y\":78,\"pageCompId\":\"964024982224076800\",\"key\":\"a97e4d8e-1a35-4259-8450-602159ee4549\"},{\"component\":\"JText\",\"pcX\":8,\"moved\":false,\"pcY\":78,\"w\":8,\"h\":6,\"x\":8,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"y\":78,\"pageCompId\":\"964024982240854016\",\"key\":\"19e0a67a-1f13-4af0-83ad-e6b8fde95a4f\"},{\"component\":\"JFunnel\",\"pcX\":16,\"moved\":false,\"pcY\":13,\"w\":8,\"h\":30,\"x\":16,\"i\":\"59cce641-ef13-4a49-835b-4ad20a3cc477\",\"orderNum\":20,\"y\":13,\"pageCompId\":\"964024982257631232\",\"key\":\"5d922cdd-ec89-4e9a-964f-c1ae3eedb607\"},{\"component\":\"JText\",\"pcX\":0,\"moved\":false,\"pcY\":8,\"w\":8,\"h\":5,\"x\":0,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"y\":8,\"pageCompId\":\"964024982274408448\",\"key\":\"4aaeb68b-8d14-48ba-89fc-4d22c13adaae\"},{\"component\":\"JText\",\"pcX\":8,\"moved\":false,\"pcY\":8,\"w\":8,\"h\":5,\"x\":8,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"y\":8,\"pageCompId\":\"964024982291185664\",\"key\":\"3cf7deaa-fb9d-4ef2-8cd7-d32d0a785690\"},{\"component\":\"JText\",\"pcX\":16,\"moved\":false,\"pcY\":8,\"w\":8,\"h\":5,\"x\":16,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"y\":8,\"pageCompId\":\"964024982303768576\",\"key\":\"88d4fdcd-ff1c-4d46-8466-200ef9e65a69\"},{\"component\":\"JSmoothLine\",\"pcX\":8,\"moved\":false,\"pcY\":13,\"w\":8,\"h\":30,\"x\":8,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"y\":13,\"pageCompId\":\"964024982316351488\",\"key\":\"5e423a51-6773-44a3-88e3-34b9589c696c\"},{\"component\":\"JText\",\"pcX\":0,\"moved\":false,\"pcY\":43,\"w\":8,\"h\":5,\"x\":0,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"orderNum\":44,\"y\":43,\"pageCompId\":\"964024982328934400\",\"key\":\"344516b7-8a19-4cd5-85f8-398c3480f814\"},{\"component\":\"JMultipleBar\",\"pcX\":16,\"moved\":false,\"pcY\":48,\"w\":8,\"h\":30,\"x\":16,\"i\":\"6841deb3-d062-42d8-8a2b-b58f6da64159\",\"orderNum\":49,\"y\":48,\"pageCompId\":\"964024982345711616\",\"key\":\"6d8a2052-2429-418f-80ab-e9e78af70de0\"},{\"component\":\"JText\",\"pcX\":8,\"moved\":false,\"pcY\":43,\"w\":8,\"h\":5,\"x\":8,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"orderNum\":69,\"y\":43,\"pageCompId\":\"964024982362488832\",\"key\":\"b499b520-7880-4630-b223-b0d8b5aed79d\"},{\"component\":\"JText\",\"pcX\":16,\"moved\":false,\"pcY\":43,\"w\":8,\"h\":5,\"x\":16,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"orderNum\":78,\"y\":43,\"pageCompId\":\"964024982375071744\",\"key\":\"89b201f0-871e-4ec8-96b0-eb03c9b31357\"},{\"component\":\"JMixLineBar\",\"pcX\":0,\"moved\":false,\"pcY\":13,\"w\":8,\"h\":30,\"x\":0,\"i\":\"88e40b11-fc48-4d59-8ba8-5d106f3dfa2b\",\"orderNum\":53,\"y\":13,\"pageCompId\":\"964024982387654656\",\"key\":\"0d8ade3b-02e8-4a6b-a0ed-f0dd46ebe87f\"},{\"component\":\"JDynamicBar\",\"pcX\":0,\"moved\":false,\"pcY\":48,\"w\":8,\"h\":30,\"x\":0,\"i\":\"000017d9-054b-492f-9327-537c64b25f0f\",\"orderNum\":54,\"y\":48,\"pageCompId\":\"964024982412820480\",\"key\":\"64b531f1-56d4-49ad-9afa-e03bd45d0c8b\"},{\"component\":\"JDynamicBar\",\"pcX\":0,\"moved\":false,\"pcY\":84,\"w\":8,\"h\":29,\"x\":0,\"i\":\"0331fad4-d098-4aa4-84e1-0583a0ed828f\",\"orderNum\":80,\"y\":84,\"pageCompId\":\"964024982429597696\",\"key\":\"7f656710-b951-4dce-860b-b5421fc62070\"},{\"component\":\"JRing\",\"pcX\":8,\"moved\":false,\"pcY\":48,\"w\":8,\"h\":30,\"x\":8,\"i\":\"f36d52f6-942b-438b-881a-2fd02ebfd7f0\",\"orderNum\":109,\"y\":48,\"pageCompId\":\"964024982454763520\",\"key\":\"423d760e-342e-473b-8af1-67e1c538c725\"},{\"component\":\"JCommonTable\",\"pcX\":8,\"moved\":false,\"pcY\":84,\"w\":8,\"h\":29,\"x\":8,\"i\":\"7c994b82-cde8-41a2-9192-21f8c92085b9\",\"orderNum\":109,\"y\":84,\"pageCompId\":\"964024982467346432\",\"key\":\"d4c825d1-c807-47f1-ac75-452de7f492bd\"},{\"component\":\"JRing\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":83,\"x\":16,\"h\":29,\"i\":\"7759c7d3-2ea1-4f89-9c49-9866e9d6cc77\",\"y\":84,\"orderNum\":113,\"pageCompId\":\"964024982484123648\"}]', '', '988299668956545024', '0', 'jeecg', '2024-06-21 14:57:57', 'admin', '2024-03-13 14:05:24', '', 1001, 74, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('965151123370508288', '统计请假情况', '/drag/page/view/965151123370508288', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JPie\",\"w\":24,\"moved\":false,\"x\":0,\"h\":36,\"i\":\"5a977df8-d923-467c-913f-91ab1f68db61\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"965151751631110144\",\"key\":\"d7b37ce5-d284-4b70-9eba-06f4f79a98ba\"}]', '', '988299668956545024', '0', 'admin', '2024-06-24 17:32:50', 'admin', '2024-06-24 17:35:19', NULL, 1000, 2, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('965205492447150080', '公司年度招聘看板', '/drag/page/view/965205492447150080', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"pcX\":0,\"moved\":false,\"pcY\":0,\"h\":8,\"i\":\"95729a29-9b15-4102-8ca0-4474bcdfd6ea\",\"orderNum\":0,\"component\":\"JText\",\"w\":24,\"x\":0,\"y\":0,\"pageCompId\":\"993332441996427264\",\"key\":\"c65d42a5-a824-49a9-83c0-c4596aa219d4\"},{\"pcX\":0,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"89ac8d65-5a17-4c62-83cc-05f29f629734\",\"orderNum\":13,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":13,\"pageCompId\":\"993332442126450688\",\"key\":\"45bb9ca9-ade1-44b4-8a8c-f912aa5920b6\"},{\"pcX\":0,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"f5f244fb-deed-48eb-8ada-78dadbe08bd8\",\"orderNum\":21,\"component\":\"JText\",\"w\":3,\"x\":0,\"y\":19,\"pageCompId\":\"993332442151616512\",\"key\":\"37d8b7ad-6b59-480f-8af1-c44a03ffca00\"},{\"pcX\":3,\"moved\":false,\"pcY\":13,\"h\":6,\"i\":\"de17aaaf-b81c-48b3-8309-854b1d0b3d14\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":13,\"pageCompId\":\"993332442168393728\",\"key\":\"41b3d153-7e04-4751-94a3-2f6b466e9424\"},{\"pcX\":3,\"moved\":false,\"pcY\":19,\"h\":6,\"i\":\"2df4f63e-b1a9-4a53-8972-08947f5f011b\",\"orderNum\":20,\"component\":\"JText\",\"w\":3,\"x\":3,\"y\":19,\"pageCompId\":\"993332442193559552\",\"key\":\"e065a06b-e251-42b3-8ecf-e115459ae476\"},{\"pcX\":6,\"moved\":false,\"pcY\":13,\"h\":16,\"i\":\"2429182c-a58b-4cd9-8c88-8ad9b2b6a1e2\",\"orderNum\":20,\"component\":\"JRing\",\"w\":6,\"x\":6,\"y\":13,\"pageCompId\":\"993332442269057024\",\"key\":\"0bd2ecf1-d948-411c-8c49-09530f9ccae0\"},{\"pcX\":12,\"moved\":false,\"pcY\":13,\"h\":31,\"i\":\"33c42a31-ee7f-4f0a-b9bb-280bef0f4c02\",\"orderNum\":20,\"component\":\"JBubbleMap\",\"w\":6,\"x\":12,\"y\":13,\"pageCompId\":\"993332442290028544\",\"key\":\"6f298d57-db77-4801-9dc8-76b14967300f\"},{\"pcX\":18,\"moved\":false,\"pcY\":13,\"h\":31,\"i\":\"59cce641-ef13-4a49-835b-4ad20a3cc477\",\"orderNum\":20,\"component\":\"JFunnel\",\"w\":6,\"x\":18,\"y\":13,\"pageCompId\":\"993332442306805760\",\"key\":\"e8e525b9-051b-4f45-88ec-00dfcca1ffc8\"},{\"pcX\":0,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"6979473b-9eb1-4d90-887c-483378b89886\",\"orderNum\":20,\"component\":\"JText\",\"w\":6,\"x\":0,\"y\":8,\"pageCompId\":\"993332442323582976\",\"key\":\"79a6e469-54b4-46dd-88f2-896c07e6ec0b\"},{\"pcX\":6,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"fabcd19e-73a2-4a44-9035-d18bccfa77ba\",\"orderNum\":25,\"component\":\"JText\",\"w\":12,\"x\":6,\"y\":8,\"pageCompId\":\"993332442340360192\",\"key\":\"808ca03a-2f22-4f5e-851b-cdd19a2e059d\"},{\"pcX\":18,\"moved\":false,\"pcY\":8,\"h\":5,\"i\":\"e5eb46cd-4d1a-447e-b42a-6e390fa7080e\",\"orderNum\":25,\"component\":\"JText\",\"w\":6,\"x\":18,\"y\":8,\"pageCompId\":\"993332442357137408\",\"key\":\"8b2edadf-cdaf-43f4-86a1-2735219e5980\"},{\"pcX\":6,\"moved\":false,\"pcY\":29,\"h\":15,\"i\":\"a53c49e6-435a-402d-8de1-b8644b87486b\",\"orderNum\":25,\"component\":\"JPie\",\"w\":6,\"x\":6,\"y\":29,\"pageCompId\":\"993332442373914624\",\"key\":\"e8bdb58d-8950-4791-93dd-37a064e886f4\"},{\"pcX\":0,\"moved\":false,\"pcY\":25,\"h\":19,\"i\":\"f42ce4f9-0e56-47da-8220-254436afea6d\",\"orderNum\":25,\"component\":\"JSmoothLine\",\"w\":6,\"x\":0,\"y\":25,\"pageCompId\":\"993332442386497536\",\"key\":\"891346e4-3bb3-46d0-af0d-da0a6cc118b8\"},{\"component\":\"JText\",\"pcX\":0,\"w\":6,\"moved\":false,\"pcY\":44,\"x\":0,\"h\":5,\"i\":\"102fa102-3bd7-4e86-83ea-77cc7ef23651\",\"y\":44,\"orderNum\":44,\"pageCompId\":\"993332442399080448\"},{\"component\":\"JMultipleBar\",\"pcX\":0,\"w\":6,\"moved\":false,\"pcY\":49,\"x\":0,\"h\":29,\"i\":\"6841deb3-d062-42d8-8a2b-b58f6da64159\",\"y\":49,\"orderNum\":49,\"pageCompId\":\"993332442415857664\"},{\"component\":\"JCommonTable\",\"pcX\":6,\"w\":12,\"moved\":false,\"pcY\":49,\"x\":6,\"h\":29,\"i\":\"92758754-3165-4df6-a897-6da821492f81\",\"y\":49,\"orderNum\":69,\"pageCompId\":\"993332442428440576\"},{\"component\":\"JText\",\"pcX\":6,\"w\":12,\"moved\":false,\"pcY\":44,\"x\":6,\"h\":5,\"i\":\"201a48c1-924c-4da0-87e5-9dc0eb2579a9\",\"y\":44,\"orderNum\":69,\"pageCompId\":\"993332442453606400\"},{\"component\":\"JText\",\"pcX\":18,\"w\":6,\"moved\":false,\"pcY\":44,\"x\":18,\"h\":5,\"i\":\"7e2ecc0a-7930-4c76-9c9a-76af22a58f59\",\"y\":44,\"orderNum\":78,\"pageCompId\":\"993332442470383616\"},{\"component\":\"JStackBar\",\"pcX\":18,\"w\":6,\"moved\":false,\"pcY\":49,\"x\":18,\"h\":29,\"i\":\"a9f3e66d-cfcd-41bb-908b-fc2e95cdb125\",\"y\":49,\"orderNum\":78,\"pageCompId\":\"993332442487160832\"}]', NULL, '988299668956545024', '0', 'admin', '2024-06-24 21:08:52', 'admin', '2024-09-10 11:55:20', '', 1000, 42, 0, 0);
INSERT INTO `onl_drag_page` VALUES ('993809146154418176', '物业消防巡检状态', '/drag/page/view/993809146154418176', NULL, NULL, 100, 'default', 'default', NULL, NULL, '[{\"component\":\"JText\",\"pcX\":0,\"w\":24,\"moved\":false,\"pcY\":0,\"x\":0,\"h\":8,\"i\":\"5d85e389-7ee4-40dd-8544-80049646ee34\",\"y\":0,\"orderNum\":0,\"pageCompId\":\"993809146221527040\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":10,\"x\":0,\"h\":6,\"i\":\"878306f4-8ff4-412c-b8d8-744b0897ae8f\",\"y\":8,\"orderNum\":10,\"pageCompId\":\"993809146250887168\"},{\"component\":\"JList\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":0,\"h\":17,\"i\":\"fe852828-ba3d-46d1-884a-1c723b870d55\",\"y\":14,\"orderNum\":20,\"pageCompId\":\"993809146267664384\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":37,\"x\":0,\"h\":7,\"i\":\"57fd4478-440a-4a6e-a115-186e14d5047a\",\"y\":31,\"orderNum\":38,\"pageCompId\":\"993809146288635904\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":47,\"x\":0,\"h\":12,\"i\":\"bb98b9db-042b-445e-8672-34182191871d\",\"y\":38,\"orderNum\":48,\"pageCompId\":\"993809146305413120\"},{\"component\":\"JNumber\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":57,\"x\":0,\"h\":12,\"i\":\"7eeab8ac-66f7-4d80-81a8-2e75dcb7093a\",\"y\":50,\"orderNum\":58,\"pageCompId\":\"993809146326384640\"},{\"component\":\"JText\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":67,\"x\":0,\"h\":7,\"i\":\"d7a87bcb-e5a6-4092-9b44-be37c284761d\",\"y\":62,\"orderNum\":69,\"pageCompId\":\"993809146343161856\"},{\"component\":\"JCommonTable\",\"pcX\":0,\"w\":8,\"moved\":false,\"pcY\":77,\"x\":0,\"h\":51,\"i\":\"1397ca94-7293-48bd-bb4f-673355c0355e\",\"y\":69,\"orderNum\":79,\"pageCompId\":\"993809146355744768\"},{\"component\":\"JBubbleMap\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":8,\"h\":32,\"i\":\"f0f84536-4ae3-43ff-aadb-6a1f113b1ab9\",\"y\":14,\"orderNum\":109,\"pageCompId\":\"993809146368327680\"},{\"component\":\"JText\",\"pcX\":8,\"w\":16,\"moved\":false,\"pcY\":10,\"x\":8,\"h\":6,\"i\":\"52c28b77-268c-4dc4-805e-a48b37657be1\",\"y\":8,\"orderNum\":109,\"pageCompId\":\"993809146380910592\"},{\"component\":\"JCommonTable\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":20,\"x\":16,\"h\":32,\"i\":\"8b2b0a47-c1fb-47bf-b8af-9c249d903baa\",\"y\":14,\"orderNum\":109,\"pageCompId\":\"993809146393493504\"},{\"component\":\"JPie\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":52,\"x\":8,\"h\":34,\"i\":\"619921d9-f1fe-4d09-8f3d-09238f6d3e4f\",\"y\":46,\"orderNum\":109,\"pageCompId\":\"993809146410270720\"},{\"component\":\"JBar\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":52,\"x\":16,\"h\":34,\"i\":\"2598e9f8-7611-49c1-97a5-018fba23f0e0\",\"y\":46,\"orderNum\":109,\"pageCompId\":\"993809146418659328\"},{\"component\":\"JLine\",\"pcX\":8,\"w\":8,\"moved\":false,\"pcY\":98,\"x\":8,\"h\":33,\"i\":\"01569400-637c-4d01-986e-c6604f88cc32\",\"y\":87,\"orderNum\":109,\"pageCompId\":\"993809146431242240\"},{\"component\":\"JCommonTable\",\"pcX\":16,\"w\":8,\"moved\":false,\"pcY\":86,\"x\":16,\"h\":33,\"i\":\"4fd26be3-3138-4cf5-9e7a-e24ff75bafad\",\"y\":87,\"orderNum\":114,\"pageCompId\":\"993809146443825152\"},{\"component\":\"JText\",\"pcX\":8,\"w\":16,\"moved\":false,\"pcY\":86,\"x\":8,\"h\":7,\"i\":\"e3bea36a-c897-41ec-9c8d-c572609a74e5\",\"y\":80,\"orderNum\":114,\"pageCompId\":\"993809146464796672\"}]', NULL, '988299668956545024', '0', 'admin', '2024-09-11 19:29:35', 'admin', '2024-01-31 15:46:14', '', 1000, 36, 0, 0);

-- ----------------------------
-- Table structure for onl_drag_page_comp
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_page_comp`;
CREATE TABLE `onl_drag_page_comp`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `parent_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父组件ID',
  `page_Id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '界面ID',
  `comp_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件库ID',
  `component` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件名称',
  `config` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '组件配置',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '可视化拖拽页面组件' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_page_comp
-- ----------------------------
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681378529280', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":695,\"height\":459},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681424666624', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":690,\"height\":385},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681441443840', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":543,\"height\":385},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681454026752', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":543,\"height\":455},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681470803968', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":688,\"height\":385},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681495969792', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":350,\"height\":385},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681512747008', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":360.0035587188612,\"height\":385},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681525329920', NULL, '1016994145836257280', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"个性化组件大阅兵\",\"size\":{\"width\":588,\"height\":71},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FAD400\",\"letterSpacing\":10,\"fontSize\":50,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681588244480', NULL, '1016994145836257280', NULL, 'JFlashCloud', '{\"chartData\":\"[    {        \\\"name\\\": \\\"欧莱雅\\\",        \\\"value\\\": 11638    },    {        \\\"name\\\": \\\"iPhone X\\\",        \\\"value\\\": 19651    },    {        \\\"name\\\": \\\"淘宝\\\",        \\\"value\\\": 3306    },    {        \\\"name\\\": \\\"oppo\\\",        \\\"value\\\": 6666    },    {        \\\"name\\\": \\\"小米\\\",        \\\"value\\\": 37410    },    {        \\\"name\\\": \\\"京东\\\",        \\\"value\\\": 3241    },    {        \\\"name\\\": \\\"抖音\\\",        \\\"value\\\": 2860    },    {        \\\"name\\\": \\\"天猫\\\",        \\\"value\\\": 1234    },    {        \\\"name\\\": \\\"百度\\\",        \\\"value\\\": 1756    },    {        \\\"name\\\": \\\"三星\\\",        \\\"value\\\": 4444    },    {        \\\"name\\\": \\\"Mac Pro\\\",        \\\"value\\\": 18341    },    {        \\\"name\\\": \\\"玛莎拉\\\",        \\\"value\\\": 10608    },    {        \\\"name\\\": \\\"小米手机\\\",        \\\"value\\\": 12550    },    {        \\\"name\\\": \\\"特斯拉\\\",        \\\"value\\\": 8298    },    {        \\\"name\\\": \\\"华为P20\\\",        \\\"value\\\": 17319    },    {        \\\"name\\\": \\\"华为\\\",        \\\"value\\\": 12000    },    {        \\\"name\\\": \\\"快手\\\",        \\\"value\\\": 3175    }]\",\"size\":{\"width\":321,\"height\":333},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"textSize\":14,\"zoom\":1,\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"textColor\":\"#fff\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681609216000', NULL, '1016994145836257280', NULL, 'JGender', '{\"chartData\":\"[{\\\"man\\\":50,\\\"woman\\\":35}]\",\"size\":{\"width\":341,\"height\":284},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"男\"},{\"mapping\":\"\",\"filed\":\"女\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"title\":{\"show\":true,\"text\":\"\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681621798912', NULL, '1016994145836257280', NULL, 'JWeatherForecast', '{\"size\":{\"width\":257,\"height\":47},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":257,\"dataType\":1,\"h\":47,\"option\":{\"template\":94,\"bgColor\":\"\",\"city\":\"\",\"num\":2,\"fontSize\":16,\"fontColor\":\"#fff\",\"url\":\"\"}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681634381824', NULL, '1016994145836257280', NULL, 'JNegativeBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"周一\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":170,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":240,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":244,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":220,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":210,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":320,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":302,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":341,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":374,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":390,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":450,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":420,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":-120,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":-132,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":-101,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":-134,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":-190,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":-230,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":-210,\\\"type\\\":\\\"支出\\\"}]\",\"size\":{\"width\":515,\"height\":429},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"type\":\"value\"},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":40,\"containLabel\":true},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681655353344', NULL, '1016994145836257280', NULL, 'JFlashList', '{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":34008,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":498,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":540,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"itemColor\":\"#00C2FF\",\"titleColor\":\"#00C2FF\",\"numberColor\":\"#00C2FF\",\"numberSize\":16,\"animateType\":\"zoomInUp\",\"titleShow\":true,\"zoom\":1,\"titleSize\":16,\"title\":\"排名统计\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681676324864', NULL, '1016994145836257280', NULL, 'JPictorialBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"驯鹿\\\",\\\"value\\\":123,\\\"symbol\\\":\\\"path://M-22.788,24.521c2.08-0.986,3.611-3.905,4.984-5.892 c-2.686,2.782-5.047,5.884-9.102,7.312c-0.992,0.005-0.25-2.016,0.34-2.362l1.852-0.41c0.564-0.218,0.785-0.842,0.902-1.347 c2.133-0.727,4.91-4.129,6.031-6.194c1.748-0.7,4.443-0.679,5.734-2.293c1.176-1.468,0.393-3.992,1.215-6.557 c0.24-0.754,0.574-1.581,1.008-2.293c-0.611,0.011-1.348-0.061-1.959-0.608c-1.391-1.245-0.785-2.086-1.297-3.313 c1.684,0.744,2.5,2.584,4.426,2.586C-8.46,3.012-8.255,2.901-8.04,2.824c6.031-1.952,15.182-0.165,19.498-3.937 c1.15-3.933-1.24-9.846-1.229-9.938c0.008-0.062-1.314-0.004-1.803-0.258c-1.119-0.771-6.531-3.75-0.17-3.33 c0.314-0.045,0.943,0.259,1.439,0.435c-0.289-1.694-0.92-0.144-3.311-1.946c0,0-1.1-0.855-1.764-1.98 c-0.836-1.09-2.01-2.825-2.992-4.031c-1.523-2.476,1.367,0.709,1.816,1.108c1.768,1.704,1.844,3.281,3.232,3.983 c0.195,0.203,1.453,0.164,0.926-0.468c-0.525-0.632-1.367-1.278-1.775-2.341c-0.293-0.703-1.311-2.326-1.566-2.711 c-0.256-0.384-0.959-1.718-1.67-2.351c-1.047-1.187-0.268-0.902,0.521-0.07c0.789,0.834,1.537,1.821,1.672,2.023 c0.135,0.203,1.584,2.521,1.725,2.387c0.102-0.259-0.035-0.428-0.158-0.852c-0.125-0.423-0.912-2.032-0.961-2.083 c-0.357-0.852-0.566-1.908-0.598-3.333c0.4-2.375,0.648-2.486,0.549-0.705c0.014,1.143,0.031,2.215,0.602,3.247 c0.807,1.496,1.764,4.064,1.836,4.474c0.561,3.176,2.904,1.749,2.281-0.126c-0.068-0.446-0.109-2.014-0.287-2.862 c-0.18-0.849-0.219-1.688-0.113-3.056c0.066-1.389,0.232-2.055,0.277-2.299c0.285-1.023,0.4-1.088,0.408,0.135 c-0.059,0.399-0.131,1.687-0.125,2.655c0.064,0.642-0.043,1.768,0.172,2.486c0.654,1.928-0.027,3.496,1,3.514 c1.805-0.424,2.428-1.218,2.428-2.346c-0.086-0.704-0.121-0.843-0.031-1.193c0.221-0.568,0.359-0.67,0.312-0.076 c-0.055,0.287,0.031,0.533,0.082,0.794c0.264,1.197,0.912,0.114,1.283-0.782c0.15-0.238,0.539-2.154,0.545-2.522 c-0.023-0.617,0.285-0.645,0.309,0.01c0.064,0.422-0.248,2.646-0.205,2.334c-0.338,1.24-1.105,3.402-3.379,4.712 c-0.389,0.12-1.186,1.286-3.328,2.178c0,0,1.729,0.321,3.156,0.246c1.102-0.19,3.707-0.027,4.654,0.269 c1.752,0.494,1.531-0.053,4.084,0.164c2.26-0.4,2.154,2.391-1.496,3.68c-2.549,1.405-3.107,1.475-2.293,2.984 c3.484,7.906,2.865,13.183,2.193,16.466c2.41,0.271,5.732-0.62,7.301,0.725c0.506,0.333,0.648,1.866-0.457,2.86 c-4.105,2.745-9.283,7.022-13.904,7.662c-0.977-0.194,0.156-2.025,0.803-2.247l1.898-0.03c0.596-0.101,0.936-0.669,1.152-1.139 c3.16-0.404,5.045-3.775,8.246-4.818c-4.035-0.718-9.588,3.981-12.162,1.051c-5.043,1.423-11.449,1.84-15.895,1.111 c-3.105,2.687-7.934,4.021-12.115,5.866c-3.271,3.511-5.188,8.086-9.967,10.414c-0.986,0.119-0.48-1.974,0.066-2.385l1.795-0.618 C-22.995,25.682-22.849,25.035-22.788,24.521z\\\",\\\"symbolSize\\\":[60,60]},{\\\"name\\\":\\\"飞机\\\",\\\"value\\\":60,\\\"symbol\\\":\\\"path://M1.112,32.559l2.998,1.205l-2.882,2.268l-2.215-0.012L1.112,32.559z M37.803,23.96 c0.158-0.838,0.5-1.509,0.961-1.904c-0.096-0.037-0.205-0.071-0.344-0.071c-0.777-0.005-2.068-0.009-3.047-0.009 c-0.633,0-1.217,0.066-1.754,0.18l2.199,1.804H37.803z M39.738,23.036c-0.111,0-0.377,0.325-0.537,0.924h1.076 C40.115,23.361,39.854,23.036,39.738,23.036z M39.934,39.867c-0.166,0-0.674,0.705-0.674,1.986s0.506,1.986,0.674,1.986 s0.672-0.705,0.672-1.986S40.102,39.867,39.934,39.867z M38.963,38.889c-0.098-0.038-0.209-0.07-0.348-0.073 c-0.082,0-0.174,0-0.268-0.001l-7.127,4.671c0.879,0.821,2.42,1.417,4.348,1.417c0.979,0,2.27-0.006,3.047-0.01 c0.139,0,0.25-0.034,0.348-0.072c-0.646-0.555-1.07-1.643-1.07-2.967C37.891,40.529,38.316,39.441,38.963,38.889z M32.713,23.96 l-12.37-10.116l-4.693-0.004c0,0,4,8.222,4.827,10.121H32.713z M59.311,32.374c-0.248,2.104-5.305,3.172-8.018,3.172H39.629 l-25.325,16.61L9.607,52.16c0,0,6.687-8.479,7.95-10.207c1.17-1.6,3.019-3.699,3.027-6.407h-2.138 c-5.839,0-13.816-3.789-18.472-5.583c-2.818-1.085-2.396-4.04-0.031-4.04h0.039l-3.299-11.371h3.617c0,0,4.352,5.696,5.846,7.5 c2,2.416,4.503,3.678,8.228,3.87h30.727c2.17,0,4.311,0.417,6.252,1.046c3.49,1.175,5.863,2.7,7.199,4.027 C59.145,31.584,59.352,32.025,59.311,32.374z M22.069,30.408c0-0.815-0.661-1.475-1.469-1.475c-0.812,0-1.471,0.66-1.471,1.475 s0.658,1.475,1.471,1.475C21.408,31.883,22.069,31.224,22.069,30.408z M27.06,30.408c0-0.815-0.656-1.478-1.466-1.478 c-0.812,0-1.471,0.662-1.471,1.478s0.658,1.477,1.471,1.477C26.404,31.885,27.06,31.224,27.06,30.408z M32.055,30.408 c0-0.815-0.66-1.475-1.469-1.475c-0.808,0-1.466,0.66-1.466,1.475s0.658,1.475,1.466,1.475 C31.398,31.883,32.055,31.224,32.055,30.408z M37.049,30.408c0-0.815-0.658-1.478-1.467-1.478c-0.812,0-1.469,0.662-1.469,1.478 s0.656,1.477,1.469,1.477C36.389,31.885,37.049,31.224,37.049,30.408z M42.039,30.408c0-0.815-0.656-1.478-1.465-1.478 c-0.811,0-1.469,0.662-1.469,1.478s0.658,1.477,1.469,1.477C41.383,31.885,42.039,31.224,42.039,30.408z M55.479,30.565 c-0.701-0.436-1.568-0.896-2.627-1.347c-0.613,0.289-1.551,0.476-2.73,0.476c-1.527,0-1.639,2.263,0.164,2.316 C52.389,32.074,54.627,31.373,55.479,30.565z\\\",\\\"symbolSize\\\":[65,35]},{\\\"name\\\":\\\"火箭\\\",\\\"value\\\":25,\\\"symbol\\\":\\\"path://M-244.396,44.399c0,0,0.47-2.931-2.427-6.512c2.819-8.221,3.21-15.709,3.21-15.709s5.795,1.383,5.795,7.325C-237.818,39.679-244.396,44.399-244.396,44.399z M-260.371,40.827c0,0-3.881-12.946-3.881-18.319c0-2.416,0.262-4.566,0.669-6.517h17.684c0.411,1.952,0.675,4.104,0.675,6.519c0,5.291-3.87,18.317-3.87,18.317H-260.371z M-254.745,18.951c-1.99,0-3.603,1.676-3.603,3.744c0,2.068,1.612,3.744,3.603,3.744c1.988,0,3.602-1.676,3.602-3.744S-252.757,18.951-254.745,18.951z M-255.521,2.228v-5.098h1.402v4.969c1.603,1.213,5.941,5.069,7.901,12.5h-17.05C-261.373,7.373-257.245,3.558-255.521,2.228zM-265.07,44.399c0,0-6.577-4.721-6.577-14.896c0-5.942,5.794-7.325,5.794-7.325s0.393,7.488,3.211,15.708C-265.539,41.469-265.07,44.399-265.07,44.399z M-252.36,45.15l-1.176-1.22L-254.789,48l-1.487-4.069l-1.019,2.116l-1.488-3.826h8.067L-252.36,45.15z\\\",\\\"symbolSize\\\":[50,60]},{\\\"name\\\":\\\"高铁\\\",\\\"value\\\":18,\\\"symbol\\\":\\\"path://M67.335,33.596L67.335,33.596c-0.002-1.39-1.153-3.183-3.328-4.218h-9.096v-2.07h5.371 c-4.939-2.07-11.199-4.141-14.89-4.141H19.72v12.421v5.176h38.373c4.033,0,8.457-1.035,9.142-5.176h-0.027 c0.076-0.367,0.129-0.751,0.129-1.165L67.335,33.596L67.335,33.596z M27.999,30.413h-3.105v-4.141h3.105V30.413z M35.245,30.413 h-3.104v-4.141h3.104V30.413z M42.491,30.413h-3.104v-4.141h3.104V30.413z M49.736,30.413h-3.104v-4.141h3.104V30.413z  M14.544,40.764c1.143,0,2.07-0.927,2.07-2.07V35.59V25.237c0-1.145-0.928-2.07-2.07-2.07H-9.265c-1.143,0-2.068,0.926-2.068,2.07 v10.351v3.105c0,1.144,0.926,2.07,2.068,2.07H14.544L14.544,40.764z M8.333,26.272h3.105v4.141H8.333V26.272z M1.087,26.272h3.105 v4.141H1.087V26.272z M-6.159,26.272h3.105v4.141h-3.105V26.272z M-9.265,41.798h69.352v1.035H-9.265V41.798z\\\",\\\"symbolSize\\\":[50,30]},{\\\"name\\\":\\\"轮船\\\",\\\"value\\\":12,\\\"symbol\\\":\\\"path://M16.678,17.086h9.854l-2.703,5.912c5.596,2.428,11.155,5.575,16.711,8.607c3.387,1.847,6.967,3.75,10.541,5.375 v-6.16l-4.197-2.763v-5.318L33.064,12.197h-11.48L20.43,15.24h-4.533l-1.266,3.286l0.781,0.345L16.678,17.086z M49.6,31.84 l0.047,1.273L27.438,20.998l0.799-1.734L49.6,31.84z M33.031,15.1l12.889,8.82l0.027,0.769L32.551,16.1L33.031,15.1z M22.377,14.045 h9.846l-1.539,3.365l-2.287-1.498h1.371l0.721-1.352h-2.023l-0.553,1.037l-0.541-0.357h-0.34l0.359-0.684h-2.025l-0.361,0.684 h-3.473L22.377,14.045z M23.695,20.678l-0.004,0.004h0.004V20.678z M24.828,18.199h-2.031l-0.719,1.358h2.029L24.828,18.199z  M40.385,34.227c-12.85-7.009-25.729-14.667-38.971-12.527c1.26,8.809,9.08,16.201,8.213,24.328 c-0.553,4.062-3.111,0.828-3.303,7.137c15.799,0,32.379,0,48.166,0l0.066-4.195l1.477-7.23 C50.842,39.812,45.393,36.961,40.385,34.227z M13.99,35.954c-1.213,0-2.195-1.353-2.195-3.035c0-1.665,0.98-3.017,2.195-3.017 c1.219,0,2.195,1.352,2.195,3.017C16.186,34.604,15.213,35.954,13.99,35.954z M23.691,20.682h-2.02l-0.588,1.351h2.023 L23.691,20.682z M19.697,18.199l-0.721,1.358h2.025l0.727-1.358H19.697z\\\",\\\"symbolSize\\\":[50,35]},{\\\"name\\\":\\\"汽车\\\",\\\"value\\\":9,\\\"symbol\\\":\\\"path://M49.592,40.883c-0.053,0.354-0.139,0.697-0.268,0.963c-0.232,0.475-0.455,0.519-1.334,0.475 c-1.135-0.053-2.764,0-4.484,0.068c0,0.476,0.018,0.697,0.018,0.697c0.111,1.299,0.697,1.342,0.931,1.342h3.7 c0.326,0,0.628,0,0.861-0.154c0.301-0.196,0.43-0.772,0.543-1.78c0.017-0.146,0.025-0.336,0.033-0.56v-0.01 c0-0.068,0.008-0.154,0.008-0.25V41.58l0,0C49.6,41.348,49.6,41.09,49.592,40.883L49.592,40.883z M6.057,40.883 c0.053,0.354,0.137,0.697,0.268,0.963c0.23,0.475,0.455,0.519,1.334,0.475c1.137-0.053,2.762,0,4.484,0.068 c0,0.476-0.018,0.697-0.018,0.697c-0.111,1.299-0.697,1.342-0.93,1.342h-3.7c-0.328,0-0.602,0-0.861-0.154 c-0.309-0.18-0.43-0.772-0.541-1.78c-0.018-0.146-0.027-0.336-0.035-0.56v-0.01c0-0.068-0.008-0.154-0.008-0.25V41.58l0,0 C6.057,41.348,6.057,41.09,6.057,40.883L6.057,40.883z M49.867,32.766c0-2.642-0.344-5.224-0.482-5.507 c-0.104-0.207-0.766-0.749-2.271-1.773c-1.522-1.042-1.487-0.887-1.766-1.566c0.25-0.078,0.492-0.224,0.639-0.241 c0.326-0.034,0.345,0.274,1.023,0.274c0.68,0,2.152-0.18,2.453-0.48c0.301-0.303,0.396-0.405,0.396-0.672 c0-0.268-0.156-0.818-0.447-1.146c-0.293-0.327-1.541-0.49-2.273-0.585c-0.729-0.095-0.834,0-1.022,0.121 c-0.304,0.189-0.32,1.919-0.32,1.919l-0.713,0.018c-0.465-1.146-1.11-3.452-2.117-5.269c-1.103-1.979-2.256-2.599-2.737-2.754 c-0.474-0.146-0.904-0.249-4.131-0.576c-3.298-0.344-5.922-0.388-8.262-0.388c-2.342,0-4.967,0.052-8.264,0.388 c-3.229,0.336-3.66,0.43-4.133,0.576s-1.633,0.775-2.736,2.754c-1.006,1.816-1.652,4.123-2.117,5.269L9.87,23.109 c0,0-0.008-1.729-0.318-1.919c-0.189-0.121-0.293-0.225-1.023-0.121c-0.732,0.104-1.98,0.258-2.273,0.585 c-0.293,0.327-0.447,0.878-0.447,1.146c0,0.267,0.094,0.379,0.396,0.672c0.301,0.301,1.773,0.48,2.453,0.48 c0.68,0,0.697-0.309,1.023-0.274c0.146,0.018,0.396,0.163,0.637,0.241c-0.283,0.68-0.24,0.524-1.764,1.566 c-1.506,1.033-2.178,1.566-2.271,1.773c-0.139,0.283-0.482,2.865-0.482,5.508s0.189,5.02,0.189,5.86c0,0.354,0,0.976,0.076,1.565 c0.053,0.354,0.129,0.697,0.268,0.966c0.232,0.473,0.447,0.516,1.334,0.473c1.137-0.051,2.779,0,4.477,0.07 c1.135,0.043,2.297,0.086,3.33,0.11c2.582,0.051,1.826-0.379,2.928-0.36c1.102,0.016,5.447,0.196,9.424,0.196 c3.976,0,8.332-0.182,9.423-0.196c1.102-0.019,0.346,0.411,2.926,0.36c1.033-0.018,2.195-0.067,3.332-0.11 c1.695-0.062,3.348-0.121,4.477-0.07c0.886,0.043,1.103,0,1.332-0.473c0.132-0.269,0.218-0.611,0.269-0.966 c0.086-0.592,0.078-1.213,0.078-1.565C49.678,37.793,49.867,35.408,49.867,32.766L49.867,32.766z M13.219,19.735 c0.412-0.964,1.652-2.9,2.256-3.244c0.145-0.087,1.426-0.491,4.637-0.706c2.953-0.198,6.217-0.276,7.73-0.276 c1.513,0,4.777,0.078,7.729,0.276c3.201,0.215,4.502,0.611,4.639,0.706c0.775,0.533,1.842,2.28,2.256,3.244 c0.412,0.965,0.965,2.858,0.861,3.116c-0.104,0.258,0.104,0.388-1.291,0.275c-1.387-0.103-10.088-0.216-14.185-0.216 c-4.088,0-12.789,0.113-14.184,0.216c-1.395,0.104-1.188-0.018-1.291-0.275C12.254,22.593,12.805,20.708,13.219,19.735 L13.219,19.735z M16.385,30.511c-0.619,0.155-0.988,0.491-1.764,0.482c-0.775,0-2.867-0.353-3.314-0.371 c-0.447-0.017-0.842,0.302-1.076,0.362c-0.23,0.06-0.688-0.104-1.377-0.318c-0.688-0.216-1.092-0.155-1.316-1.094 c-0.232-0.93,0-2.264,0-2.264c1.488-0.068,2.928,0.069,5.621,0.826c2.693,0.758,4.191,2.213,4.191,2.213 S17.004,30.357,16.385,30.511L16.385,30.511z M36.629,37.293c-1.23,0.164-6.386,0.207-8.794,0.207c-2.412,0-7.566-0.051-8.799-0.207 c-1.256-0.164-2.891-1.67-1.764-2.865c1.523-1.627,1.24-1.576,4.701-2.023C24.967,32.018,27.239,32,27.834,32 c0.584,0,2.865,0.025,5.859,0.404c3.461,0.447,3.178,0.396,4.699,2.022C39.521,35.623,37.887,37.129,36.629,37.293L36.629,37.293z  M48.129,29.582c-0.232,0.93-0.629,0.878-1.318,1.093c-0.688,0.216-1.145,0.371-1.377,0.319c-0.231-0.053-0.627-0.371-1.074-0.361 c-0.448,0.018-2.539,0.37-3.313,0.37c-0.772,0-1.146-0.328-1.764-0.481c-0.621-0.154-0.966-0.154-0.966-0.154 s1.49-1.464,4.191-2.213c2.693-0.758,4.131-0.895,5.621-0.826C48.129,27.309,48.361,28.643,48.129,29.582L48.129,29.582z\\\",\\\"symbolSize\\\":[40,30]},{\\\"name\\\":\\\"跑步\\\",\\\"value\\\":2,\\\"symbol\\\":\\\"path://M13.676,32.955c0.919-0.031,1.843-0.008,2.767-0.008v0.007c0.827,0,1.659,0.041,2.486-0.019 c0.417-0.028,1.118,0.325,1.14-0.545c0.014-0.637-0.156-1.279-0.873-1.367c-1.919-0.241-3.858-0.233-5.774,0.019 c-0.465,0.062-0.998,0.442-0.832,1.069C12.715,32.602,13.045,32.977,13.676,32.955z M14.108,29.013 c1.47-0.007,2.96-0.122,4.414,0.035c1.792,0.192,3.1-0.412,4.273-2.105c-3.044,0-5.882,0.014-8.719-0.01 c-0.768-0.005-1.495,0.118-1.461,1C12.642,28.731,13.329,29.014,14.108,29.013z M23.678,36.593c-0.666-0.69-1.258-1.497-2.483-1.448 c-2.341,0.095-4.689,0.051-7.035,0.012c-0.834-0.014-1.599,0.177-1.569,1.066c0.031,0.854,0.812,1.062,1.636,1.043 c1.425-0.033,2.852-0.01,4.278-0.01v-0.01c1.562,0,3.126,0.008,4.691-0.005C23.614,37.239,24.233,37.174,23.678,36.593z  M32.234,42.292h-0.002c-1.075,0.793-2.589,0.345-3.821,1.048c-0.359,0.193-0.663,0.465-0.899,0.799 c-1.068,1.623-2.052,3.301-3.117,4.928c-0.625,0.961-0.386,1.805,0.409,2.395c0.844,0.628,1.874,0.617,2.548-0.299 c1.912-2.573,3.761-5.197,5.621-7.814C33.484,42.619,33.032,42.387,32.234,42.292z M43.527,28.401 c-0.688-1.575-2.012-0.831-3.121-0.895c-1.047-0.058-2.119,1.128-3.002,0.345c-0.768-0.677-1.213-1.804-1.562-2.813 c-0.45-1.305-1.495-2.225-2.329-3.583c2.953,1.139,4.729,0.077,5.592-1.322c0.99-1.61,0.718-3.725-0.627-4.967 c-1.362-1.255-3.414-1.445-4.927-0.452c-1.933,1.268-2.206,2.893-0.899,6.11c-2.098-0.659-3.835-1.654-5.682-2.383 c-0.735-0.291-1.437-1.017-2.293-0.666c-2.263,0.927-4.522,1.885-6.723,2.95c-1.357,0.658-1.649,1.593-1.076,2.638 c0.462,0.851,1.643,1.126,2.806,0.617c0.993-0.433,1.994-0.857,2.951-1.374c1.599-0.86,3.044-0.873,4.604,0.214 c1.017,0.707,0.873,1.137,0.123,1.849c-1.701,1.615-3.516,3.12-4.933,5.006c-1.042,1.388-0.993,2.817,0.255,4.011 c1.538,1.471,3.148,2.869,4.708,4.315c0.485,0.444,0.907,0.896-0.227,1.104c-1.523,0.285-3.021,0.694-4.538,1.006 c-1.109,0.225-2.02,1.259-1.83,2.16c0.223,1.07,1.548,1.756,2.687,1.487c3.003-0.712,6.008-1.413,9.032-2.044 c1.549-0.324,2.273-1.869,1.344-3.115c-0.868-1.156-1.801-2.267-2.639-3.445c-1.964-2.762-1.95-2.771,0.528-5.189 c1.394-1.357,1.379-1.351,2.437,0.417c0.461,0.769,0.854,1.703,1.99,1.613c2.238-0.181,4.407-0.755,6.564-1.331 C43.557,30.447,43.88,29.206,43.527,28.401z\\\",\\\"symbolSize\\\":[50,50]},{\\\"name\\\":\\\"步行\\\",\\\"value\\\":1,\\\"symbol\\\":\\\"path://M29.902,23.275c1.86,0,3.368-1.506,3.368-3.365c0-1.859-1.508-3.365-3.368-3.365 c-1.857,0-3.365,1.506-3.365,3.365C26.537,21.769,28.045,23.275,29.902,23.275z M36.867,30.74c-1.666-0.467-3.799-1.6-4.732-4.199 c-0.932-2.6-3.131-2.998-4.797-2.998s-7.098,3.894-7.098,3.894c-1.133,1.001-2.1,6.502-0.967,6.769 c1.133,0.269,1.266-1.533,1.934-3.599c0.666-2.065,3.797-3.466,3.797-3.466s0.201,2.467-0.398,3.866 c-0.599,1.399-1.133,2.866-1.467,6.198s-1.6,3.665-3.799,6.266c-2.199,2.598-0.6,3.797,0.398,3.664 c1.002-0.133,5.865-5.598,6.398-6.998c0.533-1.397,0.668-3.732,0.668-3.732s0,0,2.199,1.867c2.199,1.865,2.332,4.6,2.998,7.73 s2.332,0.934,2.332-0.467c0-1.401,0.269-5.465-1-7.064c-1.265-1.6-3.73-3.465-3.73-5.265s1.199-3.732,1.199-3.732 c0.332,1.667,3.335,3.065,5.599,3.399C38.668,33.206,38.533,31.207,36.867,30.74z\\\",\\\"symbolSize\\\":[40,50]}]\",\"size\":{\"width\":516,\"height\":334},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"top\":60,\"left\":25,\"bottom\":18,\"right\":50,\"containLabel\":true},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681697296384', NULL, '1016994145836257280', NULL, 'JDevHistory', '{\"chartData\":\"[{\\\"year\\\":\\\"2012\\\",\\\"title\\\":\\\"开源项目JEECG被\\\\\\\"CSDN专家访谈\\\\\\\"\\\"},{\\\"year\\\":\\\"2012\\\",\\\"title\\\":\\\"开源项目JEECG被\\\\\\\"ITeye专家访谈\\\"},{\\\"year\\\":\\\"2012\\\",\\\"title\\\":\\\"JEECG在Google Code上开源\\\"},{\\\"year\\\":\\\"2012\\\",\\\"title\\\":\\\"推出开源项目\\\\\\\"MiniDao(持久层解决方案）\\\\\\\"超越了Mybatis和 Hibernate\\\"},{\\\"year\\\":\\\"2012\\\",\\\"title\\\":\\\"JEECG参加“云计算成就创业梦想”第二届阿里云开发者大赛\\\\\\\"园\\\"},{\\\"year\\\":\\\"2013\\\",\\\"title\\\":\\\"应邀参加了\\\\\\\"SDCC 2013中国软件开发者大会\\\\\\\" （大会由CSDN和《程 序员》杂志倾力打造）\\\"},{\\\"year\\\":\\\"2013\\\",\\\"title\\\":\\\"2017.07，开发GBI区块链资讯信息平台\\\"},{\\\"year\\\":\\\"2013\\\",\\\"title\\\":\\\"成立JEECG开源团队，创立JEECG开源社区\\\"},{\\\"year\\\":\\\"2013\\\",\\\"title\\\":\\\"中国优秀开源项目评选-公开投票,“JEECG以887票位居第九\\\"},{\\\"year\\\":\\\"2013\\\",\\\"title\\\":\\\"2013年应邀参加\\\\\\\"开源群英会2013”的开源英雄\\\"},{\\\"year\\\":\\\"2014\\\",\\\"title\\\":\\\"12月份捷微jeewx与联通集团达成战略合作，负责联通集团微信公众 账号集团化运营\\\"},{\\\"year\\\":\\\"2014\\\",\\\"title\\\":\\\"8月份捷微jeewx2.0与百度达成战略合作，集成百度地图，增加地图 功能，附近商家团购等信息搜索\\\"},{\\\"year\\\":\\\"2014\\\",\\\"title\\\":\\\"推出当前最火的开源项目“JeeWx(捷微:敏捷微信开发平台）”，并 获得CSDN举办的“2014年开发者大会”公开投票第一名\\\"},{\\\"year\\\":\\\"2014\\\",\\\"title\\\":\\\"5月应邀参加中国科学院大学创新创业年度论坛，探讨“创业企业发 展、创新创业孵化”的主题\\\"},{\\\"year\\\":\\\"2015\\\",\\\"title\\\":\\\"推出微信H5活动营销平台，专业解决客户对H5互动活动需求（H5huo dong.com）\\\"},{\\\"year\\\":\\\"2015\\\",\\\"title\\\":\\\"开源中国最热开源项目TOP20，社区开源项目独占4份，前五名两位（ jeewx、jeecg）\\\"},{\\\"year\\\":\\\"2015\\\",\\\"title\\\":\\\"12月独创，微信插件开发机制（java）,推出H5活动平台（www.h5h uodong.com），致力于互动微信H5活动开发\\\"},{\\\"year\\\":\\\"2015\\\",\\\"title\\\":\\\"6月份捷微jeewx推出集企业号版本，与中国移动打成战略合作，推出 企业号营销新模式\\\"},{\\\"year\\\":\\\"2015\\\",\\\"title\\\":\\\"3月份捷微jeewx推出集团化微信运营版本，专注微信应用一体化，企 业系统集成，实现公众账号上下级，类似组织机构权限模式\\\"},{\\\"year\\\":\\\"2016\\\",\\\"title\\\":\\\"jeecg推出插件开发机制 jeecg-p3，主推通过jeecg解决未来SAAS项 目需求方案\\\"},{\\\"year\\\":\\\"2016\\\",\\\"title\\\":\\\"jeecg推出重大更新，提升移动开发能力（移动表单配置、移动报表配 置、移动OA，无需编码，通过配置实现移动PC互用）\\\"}]\",\"size\":{\"width\":661,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"年份\"},{\"mapping\":\"\",\"filed\":\"标题\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"https://api.jeecg.com/mock/26/history\",\"timeOut\":0,\"option\":{\"typeFontColor\":\"#FFFFFF\",\"titleColor\":\"#1E90FF\",\"titleFontSize\":20,\"zoom\":1,\"typeBackColor\":\"#FF4500\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"waitTime\":4000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681714073600', NULL, '1016994145836257280', NULL, 'JRotatePie', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":450,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"typeFontColor\":\"#4A4A4A\",\"titleColor\":\"#4A4A4A\",\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\"}],\"tooltip\":{\"trigger\":\"item\"},\"typeBackColor\":\"#4A4A4A\",\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681726656512', NULL, '1016994145836257280', NULL, 'JColorBlock', '{\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"前缀\"},{\"mapping\":\"\",\"filed\":\"后缀\"},{\"mapping\":\"\",\"filed\":\"颜色\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":175,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[  {    \\\"backgroundColor\\\": \\\"#67C23A\\\",    \\\"prefix\\\": \\\"朝阳总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  },  {    \\\"backgroundColor\\\": \\\"#409EFF\\\",    \\\"prefix\\\": \\\"昌平总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  },  {    \\\"backgroundColor\\\": \\\"#E6A23C\\\",    \\\"prefix\\\": \\\"海淀总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  },  {    \\\"backgroundColor\\\": \\\"#F56C6C\\\",    \\\"prefix\\\": \\\"西城总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  },  {    \\\"backgroundColor\\\": \\\"#F56C6C\\\",    \\\"prefix\\\": \\\"西城总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  },  {    \\\"backgroundColor\\\": \\\"#F56C6C\\\",    \\\"prefix\\\": \\\"西城总销售额\\\",    \\\"value\\\": \\\"12345\\\",    \\\"suffix\\\": \\\"亿\\\"  }]\",\"size\":{\"width\":1865,\"height\":110},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"padding\":5,\"suffixFontSize\":16,\"prefixColor\":\"#FFFFFF\",\"color\":\"#FFFFFF\",\"prefixSplitx\":0,\"textAlign\":\"center\",\"prefixSplity\":0,\"suffixFontWeight\":\"normal\",\"prefix\":\"\",\"whole\":false,\"suffix\":\"\",\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"prefixFontSize\":16,\"prefixFontWeight\":\"normal\",\"suffixSplitx\":40,\"suffixColor\":\"#FFFFFF\",\"width\":50,\"lineNum\":6,\"fontSize\":16,\"borderSplitx\":20,\"borderSplity\":20,\"fontWeight\":\"normal\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"height\":50}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681743433728', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":350,\"height\":385},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681764405248', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":545,\"height\":468},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681781182464', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":541,\"height\":379},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"12\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681793765376', NULL, '1016994145836257280', NULL, 'JRectangle', '{\"chartData\":\"[{\\\"name\\\":\\\"分类 1\\\",\\\"value\\\":560},{\\\"name\\\":\\\"分类 2\\\",\\\"value\\\":500},{\\\"name\\\":\\\"分类 3\\\",\\\"value\\\":150},{\\\"name\\\":\\\"分类 4\\\",\\\"value\\\":140},{\\\"name\\\":\\\"分类 5\\\",\\\"value\\\":115},{\\\"name\\\":\\\"分类 6\\\",\\\"value\\\":95},{\\\"name\\\":\\\"分类 7\\\",\\\"value\\\":90},{\\\"name\\\":\\\"分类 8\\\",\\\"value\\\":75},{\\\"name\\\":\\\"分类 9\\\",\\\"value\\\":98},{\\\"name\\\":\\\"分类 10\\\",\\\"value\\\":60},{\\\"name\\\":\\\"分类 11\\\",\\\"value\\\":45},{\\\"name\\\":\\\"分类 12\\\",\\\"value\\\":40},{\\\"name\\\":\\\"分类 13\\\",\\\"value\\\":40},{\\\"name\\\":\\\"分类 14\\\",\\\"value\\\":35},{\\\"name\\\":\\\"分类 15\\\",\\\"value\\\":40},{\\\"name\\\":\\\"分类 16\\\",\\\"value\\\":40},{\\\"name\\\":\\\"分类 17\\\",\\\"value\\\":40},{\\\"name\\\":\\\"分类 18\\\",\\\"value\\\":30},{\\\"name\\\":\\\"分类 19\\\",\\\"value\\\":28},{\\\"name\\\":\\\"分类 20\\\",\\\"value\\\":16}]\",\"size\":{\"width\":662,\"height\":364},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"tipColor\":\"#FFFFFF\",\"titleColor\":\"#FFFFFF\",\"titleFontSize\":12,\"theme\":\"default\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"tipFontSize\":12,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681810542592', NULL, '1016994145836257280', NULL, 'JPyramid3D', '{\"chartData\":\"[{\\\"name\\\":\\\"Java\\\",\\\"value\\\":800,\\\"color\\\":\\\"#45fed4\\\"},{\\\"name\\\":\\\"PHP\\\",\\\"value\\\":100,\\\"color\\\":\\\"#84a9ef\\\"},{\\\"name\\\":\\\"C#\\\",\\\"value\\\":50,\\\"color\\\":\\\"#f1e04f\\\"},{\\\"name\\\":\\\"Python\\\",\\\"value\\\":66,\\\"color\\\":\\\"#dbfe73\\\"}]\",\"size\":{\"width\":678,\"height\":438},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"},{\"mapping\":\"\",\"filed\":\"颜色\"}],\"w\":735,\"dataType\":1,\"h\":485,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"size\":\"default\",\"zoom\":1}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017225681823125504', NULL, '1016994145836257280', NULL, 'JDragBorder', '{\"size\":{\"width\":1878.9484040956538,\"height\":130},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 10:18:32', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463101390848', NULL, '1016994412900175872', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"收视监控平台\",\"size\":{\"width\":376,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"letterSpacing\":5,\"fontSize\":50,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463134945280', NULL, '1016994412900175872', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"Viewing  Monitoring platform\",\"size\":{\"width\":382,\"height\":45},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":26,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463160111104', NULL, '1016994412900175872', NULL, 'JDragDecoration', '{\"size\":{\"width\":403,\"height\":78},\"w\":300,\"dataType\":1,\"h\":100,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"8\",\"title\":\"装饰8\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463176888320', NULL, '1016994412900175872', NULL, 'JCurrentTime', '{\"chartData\":\"\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":270,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":270,\"dataType\":1,\"h\":33,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"bgColor\":\"#4A4A4A\",\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"showWeek\":\"hide\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"fontColor\":\"#4A4A4A\"}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463185276928', NULL, '1016994412900175872', NULL, 'JImg', '{\"size\":{\"width\":93,\"height\":61},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/upload/test/1e80a2350e3a4b378a4ba7647aef9a17.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463202054144', NULL, '1016994412900175872', NULL, 'JWeatherForecast', '{\"size\":{\"width\":267,\"height\":59},\"w\":311,\"dataType\":1,\"h\":47,\"option\":{\"template\":11,\"bgColor\":\"\",\"city\":\"\",\"num\":2,\"fontSize\":16,\"fontColor\":\"#fff\",\"url\":\"\"}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463223025664', NULL, '1016994412900175872', NULL, 'JDragBorder', '{\"size\":{\"width\":599,\"height\":441},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463235608576', NULL, '1016994412900175872', NULL, 'JDragBorder', '{\"size\":{\"width\":582,\"height\":445},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463248191488', NULL, '1016994412900175872', NULL, 'JDragBorder', '{\"size\":{\"width\":589,\"height\":450},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463260774400', NULL, '1016994412900175872', NULL, 'JVideoJs', '{\"size\":{\"width\":568,\"height\":405},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"timeOut\":0,\"option\":{\"url\":\"http://vjs.zencdn.net/v/oceans.mp4\"}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463281745920', NULL, '1016994412900175872', NULL, 'JVideoJs', '{\"size\":{\"width\":560,\"height\":416},\"w\":450,\"dataType\":1,\"h\":300,\"timeOut\":0,\"option\":{\"url\":\"http://vjs.zencdn.net/v/oceans.mp4\"}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463294328832', NULL, '1016994412900175872', NULL, 'JVideoJs', '{\"size\":{\"width\":570,\"height\":433},\"w\":450,\"dataType\":1,\"h\":300,\"timeOut\":0,\"option\":{\"url\":\"http://vjs.zencdn.net/v/oceans.mp4\"}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463311106048', NULL, '1016994412900175872', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"全网实时收视率\",\"size\":{\"width\":262,\"height\":56},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":35,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463319494656', NULL, '1016994412900175872', NULL, 'JDragBorder', '{\"size\":{\"width\":1790,\"height\":417},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"2\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463332077568', NULL, '1016994412900175872', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 40,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 60,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  }]\",\"size\":{\"width\":485,\"height\":335},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"name\":\"\",\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#FFD700\"},{\"color\":\"#90EE90\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":40,\"containLabel\":true},\"series\":[{\"areaStyleOpacity\":0.5,\"symbolSize\":5,\"lineType\":\"smooth\",\"label\":{\"color\":\"#EEF1FA\"},\"lineWidth\":2}],\"legend\":{\"r\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463357243392', NULL, '1016994412900175872', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 40,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 60,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  }]\",\"size\":{\"width\":485,\"height\":335},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"show\":true,\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#1E86EB\"},{\"color\":\"#FF8C00\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":40,\"containLabel\":true},\"series\":[{\"symbolSize\":5,\"lineType\":\"smooth\",\"label\":{\"color\":\"#EEF1FA\"},\"lineWidth\":2}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463369826304', NULL, '1016994412900175872', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 40,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": \\\"周一\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周二\\\",    \\\"value\\\": 60,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周三\\\",    \\\"value\\\": 80,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周四\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": \\\"周五\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"下午\\\"  }]\",\"size\":{\"width\":485,\"height\":335},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#C71585\"},{\"color\":\"#FF4500\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":40,\"containLabel\":true},\"series\":[{\"symbolSize\":5,\"lineType\":\"smooth\",\"lineWidth\":2}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463382409216', NULL, '1016994412900175872', NULL, 'JSelectRadio', '{\"compShowConfig\":[{\"compVals\":[\"22aae23c-029e-456e-a1ac-0936cbfa6b6b\",\"9d1f25e6-5446-4f78-90c6-7f9bd674b058\",\"85841a8f-e6cd-479a-9ba8-c36497b4e912\",\"236cba9d-2c70-407e-8013-ee37e3d5d124\",\"es-drager-1731649759290-3\",\"es-drager-1731649765690-4\"],\"selectVal\":\"1\"},{\"compVals\":[\"3acfc295-ea6d-4e16-83fd-bfd8d9022d8d\",\"f499c09e-61cc-40f1-8496-d57d2f98f82c\",\"a82c61b6-4287-422a-b8e7-1cb34d17859a\",\"26735d51-f628-4ec6-8886-0ede0a7443af\",\"es-drager-1731650783569-1\",\"es-drager-1731650792607-2\"],\"selectVal\":\"2\"}],\"chartData\":\"[  {    \\\"label\\\": \\\"中央卫视\\\",    \\\"value\\\": \\\"1\\\"  },  {    \\\"label\\\": \\\"地方卫视\\\",    \\\"value\\\": \\\"2\\\"  }]\",\"size\":{\"width\":400,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"文本\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":400,\"dataType\":1,\"h\":80,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"padding\":0,\"backgroundColor\":\"#39414d\",\"borderColor\":\"\",\"color\":\"#FFFFFF\",\"activeColor\":\"#fff\",\"activeBorderColor\":\"\",\"borderWidth\":0,\"activeBackgroundColor\":\"#0a73ff\",\"fontSize\":30,\"type\":\"radio\",\"activeBorderWidth\":0}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463394992128', NULL, '1016994412900175872', NULL, 'JVideoPlay', '{\"chartData\":\"[{\\\"src\\\":\\\"http://vjs.zencdn.net/v/oceans.mp4\\\"}]\",\"size\":{\"width\":516,\"height\":351},\"background\":\"#4A90E2\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"路径\"}],\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"loop\":true,\"autoPlay\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463411769344', NULL, '1016994412900175872', NULL, 'JVideoPlay', '{\"chartData\":\"[{\\\"src\\\":\\\"http://vjs.zencdn.net/v/oceans.mp4\\\"}]\",\"size\":{\"width\":518,\"height\":361},\"background\":\"#4A90E2\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"路径\"}],\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"loop\":true,\"autoPlay\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463436935168', NULL, '1016994412900175872', NULL, 'JVideoPlay', '{\"chartData\":\"[{\\\"src\\\":\\\"http://vjs.zencdn.net/v/oceans.mp4\\\"}]\",\"size\":{\"width\":521,\"height\":378},\"background\":\"#4A90E2\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"路径\"}],\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"loop\":true,\"autoPlay\":false}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463449518080', NULL, '1016994412900175872', NULL, 'JBubble', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": 4,    \\\"value\\\": 80,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 5,    \\\"value\\\": 75,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 6,    \\\"value\\\": 68,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 7,    \\\"value\\\": 51,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 8,    \\\"value\\\": 92,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 9,    \\\"value\\\": 68,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 10,    \\\"value\\\": 78,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 11,    \\\"value\\\": 69,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 12,    \\\"value\\\": 83,    \\\"type\\\": \\\"上午\\\"  },  {    \\\"name\\\": 11,    \\\"value\\\": 6,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 10,    \\\"value\\\": 8,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 9,    \\\"value\\\": 7,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 8,    \\\"value\\\": 10,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 7,    \\\"value\\\": 11,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 6,    \\\"value\\\": 4,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 10,    \\\"value\\\": 20,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 8,    \\\"value\\\": 16,    \\\"type\\\": \\\"下午\\\"  },  {    \\\"name\\\": 7,    \\\"value\\\": 9,    \\\"type\\\": \\\"下午\\\"  }]\",\"size\":{\"width\":851,\"height\":360},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":50,\"left\":0,\"bottom\":18,\"right\":50,\"containLabel\":true},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463462100992', NULL, '1016994412900175872', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"视频访问来源\",\"size\":{\"width\":268,\"height\":63},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":35,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017286463478878208', NULL, '1016994412900175872', NULL, 'JRing', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"营销广告\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"搜索引擎\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"邮件营销\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"联盟广告\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"视频广告\\\"  }]\",\"size\":{\"width\":666,\"height\":385},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":480,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"top\":50,\"left\":50,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"color\":\"#FFFFFF\",\"show\":true,\"fontSize\":14,\"fontWeight\":\"bold\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"show\":false},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-15 14:20:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321185898713088', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"XX省XX市监狱\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321185940656128', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"狱政科数据展示\",\"size\":{\"width\":519,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"letterSpacing\":15,\"fontSize\":32,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321185957433344', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"罪犯管理概况\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321185974210560', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月劳动产值\",\"size\":{\"width\":142,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321185986793472', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月劳改达标率\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186003570688', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月违规总人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186024542208', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"严格管教人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186041319424', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"615006\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":32,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186053902336', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"98\",\"size\":{\"width\":49,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0E56F1\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186066485248', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"260\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FB2F8\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186095845376', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"77\",\"size\":{\"width\":89,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186108428288', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"劳动改造情况\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186121011200', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"罪犯处遇等级变更情况\",\"size\":{\"width\":211,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186133594112', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"罪犯实时违规记录\",\"size\":{\"width\":192,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186154565632', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"罪犯进出狱名单\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186175537152', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"%\",\"size\":{\"width\":44,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186188120064', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当前在狱人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186200702976', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"狱外流动人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186217480192', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"5256\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0E56F1\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186238451712', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"102\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0E56F1\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186251034624', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"满分人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186263617536', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"良好人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186280394752', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"158\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0E56F1\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186305560576', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"502\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186322337792', NULL, '1015895036886831104', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"6月\\\",        \\\"7月\\\",        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"入狱人数\\\",            \\\"data\\\": [                4,                26,                30,                16,                24,                12            ]        },        {            \\\"name\\\": \\\"出狱人数\\\",            \\\"data\\\": [                24,                12,                42,                26,                20,                24            ]        }    ]}\",\"size\":{\"width\":489,\"height\":216},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#0E56F1\"},{\"color\":\"#0BE3E3\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":5,\"containLabel\":true},\"series\":[{\"barWidth\":13,\"itemStyle\":{\"borderRadius\":0}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186334920704', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月入狱人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186351697920', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"14\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186376863744', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月出狱人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186393640960', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"5\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186406223872', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"及格人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186431389696', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"2027\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FB2F8\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186452361216', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"未达标人数\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186464944128', NULL, '1015895036886831104', NULL, 'JText', '{\"borderColor\":\"#F2D8D800\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"108\",\"size\":{\"width\":153,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186477527040', NULL, '1015895036886831104', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[    {        \\\"name\\\": \\\"普管\\\",        \\\"value\\\": 1600,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"严管\\\",        \\\"value\\\": 200,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"宽管\\\",        \\\"value\\\": 160,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"特殊管理\\\",        \\\"value\\\": 30,        \\\"url\\\": \\\"http://jeecg.com\\\"    }]\",\"size\":{\"width\":412,\"height\":263},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#00EAFF\"},{\"color\":\"#01BBF2\"},{\"color\":\"#028CE5\"},{\"color\":\"#035ED7\"},{\"color\":\"#58D9F9\"}],\"grid\":{\"top\":53,\"left\":50,\"show\":false},\"legend\":{\"r\":26,\"orient\":\"horizontal\",\"show\":true},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186498498560', NULL, '1015895036886831104', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[    {        \\\"name\\\": \\\"劳动岗位\\\",        \\\"value\\\": 1600,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"辅劳岗位\\\",        \\\"value\\\": 200,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"非劳岗位\\\",        \\\"value\\\": 160,        \\\"url\\\": \\\"http://jeecg.com\\\"    }]\",\"size\":{\"width\":412,\"height\":263},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#00EAFF\"},{\"color\":\"#01BBF2\"},{\"color\":\"#028CE5\"},{\"color\":\"#035ED7\"},{\"color\":\"#58D9F9\"}],\"grid\":{\"top\":53,\"left\":50,\"show\":false},\"legend\":{\"r\":26,\"orient\":\"horizontal\",\"show\":true},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186515275776', NULL, '1015895036886831104', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"满分\\\",            \\\"data\\\": [                240,                201,                192,                168            ]        },        {            \\\"name\\\": \\\"良好\\\",            \\\"data\\\": [                496,                680,                580,                480            ]        },        {            \\\"name\\\": \\\"及格\\\",            \\\"data\\\": [                2810,                2160,                2320,                2620            ]        },        {            \\\"name\\\": \\\"未达标\\\",            \\\"data\\\": [                168,                480,                360,                108            ]        }    ]}\",\"size\":{\"width\":529,\"height\":236},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#0E56F1\"},{\"color\":\"#0BE3E3\"},{\"color\":\"#0FB2F8\"},{\"color\":\"#FEB246\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":5,\"containLabel\":true},\"series\":[{\"barWidth\":15,\"itemStyle\":{\"borderRadius\":0}}],\"legend\":{\"r\":1,\"t\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186532052992', NULL, '1015895036886831104', NULL, 'JDynamicBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"严管升普管人数\\\",            \\\"data\\\": [                86,                64,                182,                134            ]        },        {            \\\"name\\\": \\\"普管升宽管人数\\\",            \\\"data\\\": [                162,                42,                69,                97            ]        }    ]}\",\"size\":{\"width\":464,\"height\":177},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":30,\"containLabel\":true},\"series\":[{\"barWidth\":9,\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#64B5F6\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186544635904', NULL, '1015895036886831104', NULL, 'JDynamicBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"普管降严管人数\\\",            \\\"data\\\": [                86,                64,                182,                134            ]        },        {            \\\"name\\\": \\\"宽管降普管人数\\\",            \\\"data\\\": [                162,                42,                69,                97            ]        }    ]}\",\"size\":{\"width\":450,\"height\":171},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":30,\"containLabel\":true},\"series\":[{\"barWidth\":9,\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#64B5F6\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186561413120', NULL, '1015895036886831104', NULL, 'JScrollBoard', '{\"chartData\":\"[    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"11014657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"10年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"1年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"3年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"无期\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"无期\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"3年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"5年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"3年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"10年\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"入狱\\\",        \\\"number\\\": \\\"无期\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"出狱\\\",        \\\"number\\\": \\\"无期\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    }]\",\"size\":{\"width\":534,\"height\":321},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"oddRowBGC\":\"#030C35\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#003A50\",\"header\":[{\"width\":\"100\",\"label\":\"罪犯姓名\"},{\"width\":\"100\",\"label\":\"罪犯编号\"},{\"width\":\"100\",\"label\":\"处遇等级\"},{\"width\":100,\"label\":\"状态\"},{\"width\":100,\"label\":\"刑期\"},{\"width\":100,\"label\":\"时间\"}],\"headerBGC\":\"#04183A\",\"headerHeight\":50,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186582384640', NULL, '1015895036886831104', NULL, 'JScrollBoard', '{\"chartData\":\"[    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"打架斗殴\\\",        \\\"price\\\": \\\"6分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"聚众赌博\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"劳动迟到\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"劳动迟到\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"劳动迟到\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"安全违规操作\\\",        \\\"price\\\": \\\"3分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"大声喧哗\\\",        \\\"price\\\": \\\"6分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"大声喧哗\\\",        \\\"price\\\": \\\"6分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"散布谣言\\\",        \\\"price\\\": \\\"6分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"散布谣言\\\",        \\\"price\\\": \\\"6分\\\",        \\\"amount\\\": \\\"2\\\",        \\\"cost\\\": \\\"张警官\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    }]\",\"size\":{\"width\":676,\"height\":324},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"oddRowBGC\":\"#030C35\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#003A50\",\"header\":[{\"width\":\"100\",\"label\":\"罪犯姓名\"},{\"width\":\"100\",\"label\":\"罪犯编号\"},{\"width\":\"100\",\"label\":\"出狱等级\"},{\"width\":100,\"label\":\"违规事由\"},{\"width\":100,\"label\":\"扣分\"},{\"width\":100,\"label\":\"执行预警\"},{\"width\":100,\"label\":\"时间\"}],\"headerBGC\":\"#04183A\",\"headerHeight\":50,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1017321186599161856', NULL, '1015895036886831104', NULL, 'JCurrentTime', '{\"chartData\":\"\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":289,\"height\":33},\"background\":\"#FFFFFF00\",\"w\":270,\"dataType\":1,\"h\":33,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"showWeek\":\"show\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-15 16:38:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136064339968', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"XX省XX市监狱\",\"size\":{\"width\":144,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136139837440', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"财务科数据展示\",\"size\":{\"width\":466,\"height\":45},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"letterSpacing\":10,\"fontSize\":32,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136160808960', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"物料采购概况\",\"size\":{\"width\":144,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136177586176', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"账户异常数据\",\"size\":{\"width\":144,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136190169088', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"药品领用实时数据\",\"size\":{\"width\":177,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136206946304', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"罪犯实时上下账数据\",\"size\":{\"width\":195,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136232112128', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"资金异常账户\",\"size\":{\"width\":144,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136248889344', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月商品采购金额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136261472256', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月药品采购金额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136274055168', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月被服采购金额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136295026688', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月办公用品采购金额\",\"size\":{\"width\":151,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136311803904', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"资金异常账户数\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136328581120', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"异常资金总额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136336969728', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"银行结账异常数\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136353746944', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"出所结算异常总额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136374718464', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"同比增长金额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":11,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136395689984', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"同比增长率\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":11,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136412467200', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"同比增长金额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":11,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136429244416', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"同比增长率\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":11,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136450215936', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月上账资金总额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136466993152', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"当月下账资金总额\",\"size\":{\"width\":132,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136487964672', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"56024.23\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#01BBF2\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136508936192', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"82216.68\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#00EAFF\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136525713408', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"1240.01\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#028CE5\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136538296320', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"3720.21\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#151FDD\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136555073536', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"15335.21\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136563462144', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"233500.06\",\"size\":{\"width\":179,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136580239360', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"311\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0E56F1\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136592822272', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"22216.02\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FB2F8\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136605405184', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"34560.32\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136622182400', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"22216.68\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#00EAFF\",\"fontSize\":34,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136638959616', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"123602.23\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136655736832', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"7.23\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0BE3E3\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136668319744', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"53602.23\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136685096960', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"4.23\",\"size\":{\"width\":161,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FEB246\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136693485568', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"%\",\"size\":{\"width\":84,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136710262784', NULL, '1016497921022545920', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"%\",\"size\":{\"width\":84,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#8AA7D0\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136727040000', NULL, '1016497921022545920', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"7月\\\",        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"商品采购占比\\\",            \\\"data\\\": [                12,                16,                13,                20,                24            ]        },        {            \\\"name\\\": \\\"药品采购占比\\\",            \\\"data\\\": [                28,                24,                25,                13,                12            ]        },        {            \\\"name\\\": \\\"被服采购占比\\\",            \\\"data\\\": [                34,                22,                32,                34,                40            ]        },        {            \\\"name\\\": \\\"办公用品采购占比\\\",            \\\"data\\\": [                26,                38,                30,                28,                16            ]        }    ]}\",\"size\":{\"width\":543,\"height\":257},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#00EAFF\"},{\"color\":\"#01BBF2\"},{\"color\":\"#028CE5\"},{\"color\":\"#151FDD\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":55,\"left\":0,\"bottom\":18,\"right\":5,\"containLabel\":true},\"series\":[{\"barWidth\":10,\"itemStyle\":{\"borderRadius\":0},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"top\"}}],\"legend\":{\"r\":13,\"t\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136743817216', NULL, '1016497921022545920', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"{    \\\"categories\\\": [        \\\"7月\\\",        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"上账资金走势\\\",            \\\"data\\\": [                18100.09,                28781.31,                25654.2,                30398.73,                16560.39            ]        },        {            \\\"name\\\": \\\"下账资金走势\\\",            \\\"data\\\": [                20100.09,                16281.31,                18654.2,                20021.73,                31560.02            ]        }    ]}\",\"size\":{\"width\":682,\"height\":309},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#0BE3E3\"},{\"color\":\"#FEB246\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":55,\"left\":0,\"bottom\":18,\"right\":5,\"containLabel\":true},\"series\":[{\"symbol\":\"circle\",\"symbolSize\":5,\"lineType\":\"smooth\",\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"lineWidth\":3}],\"legend\":{\"r\":56},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136756400128', NULL, '1016497921022545920', NULL, 'JArea', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"{    \\\"categories\\\": [        \\\"7月\\\",        \\\"8月\\\",        \\\"9月\\\",        \\\"10月\\\",        \\\"11月\\\"    ],    \\\"series\\\": [        {            \\\"name\\\": \\\"异常资金总额走势\\\",            \\\"data\\\": [                18100.09,                28781.31,                25654.2,                30398.73,                34560.39            ]        }    ]}\",\"size\":{\"width\":530,\"height\":258},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#FEB246\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"data\":[],\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"boundaryGap\":false,\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"izSmooth\":true,\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":10,\"containLabel\":true},\"series\":[{\"areaStyleOpacity\":0.6,\"areaStyle\":{},\"data\":[],\"type\":\"line\"}],\"title\":{\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136764788736', NULL, '1016497921022545920', NULL, 'JScrollBoard', '{\"chartData\":\"[    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"王来\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"咳嗽药\\\",        \\\"number\\\": \\\"3片\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    }]\",\"size\":{\"width\":531,\"height\":326},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"oddRowBGC\":\"#030D3A\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#003B51\",\"header\":[{\"width\":100,\"label\":\"罪犯姓名\"},{\"width\":100,\"label\":\"罪犯编号\"},{\"width\":100,\"label\":\"处遇等级\"},{\"width\":100,\"label\":\"领取药品\"},{\"width\":100,\"label\":\"数量\"},{\"width\":100,\"label\":\"时间\"}],\"headerBGC\":\"#041732\",\"headerHeight\":55,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136777371648', NULL, '1016497921022545920', NULL, 'JScrollBoard', '{\"chartData\":\"[    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"上账\\\",        \\\"A\\\": \\\"244.50\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"上账\\\",        \\\"A\\\": \\\"0.00\\\",        \\\"B\\\": \\\"1000.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"64.50\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"0.00\\\",        \\\"B\\\": \\\"162.30\\\",        \\\"C\\\": \\\"16.71\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"上账\\\",        \\\"A\\\": \\\"2000.00\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"上账\\\",        \\\"A\\\": \\\"20.10\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"0.00\\\",        \\\"B\\\": \\\"120.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"上账\\\",        \\\"A\\\": \\\"244.10\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"0.50\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"120.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"0.00\\\",        \\\"B\\\": \\\"1000.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"244.50\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890\\\",        \\\"level\\\": \\\"宽管\\\",        \\\"item\\\": \\\"下账\\\",        \\\"A\\\": \\\"244.50\\\",        \\\"B\\\": \\\"0.00\\\",        \\\"C\\\": \\\"0.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    }]\",\"size\":{\"width\":671,\"height\":338},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"oddRowBGC\":\"#030D3A\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#003B51\",\"header\":[{\"width\":100,\"label\":\"罪犯姓名\"},{\"width\":100,\"label\":\"罪犯编号\"},{\"width\":100,\"label\":\"处遇等级\"},{\"width\":100,\"label\":\"流向\"},{\"width\":100,\"label\":\"A账户\"},{\"width\":100,\"label\":\"B账户\"},{\"width\":100,\"label\":\"C账户\"},{\"width\":100,\"label\":\"时间\"}],\"headerBGC\":\"#041732\",\"headerHeight\":55,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1019836136794148864', NULL, '1016497921022545920', NULL, 'JScrollBoard', '{\"chartData\":\"[    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"205.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"68.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"8.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"68.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"68.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"32.24\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"李慧\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"381.00\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"出所结算\\\",        \\\"item\\\": \\\"68.32\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    },    {        \\\"name\\\": \\\"张三\\\",        \\\"SN\\\": \\\"1234657890023154\\\",        \\\"manage\\\": \\\"银行结算\\\",        \\\"item\\\": \\\"32.24\\\",        \\\"time\\\": \\\"2020-11-19 15:30:15\\\"    }]\",\"size\":{\"width\":531,\"height\":326},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"oddRowBGC\":\"#030D3A\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#003B51\",\"header\":[{\"width\":100,\"label\":\"罪犯姓名\"},{\"width\":100,\"label\":\"银行账户\"},{\"width\":100,\"label\":\"异常来源\"},{\"width\":100,\"label\":\"异常金额\"},{\"width\":100,\"label\":\"时间\"}],\"headerBGC\":\"#041732\",\"headerHeight\":55,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-22 15:11:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143312891904', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":1917.0000000000002,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6%E5%A4%B4%E5%9B%BE%E7%89%87_1657175683138.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143350640640', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"北京科技数字化云平台\",\"size\":{\"width\":420,\"height\":77},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":7,\"fontSize\":27,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143363223552', NULL, '1014376428645961728', NULL, 'JCurrentTime', '{\"chartData\":\"\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":421,\"height\":35},\"background\":\"#FFFFFF00\",\"w\":6,\"dataType\":1,\"h\":6,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#13DADD\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"showWeek\":\"hide\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143375806464', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143384195072', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"网关管理\",\"size\":{\"width\":80,\"height\":41},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143392583680', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143405166592', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"云组态\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143426138112', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143442915328', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143455498240', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143468081152', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143484858368', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143501635584', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":130,\"height\":52},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6菱形_1657175841432.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143514218496', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"设备管理\",\"size\":{\"width\":81,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143526801408', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"动态数据\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143539384320', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"人员管理\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143560355840', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"监控管理\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143577133056', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"人员定位\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143593910272', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"能源管理\",\"size\":{\"width\":80,\"height\":40},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143606493184', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":465,\"height\":260},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6左上_1657176154547.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143619076096', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"功耗总量\",\"size\":{\"width\":115,\"height\":33.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143635853312', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"电能耗|水能耗\",\"size\":{\"width\":267.00000000000006,\"height\":42.999999999999886},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":15,\"fontSize\":21,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143648436224', NULL, '1014376428645961728', NULL, 'JCountTo', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"17563\",\"size\":{\"width\":87.99999999999996,\"height\":40.52517985611512},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"suffixFontSize\":16,\"borderColor\":\"#31aefd\",\"prefixColor\":\"#FFFFFF\",\"color\":\"#FFFFFF\",\"suffixFontWeight\":\"normal\",\"prefix\":\"\",\"whole\":true,\"boxHeight\":50,\"suffix\":\"\",\"type\":\"img\",\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"prefixFontSize\":16,\"prefixFontWeight\":\"normal\",\"suffixColor\":\"#FFFFFF\",\"fontSize\":16,\"boxWidth\":50,\"fontWeight\":\"normal\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143665213440', NULL, '1014376428645961728', NULL, 'JCountTo', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"11163\",\"size\":{\"width\":91.99999999999994,\"height\":39.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"suffixFontSize\":16,\"borderColor\":\"#31aefd\",\"prefixColor\":\"#FFFFFF\",\"color\":\"#FFFFFF\",\"suffixFontWeight\":\"normal\",\"prefix\":\"\",\"whole\":true,\"boxHeight\":50,\"suffix\":\"\",\"type\":\"none\",\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"prefixFontSize\":16,\"prefixFontWeight\":\"normal\",\"suffixColor\":\"#FFFFFF\",\"fontSize\":16,\"boxWidth\":50,\"fontWeight\":\"normal\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143690379264', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"kw/h\",\"size\":{\"width\":80.00000000000006,\"height\":32.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143711350784', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"kw/h\",\"size\":{\"width\":91.00000000000006,\"height\":31.999999999999886},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143728128000', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":468,\"height\":632},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6左下_1657176316163.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143744905216', NULL, '1014376428645961728', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"一日\\\",    \\\"value\\\": 1280,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"二日\\\",    \\\"value\\\": 2000,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"三日\\\",    \\\"value\\\": 1756,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"四日\\\",    \\\"value\\\": 1240,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"五日\\\",    \\\"value\\\": 800,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"六日\\\",    \\\"value\\\": 1654,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"七日\\\",    \\\"value\\\": 2125,    \\\"type\\\": \\\"近七日电能耗\\\"  }]\",\"size\":{\"width\":393,\"height\":264},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":true,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#CCCCCC\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":46,\"left\":1,\"bottom\":20,\"show\":false,\"right\":6,\"containLabel\":true},\"series\":[{\"barWidth\":12,\"data\":[],\"itemStyle\":{\"color\":\"#00CED1\",\"borderRadius\":3},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"\",\"left\":137,\"show\":true,\"text\":\"近七日电能耗\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontSize\":17,\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143761682432', NULL, '1014376428645961728', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"一日\\\",    \\\"value\\\": 1280,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"二日\\\",    \\\"value\\\": 2000,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"三日\\\",    \\\"value\\\": 1756,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"四日\\\",    \\\"value\\\": 1240,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"五日\\\",    \\\"value\\\": 800,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"六日\\\",    \\\"value\\\": 1654,    \\\"type\\\": \\\"近七日电能耗\\\"  },  {    \\\"name\\\": \\\"七日\\\",    \\\"value\\\": 2125,    \\\"type\\\": \\\"近七日电能耗\\\"  }]\",\"size\":{\"width\":391,\"height\":266},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#909198\"},\"show\":true,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#CCCCCC\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":46,\"left\":1,\"bottom\":20,\"show\":false,\"right\":6,\"containLabel\":true},\"series\":[{\"barWidth\":12,\"data\":[],\"itemStyle\":{\"color\":\"#00CED1\",\"borderRadius\":3},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":116,\"show\":true,\"text\":\"近七日水能耗\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontSize\":17,\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143786848256', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":857,\"height\":483},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6border16_1657176410080.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143803625472', NULL, '1014376428645961728', NULL, 'JGauge', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"min\\\": 1,    \\\"max\\\": 210,    \\\"label\\\": \\\"名称\\\",    \\\"value\\\": 66,    \\\"unit\\\": \\\"%\\\"  }]\",\"size\":{\"width\":465,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"itemStyle\":{\"color\":\"#64b5f6\"},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"top\":213,\"left\":159,\"text\":\"二号机房功率\",\"textStyle\":{\"color\":\"#9AA8D4\",\"fontSize\":16,\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143816208384', NULL, '1014376428645961728', NULL, 'JGauge', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"min\\\": 1,    \\\"max\\\": 210,    \\\"label\\\": \\\"名称\\\",    \\\"value\\\": 50,    \\\"unit\\\": \\\"%\\\"  }]\",\"size\":{\"width\":359,\"height\":253},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"itemStyle\":{\"color\":\"#64b5f6\"},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"top\":179,\"left\":117,\"text\":\"三号机房功率\",\"textStyle\":{\"color\":\"#9AA8D4\",\"fontSize\":15,\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143837179904', NULL, '1014376428645961728', NULL, 'JGauge', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"min\\\": 1,    \\\"max\\\": 210,    \\\"label\\\": \\\"名称\\\",    \\\"value\\\": 30,    \\\"unit\\\": \\\"%\\\"  }]\",\"size\":{\"width\":359,\"height\":253},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"itemStyle\":{\"color\":\"#64b5f6\"},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"top\":177,\"left\":117,\"text\":\"四号机房功率\",\"textStyle\":{\"color\":\"#9AA8D4\",\"fontSize\":15,\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143853957120', NULL, '1014376428645961728', NULL, 'JGauge', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"min\\\": 1,    \\\"max\\\": 210,    \\\"label\\\": \\\"名称\\\",    \\\"value\\\": 90,    \\\"unit\\\": \\\"%\\\"  }]\",\"size\":{\"width\":359,\"height\":253},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"itemStyle\":{\"color\":\"#64b5f6\"},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"top\":177,\"left\":117,\"text\":\"五号机房功率\",\"textStyle\":{\"color\":\"#9AA8D4\",\"fontSize\":15,\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143870734336', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":859,\"height\":390},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6中下_1657176573600.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143895900160', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"设备列表\",\"size\":{\"width\":184,\"height\":44.000000000000064},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":17,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143921065984', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":465,\"height\":449},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6右上_1657176473804.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143933648896', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"信息\",\"size\":{\"width\":342,\"height\":51},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143946231808', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"站点号：0001\",\"size\":{\"width\":459,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143958814720', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"设备状态：正常\",\"size\":{\"width\":460,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143983980544', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"环境温度：36摄氏度\",\"size\":{\"width\":458,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338143996563456', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"在线设备：20 台\",\"size\":{\"width\":459,\"height\":80},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":0,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144009146368', NULL, '1014376428645961728', NULL, 'JImg', '{\"size\":{\"width\":465,\"height\":410},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/6右上_1657176473804.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144025923584', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"近七日设备在线数\",\"size\":{\"width\":340,\"height\":44},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":15,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144046895104', NULL, '1014376428645961728', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"设备功率信息\",\"size\":{\"width\":465,\"height\":57.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#13DADD\",\"letterSpacing\":17,\"fontSize\":18,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144063672320', NULL, '1014376428645961728', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"value\\\": 20,    \\\"name\\\": \\\"1\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"2\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"3\\\"  },  {    \\\"value\\\": 17,    \\\"name\\\": \\\"4\\\"  },  {    \\\"value\\\": 18,    \\\"name\\\": \\\"5\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"6\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"7\\\"  },  {    \\\"value\\\": 16,    \\\"name\\\": \\\"8\\\"  },  {    \\\"value\\\": 17,    \\\"name\\\": \\\"9\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"10\\\"  }]\",\"size\":{\"width\":466,\"height\":288},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"max\":30,\"axisLine\":{\"lineStyle\":{\"color\":\"#039199\"},\"show\":true},\"splitLine\":{\"lineStyle\":{\"color\":\"#CCCCCC\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":9,\"left\":31,\"bottom\":41,\"show\":false,\"right\":1},\"series\":[{\"areaStyleOpacity\":0.5,\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"label\":{\"color\":\"#EEF1FA\",\"show\":false},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":10,\"show\":false,\"text\":\"基础折线图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144080449536', NULL, '1014376428645961728', NULL, 'JScrollTable', '{\"borderColor\":\"#FFFFFF00\",\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"type1\\\": \\\"0374\\\",    \\\"type2\\\": \\\"1号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"5322\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"185\\\"  },  {    \\\"type1\\\": \\\"1753\\\",    \\\"type2\\\": \\\"1号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0022\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"8509\\\",    \\\"type2\\\": \\\"3号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0374\\\",    \\\"type2\\\": \\\"4号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"5322\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"185\\\"  },  {    \\\"type1\\\": \\\"1753\\\",    \\\"type2\\\": \\\"1号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0022\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"8509\\\",    \\\"type2\\\": \\\"3号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0374\\\",    \\\"type2\\\": \\\"4号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"5322\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"185\\\"  },  {    \\\"type1\\\": \\\"1753\\\",    \\\"type2\\\": \\\"1号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0022\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"8509\\\",    \\\"type2\\\": \\\"3号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0374\\\",    \\\"type2\\\": \\\"4号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"5322\\\",    \\\"type2\\\": \\\"2号搅机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"185\\\"  },  {    \\\"type1\\\": \\\"1753\\\",    \\\"type2\\\": \\\"1号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0022\\\",    \\\"type2\\\": \\\"2号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"8509\\\",    \\\"type2\\\": \\\"3号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  },  {    \\\"type1\\\": \\\"0374\\\",    \\\"type2\\\": \\\"4号机房\\\",    \\\"type3\\\": \\\"正常\\\",    \\\"type4\\\": \\\"180\\\"  }]\",\"size\":{\"width\":852,\"height\":329},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"evenColor\":\"#003B51\",\"headerBgColor\":\"#0A73FF\",\"fieldMapping\":[{\"name\":\"编号\",\"width\":150,\"key\":\"type1\"},{\"name\":\"设备名\",\"width\":300,\"key\":\"type2\"},{\"name\":\"设备状态\",\"width\":200,\"key\":\"type3\"},{\"name\":\"功率\",\"width\":150,\"key\":\"type4\"}],\"showHead\":true,\"scroll\":true,\"scrollTime\":5000,\"lineHeight\":50,\"fontSize\":24,\"bodyFontColor\":\"#FFFFFF\",\"showBorder\":true,\"oddColor\":\"#0A2732\",\"headerFontColor\":\"#FFFFFF\"}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021338144088838144', NULL, '1014376428645961728', NULL, 'JGauge', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"min\\\": 1,    \\\"max\\\": 210,    \\\"label\\\": \\\"名称\\\",    \\\"value\\\": 70,    \\\"unit\\\": \\\"%\\\"  }]\",\"size\":{\"width\":524,\"height\":301},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#EEEEEE\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#EEEEEE\"},\"show\":true},\"progress\":{\"show\":true},\"itemStyle\":{\"color\":\"#64b5f6\"},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"top\":211,\"left\":159,\"text\":\"一号机房功率\",\"textStyle\":{\"color\":\"#9AA8D4\",\"fontSize\":16,\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-11-26 18:39:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592459091968', NULL, '1016994272231608320', NULL, 'JDragBorder', '{\"size\":{\"width\":801,\"height\":926},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592501035008', NULL, '1016994272231608320', NULL, 'JDragBorder', '{\"size\":{\"width\":488,\"height\":926},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592526200832', NULL, '1016994272231608320', NULL, 'JDragBorder', '{\"size\":{\"width\":507,\"height\":926},\"w\":450,\"dataType\":1,\"h\":300,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592555560960', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"旅游数据分析中心大屏\",\"size\":{\"width\":636,\"height\":88},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#E8E8E8\",\"letterSpacing\":5,\"fontSize\":50,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592568143872', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"实时天气\",\"size\":{\"width\":139,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592584921088', NULL, '1016994272231608320', NULL, 'JImg', '{\"size\":{\"width\":91,\"height\":74},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/晴天_1623315350106.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592601698304', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"游客性别统计\",\"size\":{\"width\":171,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592622669824', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"近七天游客流量统计\",\"size\":{\"width\":231,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592647835648', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"今日游客统计\",\"size\":{\"width\":200,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592664612864', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"截止到当前时间段\",\"size\":{\"width\":212.7698028883034,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#DDDDDB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592681390080', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"过去7天车辆抓拍总数\",\"size\":{\"width\":267,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592706555904', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"车辆类型统计\",\"size\":{\"width\":205,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592735916032', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"车辆归属地统计\",\"size\":{\"width\":192,\"height\":39},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#D9D9D9\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592765276160', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":443,\"height\":100},\"w\":300,\"dataType\":1,\"h\":100,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"1\",\"title\":\"装饰1\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592786247680', NULL, '1016994272231608320', NULL, 'JWeatherForecast', '{\"size\":{\"height\":47},\"w\":257,\"dataType\":1,\"h\":47,\"option\":{\"template\":94,\"bgColor\":\"\",\"city\":\"\",\"num\":2,\"fontSize\":16,\"fontColor\":\"#fff\",\"url\":\"\"}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592807219200', NULL, '1016994272231608320', NULL, 'JCurrentTime', '{\"chartData\":\"\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":33},\"background\":\"#FFFFFF00\",\"w\":270,\"dataType\":1,\"h\":33,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"showWeek\":\"show\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592844967936', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":383,\"height\":47},\"w\":300,\"dataType\":1,\"h\":27,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"10\",\"title\":\"装饰10\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592861745152', NULL, '1016994272231608320', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[    {        \\\"name\\\": \\\"周一\\\",        \\\"value\\\": 1000879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周二\\\",        \\\"value\\\": 3400879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周三\\\",        \\\"value\\\": 2300879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周四\\\",        \\\"value\\\": 5400879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周五\\\",        \\\"value\\\": 3400879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周六\\\",        \\\"value\\\": 7400879,        \\\"type\\\": \\\"手机品牌\\\"    },    {        \\\"name\\\": \\\"周日\\\",        \\\"value\\\": 8400879,        \\\"type\\\": \\\"手机品牌\\\"    }]\",\"size\":{\"width\":488,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#EECC0C\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"show\":false,\"right\":40,\"containLabel\":true},\"series\":[{\"symbol\":\"circle\",\"data\":[],\"symbolSize\":12,\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\",\"lineWidth\":2}],\"title\":{\"subtext\":\"\",\"left\":10,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592878522368', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":396,\"height\":41},\"w\":300,\"dataType\":1,\"h\":27,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"10\",\"title\":\"装饰10\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592899493888', NULL, '1016994272231608320', NULL, 'JGender', '{\"chartData\":\"[{\\\"man\\\":50,\\\"woman\\\":35}]\",\"size\":{\"width\":317,\"height\":245},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"男\"},{\"mapping\":\"\",\"filed\":\"女\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"title\":{\"show\":true,\"text\":\"\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592941436928', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":604,\"height\":100},\"w\":300,\"dataType\":1,\"h\":100,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":18,\"type\":\"2\",\"title\":\"装饰2\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592958214144', NULL, '1016994272231608320', NULL, 'JCountTo', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":80,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"8745987\",\"size\":{\"width\":712,\"height\":142.9496402877698},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"suffixFontSize\":16,\"borderColor\":\"#31aefd\",\"prefixColor\":\"#FFFFFF\",\"color\":\"#EAC910\",\"suffixFontWeight\":\"normal\",\"prefix\":\"\",\"whole\":false,\"boxHeight\":95,\"suffix\":\"\",\"type\":\"img\",\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"prefixFontSize\":16,\"prefixFontWeight\":\"normal\",\"suffixColor\":\"#FFFFFF\",\"borderImg\":\"/img/bg/border/border1.png\",\"fontFamily\":\"DIGITALDREAMFAT\",\"gridY\":5,\"backgroundImg\":\"\",\"fontSize\":50,\"boxWidth\":90,\"fontWeight\":\"bold\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960592991768576', NULL, '1016994272231608320', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#132937\",\"color2\":\"#0A0909\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"区域\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":1,\"h\":300,\"activeKey\":1,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"北京\\\",\\\"value\\\":199},{\\\"name\\\":\\\"新疆\\\",\\\"value\\\":180},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":137},{\\\"name\\\":\\\"四川\\\",\\\"value\\\":125},{\\\"name\\\":\\\"黑龙江\\\",\\\"value\\\":123},{\\\"name\\\":\\\"广东\\\",\\\"value\\\":123},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":119},{\\\"name\\\":\\\"福建\\\",\\\"value\\\":116},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":116},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":114},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":114},{\\\"name\\\":\\\"安徽\\\",\\\"value\\\":109},{\\\"name\\\":\\\"河北\\\",\\\"value\\\":102},{\\\"name\\\":\\\"江苏\\\",\\\"value\\\":92},{\\\"name\\\":\\\"江西\\\",\\\"value\\\":91},{\\\"name\\\":\\\"重庆\\\",\\\"value\\\":91},{\\\"name\\\":\\\"云南\\\",\\\"value\\\":83},{\\\"name\\\":\\\"吉林\\\",\\\"value\\\":82},{\\\"name\\\":\\\"山西\\\",\\\"value\\\":81},{\\\"name\\\":\\\"陕西\\\",\\\"value\\\":80},{\\\"name\\\":\\\"辽宁\\\",\\\"value\\\":67},{\\\"name\\\":\\\"贵州\\\",\\\"value\\\":62},{\\\"name\\\":\\\"广西\\\",\\\"value\\\":59},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":56},{\\\"name\\\":\\\"内蒙古\\\",\\\"value\\\":47},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":42},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":24},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":18},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":14},{\\\"name\\\":\\\"青海\\\",\\\"value\\\":10},{\\\"name\\\":\\\"西藏\\\",\\\"value\\\":9}]\",\"size\":{\"width\":718,\"height\":527},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":25,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"shadowOffsetY\":0,\"borderColor\":\"#068FA1\",\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80D9F8\"},\"emphasis\":{\"areaColor\":\"#FFF59C\",\"borderWidth\":0}},\"zoom\":1.2,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"top\":19,\"left\":224,\"show\":true,\"text\":\"全国游客分布情况\",\"textStyle\":{\"color\":\"#FFD700\",\"fontSize\":25,\"fontWeight\":\"normal\"}},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593008545792', NULL, '1016994272231608320', NULL, 'JImg', '{\"size\":{\"width\":54,\"height\":51},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/汽车用品_1623316498991.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593029517312', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":406,\"height\":47},\"w\":300,\"dataType\":1,\"h\":27,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"10\",\"title\":\"装饰10\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593063071744', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"车辆抓拍总数\",\"size\":{\"width\":134,\"height\":33},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FAD400\",\"fontSize\":21,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593079848960', NULL, '1016994272231608320', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":33,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"12345\",\"size\":{\"width\":128,\"height\":45},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":100,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FAD400\",\"fontSize\":44,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593096626176', NULL, '1016994272231608320', NULL, 'JRing', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[    {        \\\"name\\\": \\\"客车\\\",        \\\"value\\\": 1000879    },    {        \\\"name\\\": \\\"轿车\\\",        \\\"value\\\": 3400879    },    {        \\\"name\\\": \\\"SUV\\\",        \\\"value\\\": 2300879    },    {        \\\"name\\\": \\\"货车\\\",        \\\"value\\\": 5400879    },    {        \\\"name\\\": \\\"摩托车\\\",        \\\"value\\\": 3000    },    {        \\\"name\\\": \\\"自行车\\\",        \\\"value\\\": 2000    }]\",\"size\":{\"width\":436,\"height\":300},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":480,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"top\":50,\"left\":50,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"color\":\"#FFFFFF\",\"show\":true,\"fontSize\":14,\"fontWeight\":\"bold\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":1,\"show\":false},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593121792000', NULL, '1016994272231608320', NULL, 'JDragDecoration', '{\"size\":{\"width\":421,\"height\":47},\"w\":300,\"dataType\":1,\"h\":27,\"option\":{\"dur\":3,\"mainColor\":\"#00CED1\",\"fontSize\":15,\"type\":\"10\",\"title\":\"装饰10\",\"subColor\":\"#FAD400\",\"reverse\":false}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1021960593138569216', NULL, '1016994272231608320', NULL, 'JCapsuleChart', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"车辆归属地\",\"query\":[],\"h\":300,\"dataSetApi\":\"https://api.jeecg.com/mock/26/activering\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":450,\"height\":300},\"dataSetId\":\"1011805223195824128\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"seriesType\":[],\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"showValue\":false,\"unit\":\"\",\"customColor\":[],\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-11-28 11:53:23', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507021467648', NULL, '1011915958294990848', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"军地大数据驾驶舱\",\"size\":{\"width\":446.00000000000006,\"height\":73.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"letterSpacing\":12,\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507063410688', NULL, '1011915958294990848', NULL, 'JRose', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"海淀双拥办\\\"  },  {    \\\"value\\\": 1735,    \\\"name\\\": \\\"朝阳双拥办\\\"  },  {    \\\"value\\\": 780,    \\\"name\\\": \\\"昌平双拥办\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"西城双拥办\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"东城双拥办\\\"  }]\",\"size\":{\"width\":426,\"height\":268},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#D6AD33\"},{\"color\":\"#1F93FF\"},{\"color\":\"#F6903D\"},{\"color\":\"#61DDAA\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"roseType\":\"radius\",\"name\":\"南丁格尔玫瑰\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"},\"label\":{\"color\":\"#FFFFFF\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"本市各区问题解决数\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontSize\":16,\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507080187904', NULL, '1011915958294990848', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#4F74E3\",\"color2\":\"#0A0909\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"区域\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":1,\"h\":30,\"activeKey\":1,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"北京\\\",\\\"value\\\":199},{\\\"name\\\":\\\"新疆\\\",\\\"value\\\":180},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":137},{\\\"name\\\":\\\"四川\\\",\\\"value\\\":125},{\\\"name\\\":\\\"黑龙江\\\",\\\"value\\\":123},{\\\"name\\\":\\\"广东\\\",\\\"value\\\":123},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":119},{\\\"name\\\":\\\"福建\\\",\\\"value\\\":116},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":116},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":114},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":114},{\\\"name\\\":\\\"安徽\\\",\\\"value\\\":109},{\\\"name\\\":\\\"河北\\\",\\\"value\\\":102},{\\\"name\\\":\\\"江苏\\\",\\\"value\\\":92},{\\\"name\\\":\\\"江西\\\",\\\"value\\\":91},{\\\"name\\\":\\\"重庆\\\",\\\"value\\\":91},{\\\"name\\\":\\\"云南\\\",\\\"value\\\":83},{\\\"name\\\":\\\"吉林\\\",\\\"value\\\":82},{\\\"name\\\":\\\"山西\\\",\\\"value\\\":81},{\\\"name\\\":\\\"陕西\\\",\\\"value\\\":80},{\\\"name\\\":\\\"辽宁\\\",\\\"value\\\":67},{\\\"name\\\":\\\"贵州\\\",\\\"value\\\":62},{\\\"name\\\":\\\"广西\\\",\\\"value\\\":59},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":56},{\\\"name\\\":\\\"内蒙古\\\",\\\"value\\\":47},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":42},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":24},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":18},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":14},{\\\"name\\\":\\\"青海\\\",\\\"value\\\":10},{\\\"name\\\":\\\"西藏\\\",\\\"value\\\":9}]\",\"size\":{\"width\":635,\"height\":492},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":30,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"shadowOffsetY\":0,\"borderColor\":\"#93EBF8\",\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80D9F8\"},\"emphasis\":{\"areaColor\":\"#FFF59C\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507101159424', NULL, '1011915958294990848', NULL, 'JCurrentTime', '{\"chartData\":\"\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":465,\"height\":60},\"background\":\"#15E85800\",\"w\":6,\"dataType\":1,\"h\":6,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"showWeek\":\"show\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507117936640', NULL, '1011915958294990848', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":560,\"height\":512},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"rotateTime\":5000,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/1_1657182043024.png\"},\"opacity\":1,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":true}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507130519552', NULL, '1011915958294990848', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"日常问题\\\",    \\\"value\\\": 131,    \\\"type\\\": \\\"地方双清单\\\"  },  {    \\\"name\\\": \\\"热点问题\\\",    \\\"value\\\": 320,    \\\"type\\\": \\\"地方双清单\\\"  },  {    \\\"name\\\": \\\"堵点问题\\\",    \\\"value\\\": 250,    \\\"type\\\": \\\"地方双清单\\\"  },  {    \\\"name\\\": \\\"日常问题\\\",    \\\"value\\\": 210,    \\\"type\\\": \\\"军队双清单\\\"  },  {    \\\"name\\\": \\\"热点问题\\\",    \\\"value\\\": 340,    \\\"type\\\": \\\"军队双清单\\\"  },  {    \\\"name\\\": \\\"堵点问题\\\",    \\\"value\\\": 230,    \\\"type\\\": \\\"军队双清单\\\"  }]\",\"size\":{\"width\":536,\"height\":328},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#C039DB\"},{\"color\":\"#DE374B\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":51,\"left\":32,\"bottom\":38,\"right\":1},\"series\":[{\"barWidth\":23,\"itemStyle\":{\"borderRadius\":19}}],\"legend\":{\"t\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"top\":0,\"left\":162,\"show\":true,\"text\":\"热点堵点分析\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507138908160', NULL, '1011915958294990848', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 200,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"7月\\\",    \\\"value\\\": 330,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"8月\\\",    \\\"value\\\": 345,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"9月\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"10月\\\",    \\\"value\\\": 860,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"11月\\\",    \\\"value\\\": 346,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"12月\\\",    \\\"value\\\": 147,    \\\"type\\\": \\\"军队双清单任务\\\"  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 129,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"7月\\\",    \\\"value\\\": 443,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"8月\\\",    \\\"value\\\": 236,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"9月\\\",    \\\"value\\\": 148,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"10月\\\",    \\\"value\\\": 347,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"11月\\\",    \\\"value\\\": 540,    \\\"type\\\": \\\"地方双清单任务\\\"  },  {    \\\"name\\\": \\\"12月\\\",    \\\"value\\\": 140,    \\\"type\\\": \\\"地方双清单任务\\\"  }]\",\"size\":{\"width\":519,\"height\":305},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"customColor\":[{\"color\":\"#BD0C5E\"},{\"color\":\"#08A2DF\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":63,\"left\":38,\"bottom\":46,\"right\":8},\"series\":[{\"symbolSize\":6,\"lineType\":\"smooth\",\"label\":{\"color\":\"#EEF1FA\"},\"lineWidth\":3}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":true,\"text\":\"完成效率分析（天/个）\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507151491072', NULL, '1011915958294990848', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"海淀区\\\",    \\\"value\\\": 53,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"朝阳区\\\",    \\\"value\\\": 52,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"大兴区\\\",    \\\"value\\\": 31,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"怀柔区\\\",    \\\"value\\\": 29,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"密云区\\\",    \\\"value\\\": 18,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"平谷区\\\",    \\\"value\\\": 16,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"顺义区\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"通州区\\\",    \\\"value\\\": 12,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"昌平区\\\",    \\\"value\\\": 29,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"东城区\\\",    \\\"value\\\": 28,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"西城区\\\",    \\\"value\\\": 23,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"门头沟\\\",    \\\"value\\\": 17,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"石景山\\\",    \\\"value\\\": 54,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"丰台区\\\",    \\\"value\\\": 14,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"房山区\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"延庆县\\\",    \\\"value\\\": 23,    \\\"type\\\": \\\"拥军支前工作\\\"  },  {    \\\"name\\\": \\\"海淀区\\\",    \\\"value\\\": 54,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"朝阳区\\\",    \\\"value\\\": 43,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"大兴区\\\",    \\\"value\\\": 27,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"怀柔区\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"密云区\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"平谷区\\\",    \\\"value\\\": 22,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"顺义区\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"通州区\\\",    \\\"value\\\": 22,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"昌平区\\\",    \\\"value\\\": 19,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"东城区\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"西城区\\\",    \\\"value\\\": 23,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"门头沟\\\",    \\\"value\\\": 22,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"石景山\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"丰台区\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"房山区\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"走访慰问部队\\\"  },  {    \\\"name\\\": \\\"延庆县\\\",    \\\"value\\\": 23,    \\\"type\\\": \\\"走访慰问部队\\\"  }]\",\"size\":{\"width\":1259,\"height\":286},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#C039DB\"},{\"color\":\"#DE374B\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":90,\"left\":40,\"bottom\":50,\"right\":15},\"series\":[{\"barWidth\":19,\"itemStyle\":{\"borderRadius\":7}}],\"legend\":{\"t\":16,\"show\":true},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"top\":0,\"left\":124,\"show\":true,\"text\":\"支持部队建设资金分析（单位：百万）\",\"textStyle\":{\"color\":\"#ED1111\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507180851200', NULL, '1011915958294990848', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"机构排名\",\"size\":{\"width\":99.00000000000006,\"height\":36.99999999999996},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507189239808', NULL, '1011915958294990848', NULL, 'JScrollBoard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  [    \\\"西城双拥办\\\",    \\\"130/145\\\",    \\\"138/145\\\"  ],  [    \\\"东城双拥办\\\",    \\\"108/145\\\",    \\\"108/145\\\"  ],  [    \\\"海淀双拥办\\\",    \\\"101/140\\\",    \\\"101/140\\\"  ],  [    \\\"朝阳双拥办\\\",    \\\"100/140\\\",    \\\"100/140\\\"  ],  [    \\\"昌平双拥办\\\",    \\\"105/135\\\",    \\\"105/135\\\"  ],  [    \\\"怀柔双拥办\\\",    \\\"102/130\\\",    \\\"102/130\\\"  ],  [    \\\"密云双拥办\\\",    \\\"100/130\\\",    \\\"100/130\\\"  ],  [    \\\"通州双拥办\\\",    \\\"99/120\\\",    \\\"99/120\\\"  ],  [    \\\"大兴双拥办\\\",    \\\"98/118\\\",    \\\"98/118\\\"  ]]\",\"size\":{\"width\":510,\"height\":295},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"oddRowBGC\":\"#0D1731\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":true,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"轮播表\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#11274C\",\"header\":[{\"width\":100,\"label\":\"地区\"},{\"width\":100,\"label\":\"军队问题解决\"},{\"width\":100,\"label\":\"地方问题解决\"}],\"headerBGC\":\"#0D1731\",\"headerHeight\":70,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507201822720', NULL, '1011915958294990848', NULL, 'JRadar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"value\\\": 75,    \\\"name\\\": \\\"地方志愿者\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  },  {    \\\"value\\\": 65,    \\\"name\\\": \\\"军外人才\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  },  {    \\\"value\\\": 55,    \\\"name\\\": \\\"军供站资源\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  },  {    \\\"value\\\": 74,    \\\"name\\\": \\\"拥军物资\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  },  {    \\\"value\\\": 38,    \\\"name\\\": \\\"民用运力\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  },  {    \\\"value\\\": 88,    \\\"name\\\": \\\"人防工程\\\",    \\\"type\\\": \\\"NBA\\\",    \\\"max\\\": 100  }]\",\"size\":{\"width\":540,\"height\":326},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"radar\":[{\"indicator\":[]}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[],\"show\":false},\"series\":[{\"data\":[],\"type\":\"radar\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"最近一个月\",\"left\":296,\"show\":true,\"text\":\"拥军资源力度分析\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507214405632', NULL, '1011915958294990848', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"拥军资源投入情况\",\"size\":{\"width\":171.00000000000006,\"height\":36.99999999999996},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507222794240', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"陆运支持\\\",    \\\"value\\\": 67  }]\",\"size\":{\"width\":245,\"height\":150},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#61DDAA\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507247960064', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"空运支持\\\",    \\\"value\\\": 92  }]\",\"size\":{\"width\":206,\"height\":145},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#8B49BB\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507260542976', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"海运支持\\\",    \\\"value\\\": 94  }]\",\"size\":{\"width\":206,\"height\":145},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#D6AD33\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507273125888', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"防疫物资支持\\\",    \\\"value\\\": 50  }]\",\"size\":{\"width\":225,\"height\":148},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#6755FB\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507281514496', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"慰问物资支持\\\",    \\\"value\\\": 40  }]\",\"size\":{\"width\":228,\"height\":145},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#F6903D\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507294097408', NULL, '1011915958294990848', NULL, 'JRingProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":200,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"医疗物资支持\\\",    \\\"value\\\": 70  }]\",\"size\":{\"width\":267,\"height\":145},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"color\":\"#A82A5A\",\"bgColor\":\"#E8EDF3\",\"fontSize\":18,\"lineHeight\":0,\"radius\":0.9,\"innerRadius\":0.9,\"fontColor\":\"#FFFFFF\"}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507319263232', NULL, '1011915958294990848', NULL, 'JProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":100,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"军队问题解决\\\",    \\\"value\\\": 89  }]\",\"size\":{\"width\":330,\"height\":55},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#FFFFFF\",\"fontSize\":16}},\"grid\":{\"top\":0,\"left\":0,\"bottom\":0,\"show\":false,\"right\":55,\"containLabel\":true},\"series\":[{\"barWidth\":19,\"color\":\"#F5A623\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"zlevel\":1,\"label\":{\"formatter\":\"{c}%\",\"color\":\"black\",\"show\":false,\"fontSize\":24,\"position\":\"left\"},\"realtimeSort\":true},{\"barWidth\":19,\"color\":\"#EEEEEE\",\"barGap\":\"-100%\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"label\":{\"formatter\":\"{c}\",\"color\":\"#FFFFFF\",\"show\":true,\"fontSize\":18,\"position\":\"right\",\"valueAnimation\":true},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"none\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\"}}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023811507331846144', NULL, '1011915958294990848', NULL, 'JProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":100,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"地方问题解决\\\",    \\\"value\\\": 75  }]\",\"size\":{\"width\":330,\"height\":55},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#FFFFFF\",\"fontSize\":16}},\"grid\":{\"top\":0,\"left\":0,\"bottom\":0,\"show\":false,\"right\":55,\"containLabel\":true},\"series\":[{\"barWidth\":19,\"color\":\"#BD10E0\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"zlevel\":1,\"label\":{\"formatter\":\"{c}%\",\"color\":\"black\",\"show\":false,\"fontSize\":24,\"position\":\"left\"},\"realtimeSort\":true},{\"barWidth\":19,\"color\":\"#EEEEEE\",\"barGap\":\"-100%\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"label\":{\"formatter\":\"{c}\",\"color\":\"#FFFFFF\",\"show\":true,\"fontSize\":18,\"position\":\"right\",\"valueAnimation\":true},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"none\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#EEF1FA\"}}}}', 'admin', '2024-12-03 14:28:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689476558848', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"853652\",\"size\":{\"width\":94.99999999999989,\"height\":44.999999999999886},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689484947456', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"3652\",\"size\":{\"width\":84,\"height\":31.280575539568332},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689501724672', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"1353652\",\"size\":{\"width\":77,\"height\":40.99999999999987},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689514307584', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"1753652\",\"size\":{\"width\":96,\"height\":41.99999999999983},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689522696192', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"26023\",\"size\":{\"width\":100,\"height\":37.99999999999994},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689531084800', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"60230\",\"size\":{\"width\":100.00000000000011,\"height\":33.33093525179855},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689543667712', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"8023\",\"size\":{\"width\":82,\"height\":39.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689552056320', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"12023\",\"size\":{\"width\":59.000000000000114,\"height\":45.99999999999993},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689560444928', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"26023\",\"size\":{\"width\":79.99999999999989,\"height\":44.000000000000014},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689577222144', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"8012\",\"size\":{\"width\":85,\"height\":53},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689589805056', NULL, '1011800681234354176', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"26023\",\"size\":{\"width\":78,\"height\":49.99999999999982},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#05D6E9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689598193664', NULL, '1011800681234354176', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[    {        \\\"name\\\": \\\"0-15岁\\\",        \\\"value\\\": 1000879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"16-40岁\\\",        \\\"value\\\": 3400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"41-55岁\\\",        \\\"value\\\": 2300879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"56-70岁\\\",        \\\"value\\\": 5400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"71+\\\",        \\\"value\\\": 3000,        \\\"url\\\": \\\"http://www.baidu.com\\\"    }]\",\"size\":{\"width\":314,\"height\":243.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#23B7E5\"},{\"color\":\"#9AA8D4\"},{\"color\":\"#188DF0\"},{\"color\":\"#564AA3\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#EEF1FA\"},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689606582272', NULL, '1011800681234354176', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 2879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 779,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 279,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 339,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 5879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 4579,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 179,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 979,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 179,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 2879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 979,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 5179,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 3379,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  }]\",\"size\":{\"width\":517,\"height\":332},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[{\"lineType\":\"smooth\",\"label\":{\"color\":\"#EEF1FA\"}}],\"legend\":{\"show\":false},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"多数据对比折线图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689619165184', NULL, '1011800681234354176', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"图文\\\",    \\\"value\\\": 120879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"视频\\\",    \\\"value\\\": 232879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"面询\\\",    \\\"value\\\": 340879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"电话\\\",    \\\"value\\\": 534790,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"量表\\\",    \\\"value\\\": 560879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"随访\\\",    \\\"value\\\": 670879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"提醒包\\\",    \\\"value\\\": 400879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"药品\\\",    \\\"value\\\": 540879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"复诊\\\",    \\\"value\\\": 200879,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":754,\"height\":392},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"left\":82,\"bottom\":115,\"show\":false,\"right\":101,\"containLabel\":true},\"series\":[{\"barWidth\":22,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"top\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689627553792', NULL, '1011800681234354176', NULL, 'JRose', '{\"chartData\":\"[    {        \\\"name\\\": \\\"康宁\\\",        \\\"value\\\": 1000879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"安肯\\\",        \\\"value\\\": 3400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"怡宁\\\",        \\\"value\\\": 2300879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"淳安\\\",        \\\"value\\\": 5400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"医院\\\",        \\\"value\\\": 3000,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"其他\\\",        \\\"value\\\": 2000,        \\\"url\\\": \\\"http://www.baidu.com\\\"    }]\",\"size\":{\"width\":400,\"height\":222.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#23B7E5\"},{\"color\":\"#9AA8D4\"},{\"color\":\"#188DF0\"},{\"color\":\"#564AA3\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"roseType\":\"radius\",\"name\":\"南丁格尔玫瑰\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689644331008', NULL, '1011800681234354176', NULL, 'JMultipleLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 779,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 779,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 279,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 339,    \\\"type\\\": \\\"问诊订单总数\\\"  },  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 4579,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 179,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 979,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 179,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 2879,    \\\"type\\\": \\\"问诊已支付\\\"  },  {    \\\"name\\\": \\\"1\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"2\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"3\\\",    \\\"value\\\": 979,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"4\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"5\\\",    \\\"value\\\": 5179,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"6\\\",    \\\"value\\\": 3379,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"7\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  },  {    \\\"name\\\": \\\"8\\\",    \\\"value\\\": 879,    \\\"type\\\": \\\"问诊未支付\\\"  }]\",\"size\":{\"width\":566,\"height\":313.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[{\"lineType\":\"smooth\"}],\"legend\":{\"show\":false},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"多数据对比折线图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689656913920', NULL, '1011800681234354176', NULL, 'JDynamicBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"妇科\\\",    \\\"value\\\": 160879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"儿科\\\",    \\\"value\\\": 348879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"儿科中医\\\",    \\\"value\\\": 288879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"内分泌科\\\",    \\\"value\\\": 120879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"耳鼻喉科\\\",    \\\"value\\\": 570879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"肩颈科\\\",    \\\"value\\\": 290849,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"产科\\\",    \\\"value\\\": 120079,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"过敏科\\\",    \\\"value\\\": 240079,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"中医科\\\",    \\\"value\\\": 440555,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"营养科\\\",    \\\"value\\\": 124079,    \\\"type\\\": \\\"Lon\\\"  }]\",\"size\":{\"width\":221,\"height\":510},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"show\":false,\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":82,\"left\":65,\"bottom\":67},\"series\":[{\"barWidth\":13,\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#64B5F6\"}}],\"legend\":{\"show\":false},\"tooltip\":{\"show\":false,\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689665302528', NULL, '1011800681234354176', NULL, 'JDynamicBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 1000879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"患者\\\",    \\\"value\\\": 3400879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"咨询师\\\",    \\\"value\\\": 2300879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"导医\\\",    \\\"value\\\": 5400879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"患者\\\",    \\\"value\\\": 3400879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"咨询师\\\",    \\\"value\\\": 7400879,    \\\"type\\\": \\\"Lon\\\"  },  {    \\\"name\\\": \\\"咨询师\\\",    \\\"value\\\": 2400879,    \\\"type\\\": \\\"Lon\\\"  }]\",\"size\":{\"width\":228.00000000000003,\"height\":424},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"show\":false},\"grid\":{\"top\":90,\"left\":46,\"bottom\":81,\"right\":57},\"series\":[{\"barWidth\":17,\"itemStyle\":{\"color\":\"#A83240\"}}],\"legend\":{\"show\":false},\"tooltip\":{\"show\":false,\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689677885440', NULL, '1011800681234354176', NULL, 'JRose', '{\"chartData\":\"[  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 1000879,    \\\"url\\\": \\\"http://jeecg.com\\\"  },  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 3400879,    \\\"url\\\": \\\"http://jeecg.com\\\"  },  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 2300879,    \\\"url\\\": \\\"http://jeecg.com\\\"  },  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 5400879,    \\\"url\\\": \\\"http://jeecg.com\\\"  },  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 3000,    \\\"url\\\": \\\"http://jeecg.com\\\"  },  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 2000,    \\\"url\\\": \\\"http://jeecg.com\\\"  }]\",\"size\":{\"width\":221,\"height\":180.46043165467626},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#23B7E5\"},{\"color\":\"#9AA8D4\"},{\"color\":\"#188DF0\"},{\"color\":\"#564AA3\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"roseType\":\"radius\",\"name\":\"南丁格尔玫瑰\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689686274048', NULL, '1011800681234354176', NULL, 'JRose', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"vivo\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"oppo\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"苹果\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"小米\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"三星\\\"  }]\",\"size\":{\"width\":215,\"height\":264.0000000000001},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#23B7E5\"},{\"color\":\"#9AA8D4\"},{\"color\":\"#188DF0\"},{\"color\":\"#564AA3\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"roseType\":\"radius\",\"name\":\"南丁格尔玫瑰\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689694662656', NULL, '1011800681234354176', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"医生\\\",    \\\"value\\\": 1079,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"咨询师\\\",    \\\"value\\\": 3479,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"小程序\\\",    \\\"value\\\": 2709,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"后台系统\\\",    \\\"value\\\": 5856,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"APP\\\",    \\\"value\\\": 3823,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":471.00000000000006,\"height\":387.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"left\":57,\"bottom\":130,\"show\":false,\"right\":1,\"containLabel\":true},\"series\":[{\"barWidth\":20,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"top\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689707245568', NULL, '1011800681234354176', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[    {        \\\"name\\\": \\\"1-15岁\\\",        \\\"value\\\": 1000879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"16-40\\\",        \\\"value\\\": 3400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"41-55\\\",        \\\"value\\\": 2300879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"56-70\\\",        \\\"value\\\": 5400879,        \\\"url\\\": \\\"http://www.baidu.com\\\"    },    {        \\\"name\\\": \\\"71+\\\",        \\\"value\\\": 3000,        \\\"url\\\": \\\"http://www.baidu.com\\\"    }]\",\"size\":{\"width\":328,\"height\":300},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#83BFF6\"},{\"color\":\"#23B7E5\"},{\"color\":\"#9AA8D4\"},{\"color\":\"#188DF0\"},{\"color\":\"#564AA3\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#EEF1FA\"},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689719828480', NULL, '1011800681234354176', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"app\\\",    \\\"value\\\": 1879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"小程序\\\",    \\\"value\\\": 3879,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"医生端\\\",    \\\"value\\\": 2879,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":269.9999999999999,\"height\":297},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":16,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"position\":\"top\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"showUnit\":{\"numberLevel\":\"0\",\"show\":true}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689732411392', NULL, '1011800681234354176', NULL, 'JScatter', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": 1,    \\\"value\\\": 8.04  },  {    \\\"name\\\": 2,    \\\"value\\\": 6.95  },  {    \\\"name\\\": 1,    \\\"value\\\": 4.04  },  {    \\\"name\\\": 2,    \\\"value\\\": 3.95  }]\",\"size\":{\"width\":212,\"height\":269},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"symbolSize\":20,\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"scatter\"}],\"tooltip\":{\"formatter\":\"x:{b}<br/>y:{c}\",\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"基础散点图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689744994304', NULL, '1011800681234354176', NULL, 'JScrollBoard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  },  {    \\\"key1\\\": \\\"01-18\\\",    \\\"key2\\\": \\\"张图\\\",    \\\"key3\\\": \\\"李木木\\\",    \\\"key4\\\": \\\"图文问诊\\\",    \\\"key5\\\": \\\"专家问诊\\\",    \\\"key6\\\": \\\"100\\\",    \\\"key7\\\": \\\"已支付\\\",    \\\"key8\\\": \\\"01-10\\\"  }]\",\"size\":{\"width\":417,\"height\":214},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"oddRowBGC\":\"#07284B\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#06243D\",\"header\":[{\"width\":100,\"label\":\"创建时间\"},{\"width\":100,\"label\":\"患者姓名\"},{\"width\":100,\"label\":\"接诊医生\"},{\"width\":100,\"label\":\"服务类型\"},{\"width\":100,\"label\":\"订单类型\"},{\"width\":100,\"label\":\"支付金额\"},{\"width\":100,\"label\":\"支付状态\"},{\"width\":100,\"label\":\"预约时间\"}],\"headerBGC\":\"#072F48\",\"headerHeight\":45,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023815689757577216', NULL, '1011800681234354176', NULL, 'JScrollBoard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    },    {        \\\"key1\\\": \\\"2022-01-18 15:11:55\\\",        \\\"key2\\\": \\\"张图\\\",        \\\"key3\\\": \\\"李木木\\\",        \\\"key4\\\": \\\"图文问诊\\\",        \\\"key5\\\": \\\"专家问诊\\\",        \\\"key6\\\": \\\"100\\\",        \\\"key7\\\": \\\"已支付\\\",        \\\"key8\\\": \\\"2022-01-10\\\"    }]\",\"size\":{\"width\":417,\"height\":214},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"oddRowBGC\":\"#07284B\",\"headShow\":true,\"hoverPause\":true,\"indexWidth\":80,\"index\":false,\"carousel\":\"single\",\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"evenRowBGC\":\"#06243D\",\"header\":[{\"width\":\"50\",\"label\":\"创建时间\"},{\"width\":100,\"label\":\"患者姓名\"},{\"width\":100,\"label\":\"接诊医生\"},{\"width\":100,\"label\":\"服务类型\"},{\"width\":100,\"label\":\"订单类型\"},{\"width\":100,\"label\":\"支付金额\"},{\"width\":100,\"label\":\"支付状态\"},{\"width\":100,\"label\":\"预约时间\"}],\"headerBGC\":\"#072F48\",\"headerHeight\":45,\"waitTime\":2000,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:44:52', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327790907392', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1918,\"height\":1077},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"1\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327832850432', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":524.2374100719425,\"height\":289},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327853821952', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1911,\"height\":78},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":6,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"backgroundColor\":\"#4A4A4A00\",\"body\":{\"url\":\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/6头图片_1730965358518.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327891570688', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":460,\"height\":320.8561151079137},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327916736512', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":447,\"height\":321.47482014388487},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327937708032', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":453,\"height\":245},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327971262464', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":454,\"height\":286.61870503597123},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816327992233984', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":521,\"height\":325.8561151079137},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328042565632', NULL, '1011871598899679232', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"个体\\\",    \\\"value\\\": 2130,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 1800,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 1600,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"企业\\\",    \\\"value\\\": 2330,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"个人\\\",    \\\"value\\\": 1450,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":444,\"height\":414},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":13,\"data\":[],\"itemStyle\":{\"color\":\"#00BABD\",\"borderRadius\":0},\"label\":{\"color\":\"#00BABD\",\"show\":true},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328071925760', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"北京税务在线监控\",\"size\":{\"width\":666,\"height\":85.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"horseLamp\":false,\"body\":{\"color\":\"#13A6EF\",\"letterSpacing\":16,\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":3},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328109674496', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"...........\",\"size\":{\"width\":137,\"height\":75.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#40AAFC\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328130646016', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":129.0000000000001,\"height\":61.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328151617536', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"【综合统计】\",\"size\":{\"width\":145,\"height\":95.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFB116\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328185171968', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":125,\"height\":54.000000000000064},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328214532096', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":152.9999999999999,\"height\":58},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328252280832', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":156,\"height\":57.00000000000015},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328277446656', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":149,\"height\":52.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328311001088', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":159.9999999999999,\"height\":50.00000000000003},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328336166912', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":150.0000000000001,\"height\":53.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/导航框_1657782375184.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328352944128', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"三重一大\",\"size\":{\"width\":117,\"height\":68.99999999999989},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328394887168', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"人事系统\",\"size\":{\"width\":173,\"height\":60.00000000000003},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328411664384', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"投资管理\",\"size\":{\"width\":173.00000000000006,\"height\":53.99999999999983},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328432635904', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"产权管理系统\",\"size\":{\"width\":147,\"height\":56.00000000000001},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328457801728', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"责任追究系统\",\"size\":{\"width\":146,\"height\":54.00000000000007},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328482967552', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"资金核算系统\",\"size\":{\"width\":164,\"height\":59.999999999999794},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#0FA9E2\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328512327680', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 大额支出情况\",\"size\":{\"width\":171,\"height\":53.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328533299200', NULL, '1011871598899679232', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[    {        \\\"name\\\": \\\"个体\\\",        \\\"value\\\": 210,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"外资\\\",        \\\"value\\\": 120,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"内资\\\",        \\\"value\\\": 110,        \\\"url\\\": \\\"http://jeecg.com\\\"    },    {        \\\"name\\\": \\\"个人\\\",        \\\"value\\\": 110,        \\\"url\\\": \\\"http://jeecg.com\\\"    }]\",\"size\":{\"width\":426,\"height\":267},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"customOption\":\"\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"pieLabelPosition\":\"outside\",\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328550076416', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 外部监督线索统计\",\"size\":{\"width\":195.00000000000014,\"height\":50.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328587825152', NULL, '1011871598899679232', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"个体\\\",    \\\"value\\\": 160,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 130,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 190,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":407,\"height\":360},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":31,\"left\":8,\"bottom\":71,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#FAD400\",\"borderRadius\":0},\"label\":{\"color\":\"#EEF1FA\",\"show\":true,\"fontSize\":14},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328608796672', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 债务风险统计\",\"size\":{\"width\":151.00000000000003,\"height\":49.000000000000014},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328629768192', NULL, '1011871598899679232', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"带息负债\\\",    \\\"value\\\": 1400,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"现金流负债\\\",    \\\"value\\\": 2100,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"速动比率\\\",    \\\"value\\\": 1300,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"流动比率\\\",    \\\"value\\\": 1660,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"资产负债率\\\",    \\\"value\\\": 1300,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":517,\"height\":267.8129496402878},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#00CED1\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#00CED1\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#00CED1\"}},\"grid\":{\"top\":29,\"left\":1,\"bottom\":27,\"show\":false,\"right\":8,\"containLabel\":true},\"series\":[{\"barWidth\":20,\"data\":[],\"itemStyle\":{\"color\":\"#00CED1\",\"borderRadius\":9},\"label\":{\"color\":\"#EEF1FA\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328667516928', NULL, '1011871598899679232', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"巡查发现\\\",    \\\"value\\\": 160,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"审计发现\\\",    \\\"value\\\": 520,    \\\"type\\\": \\\"手机品牌\\\"  },  {    \\\"name\\\": \\\"其他部门移送\\\",    \\\"value\\\": 190,    \\\"type\\\": \\\"手机品牌\\\"  }]\",\"size\":{\"width\":434.00000000000006,\"height\":246.99999999999994},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2},\"show\":false},\"xAxis\":{\"axisLabel\":{\"color\":\"#1E90FF\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#EEF1FA\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":14,\"left\":1,\"bottom\":29,\"show\":false,\"right\":10,\"containLabel\":true},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#90EE90\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328684294144', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 内部监督线索统计\",\"size\":{\"width\":203.99999999999983,\"height\":59.99999999999996},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328701071360', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 投资分析\",\"size\":{\"width\":145.9999999999999,\"height\":72.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328738820096', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":44,\"height\":42},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/图1_1657782884131.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328755597312', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":45.999999999999986,\"height\":44.00000000000005},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/图2_1657782869186.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328768180224', NULL, '1011871598899679232', NULL, 'JImg', '{\"size\":{\"width\":37,\"height\":35},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"w\":12,\"dataType\":1,\"h\":26,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/图3_1657782854545.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328801734656', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"新增投资(258)\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328818511872', NULL, '1011871598899679232', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"value\\\": 50,    \\\"name\\\": \\\"个体\\\"  },  {    \\\"value\\\": 130,    \\\"name\\\": \\\"外资\\\"  },  {    \\\"value\\\": 60,    \\\"name\\\": \\\"内资\\\"  },  {    \\\"value\\\": 160,    \\\"name\\\": \\\"个人\\\"  },  {    \\\"value\\\": 90,    \\\"name\\\": \\\"企业\\\"  },  {    \\\"value\\\": 100,    \\\"name\\\": \\\"工商\\\"  }]\",\"size\":{\"width\":425,\"height\":204},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"customColor\":[{\"color\":\"#00FF00\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#00FF00\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#00FF00\"},\"show\":true},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#00FF00\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#00FF00\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":true},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":21,\"left\":31,\"bottom\":48,\"show\":false,\"right\":1},\"series\":[{\"data\":[],\"lineType\":\"line\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":10,\"show\":false,\"text\":\"基础折线图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328835289088', NULL, '1011871598899679232', NULL, 'JLiquid', '{\"chartData\":\"[  {    \\\"value\\\": 40  }]\",\"size\":{\"width\":209,\"height\":126},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"borderColor\":\"#FFD700\",\"color\":\"#FFD700\",\"distance\":2,\"borderWidth\":2,\"liquidType\":\"circle\",\"title\":{\"show\":true,\"text\":\"水波图\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"textColor\":\"#FFD700\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"strokeOpacity\":0}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328864649216', NULL, '1011871598899679232', NULL, 'JRose', '{\"chartData\":\"[  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 130,    \\\"url\\\": \\\"http://www.baidu.com\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 230,    \\\"url\\\": \\\"http://www.baidu.com\\\"  },  {    \\\"name\\\": \\\"个体工商户\\\",    \\\"value\\\": 140,    \\\"url\\\": \\\"http://www.baidu.com\\\"  }]\",\"size\":{\"width\":397,\"height\":206},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"roseType\":\"radius\",\"name\":\"南丁格尔玫瑰\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"},\"label\":{\"color\":\"#FFFFFF\"}},\"label\":{\"color\":\"#EEF1FA\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#EEF1FA\",\"fontWeight\":\"normal\"},\"subtextStyle\":{\"color\":\"#B9B8CE\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#1D1F26\",\"textStyle\":{\"color\":\"#FFFFFF\"},\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328885620736', NULL, '1011871598899679232', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[  {    \\\"value\\\": 50,    \\\"name\\\": \\\"个体\\\"  },  {    \\\"value\\\": 130,    \\\"name\\\": \\\"外资\\\"  },  {    \\\"value\\\": 60,    \\\"name\\\": \\\"内资\\\"  },  {    \\\"value\\\": 160,    \\\"name\\\": \\\"个人\\\"  },  {    \\\"value\\\": 90,    \\\"name\\\": \\\"企业\\\"  },  {    \\\"value\\\": 100,    \\\"name\\\": \\\"工商\\\"  }]\",\"size\":{\"width\":425.9496402877698,\"height\":241.4748201438849},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"grid\":{\"top\":16,\"left\":31,\"bottom\":54,\"show\":false,\"right\":1},\"series\":[{\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"subtext\":\"\",\"left\":10,\"show\":false,\"text\":\"基础折线图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328906592256', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 技术与科研队伍统计\",\"size\":{\"width\":252,\"height\":42.94964028776978},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328935952384', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":365,\"height\":334},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328956923904', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":370,\"height\":551.2877697841726},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328969506816', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":526.0503597122303,\"height\":248},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816328986284032', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":449,\"height\":277.61870503597123},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329019838464', NULL, '1011871598899679232', NULL, 'JLiquid', '{\"chartData\":\"[{\\\"value\\\":25}]\",\"size\":{\"width\":181.00000000000006,\"height\":136.99999999999997},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":6,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"textFontSize\":30,\"borderColor\":\"#1E90FF\",\"color\":\"#B0515C\",\"distance\":1,\"borderWidth\":2,\"liquidType\":\"circle\",\"count\":4,\"length\":128,\"title\":{\"show\":true,\"text\":\"水波图\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"textColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"strokeOpacity\":0}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329036615680', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 资产质量统计\",\"size\":{\"width\":194,\"height\":31.0000000000001},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329057587200', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 告警统计\",\"size\":{\"width\":159,\"height\":52.00000000000011},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329095335936', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"已处理：3\",\"size\":{\"width\":133,\"height\":31.999999999999886},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329112113152', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"告警信息\",\"size\":{\"width\":125.00000000000003,\"height\":43.00000000000007},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#F8E71C00\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#F8E71C\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329149861888', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"优化审批类\",\"size\":{\"width\":112.99999999999983,\"height\":75.00000000000009},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#7ED32100\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#B0515C\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329166639104', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"未处理：1\",\"size\":{\"width\":103.00000000000003,\"height\":58.99999999999993},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329187610624', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"未处理：2\",\"size\":{\"width\":101,\"height\":55.999999999999915},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":16,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329221165056', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 企业布局结构统计\",\"size\":{\"width\":187,\"height\":44.99999999999998},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329246330880', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 人员统计\",\"size\":{\"width\":117.00000000000001,\"height\":48.999999999999886},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329263108096', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"▲ 经营投资损失情况统计\",\"size\":{\"width\":231.9999999999999,\"height\":36.00000000000006},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#3B9EEB\",\"fontSize\":20,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329292468224', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"暂缓投资(28)\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329309245440', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"取消投资(25)\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329330216960', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"新兴税务科创园项目\",\"size\":{\"width\":156,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329363771392', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"智慧推广项目\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329376354304', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"税务系统改造\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329397325824', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"取消投资(25)\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329430880256', NULL, '1011871598899679232', NULL, 'JDragBorder', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":459.8561151079137,\"height\":258},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":12,\"dataType\":1,\"h\":12,\"option\":{\"dur\":3,\"backgroundColor\":\"#ffffff00\",\"mainColor\":\"#83BFF6\",\"titleWidth\":250,\"type\":\"8\",\"title\":\"边框\",\"subColor\":\"#00CED1\",\"reverse\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329451851776', NULL, '1011871598899679232', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"个体\\\",    \\\"value\\\": 230,    \\\"type\\\": \\\"个体\\\"  },  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 656,    \\\"type\\\": \\\"个体\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 544,    \\\"type\\\": \\\"个体\\\"  },  {    \\\"name\\\": \\\"个体\\\",    \\\"value\\\": 110,    \\\"type\\\": \\\"外资\\\"  },  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 320,    \\\"type\\\": \\\"外资\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 160,    \\\"type\\\": \\\"外资\\\"  },  {    \\\"name\\\": \\\"个体\\\",    \\\"value\\\": 230,    \\\"type\\\": \\\"内资\\\"  },  {    \\\"name\\\": \\\"外资\\\",    \\\"value\\\": 160,    \\\"type\\\": \\\"内资\\\"  },  {    \\\"name\\\": \\\"内资\\\",    \\\"value\\\": 213,    \\\"type\\\": \\\"内资\\\"  }]\",\"size\":{\"width\":422,\"height\":216},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#9B9B9B\"},\"show\":false,\"interval\":2},\"nameTextStyle\":{\"color\":\"#EEF1FA\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"}},\"grid\":{\"top\":12,\"left\":0,\"bottom\":18,\"right\":5,\"containLabel\":true},\"series\":[{\"barWidth\":15,\"itemStyle\":{\"borderRadius\":22}}],\"legend\":{\"r\":20},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329468628992', NULL, '1011871598899679232', NULL, 'JLiquid', '{\"chartData\":\"[  {    \\\"value\\\": 40  }]\",\"size\":{\"width\":239,\"height\":159},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"textFontSize\":30,\"borderColor\":\"#1E90FF\",\"color\":\"#F8E71C\",\"distance\":1,\"borderWidth\":2,\"liquidType\":\"circle\",\"count\":4,\"length\":128,\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"textColor\":\"#F8E71C\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"strokeOpacity\":0}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329497989120', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"损失事项\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329514766336', NULL, '1011871598899679232', NULL, 'JLiquid', '{\"chartData\":\"[  {    \\\"value\\\": 40  }]\",\"size\":{\"width\":239,\"height\":159},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"textFontSize\":30,\"borderColor\":\"#1E90FF\",\"color\":\"#F8E71C\",\"distance\":1,\"borderWidth\":2,\"liquidType\":\"circle\",\"count\":4,\"length\":128,\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"textColor\":\"#F8E71C\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"strokeOpacity\":0}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329539932160', NULL, '1011871598899679232', NULL, 'JText', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":30,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"挽回损失金\",\"size\":{\"width\":133,\"height\":50},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#4A90E200\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"normal\",\"marginTop\":0,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329569292288', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":372,\"height\":563.0503597122303},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329594458112', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":370,\"height\":342.8561151079137},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329615429632', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":530,\"height\":246.80575539568346},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329640595456', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":529,\"height\":289.52517985611513},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329665761280', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":525,\"height\":330.61870503597123},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329682538496', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":456,\"height\":284.1438848920863},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329711898624', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":459,\"height\":247.71223021582733},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329732870144', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":450.23741007194246,\"height\":330},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329758035968', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":457,\"height\":285.9064748201439},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329783201792', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":462.38129496402877,\"height\":262},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1023816329799979008', NULL, '1011871598899679232', NULL, 'JImg', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":464,\"height\":323.568345323741},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"padding\":0,\"backgroundColor\":\"\",\"borderRadius\":0,\"rotateTime\":1000,\"opacity\":1,\"body\":{\"url\":\"https://static.jeecg.com/bigscreen/底1_1657188264377.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"izRotate\":false}}', 'admin', '2024-12-03 14:47:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1024103577252102144', NULL, '1011818817561657344', NULL, 'JBar', '{\"chartData\":[{\"name\":\"苹果\",\"type\":\"手机品牌\",\"value\":1000879},{\"name\":\"三星\",\"type\":\"手机品牌\",\"value\":3400879},{\"name\":\"小米\",\"type\":\"手机品牌\",\"value\":2300879},{\"name\":\"oppo\",\"type\":\"手机品牌\",\"value\":5400879},{\"name\":\"vivo\",\"type\":\"手机品牌\",\"value\":3400879}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-04 09:48:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1024103577302433792', NULL, '1011818817561657344', NULL, 'JPie', '{\"chartData\":[{\"name\":\"vivo\",\"value\":1048},{\"name\":\"oppo\",\"value\":735},{\"name\":\"苹果\",\"value\":580},{\"name\":\"小米\",\"value\":484},{\"name\":\"三星\",\"value\":300}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"type\":\"_blank\",\"url\":\"\"},\"linkType\":\"url\",\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"top\":53,\"left\":43,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-12-04 09:48:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355182650486784', NULL, '1038355124454518784', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#ffffff\"},\"areaColor\":{\"color1\":\"#132937\",\"color2\":\"#0A0909\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"区域\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":1,\"h\":360,\"activeKey\":1,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"北京\\\",\\\"value\\\":199},{\\\"name\\\":\\\"新疆\\\",\\\"value\\\":180},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":137},{\\\"name\\\":\\\"四川\\\",\\\"value\\\":125},{\\\"name\\\":\\\"黑龙江\\\",\\\"value\\\":123},{\\\"name\\\":\\\"广东\\\",\\\"value\\\":123},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":119},{\\\"name\\\":\\\"福建\\\",\\\"value\\\":116},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":116},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":114},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":114},{\\\"name\\\":\\\"安徽\\\",\\\"value\\\":109},{\\\"name\\\":\\\"河北\\\",\\\"value\\\":102},{\\\"name\\\":\\\"江苏\\\",\\\"value\\\":92},{\\\"name\\\":\\\"江西\\\",\\\"value\\\":91},{\\\"name\\\":\\\"重庆\\\",\\\"value\\\":91},{\\\"name\\\":\\\"云南\\\",\\\"value\\\":83},{\\\"name\\\":\\\"吉林\\\",\\\"value\\\":82},{\\\"name\\\":\\\"山西\\\",\\\"value\\\":81},{\\\"name\\\":\\\"陕西\\\",\\\"value\\\":80},{\\\"name\\\":\\\"辽宁\\\",\\\"value\\\":67},{\\\"name\\\":\\\"贵州\\\",\\\"value\\\":62},{\\\"name\\\":\\\"广西\\\",\\\"value\\\":59},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":56},{\\\"name\\\":\\\"内蒙古\\\",\\\"value\\\":47},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":42},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":24},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":18},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":14},{\\\"name\\\":\\\"青海\\\",\\\"value\\\":10},{\\\"name\\\":\\\"西藏\\\",\\\"value\\\":9}]\",\"size\":{\"height\":360},\"actionConfig\":{\"operateType\":\"modal\",\"modalName\":\"\",\"url\":\"\"},\"background\":\"#FFFFFF00\",\"w\":450,\"turnConfig\":{\"type\":\"_blank\",\"url\":\"\"},\"linkType\":\"url\",\"linkageConfig\":[],\"option\":{\"drillDown\":false,\"area\":{\"markerSize\":1.5,\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerOpacity\":1,\"markerShape\":\"circle\",\"markerType\":\"effectScatter\",\"scatterLabelPosition\":\"top\",\"scatterLabelColor\":\"#ffffff\",\"markerCount\":5,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"scatterFontSize\":12,\"value\":[\"china\"]},\"geo\":{\"top\":40,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#0692A4\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1.2,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"textAlign\":\"left\",\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2025-01-12 17:39:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355182679846912', NULL, '1038355124454518784', NULL, 'JScrollTable', '{\"chartData\":[{\"gender\":\"男\",\"name\":\"张三\",\"age\":18},{\"gender\":\"女\",\"name\":\"李四\",\"age\":20},{\"gender\":\"男\",\"name\":\"王五\",\"age\":22},{\"gender\":\"男\",\"name\":\"赵六\",\"age\":22},{\"gender\":\"男\",\"name\":\"王思聪\",\"age\":22},{\"gender\":\"男\",\"name\":\"王健林\",\"age\":22},{\"gender\":\"男\",\"name\":\"马云\",\"age\":22},{\"gender\":\"男\",\"name\":\"马化腾\",\"age\":22},{\"gender\":\"男\",\"name\":\"马1\",\"age\":22},{\"gender\":\"男\",\"name\":\"马2\",\"age\":22},{\"gender\":\"男\",\"name\":\"马3\",\"age\":22},{\"gender\":\"男\",\"name\":\"马4\",\"age\":22},{\"gender\":\"男\",\"name\":\"马5\",\"age\":22}],\"size\":{\"height\":300},\"w\":450,\"dataType\":1,\"h\":300,\"turnConfig\":{\"type\":\"_blank\",\"url\":\"\"},\"linkType\":\"url\",\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#0a73ff\",\"borderColor\":\"#fff\",\"textPosition\":\"center\",\"scroll\":false,\"scrollTime\":50,\"bodyFontSize\":24,\"bodyFontColor\":\"#fff\",\"rankingTitle\":\"#\",\"showBorder\":false,\"oddColor\":\"#0a2732\",\"evenColor\":\"#003b51\",\"fieldMapping\":[{\"name\":\"名称\",\"width\":0,\"key\":\"name\"},{\"name\":\"年龄\",\"width\":0,\"key\":\"age\"},{\"name\":\"性别\",\"width\":0,\"key\":\"gender\"}],\"showHead\":true,\"borderWidth\":1,\"ranking\":false,\"lineHeight\":50,\"fontSize\":24,\"borderStyle\":\"solid\",\"headerFontColor\":\"#ffffff\"}}', 'admin', '2025-01-12 17:39:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355182688235520', NULL, '1038355124454518784', NULL, 'JBar', '{\"markLineConfig\":{\"show\":false,\"markLine\":[]},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"h\":300,\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":[{\"name\":\"苹果\",\"type\":\"手机品牌\",\"value\":1000},{\"name\":\"三星\",\"type\":\"手机品牌\",\"value\":5400},{\"name\":\"小米\",\"type\":\"手机品牌\",\"value\":800},{\"name\":\"oppo\",\"type\":\"手机品牌\",\"value\":400},{\"name\":\"vivo\",\"type\":\"手机品牌\",\"value\":10000}],\"size\":{\"height\":300},\"w\":450,\"turnConfig\":{\"type\":\"_blank\",\"url\":\"\"},\"linkType\":\"url\",\"linkageConfig\":[],\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"},\"lineStyle\":{\"color\":\"#EEF1FA\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#8F8D8D\"},\"show\":false,\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#EEF1FA\"}},\"grid\":{\"top\":30,\"left\":0,\"bottom\":18,\"show\":false,\"right\":40,\"containLabel\":true},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#EEF1FA\"}},\"title\":{\"textAlign\":\"left\",\"show\":true,\"text\":\"\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2025-01-12 17:39:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355269527105536', NULL, '1028452982650404864', NULL, 'JForm', '{\"size\":{\"height\":120},\"w\":24,\"dataType\":1,\"h\":12,\"timeOut\":-1,\"option\":{}}', 'admin', '2025-01-12 17:39:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355269648740352', NULL, '1028452982650404864', NULL, 'JCommonTable', '{\"chartData\":[{\"name\":\"4月\",\"value\":50},{\"name\":\"2月\",\"value\":200},{\"name\":\"3月\",\"value\":300},{\"name\":\"4月\",\"value\":400},{\"name\":\"5月\",\"value\":50},{\"name\":\"6月\",\"value\":120}],\"size\":{\"height\":420},\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{}}', 'admin', '2025-01-12 17:39:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355269661323264', NULL, '1028452982650404864', NULL, 'JBar', '{\"chartData\":[{\"name\":\"苹果\",\"type\":\"手机品牌\",\"value\":1000879},{\"name\":\"三星\",\"type\":\"手机品牌\",\"value\":3400879},{\"name\":\"小米\",\"type\":\"手机品牌\",\"value\":2300879},{\"name\":\"oppo\",\"type\":\"手机品牌\",\"value\":5400879},{\"name\":\"vivo\",\"type\":\"手机品牌\",\"value\":3400879}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2025-01-12 17:39:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1038355269678100480', NULL, '1028452982650404864', NULL, 'JHorizontalBar', '{\"chartData\":[{\"name\":\"苹果\",\"type\":\"手机品牌\",\"value\":1000879},{\"name\":\"三星\",\"type\":\"手机品牌\",\"value\":3400879},{\"name\":\"小米\",\"type\":\"手机品牌\",\"value\":2300879},{\"name\":\"oppo\",\"type\":\"手机品牌\",\"value\":5400879},{\"name\":\"vivo\",\"type\":\"手机品牌\",\"value\":3400879}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"w\":12,\"dataType\":1,\"h\":30,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2},\"type\":\"category\"},\"grid\":{\"top\":40,\"bottom\":40,\"show\":false,\"containLabel\":true},\"series\":[{\"barWidth\":20,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础条形图\",\"textStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2025-01-12 17:39:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517018288431857665', NULL, '1516747539813007362', NULL, 'JPie', '{\"dataMapping\":[{\"mapping\":\"column1\",\"filed\":\"维度\"},{\"mapping\":\"column8\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计JSON\",\"query\":[],\"dataSetApi\":\"[{\\\"column1\\\":\\\"市场化-电商业务\\\",\\\"column2\\\":4865.41,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":4865.41},{\\\"column1\\\":\\\"统筹型\\\",\\\"column2\\\":35767081.88,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":35767081.88},{\\\"column1\\\":\\\"市场化-非股东\\\",\\\"column2\\\":1487045.35,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1487045.35},{\\\"column1\\\":\\\"市场化-参控股\\\",\\\"column2\\\":382690.56,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":382690.56},{\\\"column1\\\":\\\"市场化-员工福利\\\",\\\"column2\\\":256684.91,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":265684.91},{\\\"column1\\\":\\\"市场化-再保险\\\",\\\"column2\\\":563451.03,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":563451.03},{\\\"column1\\\":\\\"市场化-海外业务\\\",\\\"column2\\\":760576.25,\\\"column3\\\":770458.75,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1531035.00},{\\\"column1\\\":\\\"市场化-风险咨询\\\",\\\"column2\\\":0.00,\\\"column3\\\":910183.93,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":226415.09,\\\"column8\\\":1136599.02}]\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1516748630344630273\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"column1\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"column5\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"column4\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"column3\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"column2\"},{\"label\":\"总计\",\"text\":\"总计\",\"value\":\"column8\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"column7\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"column6\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 13:51:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517018288566075393', NULL, '1516747539813007362', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"column1\",\"filed\":\"维度\"},{\"mapping\":\"column8\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计JSON\",\"query\":[],\"dataSetApi\":\"[{\\\"column1\\\":\\\"市场化-电商业务\\\",\\\"column2\\\":4865.41,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":4865.41},{\\\"column1\\\":\\\"统筹型\\\",\\\"column2\\\":35767081.88,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":35767081.88},{\\\"column1\\\":\\\"市场化-非股东\\\",\\\"column2\\\":1487045.35,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1487045.35},{\\\"column1\\\":\\\"市场化-参控股\\\",\\\"column2\\\":382690.56,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":382690.56},{\\\"column1\\\":\\\"市场化-员工福利\\\",\\\"column2\\\":256684.91,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":265684.91},{\\\"column1\\\":\\\"市场化-再保险\\\",\\\"column2\\\":563451.03,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":563451.03},{\\\"column1\\\":\\\"市场化-海外业务\\\",\\\"column2\\\":760576.25,\\\"column3\\\":770458.75,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1531035.00},{\\\"column1\\\":\\\"市场化-风险咨询\\\",\\\"column2\\\":0.00,\\\"column3\\\":910183.93,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":226415.09,\\\"column8\\\":1136599.02}]\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1516748630344630273\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"column1\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"column5\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"column4\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"column3\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"column2\"},{\"label\":\"总计\",\"text\":\"总计\",\"value\":\"column8\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"column7\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"column6\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 13:51:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517018288670932994', NULL, '1516747539813007362', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"column1\",\"filed\":\"维度\"},{\"mapping\":\"column8\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计JSON\",\"query\":[],\"dataSetApi\":\"[{\\\"column1\\\":\\\"市场化-电商业务\\\",\\\"column2\\\":4865.41,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":4865.41},{\\\"column1\\\":\\\"统筹型\\\",\\\"column2\\\":35767081.88,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":35767081.88},{\\\"column1\\\":\\\"市场化-非股东\\\",\\\"column2\\\":1487045.35,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1487045.35},{\\\"column1\\\":\\\"市场化-参控股\\\",\\\"column2\\\":382690.56,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":382690.56},{\\\"column1\\\":\\\"市场化-员工福利\\\",\\\"column2\\\":256684.91,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":265684.91},{\\\"column1\\\":\\\"市场化-再保险\\\",\\\"column2\\\":563451.03,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":563451.03},{\\\"column1\\\":\\\"市场化-海外业务\\\",\\\"column2\\\":760576.25,\\\"column3\\\":770458.75,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1531035.00},{\\\"column1\\\":\\\"市场化-风险咨询\\\",\\\"column2\\\":0.00,\\\"column3\\\":910183.93,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":226415.09,\\\"column8\\\":1136599.02}]\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":1650,\"height\":474},\"dataSetId\":\"1516748630344630273\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"column1\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"column5\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"column4\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"column3\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"column2\"},{\"label\":\"总计\",\"text\":\"总计\",\"value\":\"column8\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"column7\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"column6\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"基础折线图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 13:52:00', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517018288775790593', NULL, '1516747539813007362', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计JSON\",\"query\":[],\"h\":42,\"dataSetApi\":\"[{\\\"column1\\\":\\\"市场化-电商业务\\\",\\\"column2\\\":4865.41,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":4865.41},{\\\"column1\\\":\\\"统筹型\\\",\\\"column2\\\":35767081.88,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":35767081.88},{\\\"column1\\\":\\\"市场化-非股东\\\",\\\"column2\\\":1487045.35,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1487045.35},{\\\"column1\\\":\\\"市场化-参控股\\\",\\\"column2\\\":382690.56,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":382690.56},{\\\"column1\\\":\\\"市场化-员工福利\\\",\\\"column2\\\":256684.91,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":265684.91},{\\\"column1\\\":\\\"市场化-再保险\\\",\\\"column2\\\":563451.03,\\\"column3\\\":0,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":563451.03},{\\\"column1\\\":\\\"市场化-海外业务\\\",\\\"column2\\\":760576.25,\\\"column3\\\":770458.75,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":0,\\\"column8\\\":1531035.00},{\\\"column1\\\":\\\"市场化-风险咨询\\\",\\\"column2\\\":0.00,\\\"column3\\\":910183.93,\\\"column4\\\":0,\\\"column5\\\":0,\\\"column6\\\":0,\\\"column7\\\":226415.09,\\\"column8\\\":1136599.02}]\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":1650,\"height\":518},\"dataSetId\":\"1516748630344630273\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"column1\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"column5\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"column4\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"column3\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"column2\"},{\"label\":\"总计\",\"text\":\"总计\",\"value\":\"column8\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"column7\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"column6\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"columns\":[{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column1\",\"title\":\"项目性质\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column5\",\"title\":\"保险公估费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column4\",\"title\":\"承保公估评估费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column3\",\"title\":\"风险咨询费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column2\",\"title\":\"保险经纪佣金费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column8\",\"title\":\"总计\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column7\",\"title\":\"内控咨询费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"column6\",\"title\":\"投标咨询费\"}]}}', 'admin', '2022-04-21 13:52:00', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517064663387373570', NULL, '1517062686729338882', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"图表API示例-年龄占比\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/jingwu/nianling\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":889,\"height\":474},\"dataSetId\":\"1517046231342284802\",\"fieldOption\":[{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"name\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础折线图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 16:56:16', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517064663563534337', NULL, '1517062686729338882', NULL, 'JRing', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"图表API示例-年龄占比\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/jingwu/nianling\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":751,\"height\":474},\"dataSetId\":\"1517046231342284802\",\"fieldOption\":[{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"name\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 16:56:16', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517064663664197634', NULL, '1517062686729338882', NULL, 'JFunnel', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"图表API示例-年龄占比\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/jingwu/nianling\",\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":335,\\\"name\\\":\\\"直接访问\\\"},{\\\"value\\\":310,\\\"name\\\":\\\"邮件营销\\\"},{\\\"value\\\":234,\\\"name\\\":\\\"联盟广告\\\"}]\",\"size\":{\"width\":889,\"height\":529},\"dataSetId\":\"1517046231342284802\",\"fieldOption\":[{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"name\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\",\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础漏斗图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-04-21 16:56:16', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1517064663798415361', NULL, '1517062686729338882', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"图表API示例-年龄占比\",\"query\":[],\"h\":42,\"dataSetApi\":\"http://api.jeecg.com/mock/51/jingwu/nianling\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":751,\"height\":529},\"dataSetId\":\"1517046231342284802\",\"fieldOption\":[{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"name\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"年龄\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"数量\"}]}}', 'admin', '2022-04-21 16:56:16', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1519994699446870018', NULL, '1519992838245441538', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"钻取api\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/drilling/deptuser\",\"drillData\":[{\"source\":\"name\",\"target\":\"name\"}],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1519274169102020610\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"name\":\"销售量\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"name\":\"类别\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"部门销售统计\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'jeecg', '2022-04-29 18:59:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1519994699518173186', NULL, '1519992838245441538', NULL, 'JPie', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"钻取api\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/drilling/deptuser\",\"drillData\":[{\"source\":\"name\",\"target\":\"name\"}],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1519274169102020610\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'jeecg', '2022-04-29 18:59:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576295534593', NULL, '1522460228585529346', NULL, 'JRing', '{\"chartData\":\"[{\\\"name\\\":\\\"18~30岁\\\",\\\"value\\\":5500},{\\\"name\\\":\\\"30~40岁\\\",\\\"value\\\":2000},{\\\"name\\\":\\\"40~60岁\\\",\\\"value\\\":1500},{\\\"name\\\":\\\"60岁以上\\\",\\\"value\\\":1200},{\\\"name\\\":\\\"18岁以下\\\",\\\"value\\\":800}]\",\"size\":{\"width\":411,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"orient\":\"vertical\"},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"年龄占比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576429752321', NULL, '1522460228585529346', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"石家庄\\\",\\\"value\\\":51},{\\\"name\\\":\\\"邢台\\\",\\\"value\\\":121},{\\\"name\\\":\\\"邯郸\\\",\\\"value\\\":78},{\\\"name\\\":\\\"保定\\\",\\\"value\\\":66},{\\\"name\\\":\\\"廊坊\\\",\\\"value\\\":80},{\\\"name\\\":\\\"唐山\\\",\\\"value\\\":100}]\",\"size\":{\"width\":411,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":63,\"show\":false,\"right\":14},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"游客地区分部\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576526221314', NULL, '1522460228585529346', NULL, 'JLine', '{\"chartData\":\"[{\\\"name\\\":\\\"5/1\\\",\\\"value\\\":1000},{\\\"name\\\":\\\"5/2\\\",\\\"value\\\":7350},{\\\"name\\\":\\\"5/3\\\",\\\"value\\\":5800},{\\\"name\\\":\\\"5/4\\\",\\\"value\\\":6000},{\\\"name\\\":\\\"5/5\\\",\\\"value\\\":3000}]\",\"size\":{\"width\":411,\"height\":276},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"left\":46,\"bottom\":58,\"show\":false,\"right\":1},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"游客趋势分析\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576605913090', NULL, '1522460228585529346', NULL, 'JPie', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"火车\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"飞机\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"轮船\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"自驾\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"徒步\\\"}]\",\"size\":{\"width\":358,\"height\":331},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"isRose\":true,\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"交通方式\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576702382082', NULL, '1522460228585529346', NULL, 'JImg', '{\"size\":{\"width\":463,\"height\":265},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://minio.jeecg.com/otatest/111_1651818408914.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576777879554', NULL, '1522460228585529346', NULL, 'JText', '{\"chartData\":\"五星级\",\"size\":{\"width\":253,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576878542849', NULL, '1522460228585529346', NULL, 'JText', '{\"chartData\":\"四星级\",\"size\":{\"width\":200,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466576954040321', NULL, '1522460228585529346', NULL, 'JText', '{\"chartData\":\"56789\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466577054703617', NULL, '1522460228585529346', NULL, 'JText', '{\"chartData\":\"6789\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466577159561217', NULL, '1522460228585529346', NULL, 'JPie', '{\"chartData\":\"[{\\\"name\\\":\\\"2~3小时\\\",\\\"value\\\":3500},{\\\"name\\\":\\\">=3小时\\\",\\\"value\\\":2400},{\\\"name\\\":\\\"1~2小时\\\",\\\"value\\\":2300},{\\\"name\\\":\\\"<=1小时\\\",\\\"value\\\":1800}]\",\"size\":{\"width\":463,\"height\":474},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522466577264418817', NULL, '1522460228585529346', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"旅游数据监控\",\"h\":42,\"dataSetApi\":\"[{\\\"type1\\\":\\\"路线1\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线2\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线3\\\",\\\"type3\\\":\\\"1111\\\",\\\"type2\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线4\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线5\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线6\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线7\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线8\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线9\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线10\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线11\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线12\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线13\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线14\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线15\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线16\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线17\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线18\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线19\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"},{\\\"type1\\\":\\\"路线20\\\",\\\"type2\\\":\\\"1111\\\",\\\"type3\\\":\\\"1111\\\"}]\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":358,\"height\":529},\"dataSetId\":\"1522464505970302978\",\"fieldOption\":[{\"label\":\"路线\",\"text\":\"路线\",\"value\":\"type1\"},{\"label\":\"车辆\",\"text\":\"车辆\",\"value\":\"type2\"},{\"label\":\"人数\",\"text\":\"人数\",\"value\":\"type3\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"type1\",\"title\":\"路线\"},{\"izShow\":\"Y\",\"dataIndex\":\"type2\",\"title\":\"车辆\"},{\"izShow\":\"Y\",\"dataIndex\":\"type3\",\"title\":\"人数\"}]}}', 'admin', '2022-05-06 14:41:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504050518532098', NULL, '1522466781443137538', NULL, 'JQuickNav', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"首页快速导航\",\"h\":26,\"dataSetApi\":\"http://api.jeecg.com/mock/51/home/quick\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"首页\\\",\\\"icon\\\":\\\"icon-jeecg-homepage\\\",\\\"color\\\":\\\"#1fdaca\\\"},{\\\"title\\\":\\\"仪表盘\\\",\\\"icon\\\":\\\"icon-jeecg-shijian\\\",\\\"color\\\":\\\"#bf0c2c\\\"},{\\\"title\\\":\\\"组件\\\",\\\"icon\\\":\\\"icon-jeecg-dangan\\\",\\\"color\\\":\\\"#e18525\\\"},{\\\"title\\\":\\\"系统管理\\\",\\\"icon\\\":\\\"icon-jeecg-shezhi\\\",\\\"color\\\":\\\"#3fb27f\\\"},{\\\"title\\\":\\\"权限管理\\\",\\\"icon\\\":\\\"icon-jeecg-yuechi\\\",\\\"color\\\":\\\"#4daf1bc9\\\"},{\\\"title\\\":\\\"图表\\\",\\\"icon\\\":\\\"icon-jeecg-fujin\\\",\\\"color\\\":\\\"#00d8ff\\\"}]\",\"size\":{\"width\":674,\"height\":298},\"dataSetId\":\"1519962879095332865\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"color\",\"text\":\"color\",\"value\":\"color\"},{\"label\":\"href\",\"text\":\"href\",\"value\":\"href\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":30},\"body\":{\"textAlign\":\"center\",\"column\":3,\"iconAlign\":\"top\"},\"card\":{\"rightHref\":\"http://jeecg.com\",\"size\":\"default\",\"extra\":\"更多\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"快捷导航\"}}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504050690498562', NULL, '1522466781443137538', NULL, 'JList', '{\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"remark\",\"filed\":\"描述\"},{\"mapping\":\"date\",\"filed\":\"时间\"},{\"mapping\":\"pic\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"数据列表\",\"h\":24,\"dataSetApi\":\"http://api.jeecg.com/mock/51/datalist/list\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-914:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-814:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-714:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-414:20:21\\\"}]\",\"size\":{\"width\":568,\"height\":474},\"dataSetId\":\"1519945036454813698\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"date\",\"text\":\"date\",\"value\":\"date\"},{\"label\":\"remark\",\"text\":\"remark\",\"value\":\"remark\"},{\"label\":\"pic\",\"text\":\"pic\",\"value\":\"pic\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":true}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504050782773249', NULL, '1522466781443137538', NULL, 'JGrowCard', '{\"chartData\":\"[{\\\"title\\\":\\\"访问数\\\",\\\"icon\\\":\\\"icon-jeecg-qianbao\\\",\\\"value\\\":2000,\\\"total\\\":120000,\\\"color\\\":\\\"green\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"成交额\\\",\\\"icon\\\":\\\"icon-jeecg-youhuiquan\\\",\\\"value\\\":20000,\\\"total\\\":500000,\\\"color\\\":\\\"blue\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"下载数\\\",\\\"icon\\\":\\\"icon-jeecg-tupian\\\",\\\"value\\\":8000,\\\"total\\\":120000,\\\"color\\\":\\\"orange\\\",\\\"action\\\":\\\"周\\\"},{\\\"title\\\":\\\"成交数\\\",\\\"icon\\\":\\\"icon-jeecg-jifen\\\",\\\"value\\\":5000,\\\"total\\\":50000,\\\"color\\\":\\\"purple\\\",\\\"action\\\":\\\"年\\\"}]\",\"size\":{\"width\":1252,\"height\":199},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":6},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504050862465026', NULL, '1522466781443137538', NULL, 'JProjectCard', '{\"chartData\":\"[{\\\"title\\\":\\\"Github\\\",\\\"icon\\\":\\\"icon-jeecg-social-github\\\",\\\"color\\\":\\\"\\\",\\\"desc\\\":\\\"不要等待机会，而要创造机会。\\\",\\\"group\\\":\\\"开源组\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Vue\\\",\\\"icon\\\":\\\"icon-jeecg-social-buysellads\\\",\\\"color\\\":\\\"#3fb27f\\\",\\\"desc\\\":\\\"现在的你决定将来的你。\\\",\\\"group\\\":\\\"算法组\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Html5\\\",\\\"icon\\\":\\\"icon-jeecg-html5\\\",\\\"color\\\":\\\"#e18525\\\",\\\"desc\\\":\\\"没有什么才能比努力更重要。\\\",\\\"group\\\":\\\"上班摸鱼\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Angular\\\",\\\"icon\\\":\\\"icon-jeecg-social-product-hunt\\\",\\\"color\\\":\\\"#bf0c2c\\\",\\\"desc\\\":\\\"热情和欲望可以突破一切难关。\\\",\\\"group\\\":\\\"UI\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"React\\\",\\\"icon\\\":\\\"icon-jeecg-social-skype\\\",\\\"color\\\":\\\"#00d8ff\\\",\\\"desc\\\":\\\"健康的身体是实目标的基石。\\\",\\\"group\\\":\\\"技术牛\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Js\\\",\\\"icon\\\":\\\"icon-jeecg-social-pengyou\\\",\\\"color\\\":\\\"#4daf1bc9\\\",\\\"desc\\\":\\\"路是走出来的，而不是空想出来的。\\\",\\\"group\\\":\\\"架构组\\\",\\\"date\\\":\\\"2021-04-01\\\"}]\",\"size\":{\"width\":674,\"height\":386},\"w\":12,\"dataType\":1,\"h\":33,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":30},\"body\":{\"column\":3},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"项目列表\"}}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504050958934017', NULL, '1522466781443137538', NULL, 'JWaitMatter', '{\"chartData\":\"[{\\\"title\\\":\\\"待办公文\\\",\\\"icon\\\":\\\"icon-jeecg-yudu\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办3\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"待办流程\\\",\\\"icon\\\":\\\"icon-jeecg-shuju\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办3\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"待办任务\\\",\\\"icon\\\":\\\"icon-jeecg-tongzhi\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办3今日更新5\\\",\\\"date\\\":\\\"2021-04-01\\\"}]\",\"size\":{\"width\":568,\"height\":210},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":25},\"body\":{\"column\":3},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"待办事项\"}}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522504051076374530', NULL, '1522466781443137538', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"维度\"},{\"mapping\":\"visit\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"首页_近一周访问量\",\"dataSetApi\":\"selectcount(*)asvisit\\t,count(distinct(ip))asip\\t,DATE_FORMAT(create_time,\'%Y-%m-%d\')astian\\t,DATE_FORMAT(create_time,\'%m-%d\')astype\\tfromsys_logwherelog_type=1andcreate_time<=sysdate()andcreate_time>=(selectdate_sub(curdate(),interval7day))groupbytian,typeorderbytianasc\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":1252,\"height\":441},\"dataSetId\":\"1522503560003067906\",\"fieldOption\":[{\"label\":\"visit\",\"text\":\"visit\",\"value\":\"visit\"},{\"label\":\"ip\",\"text\":\"ip\",\"value\":\"ip\"},{\"label\":\"tian\",\"text\":\"tian\",\"value\":\"tian\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"近一周在线访问量\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 17:10:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321213603842', NULL, '1522507145776472065', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"静态数据\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321352015874', NULL, '1522507145776472065', NULL, 'JStackBar', '{\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"出资\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/chuzi\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522098873378549762\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"api数据集\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321456873474', NULL, '1522507145776472065', NULL, 'JPie', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_时间分部\",\"dataSetApi\":\"[{\\\"name\\\":\\\"6:00-9:00\\\",\\\"value\\\":800},{\\\"name\\\":\\\"10:00-12:00\\\",\\\"value\\\":300},{\\\"name\\\":\\\"13:00-15:00\\\",\\\"value\\\":500},{\\\"name\\\":\\\"16:00-20:00\\\",\\\"value\\\":800},{\\\"name\\\":\\\"21:00-24:00\\\",\\\"value\\\":600}]\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522187101267832833\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"JSON数据集\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321549148162', NULL, '1522507145776472065', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"day\",\"filed\":\"维度\"},{\"mapping\":\"num\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"},{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"}],\"dataSetType\":\"sql\",\"dataNum\":\"5\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"SQL数据集\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321628839937', NULL, '1522507145776472065', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"首页_近一周访问量\",\"h\":42,\"dataSetApi\":\"selectcount(*)asvisit\\t,count(distinct(ip))asip\\t,DATE_FORMAT(create_time,\'%Y-%m-%d\')astian\\t,DATE_FORMAT(create_time,\'%m-%d\')astype\\tfromsys_logwherelog_type=1andcreate_time<=sysdate()andcreate_time>=(selectdate_sub(curdate(),interval7day))groupbytian,typeorderbytianasc\",\"drillData\":[],\"timeOut\":\"10\",\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522503560003067906\",\"fieldOption\":[{\"label\":\"访问量\",\"text\":\"访问量\",\"value\":\"visit\"},{\"label\":\"ip地址\",\"text\":\"ip地址\",\"value\":\"ip\"},{\"label\":\"年月\",\"text\":\"年月\",\"value\":\"tian\"},{\"label\":\"天\",\"text\":\"天\",\"value\":\"type\"}],\"dataSetType\":\"sql\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"visit\",\"title\":\"访问量\"},{\"izShow\":\"Y\",\"dataIndex\":\"ip\",\"title\":\"ip地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"tian\",\"title\":\"年月\"},{\"izShow\":\"Y\",\"dataIndex\":\"type\",\"title\":\"天\"}]}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321725308929', NULL, '1522507145776472065', NULL, 'JTabs', '{\"size\":{\"width\":779,\"height\":463},\"w\":12,\"h\":40,\"option\":{\"title\":\"选项卡\"},\"child\":[{\"h\":42,\"index\":0,\"i\":\"63de7e7e-3894-4d71-84a3-9b2fd9b9c760\",\"title\":\"通知\",\"horizontal\":false,\"component\":\"JList\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"3343bdb3-fd05-4eee-9bc7-844a148752da\",\"config\":{\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"remark\",\"filed\":\"描述\"},{\"mapping\":\"date\",\"filed\":\"时间\"},{\"mapping\":\"pic\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"数据列表\",\"h\":24,\"dataSetApi\":\"http://api.jeecg.com/mock/51/datalist/list\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-914:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-814:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-714:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-414:20:21\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1519945036454813698\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"date\",\"text\":\"date\",\"value\":\"date\"},{\"label\":\"remark\",\"text\":\"remark\",\"value\":\"remark\"},{\"label\":\"pic\",\"text\":\"pic\",\"value\":\"pic\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":true}},\"child\":[]},{\"h\":42,\"index\":0,\"i\":\"7e716106-3f6b-4350-80d0-7fe0ed3b46f2\",\"title\":\"图片展示\",\"horizontal\":false,\"component\":\"JImg\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"49dc2c4c-871b-4d5d-8e21-d3cd93602661\",\"config\":{\"paddingBottom\":90,\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://minio.jeecg.com/otatest/jeecg_1651199708342.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"child\":[]}]}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520321935024129', NULL, '1522507145776472065', NULL, 'JGrid', '{\"size\":{\"width\":1632,\"height\":400},\"w\":12,\"h\":40,\"option\":{\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}},\"child\":[{\"h\":42,\"i\":\"7b247427-b86c-4c59-877d-618088d056ec\",\"title\":\"标题\",\"parentId\":\"1ac58009-1e17-4136-8309-313a9111ebb6\",\"horizontal\":false,\"component\":\"JRing\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"e845c133-1b8d-4252-a216-06c0857e388a\",\"config\":{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_地区分部\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/region\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1522185936018878466\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":65,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"t\":12},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"span\":\"8\",\"child\":[]},{\"h\":42,\"i\":\"6d907478-b400-4723-860d-45b24e3adbee\",\"title\":\"标题\",\"parentId\":\"1ac58009-1e17-4136-8309-313a9111ebb6\",\"horizontal\":false,\"component\":\"JRadar\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"7cebf65a-81ba-479e-870e-8610a0f00d0c\",\"config\":{\"chartData\":\"[{\\\"value\\\":75,\\\"name\\\":\\\"得分\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":65,\\\"name\\\":\\\"篮板\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":55,\\\"name\\\":\\\"防守\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":74,\\\"name\\\":\\\"失误\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":38,\\\"name\\\":\\\"盖帽\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":88,\\\"name\\\":\\\"三分\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100}]\",\"paddingBottom\":90,\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"option\":{\"radar\":[{\"indicator\":[]}],\"grid\":{\"top\":51,\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"series\":[{\"data\":[],\"type\":\"radar\"}],\"title\":{\"show\":true,\"text\":\"基础雷达图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"span\":\"8\",\"child\":[]},{\"h\":42,\"i\":\"6e99dc19-fe5e-4c36-8eb6-b3dd6ea19dd8\",\"title\":\"标题\",\"parentId\":\"1ac58009-1e17-4136-8309-313a9111ebb6\",\"horizontal\":false,\"component\":\"JArea\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"6fe47c5a-85ac-46ec-9640-936cd2501523\",\"config\":{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"图表API示例-年龄占比\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/jingwu/nianling\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":605,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"小米\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1517046231342284802\",\"fieldOption\":[{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"name\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"xAxis\":{\"data\":[],\"boundaryGap\":false},\"grid\":{\"bottom\":31},\"series\":[{\"areaStyle\":{},\"data\":[],\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"基础面积图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"span\":\"8\",\"child\":[]}]}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520322014715906', NULL, '1522507145776472065', NULL, 'JCarousel', '{\"chartData\":\"[{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/0_1647504880335.png\\\"},{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/1_1647504883878.png\\\"},{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/2_1647504886551.png\\\"}]\",\"size\":{\"width\":1252,\"height\":243},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"路径\"}],\"w\":24,\"dataType\":1,\"h\":22,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/carousel\",\"timeOut\":0,\"option\":{\"dots\":true,\"autoplay\":true,\"dotPosition\":\"bottom\"}}', 'admin', '2022-05-06 18:15:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520322115379202', NULL, '1522507145776472065', NULL, 'JIframe', '{\"size\":{\"width\":1252,\"height\":386},\"w\":12,\"dataType\":1,\"h\":26,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://www.jeecg.com/\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520322216042498', NULL, '1522507145776472065', NULL, 'JPictorialBar', '{\"chartData\":\"[{\\\"name\\\":\\\"驯鹿\\\",\\\"value\\\":123,\\\"symbol\\\":\\\"path://M-22.788,24.521c2.08-0.986,3.611-3.905,4.984-5.892c-2.686,2.782-5.047,5.884-9.102,7.312c-0.992,0.005-0.25-2.016,0.34-2.362l1.852-0.41c0.564-0.218,0.785-0.842,0.902-1.347c2.133-0.727,4.91-4.129,6.031-6.194c1.748-0.7,4.443-0.679,5.734-2.293c1.176-1.468,0.393-3.992,1.215-6.557c0.24-0.754,0.574-1.581,1.008-2.293c-0.611,0.011-1.348-0.061-1.959-0.608c-1.391-1.245-0.785-2.086-1.297-3.313c1.684,0.744,2.5,2.584,4.426,2.586C-8.46,3.012-8.255,2.901-8.04,2.824c6.031-1.952,15.182-0.165,19.498-3.937c1.15-3.933-1.24-9.846-1.229-9.938c0.008-0.062-1.314-0.004-1.803-0.258c-1.119-0.771-6.531-3.75-0.17-3.33c0.314-0.045,0.943,0.259,1.439,0.435c-0.289-1.694-0.92-0.144-3.311-1.946c0,0-1.1-0.855-1.764-1.98c-0.836-1.09-2.01-2.825-2.992-4.031c-1.523-2.476,1.367,0.709,1.816,1.108c1.768,1.704,1.844,3.281,3.232,3.983c0.195,0.203,1.453,0.164,0.926-0.468c-0.525-0.632-1.367-1.278-1.775-2.341c-0.293-0.703-1.311-2.326-1.566-2.711c-0.256-0.384-0.959-1.718-1.67-2.351c-1.047-1.187-0.268-0.902,0.521-0.07c0.789,0.834,1.537,1.821,1.672,2.023c0.135,0.203,1.584,2.521,1.725,2.387c0.102-0.259-0.035-0.428-0.158-0.852c-0.125-0.423-0.912-2.032-0.961-2.083c-0.357-0.852-0.566-1.908-0.598-3.333c0.4-2.375,0.648-2.486,0.549-0.705c0.014,1.143,0.031,2.215,0.602,3.247c0.807,1.496,1.764,4.064,1.836,4.474c0.561,3.176,2.904,1.749,2.281-0.126c-0.068-0.446-0.109-2.014-0.287-2.862c-0.18-0.849-0.219-1.688-0.113-3.056c0.066-1.389,0.232-2.055,0.277-2.299c0.285-1.023,0.4-1.088,0.408,0.135c-0.059,0.399-0.131,1.687-0.125,2.655c0.064,0.642-0.043,1.768,0.172,2.486c0.654,1.928-0.027,3.496,1,3.514c1.805-0.424,2.428-1.218,2.428-2.346c-0.086-0.704-0.121-0.843-0.031-1.193c0.221-0.568,0.359-0.67,0.312-0.076c-0.055,0.287,0.031,0.533,0.082,0.794c0.264,1.197,0.912,0.114,1.283-0.782c0.15-0.238,0.539-2.154,0.545-2.522c-0.023-0.617,0.285-0.645,0.309,0.01c0.064,0.422-0.248,2.646-0.205,2.334c-0.338,1.24-1.105,3.402-3.379,4.712c-0.389,0.12-1.186,1.286-3.328,2.178c0,0,1.729,0.321,3.156,0.246c1.102-0.19,3.707-0.027,4.654,0.269c1.752,0.494,1.531-0.053,4.084,0.164c2.26-0.4,2.154,2.391-1.496,3.68c-2.549,1.405-3.107,1.475-2.293,2.984c3.484,7.906,2.865,13.183,2.193,16.466c2.41,0.271,5.732-0.62,7.301,0.725c0.506,0.333,0.648,1.866-0.457,2.86c-4.105,2.745-9.283,7.022-13.904,7.662c-0.977-0.194,0.156-2.025,0.803-2.247l1.898-0.03c0.596-0.101,0.936-0.669,1.152-1.139c3.16-0.404,5.045-3.775,8.246-4.818c-4.035-0.718-9.588,3.981-12.162,1.051c-5.043,1.423-11.449,1.84-15.895,1.111c-3.105,2.687-7.934,4.021-12.115,5.866c-3.271,3.511-5.188,8.086-9.967,10.414c-0.986,0.119-0.48-1.974,0.066-2.385l1.795-0.618C-22.995,25.682-22.849,25.035-22.788,24.521z\\\",\\\"symbolSize\\\":[60,60]},{\\\"name\\\":\\\"飞机\\\",\\\"value\\\":60,\\\"symbol\\\":\\\"path://M1.112,32.559l2.998,1.205l-2.882,2.268l-2.215-0.012L1.112,32.559zM37.803,23.96c0.158-0.838,0.5-1.509,0.961-1.904c-0.096-0.037-0.205-0.071-0.344-0.071c-0.777-0.005-2.068-0.009-3.047-0.009c-0.633,0-1.217,0.066-1.754,0.18l2.199,1.804H37.803zM39.738,23.036c-0.111,0-0.377,0.325-0.537,0.924h1.076C40.115,23.361,39.854,23.036,39.738,23.036zM39.934,39.867c-0.166,0-0.674,0.705-0.674,1.986s0.506,1.986,0.674,1.986s0.672-0.705,0.672-1.986S40.102,39.867,39.934,39.867zM38.963,38.889c-0.098-0.038-0.209-0.07-0.348-0.073c-0.082,0-0.174,0-0.268-0.001l-7.127,4.671c0.879,0.821,2.42,1.417,4.348,1.417c0.979,0,2.27-0.006,3.047-0.01c0.139,0,0.25-0.034,0.348-0.072c-0.646-0.555-1.07-1.643-1.07-2.967C37.891,40.529,38.316,39.441,38.963,38.889zM32.713,23.96l-12.37-10.116l-4.693-0.004c0,0,4,8.222,4.827,10.121H32.713zM59.311,32.374c-0.248,2.104-5.305,3.172-8.018,3.172H39.629l-25.325,16.61L9.607,52.16c0,0,6.687-8.479,7.95-10.207c1.17-1.6,3.019-3.699,3.027-6.407h-2.138c-5.839,0-13.816-3.789-18.472-5.583c-2.818-1.085-2.396-4.04-0.031-4.04h0.039l-3.299-11.371h3.617c0,0,4.352,5.696,5.846,7.5c2,2.416,4.503,3.678,8.228,3.87h30.727c2.17,0,4.311,0.417,6.252,1.046c3.49,1.175,5.863,2.7,7.199,4.027C59.145,31.584,59.352,32.025,59.311,32.374zM22.069,30.408c0-0.815-0.661-1.475-1.469-1.475c-0.812,0-1.471,0.66-1.471,1.475s0.658,1.475,1.471,1.475C21.408,31.883,22.069,31.224,22.069,30.408zM27.06,30.408c0-0.815-0.656-1.478-1.466-1.478c-0.812,0-1.471,0.662-1.471,1.478s0.658,1.477,1.471,1.477C26.404,31.885,27.06,31.224,27.06,30.408zM32.055,30.408c0-0.815-0.66-1.475-1.469-1.475c-0.808,0-1.466,0.66-1.466,1.475s0.658,1.475,1.466,1.475C31.398,31.883,32.055,31.224,32.055,30.408zM37.049,30.408c0-0.815-0.658-1.478-1.467-1.478c-0.812,0-1.469,0.662-1.469,1.478s0.656,1.477,1.469,1.477C36.389,31.885,37.049,31.224,37.049,30.408zM42.039,30.408c0-0.815-0.656-1.478-1.465-1.478c-0.811,0-1.469,0.662-1.469,1.478s0.658,1.477,1.469,1.477C41.383,31.885,42.039,31.224,42.039,30.408zM55.479,30.565c-0.701-0.436-1.568-0.896-2.627-1.347c-0.613,0.289-1.551,0.476-2.73,0.476c-1.527,0-1.639,2.263,0.164,2.316C52.389,32.074,54.627,31.373,55.479,30.565z\\\",\\\"symbolSize\\\":[65,35]},{\\\"name\\\":\\\"火箭\\\",\\\"value\\\":25,\\\"symbol\\\":\\\"path://M-244.396,44.399c0,0,0.47-2.931-2.427-6.512c2.819-8.221,3.21-15.709,3.21-15.709s5.795,1.383,5.795,7.325C-237.818,39.679-244.396,44.399-244.396,44.399zM-260.371,40.827c0,0-3.881-12.946-3.881-18.319c0-2.416,0.262-4.566,0.669-6.517h17.684c0.411,1.952,0.675,4.104,0.675,6.519c0,5.291-3.87,18.317-3.87,18.317H-260.371zM-254.745,18.951c-1.99,0-3.603,1.676-3.603,3.744c0,2.068,1.612,3.744,3.603,3.744c1.988,0,3.602-1.676,3.602-3.744S-252.757,18.951-254.745,18.951zM-255.521,2.228v-5.098h1.402v4.969c1.603,1.213,5.941,5.069,7.901,12.5h-17.05C-261.373,7.373-257.245,3.558-255.521,2.228zM-265.07,44.399c0,0-6.577-4.721-6.577-14.896c0-5.942,5.794-7.325,5.794-7.325s0.393,7.488,3.211,15.708C-265.539,41.469-265.07,44.399-265.07,44.399zM-252.36,45.15l-1.176-1.22L-254.789,48l-1.487-4.069l-1.019,2.116l-1.488-3.826h8.067L-252.36,45.15z\\\",\\\"symbolSize\\\":[50,60]},{\\\"name\\\":\\\"高铁\\\",\\\"value\\\":18,\\\"symbol\\\":\\\"path://M67.335,33.596L67.335,33.596c-0.002-1.39-1.153-3.183-3.328-4.218h-9.096v-2.07h5.371c-4.939-2.07-11.199-4.141-14.89-4.141H19.72v12.421v5.176h38.373c4.033,0,8.457-1.035,9.142-5.176h-0.027c0.076-0.367,0.129-0.751,0.129-1.165L67.335,33.596L67.335,33.596zM27.999,30.413h-3.105v-4.141h3.105V30.413zM35.245,30.413h-3.104v-4.141h3.104V30.413zM42.491,30.413h-3.104v-4.141h3.104V30.413zM49.736,30.413h-3.104v-4.141h3.104V30.413zM14.544,40.764c1.143,0,2.07-0.927,2.07-2.07V35.59V25.237c0-1.145-0.928-2.07-2.07-2.07H-9.265c-1.143,0-2.068,0.926-2.068,2.07v10.351v3.105c0,1.144,0.926,2.07,2.068,2.07H14.544L14.544,40.764zM8.333,26.272h3.105v4.141H8.333V26.272zM1.087,26.272h3.105v4.141H1.087V26.272zM-6.159,26.272h3.105v4.141h-3.105V26.272zM-9.265,41.798h69.352v1.035H-9.265V41.798z\\\",\\\"symbolSize\\\":[50,30]},{\\\"name\\\":\\\"轮船\\\",\\\"value\\\":12,\\\"symbol\\\":\\\"path://M16.678,17.086h9.854l-2.703,5.912c5.596,2.428,11.155,5.575,16.711,8.607c3.387,1.847,6.967,3.75,10.541,5.375v-6.16l-4.197-2.763v-5.318L33.064,12.197h-11.48L20.43,15.24h-4.533l-1.266,3.286l0.781,0.345L16.678,17.086zM49.6,31.84l0.047,1.273L27.438,20.998l0.799-1.734L49.6,31.84zM33.031,15.1l12.889,8.82l0.027,0.769L32.551,16.1L33.031,15.1zM22.377,14.045h9.846l-1.539,3.365l-2.287-1.498h1.371l0.721-1.352h-2.023l-0.553,1.037l-0.541-0.357h-0.34l0.359-0.684h-2.025l-0.361,0.684h-3.473L22.377,14.045zM23.695,20.678l-0.004,0.004h0.004V20.678zM24.828,18.199h-2.031l-0.719,1.358h2.029L24.828,18.199zM40.385,34.227c-12.85-7.009-25.729-14.667-38.971-12.527c1.26,8.809,9.08,16.201,8.213,24.328c-0.553,4.062-3.111,0.828-3.303,7.137c15.799,0,32.379,0,48.166,0l0.066-4.195l1.477-7.23C50.842,39.812,45.393,36.961,40.385,34.227zM13.99,35.954c-1.213,0-2.195-1.353-2.195-3.035c0-1.665,0.98-3.017,2.195-3.017c1.219,0,2.195,1.352,2.195,3.017C16.186,34.604,15.213,35.954,13.99,35.954zM23.691,20.682h-2.02l-0.588,1.351h2.023L23.691,20.682zM19.697,18.199l-0.721,1.358h2.025l0.727-1.358H19.697z\\\",\\\"symbolSize\\\":[50,35]},{\\\"name\\\":\\\"汽车\\\",\\\"value\\\":9,\\\"symbol\\\":\\\"path://M49.592,40.883c-0.053,0.354-0.139,0.697-0.268,0.963c-0.232,0.475-0.455,0.519-1.334,0.475c-1.135-0.053-2.764,0-4.484,0.068c0,0.476,0.018,0.697,0.018,0.697c0.111,1.299,0.697,1.342,0.931,1.342h3.7c0.326,0,0.628,0,0.861-0.154c0.301-0.196,0.43-0.772,0.543-1.78c0.017-0.146,0.025-0.336,0.033-0.56v-0.01c0-0.068,0.008-0.154,0.008-0.25V41.58l0,0C49.6,41.348,49.6,41.09,49.592,40.883L49.592,40.883zM6.057,40.883c0.053,0.354,0.137,0.697,0.268,0.963c0.23,0.475,0.455,0.519,1.334,0.475c1.137-0.053,2.762,0,4.484,0.068c0,0.476-0.018,0.697-0.018,0.697c-0.111,1.299-0.697,1.342-0.93,1.342h-3.7c-0.328,0-0.602,0-0.861-0.154c-0.309-0.18-0.43-0.772-0.541-1.78c-0.018-0.146-0.027-0.336-0.035-0.56v-0.01c0-0.068-0.008-0.154-0.008-0.25V41.58l0,0C6.057,41.348,6.057,41.09,6.057,40.883L6.057,40.883zM49.867,32.766c0-2.642-0.344-5.224-0.482-5.507c-0.104-0.207-0.766-0.749-2.271-1.773c-1.522-1.042-1.487-0.887-1.766-1.566c0.25-0.078,0.492-0.224,0.639-0.241c0.326-0.034,0.345,0.274,1.023,0.274c0.68,0,2.152-0.18,2.453-0.48c0.301-0.303,0.396-0.405,0.396-0.672c0-0.268-0.156-0.818-0.447-1.146c-0.293-0.327-1.541-0.49-2.273-0.585c-0.729-0.095-0.834,0-1.022,0.121c-0.304,0.189-0.32,1.919-0.32,1.919l-0.713,0.018c-0.465-1.146-1.11-3.452-2.117-5.269c-1.103-1.979-2.256-2.599-2.737-2.754c-0.474-0.146-0.904-0.249-4.131-0.576c-3.298-0.344-5.922-0.388-8.262-0.388c-2.342,0-4.967,0.052-8.264,0.388c-3.229,0.336-3.66,0.43-4.133,0.576s-1.633,0.775-2.736,2.754c-1.006,1.816-1.652,4.123-2.117,5.269L9.87,23.109c0,0-0.008-1.729-0.318-1.919c-0.189-0.121-0.293-0.225-1.023-0.121c-0.732,0.104-1.98,0.258-2.273,0.585c-0.293,0.327-0.447,0.878-0.447,1.146c0,0.267,0.094,0.379,0.396,0.672c0.301,0.301,1.773,0.48,2.453,0.48c0.68,0,0.697-0.309,1.023-0.274c0.146,0.018,0.396,0.163,0.637,0.241c-0.283,0.68-0.24,0.524-1.764,1.566c-1.506,1.033-2.178,1.566-2.271,1.773c-0.139,0.283-0.482,2.865-0.482,5.508s0.189,5.02,0.189,5.86c0,0.354,0,0.976,0.076,1.565c0.053,0.354,0.129,0.697,0.268,0.966c0.232,0.473,0.447,0.516,1.334,0.473c1.137-0.051,2.779,0,4.477,0.07c1.135,0.043,2.297,0.086,3.33,0.11c2.582,0.051,1.826-0.379,2.928-0.36c1.102,0.016,5.447,0.196,9.424,0.196c3.976,0,8.332-0.182,9.423-0.196c1.102-0.019,0.346,0.411,2.926,0.36c1.033-0.018,2.195-0.067,3.332-0.11c1.695-0.062,3.348-0.121,4.477-0.07c0.886,0.043,1.103,0,1.332-0.473c0.132-0.269,0.218-0.611,0.269-0.966c0.086-0.592,0.078-1.213,0.078-1.565C49.678,37.793,49.867,35.408,49.867,32.766L49.867,32.766zM13.219,19.735c0.412-0.964,1.652-2.9,2.256-3.244c0.145-0.087,1.426-0.491,4.637-0.706c2.953-0.198,6.217-0.276,7.73-0.276c1.513,0,4.777,0.078,7.729,0.276c3.201,0.215,4.502,0.611,4.639,0.706c0.775,0.533,1.842,2.28,2.256,3.244c0.412,0.965,0.965,2.858,0.861,3.116c-0.104,0.258,0.104,0.388-1.291,0.275c-1.387-0.103-10.088-0.216-14.185-0.216c-4.088,0-12.789,0.113-14.184,0.216c-1.395,0.104-1.188-0.018-1.291-0.275C12.254,22.593,12.805,20.708,13.219,19.735L13.219,19.735zM16.385,30.511c-0.619,0.155-0.988,0.491-1.764,0.482c-0.775,0-2.867-0.353-3.314-0.371c-0.447-0.017-0.842,0.302-1.076,0.362c-0.23,0.06-0.688-0.104-1.377-0.318c-0.688-0.216-1.092-0.155-1.316-1.094c-0.232-0.93,0-2.264,0-2.264c1.488-0.068,2.928,0.069,5.621,0.826c2.693,0.758,4.191,2.213,4.191,2.213S17.004,30.357,16.385,30.511L16.385,30.511zM36.629,37.293c-1.23,0.164-6.386,0.207-8.794,0.207c-2.412,0-7.566-0.051-8.799-0.207c-1.256-0.164-2.891-1.67-1.764-2.865c1.523-1.627,1.24-1.576,4.701-2.023C24.967,32.018,27.239,32,27.834,32c0.584,0,2.865,0.025,5.859,0.404c3.461,0.447,3.178,0.396,4.699,2.022C39.521,35.623,37.887,37.129,36.629,37.293L36.629,37.293zM48.129,29.582c-0.232,0.93-0.629,0.878-1.318,1.093c-0.688,0.216-1.145,0.371-1.377,0.319c-0.231-0.053-0.627-0.371-1.074-0.361c-0.448,0.018-2.539,0.37-3.313,0.37c-0.772,0-1.146-0.328-1.764-0.481c-0.621-0.154-0.966-0.154-0.966-0.154s1.49-1.464,4.191-2.213c2.693-0.758,4.131-0.895,5.621-0.826C48.129,27.309,48.361,28.643,48.129,29.582L48.129,29.582z\\\",\\\"symbolSize\\\":[40,30]},{\\\"name\\\":\\\"跑步\\\",\\\"value\\\":2,\\\"symbol\\\":\\\"path://M13.676,32.955c0.919-0.031,1.843-0.008,2.767-0.008v0.007c0.827,0,1.659,0.041,2.486-0.019c0.417-0.028,1.118,0.325,1.14-0.545c0.014-0.637-0.156-1.279-0.873-1.367c-1.919-0.241-3.858-0.233-5.774,0.019c-0.465,0.062-0.998,0.442-0.832,1.069C12.715,32.602,13.045,32.977,13.676,32.955zM14.108,29.013c1.47-0.007,2.96-0.122,4.414,0.035c1.792,0.192,3.1-0.412,4.273-2.105c-3.044,0-5.882,0.014-8.719-0.01c-0.768-0.005-1.495,0.118-1.461,1C12.642,28.731,13.329,29.014,14.108,29.013zM23.678,36.593c-0.666-0.69-1.258-1.497-2.483-1.448c-2.341,0.095-4.689,0.051-7.035,0.012c-0.834-0.014-1.599,0.177-1.569,1.066c0.031,0.854,0.812,1.062,1.636,1.043c1.425-0.033,2.852-0.01,4.278-0.01v-0.01c1.562,0,3.126,0.008,4.691-0.005C23.614,37.239,24.233,37.174,23.678,36.593zM32.234,42.292h-0.002c-1.075,0.793-2.589,0.345-3.821,1.048c-0.359,0.193-0.663,0.465-0.899,0.799c-1.068,1.623-2.052,3.301-3.117,4.928c-0.625,0.961-0.386,1.805,0.409,2.395c0.844,0.628,1.874,0.617,2.548-0.299c1.912-2.573,3.761-5.197,5.621-7.814C33.484,42.619,33.032,42.387,32.234,42.292zM43.527,28.401c-0.688-1.575-2.012-0.831-3.121-0.895c-1.047-0.058-2.119,1.128-3.002,0.345c-0.768-0.677-1.213-1.804-1.562-2.813c-0.45-1.305-1.495-2.225-2.329-3.583c2.953,1.139,4.729,0.077,5.592-1.322c0.99-1.61,0.718-3.725-0.627-4.967c-1.362-1.255-3.414-1.445-4.927-0.452c-1.933,1.268-2.206,2.893-0.899,6.11c-2.098-0.659-3.835-1.654-5.682-2.383c-0.735-0.291-1.437-1.017-2.293-0.666c-2.263,0.927-4.522,1.885-6.723,2.95c-1.357,0.658-1.649,1.593-1.076,2.638c0.462,0.851,1.643,1.126,2.806,0.617c0.993-0.433,1.994-0.857,2.951-1.374c1.599-0.86,3.044-0.873,4.604,0.214c1.017,0.707,0.873,1.137,0.123,1.849c-1.701,1.615-3.516,3.12-4.933,5.006c-1.042,1.388-0.993,2.817,0.255,4.011c1.538,1.471,3.148,2.869,4.708,4.315c0.485,0.444,0.907,0.896-0.227,1.104c-1.523,0.285-3.021,0.694-4.538,1.006c-1.109,0.225-2.02,1.259-1.83,2.16c0.223,1.07,1.548,1.756,2.687,1.487c3.003-0.712,6.008-1.413,9.032-2.044c1.549-0.324,2.273-1.869,1.344-3.115c-0.868-1.156-1.801-2.267-2.639-3.445c-1.964-2.762-1.95-2.771,0.528-5.189c1.394-1.357,1.379-1.351,2.437,0.417c0.461,0.769,0.854,1.703,1.99,1.613c2.238-0.181,4.407-0.755,6.564-1.331C43.557,30.447,43.88,29.206,43.527,28.401z\\\",\\\"symbolSize\\\":[50,50]},{\\\"name\\\":\\\"步行\\\",\\\"value\\\":1,\\\"symbol\\\":\\\"path://M29.902,23.275c1.86,0,3.368-1.506,3.368-3.365c0-1.859-1.508-3.365-3.368-3.365c-1.857,0-3.365,1.506-3.365,3.365C26.537,21.769,28.045,23.275,29.902,23.275zM36.867,30.74c-1.666-0.467-3.799-1.6-4.732-4.199c-0.932-2.6-3.131-2.998-4.797-2.998s-7.098,3.894-7.098,3.894c-1.133,1.001-2.1,6.502-0.967,6.769c1.133,0.269,1.266-1.533,1.934-3.599c0.666-2.065,3.797-3.466,3.797-3.466s0.201,2.467-0.398,3.866c-0.599,1.399-1.133,2.866-1.467,6.198s-1.6,3.665-3.799,6.266c-2.199,2.598-0.6,3.797,0.398,3.664c1.002-0.133,5.865-5.598,6.398-6.998c0.533-1.397,0.668-3.732,0.668-3.732s0,0,2.199,1.867c2.199,1.865,2.332,4.6,2.998,7.73s2.332,0.934,2.332-0.467c0-1.401,0.269-5.465-1-7.064c-1.265-1.6-3.73-3.465-3.73-5.265s1.199-3.732,1.199-3.732c0.332,1.667,3.335,3.065,5.599,3.399C38.668,33.206,38.533,31.207,36.867,30.74z\\\",\\\"symbolSize\\\":[40,50]}]\",\"size\":{\"width\":463,\"height\":463},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"象形柱图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520322329288706', NULL, '1522507145776472065', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"维度\"},{\"mapping\":\"visit\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"首页_近一周访问量\",\"dataSetApi\":\"selectcount(*)asvisit\\t,count(distinct(ip))asip\\t,DATE_FORMAT(create_time,\'%Y-%m-%d\')astian\\t,DATE_FORMAT(create_time,\'%m-%d\')astype\\tfromsys_logwherelog_type=1andcreate_time<=sysdate()andcreate_time>=(selectdate_sub(curdate(),interval7day))groupbytian,typeorderbytiandesc\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":\"10\",\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":779,\"height\":474},\"dataSetId\":\"1522503560003067906\",\"fieldOption\":[{\"label\":\"访问量\",\"text\":\"访问量\",\"value\":\"visit\"},{\"label\":\"ip地址\",\"text\":\"ip地址\",\"value\":\"ip\"},{\"label\":\"年月\",\"text\":\"年月\",\"value\":\"tian\"},{\"label\":\"天\",\"text\":\"天\",\"value\":\"type\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"定时刷新\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522520322421563394', NULL, '1522507145776472065', NULL, 'JLine', '{\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"dataFilter\":\"returndata.filter((item)=>{returnitem.value>5000});\",\"size\":{\"width\":463,\"height\":474},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"数据过滤\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:15:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523872572743681', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"本日产量\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523872849567745', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"456786\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523872954425346', NULL, '1522451603569778690', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"19日\\\",\\\"value\\\":100879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"20日\\\",\\\"value\\\":340879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"21日\\\",\\\"value\\\":230879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"22日\\\",\\\"value\\\":540879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"23日\\\",\\\"value\\\":340879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"24日\\\",\\\"value\\\":30879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"25日\\\",\\\"value\\\":34879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":621,\"height\":474},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":57,\"show\":false,\"right\":6},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"每日产能\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873038311426', NULL, '1522451603569778690', NULL, 'JPie', '{\"chartData\":\"[{\\\"name\\\":\\\"未完成\\\",\\\"value\\\":4.9},{\\\"name\\\":\\\"已完成\\\",\\\"value\\\":95.1}]\",\"size\":{\"width\":306,\"height\":452},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"r\":10,\"orient\":\"horizontal\",\"t\":1},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"昨日概况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873143169025', NULL, '1522451603569778690', NULL, 'JPie', '{\"chartData\":\"[{\\\"name\\\":\\\"未完成\\\",\\\"value\\\":3.8},{\\\"name\\\":\\\"已完成\\\",\\\"value\\\":96.2}]\",\"size\":{\"width\":306,\"height\":452},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"r\":12,\"orient\":\"horizontal\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"月概况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873235443714', NULL, '1522451603569778690', NULL, 'JTabs', '{\"size\":{\"width\":621,\"height\":540},\"w\":12,\"h\":40,\"option\":{\"title\":\"选项卡\"},\"child\":[{\"h\":42,\"index\":0,\"i\":\"4c96d729-f16d-4fea-a9c5-f82a6aef0225\",\"title\":\"实际生产\",\"horizontal\":false,\"component\":\"JCommonTable\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"1daf6c6b-7061-40d3-8980-cd20c163da40\",\"config\":{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智能大数据_实际生产\",\"h\":42,\"dataSetApi\":\"[{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"TYIY-908\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"11CPER-44\\\",\\\"jgsj\\\":\\\"2021-03-2918:07\\\",\\\"dqgx\\\":\\\"工序2\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"F56677\\\",\\\"jgsj\\\":\\\"2021-02-2807:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"99CVB-1\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序3\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"TYIY-908\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"11CPER-44\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序2\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"F56677\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"99CVB-1\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序3\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"TYIY-908\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"ATJDS01\\\",\\\"gjbm\\\":\\\"11CPER-44\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序2\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"F56677\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序1\\\",\\\"zt\\\":\\\"已完成\\\"},{\\\"gh\\\":\\\"PFTE56\\\",\\\"gjbm\\\":\\\"99CVB-1\\\",\\\"jgsj\\\":\\\"2021-03-2817:07\\\",\\\"dqgx\\\":\\\"工序3\\\",\\\"zt\\\":\\\"已完成\\\"}]\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"paddingBottom\":90,\"dataSetId\":\"1522522034783920129\",\"fieldOption\":[{\"label\":\"工号\",\"text\":\"工号\",\"value\":\"gh\"},{\"label\":\"编码\",\"text\":\"编码\",\"value\":\"gjbm\"},{\"label\":\"完成时间\",\"text\":\"完成时间\",\"value\":\"jgsj\"},{\"label\":\"工序\",\"text\":\"工序\",\"value\":\"dqgx\"},{\"label\":\"状态\",\"text\":\"状态\",\"value\":\"zt\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"gh\",\"title\":\"工号\"},{\"izShow\":\"Y\",\"dataIndex\":\"gjbm\",\"title\":\"编码\"},{\"izShow\":\"Y\",\"dataIndex\":\"jgsj\",\"title\":\"完成时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"dqgx\",\"title\":\"工序\"},{\"izShow\":\"Y\",\"dataIndex\":\"zt\",\"title\":\"状态\"}]}},\"child\":[]},{\"h\":42,\"index\":0,\"i\":\"6163f3c5-7cd3-471f-84df-b53603bc922f\",\"title\":\"计划生产\",\"horizontal\":false,\"component\":\"JCommonTable\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"59ce013b-526f-487a-816a-de2d87ce4b9d\",\"config\":{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智能大数据\",\"h\":42,\"dataSetApi\":\"[{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"56-REE-4\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"BB-1L-0004\\\",\\\"jh\\\":\\\"2\\\",\\\"dqgx\\\":\\\"工序\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"DB-F5GNT-1\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"A5-0001\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"总装工序\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"56-REE-4\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"BB-1L-0004\\\",\\\"jh\\\":\\\"2\\\",\\\"dqgx\\\":\\\"工序\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"DB-F5GNT-1\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"A5-0001\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"总装工序\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"56-REE-4\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"ACDFE_0045\\\",\\\"gjbm\\\":\\\"BB-1L-0004\\\",\\\"jh\\\":\\\"2\\\",\\\"dqgx\\\":\\\"工序\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"DB-F5GNT-1\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"工程\\\",\\\"zt\\\":\\\"未开始\\\"},{\\\"gh\\\":\\\"JFL5GZ1-01\\\",\\\"gjbm\\\":\\\"A5-0001\\\",\\\"jh\\\":\\\"1\\\",\\\"dqgx\\\":\\\"总装工序\\\",\\\"zt\\\":\\\"未开始\\\"}]\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"paddingBottom\":90,\"dataSetId\":\"1522455203175997442\",\"fieldOption\":[{\"label\":\"工号\",\"text\":\"工号\",\"value\":\"gh\"},{\"label\":\"构件编号\",\"text\":\"构件编号\",\"value\":\"gjbm\"},{\"label\":\"序号\",\"text\":\"序号\",\"value\":\"jh\"},{\"label\":\"状态\",\"text\":\"状态\",\"value\":\"zt\"},{\"label\":\"当前工序\",\"text\":\"当前工序\",\"value\":\"dqgx\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"gh\",\"title\":\"工号\"},{\"izShow\":\"Y\",\"dataIndex\":\"gjbm\",\"title\":\"构件编号\"},{\"izShow\":\"N\",\"dataIndex\":\"jh\",\"title\":\"序号\"},{\"izShow\":\"Y\",\"dataIndex\":\"zt\",\"title\":\"状态\"},{\"izShow\":\"Y\",\"dataIndex\":\"dqgx\",\"title\":\"当前工序\"}]}},\"child\":[]}]}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873340301313', NULL, '1522451603569778690', NULL, 'JTabs', '{\"size\":{\"width\":621,\"height\":518},\"w\":12,\"h\":40,\"option\":{\"title\":\"选项卡\"},\"child\":[{\"h\":42,\"index\":0,\"i\":\"7b87441d-0f82-454a-80b9-6040dc1f8f5a\",\"title\":\"项目履约一览表\",\"horizontal\":false,\"component\":\"JCommonTable\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"f437ad36-afbd-475b-8402-e8be433022a2\",\"config\":{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智能大数据_一览表\",\"h\":42,\"dataSetApi\":\"[{\\\"ddh\\\":\\\"A5CCU_2017...\\\",\\\"zcxm\\\":\\\"国际城0902\\\",\\\"zl\\\":\\\"2548\\\",\\\"jhrq\\\":\\\"2021-04-21\\\",\\\"scjd\\\":\\\"100%\\\"},{\\\"ddh\\\":\\\"A5CCU_2017...\\\",\\\"zcxm\\\":\\\"新城ERT\\\",\\\"zl\\\":\\\"27215\\\",\\\"jhrq\\\":\\\"2021-05-21\\\",\\\"scjd\\\":\\\"54%\\\"},{\\\"ddh\\\":\\\"A5CCU_2018...\\\",\\\"zcxm\\\":\\\"天桥TTY\\\",\\\"zl\\\":\\\"5423\\\",\\\"jhrq\\\":\\\"2021-12-21\\\",\\\"scjd\\\":\\\"100%\\\"},{\\\"ddh\\\":\\\"A5CCU_2018...\\\",\\\"zcxm\\\":\\\"国际中心地\\\",\\\"zl\\\":\\\"14427\\\",\\\"jhrq\\\":\\\"2021-12-21\\\",\\\"scjd\\\":\\\"88%\\\"},{\\\"ddh\\\":\\\"A5CCU_2019...\\\",\\\"zcxm\\\":\\\"新生广场\\\",\\\"zl\\\":\\\"2808\\\",\\\"jhrq\\\":\\\"2021-08-21\\\",\\\"scjd\\\":\\\"98%\\\"},{\\\"ddh\\\":\\\"A5CCU_2017...\\\",\\\"zcxm\\\":\\\"国际城0902\\\",\\\"zl\\\":\\\"2548\\\",\\\"jhrq\\\":\\\"2021-04-21\\\",\\\"scjd\\\":\\\"100%\\\"},{\\\"ddh\\\":\\\"A5CCU_2019...\\\",\\\"zcxm\\\":\\\"新生广场\\\",\\\"zl\\\":\\\"2808\\\",\\\"jhrq\\\":\\\"2021-08-21\\\",\\\"scjd\\\":\\\"98%\\\"},{\\\"ddh\\\":\\\"A5CCU_2017...\\\",\\\"zcxm\\\":\\\"新城ERT\\\",\\\"zl\\\":\\\"27215\\\",\\\"jhrq\\\":\\\"2021-05-21\\\",\\\"scjd\\\":\\\"54%\\\"}]\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"paddingBottom\":90,\"dataSetId\":\"1522523544120991745\",\"fieldOption\":[{\"label\":\"订单号\",\"text\":\"订单号\",\"value\":\"ddh\"},{\"label\":\"在产项目\",\"text\":\"在产项目\",\"value\":\"zcxm\"},{\"label\":\"重量\",\"text\":\"重量\",\"value\":\"zl\"},{\"label\":\"交货日期\",\"text\":\"交货日期\",\"value\":\"jhrq\"},{\"label\":\"产量进度\",\"text\":\"产量进度\",\"value\":\"scjd\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"ddh\",\"title\":\"订单号\"},{\"izShow\":\"Y\",\"dataIndex\":\"zcxm\",\"title\":\"在产项目\"},{\"izShow\":\"Y\",\"dataIndex\":\"zl\",\"title\":\"重量\"},{\"izShow\":\"Y\",\"dataIndex\":\"jhrq\",\"title\":\"交货日期\"},{\"izShow\":\"Y\",\"dataIndex\":\"scjd\",\"title\":\"产量进度\"}]}},\"child\":[]}]}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873445158914', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"本周产量\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873529044994', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"1234678\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873621319682', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"本月产量\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522523873726177281', NULL, '1522451603569778690', NULL, 'JText', '{\"chartData\":\"87653908\",\"size\":{\"width\":200,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:29:13', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524336454377473', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524336693452802', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"乡村振兴普惠金融服务平台\",\"size\":{\"width\":306,\"height\":78},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":23,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524336823476225', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"农牧耕田（亩）：12345\",\"size\":{\"width\":253,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":13},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524336903168002', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524336974471169', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337066745858', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"农牧产量（斤）：56789\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337146437633', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"综合产品：4567768\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":13},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337251295233', NULL, '1522417428246568961', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"乡村振兴_表格\",\"h\":42,\"dataSetApi\":\"[{\\\"name\\\":\\\"数据\\\",\\\"sj\\\":\\\"1000\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"50\\\",\\\"jg\\\":\\\"机构\\\",\\\"jl\\\":\\\"数据2\\\"},{\\\"name\\\":\\\"数据1\\\",\\\"sj\\\":\\\"1500\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"100\\\",\\\"jg\\\":\\\"机构2\\\",\\\"jl\\\":\\\"李四\\\"},{\\\"name\\\":\\\"数据\\\",\\\"sj\\\":\\\"1000\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"50\\\",\\\"jg\\\":\\\"机构\\\",\\\"jl\\\":\\\"数据2\\\"},{\\\"name\\\":\\\"数据1\\\",\\\"sj\\\":\\\"1500\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"100\\\",\\\"jg\\\":\\\"机构2\\\",\\\"jl\\\":\\\"李四\\\"},{\\\"name\\\":\\\"数据\\\",\\\"sj\\\":\\\"1000\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"50\\\",\\\"jg\\\":\\\"机构\\\",\\\"jl\\\":\\\"数据2\\\"},{\\\"name\\\":\\\"数据1\\\",\\\"sj\\\":\\\"1500\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"100\\\",\\\"jg\\\":\\\"机构2\\\",\\\"jl\\\":\\\"李四\\\"},{\\\"name\\\":\\\"数据\\\",\\\"sj\\\":\\\"1000\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"50\\\",\\\"jg\\\":\\\"机构\\\",\\\"jl\\\":\\\"数据2\\\"},{\\\"name\\\":\\\"数据1\\\",\\\"sj\\\":\\\"1500\\\",\\\"type\\\":\\\"担保\\\",\\\"je\\\":\\\"100\\\",\\\"jg\\\":\\\"机构2\\\",\\\"jl\\\":\\\"李四\\\"}]\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"\",\"size\":{\"width\":726,\"height\":463},\"dataSetId\":\"1522422772532256770\",\"fieldOption\":[{\"label\":\"客户姓名\",\"text\":\"客户姓名\",\"value\":\"name\"},{\"label\":\"放款时间\",\"text\":\"放款时间\",\"value\":\"sj\"},{\"label\":\"担保方式\",\"text\":\"担保方式\",\"value\":\"type\"},{\"label\":\"放款金额\",\"text\":\"放款金额\",\"value\":\"je\"},{\"label\":\"法人机构\",\"text\":\"法人机构\",\"value\":\"jg\"},{\"label\":\"客户经理\",\"text\":\"客户经理\",\"value\":\"jl\"}],\"dataSetType\":\"json\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"客户姓名\"},{\"izShow\":\"Y\",\"dataIndex\":\"sj\",\"title\":\"放款时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"type\",\"title\":\"担保方式\"},{\"izShow\":\"Y\",\"dataIndex\":\"je\",\"title\":\"放款金额\"},{\"izShow\":\"Y\",\"dataIndex\":\"jg\",\"title\":\"法人机构\"},{\"izShow\":\"Y\",\"dataIndex\":\"jl\",\"title\":\"客户经理\"}]}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337356152834', NULL, '1522417428246568961', NULL, 'JLine', '{\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"梨\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"葡萄\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"山楂\\\"}]\",\"size\":{\"width\":516,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":61,\"show\":false,\"right\":62},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"五年产业变化趋势\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337461010433', NULL, '1522417428246568961', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"大豆\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小麦\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"果蔬\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":516,\"height\":298},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"left\":66,\"bottom\":65,\"show\":false,\"right\":1},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"农产品排名\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337565868034', NULL, '1522417428246568961', NULL, 'JPie', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"蔬菜\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"果物\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"粮食\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"养殖\\\"}]\",\"size\":{\"width\":516,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"农业占比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337670725634', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"综合收入：678904\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337742028802', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337813331969', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337884635138', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"农牧产量（斤）：56789\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524337951744001', NULL, '1522417428246568961', NULL, 'JText', '{\"chartData\":\"农牧产量（斤）：56789\",\"size\":{\"height\":50},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524338023047170', NULL, '1522417428246568961', NULL, 'JImg', '{\"size\":{\"width\":43,\"height\":45},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"https://jeecgos.oss-cn-beijing.aliyuncs.com/bigscreen/images/8830d68590e34dfdadd8ca0845763fd4.jpg\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1522524338094350337', NULL, '1522417428246568961', NULL, 'JFunnel', '{\"chartData\":\"[{\\\"value\\\":335,\\\"name\\\":\\\"果蔬\\\"},{\\\"value\\\":310,\\\"name\\\":\\\"粮食\\\"},{\\\"value\\\":234,\\\"name\\\":\\\"养殖\\\"}]\",\"size\":{\"width\":411,\"height\":408},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\",\"show\":false},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\",\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"农产品收入排行\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-06 18:31:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906947722629122', NULL, '1522121177760280578', NULL, 'JText', '{\"chartData\":\"医院综合数据统计\",\"size\":{\"width\":607,\"height\":78},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":216},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906947861041153', NULL, '1522121177760280578', NULL, 'JStackBar', '{\"chartData\":\"[{\\\"name\\\":\\\"内科\\\",\\\"value\\\":10079,\\\"type\\\":\\\"床位\\\"},{\\\"name\\\":\\\"外科\\\",\\\"value\\\":34879,\\\"type\\\":\\\"床位\\\"},{\\\"name\\\":\\\"儿科\\\",\\\"value\\\":20879,\\\"type\\\":\\\"床位\\\"},{\\\"name\\\":\\\"骨科\\\",\\\"value\\\":5879,\\\"type\\\":\\\"床位\\\"},{\\\"name\\\":\\\"放射科\\\",\\\"value\\\":3479,\\\"type\\\":\\\"床位\\\"},{\\\"name\\\":\\\"内科\\\",\\\"value\\\":1879,\\\"type\\\":\\\"接诊\\\"},{\\\"name\\\":\\\"外科\\\",\\\"value\\\":3879,\\\"type\\\":\\\"接诊\\\"},{\\\"name\\\":\\\"儿科\\\",\\\"value\\\":2309,\\\"type\\\":\\\"接诊\\\"},{\\\"name\\\":\\\"放射科\\\",\\\"value\\\":5409,\\\"type\\\":\\\"接诊\\\"},{\\\"name\\\":\\\"骨科\\\",\\\"value\\\":3479,\\\"type\\\":\\\"接诊\\\"}]\",\"size\":{\"width\":539,\"height\":397},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"category\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115},\"series\":[],\"legend\":{\"r\":4,\"t\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"机构情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906947932344321', NULL, '1522121177760280578', NULL, 'JArea', '{\"chartData\":\"[{\\\"value\\\":300,\\\"name\\\":\\\"2010\\\"},{\\\"value\\\":605,\\\"name\\\":\\\"2011\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"2012\\\"},{\\\"value\\\":700,\\\"name\\\":\\\"2013\\\"},{\\\"value\\\":1048,\\\"name\\\":\\\"2014\\\"}]\",\"size\":{\"width\":470,\"height\":265},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"name\":\"床位数\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"data\":[],\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"name\":\"年份\",\"boundaryGap\":false,\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"left\":46,\"bottom\":46,\"right\":25},\"series\":[{\"areaStyle\":{},\"data\":[],\"type\":\"line\"}],\"title\":{\"show\":true,\"text\":\"床位总数\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948037201921', NULL, '1522121177760280578', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"教授\\\",\\\"value\\\":123},{\\\"name\\\":\\\"博士\\\",\\\"value\\\":98},{\\\"name\\\":\\\"硕士\\\",\\\"value\\\":75},{\\\"name\\\":\\\"本科\\\",\\\"value\\\":66}]\",\"size\":{\"width\":539,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":1,\"left\":38,\"bottom\":70,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"top\":1,\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948108505089', NULL, '1522121177760280578', NULL, 'JColorGauge', '{\"chartData\":\"[{\\\"name\\\":\\\"满意度\\\",\\\"value\\\":95,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":264,\"height\":287},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"pointer\":{\"width\":8},\"axisLine\":{\"lineStyle\":{\"color\":[[0.25,\"#FF6E76\"],[0.5,\"#FDDD60\"],[1,\"#58D9F9\"]],\"width\":10}},\"anchor\":{\"itemStyle\":{\"color\":\"#FAC858\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#EEEEEE\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#EEEEEE\"},\"show\":true},\"title\":{\"fontSize\":14}}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\"},\"title\":{\"top\":1,\"show\":false,\"text\":\"多色仪表盘\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948179808258', NULL, '1522121177760280578', NULL, 'JColorGauge', '{\"chartData\":\"[{\\\"name\\\":\\\"投诉率\\\",\\\"value\\\":4,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":264,\"height\":287},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"pointer\":{\"width\":8},\"axisLine\":{\"lineStyle\":{\"color\":[[0.25,\"#FF6E76\"],[0.5,\"#FDDD60\"],[1,\"#58D9F9\"]],\"width\":10}},\"anchor\":{\"itemStyle\":{\"color\":\"#FAC858\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#EEEEEE\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#EEEEEE\"},\"show\":true},\"title\":{\"fontSize\":14}}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\"},\"title\":{\"show\":false,\"text\":\"多色仪表盘\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948246917122', NULL, '1522121177760280578', NULL, 'JPie', '{\"chartData\":\"[{\\\"name\\\":\\\"核磁共振\\\",\\\"value\\\":1000879},{\\\"name\\\":\\\"呼吸机\\\",\\\"value\\\":3400879},{\\\"name\\\":\\\"CT\\\",\\\"value\\\":2300879},{\\\"name\\\":\\\"彩超\\\",\\\"value\\\":5400879},{\\\"name\\\":\\\"3D打印\\\",\\\"value\\\":3000}]\",\"size\":{\"width\":470,\"height\":342},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"isRose\":true,\"grid\":{\"top\":47,\"bottom\":115,\"show\":false},\"legend\":{\"r\":7,\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"设备情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948351774722', NULL, '1522121177760280578', NULL, 'JLine', '{\"chartData\":\"[{\\\"name\\\":\\\"1月\\\",\\\"value\\\":2,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":4.9,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":7,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":23.2,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":25.6,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":76.7,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"7月\\\",\\\"value\\\":135.6,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"8月\\\",\\\"value\\\":162.2,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"9月\\\",\\\"value\\\":32.6,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"10月\\\",\\\"value\\\":20,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"11月\\\",\\\"value\\\":6.4,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"12月\\\",\\\"value\\\":3.3,\\\"series\\\":\\\"医师\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"1月\\\",\\\"value\\\":2.6,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":5.9,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":9,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":26.4,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":28.7,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":70.7,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"7月\\\",\\\"value\\\":175.6,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"8月\\\",\\\"value\\\":182.2,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"9月\\\",\\\"value\\\":48.7,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"10月\\\",\\\"value\\\":18.8,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"11月\\\",\\\"value\\\":6,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"},{\\\"name\\\":\\\"12月\\\",\\\"value\\\":2.3,\\\"series\\\":\\\"护士\\\",\\\"type\\\":\\\"bar\\\"}]\",\"size\":{\"width\":470,\"height\":375},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"name\":\"人数\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"name\":\"月份\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"left\":33,\"bottom\":87,\"show\":false,\"right\":53},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"人员总数\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948423077889', NULL, '1522121177760280578', NULL, 'JRing', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"消炎药\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"感冒药\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"皮肤类药物\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"外科用药\\\"}]\",\"size\":{\"width\":607,\"height\":364},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"科室用药\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948490186754', NULL, '1522121177760280578', NULL, 'JFunnel', '{\"chartData\":\"[{\\\"value\\\":25,\\\"name\\\":\\\"特级护士\\\"},{\\\"value\\\":310,\\\"name\\\":\\\"住院总医师\\\"},{\\\"value\\\":234,\\\"name\\\":\\\"护士\\\"},{\\\"name\\\":\\\"主任\\\",\\\"value\\\":50}]\",\"size\":{\"width\":607,\"height\":364},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\",\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1523906948561489921', NULL, '1522121177760280578', NULL, 'JGrowCard', '{\"chartData\":\"[  {    \\\"title\\\": \\\"床位数\\\",    \\\"icon\\\": \\\"\\\",    \\\"value\\\": 258,    \\\"prefix\\\": \\\"\\\",    \\\"color\\\": \\\"green\\\",    \\\"action\\\": \\\"\\\"  },  {    \\\"title\\\": \\\"人员数\\\",    \\\"icon\\\": \\\"\\\",    \\\"value\\\": 1120,    \\\"total\\\": \\\"\\\",    \\\"prefix\\\": \\\"\\\",    \\\"color\\\": \\\"blue\\\",    \\\"action\\\": \\\"\\\"  },  {    \\\"title\\\": \\\"百万设置\\\",    \\\"icon\\\": \\\"\\\",    \\\"value\\\": 870,    \\\"prefix\\\": \\\"\\\",    \\\"total\\\": \\\"\\\",    \\\"color\\\": \\\"orange\\\",    \\\"action\\\": \\\"\\\"  }]\",\"size\":{\"width\":607,\"height\":166},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2022-05-10 14:05:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524656729709641730', NULL, '1522823348231397378', NULL, 'JForm', '{\"size\":{\"height\":120},\"w\":24,\"dataType\":2,\"h\":12,\"linkageConfig\":[{\"linkageId\":\"491fc4c0-782c-49ac-838c-ae7003abece2\",\"linkage\":[{\"source\":\"name\",\"target\":\"name\"},{\"source\":\"sex\",\"target\":\"sex\"}]}],\"timeOut\":-1,\"option\":{\"fields\":[{\"fieldName\":\"sex\",\"dictCode\":\"sex\",\"fieldTxt\":\"性别\",\"defaultValue\":\"1\",\"searchMode\":\"\",\"action\":\"\",\"id\":\"row57227ae2-04d1-4306-8878-314e099cd5ac\",\"izSearch\":\"1\",\"widgetType\":\"select\"}]}}', 'admin', '2022-05-12 15:44:26', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524656729776750593', NULL, '1522823348231397378', NULL, 'JCommonTable', '{\"paramOption\":[{\"defaultVal\":\"1\",\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"}],\"dataType\":2,\"dataSetName\":\"示例_数据表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"select*fromdemowheresex=\'${sex}\'\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522824721899511810\",\"fieldOption\":[{\"label\":\"姓名\",\"text\":\"姓名\",\"value\":\"name\"},{\"label\":\"打卡时间\",\"text\":\"打卡时间\",\"value\":\"punch_time\"},{\"label\":\"工资\",\"text\":\"工资\",\"value\":\"salary_money\"},{\"label\":\"奖金\",\"text\":\"奖金\",\"value\":\"bonus_money\"},{\"label\":\"性别\",\"text\":\"性别\",\"value\":\"sex\"},{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"age\"},{\"label\":\"生日\",\"text\":\"生日\",\"value\":\"birthday\"},{\"label\":\"邮箱\",\"text\":\"邮箱\",\"value\":\"email\"},{\"label\":\"个人简介\",\"text\":\"个人简介\",\"value\":\"content\"}],\"dataSetType\":\"sql\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"姓名\"},{\"izShow\":\"Y\",\"dataIndex\":\"punch_time\",\"title\":\"打卡时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"salary_money\",\"title\":\"工资\"},{\"izShow\":\"Y\",\"dataIndex\":\"bonus_money\",\"title\":\"奖金\"},{\"izShow\":\"Y\",\"dataIndex\":\"sex\",\"title\":\"性别\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"age\",\"title\":\"年龄\"},{\"izShow\":\"Y\",\"dataIndex\":\"birthday\",\"title\":\"生日\"},{\"izShow\":\"Y\",\"dataIndex\":\"email\",\"title\":\"邮箱\"},{\"izShow\":\"Y\",\"dataIndex\":\"content\",\"title\":\"个人简介\"}]}}', 'admin', '2022-05-12 15:44:26', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142020980737', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"智慧社区内网比对平台\",\"size\":{\"width\":676,\"height\":67},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"fontSize\":25,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":188},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142121644034', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"当前对比数据\",\"size\":{\"width\":470,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#182FC7\",\"fontSize\":15,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":50},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142226501634', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"256321\",\"size\":{\"width\":470,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":60},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142331359233', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"违法犯罪人员分析\",\"size\":{\"width\":470,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142436216833', NULL, '1522172834409885698', NULL, 'JPie', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_违法犯罪人员分析\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/Illegal\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":470,\"height\":386},\"dataSetId\":\"1522181219549196289\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"r\":7,\"orient\":\"horizontal\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142541074433', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"人口出入记录\",\"size\":{\"width\":470,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142645932033', NULL, '1522172834409885698', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_人员出入记录\",\"h\":42,\"dataSetApi\":\"http://api.jeecg.com/mock/51/ace\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":470,\"height\":463},\"dataSetId\":\"1522182473872584705\",\"fieldOption\":[{\"label\":\"姓名\",\"text\":\"姓名\",\"value\":\"name\"},{\"label\":\"类型\",\"text\":\"类型\",\"value\":\"type\"},{\"label\":\"开门方式\",\"text\":\"开门方式\",\"value\":\"mode\"},{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"date\"}],\"dataSetType\":\"api\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"姓名\"},{\"izShow\":\"Y\",\"dataIndex\":\"type\",\"title\":\"类型\"},{\"izShow\":\"Y\",\"dataIndex\":\"mode\",\"title\":\"开门方式\"},{\"izShow\":\"Y\",\"dataIndex\":\"date\",\"title\":\"日期\"}]}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142750789634', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"JeecgBoot面板设计\",\"size\":{\"width\":470,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142855647234', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"JeecgBoot面板设计\",\"size\":{\"width\":470,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661142960504833', NULL, '1522172834409885698', NULL, 'JText', '{\"chartData\":\"JeecgBoot面板设计\",\"size\":{\"width\":470,\"height\":45},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143065362433', NULL, '1522172834409885698', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_时间分部\",\"dataSetApi\":\"[{\\\"name\\\":\\\"6:00-9:00\\\",\\\"value\\\":800},{\\\"name\\\":\\\"10:00-12:00\\\",\\\"value\\\":300},{\\\"name\\\":\\\"13:00-15:00\\\",\\\"value\\\":500},{\\\"name\\\":\\\"16:00-20:00\\\",\\\"value\\\":800},{\\\"name\\\":\\\"21:00-24:00\\\",\\\"value\\\":600}]\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":470,\"height\":298},\"dataSetId\":\"1522187101267832833\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"时间分部\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143170220033', NULL, '1522172834409885698', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_地区分部\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/region\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":470,\"height\":309},\"dataSetId\":\"1522185936018878466\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"地域分部\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143275077633', NULL, '1522172834409885698', NULL, 'JRing', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_年龄分部\",\"dataSetApi\":\"http://api.jeecg.com/mock/51/age\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":470,\"height\":320},\"dataSetId\":\"1522184215045615618\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"年龄分部\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143379935234', NULL, '1522172834409885698', NULL, 'JGauge', '{\"chartData\":\"[{\\\"min\\\":1,\\\"max\\\":10,\\\"label\\\":\\\"名称\\\",\\\"value\\\":10,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":516,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\"},\"title\":{\"text\":\"环比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143518347265', NULL, '1522172834409885698', NULL, 'JColorGauge', '{\"chartData\":\"[{\\\"name\\\":\\\"降低率\\\",\\\"value\\\":4,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":516,\"height\":331},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"pointer\":{\"width\":8},\"axisLine\":{\"lineStyle\":{\"color\":[[0.25,\"#FF6E76\"],[0.5,\"#FDDD60\"],[1,\"#58D9F9\"]],\"width\":10}},\"anchor\":{\"itemStyle\":{\"color\":\"#FAC858\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"title\":{\"fontSize\":14}}],\"tooltip\":{\"formatter\":\"{a}<br/>{b}:{c}%\"},\"title\":{\"text\":\"同比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524661143660953602', NULL, '1522172834409885698', NULL, 'JStackBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":676,\"height\":364},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"年份分部\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-05-12 16:01:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524663379220791297', NULL, '1517018517935783937', NULL, 'JTabs', '{\"size\":{\"width\":1650,\"height\":606},\"w\":12,\"h\":40,\"option\":{\"title\":\"选项卡\"},\"child\":[{\"component\":\"JPie\",\"w\":12,\"x\":0,\"h\":42,\"i\":\"68ebef80-9ded-4168-8d89-19ec64bc21d9\",\"title\":\"饼图\",\"config\":{\"dataMapping\":[{\"mapping\":\"nature\",\"filed\":\"维度\"},{\"mapping\":\"total\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计SQL\",\"query\":[],\"dataSetApi\":\"SELECT\\tid,\\tnature,\\tinsurance_fee,\\trisk_consulting_fee,\\tevaluation_fee,\\tinsurance_evaluation_fee,\\tbidding_consulting_fee,\\tinterol_consulting_fee,\\t(\\t\\tinsurance_fee+\\t\\trisk_consulting_fee+\\t\\trisk_consulting_fee+\\t\\tevaluation_fee+\\t\\tinsurance_evaluation_fee+\\t\\tbidding_consulting_fee+\\t\\tinterol_consulting_fee\\t)AS\'total\'FROM\\tjeecg_project_nature_income\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1517020649262972930\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"nature\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"insurance_fee\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"risk_consulting_fee\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"evaluation_fee\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"insurance_evaluation_fee\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"bidding_consulting_fee\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"interol_consulting_fee\"},{\"label\":\"total\",\"text\":\"total\",\"value\":\"total\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}},{\"horizontal\":false,\"component\":\"JBar\",\"size\":10,\"w\":12,\"x\":0,\"h\":42,\"i\":\"305bdc5d-37d6-42a4-baf3-a7a1f27b6bfb\",\"text\":\"0.042\",\"id\":\"0b42743d-492f-467b-bfaf-0769110749ab\",\"title\":\"柱形图\",\"config\":{\"dataMapping\":[{\"mapping\":\"nature\",\"filed\":\"维度\"},{\"mapping\":\"total\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计SQL\",\"query\":[],\"dataSetApi\":\"SELECT\\tid,\\tnature,\\tinsurance_fee,\\trisk_consulting_fee,\\tevaluation_fee,\\tinsurance_evaluation_fee,\\tbidding_consulting_fee,\\tinterol_consulting_fee,\\t(\\t\\tinsurance_fee+\\t\\trisk_consulting_fee+\\t\\trisk_consulting_fee+\\t\\tevaluation_fee+\\t\\tinsurance_evaluation_fee+\\t\\tbidding_consulting_fee+\\t\\tinterol_consulting_fee\\t)AS\'total\'FROM\\tjeecg_project_nature_income\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1517020649262972930\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"nature\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"insurance_fee\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"risk_consulting_fee\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"evaluation_fee\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"insurance_evaluation_fee\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"bidding_consulting_fee\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"interol_consulting_fee\"},{\"label\":\"total\",\"text\":\"total\",\"value\":\"total\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"child\":[]}]}', 'admin', '2022-05-12 16:10:51', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1524663379359203329', NULL, '1517018517935783937', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"项目性质收入统计SQL\",\"query\":[],\"h\":42,\"dataSetApi\":\"SELECT\\tid,\\tnature,\\tinsurance_fee,\\trisk_consulting_fee,\\tevaluation_fee,\\tinsurance_evaluation_fee,\\tbidding_consulting_fee,\\tinterol_consulting_fee,\\t(\\t\\tinsurance_fee+\\t\\trisk_consulting_fee+\\t\\trisk_consulting_fee+\\t\\tevaluation_fee+\\t\\tinsurance_evaluation_fee+\\t\\tbidding_consulting_fee+\\t\\tinterol_consulting_fee\\t)AS\'total\'FROM\\tjeecg_project_nature_income\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":1636,\"height\":518},\"dataSetId\":\"1517020649262972930\",\"fieldOption\":[{\"label\":\"项目性质\",\"text\":\"项目性质\",\"value\":\"nature\"},{\"label\":\"保险经纪佣金费\",\"text\":\"保险经纪佣金费\",\"value\":\"insurance_fee\"},{\"label\":\"风险咨询费\",\"text\":\"风险咨询费\",\"value\":\"risk_consulting_fee\"},{\"label\":\"承保公估评估费\",\"text\":\"承保公估评估费\",\"value\":\"evaluation_fee\"},{\"label\":\"保险公估费\",\"text\":\"保险公估费\",\"value\":\"insurance_evaluation_fee\"},{\"label\":\"投标咨询费\",\"text\":\"投标咨询费\",\"value\":\"bidding_consulting_fee\"},{\"label\":\"内控咨询费\",\"text\":\"内控咨询费\",\"value\":\"interol_consulting_fee\"},{\"label\":\"total\",\"text\":\"total\",\"value\":\"total\"}],\"dataSetType\":\"sql\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"columns\":[{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"nature\",\"title\":\"项目性质\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"insurance_fee\",\"title\":\"保险经纪佣金费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"risk_consulting_fee\",\"title\":\"风险咨询费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"evaluation_fee\",\"title\":\"承保公估评估费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"insurance_evaluation_fee\",\"title\":\"保险公估费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"bidding_consulting_fee\",\"title\":\"投标咨询费\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"interol_consulting_fee\",\"title\":\"内控咨询费\"},{\"izTotal\":\"N\",\"izShow\":\"N\",\"dataIndex\":\"total\",\"title\":\"total\"}]}}', 'admin', '2022-05-12 16:10:51', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125109231618', NULL, '1504364941187043329', NULL, 'eoa-cms-banner', '{\"size\":{\"width\":1636,\"height\":364}}', 'jeecg', '2022-05-17 16:14:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125247643650', NULL, '1504364941187043329', NULL, 'eoa-cms-news-info', '{\"size\":{\"width\":1087,\"height\":683}}', 'jeecg', '2022-05-17 16:14:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125352501250', NULL, '1504364941187043329', NULL, 'eoa-cms-user-notice', '{\"size\":{\"width\":539,\"height\":408}}', 'jeecg', '2022-05-17 16:14:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125457358849', NULL, '1504364941187043329', NULL, 'eoa-cms-rule-info', '{\"size\":{\"width\":607,\"height\":474}}', 'jeecg', '2022-05-17 16:14:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125562216450', NULL, '1504364941187043329', NULL, 'eoa-cms-sign-news', '{\"size\":{\"width\":470,\"height\":474}}', 'jeecg', '2022-05-17 16:14:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125667074049', NULL, '1504364941187043329', NULL, 'eoa-cms-plan', '{\"size\":{\"width\":539,\"height\":529}}', 'jeecg', '2022-05-17 16:14:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526476125771931649', NULL, '1504364941187043329', NULL, 'eoa-cms-link', '{\"size\":{\"width\":539,\"height\":210}}', 'jeecg', '2022-05-17 16:14:04', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613069701121', NULL, '1504359493847306242', NULL, 'eoa-cms-apply-process', '{\"size\":{\"width\":1087,\"height\":463}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613174558721', NULL, '1504359493847306242', NULL, 'eoa-cms-comm-use', '{\"size\":{\"width\":1636,\"height\":155}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613275222017', NULL, '1504359493847306242', NULL, 'eoa-cms-process-notice', '{\"size\":{\"width\":539,\"height\":474}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613384273922', NULL, '1504359493847306242', NULL, 'eoa-cms-my-process', '{\"size\":{\"width\":1087,\"height\":474}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613489131521', NULL, '1504359493847306242', NULL, 'eoa-cms-user-notice', '{\"size\":{\"width\":539,\"height\":463}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613593989121', NULL, '1504359493847306242', NULL, 'eoa-cms-process-chart', '{\"size\":{\"width\":1087,\"height\":386}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613694652418', NULL, '1504359493847306242', NULL, 'eoa-cms-process-type', '{\"size\":{\"width\":539,\"height\":386}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613803704322', NULL, '1504359493847306242', NULL, 'eoa-cms-email', '{\"size\":{\"width\":1087,\"height\":518}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526478613904367618', NULL, '1504359493847306242', NULL, 'eoa-cms-plan', '{\"size\":{\"width\":539,\"height\":518}}', 'jeecg', '2022-05-17 16:23:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526496110877696002', NULL, '1522835471967772673', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"username\",\"filed\":\"维度\"},{\"mapping\":\"sex\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"2011-01-01\",\"label\":\"createTime_begin\",\"text\":\"createTime_begin\",\"value\":\"createTime_begin\"},{\"defaultVal\":\"2022-12-31\",\"label\":\"createTime_end\",\"text\":\"createTime_end\",\"value\":\"createTime_end\"}],\"dataType\":2,\"dataSetName\":\"示例_日期范围查询\",\"query\":[],\"dataSetApi\":\"select * from sys_user where create_time >= \'${createTime_begin}\' and create_time <=\'${createTime_end}\'\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522853857095376898\",\"fieldOption\":[{\"label\":\"username\",\"text\":\"username\",\"value\":\"username\"},{\"label\":\"realname\",\"text\":\"realname\",\"value\":\"realname\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"表单日期范围查询\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2022-05-17 17:33:28', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526496110948999169', NULL, '1522835471967772673', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"username\",\"filed\":\"维度\"},{\"mapping\":\"sex\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"2011-01-01\",\"label\":\"createTime_begin\",\"text\":\"createTime_begin\",\"value\":\"createTime_begin\"},{\"defaultVal\":\"2022-12-31\",\"label\":\"createTime_end\",\"text\":\"createTime_end\",\"value\":\"createTime_end\"}],\"dataType\":2,\"dataSetName\":\"示例_日期范围查询\",\"query\":[{\"field\":\"createTime\",\"widgetType\":\"date\"}],\"dataSetApi\":\"select * from sys_user where create_time >= \'${createTime_begin}\' and create_time <=\'${createTime_end}\'\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522853857095376898\",\"fieldOption\":[{\"label\":\"username\",\"text\":\"username\",\"value\":\"username\"},{\"label\":\"realname\",\"text\":\"realname\",\"value\":\"realname\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F0EDED\"},\"show\":true,\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#7ED321\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#417505\"},\"show\":false},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"单个组件日期范围查询\"}}}', NULL, '2022-05-17 17:33:28', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1526496111003525121', NULL, '1522835471967772673', NULL, 'JForm', '{\"size\":{\"height\":120},\"w\":24,\"dataType\":2,\"h\":12,\"linkageConfig\":[{\"linkageId\":\"918fc3ea-c88a-4c42-892b-d2a14967258e\",\"linkage\":[{\"source\":\"createTime_begin\",\"target\":\"createTime_begin\"},{\"source\":\"createTime_end\",\"target\":\"createTime_end\"}]}],\"timeOut\":-1,\"option\":{\"fields\":[{\"fieldName\":\"createTime\",\"dictCode\":\"\",\"fieldTxt\":\"创建时间\",\"defaultValue\":\"\",\"searchMode\":\"range\",\"action\":\"\",\"id\":\"rowdffe5384-d885-4ae7-9eab-81b8ee76265c\",\"izSearch\":\"1\",\"widgetType\":\"date\"}]}}', NULL, '2022-05-17 17:33:28', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823821938690', NULL, '1524641995740446722', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"tian\",\"filed\":\"维度\"},{\"mapping\":\"visit\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"\",\"label\":\"创建时间\",\"text\":\"创建时间\",\"value\":\"create_time\"}],\"dataType\":2,\"dataSetName\":\"首页_近一周访问量\",\"query\":[],\"dataSetApi\":\"select count(*) as visit        \\t   ,count(distinct(ip)) as ip        \\t   ,DATE_FORMAT(create_time, \'%Y-%m-%d\') as tian        \\t   ,DATE_FORMAT(create_time, \'%m-%d\') as type        \\t   from sys_log          where log_type = 1 and create_time <= sysdate() and create_time >= (select date_sub(curdate(),interval 7 day))         group by tian,type         order by tian desc\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":813,\"height\":419},\"dataSetId\":\"1522503560003067906\",\"fieldOption\":[{\"label\":\"visit\",\"text\":\"visit\",\"value\":\"visit\"},{\"label\":\"ip\",\"text\":\"ip\",\"value\":\"ip\"},{\"label\":\"tian\",\"text\":\"tian\",\"value\":\"tian\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180, 180, 180, 0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"SQL数据集-柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823821938691', NULL, '1524641995740446722', NULL, 'JPie', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_时间分部\",\"query\":[],\"dataSetApi\":\"[  {    \\\"name\\\": \\\"6:00-9:00\\\",    \\\"value\\\": 800  },  {    \\\"name\\\": \\\"10:00-12:00\\\",    \\\"value\\\": 300  },  {    \\\"name\\\": \\\"13:00-15:00\\\",    \\\"value\\\": 500  },  {    \\\"name\\\": \\\"16:00-20:00\\\",    \\\"value\\\": 800  },  {    \\\"name\\\": \\\"21:00-24:00\\\",    \\\"value\\\": 600  }]\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1522187101267832833\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"json\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"innerRadius\":50,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"JSON数据集-饼图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823821938692', NULL, '1524641995740446722', NULL, 'JStackBar', '{\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"出资\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/chuzi\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":813,\"height\":419},\"dataSetId\":\"1522098873378549762\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"API数据集-堆叠柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823821938693', NULL, '1524641995740446722', NULL, 'JDynamicBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":131,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":141,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":31.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":53,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":41.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":61,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":17,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":19,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":113,\\\"type\\\":\\\"Lon\\\"}]\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"xAxis\":{\"type\":\"value\"},\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"text\":\"静态数据集-动态柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823821938694', NULL, '1524641995740446722', NULL, 'JLine', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"钻取api\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/drilling/deptuser\",\"drillData\":[{\"source\":\"name\",\"target\":\"name\"}],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"联想\\\",\\\"value\\\":1000},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":7350},{\\\"name\\\":\\\"华为\\\",\\\"value\\\":5800},{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":6000},{\\\"name\\\":\\\"戴尔\\\",\\\"value\\\":3000}]\",\"size\":{\"width\":813,\"height\":397},\"dataSetId\":\"1519274169102020610\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"钻取-折线图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823889047554', NULL, '1524641995740446722', NULL, 'JRadar', '{\"chartData\":\"[{\\\"value\\\":75,\\\"name\\\":\\\"得分\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":65,\\\"name\\\":\\\"篮板\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":55,\\\"name\\\":\\\"防守\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":74,\\\"name\\\":\\\"失误\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":38,\\\"name\\\":\\\"盖帽\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100},{\\\"value\\\":88,\\\"name\\\":\\\"三分\\\",\\\"type\\\":\\\"NBA\\\",\\\"max\\\":100}]\",\"size\":{\"width\":813,\"height\":397},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"option\":{\"radar\":[{\"indicator\":[]}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"series\":[{\"data\":[],\"type\":\"radar\"}],\"title\":{\"show\":true,\"text\":\"基础雷达图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823889047555', NULL, '1524641995740446722', NULL, 'JRing', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":813,\"height\":386},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础环形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823889047556', NULL, '1524641995740446722', NULL, 'JArea', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":605,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"小米\\\"}]\",\"size\":{\"width\":813,\"height\":386},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"data\":[],\"boundaryGap\":false},\"grid\":{\"bottom\":115},\"series\":[{\"areaStyle\":{},\"data\":[],\"type\":\"line\"}],\"title\":{\"show\":true,\"text\":\"基础面积图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823889047557', NULL, '1524641995740446722', NULL, 'JProgress', '{\"chartData\":[{\"name\":\"内存使用率\",\"value\":50}],\"size\":{\"width\":813,\"height\":353},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"show\":false},\"series\":[{\"barWidth\":19,\"color\":\"#151B87\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"zlevel\":1,\"label\":{\"formatter\":\"{c}{a}\",\"offset\":[0,-40],\"color\":\"black\",\"show\":true,\"fontSize\":24,\"position\":\"right\"}},{\"barWidth\":19,\"color\":\"#eeeeee\",\"barGap\":\"-100%\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础进度图\",\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823889047558', NULL, '1524641995740446722', NULL, 'JFunnel', '{\"chartData\":\"[{\\\"value\\\":335,\\\"name\\\":\\\"直接访问\\\"},{\\\"value\\\":310,\\\"name\\\":\\\"邮件营销\\\"},{\\\"value\\\":234,\\\"name\\\":\\\"联盟广告\\\"}]\",\"size\":{\"width\":813,\"height\":353},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础漏斗图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823951962113', NULL, '1524641995740446722', NULL, 'JPictorialBar', '{\"chartData\":\"[{\\\"name\\\":\\\"驯鹿\\\",\\\"value\\\":123,\\\"symbol\\\":\\\"path://M-22.788,24.521c2.08-0.986,3.611-3.905,4.984-5.892 c-2.686,2.782-5.047,5.884-9.102,7.312c-0.992,0.005-0.25-2.016,0.34-2.362l1.852-0.41c0.564-0.218,0.785-0.842,0.902-1.347 c2.133-0.727,4.91-4.129,6.031-6.194c1.748-0.7,4.443-0.679,5.734-2.293c1.176-1.468,0.393-3.992,1.215-6.557 c0.24-0.754,0.574-1.581,1.008-2.293c-0.611,0.011-1.348-0.061-1.959-0.608c-1.391-1.245-0.785-2.086-1.297-3.313 c1.684,0.744,2.5,2.584,4.426,2.586C-8.46,3.012-8.255,2.901-8.04,2.824c6.031-1.952,15.182-0.165,19.498-3.937 c1.15-3.933-1.24-9.846-1.229-9.938c0.008-0.062-1.314-0.004-1.803-0.258c-1.119-0.771-6.531-3.75-0.17-3.33 c0.314-0.045,0.943,0.259,1.439,0.435c-0.289-1.694-0.92-0.144-3.311-1.946c0,0-1.1-0.855-1.764-1.98 c-0.836-1.09-2.01-2.825-2.992-4.031c-1.523-2.476,1.367,0.709,1.816,1.108c1.768,1.704,1.844,3.281,3.232,3.983 c0.195,0.203,1.453,0.164,0.926-0.468c-0.525-0.632-1.367-1.278-1.775-2.341c-0.293-0.703-1.311-2.326-1.566-2.711 c-0.256-0.384-0.959-1.718-1.67-2.351c-1.047-1.187-0.268-0.902,0.521-0.07c0.789,0.834,1.537,1.821,1.672,2.023 c0.135,0.203,1.584,2.521,1.725,2.387c0.102-0.259-0.035-0.428-0.158-0.852c-0.125-0.423-0.912-2.032-0.961-2.083 c-0.357-0.852-0.566-1.908-0.598-3.333c0.4-2.375,0.648-2.486,0.549-0.705c0.014,1.143,0.031,2.215,0.602,3.247 c0.807,1.496,1.764,4.064,1.836,4.474c0.561,3.176,2.904,1.749,2.281-0.126c-0.068-0.446-0.109-2.014-0.287-2.862 c-0.18-0.849-0.219-1.688-0.113-3.056c0.066-1.389,0.232-2.055,0.277-2.299c0.285-1.023,0.4-1.088,0.408,0.135 c-0.059,0.399-0.131,1.687-0.125,2.655c0.064,0.642-0.043,1.768,0.172,2.486c0.654,1.928-0.027,3.496,1,3.514 c1.805-0.424,2.428-1.218,2.428-2.346c-0.086-0.704-0.121-0.843-0.031-1.193c0.221-0.568,0.359-0.67,0.312-0.076 c-0.055,0.287,0.031,0.533,0.082,0.794c0.264,1.197,0.912,0.114,1.283-0.782c0.15-0.238,0.539-2.154,0.545-2.522 c-0.023-0.617,0.285-0.645,0.309,0.01c0.064,0.422-0.248,2.646-0.205,2.334c-0.338,1.24-1.105,3.402-3.379,4.712 c-0.389,0.12-1.186,1.286-3.328,2.178c0,0,1.729,0.321,3.156,0.246c1.102-0.19,3.707-0.027,4.654,0.269 c1.752,0.494,1.531-0.053,4.084,0.164c2.26-0.4,2.154,2.391-1.496,3.68c-2.549,1.405-3.107,1.475-2.293,2.984 c3.484,7.906,2.865,13.183,2.193,16.466c2.41,0.271,5.732-0.62,7.301,0.725c0.506,0.333,0.648,1.866-0.457,2.86 c-4.105,2.745-9.283,7.022-13.904,7.662c-0.977-0.194,0.156-2.025,0.803-2.247l1.898-0.03c0.596-0.101,0.936-0.669,1.152-1.139 c3.16-0.404,5.045-3.775,8.246-4.818c-4.035-0.718-9.588,3.981-12.162,1.051c-5.043,1.423-11.449,1.84-15.895,1.111 c-3.105,2.687-7.934,4.021-12.115,5.866c-3.271,3.511-5.188,8.086-9.967,10.414c-0.986,0.119-0.48-1.974,0.066-2.385l1.795-0.618 C-22.995,25.682-22.849,25.035-22.788,24.521z\\\",\\\"symbolSize\\\":[60,60]},{\\\"name\\\":\\\"飞机\\\",\\\"value\\\":60,\\\"symbol\\\":\\\"path://M1.112,32.559l2.998,1.205l-2.882,2.268l-2.215-0.012L1.112,32.559z M37.803,23.96 c0.158-0.838,0.5-1.509,0.961-1.904c-0.096-0.037-0.205-0.071-0.344-0.071c-0.777-0.005-2.068-0.009-3.047-0.009 c-0.633,0-1.217,0.066-1.754,0.18l2.199,1.804H37.803z M39.738,23.036c-0.111,0-0.377,0.325-0.537,0.924h1.076 C40.115,23.361,39.854,23.036,39.738,23.036z M39.934,39.867c-0.166,0-0.674,0.705-0.674,1.986s0.506,1.986,0.674,1.986 s0.672-0.705,0.672-1.986S40.102,39.867,39.934,39.867z M38.963,38.889c-0.098-0.038-0.209-0.07-0.348-0.073 c-0.082,0-0.174,0-0.268-0.001l-7.127,4.671c0.879,0.821,2.42,1.417,4.348,1.417c0.979,0,2.27-0.006,3.047-0.01 c0.139,0,0.25-0.034,0.348-0.072c-0.646-0.555-1.07-1.643-1.07-2.967C37.891,40.529,38.316,39.441,38.963,38.889z M32.713,23.96 l-12.37-10.116l-4.693-0.004c0,0,4,8.222,4.827,10.121H32.713z M59.311,32.374c-0.248,2.104-5.305,3.172-8.018,3.172H39.629 l-25.325,16.61L9.607,52.16c0,0,6.687-8.479,7.95-10.207c1.17-1.6,3.019-3.699,3.027-6.407h-2.138 c-5.839,0-13.816-3.789-18.472-5.583c-2.818-1.085-2.396-4.04-0.031-4.04h0.039l-3.299-11.371h3.617c0,0,4.352,5.696,5.846,7.5 c2,2.416,4.503,3.678,8.228,3.87h30.727c2.17,0,4.311,0.417,6.252,1.046c3.49,1.175,5.863,2.7,7.199,4.027 C59.145,31.584,59.352,32.025,59.311,32.374z M22.069,30.408c0-0.815-0.661-1.475-1.469-1.475c-0.812,0-1.471,0.66-1.471,1.475 s0.658,1.475,1.471,1.475C21.408,31.883,22.069,31.224,22.069,30.408z M27.06,30.408c0-0.815-0.656-1.478-1.466-1.478 c-0.812,0-1.471,0.662-1.471,1.478s0.658,1.477,1.471,1.477C26.404,31.885,27.06,31.224,27.06,30.408z M32.055,30.408 c0-0.815-0.66-1.475-1.469-1.475c-0.808,0-1.466,0.66-1.466,1.475s0.658,1.475,1.466,1.475 C31.398,31.883,32.055,31.224,32.055,30.408z M37.049,30.408c0-0.815-0.658-1.478-1.467-1.478c-0.812,0-1.469,0.662-1.469,1.478 s0.656,1.477,1.469,1.477C36.389,31.885,37.049,31.224,37.049,30.408z M42.039,30.408c0-0.815-0.656-1.478-1.465-1.478 c-0.811,0-1.469,0.662-1.469,1.478s0.658,1.477,1.469,1.477C41.383,31.885,42.039,31.224,42.039,30.408z M55.479,30.565 c-0.701-0.436-1.568-0.896-2.627-1.347c-0.613,0.289-1.551,0.476-2.73,0.476c-1.527,0-1.639,2.263,0.164,2.316 C52.389,32.074,54.627,31.373,55.479,30.565z\\\",\\\"symbolSize\\\":[65,35]},{\\\"name\\\":\\\"火箭\\\",\\\"value\\\":25,\\\"symbol\\\":\\\"path://M-244.396,44.399c0,0,0.47-2.931-2.427-6.512c2.819-8.221,3.21-15.709,3.21-15.709s5.795,1.383,5.795,7.325C-237.818,39.679-244.396,44.399-244.396,44.399z M-260.371,40.827c0,0-3.881-12.946-3.881-18.319c0-2.416,0.262-4.566,0.669-6.517h17.684c0.411,1.952,0.675,4.104,0.675,6.519c0,5.291-3.87,18.317-3.87,18.317H-260.371z M-254.745,18.951c-1.99,0-3.603,1.676-3.603,3.744c0,2.068,1.612,3.744,3.603,3.744c1.988,0,3.602-1.676,3.602-3.744S-252.757,18.951-254.745,18.951z M-255.521,2.228v-5.098h1.402v4.969c1.603,1.213,5.941,5.069,7.901,12.5h-17.05C-261.373,7.373-257.245,3.558-255.521,2.228zM-265.07,44.399c0,0-6.577-4.721-6.577-14.896c0-5.942,5.794-7.325,5.794-7.325s0.393,7.488,3.211,15.708C-265.539,41.469-265.07,44.399-265.07,44.399z M-252.36,45.15l-1.176-1.22L-254.789,48l-1.487-4.069l-1.019,2.116l-1.488-3.826h8.067L-252.36,45.15z\\\",\\\"symbolSize\\\":[50,60]},{\\\"name\\\":\\\"高铁\\\",\\\"value\\\":18,\\\"symbol\\\":\\\"path://M67.335,33.596L67.335,33.596c-0.002-1.39-1.153-3.183-3.328-4.218h-9.096v-2.07h5.371 c-4.939-2.07-11.199-4.141-14.89-4.141H19.72v12.421v5.176h38.373c4.033,0,8.457-1.035,9.142-5.176h-0.027 c0.076-0.367,0.129-0.751,0.129-1.165L67.335,33.596L67.335,33.596z M27.999,30.413h-3.105v-4.141h3.105V30.413z M35.245,30.413 h-3.104v-4.141h3.104V30.413z M42.491,30.413h-3.104v-4.141h3.104V30.413z M49.736,30.413h-3.104v-4.141h3.104V30.413z  M14.544,40.764c1.143,0,2.07-0.927,2.07-2.07V35.59V25.237c0-1.145-0.928-2.07-2.07-2.07H-9.265c-1.143,0-2.068,0.926-2.068,2.07 v10.351v3.105c0,1.144,0.926,2.07,2.068,2.07H14.544L14.544,40.764z M8.333,26.272h3.105v4.141H8.333V26.272z M1.087,26.272h3.105 v4.141H1.087V26.272z M-6.159,26.272h3.105v4.141h-3.105V26.272z M-9.265,41.798h69.352v1.035H-9.265V41.798z\\\",\\\"symbolSize\\\":[50,30]},{\\\"name\\\":\\\"轮船\\\",\\\"value\\\":12,\\\"symbol\\\":\\\"path://M16.678,17.086h9.854l-2.703,5.912c5.596,2.428,11.155,5.575,16.711,8.607c3.387,1.847,6.967,3.75,10.541,5.375 v-6.16l-4.197-2.763v-5.318L33.064,12.197h-11.48L20.43,15.24h-4.533l-1.266,3.286l0.781,0.345L16.678,17.086z M49.6,31.84 l0.047,1.273L27.438,20.998l0.799-1.734L49.6,31.84z M33.031,15.1l12.889,8.82l0.027,0.769L32.551,16.1L33.031,15.1z M22.377,14.045 h9.846l-1.539,3.365l-2.287-1.498h1.371l0.721-1.352h-2.023l-0.553,1.037l-0.541-0.357h-0.34l0.359-0.684h-2.025l-0.361,0.684 h-3.473L22.377,14.045z M23.695,20.678l-0.004,0.004h0.004V20.678z M24.828,18.199h-2.031l-0.719,1.358h2.029L24.828,18.199z  M40.385,34.227c-12.85-7.009-25.729-14.667-38.971-12.527c1.26,8.809,9.08,16.201,8.213,24.328 c-0.553,4.062-3.111,0.828-3.303,7.137c15.799,0,32.379,0,48.166,0l0.066-4.195l1.477-7.23 C50.842,39.812,45.393,36.961,40.385,34.227z M13.99,35.954c-1.213,0-2.195-1.353-2.195-3.035c0-1.665,0.98-3.017,2.195-3.017 c1.219,0,2.195,1.352,2.195,3.017C16.186,34.604,15.213,35.954,13.99,35.954z M23.691,20.682h-2.02l-0.588,1.351h2.023 L23.691,20.682z M19.697,18.199l-0.721,1.358h2.025l0.727-1.358H19.697z\\\",\\\"symbolSize\\\":[50,35]},{\\\"name\\\":\\\"汽车\\\",\\\"value\\\":9,\\\"symbol\\\":\\\"path://M49.592,40.883c-0.053,0.354-0.139,0.697-0.268,0.963c-0.232,0.475-0.455,0.519-1.334,0.475 c-1.135-0.053-2.764,0-4.484,0.068c0,0.476,0.018,0.697,0.018,0.697c0.111,1.299,0.697,1.342,0.931,1.342h3.7 c0.326,0,0.628,0,0.861-0.154c0.301-0.196,0.43-0.772,0.543-1.78c0.017-0.146,0.025-0.336,0.033-0.56v-0.01 c0-0.068,0.008-0.154,0.008-0.25V41.58l0,0C49.6,41.348,49.6,41.09,49.592,40.883L49.592,40.883z M6.057,40.883 c0.053,0.354,0.137,0.697,0.268,0.963c0.23,0.475,0.455,0.519,1.334,0.475c1.137-0.053,2.762,0,4.484,0.068 c0,0.476-0.018,0.697-0.018,0.697c-0.111,1.299-0.697,1.342-0.93,1.342h-3.7c-0.328,0-0.602,0-0.861-0.154 c-0.309-0.18-0.43-0.772-0.541-1.78c-0.018-0.146-0.027-0.336-0.035-0.56v-0.01c0-0.068-0.008-0.154-0.008-0.25V41.58l0,0 C6.057,41.348,6.057,41.09,6.057,40.883L6.057,40.883z M49.867,32.766c0-2.642-0.344-5.224-0.482-5.507 c-0.104-0.207-0.766-0.749-2.271-1.773c-1.522-1.042-1.487-0.887-1.766-1.566c0.25-0.078,0.492-0.224,0.639-0.241 c0.326-0.034,0.345,0.274,1.023,0.274c0.68,0,2.152-0.18,2.453-0.48c0.301-0.303,0.396-0.405,0.396-0.672 c0-0.268-0.156-0.818-0.447-1.146c-0.293-0.327-1.541-0.49-2.273-0.585c-0.729-0.095-0.834,0-1.022,0.121 c-0.304,0.189-0.32,1.919-0.32,1.919l-0.713,0.018c-0.465-1.146-1.11-3.452-2.117-5.269c-1.103-1.979-2.256-2.599-2.737-2.754 c-0.474-0.146-0.904-0.249-4.131-0.576c-3.298-0.344-5.922-0.388-8.262-0.388c-2.342,0-4.967,0.052-8.264,0.388 c-3.229,0.336-3.66,0.43-4.133,0.576s-1.633,0.775-2.736,2.754c-1.006,1.816-1.652,4.123-2.117,5.269L9.87,23.109 c0,0-0.008-1.729-0.318-1.919c-0.189-0.121-0.293-0.225-1.023-0.121c-0.732,0.104-1.98,0.258-2.273,0.585 c-0.293,0.327-0.447,0.878-0.447,1.146c0,0.267,0.094,0.379,0.396,0.672c0.301,0.301,1.773,0.48,2.453,0.48 c0.68,0,0.697-0.309,1.023-0.274c0.146,0.018,0.396,0.163,0.637,0.241c-0.283,0.68-0.24,0.524-1.764,1.566 c-1.506,1.033-2.178,1.566-2.271,1.773c-0.139,0.283-0.482,2.865-0.482,5.508s0.189,5.02,0.189,5.86c0,0.354,0,0.976,0.076,1.565 c0.053,0.354,0.129,0.697,0.268,0.966c0.232,0.473,0.447,0.516,1.334,0.473c1.137-0.051,2.779,0,4.477,0.07 c1.135,0.043,2.297,0.086,3.33,0.11c2.582,0.051,1.826-0.379,2.928-0.36c1.102,0.016,5.447,0.196,9.424,0.196 c3.976,0,8.332-0.182,9.423-0.196c1.102-0.019,0.346,0.411,2.926,0.36c1.033-0.018,2.195-0.067,3.332-0.11 c1.695-0.062,3.348-0.121,4.477-0.07c0.886,0.043,1.103,0,1.332-0.473c0.132-0.269,0.218-0.611,0.269-0.966 c0.086-0.592,0.078-1.213,0.078-1.565C49.678,37.793,49.867,35.408,49.867,32.766L49.867,32.766z M13.219,19.735 c0.412-0.964,1.652-2.9,2.256-3.244c0.145-0.087,1.426-0.491,4.637-0.706c2.953-0.198,6.217-0.276,7.73-0.276 c1.513,0,4.777,0.078,7.729,0.276c3.201,0.215,4.502,0.611,4.639,0.706c0.775,0.533,1.842,2.28,2.256,3.244 c0.412,0.965,0.965,2.858,0.861,3.116c-0.104,0.258,0.104,0.388-1.291,0.275c-1.387-0.103-10.088-0.216-14.185-0.216 c-4.088,0-12.789,0.113-14.184,0.216c-1.395,0.104-1.188-0.018-1.291-0.275C12.254,22.593,12.805,20.708,13.219,19.735 L13.219,19.735z M16.385,30.511c-0.619,0.155-0.988,0.491-1.764,0.482c-0.775,0-2.867-0.353-3.314-0.371 c-0.447-0.017-0.842,0.302-1.076,0.362c-0.23,0.06-0.688-0.104-1.377-0.318c-0.688-0.216-1.092-0.155-1.316-1.094 c-0.232-0.93,0-2.264,0-2.264c1.488-0.068,2.928,0.069,5.621,0.826c2.693,0.758,4.191,2.213,4.191,2.213 S17.004,30.357,16.385,30.511L16.385,30.511z M36.629,37.293c-1.23,0.164-6.386,0.207-8.794,0.207c-2.412,0-7.566-0.051-8.799-0.207 c-1.256-0.164-2.891-1.67-1.764-2.865c1.523-1.627,1.24-1.576,4.701-2.023C24.967,32.018,27.239,32,27.834,32 c0.584,0,2.865,0.025,5.859,0.404c3.461,0.447,3.178,0.396,4.699,2.022C39.521,35.623,37.887,37.129,36.629,37.293L36.629,37.293z  M48.129,29.582c-0.232,0.93-0.629,0.878-1.318,1.093c-0.688,0.216-1.145,0.371-1.377,0.319c-0.231-0.053-0.627-0.371-1.074-0.361 c-0.448,0.018-2.539,0.37-3.313,0.37c-0.772,0-1.146-0.328-1.764-0.481c-0.621-0.154-0.966-0.154-0.966-0.154 s1.49-1.464,4.191-2.213c2.693-0.758,4.131-0.895,5.621-0.826C48.129,27.309,48.361,28.643,48.129,29.582L48.129,29.582z\\\",\\\"symbolSize\\\":[40,30]},{\\\"name\\\":\\\"跑步\\\",\\\"value\\\":2,\\\"symbol\\\":\\\"path://M13.676,32.955c0.919-0.031,1.843-0.008,2.767-0.008v0.007c0.827,0,1.659,0.041,2.486-0.019 c0.417-0.028,1.118,0.325,1.14-0.545c0.014-0.637-0.156-1.279-0.873-1.367c-1.919-0.241-3.858-0.233-5.774,0.019 c-0.465,0.062-0.998,0.442-0.832,1.069C12.715,32.602,13.045,32.977,13.676,32.955z M14.108,29.013 c1.47-0.007,2.96-0.122,4.414,0.035c1.792,0.192,3.1-0.412,4.273-2.105c-3.044,0-5.882,0.014-8.719-0.01 c-0.768-0.005-1.495,0.118-1.461,1C12.642,28.731,13.329,29.014,14.108,29.013z M23.678,36.593c-0.666-0.69-1.258-1.497-2.483-1.448 c-2.341,0.095-4.689,0.051-7.035,0.012c-0.834-0.014-1.599,0.177-1.569,1.066c0.031,0.854,0.812,1.062,1.636,1.043 c1.425-0.033,2.852-0.01,4.278-0.01v-0.01c1.562,0,3.126,0.008,4.691-0.005C23.614,37.239,24.233,37.174,23.678,36.593z  M32.234,42.292h-0.002c-1.075,0.793-2.589,0.345-3.821,1.048c-0.359,0.193-0.663,0.465-0.899,0.799 c-1.068,1.623-2.052,3.301-3.117,4.928c-0.625,0.961-0.386,1.805,0.409,2.395c0.844,0.628,1.874,0.617,2.548-0.299 c1.912-2.573,3.761-5.197,5.621-7.814C33.484,42.619,33.032,42.387,32.234,42.292z M43.527,28.401 c-0.688-1.575-2.012-0.831-3.121-0.895c-1.047-0.058-2.119,1.128-3.002,0.345c-0.768-0.677-1.213-1.804-1.562-2.813 c-0.45-1.305-1.495-2.225-2.329-3.583c2.953,1.139,4.729,0.077,5.592-1.322c0.99-1.61,0.718-3.725-0.627-4.967 c-1.362-1.255-3.414-1.445-4.927-0.452c-1.933,1.268-2.206,2.893-0.899,6.11c-2.098-0.659-3.835-1.654-5.682-2.383 c-0.735-0.291-1.437-1.017-2.293-0.666c-2.263,0.927-4.522,1.885-6.723,2.95c-1.357,0.658-1.649,1.593-1.076,2.638 c0.462,0.851,1.643,1.126,2.806,0.617c0.993-0.433,1.994-0.857,2.951-1.374c1.599-0.86,3.044-0.873,4.604,0.214 c1.017,0.707,0.873,1.137,0.123,1.849c-1.701,1.615-3.516,3.12-4.933,5.006c-1.042,1.388-0.993,2.817,0.255,4.011 c1.538,1.471,3.148,2.869,4.708,4.315c0.485,0.444,0.907,0.896-0.227,1.104c-1.523,0.285-3.021,0.694-4.538,1.006 c-1.109,0.225-2.02,1.259-1.83,2.16c0.223,1.07,1.548,1.756,2.687,1.487c3.003-0.712,6.008-1.413,9.032-2.044 c1.549-0.324,2.273-1.869,1.344-3.115c-0.868-1.156-1.801-2.267-2.639-3.445c-1.964-2.762-1.95-2.771,0.528-5.189 c1.394-1.357,1.379-1.351,2.437,0.417c0.461,0.769,0.854,1.703,1.99,1.613c2.238-0.181,4.407-0.755,6.564-1.331 C43.557,30.447,43.88,29.206,43.527,28.401z\\\",\\\"symbolSize\\\":[50,50]},{\\\"name\\\":\\\"步行\\\",\\\"value\\\":1,\\\"symbol\\\":\\\"path://M29.902,23.275c1.86,0,3.368-1.506,3.368-3.365c0-1.859-1.508-3.365-3.368-3.365 c-1.857,0-3.365,1.506-3.365,3.365C26.537,21.769,28.045,23.275,29.902,23.275z M36.867,30.74c-1.666-0.467-3.799-1.6-4.732-4.199 c-0.932-2.6-3.131-2.998-4.797-2.998s-7.098,3.894-7.098,3.894c-1.133,1.001-2.1,6.502-0.967,6.769 c1.133,0.269,1.266-1.533,1.934-3.599c0.666-2.065,3.797-3.466,3.797-3.466s0.201,2.467-0.398,3.866 c-0.599,1.399-1.133,2.866-1.467,6.198s-1.6,3.665-3.799,6.266c-2.199,2.598-0.6,3.797,0.398,3.664 c1.002-0.133,5.865-5.598,6.398-6.998c0.533-1.397,0.668-3.732,0.668-3.732s0,0,2.199,1.867c2.199,1.865,2.332,4.6,2.998,7.73 s2.332,0.934,2.332-0.467c0-1.401,0.269-5.465-1-7.064c-1.265-1.6-3.73-3.465-3.73-5.265s1.199-3.732,1.199-3.732 c0.332,1.667,3.335,3.065,5.599,3.399C38.668,33.206,38.533,31.207,36.867,30.74z\\\",\\\"symbolSize\\\":[40,50]}]\",\"size\":{\"width\":813,\"height\":408},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"象形柱图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823951962114', NULL, '1524641995740446722', NULL, 'JGauge', '{\"chartData\":\"[{\\\"min\\\":1,\\\"max\\\":10,\\\"label\\\":\\\"名称\\\",\\\"value\\\":4,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":813,\"height\":408},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"text\":\"标准仪表盘\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823951962115', NULL, '1524641995740446722', NULL, 'JColorGauge', '{\"chartData\":\"[{\\\"name\\\":\\\"使用率\\\",\\\"value\\\":4,\\\"unit\\\":\\\"%\\\"}]\",\"size\":{\"width\":813,\"height\":518},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"pointer\":{\"width\":8},\"axisLine\":{\"lineStyle\":{\"color\":[[0.25,\"#FF6E76\"],[0.5,\"#FDDD60\"],[1,\"#58D9F9\"]],\"width\":10}},\"anchor\":{\"itemStyle\":{\"color\":\"#FAC858\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"title\":{\"fontSize\":14}}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"text\":\"多色仪表盘\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823951962116', NULL, '1524641995740446722', NULL, 'JTabs', '{\"size\":{\"width\":813,\"height\":518},\"w\":12,\"h\":40,\"option\":{\"title\":\"选项卡\"},\"child\":[{\"component\":\"JBar\",\"w\":12,\"x\":0,\"h\":42,\"i\":\"53be7509-a4fe-417c-b1c4-d699e6c901e4\",\"title\":\"柱形图\",\"config\":{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"paddingBottom\":90,\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180, 180, 180, 0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}},{\"h\":42,\"index\":0,\"i\":\"634b775d-46dc-4a0f-8fe6-29abcebc148e\",\"title\":\"雷达图\",\"horizontal\":false,\"component\":\"JRadar\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"b5fb856d-72b1-4f9a-80d9-79907ecbbe4d\",\"config\":{\"chartData\":[{\"max\":100,\"name\":\"得分\",\"type\":\"NBA\",\"value\":75},{\"max\":100,\"name\":\"篮板\",\"type\":\"NBA\",\"value\":65},{\"max\":100,\"name\":\"防守\",\"type\":\"NBA\",\"value\":55},{\"max\":100,\"name\":\"失误\",\"type\":\"NBA\",\"value\":74},{\"max\":100,\"name\":\"盖帽\",\"type\":\"NBA\",\"value\":38},{\"max\":100,\"name\":\"三分\",\"type\":\"NBA\",\"value\":88}],\"paddingBottom\":90,\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"option\":{\"radar\":[{\"indicator\":[]}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"series\":[{\"data\":[],\"type\":\"radar\"}],\"title\":{\"show\":true,\"text\":\"基础雷达图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"child\":[]},{\"h\":42,\"index\":0,\"i\":\"33070b19-1b6f-47b3-8184-9ad437e52a3e\",\"title\":\"表格\",\"horizontal\":false,\"component\":\"JCommonTable\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"03399fae-2199-42d4-8637-910aaa97c20f\",\"config\":{\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"paddingBottom\":90,\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":0,\"option\":{}},\"child\":[]}]}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761823951962117', NULL, '1524641995740446722', NULL, 'JGrid', '{\"size\":{\"width\":1632,\"height\":400},\"w\":12,\"h\":40,\"option\":{\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}},\"child\":[{\"h\":42,\"i\":\"039463e0-4ab8-4a7c-ab62-1cc66da41654\",\"title\":\"标题\",\"parentId\":\"ed8dfb23-63c9-4d3d-8bef-aad3a5de4cc4\",\"horizontal\":false,\"component\":\"JRing\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"ca5d3493-7720-4ae8-827d-ae83d91d175a\",\"config\":{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"智慧社区_年龄分部\",\"query\":[],\"dataSetApi\":\"http://api.jeecg.com/mock/51/age\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1522184215045615618\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"}],\"dataSetType\":\"api\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"span\":\"8\",\"child\":[]},{\"h\":42,\"i\":\"17a02601-f044-47e9-a2d1-da1a31551742\",\"title\":\"标题\",\"parentId\":\"ed8dfb23-63c9-4d3d-8bef-aad3a5de4cc4\",\"horizontal\":false,\"component\":\"JList\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"404465d9-8b7d-483b-9bde-9b6492cb362f\",\"config\":{\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"remark\",\"filed\":\"描述\"},{\"mapping\":\"date\",\"filed\":\"时间\"},{\"mapping\":\"pic\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"数据列表\",\"query\":[],\"h\":24,\"dataSetApi\":\"http://api.jeecg.com/mock/51/datalist/list\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1519945036454813698\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"date\",\"text\":\"date\",\"value\":\"date\"},{\"label\":\"remark\",\"text\":\"remark\",\"value\":\"remark\"},{\"label\":\"pic\",\"text\":\"pic\",\"value\":\"pic\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":true}},\"span\":\"8\",\"child\":[]},{\"h\":42,\"i\":\"7d484bd7-ca44-457c-a2c1-fdf6dff5f06e\",\"title\":\"标题\",\"parentId\":\"ed8dfb23-63c9-4d3d-8bef-aad3a5de4cc4\",\"horizontal\":false,\"component\":\"JImg\",\"size\":10,\"w\":12,\"x\":0,\"text\":\"0.042\",\"id\":\"d2480f4d-9424-4300-99ca-50a7000159f2\",\"config\":{\"paddingBottom\":90,\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://minio.jeecg.com/otatest/jeecg_1651199708342.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"span\":\"8\",\"child\":[]}]}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876674', NULL, '1524641995740446722', NULL, 'JCommonTable', '{\"paramOption\":[{\"defaultVal\":\"1\",\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"}],\"dataType\":2,\"dataSetName\":\"示例_数据表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"select * from demo where sex=\'${sex}\'\",\"drillData\":[],\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":1636,\"height\":540},\"dataSetId\":\"1522824721899511810\",\"fieldOption\":[{\"label\":\"姓名\",\"text\":\"姓名\",\"value\":\"name\"},{\"label\":\"打卡时间\",\"text\":\"打卡时间\",\"value\":\"punch_time\"},{\"label\":\"工资\",\"text\":\"工资\",\"value\":\"salary_money\"},{\"label\":\"奖金\",\"text\":\"奖金\",\"value\":\"bonus_money\"},{\"label\":\"性别\",\"text\":\"性别\",\"value\":\"sex\"},{\"label\":\"年龄\",\"text\":\"年龄\",\"value\":\"age\"},{\"label\":\"生日\",\"text\":\"生日\",\"value\":\"birthday\"},{\"label\":\"邮箱\",\"text\":\"邮箱\",\"value\":\"email\"},{\"label\":\"个人简介\",\"text\":\"个人简介\",\"value\":\"content\"}],\"dataSetType\":\"sql\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"姓名\"},{\"izShow\":\"Y\",\"dataIndex\":\"punch_time\",\"title\":\"打卡时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"salary_money\",\"title\":\"工资\"},{\"izShow\":\"Y\",\"dataIndex\":\"bonus_money\",\"title\":\"奖金\"},{\"izShow\":\"Y\",\"dataIndex\":\"sex\",\"title\":\"性别\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"age\",\"title\":\"年龄\"},{\"izShow\":\"Y\",\"dataIndex\":\"birthday\",\"title\":\"生日\"},{\"izShow\":\"Y\",\"dataIndex\":\"email\",\"title\":\"邮箱\"},{\"izShow\":\"Y\",\"dataIndex\":\"content\",\"title\":\"个人简介\"}]}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876675', NULL, '1524641995740446722', NULL, 'JList', '{\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"remark\",\"filed\":\"描述\"},{\"mapping\":\"date\",\"filed\":\"时间\"},{\"mapping\":\"pic\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"数据列表\",\"query\":[],\"h\":24,\"dataSetApi\":\"http://api.jeecg.com/mock/51/datalist/list\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":813,\"height\":408},\"dataSetId\":\"1519945036454813698\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"date\",\"text\":\"date\",\"value\":\"date\"},{\"label\":\"remark\",\"text\":\"remark\",\"value\":\"remark\"},{\"label\":\"pic\",\"text\":\"pic\",\"value\":\"pic\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":true}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876676', NULL, '1524641995740446722', NULL, 'JForm', '{\"size\":{\"height\":120},\"w\":24,\"dataType\":2,\"h\":12,\"linkageConfig\":[{\"linkageId\":\"eb4af4a3-8fce-40f9-832c-c749e75dac5d\",\"linkage\":[{\"source\":\"sex\",\"target\":\"sex\"}]}],\"timeOut\":-1,\"option\":{\"fields\":[{\"fieldName\":\"sex\",\"dictCode\":\"sex\",\"fieldTxt\":\"性别\",\"defaultValue\":\"1\",\"searchMode\":\"\",\"action\":\"\",\"id\":\"row57227ae2-04d1-4306-8878-314e099cd5ac\",\"izSearch\":\"1\",\"widgetType\":\"select\"}]}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876677', NULL, '1524641995740446722', NULL, 'JCarousel', '{\"chartData\":\"[{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/0_1647504880335.png\\\"},{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/1_1647504883878.png\\\"},{\\\"src\\\":\\\"http://minio.jeecg.com/otatest/temp/2_1647504886551.png\\\"}]\",\"size\":{\"width\":1636,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"路径\"}],\"w\":24,\"dataType\":1,\"h\":22,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/carousel\",\"timeOut\":0,\"option\":{\"dots\":true,\"autoplay\":true,\"dotPosition\":\"bottom\"}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876678', NULL, '1524641995740446722', NULL, 'JIframe', '{\"chartData\":\"http://www.jeecg.com\",\"size\":{\"width\":1636,\"height\":452},\"w\":12,\"dataType\":1,\"h\":26,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://www.jeecg.com/\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876679', NULL, '1524641995740446722', NULL, 'JCalendar', '{\"chartData\":\"[{\\\"title\\\":\\\"座谈会\\\",\\\"start\\\":\\\"2022-03-11 11:32:33\\\",\\\"end\\\":\\\"2022-03-11 18:32:33\\\",\\\"color\\\":\\\"#000000\\\",\\\"allday\\\":\\\"0\\\"},{\\\"title\\\":\\\"冬奥会\\\",\\\"start\\\":\\\"2022-03-04 11:32:33\\\",\\\"end\\\":\\\"2022-03-13 18:32:33\\\",\\\"color\\\":\\\"#4A90E2\\\",\\\"allday\\\":\\\"1\\\"}]\",\"size\":{\"width\":813,\"height\":408},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"开始\"},{\"mapping\":\"\",\"filed\":\"结束\"},{\"mapping\":\"\",\"filed\":\"全天\"},{\"mapping\":\"\",\"filed\":\"颜色\"}],\"w\":10,\"dataType\":1,\"h\":40,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/calendar\",\"timeOut\":0}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824014876680', NULL, '1524641995740446722', NULL, 'JImg', '{\"size\":{\"width\":676,\"height\":254},\"w\":10,\"dataType\":1,\"h\":20,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"url\":\"http://minio.jeecg.com/otatest/jeecg_1651199708342.png\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985537', NULL, '1524641995740446722', NULL, 'JText', '{\"chartData\":\"JeecgBoot面板设计\",\"size\":{\"width\":402,\"height\":56},\"w\":5,\"dataType\":1,\"h\":5,\"turnConfig\":{\"url\":\"http://jeecg.com\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":76},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985538', NULL, '1524641995740446722', NULL, 'JRadioButton', '{\"chartData\":\"[  {    \\\"title\\\": \\\"Jeecg官网\\\",    \\\"value\\\": 0,    \\\"href\\\": \\\"http://jeecg.com\\\",    \\\"data\\\": {}  },  {    \\\"title\\\": \\\"项目首页\\\",    \\\"value\\\": 1,    \\\"href\\\": \\\"/system/notice\\\",    \\\"data\\\": {}  }]\",\"size\":{\"width\":333,\"height\":56},\"w\":3,\"dataType\":1,\"h\":4,\"linkageConfig\":[],\"url\":\"\",\"timeOut\":0,\"option\":{\"title\":\"按钮\",\"body\":{\"spaceSize\":23,\"size\":\"small\",\"marginTop\":12,\"marginLeft\":66}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985539', NULL, '1524641995740446722', NULL, 'JQuickNav', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"首页快速导航\",\"query\":[],\"h\":26,\"dataSetApi\":\"http://api.jeecg.com/mock/51/home/quick\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"首页\\\",\\\"icon\\\":\\\"icon-jeecg-homepage\\\",\\\"color\\\":\\\"#1fdaca\\\"},{\\\"title\\\":\\\"仪表盘\\\",\\\"icon\\\":\\\"icon-jeecg-shijian\\\",\\\"color\\\":\\\"#bf0c2c\\\"},{\\\"title\\\":\\\"组件\\\",\\\"icon\\\":\\\"icon-jeecg-dangan\\\",\\\"color\\\":\\\"#e18525\\\"},{\\\"title\\\":\\\"系统管理\\\",\\\"icon\\\":\\\"icon-jeecg-shezhi\\\",\\\"color\\\":\\\"#3fb27f\\\"},{\\\"title\\\":\\\"权限管理\\\",\\\"icon\\\":\\\"icon-jeecg-yuechi\\\",\\\"color\\\":\\\"#4daf1bc9\\\"},{\\\"title\\\":\\\"图表\\\",\\\"icon\\\":\\\"icon-jeecg-fujin\\\",\\\"color\\\":\\\"#00d8ff\\\"}]\",\"size\":{\"width\":813,\"height\":276},\"dataSetId\":\"1519962879095332865\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"color\",\"text\":\"color\",\"value\":\"color\"},{\"label\":\"href\",\"text\":\"href\",\"value\":\"href\"}],\"dataSetType\":\"api\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":30},\"body\":{\"textAlign\":\"center\",\"column\":3,\"iconAlign\":\"top\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"快捷导航\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985540', NULL, '1524641995740446722', NULL, 'JGrowCard', '{\"chartData\":\"[{\\\"title\\\":\\\"访问数\\\",\\\"icon\\\":\\\"icon-jeecg-qianbao\\\",\\\"value\\\":2000,\\\"total\\\":120000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"green\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"成交额\\\",\\\"icon\\\":\\\"icon-jeecg-youhuiquan\\\",\\\"value\\\":20000,\\\"total\\\":500000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"blue\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"下载数\\\",\\\"icon\\\":\\\"icon-jeecg-tupian\\\",\\\"value\\\":8000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":120000,\\\"color\\\":\\\"orange\\\",\\\"action\\\":\\\"周\\\"},{\\\"title\\\":\\\"成交数\\\",\\\"icon\\\":\\\"icon-jeecg-jifen\\\",\\\"value\\\":5000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":50000,\\\"color\\\":\\\"purple\\\",\\\"action\\\":\\\"年\\\"}]\",\"size\":{\"width\":950,\"height\":254},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":6},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985541', NULL, '1524641995740446722', NULL, 'JProjectCard', '{\"chartData\":\"[{\\\"title\\\":\\\"Github\\\",\\\"icon\\\":\\\"icon-jeecg-social-github\\\",\\\"color\\\":\\\"\\\",\\\"desc\\\":\\\"不要等待机会，而要创造机会。\\\",\\\"group\\\":\\\"开源组\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Vue\\\",\\\"icon\\\":\\\"icon-jeecg-social-buysellads\\\",\\\"color\\\":\\\"#3fb27f\\\",\\\"desc\\\":\\\"现在的你决定将来的你。\\\",\\\"group\\\":\\\"算法组\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Html5\\\",\\\"icon\\\":\\\"icon-jeecg-html5\\\",\\\"color\\\":\\\"#e18525\\\",\\\"desc\\\":\\\"没有什么才能比努力更重要。\\\",\\\"group\\\":\\\"上班摸鱼\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Angular\\\",\\\"icon\\\":\\\"icon-jeecg-social-product-hunt\\\",\\\"color\\\":\\\"#bf0c2c\\\",\\\"desc\\\":\\\"热情和欲望可以突破一切难关。\\\",\\\"group\\\":\\\"UI\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"React\\\",\\\"icon\\\":\\\"icon-jeecg-social-skype\\\",\\\"color\\\":\\\"#00d8ff\\\",\\\"desc\\\":\\\"健康的身体是实目标的基石。\\\",\\\"group\\\":\\\"技术牛\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"Js\\\",\\\"icon\\\":\\\"icon-jeecg-social-pengyou\\\",\\\"color\\\":\\\"#4daf1bc9\\\",\\\"desc\\\":\\\"路是走出来的，而不是空想出来的。\\\",\\\"group\\\":\\\"架构组\\\",\\\"date\\\":\\\"2021-04-01\\\"}]\",\"size\":{\"width\":813,\"height\":408},\"w\":12,\"dataType\":1,\"h\":33,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":30},\"body\":{\"column\":3},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"项目列表\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985542', NULL, '1524641995740446722', NULL, 'JWaitMatter', '{\"chartData\":\"[{\\\"title\\\":\\\"待办公文\\\",\\\"icon\\\":\\\"icon-jeecg-yudu\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办 3\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"待办流程\\\",\\\"icon\\\":\\\"icon-jeecg-shuju\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办 3\\\",\\\"date\\\":\\\"2021-04-01\\\"},{\\\"title\\\":\\\"待办任务\\\",\\\"icon\\\":\\\"icon-jeecg-tongzhi\\\",\\\"content\\\":23,\\\"desc\\\":\\\"今日已办 3 今日更新 5\\\",\\\"date\\\":\\\"2021-04-01\\\"}]\",\"size\":{\"width\":813,\"height\":221},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":25},\"body\":{\"column\":3},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"待办事项\"}}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('1546761824081985543', NULL, '1524641995740446722', NULL, 'JDynamicInfo', '{\"chartData\":\"[{\\\"name\\\":\\\"威廉\\\",\\\"date\\\":\\\"刚刚\\\",\\\"desc\\\":\\\"在 <a>开源组</a> 创建了项目 <a>Vue</a>\\\",\\\"avatar\\\":\\\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/320222_1646724689691.jpg\\\"},{\\\"name\\\":\\\"艾文\\\",\\\"date\\\":\\\"1个小时前\\\",\\\"desc\\\":\\\"关注了 <a>威廉</a>\\\",\\\"avatar\\\":\\\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/320305_1646724680756.jpg\\\"},{\\\"name\\\":\\\"克里斯\\\",\\\"date\\\":\\\"1天前\\\",\\\"desc\\\":\\\"发布了 <a>个人动态</a>\\\",\\\"avatar\\\":\\\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/299258_1646724675255.jpg\\\"},{\\\"name\\\":\\\"Jeecg\\\",\\\"date\\\":\\\"2天前\\\",\\\"desc\\\":\\\"发表文章 <a>如何编写一个Vite插件</a>\\\",\\\"avatar\\\":\\\"https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/2.4jeecg_1621512120602.png\\\"}]\",\"size\":{\"width\":813,\"height\":287},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"头像\"}],\"w\":12,\"dataType\":1,\"h\":28,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":0,\"option\":{\"titleFontSize\":18}}', 'admin', '2022-07-12 15:42:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797242052608', NULL, '750931735173201920', NULL, 'JMultipleBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"多数据对比柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797271412736', NULL, '750931735173201920', NULL, 'JMixLineBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":110,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":130,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":113.5,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":150,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":240.9,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":160,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":97,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":290,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":230,\\\"type\\\":\\\"降水量\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":33,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":35,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":37,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":35,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":34.9,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":36,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":37,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":39,\\\"type\\\":\\\"温度\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":33,\\\"type\\\":\\\"温度\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"seriesType\":[{\"series\":\"降水量\",\"type\":\"bar\"},{\"series\":\"温度\",\"type\":\"line\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"折柱图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797288189952', NULL, '750931735173201920', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#5470c6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797300772864', NULL, '750931735173201920', NULL, 'JPie', '{\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":891,\"height\":166},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797313355776', NULL, '750931735173201920', NULL, 'JNegativeBar', '{\"chartData\":\"[{\\\"name\\\":\\\"周一\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":170,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":240,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":244,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":220,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":210,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":320,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":302,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":341,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":374,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":390,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":450,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":420,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":-120,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":-132,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":-101,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":-134,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":-190,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":-230,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":-210,\\\"type\\\":\\\"支出\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"xAxis\":{\"type\":\"value\"},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"正负条形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('750939797321744384', NULL, '750931735173201920', NULL, 'JMixLineBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":110},{\\\"name\\\":\\\"1992\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":130},{\\\"name\\\":\\\"1993\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":113.5},{\\\"name\\\":\\\"1994\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":150},{\\\"name\\\":\\\"1995\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":240.9},{\\\"name\\\":\\\"1996\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":160},{\\\"name\\\":\\\"1997\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":97},{\\\"name\\\":\\\"1998\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":290},{\\\"name\\\":\\\"1999\\\",\\\"type\\\":\\\"降水量\\\",\\\"value\\\":230},{\\\"name\\\":\\\"1991\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":33},{\\\"name\\\":\\\"1992\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":35},{\\\"name\\\":\\\"1993\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":37},{\\\"name\\\":\\\"1994\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":35},{\\\"name\\\":\\\"1995\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":34.9},{\\\"name\\\":\\\"1996\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":36},{\\\"name\\\":\\\"1997\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":37},{\\\"name\\\":\\\"1998\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":39},{\\\"name\\\":\\\"1999\\\",\\\"type\\\":\\\"温度\\\",\\\"value\\\":33}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"seriesType\":[{\"series\":\"降水量\",\"type\":\"bar\"},{\"series\":\"温度\",\"type\":\"line\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"折柱图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2022-11-11 14:53:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('763678099293241344', NULL, NULL, NULL, 'JNumber', '{\r\n    \"id\": \"69f30ceb-db97-4f39-8541-eda61e5c433f\",\r\n    \"component\": \"JNumber\",\r\n    \"config\": {\r\n        \"formType\": \"design\",\r\n        \"dataType\": 4,\r\n        \"timeOut\": 0,\r\n        \"option\": {\r\n            \"isCompare\": false,\r\n            \"trendType\": \"1\",\r\n            \"card\": {\r\n                \"title\": \"\",\r\n                \"extra\": \"\",\r\n                \"rightHref\": \"\",\r\n                \"size\": \"small\"\r\n            },\r\n            \"body\": {\r\n                \"text\": \"\",\r\n                \"color\": \"#000000\",\r\n                \"fontWeight\": \"bold\"\r\n            }\r\n        },\r\n        \"size\": {\r\n            \"height\": 500\r\n        },\r\n        \"dataNum\": \"\",\r\n        \"chart\": {\r\n            \"category\": \"Number\",\r\n            \"subclass\": \"JNumber\"\r\n        },\r\n        \"typeFields\": [\r\n            \r\n        ],\r\n        \"nameFields\": [\r\n            \r\n        ],\r\n        \"valueFields\": [\r\n            {\r\n                \"fieldName\": \"record_count\",\r\n                \"fieldTxt\": \"记录数量\",\r\n                \"fieldType\": \"count\",\r\n                \"widgetType\": \"text\"\r\n            }\r\n        ],\r\n        \"assistYFields\": [\r\n            \r\n        ],\r\n        \"assistTypeFields\": [\r\n            \r\n        ],\r\n        \"calcFields\": [\r\n            \r\n        ],\r\n        \"tableName\": \"test_1031\",\r\n        \"sorts\": {\r\n            \"name\": \"\",\r\n            \"type\": \"\"\r\n        },\r\n        \"filter\": {\r\n            \"queryField\": \"create_time\",\r\n            \"queryRange\": \"month\",\r\n            \"customTime\": null,\r\n            \"conditionMode\": \"and\",\r\n            \"conditionFields\": [\r\n                \r\n            ]\r\n        },\r\n        \"analysis\": {\r\n            \"isRawData\": true,\r\n            \"showMode\": 1,\r\n            \"showData\": 1,\r\n            \"isCompare\": false,\r\n            \"compareType\": \"\",\r\n            \"trendType\": \"1\",\r\n            \"compareValue\": null,\r\n            \"showFields\": [\r\n                \r\n            ]\r\n        },\r\n        \"formId\": \"test_1031\",\r\n        \"formName\": \"test1031\",\r\n        \"compStyleConfig\": {\r\n            \"summary\": {\r\n                \"showY\": true,\r\n                \"showTotal\": false,\r\n                \"showField\": \"\",\r\n                \"totalType\": \"sum\",\r\n                \"showName\": \"总计\"\r\n            },\r\n            \"showUnit\": {\r\n                \"numberLevel\": \"\",\r\n                \"decimal\": 0,\r\n                \"position\": \"suffix\",\r\n                \"unit\": \"\"\r\n            },\r\n            \"assist\": {\r\n                \"showUnit\": {\r\n                    \"numberLevel\": \"\",\r\n                    \"decimal\": 0,\r\n                    \"position\": \"suffix\",\r\n                    \"unit\": \"\"\r\n                },\r\n                \"summary\": {\r\n                    \"showY\": true,\r\n                    \"showField\": \"\",\r\n                    \"totalType\": \"sum\",\r\n                    \"showName\": \"总计\"\r\n                }\r\n            },\r\n            \"headerFreeze\": true,\r\n            \"unilineShow\": true,\r\n            \"columnFreeze\": true,\r\n            \"lineFreeze\": true\r\n        },\r\n        \"filterField\": []\r\n    }\r\n}', 'jeecg', '2022-12-16 18:30:58', 'jeecg', '2022-12-16 18:31:31');
INSERT INTO `onl_drag_page_comp` VALUES ('763699587304030208', NULL, NULL, NULL, 'JBar', '{\r\n    \"id\": \"116606b2-4620-42d6-9202-36f39288a8d5\",\r\n    \"component\": \"JBar\",\r\n    \"config\": {\r\n        \"formType\": \"design\",\r\n        \"dataType\": 4,\r\n        \"timeOut\": 0,\r\n        \"option\": {\r\n            \"grid\": {\r\n                \"show\": false,\r\n                \"top\": 90,\r\n                \"bottom\": 115\r\n            },\r\n            \"card\": {\r\n                \"title\": \"\",\r\n                \"extra\": \"\",\r\n                \"rightHref\": \"\",\r\n                \"size\": \"default\"\r\n            },\r\n            \"title\": {\r\n                \"text\": \"每日新增记录\",\r\n                \"show\": true,\r\n                \"textStyle\": {\r\n                    \"color\": \"#464646\"\r\n                }\r\n            },\r\n            \"tooltip\": {\r\n                \"trigger\": \"axis\",\r\n                \"axisPointer\": {\r\n                    \"type\": \"shadow\",\r\n                    \"label\": {\r\n                        \"show\": true,\r\n                        \"backgroundColor\": \"#333\"\r\n                    }\r\n                }\r\n            },\r\n            \"yAxis\": {\r\n                \"splitLine\": {\r\n                    \"interval\": 2\r\n                },\r\n                \"lineStyle\": {\r\n                    \"color\": \"#f3f3f3\"\r\n                }\r\n            },\r\n            \"series\": [\r\n                {\r\n                    \"data\": [\r\n                        \r\n                    ],\r\n                    \"type\": \"bar\",\r\n                    \"barWidth\": 40,\r\n                    \"itemStyle\": {\r\n                        \"color\": \"#64b5f6\",\r\n                        \"borderRadius\": 0\r\n                    }\r\n                }\r\n            ]\r\n        },\r\n        \"size\": {\r\n            \"height\": 500\r\n        },\r\n        \"dataNum\": \"\",\r\n        \"chart\": {\r\n            \"category\": \"Bar\",\r\n            \"subclass\": \"JBar\",\r\n            \"isGroup\": false\r\n        },\r\n        \"typeFields\": [\r\n            \r\n        ],\r\n        \"nameFields\": [\r\n            {\r\n                \"fieldName\": \"create_time\",\r\n                \"fieldTxt\": \"创建时间\",\r\n                \"fieldType\": \"date\",\r\n                \"widgetType\": \"date\",\r\n								\"customDateType\": \"3\"\r\n            }\r\n        ],\r\n        \"valueFields\": [\r\n            {\r\n                \"fieldName\": \"record_count\",\r\n                \"fieldTxt\": \"记录数量\",\r\n                \"fieldType\": \"count\",\r\n                \"widgetType\": \"text\"\r\n            }\r\n        ],\r\n        \"assistYFields\": [\r\n            \r\n        ],\r\n        \"assistTypeFields\": [\r\n            \r\n        ],\r\n        \"calcFields\": [\r\n            \r\n        ],\r\n        \"tableName\": \"test_1031\",\r\n        \"sorts\": {\r\n            \"name\": \"\",\r\n            \"type\": \"\"\r\n        },\r\n        \"filter\": {\r\n            \"queryField\": \"create_time\",\r\n            \"queryRange\": \"month\",\r\n            \"customTime\": null,\r\n            \"conditionMode\": \"and\",\r\n            \"conditionFields\": [\r\n                \r\n            ]\r\n        },\r\n        \"analysis\": {\r\n            \"isRawData\": true,\r\n            \"showMode\": 1,\r\n            \"showData\": 1,\r\n            \"isCompare\": false,\r\n            \"compareType\": \"\",\r\n            \"trendType\": \"1\",\r\n            \"compareValue\": null,\r\n            \"showFields\": [\r\n                \r\n            ]\r\n        },\r\n        \"formId\": \"test_1031\",\r\n        \"formName\": \"test1031\",\r\n        \"compStyleConfig\": {\r\n            \"summary\": {\r\n                \"showY\": true,\r\n                \"showTotal\": false,\r\n                \"showField\": \"\",\r\n                \"totalType\": \"sum\",\r\n                \"showName\": \"总计\"\r\n            },\r\n            \"showUnit\": {\r\n                \"numberLevel\": \"\",\r\n                \"decimal\": 0,\r\n                \"position\": \"suffix\",\r\n                \"unit\": \"\"\r\n            },\r\n            \"assist\": {\r\n                \"showUnit\": {\r\n                    \"numberLevel\": \"\",\r\n                    \"decimal\": 0,\r\n                    \"position\": \"suffix\",\r\n                    \"unit\": \"\"\r\n                },\r\n                \"summary\": {\r\n                    \"showY\": true,\r\n                    \"showField\": \"\",\r\n                    \"totalType\": \"sum\",\r\n                    \"showName\": \"总计\"\r\n                }\r\n            },\r\n            \"headerFreeze\": true,\r\n            \"unilineShow\": true,\r\n            \"columnFreeze\": true,\r\n            \"lineFreeze\": true\r\n        }\r\n    }\r\n}', 'jeecg', '2022-12-16 19:56:21', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767345445303287808', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed854e9a6b01854e9a6b1f0000\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2022-12-26 21:23:41', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767345445714329600', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed854e9a6b01854e9a6b8f0001\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2022-12-26 21:23:41', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767559322439843840', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8551a47f018551a47fb80000\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-27 11:33:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767559322888634368', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8551a47f018551a480340001\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-27 11:33:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767901443155886080', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8556812001855681206b0000\",\"config\":{\"assistYFields\":[],\"formId\":\"app_haha\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"app_haha\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"app_haha\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 10:13:01', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767901444070244352', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8556812001855681215e0001\",\"config\":{\"assistYFields\":[],\"formId\":\"app_haha\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"app_haha\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"app_haha\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 10:13:01', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767901473807859712', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85568120018556813d150004\",\"config\":{\"assistYFields\":[],\"formId\":\"cc22ss\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"cc22ss\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"工单积分\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 10:13:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767901473874968576', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85568120018556813d250005\",\"config\":{\"assistYFields\":[],\"formId\":\"cc22ss\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"cc22ss\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"工单积分\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 10:13:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767924238153744384', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8556d40d018556d40de50000\",\"config\":{\"assistYFields\":[],\"formId\":\"adsfadsf\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"adsfadsf\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测删除流程\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 11:43:36', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767924238397014016', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8556d40d018556d40e3d0001\",\"config\":{\"assistYFields\":[],\"formId\":\"adsfadsf\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"adsfadsf\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测删除流程\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 11:43:36', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767924244520697856', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8556d40d018556d413ef0004\",\"config\":{\"assistYFields\":[],\"formId\":\"adsfadsf\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"adsfadsf\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测删除流程\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 11:43:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('767924244587806720', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8556d40d018556d414020005\",\"config\":{\"assistYFields\":[],\"formId\":\"adsfadsf\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"adsfadsf\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测删除流程\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 11:43:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768016824029741056', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed855824e101855824e1440000\",\"config\":{\"assistYFields\":[],\"formId\":\"issue\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"issue\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"issue\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 17:51:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768016824646303744', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed855824e101855824e1e90001\",\"config\":{\"assistYFields\":[],\"formId\":\"issue\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"issue\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"issue\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-28 17:51:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768017225172975616', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed855824e10185582656ef0004\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2022-12-28 17:53:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768017225214918656', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed855824e10185582656fa0005\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2022-12-28 17:53:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768392697476087808', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed855d7c4c01855d7c4cb70000\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-29 18:45:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768392697882935296', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed855d7c4c01855d7c4d260001\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-29 18:45:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768475451123363840', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402885e8855ea95b01855ea95b090000\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_6666_1j8e\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_6666_1j8e\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'qinfeng', '2022-12-30 00:13:55', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768475451270164480', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402885e8855ea95b01855ea95b3f0001\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_6666_1j8e\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_6666_1j8e\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'qinfeng', '2022-12-30 00:13:55', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768682668124602368', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85619b340185619b34e90000\",\"config\":{\"assistYFields\":[],\"formId\":\"sdfa_gku1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sdfa_gku1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sdfa\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-30 13:57:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768682668229459968', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85619b340185619b35140001\",\"config\":{\"assistYFields\":[],\"formId\":\"sdfa_gku1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sdfa_gku1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sdfa\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-30 13:57:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768685401766428672', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85619b34018561a526e20004\",\"config\":{\"assistYFields\":[],\"formId\":\"dd_fsog\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"dd_fsog\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"dd\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-30 14:08:11', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('768685401812566016', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85619b34018561a526ed0005\",\"config\":{\"assistYFields\":[],\"formId\":\"dd_fsog\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"dd_fsog\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"dd\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2022-12-30 14:08:12', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('771249231264546816', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8586144f018586144f220000\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_mi_feng_e1f5\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"xiao_mi_feng_e1f5\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小蜜蜂\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-06 15:55:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('771249231428124672', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8586144f018586144f520001\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_mi_feng_e1f5\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"xiao_mi_feng_e1f5\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小蜜蜂\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-06 15:55:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('771261664033046528', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed8586144f018586418a160004\",\"config\":{\"assistYFields\":[],\"formId\":\"sdf_1yop\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sdf_1yop\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sdf\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-06 16:45:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('771261664058212352', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed8586144f018586418a1e0005\",\"config\":{\"assistYFields\":[],\"formId\":\"sdf_1yop\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sdf_1yop\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sdf\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-06 16:45:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772335059084574720', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859582870185958287160000\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-09 15:50:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772335059160072192', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859582870185958287330001\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-09 15:50:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685203479003136', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a7c586c0000\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_12712a_e8rd\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_12712a_e8rd\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书12——*%^712a\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:01:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685204120731648', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a7c591a0001\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_12712a_e8rd\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_12712a_e8rd\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书12——*%^712a\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:01:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685310186291200', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a7cbbe30004\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_sdf_kv7o\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_sdf_kv7o\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书@sdf\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:02:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685310215651328', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a7cbbeb0005\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_sdf_kv7o\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_sdf_kv7o\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书@sdf\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:02:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685793072316416', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a7e7d9c0008\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_23_387y\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_23_387y\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书2@3\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:04:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772685793105870848', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a7e7da40009\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_23_387y\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_23_387y\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书2@3\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:04:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772688060278177792', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a86bd1d000c\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_1asdfasdc_asdf_v5va\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_1asdfasdc_asdf_v5va\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书@1ASDFASDC_)-ASDF\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:13:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772688060315926528', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a86bd25000d\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_1asdfasdc_asdf_v5va\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_1asdfasdc_asdf_v5va\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书@1ASDFASDC_)-ASDF\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:13:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772690418093588480', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a8f51010010\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_23123asdf__nin_ha_a_si_d_hp0c\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_23123asdf__nin_ha_a_si_d_hp0c\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"!23123&asdf_您哈阿斯顿发（）%1%\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:22:42', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772690418114560000', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a8f51060011\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_23123asdf__nin_ha_a_si_d_hp0c\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_23123asdf__nin_ha_a_si_d_hp0c\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"!23123&asdf_您哈阿斯顿发（）%1%\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:22:42', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772690532560338944', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a8fbb9c0014\",\"config\":{\"assistYFields\":[],\"formId\":\"ni_hao_a_8123mm_thah\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ni_hao_a_8123mm_thah\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"你好啊&8123MM……\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:23:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772690532589699072', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a8fbba30015\",\"config\":{\"assistYFields\":[],\"formId\":\"ni_hao_a_8123mm_thah\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ni_hao_a_8123mm_thah\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"你好啊&8123MM……\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:23:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772691585053818880', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a938fd20018\",\"config\":{\"assistYFields\":[],\"formId\":\"a_si_dun_fa_song_dao_fa_song_d_b9jd\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"a_si_dun_fa_song_dao_fa_song_d_b9jd\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"阿斯顿发送到发送到发送到发送到发送到发送到发送到发斯蒂芬！12312412341234234\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:27:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772691585078984704', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a938fd70019\",\"config\":{\"assistYFields\":[],\"formId\":\"a_si_dun_fa_song_dao_fa_song_d_b9jd\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"a_si_dun_fa_song_dao_fa_song_d_b9jd\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"阿斯顿发送到发送到发送到发送到发送到发送到发送到发斯蒂芬！12312412341234234\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:27:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772692400153886720', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859a9686f0001c\",\"config\":{\"assistYFields\":[],\"formId\":\"a_si_dun_fa_sheng_a_si_dun_fa__4db1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"a_si_dun_fa_sheng_a_si_dun_fa__4db1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"阿斯顿发生阿斯顿发送到发送到发送到发送到发送到发送到发送到发斯蒂芬\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:30:34', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772692400195829760', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859a9686f9001d\",\"config\":{\"assistYFields\":[],\"formId\":\"a_si_dun_fa_sheng_a_si_dun_fa__4db1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"a_si_dun_fa_sheng_a_si_dun_fa__4db1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"阿斯顿发生阿斯顿发送到发送到发送到发送到发送到发送到发送到发斯蒂芬\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 15:30:34', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772700410687324160', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed859a7c5801859ab3ab540020\",\"config\":{\"assistYFields\":[],\"formId\":\"adff_2z3v\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"adff_2z3v\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"adff\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 16:02:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('772700410708295680', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed859a7c5801859ab3ab590021\",\"config\":{\"assistYFields\":[],\"formId\":\"adff_2z3v\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"adff_2z3v\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"adff\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-10 16:02:24', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773096203617370112', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a0538e0185a0538e260000\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:15:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773096204087132160', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a0538e0185a0538ea60001\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:15:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773098908486270976', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a05d65430000\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:25:53', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773098909077667840', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a05d65dd0001\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:25:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773104813269385216', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a072e0940004\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:49:21', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773104813302939648', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a072e09c0005\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"aaaa1\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 18:49:21', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115065989660672', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a0982d2b0008\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:30:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115066019020800', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a0982d330009\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:30:06', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115287805427712', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a098fbc1000c\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:30:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115287834787840', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a098fbc7000d\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:30:59', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115301323669504', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a09908580010\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:31:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115301357223936', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a09908600011\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:31:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115303651508224', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a05d650185a0990a830014\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:31:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773115303664091136', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a05d650185a0990a860015\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-11 19:31:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773426738789154816', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a506090185a50609000000\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 16:08:34', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773426739690930176', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a506090185a50609ea0001\",\"config\":{\"assistYFields\":[],\"formId\":\"chu_fang_yao\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"chu_fang_yao\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"处方药\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 16:08:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773451899168948224', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a506090185a56191810004\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 17:48:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773451899227668480', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a506090185a56191900005\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 17:48:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773495830288072704', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a601630185a60163780000\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:43:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773495830288072705', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a601630185a60163780001\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:43:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773495831030464512', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a601630185a601643d0003\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:43:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773495831030464513', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a601630185a601643c0002\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:43:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773498678044327936', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881ed85a60bbf0185a60bbfaf0000\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_250_nfr2\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_250_nfr2\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"250\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:54:26', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('773498678862217216', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881ed85a60bbf0185a60bc07a0001\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_250_nfr2\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_250_nfr2\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"250\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-01-12 20:54:26', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780286279472414720', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5860680e501860680e5ec0000\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_app_fist_demo\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ce_shi_app_fist_demo\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试app第一个例子11\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-01-31 14:25:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780286283788353536', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5860680e501860680ea2c0001\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_app_fist_demo\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ce_shi_app_fist_demo\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试app第一个例子11\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-01-31 14:25:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780292924277555200', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5860699120186069912970000\",\"config\":{\"assistYFields\":[],\"formId\":\"wo_de_ke_hu\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"wo_de_ke_hu\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"我的客户\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-01-31 14:52:21', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780292924671819776', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5860699120186069913010001\",\"config\":{\"assistYFields\":[],\"formId\":\"wo_de_ke_hu\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"wo_de_ke_hu\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"我的客户\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-01-31 14:52:21', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780727462598311936', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5860cc5e901860cc5e9ee0000\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试mogo列表查询和数据权限\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-01 19:39:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('780727462719946752', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5860cc5e901860cc5ea180001\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试mogo列表查询和数据权限\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-01 19:39:03', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781081487378251776', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58611cdd9018611cdd92f0000\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_123_iaxy\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_123_iaxy\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书123\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-02 19:05:49', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781081487483109376', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e58611cdd9018611cdd9590001\",\"config\":{\"assistYFields\":[],\"formId\":\"jeecg_xiao_hong_shu_123_iaxy\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"jeecg_xiao_hong_shu_123_iaxy\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"小红书123\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-02 19:05:49', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781081970767593472', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58611cdd9018611cf9b710004\",\"config\":{\"assistYFields\":[],\"formId\":\"adff_2z3v\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"adff_2z3v\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:07:44', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781081970788564992', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e58611cdd9018611cf9b770005\",\"config\":{\"assistYFields\":[],\"formId\":\"adff_2z3v\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"adff_2z3v\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:07:44', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781082322384486400', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58611cdd9018611d0e2ea0008\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:09:08', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781082322409652224', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e58611cdd9018611d0e2f00009\",\"config\":{\"assistYFields\":[],\"formId\":\"aaaa1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"aaaa1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:09:08', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781082329376391168', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58611cdd9018611d0e96c000c\",\"config\":{\"assistYFields\":[],\"formId\":\"sdfa_gku1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sdfa_gku1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:09:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781082329397362688', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e58611cdd9018611d0e972000d\",\"config\":{\"assistYFields\":[],\"formId\":\"sdfa_gku1\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sdfa_gku1\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:09:09', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781084613351079936', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58611cdd9018611d9388b0010\",\"config\":{\"assistYFields\":[],\"formId\":\"demo_auto_number\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"demo_auto_number\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"示例：自动编号\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:18:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781084613380440064', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e58611cdd9018611d938920011\",\"config\":{\"assistYFields\":[],\"formId\":\"demo_auto_number\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"demo_auto_number\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"示例：自动编号\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'admin', '2023-02-02 19:18:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781123317377564672', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e58612660601861266066a0000\",\"config\":{\"assistYFields\":[],\"formId\":\"zhua_yao_zp4u\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"zhua_yao_zp4u\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"抓药\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-02 21:52:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781123317734080512', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5861266060186126606cc0001\",\"config\":{\"assistYFields\":[],\"formId\":\"zhua_yao_zp4u\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"zhua_yao_zp4u\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"抓药\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-02 21:52:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781704807987576832', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5861aa97901861aa979ba0000\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_biao_dan_001_gsdm\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ce_shi_biao_dan_001_gsdm\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试表单001\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-04 12:22:40', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('781704808121794560', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5861aa97901861aa979ec0001\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_biao_dan_001_gsdm\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ce_shi_biao_dan_001_gsdm\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试表单001\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-04 12:22:40', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('786408878929641472', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5865d82c901865d82c90e0000\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_biao_dan_001_gsdm\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ce_shi_biao_dan_001_gsdm\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试表单001\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-17 11:54:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('786408880452173824', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5865d82c901865d82caac0001\",\"config\":{\"assistYFields\":[],\"formId\":\"ce_shi_biao_dan_001_gsdm\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ce_shi_biao_dan_001_gsdm\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"测试表单001\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-17 11:54:58', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463779545808896', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5866c807d01866c807df20000\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:46', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463779721969664', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5866c807d01866c807e2e0001\",\"config\":{\"assistYFields\":[],\"formId\":\"xiao_shou_yuan_ttk6\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"xiao_shou_yuan_ttk6\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"销售员\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:46', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463782867697664', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5866c807d01866c80811e0004\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:46', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463782884474880', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5866c807d01866c8081230005\",\"config\":{\"assistYFields\":[],\"formId\":\"sha_gua_d_byfr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sha_gua_d_byfr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"傻瓜d\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:46', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463790937538560', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5866c807d01866c8088a30008\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:48', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('787463790962704384', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5866c807d01866c8088a80009\",\"config\":{\"assistYFields\":[],\"formId\":\"yao_pin_guan_li_56so\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"yao_pin_guan_li_56so\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"药品管理\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-20 09:46:48', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788345993070411776', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5867909f701867909f75d0000\",\"config\":{\"assistYFields\":[],\"formId\":\"sfasd_c6km\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"sfasd_c6km\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sfasd\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-22 20:12:22', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788345993238183936', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5867909f701867909f78c0001\",\"config\":{\"assistYFields\":[],\"formId\":\"sfasd_c6km\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"sfasd_c6km\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"sfasd\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-22 20:12:22', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788677763355672576', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5867dc0f001867dc0f0840000\",\"config\":{\"assistYFields\":[],\"formId\":\"ku_cun_h3ht\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ku_cun_h3ht\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"库存\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-23 18:10:42', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788677763523444736', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5867dc0f001867dc0f0b40001\",\"config\":{\"assistYFields\":[],\"formId\":\"ku_cun_h3ht\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ku_cun_h3ht\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"库存\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-23 18:10:42', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788677867252776960', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5867dc0f001867dc151500004\",\"config\":{\"assistYFields\":[],\"formId\":\"ru_ku_dan_5rq0\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ru_ku_dan_5rq0\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"入库单\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-23 18:11:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('788677867277942784', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5867dc0f001867dc151560005\",\"config\":{\"assistYFields\":[],\"formId\":\"ru_ku_dan_5rq0\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ru_ku_dan_5rq0\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"入库单\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-02-23 18:11:07', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('790747819019370496', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5869b2bc201869b2bc2130000\",\"config\":{\"assistYFields\":[],\"formId\":\"bao_bao_cai_pu_2cqr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"bao_bao_cai_pu_2cqr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"宝宝菜谱\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-01 11:16:22', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('790747819141005312', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5869b2bc201869b2bc23c0001\",\"config\":{\"assistYFields\":[],\"formId\":\"bao_bao_cai_pu_2cqr\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"bao_bao_cai_pu_2cqr\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"宝宝菜谱\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-01 11:16:22', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('790755458344321024', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e5869b478c01869b478cbe0000\",\"config\":{\"assistYFields\":[],\"formId\":\"su_cai_zhun_bei_1fps\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"su_cai_zhun_bei_1fps\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"素材准备\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-01 11:46:43', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('790755458709225472', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e5869b478c01869b478d200001\",\"config\":{\"assistYFields\":[],\"formId\":\"su_cai_zhun_bei_1fps\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"su_cai_zhun_bei_1fps\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"素材准备\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-01 11:46:43', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('793418272129187840', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e586c11ecf0186c11ecf520000\",\"config\":{\"assistYFields\":[],\"formId\":\"hong_niu_pin_zhong_u7d2\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"hong_niu_pin_zhong_u7d2\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"红牛品种\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-08 20:07:47', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('793418272720584704', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e586c11ecf0186c11ecff00001\",\"config\":{\"assistYFields\":[],\"formId\":\"hong_niu_pin_zhong_u7d2\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"hong_niu_pin_zhong_u7d2\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"红牛品种\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-08 20:07:47', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('795896466006638592', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e586e4566d0186e4566d3c0000\",\"config\":{\"assistYFields\":[],\"formId\":\"cai_gou_dan_jp29\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"cai_gou_dan_jp29\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"采购单\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-15 16:15:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('795896466132467712', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e586e4566d0186e4566d690001\",\"config\":{\"assistYFields\":[],\"formId\":\"cai_gou_dan_jp29\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"cai_gou_dan_jp29\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"采购单\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-15 16:15:15', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('795896576572686336', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e586e4566d0186e456d4430004\",\"config\":{\"assistYFields\":[],\"formId\":\"cai_gou_ming_xi_fqt7\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"cai_gou_ming_xi_fqt7\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"采购明细\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-15 16:15:41', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('795896576606240768', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e586e4566d0186e456d44b0005\",\"config\":{\"assistYFields\":[],\"formId\":\"cai_gou_ming_xi_fqt7\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"cai_gou_ming_xi_fqt7\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"采购明细\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-15 16:15:41', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('796307505735041024', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e586ea2dc70186ea2dc7d20000\",\"config\":{\"assistYFields\":[],\"formId\":\"chan_pin_4jvg\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"chan_pin_4jvg\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"产品\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-16 19:28:34', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('796307506150277120', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e586ea2dc70186ea2dc8410001\",\"config\":{\"assistYFields\":[],\"formId\":\"chan_pin_4jvg\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"chan_pin_4jvg\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"产品\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-16 19:28:34', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('796307694893957120', NULL, NULL, NULL, 'JNumber', '{\"component\":\"JNumber\",\"id\":\"402881e586ea2dc70186ea2e78090004\",\"config\":{\"assistYFields\":[],\"formId\":\"ku_cun_v2ve\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"filterField\":[],\"timeOut\":0,\"tableName\":\"ku_cun_v2ve\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"库存\",\"nameFields\":[],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JNumber\",\"category\":\"Number\"},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-16 19:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('796307694914928640', NULL, NULL, NULL, 'JBar', '{\"component\":\"JBar\",\"id\":\"402881e586ea2dc70186ea2e780f0005\",\"config\":{\"assistYFields\":[],\"formId\":\"ku_cun_v2ve\",\"compStyleConfig\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showTotal\":false,\"showY\":true,\"totalType\":\"sum\"},\"lineFreeze\":true,\"columnFreeze\":true,\"assist\":{\"summary\":{\"showName\":\"总计\",\"showField\":\"\",\"showY\":true,\"totalType\":\"sum\"},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0}},\"showUnit\":{\"unit\":\"\",\"numberLevel\":\"\",\"position\":\"suffix\",\"decimal\":0},\"headerFreeze\":true,\"unilineShow\":true},\"formType\":\"design\",\"assistTypeFields\":[],\"dataType\":4,\"calcFields\":[],\"valueFields\":[{\"fieldName\":\"record_count\",\"fieldTxt\":\"记录数量\",\"fieldType\":\"count\",\"widgetType\":\"text\"}],\"analysis\":{\"showData\":1,\"isRawData\":true,\"isCompare\":false,\"compareType\":\"\",\"showMode\":1,\"showFields\":[],\"trendType\":\"1\"},\"timeOut\":0,\"tableName\":\"ku_cun_v2ve\",\"typeFields\":[],\"filter\":{\"conditionMode\":\"and\",\"conditionFields\":[],\"queryField\":\"create_time\",\"queryRange\":\"month\"},\"size\":{\"height\":500},\"formName\":\"库存\",\"nameFields\":[{\"fieldName\":\"create_time\",\"fieldTxt\":\"创建时间\",\"fieldType\":\"date\",\"widgetType\":\"date\"}],\"dataNum\":\"\",\"chart\":{\"subclass\":\"JBar\",\"category\":\"Bar\",\"isGroup\":false},\"sorts\":{\"name\":\"\",\"type\":\"\"},\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}}', 'jeecg', '2023-03-16 19:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('811451560194256896', NULL, '1517067453027352578', NULL, 'JForm', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[{\"defaultVal\":\"1\",\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"}],\"dataType\":2,\"dataSetName\":\"示例_参数查询\",\"query\":[],\"h\":12,\"dataSetApi\":\"select*fromdemowherenamelike\'%${name}%\'\",\"timeOut\":-1,\"size\":{\"height\":120},\"dataSetId\":\"1516317603268657153\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"姓名\",\"text\":\"姓名\",\"value\":\"name\"},{\"label\":\"key_word\",\"text\":\"key_word\",\"value\":\"key_word\"},{\"label\":\"punch_time\",\"text\":\"punch_time\",\"value\":\"punch_time\"},{\"label\":\"salary_money\",\"text\":\"salary_money\",\"value\":\"salary_money\"},{\"label\":\"bonus_money\",\"text\":\"bonus_money\",\"value\":\"bonus_money\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"birthday\",\"text\":\"birthday\",\"value\":\"birthday\"},{\"label\":\"email\",\"text\":\"email\",\"value\":\"email\"},{\"label\":\"content\",\"text\":\"content\",\"value\":\"content\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"tenant_id\",\"text\":\"tenant_id\",\"value\":\"tenant_id\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"w\":24,\"linkageConfig\":[{\"linkageId\":\"79f3e507-d7ab-4cd5-9402-ca5b41086a73\",\"linkage\":[{\"source\":\"name\",\"target\":\"name\"}]},{\"linkageId\":\"95f190fb-69cc-4dc7-8f4c-b9f33460ad60\",\"linkage\":[{\"source\":\"name\",\"target\":\"name\"}]}],\"dataSetIzAgent\":\"\",\"option\":{\"fields\":[{\"fieldName\":\"name\",\"fieldTxt\":\"姓名\",\"id\":\"row0789b9da-89e4-4402-af25-2bb1043d68f7\",\"izSearch\":\"1\",\"widgetType\":\"input\"}]}}', 'admin', '2023-04-27 14:25:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('811451560223617024', NULL, '1517067453027352578', NULL, 'JBar', '{\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"age\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"\",\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"}],\"dataType\":2,\"dataSetName\":\"示例_参数查询\",\"query\":[],\"dataSetApi\":\"select*fromdemowherenamelike\'%${name}%\'\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1516317603268657153\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"key_word\",\"text\":\"key_word\",\"value\":\"key_word\"},{\"label\":\"punch_time\",\"text\":\"punch_time\",\"value\":\"punch_time\"},{\"label\":\"salary_money\",\"text\":\"salary_money\",\"value\":\"salary_money\"},{\"label\":\"bonus_money\",\"text\":\"bonus_money\",\"value\":\"bonus_money\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"birthday\",\"text\":\"birthday\",\"value\":\"birthday\"},{\"label\":\"email\",\"text\":\"email\",\"value\":\"email\"},{\"label\":\"content\",\"text\":\"content\",\"value\":\"content\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"tenant_id\",\"text\":\"tenant_id\",\"value\":\"tenant_id\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[{\"linkageId\":\"a7de05b4-3eab-40ce-bb95-39d650ea3c1b\",\"linkage\":[{\"source\":\"age\",\"target\":\"age\"}]}],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2023-04-27 14:25:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('811451560236199936', NULL, '1517067453027352578', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"age\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"\",\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"}],\"dataType\":2,\"dataSetName\":\"示例_参数查询\",\"query\":[],\"dataSetApi\":\"select*fromdemowherenamelike\'%${name}%\'\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1516317603268657153\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"key_word\",\"text\":\"key_word\",\"value\":\"key_word\"},{\"label\":\"punch_time\",\"text\":\"punch_time\",\"value\":\"punch_time\"},{\"label\":\"salary_money\",\"text\":\"salary_money\",\"value\":\"salary_money\"},{\"label\":\"bonus_money\",\"text\":\"bonus_money\",\"value\":\"bonus_money\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"birthday\",\"text\":\"birthday\",\"value\":\"birthday\"},{\"label\":\"email\",\"text\":\"email\",\"value\":\"email\"},{\"label\":\"content\",\"text\":\"content\",\"value\":\"content\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"tenant_id\",\"text\":\"tenant_id\",\"value\":\"tenant_id\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[{\"linkageId\":\"9e46a297-752b-40bc-95c7-d28f87ce7cd5\",\"linkage\":[{\"source\":\"age\",\"target\":\"age\"}]},{\"linkageId\":\"a7de05b4-3eab-40ce-bb95-39d650ea3c1b\",\"linkage\":[{\"source\":\"age\",\"target\":\"age\"}]}],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2023-04-27 14:25:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('811451560252977152', NULL, '1517067453027352578', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"age\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"\",\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"}],\"dataType\":2,\"dataSetName\":\"示例_根据年龄查询用户\",\"query\":[],\"dataSetApi\":\"select*fromdemowhereage=${age}\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"height\":420},\"dataSetId\":\"1517071247723233281\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"key_word\",\"text\":\"key_word\",\"value\":\"key_word\"},{\"label\":\"punch_time\",\"text\":\"punch_time\",\"value\":\"punch_time\"},{\"label\":\"salary_money\",\"text\":\"salary_money\",\"value\":\"salary_money\"},{\"label\":\"bonus_money\",\"text\":\"bonus_money\",\"value\":\"bonus_money\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"birthday\",\"text\":\"birthday\",\"value\":\"birthday\"},{\"label\":\"email\",\"text\":\"email\",\"value\":\"email\"},{\"label\":\"content\",\"text\":\"content\",\"value\":\"content\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"tenant_id\",\"text\":\"tenant_id\",\"value\":\"tenant_id\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"基础折线图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2023-04-27 14:25:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('811451560269754368', NULL, '1517067453027352578', NULL, 'JProgress', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"age\",\"filed\":\"数值\"}],\"paramOption\":[{\"defaultVal\":\"\",\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"}],\"dataType\":2,\"dataSetName\":\"示例_根据年龄查询用户\",\"query\":[],\"dataSetApi\":\"select*fromdemowhereage=${age}\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"内存使用率\\\",\\\"value\\\":50}]\",\"size\":{\"height\":420},\"dataSetId\":\"1517071247723233281\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"key_word\",\"text\":\"key_word\",\"value\":\"key_word\"},{\"label\":\"punch_time\",\"text\":\"punch_time\",\"value\":\"punch_time\"},{\"label\":\"salary_money\",\"text\":\"salary_money\",\"value\":\"salary_money\"},{\"label\":\"bonus_money\",\"text\":\"bonus_money\",\"value\":\"bonus_money\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"birthday\",\"text\":\"birthday\",\"value\":\"birthday\"},{\"label\":\"email\",\"text\":\"email\",\"value\":\"email\"},{\"label\":\"content\",\"text\":\"content\",\"value\":\"content\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"tenant_id\",\"text\":\"tenant_id\",\"value\":\"tenant_id\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"show\":false},\"series\":[{\"barWidth\":19,\"color\":\"#151B87\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"zlevel\":1,\"label\":{\"formatter\":\"{c}{a}\",\"offset\":[0,-40],\"color\":\"black\",\"show\":true,\"fontSize\":24,\"position\":\"right\"}},{\"barWidth\":19,\"color\":\"#eeeeee\",\"barGap\":\"-100%\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础进度图\",\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2023-04-27 14:25:38', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('826049694035705856', NULL, '1516742733803323394', NULL, 'JTabs', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"query\":[],\"h\":40,\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"size\":{\"width\":1650,\"height\":529},\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"},{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"}],\"dataSetType\":\"sql\",\"w\":12,\"dataSetIzAgent\":\"\",\"option\":{\"title\":\"选项卡\"},\"child\":[{\"component\":\"JBar\",\"w\":12,\"x\":0,\"h\":42,\"i\":\"2c5a2c1f-2cab-48bc-9a0c-c3c9b648e9b9\",\"title\":\"柱状图\",\"config\":{\"dataMapping\":[{\"mapping\":\"day\",\"filed\":\"维度\"},{\"mapping\":\"num\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"query\":[],\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"},{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"showBackground\":true,\"backgroundStyle\":{\"color\":\"rgba(180,180,180,0.2)\"},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}},{\"horizontal\":false,\"component\":\"JLine\",\"size\":10,\"w\":12,\"x\":0,\"h\":42,\"i\":\"34e3d56e-f567-45e7-bb59-346a8ec23fc6\",\"text\":\"0.042\",\"id\":\"a466d3c1-3a35-45f1-9ef1-271ca1a2e37c\",\"title\":\"曲线图\",\"config\":{\"dataMapping\":[{\"mapping\":\"day\",\"filed\":\"维度\"},{\"mapping\":\"num\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"query\":[],\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"},{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"text\":\"基础折线图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}},\"child\":[]},{\"horizontal\":false,\"component\":\"JPie\",\"size\":10,\"w\":12,\"x\":0,\"h\":42,\"i\":\"9e2087e1-fd80-4096-995c-27d35d05478a\",\"text\":\"0.042\",\"id\":\"be62c001-795b-4b77-9a91-d6be1ad6d1ce\",\"title\":\"饼图\",\"config\":{\"dataMapping\":[{\"mapping\":\"day\",\"filed\":\"维度\"},{\"mapping\":\"num\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"query\":[],\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"paddingBottom\":90,\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"},{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"}],\"dataSetType\":\"sql\",\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"AccessFrom\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0,0,0,0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}},\"child\":[]}]}', 'admin', '2023-06-06 21:13:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('826049694119591936', NULL, '1516742733803323394', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"统计近十日的登陆次数\",\"query\":[],\"h\":42,\"dataSetApi\":\"SELECT\\tcount(*)num,\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')AS`day`FROM\\tsys_logWHERE\\tlog_type=1ANDcreate_time>DATE_SUB(NOW(),INTERVAL10DAY)GROUPBY\\tDATE_FORMAT(create_time,\'%Y-%m-%d\')\",\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":1636,\"height\":529},\"dataSetId\":\"1516743766914924546\",\"fieldOption\":[{\"label\":\"日期\",\"text\":\"日期\",\"value\":\"day\"},{\"label\":\"登录次数\",\"text\":\"登录次数\",\"value\":\"num\"}],\"dataSetType\":\"sql\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"day\",\"title\":\"日期\"},{\"izTotal\":\"Y\",\"izShow\":\"Y\",\"dataIndex\":\"num\",\"title\":\"登录次数\"}]}}', 'admin', '2023-06-06 21:13:25', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207532212224', NULL, '750938006131638272', NULL, 'JBar', '{\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"type\\\":\\\"手机品牌\\\",\\\"value\\\":1000879},{\\\"name\\\":\\\"三星\\\",\\\"type\\\":\\\"手机品牌\\\",\\\"value\\\":3400879},{\\\"name\\\":\\\"小米\\\",\\\"type\\\":\\\"手机品牌\\\",\\\"value\\\":2300879},{\\\"name\\\":\\\"oppo\\\",\\\"type\\\":\\\"手机品牌\\\",\\\"value\\\":5400879},{\\\"name\\\":\\\"vivo\\\",\\\"type\\\":\\\"手机品牌\\\",\\\"value\\\":3400879}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":861,\"height\":419},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#5470c6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207632875520', NULL, '750938006131638272', NULL, 'JLine', '{\"chartData\":\"[{\\\"name\\\":\\\"联想\\\",\\\"value\\\":1000},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":7350},{\\\"name\\\":\\\"华为\\\",\\\"value\\\":5800},{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":6000},{\\\"name\\\":\\\"戴尔\\\",\\\"value\\\":3000}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":10,\"text\":\"基础折线图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207645458432', NULL, '750938006131638272', NULL, 'JRing', '{\"chartData\":\"[{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":1048},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":735},{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":580},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":484},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":300}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础环形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207653847040', NULL, '750938006131638272', NULL, 'JGauge', '{\"chartData\":\"[{\\\"name\\\":\\\"名称\\\",\\\"value\\\":4}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"名称\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/gauge\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[{\"axisLabel\":{\"show\":true,\"fontSize\":12},\"data\":[],\"splitLine\":{\"lineStyle\":{\"color\":\"#eee\",\"width\":4},\"length\":12},\"axisTick\":{\"lineStyle\":{\"color\":\"#eee\"},\"show\":true},\"progress\":{\"show\":true},\"detail\":{\"formatter\":\"{value}\",\"fontSize\":25},\"type\":\"gauge\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\"},\"title\":{\"text\":\"标准仪表盘\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207670624256', NULL, '750938006131638272', NULL, 'JFunnel', '{\"chartData\":\"[{\\\"name\\\":\\\"直接访问\\\",\\\"value\\\":335},{\\\"name\\\":\\\"邮件营销\\\",\\\"value\\\":310},{\\\"name\\\":\\\"联盟广告\\\",\\\"value\\\":234}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"基础漏斗图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207679012864', NULL, '750938006131638272', NULL, 'JBar', '{\"chartData\":[{\"name\":\"苹果\",\"type\":\"手机品牌\",\"value\":1000879},{\"name\":\"三星\",\"type\":\"手机品牌\",\"value\":3400879},{\"name\":\"小米\",\"type\":\"手机品牌\",\"value\":2300879},{\"name\":\"oppo\",\"type\":\"手机品牌\",\"value\":5400879},{\"name\":\"vivo\",\"type\":\"手机品牌\",\"value\":3400879}],\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#5470c6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207750316032', NULL, '750938006131638272', NULL, 'JStackBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"background\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"堆叠柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207758704640', NULL, '750938006131638272', NULL, 'JDynamicBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":131,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":141,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":31.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":53,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":41.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":61,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":17,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":19,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":113,\\\"type\\\":\\\"Lon\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"text\":\"动态柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207771287552', NULL, '750938006131638272', NULL, 'JMultipleBar', '{\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"多数据对比柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('897716207779676160', NULL, '750938006131638272', NULL, 'JNegativeBar', '{\"chartData\":\"[{\\\"name\\\":\\\"周一\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":170,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":240,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":244,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":200,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":220,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":210,\\\"type\\\":\\\"利润\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":320,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":302,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":341,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":374,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":390,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":450,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":420,\\\"type\\\":\\\"收入\\\"},{\\\"name\\\":\\\"周一\\\",\\\"value\\\":-120,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周二\\\",\\\"value\\\":-132,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周三\\\",\\\"value\\\":-101,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周四\\\",\\\"value\\\":-134,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周五\\\",\\\"value\\\":-190,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周六\\\",\\\"value\\\":-230,\\\"type\\\":\\\"支出\\\"},{\\\"name\\\":\\\"周日\\\",\\\"value\\\":-210,\\\"type\\\":\\\"支出\\\"}]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"height\":420},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"xAxis\":{\"type\":\"value\"},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"正负条形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', NULL, '2023-12-21 15:30:33', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022685032448', NULL, '874452016289599488', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"date\",\"filed\":\"维度\"},{\"mapping\":\"num\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"查询系统日志\",\"query\":[],\"dataSetApi\":\"select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":300},\"dataSetId\":\"874452378731991040\",\"fieldOption\":[{\"label\":\"date\",\"text\":\"date\",\"value\":\"date\"},{\"label\":\"num\",\"text\":\"num\",\"value\":\"num\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022726975488', NULL, '874452016289599488', NULL, 'JPie', '{\"chartData\":[{\"name\":\"vivo\",\"value\":1048},{\"name\":\"oppo\",\"value\":735},{\"name\":\"苹果\",\"value\":580},{\"name\":\"小米\",\"value\":484},{\"name\":\"三星\",\"value\":300}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022743752704', NULL, '874452016289599488', NULL, 'JMultipleBar', '{\"chartData\":[{\"name\":\"1991\",\"type\":\"Lon\",\"value\":3},{\"name\":\"1992\",\"type\":\"Lon\",\"value\":4},{\"name\":\"1993\",\"type\":\"Lon\",\"value\":3.5},{\"name\":\"1994\",\"type\":\"Lon\",\"value\":5},{\"name\":\"1995\",\"type\":\"Lon\",\"value\":4.9},{\"name\":\"1996\",\"type\":\"Lon\",\"value\":6},{\"name\":\"1997\",\"type\":\"Lon\",\"value\":7},{\"name\":\"1998\",\"type\":\"Lon\",\"value\":9},{\"name\":\"1999\",\"type\":\"Lon\",\"value\":13},{\"name\":\"1991\",\"type\":\"Bor\",\"value\":3},{\"name\":\"1992\",\"type\":\"Bor\",\"value\":4},{\"name\":\"1993\",\"type\":\"Bor\",\"value\":3.5},{\"name\":\"1994\",\"type\":\"Bor\",\"value\":5},{\"name\":\"1995\",\"type\":\"Bor\",\"value\":4.9},{\"name\":\"1996\",\"type\":\"Bor\",\"value\":6},{\"name\":\"1997\",\"type\":\"Bor\",\"value\":7},{\"name\":\"1998\",\"type\":\"Bor\",\"value\":9},{\"name\":\"1999\",\"type\":\"Bor\",\"value\":13}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"多数据对比柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022756335616', NULL, '874452016289599488', NULL, 'JPictorialBar', '{\"chartData\":[{\"symbol\":\"path://M-22.788,24.521c2.08-0.986,3.611-3.905,4.984-5.892 c-2.686,2.782-5.047,5.884-9.102,7.312c-0.992,0.005-0.25-2.016,0.34-2.362l1.852-0.41c0.564-0.218,0.785-0.842,0.902-1.347 c2.133-0.727,4.91-4.129,6.031-6.194c1.748-0.7,4.443-0.679,5.734-2.293c1.176-1.468,0.393-3.992,1.215-6.557 c0.24-0.754,0.574-1.581,1.008-2.293c-0.611,0.011-1.348-0.061-1.959-0.608c-1.391-1.245-0.785-2.086-1.297-3.313 c1.684,0.744,2.5,2.584,4.426,2.586C-8.46,3.012-8.255,2.901-8.04,2.824c6.031-1.952,15.182-0.165,19.498-3.937 c1.15-3.933-1.24-9.846-1.229-9.938c0.008-0.062-1.314-0.004-1.803-0.258c-1.119-0.771-6.531-3.75-0.17-3.33 c0.314-0.045,0.943,0.259,1.439,0.435c-0.289-1.694-0.92-0.144-3.311-1.946c0,0-1.1-0.855-1.764-1.98 c-0.836-1.09-2.01-2.825-2.992-4.031c-1.523-2.476,1.367,0.709,1.816,1.108c1.768,1.704,1.844,3.281,3.232,3.983 c0.195,0.203,1.453,0.164,0.926-0.468c-0.525-0.632-1.367-1.278-1.775-2.341c-0.293-0.703-1.311-2.326-1.566-2.711 c-0.256-0.384-0.959-1.718-1.67-2.351c-1.047-1.187-0.268-0.902,0.521-0.07c0.789,0.834,1.537,1.821,1.672,2.023 c0.135,0.203,1.584,2.521,1.725,2.387c0.102-0.259-0.035-0.428-0.158-0.852c-0.125-0.423-0.912-2.032-0.961-2.083 c-0.357-0.852-0.566-1.908-0.598-3.333c0.4-2.375,0.648-2.486,0.549-0.705c0.014,1.143,0.031,2.215,0.602,3.247 c0.807,1.496,1.764,4.064,1.836,4.474c0.561,3.176,2.904,1.749,2.281-0.126c-0.068-0.446-0.109-2.014-0.287-2.862 c-0.18-0.849-0.219-1.688-0.113-3.056c0.066-1.389,0.232-2.055,0.277-2.299c0.285-1.023,0.4-1.088,0.408,0.135 c-0.059,0.399-0.131,1.687-0.125,2.655c0.064,0.642-0.043,1.768,0.172,2.486c0.654,1.928-0.027,3.496,1,3.514 c1.805-0.424,2.428-1.218,2.428-2.346c-0.086-0.704-0.121-0.843-0.031-1.193c0.221-0.568,0.359-0.67,0.312-0.076 c-0.055,0.287,0.031,0.533,0.082,0.794c0.264,1.197,0.912,0.114,1.283-0.782c0.15-0.238,0.539-2.154,0.545-2.522 c-0.023-0.617,0.285-0.645,0.309,0.01c0.064,0.422-0.248,2.646-0.205,2.334c-0.338,1.24-1.105,3.402-3.379,4.712 c-0.389,0.12-1.186,1.286-3.328,2.178c0,0,1.729,0.321,3.156,0.246c1.102-0.19,3.707-0.027,4.654,0.269 c1.752,0.494,1.531-0.053,4.084,0.164c2.26-0.4,2.154,2.391-1.496,3.68c-2.549,1.405-3.107,1.475-2.293,2.984 c3.484,7.906,2.865,13.183,2.193,16.466c2.41,0.271,5.732-0.62,7.301,0.725c0.506,0.333,0.648,1.866-0.457,2.86 c-4.105,2.745-9.283,7.022-13.904,7.662c-0.977-0.194,0.156-2.025,0.803-2.247l1.898-0.03c0.596-0.101,0.936-0.669,1.152-1.139 c3.16-0.404,5.045-3.775,8.246-4.818c-4.035-0.718-9.588,3.981-12.162,1.051c-5.043,1.423-11.449,1.84-15.895,1.111 c-3.105,2.687-7.934,4.021-12.115,5.866c-3.271,3.511-5.188,8.086-9.967,10.414c-0.986,0.119-0.48-1.974,0.066-2.385l1.795-0.618 C-22.995,25.682-22.849,25.035-22.788,24.521z\",\"symbolSize\":[60,60],\"name\":\"驯鹿\",\"value\":123},{\"symbol\":\"path://M1.112,32.559l2.998,1.205l-2.882,2.268l-2.215-0.012L1.112,32.559z M37.803,23.96 c0.158-0.838,0.5-1.509,0.961-1.904c-0.096-0.037-0.205-0.071-0.344-0.071c-0.777-0.005-2.068-0.009-3.047-0.009 c-0.633,0-1.217,0.066-1.754,0.18l2.199,1.804H37.803z M39.738,23.036c-0.111,0-0.377,0.325-0.537,0.924h1.076 C40.115,23.361,39.854,23.036,39.738,23.036z M39.934,39.867c-0.166,0-0.674,0.705-0.674,1.986s0.506,1.986,0.674,1.986 s0.672-0.705,0.672-1.986S40.102,39.867,39.934,39.867z M38.963,38.889c-0.098-0.038-0.209-0.07-0.348-0.073 c-0.082,0-0.174,0-0.268-0.001l-7.127,4.671c0.879,0.821,2.42,1.417,4.348,1.417c0.979,0,2.27-0.006,3.047-0.01 c0.139,0,0.25-0.034,0.348-0.072c-0.646-0.555-1.07-1.643-1.07-2.967C37.891,40.529,38.316,39.441,38.963,38.889z M32.713,23.96 l-12.37-10.116l-4.693-0.004c0,0,4,8.222,4.827,10.121H32.713z M59.311,32.374c-0.248,2.104-5.305,3.172-8.018,3.172H39.629 l-25.325,16.61L9.607,52.16c0,0,6.687-8.479,7.95-10.207c1.17-1.6,3.019-3.699,3.027-6.407h-2.138 c-5.839,0-13.816-3.789-18.472-5.583c-2.818-1.085-2.396-4.04-0.031-4.04h0.039l-3.299-11.371h3.617c0,0,4.352,5.696,5.846,7.5 c2,2.416,4.503,3.678,8.228,3.87h30.727c2.17,0,4.311,0.417,6.252,1.046c3.49,1.175,5.863,2.7,7.199,4.027 C59.145,31.584,59.352,32.025,59.311,32.374z M22.069,30.408c0-0.815-0.661-1.475-1.469-1.475c-0.812,0-1.471,0.66-1.471,1.475 s0.658,1.475,1.471,1.475C21.408,31.883,22.069,31.224,22.069,30.408z M27.06,30.408c0-0.815-0.656-1.478-1.466-1.478 c-0.812,0-1.471,0.662-1.471,1.478s0.658,1.477,1.471,1.477C26.404,31.885,27.06,31.224,27.06,30.408z M32.055,30.408 c0-0.815-0.66-1.475-1.469-1.475c-0.808,0-1.466,0.66-1.466,1.475s0.658,1.475,1.466,1.475 C31.398,31.883,32.055,31.224,32.055,30.408z M37.049,30.408c0-0.815-0.658-1.478-1.467-1.478c-0.812,0-1.469,0.662-1.469,1.478 s0.656,1.477,1.469,1.477C36.389,31.885,37.049,31.224,37.049,30.408z M42.039,30.408c0-0.815-0.656-1.478-1.465-1.478 c-0.811,0-1.469,0.662-1.469,1.478s0.658,1.477,1.469,1.477C41.383,31.885,42.039,31.224,42.039,30.408z M55.479,30.565 c-0.701-0.436-1.568-0.896-2.627-1.347c-0.613,0.289-1.551,0.476-2.73,0.476c-1.527,0-1.639,2.263,0.164,2.316 C52.389,32.074,54.627,31.373,55.479,30.565z\",\"symbolSize\":[65,35],\"name\":\"飞机\",\"value\":60},{\"symbol\":\"path://M-244.396,44.399c0,0,0.47-2.931-2.427-6.512c2.819-8.221,3.21-15.709,3.21-15.709s5.795,1.383,5.795,7.325C-237.818,39.679-244.396,44.399-244.396,44.399z M-260.371,40.827c0,0-3.881-12.946-3.881-18.319c0-2.416,0.262-4.566,0.669-6.517h17.684c0.411,1.952,0.675,4.104,0.675,6.519c0,5.291-3.87,18.317-3.87,18.317H-260.371z M-254.745,18.951c-1.99,0-3.603,1.676-3.603,3.744c0,2.068,1.612,3.744,3.603,3.744c1.988,0,3.602-1.676,3.602-3.744S-252.757,18.951-254.745,18.951z M-255.521,2.228v-5.098h1.402v4.969c1.603,1.213,5.941,5.069,7.901,12.5h-17.05C-261.373,7.373-257.245,3.558-255.521,2.228zM-265.07,44.399c0,0-6.577-4.721-6.577-14.896c0-5.942,5.794-7.325,5.794-7.325s0.393,7.488,3.211,15.708C-265.539,41.469-265.07,44.399-265.07,44.399z M-252.36,45.15l-1.176-1.22L-254.789,48l-1.487-4.069l-1.019,2.116l-1.488-3.826h8.067L-252.36,45.15z\",\"symbolSize\":[50,60],\"name\":\"火箭\",\"value\":25},{\"symbol\":\"path://M67.335,33.596L67.335,33.596c-0.002-1.39-1.153-3.183-3.328-4.218h-9.096v-2.07h5.371 c-4.939-2.07-11.199-4.141-14.89-4.141H19.72v12.421v5.176h38.373c4.033,0,8.457-1.035,9.142-5.176h-0.027 c0.076-0.367,0.129-0.751,0.129-1.165L67.335,33.596L67.335,33.596z M27.999,30.413h-3.105v-4.141h3.105V30.413z M35.245,30.413 h-3.104v-4.141h3.104V30.413z M42.491,30.413h-3.104v-4.141h3.104V30.413z M49.736,30.413h-3.104v-4.141h3.104V30.413z  M14.544,40.764c1.143,0,2.07-0.927,2.07-2.07V35.59V25.237c0-1.145-0.928-2.07-2.07-2.07H-9.265c-1.143,0-2.068,0.926-2.068,2.07 v10.351v3.105c0,1.144,0.926,2.07,2.068,2.07H14.544L14.544,40.764z M8.333,26.272h3.105v4.141H8.333V26.272z M1.087,26.272h3.105 v4.141H1.087V26.272z M-6.159,26.272h3.105v4.141h-3.105V26.272z M-9.265,41.798h69.352v1.035H-9.265V41.798z\",\"symbolSize\":[50,30],\"name\":\"高铁\",\"value\":18},{\"symbol\":\"path://M16.678,17.086h9.854l-2.703,5.912c5.596,2.428,11.155,5.575,16.711,8.607c3.387,1.847,6.967,3.75,10.541,5.375 v-6.16l-4.197-2.763v-5.318L33.064,12.197h-11.48L20.43,15.24h-4.533l-1.266,3.286l0.781,0.345L16.678,17.086z M49.6,31.84 l0.047,1.273L27.438,20.998l0.799-1.734L49.6,31.84z M33.031,15.1l12.889,8.82l0.027,0.769L32.551,16.1L33.031,15.1z M22.377,14.045 h9.846l-1.539,3.365l-2.287-1.498h1.371l0.721-1.352h-2.023l-0.553,1.037l-0.541-0.357h-0.34l0.359-0.684h-2.025l-0.361,0.684 h-3.473L22.377,14.045z M23.695,20.678l-0.004,0.004h0.004V20.678z M24.828,18.199h-2.031l-0.719,1.358h2.029L24.828,18.199z  M40.385,34.227c-12.85-7.009-25.729-14.667-38.971-12.527c1.26,8.809,9.08,16.201,8.213,24.328 c-0.553,4.062-3.111,0.828-3.303,7.137c15.799,0,32.379,0,48.166,0l0.066-4.195l1.477-7.23 C50.842,39.812,45.393,36.961,40.385,34.227z M13.99,35.954c-1.213,0-2.195-1.353-2.195-3.035c0-1.665,0.98-3.017,2.195-3.017 c1.219,0,2.195,1.352,2.195,3.017C16.186,34.604,15.213,35.954,13.99,35.954z M23.691,20.682h-2.02l-0.588,1.351h2.023 L23.691,20.682z M19.697,18.199l-0.721,1.358h2.025l0.727-1.358H19.697z\",\"symbolSize\":[50,35],\"name\":\"轮船\",\"value\":12},{\"symbol\":\"path://M49.592,40.883c-0.053,0.354-0.139,0.697-0.268,0.963c-0.232,0.475-0.455,0.519-1.334,0.475 c-1.135-0.053-2.764,0-4.484,0.068c0,0.476,0.018,0.697,0.018,0.697c0.111,1.299,0.697,1.342,0.931,1.342h3.7 c0.326,0,0.628,0,0.861-0.154c0.301-0.196,0.43-0.772,0.543-1.78c0.017-0.146,0.025-0.336,0.033-0.56v-0.01 c0-0.068,0.008-0.154,0.008-0.25V41.58l0,0C49.6,41.348,49.6,41.09,49.592,40.883L49.592,40.883z M6.057,40.883 c0.053,0.354,0.137,0.697,0.268,0.963c0.23,0.475,0.455,0.519,1.334,0.475c1.137-0.053,2.762,0,4.484,0.068 c0,0.476-0.018,0.697-0.018,0.697c-0.111,1.299-0.697,1.342-0.93,1.342h-3.7c-0.328,0-0.602,0-0.861-0.154 c-0.309-0.18-0.43-0.772-0.541-1.78c-0.018-0.146-0.027-0.336-0.035-0.56v-0.01c0-0.068-0.008-0.154-0.008-0.25V41.58l0,0 C6.057,41.348,6.057,41.09,6.057,40.883L6.057,40.883z M49.867,32.766c0-2.642-0.344-5.224-0.482-5.507 c-0.104-0.207-0.766-0.749-2.271-1.773c-1.522-1.042-1.487-0.887-1.766-1.566c0.25-0.078,0.492-0.224,0.639-0.241 c0.326-0.034,0.345,0.274,1.023,0.274c0.68,0,2.152-0.18,2.453-0.48c0.301-0.303,0.396-0.405,0.396-0.672 c0-0.268-0.156-0.818-0.447-1.146c-0.293-0.327-1.541-0.49-2.273-0.585c-0.729-0.095-0.834,0-1.022,0.121 c-0.304,0.189-0.32,1.919-0.32,1.919l-0.713,0.018c-0.465-1.146-1.11-3.452-2.117-5.269c-1.103-1.979-2.256-2.599-2.737-2.754 c-0.474-0.146-0.904-0.249-4.131-0.576c-3.298-0.344-5.922-0.388-8.262-0.388c-2.342,0-4.967,0.052-8.264,0.388 c-3.229,0.336-3.66,0.43-4.133,0.576s-1.633,0.775-2.736,2.754c-1.006,1.816-1.652,4.123-2.117,5.269L9.87,23.109 c0,0-0.008-1.729-0.318-1.919c-0.189-0.121-0.293-0.225-1.023-0.121c-0.732,0.104-1.98,0.258-2.273,0.585 c-0.293,0.327-0.447,0.878-0.447,1.146c0,0.267,0.094,0.379,0.396,0.672c0.301,0.301,1.773,0.48,2.453,0.48 c0.68,0,0.697-0.309,1.023-0.274c0.146,0.018,0.396,0.163,0.637,0.241c-0.283,0.68-0.24,0.524-1.764,1.566 c-1.506,1.033-2.178,1.566-2.271,1.773c-0.139,0.283-0.482,2.865-0.482,5.508s0.189,5.02,0.189,5.86c0,0.354,0,0.976,0.076,1.565 c0.053,0.354,0.129,0.697,0.268,0.966c0.232,0.473,0.447,0.516,1.334,0.473c1.137-0.051,2.779,0,4.477,0.07 c1.135,0.043,2.297,0.086,3.33,0.11c2.582,0.051,1.826-0.379,2.928-0.36c1.102,0.016,5.447,0.196,9.424,0.196 c3.976,0,8.332-0.182,9.423-0.196c1.102-0.019,0.346,0.411,2.926,0.36c1.033-0.018,2.195-0.067,3.332-0.11 c1.695-0.062,3.348-0.121,4.477-0.07c0.886,0.043,1.103,0,1.332-0.473c0.132-0.269,0.218-0.611,0.269-0.966 c0.086-0.592,0.078-1.213,0.078-1.565C49.678,37.793,49.867,35.408,49.867,32.766L49.867,32.766z M13.219,19.735 c0.412-0.964,1.652-2.9,2.256-3.244c0.145-0.087,1.426-0.491,4.637-0.706c2.953-0.198,6.217-0.276,7.73-0.276 c1.513,0,4.777,0.078,7.729,0.276c3.201,0.215,4.502,0.611,4.639,0.706c0.775,0.533,1.842,2.28,2.256,3.244 c0.412,0.965,0.965,2.858,0.861,3.116c-0.104,0.258,0.104,0.388-1.291,0.275c-1.387-0.103-10.088-0.216-14.185-0.216 c-4.088,0-12.789,0.113-14.184,0.216c-1.395,0.104-1.188-0.018-1.291-0.275C12.254,22.593,12.805,20.708,13.219,19.735 L13.219,19.735z M16.385,30.511c-0.619,0.155-0.988,0.491-1.764,0.482c-0.775,0-2.867-0.353-3.314-0.371 c-0.447-0.017-0.842,0.302-1.076,0.362c-0.23,0.06-0.688-0.104-1.377-0.318c-0.688-0.216-1.092-0.155-1.316-1.094 c-0.232-0.93,0-2.264,0-2.264c1.488-0.068,2.928,0.069,5.621,0.826c2.693,0.758,4.191,2.213,4.191,2.213 S17.004,30.357,16.385,30.511L16.385,30.511z M36.629,37.293c-1.23,0.164-6.386,0.207-8.794,0.207c-2.412,0-7.566-0.051-8.799-0.207 c-1.256-0.164-2.891-1.67-1.764-2.865c1.523-1.627,1.24-1.576,4.701-2.023C24.967,32.018,27.239,32,27.834,32 c0.584,0,2.865,0.025,5.859,0.404c3.461,0.447,3.178,0.396,4.699,2.022C39.521,35.623,37.887,37.129,36.629,37.293L36.629,37.293z  M48.129,29.582c-0.232,0.93-0.629,0.878-1.318,1.093c-0.688,0.216-1.145,0.371-1.377,0.319c-0.231-0.053-0.627-0.371-1.074-0.361 c-0.448,0.018-2.539,0.37-3.313,0.37c-0.772,0-1.146-0.328-1.764-0.481c-0.621-0.154-0.966-0.154-0.966-0.154 s1.49-1.464,4.191-2.213c2.693-0.758,4.131-0.895,5.621-0.826C48.129,27.309,48.361,28.643,48.129,29.582L48.129,29.582z\",\"symbolSize\":[40,30],\"name\":\"汽车\",\"value\":9},{\"symbol\":\"path://M13.676,32.955c0.919-0.031,1.843-0.008,2.767-0.008v0.007c0.827,0,1.659,0.041,2.486-0.019 c0.417-0.028,1.118,0.325,1.14-0.545c0.014-0.637-0.156-1.279-0.873-1.367c-1.919-0.241-3.858-0.233-5.774,0.019 c-0.465,0.062-0.998,0.442-0.832,1.069C12.715,32.602,13.045,32.977,13.676,32.955z M14.108,29.013 c1.47-0.007,2.96-0.122,4.414,0.035c1.792,0.192,3.1-0.412,4.273-2.105c-3.044,0-5.882,0.014-8.719-0.01 c-0.768-0.005-1.495,0.118-1.461,1C12.642,28.731,13.329,29.014,14.108,29.013z M23.678,36.593c-0.666-0.69-1.258-1.497-2.483-1.448 c-2.341,0.095-4.689,0.051-7.035,0.012c-0.834-0.014-1.599,0.177-1.569,1.066c0.031,0.854,0.812,1.062,1.636,1.043 c1.425-0.033,2.852-0.01,4.278-0.01v-0.01c1.562,0,3.126,0.008,4.691-0.005C23.614,37.239,24.233,37.174,23.678,36.593z  M32.234,42.292h-0.002c-1.075,0.793-2.589,0.345-3.821,1.048c-0.359,0.193-0.663,0.465-0.899,0.799 c-1.068,1.623-2.052,3.301-3.117,4.928c-0.625,0.961-0.386,1.805,0.409,2.395c0.844,0.628,1.874,0.617,2.548-0.299 c1.912-2.573,3.761-5.197,5.621-7.814C33.484,42.619,33.032,42.387,32.234,42.292z M43.527,28.401 c-0.688-1.575-2.012-0.831-3.121-0.895c-1.047-0.058-2.119,1.128-3.002,0.345c-0.768-0.677-1.213-1.804-1.562-2.813 c-0.45-1.305-1.495-2.225-2.329-3.583c2.953,1.139,4.729,0.077,5.592-1.322c0.99-1.61,0.718-3.725-0.627-4.967 c-1.362-1.255-3.414-1.445-4.927-0.452c-1.933,1.268-2.206,2.893-0.899,6.11c-2.098-0.659-3.835-1.654-5.682-2.383 c-0.735-0.291-1.437-1.017-2.293-0.666c-2.263,0.927-4.522,1.885-6.723,2.95c-1.357,0.658-1.649,1.593-1.076,2.638 c0.462,0.851,1.643,1.126,2.806,0.617c0.993-0.433,1.994-0.857,2.951-1.374c1.599-0.86,3.044-0.873,4.604,0.214 c1.017,0.707,0.873,1.137,0.123,1.849c-1.701,1.615-3.516,3.12-4.933,5.006c-1.042,1.388-0.993,2.817,0.255,4.011 c1.538,1.471,3.148,2.869,4.708,4.315c0.485,0.444,0.907,0.896-0.227,1.104c-1.523,0.285-3.021,0.694-4.538,1.006 c-1.109,0.225-2.02,1.259-1.83,2.16c0.223,1.07,1.548,1.756,2.687,1.487c3.003-0.712,6.008-1.413,9.032-2.044 c1.549-0.324,2.273-1.869,1.344-3.115c-0.868-1.156-1.801-2.267-2.639-3.445c-1.964-2.762-1.95-2.771,0.528-5.189 c1.394-1.357,1.379-1.351,2.437,0.417c0.461,0.769,0.854,1.703,1.99,1.613c2.238-0.181,4.407-0.755,6.564-1.331 C43.557,30.447,43.88,29.206,43.527,28.401z\",\"symbolSize\":[50,50],\"name\":\"跑步\",\"value\":2},{\"symbol\":\"path://M29.902,23.275c1.86,0,3.368-1.506,3.368-3.365c0-1.859-1.508-3.365-3.368-3.365 c-1.857,0-3.365,1.506-3.365,3.365C26.537,21.769,28.045,23.275,29.902,23.275z M36.867,30.74c-1.666-0.467-3.799-1.6-4.732-4.199 c-0.932-2.6-3.131-2.998-4.797-2.998s-7.098,3.894-7.098,3.894c-1.133,1.001-2.1,6.502-0.967,6.769 c1.133,0.269,1.266-1.533,1.934-3.599c0.666-2.065,3.797-3.466,3.797-3.466s0.201,2.467-0.398,3.866 c-0.599,1.399-1.133,2.866-1.467,6.198s-1.6,3.665-3.799,6.266c-2.199,2.598-0.6,3.797,0.398,3.664 c1.002-0.133,5.865-5.598,6.398-6.998c0.533-1.397,0.668-3.732,0.668-3.732s0,0,2.199,1.867c2.199,1.865,2.332,4.6,2.998,7.73 s2.332,0.934,2.332-0.467c0-1.401,0.269-5.465-1-7.064c-1.265-1.6-3.73-3.465-3.73-5.265s1.199-3.732,1.199-3.732 c0.332,1.667,3.335,3.065,5.599,3.399C38.668,33.206,38.533,31.207,36.867,30.74z\",\"symbolSize\":[40,50],\"name\":\"步行\",\"value\":1}],\"size\":{\"height\":300},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/pictogram\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"象形柱图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022773112832', NULL, '874452016289599488', NULL, 'JQuickNav', '{\"chartData\":[{\"color\":\"#1fdaca\",\"icon\":\"icon-jeecg-homepage\",\"title\":\"首页\"},{\"color\":\"#bf0c2c\",\"icon\":\"icon-jeecg-shijian\",\"title\":\"仪表盘\"},{\"color\":\"#e18525\",\"icon\":\"icon-jeecg-dangan\",\"title\":\"组件\"},{\"color\":\"#3fb27f\",\"icon\":\"icon-jeecg-shezhi\",\"title\":\"系统管理\"},{\"color\":\"#4daf1bc9\",\"icon\":\"icon-jeecg-yuechi\",\"title\":\"权限管理\"},{\"color\":\"#00d8ff\",\"icon\":\"icon-jeecg-fujin\",\"title\":\"图表\"}],\"size\":{\"height\":260},\"w\":12,\"dataType\":1,\"h\":26,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":-1,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":30},\"body\":{\"textAlign\":\"center\",\"column\":3,\"iconAlign\":\"top\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"快捷导航\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('902166022789890048', NULL, '874452016289599488', NULL, 'JGrowCard', '{\"chartData\":[{\"total\":120000,\"color\":\"green\",\"prefix\":\"$\",\"icon\":\"icon-jeecg-qianbao\",\"action\":\"月\",\"title\":\"访问数\",\"value\":2000},{\"total\":500000,\"color\":\"blue\",\"prefix\":\"$\",\"icon\":\"icon-jeecg-youhuiquan\",\"action\":\"月\",\"title\":\"成交额\",\"value\":20000},{\"total\":120000,\"color\":\"orange\",\"prefix\":\"$\",\"icon\":\"icon-jeecg-tupian\",\"action\":\"周\",\"title\":\"下载数\",\"value\":8000},{\"total\":50000,\"color\":\"purple\",\"prefix\":\"$\",\"icon\":\"icon-jeecg-jifen\",\"action\":\"年\",\"title\":\"成交数\",\"value\":5000}],\"size\":{\"height\":190},\"w\":12,\"dataType\":1,\"h\":19,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":6},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-02 22:12:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596825595904', NULL, '910820508471705600', NULL, 'JText', '{\"chartData\":\"某 连 锁 饮 品 销 售\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1132,\"height\":100},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"textAlign\":\"center\",\"fontSize\":40,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":18,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596863344640', NULL, '910820508471705600', NULL, 'JForm', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":675,\"height\":100},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":12,\"linkageConfig\":[{\"linkageId\":\"0efe3637-39ac-4f2e-82f4-e09540ee332a\",\"linkage\":[]},{\"linkageId\":\"2db8c9de-9f8b-49f8-8d7a-6b3166de0ed5\",\"linkage\":[]},{\"linkageId\":\"6f773617-eca8-4598-8260-dc701cc16e8b\",\"linkage\":[]},{\"linkageId\":\"868c63d3-cfc2-4e49-a1c5-6ee0418fd303\",\"linkage\":[]},{\"linkageId\":\"35a7308b-0482-48c8-8e46-ed50cfb67961\",\"linkage\":[]},{\"linkageId\":\"cd981a55-258c-48cd-8e92-742185a711a3\",\"linkage\":[]},{\"linkageId\":\"715ebf76-9228-4b2e-8ab7-dcb351c2ff03\",\"linkage\":[]},{\"linkageId\":\"2323a8fb-42ff-4a23-9b13-8f4f514dafb5\",\"linkage\":[]},{\"linkageId\":\"0b68bd42-a0e9-48f8-9a7b-794ba9ebf8cf\",\"linkage\":[]},{\"linkageId\":\"5130130f-6076-45b1-8977-d9b5a4c894fc\",\"linkage\":[]},{\"linkageId\":\"82016a70-aa98-42cb-b205-c14e5e212cf8\",\"linkage\":[]}],\"timeOut\":-1,\"option\":{\"fields\":[{\"fieldName\":\"date\",\"dictCode\":\"\",\"dateFormat\":\"YYYY-MM\",\"fieldTxt\":\"日期\",\"defaultValue\":\"2024-01\",\"searchMode\":\"single\",\"orderNum\":\"\",\"action\":\"\",\"id\":\"rowa82899dc-1e6b-47a1-acd8-ba2fb6f5df02\",\"izSearch\":\"1\",\"widgetType\":\"date\"}],\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596892704768', NULL, '910820508471705600', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"图标\"},{\"mapping\":\"value\",\"filed\":\"数值\"},{\"mapping\":\"\",\"filed\":\"总计\"},{\"mapping\":\"\",\"filed\":\"前缀\"},{\"mapping\":\"color\",\"filed\":\"颜色\"},{\"mapping\":\"action\",\"filed\":\"单位\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销量额\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesVolume\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[  {    \\\"title\\\": \\\"访问数\\\",    \\\"icon\\\": \\\"icon-jeecg-qianbao\\\",    \\\"value\\\": 2000,    \\\"total\\\": 120000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"green\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"成交额\\\",    \\\"icon\\\": \\\"icon-jeecg-youhuiquan\\\",    \\\"value\\\": 20000,    \\\"total\\\": 500000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"blue\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"下载数\\\",    \\\"icon\\\": \\\"icon-jeecg-tupian\\\",    \\\"value\\\": 8000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 120000,    \\\"color\\\": \\\"orange\\\",    \\\"action\\\": \\\"周\\\"  },  {    \\\"title\\\": \\\"成交数\\\",    \\\"icon\\\": \\\"icon-jeecg-jifen\\\",    \\\"value\\\": 5000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 50000,    \\\"color\\\": \\\"purple\\\",    \\\"action\\\": \\\"年\\\"  }]\",\"size\":{\"width\":1817,\"height\":320},\"dataSetId\":\"911792028287287296\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"action\",\"text\":\"action\",\"value\":\"action\"},{\"label\":\"color\",\"text\":\"color\",\"value\":\"color\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":6,\"vertical\":4,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596913676288', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销售量分店\\t\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=topSellingBranch\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"911836343134896128\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#F3EFF0\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#F9B632\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FF9736\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量分店（新洲店）\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596930453504', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量品线\\t\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesLine\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":166},\"dataSetId\":\"911836426450550784\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#E9F2FF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#547BFE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#547BFE\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量品线（醇香奶茶）\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596951425024', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量单品\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=highestSellingItem\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":166},\"dataSetId\":\"911836535531814912\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#EDFAFE\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#44C8F3\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#44C8F3\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量单品（珍珠奶茶）\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596972396544', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量规格\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=maximumSalesSpecs\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"911836717715603456\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#F2FCF7\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#58DC92\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#9EFFB6\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量规格（磨砂）\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854596984979456', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售额走势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesTrend\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":243},\"dataSetId\":\"911836839023263744\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"},\"show\":false},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":true},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#FBE1C2\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":178,\"bottom\":157,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"销售金额（元）\",\"left\":10,\"text\":\"销售额走势\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854597001756672', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销量走势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesTendency\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":232},\"dataSetId\":\"911836922162757632\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#D7EBFB\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":71,\"bottom\":62,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"销售数量（杯）\",\"left\":1,\"text\":\"销量走势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854597022728192', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"原料支出趋势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=expenditureTrends\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":221},\"dataSetId\":\"911845934736392192\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#D5DFFE\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":54,\"bottom\":61,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"支出费用（元）\",\"left\":10,\"text\":\"原料支出趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854597043699712', NULL, '910820508471705600', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"订单销售量\\t\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=orderSalesVolume\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":827,\"height\":353},\"dataSetId\":\"911837008343121920\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":48,\"bottom\":60,\"show\":false},\"series\":[{\"barWidth\":0,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#85C6F3\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"订单销售量\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854597064671232', NULL, '910820508471705600', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"店铺销售额排名\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesRanking\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":447,\"height\":353},\"dataSetId\":\"911837091507781632\",\"fieldOption\":[{\"label\":\"店铺\",\"text\":\"店铺\",\"value\":\"name\"},{\"label\":\"销售金额（元）\",\"text\":\"销售金额（元）\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"店铺\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"销售金额（元）\"}],\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911854597085642752', NULL, '910820508471705600', NULL, 'JRing', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\" 冷热占比\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=coldAndHostProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":353},\"dataSetId\":\"911837168896884736\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"top\":1,\"show\":true,\"text\":\"冷热占比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-29 15:51:27', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295486226432', NULL, '910475721247866880', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"图标\"},{\"mapping\":\"value\",\"filed\":\"数值\"},{\"mapping\":\"\",\"filed\":\"总计\"},{\"mapping\":\"\",\"filed\":\"前缀\"},{\"mapping\":\"\",\"filed\":\"颜色\"},{\"mapping\":\"unit\",\"filed\":\"单位\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售状态\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=saleStatus\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"访问数\\\",\\\"icon\\\":\\\"icon-jeecg-qianbao\\\",\\\"value\\\":2000,\\\"total\\\":120000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"green\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"成交额\\\",\\\"icon\\\":\\\"icon-jeecg-youhuiquan\\\",\\\"value\\\":20000,\\\"total\\\":500000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"blue\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"下载数\\\",\\\"icon\\\":\\\"icon-jeecg-tupian\\\",\\\"value\\\":8000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":120000,\\\"color\\\":\\\"orange\\\",\\\"action\\\":\\\"周\\\"},{\\\"title\\\":\\\"成交数\\\",\\\"icon\\\":\\\"icon-jeecg-jifen\\\",\\\"value\\\":5000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":50000,\\\"color\\\":\\\"purple\\\",\\\"action\\\":\\\"年\\\"}]\",\"size\":{\"width\":599,\"height\":177},\"dataSetId\":\"910478592823574528\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"unit\",\"text\":\"unit\",\"value\":\"unit\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//atalicdncom/t/font_3237315_b3fqd960gltjs\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295511392256', NULL, '910475721247866880', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#f7f7f7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"paramOption\":[],\"dataSetName\":\"各地区订单与仓库情况\",\"activeKey\":1,\"chartData\":\"[{\\\"name\\\":\\\"北京\\\",\\\"value\\\":199},{\\\"name\\\":\\\"新疆\\\",\\\"value\\\":180},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":137},{\\\"name\\\":\\\"四川\\\",\\\"value\\\":125},{\\\"name\\\":\\\"黑龙江\\\",\\\"value\\\":123},{\\\"name\\\":\\\"广东\\\",\\\"value\\\":123},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":119},{\\\"name\\\":\\\"福建\\\",\\\"value\\\":116},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":116},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":114},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":114},{\\\"name\\\":\\\"安徽\\\",\\\"value\\\":109},{\\\"name\\\":\\\"河北\\\",\\\"value\\\":102},{\\\"name\\\":\\\"江苏\\\",\\\"value\\\":92},{\\\"name\\\":\\\"江西\\\",\\\"value\\\":91},{\\\"name\\\":\\\"重庆\\\",\\\"value\\\":91},{\\\"name\\\":\\\"云南\\\",\\\"value\\\":83},{\\\"name\\\":\\\"吉林\\\",\\\"value\\\":82},{\\\"name\\\":\\\"山西\\\",\\\"value\\\":81},{\\\"name\\\":\\\"陕西\\\",\\\"value\\\":80},{\\\"name\\\":\\\"辽宁\\\",\\\"value\\\":67},{\\\"name\\\":\\\"贵州\\\",\\\"value\\\":62},{\\\"name\\\":\\\"广西\\\",\\\"value\\\":59},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":56},{\\\"name\\\":\\\"内蒙古\\\",\\\"value\\\":47},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":42},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":24},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":18},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":14},{\\\"name\\\":\\\"青海\\\",\\\"value\\\":10},{\\\"name\\\":\\\"西藏\\\",\\\"value\\\":9}]\",\"fieldOption\":[{\"label\":\"仓库名称\",\"text\":\"仓库名称\",\"value\":\"warehouseName\"},{\"label\":\"仓库存量\",\"text\":\"仓库存量\",\"value\":\"warehouseCount\"},{\"label\":\"省份\",\"text\":\"省份\",\"value\":\"name\"},{\"label\":\"销售额\",\"text\":\"销售额\",\"value\":\"value\"}],\"seriesType\":[],\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"区域\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":2,\"query\":[],\"h\":50,\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=regionalOrders\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/radar\",\"timeOut\":0,\"size\":{\"width\":599,\"height\":452},\"dataSetId\":\"910695134387552256\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":80,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#a9a9a9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\"},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295532363776', NULL, '910475721247866880', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"各地区订单与仓库情况\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=regionalOrders\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":485},\"dataSetId\":\"910695134387552256\",\"fieldOption\":[{\"label\":\"仓库名称\",\"text\":\"仓库名称\",\"value\":\"warehouseName\"},{\"label\":\"仓库存量\",\"text\":\"仓库存量\",\"value\":\"warehouseCount\"},{\"label\":\"省份\",\"text\":\"省份\",\"value\":\"name\"},{\"label\":\"销售额\",\"text\":\"销售额\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"background\":\"#FFFFFF\",\"w\":24,\"dataNum\":\"0\",\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"warehouseName\",\"title\":\"仓库名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"warehouseCount\",\"title\":\"仓库存量\"},{\"izShow\":\"N\",\"dataIndex\":\"name\",\"title\":\"省份\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"销售额\"}]}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295557529600', NULL, '910475721247866880', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"季度目标完成\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=quarterlyFinish\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":375},\"dataSetId\":\"910708293282349056\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#1F70E0\",\"#F0F2FA\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 05)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":true,\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"季度目标完成\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295582695424', NULL, '910475721247866880', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":1,\"dataSetName\":\"季度目标完成\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=quarterlyFinish\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{  \\\"value\\\": 200}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"910708293282349056\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#1C6CDE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"季度销售额（万）\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295607861248', NULL, '910475721247866880', NULL, 'JNumber', '{\"chartData\":\"{  \\\"value\\\": \\\"39\\\"}\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":371,\"height\":188},\"background\":\"#FFFFFF\",\"w\":5,\"dataType\":1,\"h\":9,\"turnConfig\":{\"url\":\"\"},\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#1C6CDE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"同比增长（%）\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295633027072', NULL, '910475721247866880', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"品牌销售占比\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=brandSales\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":447,\"height\":375},\"dataSetId\":\"910721009699045376\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"left\":47,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":1},\"series\":[{\"data\":[],\"color\":[\"#0E52B0\",\"#118FF0\",\"#97CFFC\",\"#216DC4\",\"#60AEF7\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 05)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":true,\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"品牌销售占比\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295658192896', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售地区排行\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=areaRanking\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":309},\"dataSetId\":\"910732622212677632\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"销售额（万元）\",\"show\":true,\"text\":\"销售地区排行\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295683358720', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"品牌销售占比\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=brandSales\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":309},\"dataSetId\":\"910721009699045376\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"销售额（元）\",\"show\":true,\"text\":\"品牌销售情况\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295712718848', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"物流订单接收\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=logisticsOrder\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":430},\"dataSetId\":\"910737864308342784\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":24,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"接收订单（件）\",\"show\":true,\"text\":\"物流订单接收\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('911916295737884672', NULL, '910475721247866880', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"订单产生趋势\",\"query\":[],\"dataSetApi\":\"https://apijeecgcom/mock/51/commerceSalesOperations?type=generatingTrends\",\"drillData\":[],\"url\":\"http://apijeecgcom/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":430},\"dataSetId\":\"910740127152128000\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#428BEF\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64B5F6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"订单数（单）\",\"left\":10,\"text\":\"订单产生趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-29 19:56:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458363674624', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"产品销售数据仪表板\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4570F2\",\"textAlign\":\"center\",\"fontSize\":36,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":8,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458397229056', NULL, '911856216581914624', NULL, 'JRing', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月渠道销售\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":320},\"dataSetId\":\"911887596497977344\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":54,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\" 华东区、华中区为主要渠道销售区域。\",\"top\":1,\"show\":true,\"text\":\"本月渠道销售\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458418200576', NULL, '911856216581914624', NULL, 'JBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月代理商销售排行\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesRanking\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":371,\"height\":441},\"dataSetId\":\"911887691259887616\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"rotate\":3,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":69,\"left\":94,\"bottom\":58,\"show\":false},\"series\":[{\"barWidth\":17,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"本月代理商销售排行/元\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458439172096', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"本月销售额/元\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":21},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458464337920', NULL, '911856216581914624', NULL, 'JText', '{\"borderColor\":\"#DBEAFF\",\"paramOption\":[],\"dataType\":1,\"dataSetName\":\"本月产品销售\",\"query\":[],\"h\":12,\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"15,458,757\",\"size\":{\"width\":295,\"height\":45},\"dataSetId\":\"911889006916583424\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"w\":8,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"body\":{\"color\":\"#4D71FE\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":16},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458489503744', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"月环比 -50%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#34C874\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":21},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458514669568', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"今日销售额/元\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":18},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458535641088', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"657,554\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4D71FE\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":19},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458556612608', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"日环比 -12%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#34C874\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458577584128', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"今年目标销售额达成率\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":16},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458602749952', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"42%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":100},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4D71FE\",\"textAlign\":\"center\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":24,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458665664512', NULL, '911856216581914624', NULL, 'JLine', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"近七天销售额趋势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesTrend\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":904,\"height\":287},\"dataSetId\":\"911888632709169152\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"日销售额（元）\",\"left\":10,\"text\":\"近七天销售额趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\",\"fontWeight\":\"bold\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458686636032', NULL, '911856216581914624', NULL, 'JStackBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月重点城市的重点产品销售额\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesRevenue\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":904,\"height\":309},\"dataSetId\":\"911888715248877568\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#67BBFF\"},{\"color\":\"#9982FD\"},{\"color\":\"#62DDCC\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"本月重点城市的重点产品销售额/元\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":16}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458707607552', NULL, '911856216581914624', NULL, 'JRing', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月产品销售\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":523,\"height\":342},\"dataSetId\":\"911889006916583424\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":55,\"left\":47,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"t\":10},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"show\":true,\"text\":\" 产品3为主推产品产品2为近期上线产品。\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":14,\"fontWeight\":\"bold\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458736967680', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"本月产品销售\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":523,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":8,\"marginLeft\":21},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912194458757939200', NULL, '911856216581914624', NULL, 'JBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月产品小类销售排行\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=rankingCategorySales\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":523,\"height\":364},\"dataSetId\":\"911889086163763200\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":44,\"bottom\":62,\"show\":false},\"series\":[{\"barWidth\":16,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"\",\"show\":true,\"text\":\" 本月产品小类销售排行/元\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":14},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 14:21:56', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912281374207557632', NULL, '910475721247866880', NULL, 'JText', '{\"chartData\":\"某电商公司销售运营看板\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#0774F0\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":23,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:07:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338468331520', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"库存管理可视化大屏\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338501885952', NULL, '910394028067438592', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"库存管理-卡片\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryManagement\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[  {    \\\"title\\\": \\\"访问数\\\",    \\\"icon\\\": \\\"icon-jeecg-qianbao\\\",    \\\"value\\\": 2000,    \\\"total\\\": 120000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"green\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"成交额\\\",    \\\"icon\\\": \\\"icon-jeecg-youhuiquan\\\",    \\\"value\\\": 20000,    \\\"total\\\": 500000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"blue\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"下载数\\\",    \\\"icon\\\": \\\"icon-jeecg-tupian\\\",    \\\"value\\\": 8000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 120000,    \\\"color\\\": \\\"orange\\\",    \\\"action\\\": \\\"周\\\"  },  {    \\\"title\\\": \\\"成交数\\\",    \\\"icon\\\": \\\"icon-jeecg-jifen\\\",    \\\"value\\\": 5000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 50000,    \\\"color\\\": \\\"purple\\\",    \\\"action\\\": \\\"年\\\"  }]\",\"size\":{\"width\":1817,\"height\":331},\"dataSetId\":\"910406419257802752\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"action\",\"text\":\"action\",\"value\":\"action\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":7,\"color\":\"#000000\",\"vertical\":5,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338527051776', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"AIR 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338543828992', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"air库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=air\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"title\\\": \\\"通知一\\\",    \\\"date\\\": \\\"10000\\\"  },  {    \\\"title\\\": \\\"通知二\\\",    \\\"date\\\": \\\"20000\\\"  },  {    \\\"title\\\": \\\"通知三\\\",    \\\"date\\\": \\\"30000\\\"  },  {    \\\"title\\\": \\\"通知四\\\",    \\\"date\\\": \\\"40000\\\"  }]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910419343896526848\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338564800512', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"LITE 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338585772032', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"lite库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=lite\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910423953398874112\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338602549248', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"SUPER 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338615132160', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"super库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=super\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910425301976662016\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338640297984', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"ULTRA 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338661269504', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"ultra库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=ultra\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910427052079366144\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338678046720', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存占比情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=storkProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":751,\"height\":210},\"dataSetId\":\"910430104345690112\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"rotate\":0,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":50,\"left\":76,\"bottom\":67,\"show\":false,\"right\":3},\"series\":[{\"barWidth\":39,\"data\":[],\"color\":[\"#207B85\",\"#2C5E5A\",\"#36756E\"],\"itemStyle\":{\"color\":\"#009BA7\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"产品库存占比情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338699018240', NULL, '910394028067438592', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"仓库状态情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=warehouseStatus\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":675,\"height\":210},\"dataSetId\":\"910431120222896128\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#059DA8\",\"#62A69C\",\"#489C8F\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":false},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"show\":true,\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"仓库状态情况\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338711601152', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"当月出库情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=outbound\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":751,\"height\":232},\"dataSetId\":\"910435726206222336\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":48,\"left\":62,\"bottom\":62,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"color\":[\"#075A63\",\"#285754\",\"#37706A\",\"#63968F\",\"#09A7B3\"],\"itemStyle\":{\"color\":\"#059DA8\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"当月出库情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338728378368', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"当月入库情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=warehousing\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":675,\"height\":221},\"dataSetId\":\"910441161197928448\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":45,\"bottom\":58,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#059DA8\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"当月入库情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338745155584', NULL, '910394028067438592', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存覆盖率情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=coverage\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":751,\"height\":232},\"dataSetId\":\"910442989620871168\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#FFFFFF\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#FFFFFF\"}},\"grid\":{\"top\":50,\"left\":94,\"bottom\":65},\"series\":[{\"color\":[\"#05A2AD\",\"#67ABA1\",\"#4AA194\"],\"itemStyle\":{\"color\":\"#64B5F6\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"产品库存覆盖率情况\",\"textStyle\":{\"color\":\"#FFFFFF\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338770321408', NULL, '910394028067438592', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库龄分布情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=stockAge\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":675,\"height\":243},\"dataSetId\":\"910447275230674944\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":54,\"bottom\":54},\"series\":[{\"color\":[\"#09A7B3\",\"#499E91\",\"#03A2AD\",\"#68F7D8\"]}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"产品库龄分布情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286338791292928', NULL, '910394028067438592', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存状态监控\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=monitor\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 50  },  {    \\\"name\\\": \\\"2月\\\",    \\\"value\\\": 200  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 300  },  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 400  },  {    \\\"name\\\": \\\"5月\\\",    \\\"value\\\": 50  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 120  }]\",\"size\":{\"width\":1817,\"height\":485},\"dataSetId\":\"910455640270880768\",\"fieldOption\":[{\"label\":\"仓库\",\"text\":\"仓库\",\"value\":\"name\"},{\"label\":\"系列\",\"text\":\"系列\",\"value\":\"series\"},{\"label\":\"市场名\",\"text\":\"市场名\",\"value\":\"marketName\"},{\"label\":\"机型\",\"text\":\"机型\",\"value\":\"model\"},{\"label\":\"产品状态\",\"text\":\"产品状态\",\"value\":\"productStatus\"},{\"label\":\"当前库存\",\"text\":\"当前库存\",\"value\":\"inventory\"},{\"label\":\"库存状态\",\"text\":\"库存状态\",\"value\":\"inventoryStatus\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"background\":\"#FFFFFF\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"仓库\"},{\"izShow\":\"Y\",\"dataIndex\":\"series\",\"title\":\"系列\"},{\"izShow\":\"Y\",\"dataIndex\":\"marketName\",\"title\":\"市场名\"},{\"izShow\":\"Y\",\"dataIndex\":\"model\",\"title\":\"机型\"},{\"izShow\":\"Y\",\"dataIndex\":\"productStatus\",\"title\":\"产品状态\"},{\"izShow\":\"Y\",\"dataIndex\":\"inventory\",\"title\":\"当前库存\"},{\"izShow\":\"Y\",\"dataIndex\":\"inventoryStatus\",\"title\":\"库存状态\"}],\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-30 20:27:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986744152064', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"小 区 消 防 巡 检 状 态\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":36,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986777706496', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"区域基本情况\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":37},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986798678016', NULL, '910744177604083712', NULL, 'JList', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域基本情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=regionBasicInformation\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":599,\"height\":177},\"dataSetId\":\"910750488542625792\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986819649536', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"设备总数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":16,\"marginLeft\":34},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986844815360', NULL, '910744177604083712', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"dataType\":2,\"dataSetName\":\"正常设备\",\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=normalDevice\",\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{  \\\"value\\\": \\\"15990\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754028661030912\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"正常设备\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986869981184', NULL, '910744177604083712', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"异常设备\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=abnormalDevice\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754465934000128\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"异常设备\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986890952704', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"设备异常明细\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":15,\"marginLeft\":32},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986916118528', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"设备异常明细\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=equipmentDetails\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":551},\"dataSetId\":\"910759432656830464\",\"fieldOption\":[{\"label\":\"小区名称\",\"text\":\"小区名称\",\"value\":\"name\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"设备状态\",\"text\":\"设备状态\",\"value\":\"deviceStatus\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"小区名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceStatus\",\"title\":\"设备状态\"}],\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986945478656', NULL, '910744177604083712', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#f7f7f7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"paramOption\":[],\"dataSetName\":\"小区地图分布\",\"activeKey\":1,\"chartData\":\"[  {    \\\"name\\\": \\\"廊坊\\\",    \\\"value\\\": 199  },  {    \\\"name\\\": \\\"新疆\\\",    \\\"value\\\": 180  },  {    \\\"name\\\": \\\"河南\\\",    \\\"value\\\": 137  },  {    \\\"name\\\": \\\"四川\\\",    \\\"value\\\": 125  },  {    \\\"name\\\": \\\"黑龙江\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"广东\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"山东\\\",    \\\"value\\\": 119  },  {    \\\"name\\\": \\\"福建\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"湖北\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"浙江\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"湖南\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"安徽\\\",    \\\"value\\\": 109  },  {    \\\"name\\\": \\\"河北\\\",    \\\"value\\\": 102  },  {    \\\"name\\\": \\\"江苏\\\",    \\\"value\\\": 92  },  {    \\\"name\\\": \\\"江西\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"重庆\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"云南\\\",    \\\"value\\\": 83  },  {    \\\"name\\\": \\\"吉林\\\",    \\\"value\\\": 82  },  {    \\\"name\\\": \\\"山西\\\",    \\\"value\\\": 81  },  {    \\\"name\\\": \\\"陕西\\\",    \\\"value\\\": 80  },  {    \\\"name\\\": \\\"辽宁\\\",    \\\"value\\\": 67  },  {    \\\"name\\\": \\\"贵州\\\",    \\\"value\\\": 62  },  {    \\\"name\\\": \\\"广西\\\",    \\\"value\\\": 59  },  {    \\\"name\\\": \\\"甘肃\\\",    \\\"value\\\": 56  },  {    \\\"name\\\": \\\"内蒙古\\\",    \\\"value\\\": 47  },  {    \\\"name\\\": \\\"天津\\\",    \\\"value\\\": 42  },  {    \\\"name\\\": \\\"上海\\\",    \\\"value\\\": 24  },  {    \\\"name\\\": \\\"宁夏\\\",    \\\"value\\\": 18  },  {    \\\"name\\\": \\\"海南\\\",    \\\"value\\\": 14  },  {    \\\"name\\\": \\\"青海\\\",    \\\"value\\\": 10  },  {    \\\"name\\\": \\\"西藏\\\",    \\\"value\\\": 9  }]\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"seriesType\":[],\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"区域\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":2,\"query\":[],\"h\":50,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionMap\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910765056765509632\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"河北省\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"13\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":27,\"aspectScale\":0.92,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#a9a9a9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286986966450176', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"小区地图分布\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987025170432', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"小区分布地图表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910773111884398592\",\"fieldOption\":[{\"label\":\"区域名称\",\"text\":\"区域名称\",\"value\":\"areaName\"},{\"label\":\"小区数量\",\"text\":\"小区数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"areaName\",\"title\":\"区域名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"小区数量\"}],\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987054530560', NULL, '910744177604083712', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"室外消火栓泵\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=deviceCountProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910776816075587584\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"设备类型数量占比\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987092279296', NULL, '910744177604083712', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域设备数量\\t\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=areaDeviceCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910790230315417600\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":21,\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"itemStyle\":{\"color\":\"#3BB1E3\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"区域设备数量\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987117445120', NULL, '910744177604083712', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910794755508060160\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#38B4EA\"}],\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64B5F6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":10,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987138416640', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910797586147360768\",\"fieldOption\":[{\"label\":\"检查时间\",\"text\":\"检查时间\",\"value\":\"inspectTime\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"检查人\",\"text\":\"检查人\",\"value\":\"inspected\"},{\"label\":\"检查内容\",\"text\":\"检查内容\",\"value\":\"content\"},{\"label\":\"巡查结果\",\"text\":\"巡查结果\",\"value\":\"inspectResult\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"inspectTime\",\"title\":\"检查时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspected\",\"title\":\"检查人\"},{\"izShow\":\"Y\",\"dataIndex\":\"content\",\"title\":\"检查内容\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspectResult\",\"title\":\"巡查结果\"}]}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912286987163582464', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"巡检任务数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":12,\"marginLeft\":0},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-30 20:29:37', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433139986432', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"库存管理可视化大屏\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433169346560', NULL, '910394028067438592', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"库存管理-卡片\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryManagement\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[  {    \\\"title\\\": \\\"访问数\\\",    \\\"icon\\\": \\\"icon-jeecg-qianbao\\\",    \\\"value\\\": 2000,    \\\"total\\\": 120000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"green\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"成交额\\\",    \\\"icon\\\": \\\"icon-jeecg-youhuiquan\\\",    \\\"value\\\": 20000,    \\\"total\\\": 500000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"blue\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"下载数\\\",    \\\"icon\\\": \\\"icon-jeecg-tupian\\\",    \\\"value\\\": 8000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 120000,    \\\"color\\\": \\\"orange\\\",    \\\"action\\\": \\\"周\\\"  },  {    \\\"title\\\": \\\"成交数\\\",    \\\"icon\\\": \\\"icon-jeecg-jifen\\\",    \\\"value\\\": 5000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 50000,    \\\"color\\\": \\\"purple\\\",    \\\"action\\\": \\\"年\\\"  }]\",\"size\":{\"width\":1817,\"height\":331},\"dataSetId\":\"910406419257802752\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"action\",\"text\":\"action\",\"value\":\"action\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":7,\"color\":\"#000000\",\"vertical\":5,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433190318080', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"AIR 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433207095296', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"air库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=air\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[  {    \\\"title\\\": \\\"通知一\\\",    \\\"date\\\": \\\"10000\\\"  },  {    \\\"title\\\": \\\"通知二\\\",    \\\"date\\\": \\\"20000\\\"  },  {    \\\"title\\\": \\\"通知三\\\",    \\\"date\\\": \\\"30000\\\"  },  {    \\\"title\\\": \\\"通知四\\\",    \\\"date\\\": \\\"40000\\\"  }]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910419343896526848\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433228066816', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"LITE 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433249038336', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"lite库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=lite\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910423953398874112\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433274204160', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"SUPER 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433295175680', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"super库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=super\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910425301976662016\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433316147200', NULL, '910394028067438592', NULL, 'JText', '{\"chartData\":\"ULTRA 库存情况\",\"borderColor\":\"#059DA8\",\"size\":{\"width\":371,\"height\":45},\"background\":\"#059DA8\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":7,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433337118720', NULL, '910394028067438592', NULL, 'JList', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"ultra库存情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryStatus?type=ultra\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":371,\"height\":111},\"dataSetId\":\"910427052079366144\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":false,\"titleFontSize\":15,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433366478848', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存占比情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=storkProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":751,\"height\":210},\"dataSetId\":\"910430104345690112\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"rotate\":0,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":50,\"left\":76,\"bottom\":67,\"show\":false,\"right\":3},\"series\":[{\"barWidth\":39,\"data\":[],\"color\":[\"#207B85\",\"#2C5E5A\",\"#36756E\"],\"itemStyle\":{\"color\":\"#009BA7\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"产品库存占比情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433387450368', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"当月出库情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=outbound\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":751,\"height\":232},\"dataSetId\":\"910435726206222336\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":48,\"left\":62,\"bottom\":62,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"color\":[\"#075A63\",\"#285754\",\"#37706A\",\"#63968F\",\"#09A7B3\"],\"itemStyle\":{\"color\":\"#059DA8\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"当月出库情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433408421888', NULL, '910394028067438592', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"当月入库情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=warehousing\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":675,\"height\":232},\"dataSetId\":\"910441161197928448\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":45,\"bottom\":58,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#059DA8\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"当月入库情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433429393408', NULL, '910394028067438592', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库龄分布情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=stockAge\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":675,\"height\":232},\"dataSetId\":\"910447275230674944\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":54,\"bottom\":54},\"series\":[{\"color\":[\"#09A7B3\",\"#499E91\",\"#03A2AD\",\"#68F7D8\"]}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"产品库龄分布情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433450364928', NULL, '910394028067438592', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存状态监控\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=monitor\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 50  },  {    \\\"name\\\": \\\"2月\\\",    \\\"value\\\": 200  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 300  },  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 400  },  {    \\\"name\\\": \\\"5月\\\",    \\\"value\\\": 50  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 120  }]\",\"size\":{\"width\":1817,\"height\":485},\"dataSetId\":\"910455640270880768\",\"fieldOption\":[{\"label\":\"仓库\",\"text\":\"仓库\",\"value\":\"name\"},{\"label\":\"系列\",\"text\":\"系列\",\"value\":\"series\"},{\"label\":\"市场名\",\"text\":\"市场名\",\"value\":\"marketName\"},{\"label\":\"机型\",\"text\":\"机型\",\"value\":\"model\"},{\"label\":\"产品状态\",\"text\":\"产品状态\",\"value\":\"productStatus\"},{\"label\":\"当前库存\",\"text\":\"当前库存\",\"value\":\"inventory\"},{\"label\":\"库存状态\",\"text\":\"库存状态\",\"value\":\"inventoryStatus\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"background\":\"#FFFFFF\",\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"仓库\"},{\"izShow\":\"Y\",\"dataIndex\":\"series\",\"title\":\"系列\"},{\"izShow\":\"Y\",\"dataIndex\":\"marketName\",\"title\":\"市场名\"},{\"izShow\":\"Y\",\"dataIndex\":\"model\",\"title\":\"机型\"},{\"izShow\":\"Y\",\"dataIndex\":\"productStatus\",\"title\":\"产品状态\"},{\"izShow\":\"Y\",\"dataIndex\":\"inventory\",\"title\":\"当前库存\"},{\"izShow\":\"Y\",\"dataIndex\":\"inventoryStatus\",\"title\":\"库存状态\"}],\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433471336448', NULL, '910394028067438592', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"仓库状态情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=warehouseStatus\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":675,\"height\":210},\"dataSetId\":\"910431120222896128\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#05A0AB\",\"#65A89E\",\"#469C8F\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"仓库状态情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577433496502272', NULL, '910394028067438592', NULL, 'JMultipleBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"title\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"产品库存覆盖率情况\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/inventoryChart?type=coverage\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":751,\"height\":232},\"dataSetId\":\"910442989620871168\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":41,\"left\":104,\"bottom\":52,\"right\":90},\"series\":[{\"color\":[\"#05A5B0\",\"#6BB3A8\",\"#4AA194\",\"#1D828A\"]}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"产品库存覆盖率情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:43:45', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878868672512', NULL, '910820508471705600', NULL, 'JText', '{\"chartData\":\"某 连 锁 饮 品 销 售\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1132,\"height\":100},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"textAlign\":\"center\",\"fontSize\":40,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":18,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878898032640', NULL, '910820508471705600', NULL, 'JForm', '{\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":675,\"height\":100},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":12,\"linkageConfig\":[{\"linkageId\":\"0efe3637-39ac-4f2e-82f4-e09540ee332a\",\"linkage\":[]},{\"linkageId\":\"2db8c9de-9f8b-49f8-8d7a-6b3166de0ed5\",\"linkage\":[]},{\"linkageId\":\"6f773617-eca8-4598-8260-dc701cc16e8b\",\"linkage\":[]},{\"linkageId\":\"868c63d3-cfc2-4e49-a1c5-6ee0418fd303\",\"linkage\":[]},{\"linkageId\":\"35a7308b-0482-48c8-8e46-ed50cfb67961\",\"linkage\":[]},{\"linkageId\":\"cd981a55-258c-48cd-8e92-742185a711a3\",\"linkage\":[]},{\"linkageId\":\"715ebf76-9228-4b2e-8ab7-dcb351c2ff03\",\"linkage\":[]},{\"linkageId\":\"2323a8fb-42ff-4a23-9b13-8f4f514dafb5\",\"linkage\":[]},{\"linkageId\":\"0b68bd42-a0e9-48f8-9a7b-794ba9ebf8cf\",\"linkage\":[]},{\"linkageId\":\"5130130f-6076-45b1-8977-d9b5a4c894fc\",\"linkage\":[]},{\"linkageId\":\"82016a70-aa98-42cb-b205-c14e5e212cf8\",\"linkage\":[]}],\"timeOut\":-1,\"option\":{\"fields\":[{\"fieldName\":\"date\",\"dictCode\":\"\",\"dateFormat\":\"YYYY-MM\",\"fieldTxt\":\"日期\",\"defaultValue\":\"2024-01\",\"searchMode\":\"single\",\"orderNum\":\"\",\"action\":\"\",\"id\":\"rowa82899dc-1e6b-47a1-acd8-ba2fb6f5df02\",\"izSearch\":\"1\",\"widgetType\":\"date\"}],\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878919004160', NULL, '910820508471705600', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"图标\"},{\"mapping\":\"value\",\"filed\":\"数值\"},{\"mapping\":\"\",\"filed\":\"总计\"},{\"mapping\":\"\",\"filed\":\"前缀\"},{\"mapping\":\"color\",\"filed\":\"颜色\"},{\"mapping\":\"action\",\"filed\":\"单位\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销量额\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesVolume\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[  {    \\\"title\\\": \\\"访问数\\\",    \\\"icon\\\": \\\"icon-jeecg-qianbao\\\",    \\\"value\\\": 2000,    \\\"total\\\": 120000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"green\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"成交额\\\",    \\\"icon\\\": \\\"icon-jeecg-youhuiquan\\\",    \\\"value\\\": 20000,    \\\"total\\\": 500000,    \\\"prefix\\\": \\\"$\\\",    \\\"color\\\": \\\"blue\\\",    \\\"action\\\": \\\"月\\\"  },  {    \\\"title\\\": \\\"下载数\\\",    \\\"icon\\\": \\\"icon-jeecg-tupian\\\",    \\\"value\\\": 8000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 120000,    \\\"color\\\": \\\"orange\\\",    \\\"action\\\": \\\"周\\\"  },  {    \\\"title\\\": \\\"成交数\\\",    \\\"icon\\\": \\\"icon-jeecg-jifen\\\",    \\\"value\\\": 5000,    \\\"prefix\\\": \\\"$\\\",    \\\"total\\\": 50000,    \\\"color\\\": \\\"purple\\\",    \\\"action\\\": \\\"年\\\"  }]\",\"size\":{\"width\":1817,\"height\":320},\"dataSetId\":\"911792028287287296\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"icon\",\"text\":\"icon\",\"value\":\"icon\"},{\"label\":\"action\",\"text\":\"action\",\"value\":\"action\"},{\"label\":\"color\",\"text\":\"color\",\"value\":\"color\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":6,\"vertical\":4,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878944169984', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销售量分店\\t\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=topSellingBranch\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"911836343134896128\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#F3EFF0\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#F9B632\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FF9736\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量分店（新洲店）\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878965141504', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量品线\\t\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesLine\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":166},\"dataSetId\":\"911836426450550784\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#E9F2FF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#547BFE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#547BFE\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量品线（醇香奶茶）\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577878990307328', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量单品\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=highestSellingItem\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":166},\"dataSetId\":\"911836535531814912\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#EDFAFE\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#44C8F3\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#44C8F3\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量单品（珍珠奶茶）\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879023861760', NULL, '910820508471705600', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"单月最高销量规格\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=maximumSalesSpecs\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"911836717715603456\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#F2FCF7\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#58DC92\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#9EFFB6\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"单月最高销量规格（磨砂）\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879044833280', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售额走势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesTrend\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":243},\"dataSetId\":\"911836839023263744\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"},\"show\":false},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"show\":true},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#FBE1C2\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":178,\"bottom\":157,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"销售金额（元）\",\"left\":10,\"text\":\"销售额走势\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879065804800', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销量走势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesTendency\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":232},\"dataSetId\":\"911836922162757632\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#D7EBFB\"}],\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":71,\"bottom\":62,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"销售数量（杯）\",\"left\":1,\"text\":\"销量走势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\",\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879086776320', NULL, '910820508471705600', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"原料支出趋势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=expenditureTrends\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":221},\"dataSetId\":\"911845934736392192\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#D5DFFE\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":54,\"bottom\":61,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"支出费用（元）\",\"left\":10,\"text\":\"原料支出趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879103553536', NULL, '910820508471705600', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"订单销售量\\t\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=orderSalesVolume\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":827,\"height\":353},\"dataSetId\":\"911837008343121920\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":48,\"left\":85,\"bottom\":60,\"show\":false},\"series\":[{\"barWidth\":0,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#85C6F3\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"订单销售量\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879116136448', NULL, '910820508471705600', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"店铺销售额排名\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=salesRanking\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":447,\"height\":353},\"dataSetId\":\"911837091507781632\",\"fieldOption\":[{\"label\":\"店铺\",\"text\":\"店铺\",\"value\":\"name\"},{\"label\":\"销售金额（元）\",\"text\":\"销售金额（元）\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"店铺\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"销售金额（元）\"}],\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912577879132913664', NULL, '910820508471705600', NULL, 'JRing', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\" 冷热占比\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/beverageSales?type=coldAndHostProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":353},\"dataSetId\":\"911837168896884736\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"top\":1,\"show\":true,\"text\":\"冷热占比\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:45:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020841668608', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"小 区 消 防 巡 检 状 态\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":36,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020875223040', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"区域基本情况\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":37},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020896194560', NULL, '910744177604083712', NULL, 'JList', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域基本情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=regionBasicInformation\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":599,\"height\":177},\"dataSetId\":\"910750488542625792\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020917166080', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"设备总数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":16,\"marginLeft\":34},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020938137600', NULL, '910744177604083712', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"dataType\":2,\"dataSetName\":\"正常设备\",\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=normalDevice\",\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{  \\\"value\\\": \\\"15990\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754028661030912\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"正常设备\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020959109120', NULL, '910744177604083712', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"异常设备\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=abnormalDevice\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754465934000128\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"异常设备\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578020980080640', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"设备异常明细\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":15,\"marginLeft\":32},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021005246464', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"设备异常明细\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=equipmentDetails\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":551},\"dataSetId\":\"910759432656830464\",\"fieldOption\":[{\"label\":\"小区名称\",\"text\":\"小区名称\",\"value\":\"name\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"设备状态\",\"text\":\"设备状态\",\"value\":\"deviceStatus\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"小区名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceStatus\",\"title\":\"设备状态\"}],\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021026217984', NULL, '910744177604083712', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#f7f7f7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"paramOption\":[],\"dataSetName\":\"小区地图分布\",\"activeKey\":1,\"chartData\":\"[  {    \\\"name\\\": \\\"廊坊\\\",    \\\"value\\\": 199  },  {    \\\"name\\\": \\\"新疆\\\",    \\\"value\\\": 180  },  {    \\\"name\\\": \\\"河南\\\",    \\\"value\\\": 137  },  {    \\\"name\\\": \\\"四川\\\",    \\\"value\\\": 125  },  {    \\\"name\\\": \\\"黑龙江\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"广东\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"山东\\\",    \\\"value\\\": 119  },  {    \\\"name\\\": \\\"福建\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"湖北\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"浙江\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"湖南\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"安徽\\\",    \\\"value\\\": 109  },  {    \\\"name\\\": \\\"河北\\\",    \\\"value\\\": 102  },  {    \\\"name\\\": \\\"江苏\\\",    \\\"value\\\": 92  },  {    \\\"name\\\": \\\"江西\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"重庆\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"云南\\\",    \\\"value\\\": 83  },  {    \\\"name\\\": \\\"吉林\\\",    \\\"value\\\": 82  },  {    \\\"name\\\": \\\"山西\\\",    \\\"value\\\": 81  },  {    \\\"name\\\": \\\"陕西\\\",    \\\"value\\\": 80  },  {    \\\"name\\\": \\\"辽宁\\\",    \\\"value\\\": 67  },  {    \\\"name\\\": \\\"贵州\\\",    \\\"value\\\": 62  },  {    \\\"name\\\": \\\"广西\\\",    \\\"value\\\": 59  },  {    \\\"name\\\": \\\"甘肃\\\",    \\\"value\\\": 56  },  {    \\\"name\\\": \\\"内蒙古\\\",    \\\"value\\\": 47  },  {    \\\"name\\\": \\\"天津\\\",    \\\"value\\\": 42  },  {    \\\"name\\\": \\\"上海\\\",    \\\"value\\\": 24  },  {    \\\"name\\\": \\\"宁夏\\\",    \\\"value\\\": 18  },  {    \\\"name\\\": \\\"海南\\\",    \\\"value\\\": 14  },  {    \\\"name\\\": \\\"青海\\\",    \\\"value\\\": 10  },  {    \\\"name\\\": \\\"西藏\\\",    \\\"value\\\": 9  }]\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"seriesType\":[],\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"区域\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":2,\"query\":[],\"h\":50,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionMap\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910765056765509632\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"河北省\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"13\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":27,\"aspectScale\":0.92,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#a9a9a9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021047189504', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"小区地图分布\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021068161024', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"小区分布地图表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910773111884398592\",\"fieldOption\":[{\"label\":\"区域名称\",\"text\":\"区域名称\",\"value\":\"areaName\"},{\"label\":\"小区数量\",\"text\":\"小区数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"areaName\",\"title\":\"区域名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"小区数量\"}],\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021093326848', NULL, '910744177604083712', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"室外消火栓泵\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=deviceCountProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910776816075587584\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"设备类型数量占比\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021114298368', NULL, '910744177604083712', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域设备数量\\t\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=areaDeviceCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910790230315417600\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"left\":62,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":21,\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"itemStyle\":{\"color\":\"#3BB1E3\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"区域设备数量\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021131075584', NULL, '910744177604083712', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910794755508060160\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#38B4EA\"}],\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64B5F6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":10,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021156241408', NULL, '910744177604083712', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910797586147360768\",\"fieldOption\":[{\"label\":\"检查时间\",\"text\":\"检查时间\",\"value\":\"inspectTime\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"检查人\",\"text\":\"检查人\",\"value\":\"inspected\"},{\"label\":\"检查内容\",\"text\":\"检查内容\",\"value\":\"content\"},{\"label\":\"巡查结果\",\"text\":\"巡查结果\",\"value\":\"inspectResult\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"inspectTime\",\"title\":\"检查时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspected\",\"title\":\"检查人\"},{\"izShow\":\"Y\",\"dataIndex\":\"content\",\"title\":\"检查内容\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspectResult\",\"title\":\"巡查结果\"}]}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912578021181407232', NULL, '910744177604083712', NULL, 'JText', '{\"chartData\":\"巡检任务数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":12,\"marginLeft\":0},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:46:05', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172505272320', NULL, '910475721247866880', NULL, 'JText', '{\"chartData\":\"某电商公司销售运营看板\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#0774F0\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":23,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172538826752', NULL, '910475721247866880', NULL, 'JGrowCard', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"title\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"图标\"},{\"mapping\":\"value\",\"filed\":\"数值\"},{\"mapping\":\"\",\"filed\":\"总计\"},{\"mapping\":\"\",\"filed\":\"前缀\"},{\"mapping\":\"\",\"filed\":\"颜色\"},{\"mapping\":\"unit\",\"filed\":\"单位\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售状态\",\"query\":[],\"h\":19,\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=saleStatus\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"[{\\\"title\\\":\\\"访问数\\\",\\\"icon\\\":\\\"icon-jeecg-qianbao\\\",\\\"value\\\":2000,\\\"total\\\":120000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"green\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"成交额\\\",\\\"icon\\\":\\\"icon-jeecg-youhuiquan\\\",\\\"value\\\":20000,\\\"total\\\":500000,\\\"prefix\\\":\\\"$\\\",\\\"color\\\":\\\"blue\\\",\\\"action\\\":\\\"月\\\"},{\\\"title\\\":\\\"下载数\\\",\\\"icon\\\":\\\"icon-jeecg-tupian\\\",\\\"value\\\":8000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":120000,\\\"color\\\":\\\"orange\\\",\\\"action\\\":\\\"周\\\"},{\\\"title\\\":\\\"成交数\\\",\\\"icon\\\":\\\"icon-jeecg-jifen\\\",\\\"value\\\":5000,\\\"prefix\\\":\\\"$\\\",\\\"total\\\":50000,\\\"color\\\":\\\"purple\\\",\\\"action\\\":\\\"年\\\"}]\",\"size\":{\"width\":599,\"height\":177},\"dataSetId\":\"910478592823574528\",\"fieldOption\":[{\"label\":\"title\",\"text\":\"title\",\"value\":\"title\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"unit\",\"text\":\"unit\",\"value\":\"unit\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"icon\":{\"scriptUrl\":\"//at.alicdn.com/t/font_3237315_b3fqd960glt.js\",\"fontSize\":20},\"body\":{\"horizontal\":8,\"vertical\":8,\"span\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"更多\",\"title\":\"统计卡片\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172559798272', NULL, '910475721247866880', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#f7f7f7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"paramOption\":[],\"dataSetName\":\"各地区订单与仓库情况\",\"activeKey\":1,\"chartData\":\"[{\\\"name\\\":\\\"北京\\\",\\\"value\\\":199},{\\\"name\\\":\\\"新疆\\\",\\\"value\\\":180},{\\\"name\\\":\\\"河南\\\",\\\"value\\\":137},{\\\"name\\\":\\\"四川\\\",\\\"value\\\":125},{\\\"name\\\":\\\"黑龙江\\\",\\\"value\\\":123},{\\\"name\\\":\\\"广东\\\",\\\"value\\\":123},{\\\"name\\\":\\\"山东\\\",\\\"value\\\":119},{\\\"name\\\":\\\"福建\\\",\\\"value\\\":116},{\\\"name\\\":\\\"湖北\\\",\\\"value\\\":116},{\\\"name\\\":\\\"浙江\\\",\\\"value\\\":114},{\\\"name\\\":\\\"湖南\\\",\\\"value\\\":114},{\\\"name\\\":\\\"安徽\\\",\\\"value\\\":109},{\\\"name\\\":\\\"河北\\\",\\\"value\\\":102},{\\\"name\\\":\\\"江苏\\\",\\\"value\\\":92},{\\\"name\\\":\\\"江西\\\",\\\"value\\\":91},{\\\"name\\\":\\\"重庆\\\",\\\"value\\\":91},{\\\"name\\\":\\\"云南\\\",\\\"value\\\":83},{\\\"name\\\":\\\"吉林\\\",\\\"value\\\":82},{\\\"name\\\":\\\"山西\\\",\\\"value\\\":81},{\\\"name\\\":\\\"陕西\\\",\\\"value\\\":80},{\\\"name\\\":\\\"辽宁\\\",\\\"value\\\":67},{\\\"name\\\":\\\"贵州\\\",\\\"value\\\":62},{\\\"name\\\":\\\"广西\\\",\\\"value\\\":59},{\\\"name\\\":\\\"甘肃\\\",\\\"value\\\":56},{\\\"name\\\":\\\"内蒙古\\\",\\\"value\\\":47},{\\\"name\\\":\\\"天津\\\",\\\"value\\\":42},{\\\"name\\\":\\\"上海\\\",\\\"value\\\":24},{\\\"name\\\":\\\"宁夏\\\",\\\"value\\\":18},{\\\"name\\\":\\\"海南\\\",\\\"value\\\":14},{\\\"name\\\":\\\"青海\\\",\\\"value\\\":10},{\\\"name\\\":\\\"西藏\\\",\\\"value\\\":9}]\",\"fieldOption\":[{\"label\":\"仓库名称\",\"text\":\"仓库名称\",\"value\":\"warehouseName\"},{\"label\":\"仓库存量\",\"text\":\"仓库存量\",\"value\":\"warehouseCount\"},{\"label\":\"省份\",\"text\":\"省份\",\"value\":\"name\"},{\"label\":\"销售额\",\"text\":\"销售额\",\"value\":\"value\"}],\"seriesType\":[],\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"区域\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":2,\"query\":[],\"h\":50,\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=regionalOrders\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"size\":{\"width\":599,\"height\":452},\"dataSetId\":\"910695134387552256\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":80,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#a9a9a9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\"},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172580769792', NULL, '910475721247866880', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"各地区订单与仓库情况\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=regionalOrders\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":485},\"dataSetId\":\"910695134387552256\",\"fieldOption\":[{\"label\":\"仓库名称\",\"text\":\"仓库名称\",\"value\":\"warehouseName\"},{\"label\":\"仓库存量\",\"text\":\"仓库存量\",\"value\":\"warehouseCount\"},{\"label\":\"省份\",\"text\":\"省份\",\"value\":\"name\"},{\"label\":\"销售额\",\"text\":\"销售额\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"background\":\"#FFFFFF\",\"w\":24,\"dataNum\":\"0\",\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"warehouseName\",\"title\":\"仓库名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"warehouseCount\",\"title\":\"仓库存量\"},{\"izShow\":\"N\",\"dataIndex\":\"name\",\"title\":\"省份\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"销售额\"}]}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172597547008', NULL, '910475721247866880', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"季度目标完成\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=quarterlyFinish\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":375},\"dataSetId\":\"910708293282349056\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#1F70E0\",\"#F0F2FA\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":true,\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"季度目标完成\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172618518528', NULL, '910475721247866880', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":1,\"dataSetName\":\"季度目标完成\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=quarterlyFinish\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{  \\\"value\\\": 200}\",\"size\":{\"width\":371,\"height\":177},\"dataSetId\":\"910708293282349056\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#1C6CDE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"季度销售额（万）\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172643684352', NULL, '910475721247866880', NULL, 'JNumber', '{\"chartData\":\"{  \\\"value\\\": \\\"39\\\"}\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":371,\"height\":188},\"background\":\"#FFFFFF\",\"w\":5,\"dataType\":1,\"h\":9,\"turnConfig\":{\"url\":\"\"},\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#1C6CDE\",\"text\":\"\",\"fontWeight\":\"bold\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"同比增长（%）\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172664655872', NULL, '910475721247866880', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"品牌销售占比\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=brandSales\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":447,\"height\":375},\"dataSetId\":\"910721009699045376\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"left\":47,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":1},\"series\":[{\"data\":[],\"color\":[\"#0E52B0\",\"#118FF0\",\"#97CFFC\",\"#216DC4\",\"#60AEF7\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":true,\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"品牌销售占比\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172685627392', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"销售地区排行\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=areaRanking\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":309},\"dataSetId\":\"910732622212677632\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"销售额（万元）\",\"show\":true,\"text\":\"销售地区排行\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172702404608', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"品牌销售占比\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=brandSales\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":309},\"dataSetId\":\"910721009699045376\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"销售额（元）\",\"show\":true,\"text\":\"品牌销售情况\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172719181824', NULL, '910475721247866880', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"物流订单接收\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=logisticsOrder\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":430},\"dataSetId\":\"910737864308342784\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"left\":58,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":24,\"data\":[],\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#428BEF\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"接收订单（件）\",\"show\":true,\"text\":\"物流订单接收\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912579172740153344', NULL, '910475721247866880', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"订单产生趋势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/commerceSalesOperations?type=generatingTrends\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":430},\"dataSetId\":\"910740127152128000\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#428BEF\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64B5F6\"},\"type\":\"line\"}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"订单数（单）\",\"left\":10,\"text\":\"订单产生趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 15:50:39', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581733916393472', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"产品销售数据仪表板\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4570F2\",\"textAlign\":\"center\",\"fontSize\":36,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":8,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581733949947904', NULL, '911856216581914624', NULL, 'JRing', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月渠道销售\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":371,\"height\":320},\"dataSetId\":\"911887596497977344\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":53,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"t\":1,\"orient\":\"vertical\"},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\" 华东区、华中区为主要渠道销售区域。\",\"top\":1,\"show\":true,\"text\":\"本月渠道销售\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581733975113728', NULL, '911856216581914624', NULL, 'JBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月代理商销售排行\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesRanking\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":371,\"height\":441},\"dataSetId\":\"911887691259887616\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"rotate\":3,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":69,\"left\":94,\"bottom\":58,\"show\":false},\"series\":[{\"barWidth\":17,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"本月代理商销售排行/元\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734000279552', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"本月销售额/元\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":21},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734025445376', NULL, '911856216581914624', NULL, 'JText', '{\"borderColor\":\"#DBEAFF\",\"paramOption\":[],\"dataType\":1,\"dataSetName\":\"本月产品销售\",\"query\":[],\"h\":12,\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"chartData\":\"15,458,757\",\"size\":{\"width\":295,\"height\":45},\"dataSetId\":\"911889006916583424\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"w\":8,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"body\":{\"color\":\"#4D71FE\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":16},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734050611200', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"月环比 -50%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#34C874\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":21},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734084165632', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"今日销售额/元\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":18},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734113525760', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"657,554\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4D71FE\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":0,\"marginLeft\":19},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734138691584', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"日环比 -12%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#34C874\",\"fontSize\":14,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734163857408', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"今年目标销售额达成率\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":16},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734189023232', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"42%\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":295,\"height\":100},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4D71FE\",\"textAlign\":\"center\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":24,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734209994752', NULL, '911856216581914624', NULL, 'JLine', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"近七天销售额趋势\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=salesTrend\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":904,\"height\":287},\"dataSetId\":\"911888632709169152\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"日销售额（元）\",\"left\":10,\"text\":\"近七天销售额趋势\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\",\"fontWeight\":\"bold\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734230966272', NULL, '911856216581914624', NULL, 'JStackBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"type\",\"filed\":\"分组\"},{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月重点城市的重点产品销售额\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesRevenue\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Lon\\\"},{\\\"name\\\":\\\"1991\\\",\\\"value\\\":3,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1992\\\",\\\"value\\\":4,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1993\\\",\\\"value\\\":3.5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1994\\\",\\\"value\\\":5,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1995\\\",\\\"value\\\":4.9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1996\\\",\\\"value\\\":6,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1997\\\",\\\"value\\\":7,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1998\\\",\\\"value\\\":9,\\\"type\\\":\\\"Bor\\\"},{\\\"name\\\":\\\"1999\\\",\\\"value\\\":13,\\\"type\\\":\\\"Bor\\\"}]\",\"size\":{\"width\":904,\"height\":309},\"dataSetId\":\"911888715248877568\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"},{\"label\":\"type\",\"text\":\"type\",\"value\":\"type\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"customColor\":[{\"color\":\"#67BBFF\"},{\"color\":\"#9982FD\"},{\"color\":\"#62DDCC\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"本月重点城市的重点产品销售额/元\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":16}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734256132096', NULL, '911856216581914624', NULL, 'JRing', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月产品销售\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=productSalesThisMonth\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":523,\"height\":342},\"dataSetId\":\"911889006916583424\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"top\":55,\"left\":47,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"t\":10},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"show\":true,\"text\":\" 产品3为主推产品产品2为近期上线产品。\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":14,\"fontWeight\":\"bold\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734272909312', NULL, '911856216581914624', NULL, 'JText', '{\"chartData\":\"本月产品销售\",\"borderColor\":\"#DBEAFF\",\"size\":{\"width\":523,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":8,\"marginLeft\":21},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('912581734289686528', NULL, '911856216581914624', NULL, 'JBar', '{\"borderColor\":\"#DBEAFF\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"本月产品小类销售排行\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/productSales?type=rankingCategorySales\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":523,\"height\":364},\"dataSetId\":\"911889086163763200\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#DBEAFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":44,\"bottom\":62,\"show\":false},\"series\":[{\"barWidth\":16,\"data\":[],\"itemStyle\":{\"color\":\"#64B5F6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"subtext\":\"\",\"show\":true,\"text\":\" 本月产品小类销售排行/元\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":14},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-01-31 16:00:50', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925265555992182784', NULL, '925264635338260480', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"sex\",\"filed\":\"维度\"},{\"mapping\":\"count\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"cc1\",\"query\":[],\"dataSetApi\":\"SELECT sex, COUNT(*) as countFROM ceshi_aaaGROUP BY sex;\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"height\":300},\"dataSetId\":\"925264960069664768\",\"fieldOption\":[{\"label\":\"性别\",\"text\":\"性别\",\"value\":\"sex\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"count\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-06 16:01:49', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261272031232', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"北京公司2023年度招聘看板\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261330751488', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"简历投递数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261351723008', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"386\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":50},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261381083136', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"入职人数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261402054656', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"15\",\"borderColor\":\"#69AAF5\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":47},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261427220480', NULL, '924603858451734528', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 121,    \\\"name\\\": \\\"四川省\\\"  },  {    \\\"value\\\": 251,    \\\"name\\\": \\\"山东省\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"北京市\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"河北省\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"河南省\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":166},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":38,\"left\":52,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"color\":\"#000000\",\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"show\":false},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261464969216', NULL, '924603858451734528', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#F7F7F7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"区域\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":1,\"h\":50,\"activeKey\":1,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"北京\\\",    \\\"value\\\": 199  },  {    \\\"name\\\": \\\"山东\\\",    \\\"value\\\": 180  },  {    \\\"name\\\": \\\"四川\\\",    \\\"value\\\": 137  },  {    \\\"name\\\": \\\"新疆\\\",    \\\"value\\\": 125  },  {    \\\"name\\\": \\\"河南\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"广东\\\",    \\\"value\\\": 123  }]\",\"size\":{\"width\":298,\"height\":331},\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"headerBgColor\":\"#FFFFFF\",\"bodyColor\":\"#000000\",\"legend\":{\"data\":[]},\"title\":{\"top\":1,\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"bodyBgColor\":\"#FFFFFF\",\"drillDown\":false,\"geo\":{\"top\":38,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#A9A9A9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80D9F8\"},\"emphasis\":{\"areaColor\":\"#FFF59C\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"headerColor\":\"#000000\",\"grid\":{\"bottom\":115,\"show\":false},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261490135040', NULL, '924603858451734528', NULL, 'JFunnel', '{\"chartData\":\"[  {    \\\"value\\\": 15,    \\\"name\\\": \\\"入职\\\"  },  {    \\\"value\\\": 5,    \\\"name\\\": \\\"待入职\\\"  },  {    \\\"value\\\": 23,    \\\"name\\\": \\\"一面\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"HR沟通\\\"  },  {    \\\"value\\\": 234,    \\\"name\\\": \\\"收到简历\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":331},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261519495168', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"概览\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261544660992', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"候选人分布\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261569826816', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"漏斗图\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261594992640', NULL, '924603858451734528', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"双一流大学\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"双一流学科\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"211\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"985\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":155},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"top\":30,\"left\":46,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":2,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261615964160', NULL, '924603858451734528', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 10,    \\\"name\\\": \\\"03-12\\\"  },  {    \\\"value\\\": 15,    \\\"name\\\": \\\"03-22\\\"  },  {    \\\"value\\\": 6,    \\\"name\\\": \\\"03-18\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"04-12\\\"  },  {    \\\"value\\\": 30,    \\\"name\\\": \\\"05-29\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"08-29\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":199},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":23,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"text\":\"简历投递日期分布\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261636935680', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"渠道质量\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261662101504', NULL, '924603858451734528', NULL, 'JMultipleBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"通过数\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":29,\"left\":31,\"bottom\":62,\"right\":8},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"多数据对比柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261687267328', NULL, '924603858451734528', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"姓名\\\": \\\"陈萌萌\\\",    \\\"筛选简历数\\\": \\\"122\\\",    \\\"推给用人部门\\\": \\\"89\\\",    \\\"面试安排\\\": \\\"40\\\",    \\\"面试通过\\\": \\\"10\\\"  },  {    \\\"姓名\\\": \\\"肖强\\\",    \\\"筛选简历数\\\": \\\"62\\\",    \\\"推给用人部门\\\": \\\"19\\\",    \\\"面试安排\\\": \\\"9\\\",    \\\"面试通过\\\": \\\"1\\\"  },  {    \\\"姓名\\\": \\\"陈晨\\\",    \\\"筛选简历数\\\": \\\"97\\\",    \\\"推给用人部门\\\": \\\"49\\\",    \\\"面试安排\\\": \\\"29\\\",    \\\"面试通过\\\": \\\"15\\\"  },  {    \\\"姓名\\\": \\\"李丽\\\",    \\\"筛选简历数\\\": \\\"47\\\",    \\\"推给用人部门\\\": \\\"29\\\",    \\\"面试安排\\\": \\\"19\\\",    \\\"面试通过\\\": \\\"5\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":309},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"headerBgColor\":\"#50E3C2\",\"headerColor\":\"#7ED321\",\"bodyColor\":\"#000000\",\"bodyBgColor\":\"#FFFFFF\",\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261712433152', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"招聘工作量细化\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":11},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261745987584', NULL, '924603858451734528', NULL, 'JText', '{\"chartData\":\"工作年限对岗位偏好与匹配\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925744261766959104', NULL, '924603858451734528', NULL, 'JStackBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"通过数\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":309},\"background\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#7ED321\"},{\"color\":\"#F8E71C\"},{\"color\":\"#F5A623\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"堆叠柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-07 23:44:02', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667610906624', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"金融风控数据展示\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667648655360', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"复借用户数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":39},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667665432576', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"38611人\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":67},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":19,\"marginLeft\":50},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667682209792', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"累计申请人数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":32},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667698987008', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"258909人\",\"borderColor\":\"#69AAF5\",\"size\":{\"width\":192,\"height\":67},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":16,\"marginLeft\":45},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667715764224', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"89.5%\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#B05FB3\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":8,\"marginLeft\":63},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667732541440', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"放贷率\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#B05FB3\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":60},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667753512960', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"36.82亿\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#8B572A\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":56},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667774484480', NULL, '925744661614153728', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"男\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"女\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":375},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"top\":45,\"left\":43,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":2,\"show\":true},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"男女性别比例\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667795456000', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"214367人\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":67},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":16,\"marginLeft\":46},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667808038912', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"累计放贷用户数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":25},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667824816128', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"累计放贷金额\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#8B572A\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":30},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667841593344', NULL, '925744661614153728', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"未到期\\\",    \\\"value\\\": 13100000  },  {    \\\"name\\\": \\\"1-30天\\\",    \\\"value\\\": 14100000  },  {    \\\"name\\\": \\\"31-60天\\\",    \\\"value\\\": 31050000  },  {    \\\"name\\\": \\\"61-90天\\\",    \\\"value\\\": 530000  },  {    \\\"name\\\": \\\"90天以上\\\",    \\\"value\\\": 4100009  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":595,\"height\":265},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":46,\"left\":61,\"bottom\":73,\"right\":40},\"series\":[{\"showBackground\":false,\"backgroundStyle\":{\"color\":\"#51626E\"},\"itemStyle\":{\"color\":\"#EDA737\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"top\":1,\"left\":159,\"text\":\"账龄分布\",\"textStyle\":{\"color\":\"#F5A623\",\"fontSize\":20},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667858370560', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"59.38亿\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#50E3C2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":54},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667875147776', NULL, '925744661614153728', NULL, 'JText', '{\"chartData\":\"累计申请金额\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#50E3C2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":28},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667896119296', NULL, '925744661614153728', NULL, 'JMultipleLine', '{\"chartData\":\"[  {    \\\"name\\\": \\\"1月\\\",    \\\"value\\\": 3,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"2月\\\",    \\\"value\\\": 4,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 3.5,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"5月\\\",    \\\"value\\\": 4.9,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 6,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"7月\\\",    \\\"value\\\": 7,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"8月\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"9月\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"2022年月平均\\\"  },  {    \\\"name\\\": \\\"1月\\\",    \\\"value\\\": 6,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"2月\\\",    \\\"value\\\": 8,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 7,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"5月\\\",    \\\"value\\\": 11,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 4,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"7月\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"8月\\\",    \\\"value\\\": 16,    \\\"type\\\": \\\"2023年月平均\\\"  },  {    \\\"name\\\": \\\"9月\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"2023年月平均\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":663,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"每月平均申请数\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667912896512', NULL, '925744661614153728', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"1年\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"1-5年\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"5年以上\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":298},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"top\":50,\"left\":48,\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":false,\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"贷款期限分布\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667938062336', NULL, '925744661614153728', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 121,    \\\"name\\\": \\\"按时还款\\\"    },  {    \\\"value\\\": 251,    \\\"name\\\": \\\"逾期未还\\\"    },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"逾期已还\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"总体放贷情况\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667954839552', NULL, '925744661614153728', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 121,    \\\"name\\\": \\\"可疑\\\"  },  {    \\\"value\\\": 251,    \\\"name\\\": \\\"正常\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"不良\\\"  },  {    \\\"value\\\": 80,    \\\"name\\\": \\\"次级\\\"  },  {    \\\"value\\\": 620,    \\\"name\\\": \\\"关注\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":382,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"show\":false},\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"show\":true,\"text\":\"贷款状态跟踪\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925962667967422464', NULL, '925744661614153728', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"高中以下\\\",    \\\"value\\\": 131265  },  {    \\\"name\\\": \\\"大学\\\",    \\\"value\\\": 71410  },  {    \\\"name\\\": \\\"硕士及以上\\\",    \\\"value\\\": 1523  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":663,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":54,\"left\":71,\"bottom\":86,\"right\":48},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"text\":\"贷款人群学历分布\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 14:11:54', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666560327680', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"XX车间生产管理\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666589687808', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"当日产量\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":45},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":52},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666602270720', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"15386\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":70},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666619047936', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"当月产量\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":45},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":44},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666640019456', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"589615\",\"borderColor\":\"#69AAF5\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":47},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666660990976', NULL, '925966805971279872', NULL, 'JFunnel', '{\"chartData\":\"[  {    \\\"value\\\": 15,    \\\"name\\\": \\\"生产1部\\\"  },  {    \\\"value\\\": 5,    \\\"name\\\": \\\"生产3部\\\"  },  {    \\\"value\\\": 23,    \\\"name\\\": \\\"生产2部\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"生产4部\\\"  },  {    \\\"value\\\": 234,    \\\"name\\\": \\\"生产5部\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":331},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666677768192', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"月投入产出比\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":45},\"background\":\"#A69C32\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":31},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666698739712', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"日目标达成率\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":45},\"background\":\"#61C9B3\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":31},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666715516928', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"86%\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#61C9B3\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":68},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666732294144', NULL, '925966805971279872', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 60,    \\\"name\\\": \\\"8:00\\\"  },  {    \\\"value\\\": 55,    \\\"name\\\": \\\"10:00\\\"  },  {    \\\"value\\\": 86,    \\\"name\\\": \\\"12:00\\\"  },  {    \\\"value\\\": 70,    \\\"name\\\": \\\"14:00\\\"  },  {    \\\"value\\\": 90,    \\\"name\\\": \\\"16:00\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"18:00\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":23,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"text\":\"产能效率\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666749071360', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"90%\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#A69C32\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":68},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666770042880', NULL, '925966805971279872', NULL, 'JMultipleBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"生产一部\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"人工成本\\\"  },  {    \\\"name\\\": \\\"生产二部\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"人工成本\\\"  },  {    \\\"name\\\": \\\"生产三部\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"人工成本\\\"  },  {    \\\"name\\\": \\\"生产四部\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"人工成本\\\"  },  {    \\\"name\\\": \\\"生产一部\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"采购成本\\\"  },  {    \\\"name\\\": \\\"生产二部\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"采购成本\\\"  },  {    \\\"name\\\": \\\"生产三部\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"采购成本\\\"  },  {    \\\"name\\\": \\\"生产四部\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"采购成本\\\"  },  {    \\\"name\\\": \\\"生产一部\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"生产成本\\\"  },  {    \\\"name\\\": \\\"生产二部\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"生产成本\\\"  },  {    \\\"name\\\": \\\"生产三部\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"生产成本\\\"  },  {    \\\"name\\\": \\\"生产四部\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"生产成本\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":29,\"left\":31,\"bottom\":62,\"right\":8},\"series\":[],\"legend\":{\"r\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"成本控制\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666786820096', NULL, '925966805971279872', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"产品线\\\": \\\"1号产线\\\",    \\\"一次通过数\\\": \\\"122\\\",    \\\"一次未合格\\\": \\\"89\\\"  },  {    \\\"产品线\\\": \\\"2号产线\\\",    \\\"一次通过数\\\": \\\"122\\\",    \\\"一次未合格\\\": \\\"89\\\"  },  {    \\\"产品线\\\": \\\"3号产线\\\",    \\\"一次通过数\\\": \\\"122\\\",    \\\"一次未合格\\\": \\\"89\\\"  },  {    \\\"产品线\\\": \\\"4号产线\\\",    \\\"一次通过数\\\": \\\"122\\\",    \\\"一次未合格\\\": \\\"89\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":397},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"headerBgColor\":\"#50E3C2\",\"headerColor\":\"#7ED321\",\"bodyColor\":\"#000000\",\"bodyBgColor\":\"#FFFFFF\",\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666803597312', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"设备监控\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":322},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666828763136', NULL, '925966805971279872', NULL, 'JText', '{\"chartData\":\"投入产出监控\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":124},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666849734656', NULL, '925966805971279872', NULL, 'JStackBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"1号产线\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"缺勤人数\\\"  },  {    \\\"name\\\": \\\"2号产线\\\",    \\\"value\\\": 8,    \\\"type\\\": \\\"缺勤人数\\\"  },  {    \\\"name\\\": \\\"3号产线\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"缺勤人数\\\"  },  {    \\\"name\\\": \\\"4号产线\\\",    \\\"value\\\": 4,    \\\"type\\\": \\\"缺勤人数\\\"  },  {    \\\"name\\\": \\\"1号产线\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"出勤人数\\\"  },  {    \\\"name\\\": \\\"2号产线\\\",    \\\"value\\\": 30,    \\\"type\\\": \\\"出勤人数\\\"  },  {    \\\"name\\\": \\\"3号产线\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"出勤人数\\\"  },  {    \\\"name\\\": \\\"4号产线\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"出勤人数\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":188},\"background\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#7ED321\"},{\"color\":\"#F8E71C\"},{\"color\":\"#F5A623\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[{\"label\":{\"color\":\"#000000\"}}],\"legend\":{\"t\":1},\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"top\":1,\"show\":true,\"text\":\"产线出勤人数\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666866511872', NULL, '925966805971279872', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"订单号\\\": \\\"DD001\\\",    \\\"需求量\\\": \\\"59658\\\",    \\\"库存量\\\": \\\"7895\\\"  },  {    \\\"订单号\\\": \\\"DD002\\\",    \\\"需求量\\\": \\\"4658\\\",    \\\"库存量\\\": \\\"395\\\"  },  {    \\\"订单号\\\": \\\"DD003\\\",    \\\"需求量\\\": \\\"89658\\\",    \\\"库存量\\\": \\\"1895\\\"  },  {    \\\"订单号\\\": \\\"DD004\\\",    \\\"需求量\\\": \\\"39658\\\",    \\\"库存量\\\": \\\"9905\\\"  },  {    \\\"订单号\\\": \\\"DD005\\\",    \\\"需求量\\\": \\\"79658\\\",    \\\"库存量\\\": \\\"7895\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":364},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666879094784', NULL, '925966805971279872', NULL, 'JMixLineBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"1号产品\\\",    \\\"value\\\": 110,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"2号产品\\\",    \\\"value\\\": 130,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"3号产品\\\",    \\\"value\\\": 113.5,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"4号产品\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"5号产品\\\",    \\\"value\\\": 240.9,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"6号产品\\\",    \\\"value\\\": 160,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"7号产品\\\",    \\\"value\\\": 97,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"8号产品\\\",    \\\"value\\\": 290,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"9号产品\\\",    \\\"value\\\": 230,    \\\"type\\\": \\\"通过质检数\\\"  },  {    \\\"name\\\": \\\"1号产品\\\",    \\\"value\\\": 133,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"2号产品\\\",    \\\"value\\\": 235,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"3号产品\\\",    \\\"value\\\": 187,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"4号产品\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"5号产品\\\",    \\\"value\\\": 69,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"6号产品\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"7号产品\\\",    \\\"value\\\": 37,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"8号产品\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"9号产品\\\",    \\\"value\\\": 33,    \\\"type\\\": \\\"未通过质检数\\\"  },  {    \\\"name\\\": \\\"1号产品\\\",    \\\"value\\\": 12,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"2号产品\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"3号产品\\\",    \\\"value\\\": 20,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"4号产品\\\",    \\\"value\\\": 15,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"5号产品\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"6号产品\\\",    \\\"value\\\": 16,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"7号产品\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"8号产品\\\",    \\\"value\\\": 29,    \\\"type\\\": \\\"通过率\\\"  },  {    \\\"name\\\": \\\"9号产品\\\",    \\\"value\\\": 23,    \\\"type\\\": \\\"通过率\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":797,\"height\":430},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"seriesType\":[{\"series\":\"通过质检数\",\"type\":\"bar\"},{\"series\":\"通过率\",\"type\":\"bar\"},{\"series\":\"未通过质检数\",\"type\":\"line\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":true,\"text\":\"产量与不良率统计\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666904260608', NULL, '925966805971279872', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"设备编号\\\": \\\"HT001\\\",    \\\"产品线\\\": \\\"6号产线\\\",    \\\"开始时间\\\": \\\"2023-10-24\\\",    \\\"产量损失\\\": \\\"1589\\\",    \\\"影响工时\\\": \\\"8\\\"  },  {    \\\"设备编号\\\": \\\"HT589\\\",    \\\"产品线\\\": \\\"4号产线\\\",    \\\"开始时间\\\": \\\"2023-11-14\\\",    \\\"产量损失\\\": \\\"89\\\",    \\\"影响工时\\\": \\\"3\\\"  },  {    \\\"设备编号\\\": \\\"HT008\\\",    \\\"产品线\\\": \\\"1号产线\\\",    \\\"开始时间\\\": \\\"2023-12-24\\\",    \\\"产量损失\\\": \\\"15\\\",    \\\"影响工时\\\": \\\"1\\\"  },  {    \\\"设备编号\\\": \\\"HT0034\\\",    \\\"产品线\\\": \\\"6号产线\\\",    \\\"开始时间\\\": \\\"2023-10-24\\\",    \\\"产量损失\\\": \\\"1589\\\",    \\\"影响工时\\\": \\\"10\\\"  },  {    \\\"设备编号\\\": \\\"HT0011\\\",    \\\"产品线\\\": \\\"6号产线\\\",    \\\"开始时间\\\": \\\"2023-10-24\\\",    \\\"产量损失\\\": \\\"3589\\\",    \\\"影响工时\\\": \\\"16\\\"  },  {    \\\"设备编号\\\": \\\"HT00113\\\",    \\\"产品线\\\": \\\"7号产线\\\",    \\\"开始时间\\\": \\\"2023-11-24\\\",    \\\"产量损失\\\": \\\"1589\\\",    \\\"影响工时\\\": \\\"8\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":461,\"height\":353},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('925987666925232128', NULL, '925966805971279872', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"高负荷\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"检修\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"低速\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"正常\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":326,\"height\":353},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-08 15:51:14', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733693940277248', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"2023年度消费者权益保护\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#698F38\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733693998997504', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"消费维权信息量\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694024163328', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"5823万\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":50},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694045134848', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"网络传播热度指数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694066106368', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"86.23\",\"borderColor\":\"#69AAF5\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":47},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694087077888', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"头部用户影响力\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#E8F2DC\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694099660800', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"消费维权信息走势\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#E8F2DC\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694116438016', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"消费维权数据盘点\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":663,\"height\":45},\"background\":\"#E8F2DC\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694141603840', NULL, '925988379923357696', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"男性\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"女性\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":326,\"height\":265},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"customColor\":[{\"color\":\"#B8E986\"},{\"color\":\"#7ED321\"}],\"grid\":{\"top\":41,\"left\":49,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":2,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694166769664', NULL, '925988379923357696', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 100,    \\\"name\\\": \\\"1月\\\"  },  {    \\\"value\\\": 150,    \\\"name\\\": \\\"2月\\\"  },  {    \\\"value\\\": 60,    \\\"name\\\": \\\"3月\\\"  },  {    \\\"value\\\": 190,    \\\"name\\\": \\\"4月\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"5月\\\"  },  {    \\\"value\\\": 200,    \\\"name\\\": \\\"6月\\\"  },  {    \\\"value\\\": 150,    \\\"name\\\": \\\"7月\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"8月\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":243},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":33,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694179352576', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"博文阅读量：569万\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":259,\"height\":56},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#417505\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":37},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694200324096', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"互动量：1.68 亿\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#417505\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":21},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694217101312', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"性别—年龄分布\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":663,\"height\":45},\"background\":\"#E8F2DC\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694233878528', NULL, '925988379923357696', NULL, 'JText', '{\"chartData\":\"用户数：605万\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":192,\"height\":56},\"background\":\"#E6CDA5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#417505\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":26},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694246461440', NULL, '925988379923357696', NULL, 'JBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"70前\\\",    \\\"value\\\": 1879  },  {    \\\"name\\\": \\\"70-80\\\",    \\\"value\\\": 3879  },  {    \\\"name\\\": \\\"80-90\\\",    \\\"value\\\": 2879  },  {    \\\"name\\\": \\\"95后\\\",    \\\"value\\\": 5479  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":326,\"height\":265},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"interval\":2}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":12,\"left\":38,\"bottom\":81,\"show\":false},\"series\":[{\"barWidth\":40,\"data\":[],\"itemStyle\":{\"color\":\"#64b5f6\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"基础柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694259044352', NULL, '925988379923357696', NULL, 'JScatter', '{\"chartData\":\"[  {    \\\"name\\\": \\\"1月\\\",    \\\"value\\\": 300  },  {    \\\"name\\\": \\\"2月\\\",    \\\"value\\\": 500  },  {    \\\"name\\\": \\\"3月\\\",    \\\"value\\\": 920  },  {    \\\"name\\\": \\\"4月\\\",    \\\"value\\\": 320  },  {    \\\"name\\\": \\\"5月\\\",    \\\"value\\\": 200  },  {    \\\"name\\\": \\\"6月\\\",    \\\"value\\\": 400  },  {    \\\"name\\\": \\\"7月\\\",    \\\"value\\\": 260  },  {    \\\"name\\\": \\\"8月\\\",    \\\"value\\\": 120  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":663,\"height\":364},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"symbolSize\":20,\"itemStyle\":{\"color\":\"#64b5f6\"},\"label\":{\"color\":\"#787575\",\"show\":false},\"type\":\"scatter\"}],\"tooltip\":{\"formatter\":\"x:{b}<br/>y:{c}\",\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"消费权益相关话题\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694267432960', NULL, '925988379923357696', NULL, 'JStepLine', '{\"chartData\":\"[  {    \\\"value\\\": 10,    \\\"name\\\": \\\"1月\\\"  },  {    \\\"value\\\": 15,    \\\"name\\\": \\\"2月\\\"  },  {    \\\"value\\\": 30,    \\\"name\\\": \\\"3月\\\"  },  {    \\\"value\\\": 29,    \\\"name\\\": \\\"4月\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"5月\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"6月\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":254},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"name\":\"阅读量(亿)\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":37,\"left\":34,\"bottom\":65,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"step\":\"middle\",\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"阶梯折线图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694284210176', NULL, '925988379923357696', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"视频\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"网站\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"微信\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"微博\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"客户端\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":408},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#70B324\"},{\"color\":\"#50E3C2\"},{\"color\":\"#F0E032\"},{\"color\":\"#7ED321\"},{\"color\":\"#FFA600\"}],\"grid\":{\"top\":49,\"left\":51,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"color\":\"#000000\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"show\":false},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"top\":1,\"left\":1,\"show\":true,\"text\":\"内容来源占比\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694296793088', NULL, '925988379923357696', NULL, 'JProgress', '{\"chartData\":\"[  {    \\\"name\\\": \\\"阅读量\\\",    \\\"value\\\": 69.86  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":155},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#000000\"}},\"grid\":{\"show\":false},\"series\":[{\"barWidth\":19,\"color\":\"#417505\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"zlevel\":1,\"label\":{\"formatter\":\"{c}{a}\",\"offset\":[0,-40],\"color\":\"black\",\"show\":true,\"fontSize\":24,\"position\":\"right\"}},{\"barWidth\":19,\"color\":\"#DCF2C2\",\"barGap\":\"-100%\",\"itemStyle\":{\"normal\":{\"barBorderRadius\":10}},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"基础进度图\",\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927733694309376000', NULL, '925988379923357696', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"中性信息\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"敏感信息\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"非敏感信息\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":394,\"height\":232},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"customColor\":[{\"color\":\"#417505\"},{\"color\":\"#B8E986\"},{\"color\":\"#F5A623\"}],\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\",\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":false,\"tooltip\":{\"trigger\":\"item\"},\"outRadius\":43,\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"敏感信息与非敏感信息占比\",\"textStyle\":{\"color\":\"#464646\"}},\"innerRadius\":87,\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 11:29:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205680885760', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"2023年度医美行业网络关注度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#23BAD9\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205706051584', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"公立整形外科热度指数TOP10美誉度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":24},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205718634496', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"敏感信息与非敏感信息占比\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205731217408', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"医美行业事件\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":24},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205743800320', NULL, '925988240575995904', NULL, 'JFunnel', '{\"chartData\":\"[  {    \\\"value\\\": 15,    \\\"name\\\": \\\"美白针\\\"  },  {    \\\"value\\\": 5,    \\\"name\\\": \\\"光子嫩肤\\\"  },  {    \\\"value\\\": 23,    \\\"name\\\": \\\"半永久纹眉\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"果酸换肤\\\"  },  {    \\\"value\\\": 234,    \\\"name\\\": \\\"全瓷牙\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"color\":\"#787575\",\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205756383232', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"非公立连锁医美机构热度指数TOP10\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205773160448', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"医美行业全网信息量走势\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205794131968', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"医美项目热度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":8},\"title\":{\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205806714880', NULL, '925988240575995904', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 10,    \\\"name\\\": \\\"1月\\\"  },  {    \\\"value\\\": 15,    \\\"name\\\": \\\"2月\\\"  },  {    \\\"value\\\": 6,    \\\"name\\\": \\\"3月\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"4月\\\"  },  {    \\\"value\\\": 30,    \\\"name\\\": \\\"5月\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"6月\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":23,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205823492096', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"公立整形外科热度指数TOP10\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205836075008', NULL, '925988240575995904', NULL, 'JMultipleBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"水光针\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":29,\"left\":31,\"bottom\":62,\"right\":8},\"series\":[{\"label\":{\"color\":\"#787575\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"多数据对比柱形图\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205852852224', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"医美行业热点事件TOP50分类\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"bodyColor\":\"#000000\",\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":11},\"bodyBgColor\":\"#FFFFFF\",\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205865435136', NULL, '925988240575995904', NULL, 'JText', '{\"chartData\":\"各年龄段对医美项目TOP3关注度对比\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205873823744', NULL, '925988240575995904', NULL, 'JMixLineBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"华美美容院\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"美莱美容院\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"爱美美容院\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"一星美容院\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"慧美美容院\\\",    \\\"value\\\": 2,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"华美美容院\\\",    \\\"value\\\": 33,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"美莱美容院\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"爱美美容院\\\",    \\\"value\\\": 37,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"一星美容院\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"慧美美容院\\\",    \\\"value\\\": 34.9,    \\\"type\\\": \\\"美誉度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"seriesType\":[{\"series\":\"传播热度指数\",\"type\":\"bar\"},{\"series\":\"美誉度\",\"type\":\"line\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"rotate\":-33,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"折柱图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205890600960', NULL, '925988240575995904', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"江苏人民医院\\\",    \\\"value\\\": 55,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"上海人民医院\\\",    \\\"value\\\": 14,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京大学第一医院\\\",    \\\"value\\\": 31.5,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京朝阳医院\\\",    \\\"value\\\": 53,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京协和医院\\\",    \\\"value\\\": 41.9,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"八大处医院\\\",    \\\"value\\\": 61,    \\\"type\\\": \\\"传播热度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":8,\"left\":113,\"bottom\":71,\"right\":59},\"series\":[{\"barWidth\":17,\"itemStyle\":{\"color\":\"#F099E1EE\"},\"label\":{\"color\":\"#000000\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205903183872', NULL, '925988240575995904', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"江苏人民医院\\\",    \\\"value\\\": 88,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"上海人民医院\\\",    \\\"value\\\": 76,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京大学第一医院\\\",    \\\"value\\\": 92,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京朝阳医院\\\",    \\\"value\\\": 53,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京协和医院\\\",    \\\"value\\\": 90,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"八大处医院\\\",    \\\"value\\\": 98.7,    \\\"type\\\": \\\"美誉度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":19,\"left\":109,\"bottom\":60,\"right\":31},\"series\":[{\"barWidth\":18,\"itemStyle\":{\"color\":\"#50E3C2\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205915766784', NULL, '925988240575995904', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 46,    \\\"name\\\": \\\"涉机构事件\\\"  },  {    \\\"value\\\": 54,    \\\"name\\\": \\\"涉行业事件\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#F099E1EE\"},{\"color\":\"#23BAD9\"}],\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"color\":\"#000000\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"r\":26},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205924155392', NULL, '925988240575995904', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"医美行业热点事件\\\": \\\"FDA批准新一代A型肉毒素上市\\\",    \\\"传播热度指数\\\": 6.25  },  {    \\\"医美行业热点事件\\\": \\\"多地医保局发布口腔种植收费调查登记的通知\\\",    \\\"传播热度指数\\\": 5.3  },  {    \\\"医美行业热点事件\\\": \\\"种植牙服务价格下调\\\",    \\\"传播热度指数\\\": 4  },  {    \\\"医美行业热点事件\\\": \\\"消保委2023年受理消费者投诉41万余件 涉及医美等多个方面\\\",    \\\"传播热度指数\\\": 7.23  },  {    \\\"医美行业热点事件\\\": \\\"轻医美-收费不透明\\\",    \\\"传播热度指数\\\": 3.6  },  {    \\\"医美行业热点事件\\\": \\\"专家提醒:低价医美有风险\\\",    \\\"传播热度指数\\\": 2  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"headerBgColor\":\"#C1EEF7\",\"headerColor\":\"#417505\",\"bodyColor\":\"#000000\",\"bodyBgColor\":\"#FFFFFF\",\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('927766205936738304', NULL, '925988240575995904', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 4.61,    \\\"name\\\": \\\"敏感\\\"  },  {    \\\"value\\\": 95.39,    \\\"name\\\": \\\"非敏感\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#F099E1EE\"},{\"color\":\"#6AD5EB\"}],\"grid\":{\"top\":45,\"left\":42,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"color\":\"#000000\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-03-13 13:38:31', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('960809684834549760', NULL, '905620097363705856', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"sex\",\"filed\":\"维度\"},{\"mapping\":\"count\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"cc1请假性别汇总\",\"query\":[],\"dataSetApi\":\"SELECT sex, COUNT(*) as countFROM ceshi_aaaGROUP BY sex;\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"height\":300},\"dataSetId\":\"925264960069664768\",\"fieldOption\":[{\"label\":\"性别\",\"text\":\"性别\",\"value\":\"sex\"},{\"label\":\"数量\",\"text\":\"数量\",\"value\":\"count\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#F7AA2D\",\"#4A90E2\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\"},\"type\":\"pie\",\"radius\":\"50%\"}],\"isRadius\":false,\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-06-12 18:01:30', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982177939456', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"2023年度医美行业网络关注度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#23BAD9\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982203105280', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"公立整形外科热度指数TOP10美誉度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":24},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982224076800', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"敏感信息与非敏感信息占比\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":11},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982240854016', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"医美行业事件\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":56},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":24},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982257631232', NULL, '964024982110830592', NULL, 'JFunnel', '{\"chartData\":\"[  {    \\\"value\\\": 15,    \\\"name\\\": \\\"美白针\\\"  },  {    \\\"value\\\": 5,    \\\"name\\\": \\\"光子嫩肤\\\"  },  {    \\\"value\\\": 23,    \\\"name\\\": \\\"半永久纹眉\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"果酸换肤\\\"  },  {    \\\"value\\\": 234,    \\\"name\\\": \\\"全瓷牙\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"color\":\"#787575\",\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982274408448', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"非公立连锁医美机构热度指数TOP10\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982291185664', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"医美行业全网信息量走势\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982303768576', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"医美项目热度\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":8},\"title\":{\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982316351488', NULL, '964024982110830592', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 10,    \\\"name\\\": \\\"1月\\\"  },  {    \\\"value\\\": 15,    \\\"name\\\": \\\"2月\\\"  },  {    \\\"value\\\": 6,    \\\"name\\\": \\\"3月\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"4月\\\"  },  {    \\\"value\\\": 30,    \\\"name\\\": \\\"5月\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"6月\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":23,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"show\":false,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982328934400', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"公立整形外科热度指数TOP10\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982345711616', NULL, '964024982110830592', NULL, 'JMultipleBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"光子嫩肤\\\"  },  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"热玛吉\\\"  },  {    \\\"name\\\": \\\"19岁以下\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"20-29岁\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"30-39岁\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"水光针\\\"  },  {    \\\"name\\\": \\\"39岁以上\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"水光针\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":29,\"left\":31,\"bottom\":62,\"right\":8},\"series\":[{\"label\":{\"color\":\"#787575\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"多数据对比柱形图\",\"subtextStyle\":{\"color\":\"#464646\"},\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982362488832', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"医美行业热点事件TOP50分类\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"bodyColor\":\"#000000\",\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":11},\"bodyBgColor\":\"#FFFFFF\",\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982375071744', NULL, '964024982110830592', NULL, 'JText', '{\"chartData\":\"各年龄段对医美项目TOP3关注度对比\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":45},\"background\":\"#FFFFFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#23BAD9\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982387654656', NULL, '964024982110830592', NULL, 'JMixLineBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"华美美容院\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"美莱美容院\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"爱美美容院\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"一星美容院\\\",    \\\"value\\\": 9,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"慧美美容院\\\",    \\\"value\\\": 2,    \\\"type\\\": \\\"传播热度指数\\\"  },  {    \\\"name\\\": \\\"华美美容院\\\",    \\\"value\\\": 33,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"美莱美容院\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"爱美美容院\\\",    \\\"value\\\": 37,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"一星美容院\\\",    \\\"value\\\": 35,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"慧美美容院\\\",    \\\"value\\\": 34.9,    \\\"type\\\": \\\"美誉度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"seriesType\":[{\"series\":\"传播热度指数\",\"type\":\"bar\"},{\"series\":\"美誉度\",\"type\":\"line\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"rotate\":-33,\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"折柱图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982412820480', NULL, '964024982110830592', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"江苏人民医院\\\",    \\\"value\\\": 55,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"上海人民医院\\\",    \\\"value\\\": 14,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京大学第一医院\\\",    \\\"value\\\": 31.5,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京朝阳医院\\\",    \\\"value\\\": 53,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"北京协和医院\\\",    \\\"value\\\": 41.9,    \\\"type\\\": \\\"传播热度\\\"  },  {    \\\"name\\\": \\\"八大处医院\\\",    \\\"value\\\": 61,    \\\"type\\\": \\\"传播热度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":8,\"left\":113,\"bottom\":71,\"right\":59},\"series\":[{\"barWidth\":17,\"itemStyle\":{\"color\":\"#F099E1EE\"},\"label\":{\"color\":\"#000000\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982429597696', NULL, '964024982110830592', NULL, 'JDynamicBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"江苏人民医院\\\",    \\\"value\\\": 88,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"上海人民医院\\\",    \\\"value\\\": 76,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京大学第一医院\\\",    \\\"value\\\": 92,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京朝阳医院\\\",    \\\"value\\\": 53,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"北京协和医院\\\",    \\\"value\\\": 90,    \\\"type\\\": \\\"美誉度\\\"  },  {    \\\"name\\\": \\\"八大处医院\\\",    \\\"value\\\": 98.7,    \\\"type\\\": \\\"美誉度\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":19,\"left\":109,\"bottom\":60,\"right\":31},\"series\":[{\"barWidth\":18,\"itemStyle\":{\"color\":\"#50E3C2\"}}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"动态柱形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982454763520', NULL, '964024982110830592', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 46,    \\\"name\\\": \\\"涉机构事件\\\"  },  {    \\\"value\\\": 54,    \\\"name\\\": \\\"涉行业事件\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":320},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#F099E1EE\"},{\"color\":\"#23BAD9\"}],\"grid\":{\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"color\":\"#000000\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"r\":26},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982467346432', NULL, '964024982110830592', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"医美行业热点事件\\\": \\\"FDA批准新一代A型肉毒素上市\\\",    \\\"传播热度指数\\\": 6.25  },  {    \\\"医美行业热点事件\\\": \\\"多地医保局发布口腔种植收费调查登记的通知\\\",    \\\"传播热度指数\\\": 5.3  },  {    \\\"医美行业热点事件\\\": \\\"种植牙服务价格下调\\\",    \\\"传播热度指数\\\": 4  },  {    \\\"医美行业热点事件\\\": \\\"消保委2023年受理消费者投诉41万余件 涉及医美等多个方面\\\",    \\\"传播热度指数\\\": 7.23  },  {    \\\"医美行业热点事件\\\": \\\"轻医美-收费不透明\\\",    \\\"传播热度指数\\\": 3.6  },  {    \\\"医美行业热点事件\\\": \\\"专家提醒:低价医美有风险\\\",    \\\"传播热度指数\\\": 2  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"headerBgColor\":\"#C1EEF7\",\"headerColor\":\"#417505\",\"bodyColor\":\"#000000\",\"bodyBgColor\":\"#FFFFFF\",\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('964024982484123648', NULL, '964024982110830592', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 4.61,    \\\"name\\\": \\\"敏感\\\"  },  {    \\\"value\\\": 95.39,    \\\"name\\\": \\\"非敏感\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":528,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#F099E1EE\"},{\"color\":\"#6AD5EB\"}],\"grid\":{\"top\":45,\"left\":42,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"itemStyle\":{\"color\":\"#64B5F6\"},\"label\":{\"color\":\"#000000\",\"show\":true,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-21 14:57:57', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('965151751631110144', NULL, '965151123370508288', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"sex\",\"filed\":\"维度\"},{\"mapping\":\"days\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"qingjia\",\"query\":[],\"h\":30,\"dataSetApi\":\"select * from qingjia_dan\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":1611,\"height\":386},\"dataSetId\":\"965151322172129280\",\"fieldOption\":[{\"label\":\"id\",\"text\":\"id\",\"value\":\"id\"},{\"label\":\"create_by\",\"text\":\"create_by\",\"value\":\"create_by\"},{\"label\":\"create_time\",\"text\":\"create_time\",\"value\":\"create_time\"},{\"label\":\"update_by\",\"text\":\"update_by\",\"value\":\"update_by\"},{\"label\":\"update_time\",\"text\":\"update_time\",\"value\":\"update_time\"},{\"label\":\"sys_org_code\",\"text\":\"sys_org_code\",\"value\":\"sys_org_code\"},{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"sex\",\"text\":\"sex\",\"value\":\"sex\"},{\"label\":\"age\",\"text\":\"age\",\"value\":\"age\"},{\"label\":\"descc\",\"text\":\"descc\",\"value\":\"descc\"},{\"label\":\"days\",\"text\":\"days\",\"value\":\"days\"},{\"label\":\"be_date\",\"text\":\"be_date\",\"value\":\"be_date\"},{\"label\":\"end_date\",\"text\":\"end_date\",\"value\":\"end_date\"}],\"dataSetType\":\"sql\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"name\":\"\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\"},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"基础饼图\",\"textStyle\":{\"fontWeight\":\"normal\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-06-24 17:35:19', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332441996427264', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"北京公司2023年度招聘看板\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":1604,\"height\":78},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":30,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":500},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442126450688', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"简历投递数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442151616512', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"386\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#22B6D4\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":50},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442168393728', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"入职人数\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#69AAF5\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":24},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442193559552', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"15\",\"borderColor\":\"#69AAF5\",\"size\":{\"width\":144,\"height\":56},\"background\":\"#4A90E2\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":13,\"marginLeft\":47},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442269057024', NULL, '965205492447150080', NULL, 'JRing', '{\"chartData\":\"[  {    \\\"value\\\": 121,    \\\"name\\\": \\\"四川省\\\"  },  {    \\\"value\\\": 251,    \\\"name\\\": \\\"山东省\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"北京市\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"河北省\\\"  },  {    \\\"value\\\": 300,    \\\"name\\\": \\\"河南省\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":166},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":38,\"left\":52,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"avoidLabelOverlap\":false,\"emphasis\":{\"label\":{\"show\":true,\"fontSize\":\"25\",\"fontWeight\":\"bold\"}},\"label\":{\"color\":\"#000000\",\"show\":false,\"position\":\"center\"},\"labelLine\":{\"show\":false},\"type\":\"pie\",\"radius\":[\"40%\",\"70%\"]}],\"legend\":{\"show\":false},\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"基础环形图\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442290028544', NULL, '965205492447150080', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#F7F7F7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"区域\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":1,\"h\":50,\"activeKey\":1,\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"chartData\":\"[  {    \\\"name\\\": \\\"北京\\\",    \\\"value\\\": 199  },  {    \\\"name\\\": \\\"山东\\\",    \\\"value\\\": 180  },  {    \\\"name\\\": \\\"四川\\\",    \\\"value\\\": 137  },  {    \\\"name\\\": \\\"新疆\\\",    \\\"value\\\": 125  },  {    \\\"name\\\": \\\"河南\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"广东\\\",    \\\"value\\\": 123  }]\",\"size\":{\"width\":298,\"height\":331},\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"option\":{\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"中国\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"china\"],\"markerType\":\"effectScatter\"},\"headerBgColor\":\"#FFFFFF\",\"bodyColor\":\"#000000\",\"legend\":{\"data\":[]},\"title\":{\"top\":1,\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"bodyBgColor\":\"#FFFFFF\",\"drillDown\":false,\"geo\":{\"top\":38,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#A9A9A9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80D9F8\"},\"emphasis\":{\"areaColor\":\"#FFF59C\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"headerColor\":\"#000000\",\"grid\":{\"bottom\":115,\"show\":false},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442306805760', NULL, '965205492447150080', NULL, 'JFunnel', '{\"chartData\":\"[  {    \\\"value\\\": 15,    \\\"name\\\": \\\"入职\\\"  },  {    \\\"value\\\": 5,    \\\"name\\\": \\\"待入职\\\"  },  {    \\\"value\\\": 23,    \\\"name\\\": \\\"一面\\\"  },  {    \\\"value\\\": 10,    \\\"name\\\": \\\"HR沟通\\\"  },  {    \\\"value\\\": 234,    \\\"name\\\": \\\"收到简历\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":331},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/funnel\",\"timeOut\":0,\"option\":{\"grid\":{\"bottom\":115},\"legend\":{\"orient\":\"horizontal\"},\"series\":[{\"left\":\"10%\",\"gap\":2,\"name\":\"Funnel\",\"width\":\"80%\",\"emphasis\":{\"label\":{\"fontSize\":20}},\"itemStyle\":{\"borderColor\":\"#fff\",\"borderWidth\":1},\"sort\":\"descending\",\"label\":{\"show\":true,\"position\":\"inside\"},\"labelLine\":{\"lineStyle\":{\"width\":1,\"type\":\"solid\"},\"length\":10},\"type\":\"funnel\"}],\"tooltip\":{\"formatter\":\"{a} <br/>{b} : {c}%\",\"trigger\":\"item\"},\"title\":{\"show\":false,\"text\":\"基础漏斗图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442323582976', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"概览\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442340360192', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"候选人分布\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442357137408', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"漏斗图\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442373914624', NULL, '965205492447150080', NULL, 'JPie', '{\"chartData\":\"[  {    \\\"value\\\": 1048,    \\\"name\\\": \\\"双一流大学\\\"  },  {    \\\"value\\\": 735,    \\\"name\\\": \\\"双一流学科\\\"  },  {    \\\"value\\\": 580,    \\\"name\\\": \\\"211\\\"  },  {    \\\"value\\\": 484,    \\\"name\\\": \\\"985\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":155},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"option\":{\"grid\":{\"top\":30,\"left\":46,\"bottom\":115,\"show\":false},\"legend\":{\"r\":1,\"orient\":\"vertical\",\"t\":2,\"show\":false},\"series\":[{\"data\":[],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":false,\"text\":\"基础饼图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442386497536', NULL, '965205492447150080', NULL, 'JSmoothLine', '{\"chartData\":\"[  {    \\\"value\\\": 10,    \\\"name\\\": \\\"03-12\\\"  },  {    \\\"value\\\": 15,    \\\"name\\\": \\\"03-22\\\"  },  {    \\\"value\\\": 6,    \\\"name\\\": \\\"03-18\\\"  },  {    \\\"value\\\": 19,    \\\"name\\\": \\\"04-12\\\"  },  {    \\\"value\\\": 30,    \\\"name\\\": \\\"05-29\\\"  },  {    \\\"value\\\": 20,    \\\"name\\\": \\\"08-29\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":199},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"option\":{\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":33,\"left\":23,\"bottom\":77,\"show\":false,\"right\":25},\"series\":[{\"data\":[],\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"subtext\":\"\",\"top\":1,\"left\":1,\"text\":\"简历投递日期分布\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442399080448', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"渠道质量\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":3,\"marginLeft\":5},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442415857664', NULL, '965205492447150080', NULL, 'JMultipleBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"人才库\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"招聘网站\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"其他渠道\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"内推\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"通过数\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":309},\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"background\":\"#FFFFFF\",\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"grid\":{\"top\":29,\"left\":31,\"bottom\":62,\"right\":8},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\"},\"title\":{\"show\":false,\"text\":\"多数据对比柱形图\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442428440576', NULL, '965205492447150080', NULL, 'JCommonTable', '{\"chartData\":\"[  {    \\\"姓名\\\": \\\"陈萌萌\\\",    \\\"筛选简历数\\\": \\\"122\\\",    \\\"推给用人部门\\\": \\\"89\\\",    \\\"面试安排\\\": \\\"40\\\",    \\\"面试通过\\\": \\\"10\\\"  },  {    \\\"姓名\\\": \\\"肖强\\\",    \\\"筛选简历数\\\": \\\"62\\\",    \\\"推给用人部门\\\": \\\"19\\\",    \\\"面试安排\\\": \\\"9\\\",    \\\"面试通过\\\": \\\"1\\\"  },  {    \\\"姓名\\\": \\\"陈晨\\\",    \\\"筛选简历数\\\": \\\"97\\\",    \\\"推给用人部门\\\": \\\"49\\\",    \\\"面试安排\\\": \\\"29\\\",    \\\"面试通过\\\": \\\"15\\\"  },  {    \\\"姓名\\\": \\\"李丽\\\",    \\\"筛选简历数\\\": \\\"47\\\",    \\\"推给用人部门\\\": \\\"29\\\",    \\\"面试安排\\\": \\\"19\\\",    \\\"面试通过\\\": \\\"5\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":309},\"background\":\"#FFFFFF\",\"w\":24,\"dataType\":1,\"h\":42,\"linkageConfig\":[],\"timeOut\":-1,\"option\":{\"headerBgColor\":\"#50E3C2\",\"headerColor\":\"#7ED321\",\"bodyColor\":\"#000000\",\"bodyBgColor\":\"#FFFFFF\",\"body\":{\"color\":\"#000000\"},\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442453606400', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"招聘工作量细化\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":605,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"headerBgColor\":\"#FFFFFF\",\"headerColor\":\"#000000\",\"bodyColor\":\"#000000\",\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":11},\"bodyBgColor\":\"#FFFFFF\",\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442470383616', NULL, '965205492447150080', NULL, 'JText', '{\"chartData\":\"工作年限对岗位偏好与匹配\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":45},\"background\":\"#DBEAFF\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#4A90E2\",\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":5,\"marginLeft\":8},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993332442487160832', NULL, '965205492447150080', NULL, 'JStackBar', '{\"chartData\":\"[  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 150,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 269,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 81,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 67,    \\\"type\\\": \\\"投递数\\\"  },  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 50,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 100,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 10,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 45,    \\\"type\\\": \\\"面试数\\\"  },  {    \\\"name\\\": \\\"不满1年\\\",    \\\"value\\\": 13,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"1-3年\\\",    \\\"value\\\": 24,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"3-5年\\\",    \\\"value\\\": 5,    \\\"type\\\": \\\"通过数\\\"  },  {    \\\"name\\\": \\\"5-10年\\\",    \\\"value\\\": 25,    \\\"type\\\": \\\"通过数\\\"  }]\",\"borderColor\":\"#FFFFFF00\",\"size\":{\"width\":298,\"height\":309},\"background\":\"#FFFFFF\",\"dataMapping\":[{\"mapping\":\"\",\"filed\":\"分组\"},{\"mapping\":\"\",\"filed\":\"维度\"},{\"mapping\":\"\",\"filed\":\"数值\"}],\"dataType\":1,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"url\":\"http://api.jeecg.com/mock/26/stackedBar\",\"timeOut\":0,\"option\":{\"customColor\":[{\"color\":\"#7ED321\"},{\"color\":\"#F8E71C\"},{\"color\":\"#F5A623\"}],\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"bottom\":115},\"series\":[],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":false,\"text\":\"堆叠柱形图\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-09-10 11:55:20', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146221527040', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"小 区 消 防 巡 检 状 态\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1817,\"height\":78},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":36,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146250887168', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"区域基本情况\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":11,\"marginLeft\":37},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146267664384', NULL, '993809146154418176', NULL, 'JList', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"标题\"},{\"mapping\":\"\",\"filed\":\"描述\"},{\"mapping\":\"value\",\"filed\":\"时间\"},{\"mapping\":\"\",\"filed\":\"封面\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域基本情况\",\"query\":[],\"h\":24,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=regionBasicInformation\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/42/list\",\"timeOut\":-1,\"chartData\":\"[{\\\"title\\\":\\\"通知一\\\",\\\"date\\\":\\\"2022-3-9 14:20:21\\\"},{\\\"title\\\":\\\"通知二\\\",\\\"date\\\":\\\"2022-3-8 14:20:21\\\"},{\\\"title\\\":\\\"通知三\\\",\\\"date\\\":\\\"2022-3-7 14:20:21\\\"},{\\\"title\\\":\\\"通知四\\\",\\\"date\\\":\\\"2022-3-4 14:20:21\\\"}]\",\"size\":{\"width\":599,\"height\":177},\"dataSetId\":\"910750488542625792\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":12,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"layout\":\"horizontal\",\"showTitlePrefix\":true,\"titleFontSize\":18,\"showTimePrefix\":false,\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146288635904', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"设备总数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":16,\"marginLeft\":34},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146305413120', NULL, '993809146154418176', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"dataType\":2,\"dataSetName\":\"正常设备\",\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=normalDevice\",\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{  \\\"value\\\": \\\"15990\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754028661030912\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"正常设备\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146326384640', NULL, '993809146154418176', NULL, 'JNumber', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"异常设备\",\"query\":[],\"h\":9,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=abnormalDevice\",\"drillData\":[],\"analysis\":{\"isCompare\":false,\"compareType\":\"\",\"trendType\":\"1\"},\"timeOut\":0,\"chartData\":\"{\\\"value\\\":\\\"1024\\\"}\",\"size\":{\"width\":599,\"height\":122},\"dataSetId\":\"910754465934000128\",\"fieldOption\":[{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":5,\"turnConfig\":{\"url\":\"\"},\"dataSetIzAgent\":\"0\",\"option\":{\"isCompare\":false,\"trendType\":\"1\",\"body\":{\"color\":\"#000000\",\"text\":\"\",\"fontWeight\":\"bold\"},\"card\":{\"rightHref\":\"\",\"size\":\"small\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#464646\",\"fontSize\":18,\"fontWeight\":\"bold\"},\"title\":\"异常设备\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146343161856', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"设备异常明细\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":599,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":15,\"marginLeft\":32},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146355744768', NULL, '993809146154418176', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"设备异常明细\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=equipmentDetails\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":551},\"dataSetId\":\"910759432656830464\",\"fieldOption\":[{\"label\":\"小区名称\",\"text\":\"小区名称\",\"value\":\"name\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"设备状态\",\"text\":\"设备状态\",\"value\":\"deviceStatus\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"name\",\"title\":\"小区名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceStatus\",\"title\":\"设备状态\"}],\"body\":{\"color\":\"#000000\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146368327680', NULL, '993809146154418176', NULL, 'JBubbleMap', '{\"borderColor\":\"#FFFFFF00\",\"commonOption\":{\"barSize\":10,\"gradientColor\":false,\"breadcrumb\":{\"drillDown\":false,\"textColor\":\"#000000\"},\"areaColor\":{\"color1\":\"#f7f7f7\",\"color2\":\"#fcc02e\"},\"barColor\":\"#fff176\",\"barColor2\":\"#fcc02e\",\"inRange\":{\"color\":[\"#04387b\",\"#467bc0\"]}},\"paramOption\":[],\"dataSetName\":\"小区地图分布\",\"activeKey\":1,\"chartData\":\"[  {    \\\"name\\\": \\\"廊坊\\\",    \\\"value\\\": 199  },  {    \\\"name\\\": \\\"新疆\\\",    \\\"value\\\": 180  },  {    \\\"name\\\": \\\"河南\\\",    \\\"value\\\": 137  },  {    \\\"name\\\": \\\"四川\\\",    \\\"value\\\": 125  },  {    \\\"name\\\": \\\"黑龙江\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"广东\\\",    \\\"value\\\": 123  },  {    \\\"name\\\": \\\"山东\\\",    \\\"value\\\": 119  },  {    \\\"name\\\": \\\"福建\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"湖北\\\",    \\\"value\\\": 116  },  {    \\\"name\\\": \\\"浙江\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"湖南\\\",    \\\"value\\\": 114  },  {    \\\"name\\\": \\\"安徽\\\",    \\\"value\\\": 109  },  {    \\\"name\\\": \\\"河北\\\",    \\\"value\\\": 102  },  {    \\\"name\\\": \\\"江苏\\\",    \\\"value\\\": 92  },  {    \\\"name\\\": \\\"江西\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"重庆\\\",    \\\"value\\\": 91  },  {    \\\"name\\\": \\\"云南\\\",    \\\"value\\\": 83  },  {    \\\"name\\\": \\\"吉林\\\",    \\\"value\\\": 82  },  {    \\\"name\\\": \\\"山西\\\",    \\\"value\\\": 81  },  {    \\\"name\\\": \\\"陕西\\\",    \\\"value\\\": 80  },  {    \\\"name\\\": \\\"辽宁\\\",    \\\"value\\\": 67  },  {    \\\"name\\\": \\\"贵州\\\",    \\\"value\\\": 62  },  {    \\\"name\\\": \\\"广西\\\",    \\\"value\\\": 59  },  {    \\\"name\\\": \\\"甘肃\\\",    \\\"value\\\": 56  },  {    \\\"name\\\": \\\"内蒙古\\\",    \\\"value\\\": 47  },  {    \\\"name\\\": \\\"天津\\\",    \\\"value\\\": 42  },  {    \\\"name\\\": \\\"上海\\\",    \\\"value\\\": 24  },  {    \\\"name\\\": \\\"宁夏\\\",    \\\"value\\\": 18  },  {    \\\"name\\\": \\\"海南\\\",    \\\"value\\\": 14  },  {    \\\"name\\\": \\\"青海\\\",    \\\"value\\\": 10  },  {    \\\"name\\\": \\\"西藏\\\",    \\\"value\\\": 9  }]\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"seriesType\":[],\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"区域\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"jsConfig\":\"\",\"dataType\":2,\"query\":[],\"h\":50,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionMap\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/radar\",\"timeOut\":0,\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910765056765509632\",\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"w\":12,\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"drillDown\":false,\"area\":{\"markerColor\":\"#DDE330\",\"shadowBlur\":10,\"markerCount\":5,\"markerOpacity\":1,\"name\":[\"河北省\"],\"scatterLabelShow\":false,\"shadowColor\":\"#DDE330\",\"value\":[\"13\"],\"markerType\":\"effectScatter\"},\"geo\":{\"top\":27,\"aspectScale\":0.92,\"itemStyle\":{\"normal\":{\"shadowOffsetX\":0,\"borderColor\":\"#a9a9a9\",\"shadowOffsetY\":0,\"areaColor\":\"\",\"shadowBlur\":0,\"borderWidth\":1,\"shadowColor\":\"#80d9f8\"},\"emphasis\":{\"areaColor\":\"#fff59c\",\"borderWidth\":0}},\"zoom\":1,\"label\":{\"emphasis\":{\"color\":\"#fff\",\"show\":false}},\"roam\":true},\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"data\":[]},\"title\":{\"left\":10,\"show\":true,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"graphic\":[],\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"},\"visualMap\":{\"min\":0,\"top\":\"bottom\",\"max\":200,\"left\":\"5%\",\"calculable\":true,\"show\":false,\"type\":\"continuous\",\"seriesIndex\":[1]}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146380910592', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"小区地图分布\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":56},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":10,\"marginLeft\":0},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146393493504', NULL, '993809146154418176', NULL, 'JCommonTable', '{\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"小区分布地图表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=residentialDistributionTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":342},\"dataSetId\":\"910773111884398592\",\"fieldOption\":[{\"label\":\"区域名称\",\"text\":\"区域名称\",\"value\":\"areaName\"},{\"label\":\"小区数量\",\"text\":\"小区数量\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"areaName\",\"title\":\"区域名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"value\",\"title\":\"小区数量\"}],\"title\":{\"textStyle\":{\"color\":\"#464646\"}}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146410270720', NULL, '993809146154418176', NULL, 'JPie', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"室外消火栓泵\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=deviceCountProportion\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":-1,\"chartData\":\"[{\\\"value\\\":1048,\\\"name\\\":\\\"vivo\\\"},{\\\"value\\\":735,\\\"name\\\":\\\"oppo\\\"},{\\\"value\\\":580,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":484,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":300,\\\"name\\\":\\\"三星\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910776816075587584\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"grid\":{\"bottom\":115,\"show\":false},\"legend\":{\"orient\":\"vertical\"},\"series\":[{\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"name\":\"Access From\",\"emphasis\":{\"itemStyle\":{\"shadowOffsetX\":0,\"shadowBlur\":10,\"shadowColor\":\"rgba(0, 0, 0, 0.5)\"}},\"label\":{\"color\":\"#000000\",\"show\":true},\"type\":\"pie\",\"radius\":\"50%\"}],\"tooltip\":{\"trigger\":\"item\"},\"title\":{\"subtext\":\"\",\"left\":\"left\",\"show\":true,\"text\":\"设备类型数量占比\",\"textStyle\":{\"color\":\"#464646\"}},\"body\":{\"color\":\"#000000\"},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146418659328', NULL, '993809146154418176', NULL, 'JBar', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"区域设备数量\\t\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=areaDeviceCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"name\\\":\\\"苹果\\\",\\\"value\\\":1000879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"三星\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"小米\\\",\\\"value\\\":2300879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"oppo\\\",\\\"value\\\":5400879,\\\"type\\\":\\\"手机品牌\\\"},{\\\"name\\\":\\\"vivo\\\",\\\"value\\\":3400879,\\\"type\\\":\\\"手机品牌\\\"}]\",\"size\":{\"width\":599,\"height\":364},\"dataSetId\":\"910790230315417600\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"lineStyle\":{\"color\":\"#f3f3f3\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"},\"interval\":2},\"nameTextStyle\":{\"color\":\"#333333\"}},\"xAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"axisLine\":{\"lineStyle\":{\"color\":\"#333333\"}},\"type\":\"value\",\"nameTextStyle\":{\"color\":\"#333333\"}},\"grid\":{\"top\":90,\"left\":62,\"bottom\":115,\"show\":false},\"series\":[{\"barWidth\":21,\"data\":[],\"color\":[\"#3BB1E3\",\"#DB771F\",\"#B6C5D1\"],\"itemStyle\":{\"color\":\"#3BB1E3\",\"borderRadius\":0},\"type\":\"bar\"}],\"tooltip\":{\"axisPointer\":{\"label\":{\"backgroundColor\":\"#333\",\"show\":true},\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#464646\"}},\"title\":{\"show\":true,\"text\":\"区域设备数量\",\"textStyle\":{\"color\":\"#464646\"},\"subtextStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146431242240', NULL, '993809146154418176', NULL, 'JLine', '{\"borderColor\":\"#FFFFFF00\",\"dataMapping\":[{\"mapping\":\"name\",\"filed\":\"维度\"},{\"mapping\":\"value\",\"filed\":\"数值\"}],\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数\",\"query\":[],\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksCount\",\"drillData\":[],\"url\":\"http://api.jeecg.com/mock/33/chart\",\"timeOut\":0,\"chartData\":\"[{\\\"value\\\":1000,\\\"name\\\":\\\"联想\\\"},{\\\"value\\\":7350,\\\"name\\\":\\\"小米\\\"},{\\\"value\\\":5800,\\\"name\\\":\\\"华为\\\"},{\\\"value\\\":6000,\\\"name\\\":\\\"苹果\\\"},{\\\"value\\\":3000,\\\"name\\\":\\\"戴尔\\\"}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910794755508060160\",\"fieldOption\":[{\"label\":\"name\",\"text\":\"name\",\"value\":\"name\"},{\"label\":\"value\",\"text\":\"value\",\"value\":\"value\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"turnConfig\":{\"url\":\"\"},\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"yAxis\":{\"axisLabel\":{\"color\":\"#909198\"},\"splitLine\":{\"lineStyle\":{\"color\":\"#F3F3F3\"}},\"nameTextStyle\":{\"color\":\"#333333\"}},\"customColor\":[{\"color\":\"#38B4EA\"}],\"grid\":{\"top\":90,\"bottom\":115,\"show\":false},\"series\":[{\"data\":[],\"lineType\":\"area\",\"itemStyle\":{\"color\":\"#64B5F6\"},\"type\":\"line\"}],\"title\":{\"subtext\":\"\",\"left\":10,\"text\":\"\",\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"headColor\":\"#FFFFFF\",\"textStyle\":{\"color\":\"#4A4A4A\"},\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146443825152', NULL, '993809146154418176', NULL, 'JCommonTable', '{\"borderColor\":\"#FFFFFF00\",\"paramOption\":[],\"dataType\":2,\"dataSetName\":\"巡检任务数表格\",\"query\":[],\"h\":42,\"dataSetApi\":\"https://api.jeecg.com/mock/51/propertyFireFighting?type=inspectionTasksTable\",\"drillData\":[],\"timeOut\":-1,\"chartData\":\"[{\\\"name\\\":\\\"4月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"2月\\\",\\\"value\\\":200},{\\\"name\\\":\\\"3月\\\",\\\"value\\\":300},{\\\"name\\\":\\\"4月\\\",\\\"value\\\":400},{\\\"name\\\":\\\"5月\\\",\\\"value\\\":50},{\\\"name\\\":\\\"6月\\\",\\\"value\\\":120}]\",\"size\":{\"width\":599,\"height\":353},\"dataSetId\":\"910797586147360768\",\"fieldOption\":[{\"label\":\"检查时间\",\"text\":\"检查时间\",\"value\":\"inspectTime\"},{\"label\":\"设备名称\",\"text\":\"设备名称\",\"value\":\"deviceName\"},{\"label\":\"设备地址\",\"text\":\"设备地址\",\"value\":\"deviceAddress\"},{\"label\":\"检查人\",\"text\":\"检查人\",\"value\":\"inspected\"},{\"label\":\"检查内容\",\"text\":\"检查内容\",\"value\":\"content\"},{\"label\":\"巡查结果\",\"text\":\"巡查结果\",\"value\":\"inspectResult\"}],\"dataSetType\":\"api\",\"background\":\"#FFFFFF\",\"seriesType\":[],\"w\":24,\"linkageConfig\":[],\"dataSetIzAgent\":\"0\",\"option\":{\"columns\":[{\"izShow\":\"Y\",\"dataIndex\":\"inspectTime\",\"title\":\"检查时间\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceName\",\"title\":\"设备名称\"},{\"izShow\":\"Y\",\"dataIndex\":\"deviceAddress\",\"title\":\"设备地址\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspected\",\"title\":\"检查人\"},{\"izShow\":\"Y\",\"dataIndex\":\"content\",\"title\":\"检查内容\"},{\"izShow\":\"Y\",\"dataIndex\":\"inspectResult\",\"title\":\"巡查结果\"}]}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);
INSERT INTO `onl_drag_page_comp` VALUES ('993809146464796672', NULL, '993809146154418176', NULL, 'JText', '{\"chartData\":\"巡检任务数\",\"borderColor\":\"#DB771F\",\"size\":{\"width\":1208,\"height\":67},\"background\":\"#DB771F\",\"w\":8,\"dataType\":1,\"h\":12,\"turnConfig\":{\"url\":\"\"},\"url\":\"http://api.jeecg.com/mock/42/nav\",\"timeOut\":0,\"option\":{\"body\":{\"color\":\"#FFFFFF\",\"textAlign\":\"center\",\"fontSize\":22,\"text\":\"\",\"fontWeight\":\"bold\",\"marginTop\":12,\"marginLeft\":0},\"title\":{\"textStyle\":{\"color\":\"#464646\"}},\"card\":{\"rightHref\":\"\",\"size\":\"default\",\"extra\":\"\",\"title\":\"\"}}}', 'admin', '2024-09-11 19:29:35', NULL, NULL);

-- ----------------------------
-- Table structure for onl_drag_share
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_share`;
CREATE TABLE `onl_drag_share`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `drag_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '在线仪表盘设计器id',
  `preview_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '预览地址',
  `preview_lock` varchar(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码锁',
  `last_update_time` datetime NULL DEFAULT NULL COMMENT '最后更新时间',
  `term_of_validity` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '有效期(0:永久有效，1:1天，7:7天)',
  `status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否过期(0未过期，1已过期)',
  `preview_lock_status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为密码锁(0 否,1是)',
  `share_token` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分享token',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_ods_drag_id`(`drag_id`) USING BTREE COMMENT '仪表盘id唯一索引'
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '仪表盘预览分享表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_share
-- ----------------------------

-- ----------------------------
-- Table structure for onl_drag_table_relation
-- ----------------------------
DROP TABLE IF EXISTS `onl_drag_table_relation`;
CREATE TABLE `onl_drag_table_relation`  (
  `id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `aggregation_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '聚合表名称',
  `aggregation_desc` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '聚合表描述',
  `relation_forms` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '关联表单',
  `filter_condition` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '过滤条件',
  `header_fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '表头字段',
  `calculate_fields` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '公式字段',
  `validate_info` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '校验信息',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除状态(0-正常,1-已删除)',
  `low_app_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '应用ID',
  `tenant_id` int(11) NULL DEFAULT NULL COMMENT '租户ID',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_aggregation_name`(`aggregation_name`) USING BTREE,
  INDEX `idx_del_flag`(`del_flag`) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `idx_create_by`(`create_by`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '仪表盘聚合表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of onl_drag_table_relation
-- ----------------------------

-- ----------------------------
-- Table structure for oss_file
-- ----------------------------
DROP TABLE IF EXISTS `oss_file`;
CREATE TABLE `oss_file`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `url` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件地址',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Oss File' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of oss_file
-- ----------------------------
INSERT INTO `oss_file` VALUES ('1739471555639607297', 'LOGO-mini.png', 'http://minio.jeecg.com/jeecgtest/LOGO-mini_1703557309951.png', 'jeecg', '2023-12-26 10:21:51', NULL, NULL);
INSERT INTO `oss_file` VALUES ('1739471895508254721', '儿童身高.png', 'http://minio.jeecg.com/jeecgtest/儿童身高_1703557391840.png', 'jeecg', '2023-12-26 10:23:12', NULL, NULL);
INSERT INTO `oss_file` VALUES ('1739472521256468482', '大屏.png', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/大屏_1703557541165.png', 'jeecg', '2023-12-26 10:25:42', NULL, NULL);
INSERT INTO `oss_file` VALUES ('1739472619130552321', '大屏11.png', 'https://jeecgdev.oss-cn-beijing.aliyuncs.com/upload/test/大屏11_1703557564068.png', 'jeecg', '2023-12-26 10:26:05', NULL, NULL);

-- ----------------------------
-- Table structure for qingjia_dan
-- ----------------------------
DROP TABLE IF EXISTS `qingjia_dan`;
CREATE TABLE `qingjia_dan`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '请假人',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `descc` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '请假原因',
  `days` int(11) NULL DEFAULT NULL COMMENT '请假天数',
  `be_date` date NULL DEFAULT NULL COMMENT '开始时间',
  `end_date` date NULL DEFAULT NULL COMMENT '结束时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qingjia_dan
-- ----------------------------
INSERT INTO `qingjia_dan` VALUES ('1805168507206909953', 'admin', '2024-06-24 17:18:05', 'admin', '2024-06-24 17:18:08', 'A01', '李建政1', '2', 30, '', 33, '2024-06-24', '2024-06-26');
INSERT INTO `qingjia_dan` VALUES ('1805168716381044737', 'admin', '2024-06-24 17:18:55', NULL, NULL, 'A01', '刘雅晗', '1', 44, '我们不妨可以这样来想: 对我个人而言，随机一段废话不仅仅是一个重大的事件，还可能会改变我的人生.', 4, '2024-06-19', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805169008048750593', 'admin', '2024-06-24 17:20:04', 'admin', '2024-06-24 17:35:44', 'A01', '萧欣慧', '2', NULL, '', 1, '2024-06-24', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805170475304443905', 'admin', '2024-06-24 17:25:54', 'admin', '2025-03-10 19:43:57', 'A01', '萧**', '1', 44, '', 22, '2024-06-04', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805175050098925569', 'jeecg', '2024-06-24 17:44:05', NULL, NULL, 'A02A01', 'qinfeng1', NULL, NULL, NULL, 11, '2024-06-29', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805175081153552386', 'jeecg', '2024-06-24 17:44:12', NULL, NULL, 'A02A01', 'jeecg', NULL, NULL, NULL, 2, '2024-06-14', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805215908907155457', 'admin', '2024-06-24 20:26:27', NULL, NULL, 'A01', '1212', NULL, NULL, NULL, 1111, '2024-06-27', NULL);
INSERT INTO `qingjia_dan` VALUES ('1805218401506525186', 'admin', '2024-06-24 20:36:21', 'admin', '2025-03-07 22:30:29', 'A01', '22222', '1', 111, '', 232, '2024-06-24', '2024-06-22');
INSERT INTO `qingjia_dan` VALUES ('1805417637204348929', 'admin', '2024-06-25 09:48:02', NULL, NULL, 'A01', '贺嘉乐', '1', 45, NULL, 222, '2024-06-28', NULL);
INSERT INTO `qingjia_dan` VALUES ('1899063659406811137', 'admin', '2025-03-10 19:43:53', NULL, NULL, 'A04', '哈咯', '1', NULL, NULL, 10, '2015-01-01', NULL);

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `BLOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `CALENDAR_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `CALENDAR_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `CRON_EXPRESSION` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TIME_ZONE_ID` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `ENTRY_ID` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `INSTANCE_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `FIRED_TIME` bigint(13) NOT NULL,
  `SCHED_TIME` bigint(13) NOT NULL,
  `PRIORITY` int(11) NOT NULL,
  `STATE` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `ENTRY_ID`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `DESCRIPTION` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `IS_DURABLE` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `IS_NONCONCURRENT` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `IS_UPDATE_DATA` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `LOCK_NAME` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `LOCK_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------
INSERT INTO `qrtz_locks` VALUES ('MyScheduler', 'STATE_ACCESS');
INSERT INTO `qrtz_locks` VALUES ('MyScheduler', 'TRIGGER_ACCESS');

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_GROUP`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `INSTANCE_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `LAST_CHECKIN_TIME` bigint(13) NOT NULL,
  `CHECKIN_INTERVAL` bigint(13) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `INSTANCE_NAME`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------
INSERT INTO `qrtz_scheduler_state` VALUES ('MyScheduler', 'qin1741682968613', 1741682975095, 15000);

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `REPEAT_COUNT` bigint(7) NOT NULL,
  `REPEAT_INTERVAL` bigint(12) NOT NULL,
  `TIMES_TRIGGERED` bigint(10) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `STR_PROP_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `STR_PROP_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `STR_PROP_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `INT_PROP_1` int(11) NULL DEFAULT NULL,
  `INT_PROP_2` int(11) NULL DEFAULT NULL,
  `LONG_PROP_1` bigint(20) NULL DEFAULT NULL,
  `LONG_PROP_2` bigint(20) NULL DEFAULT NULL,
  `DEC_PROP_1` decimal(13, 4) NULL DEFAULT NULL,
  `DEC_PROP_2` decimal(13, 4) NULL DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) REFERENCES `qrtz_triggers` (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `SCHED_NAME` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `JOB_GROUP` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `DESCRIPTION` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint(13) NULL DEFAULT NULL,
  `PREV_FIRE_TIME` bigint(13) NULL DEFAULT NULL,
  `PRIORITY` int(11) NULL DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `TRIGGER_TYPE` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `START_TIME` bigint(13) NOT NULL,
  `END_TIME` bigint(13) NULL DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `MISFIRE_INSTR` smallint(2) NULL DEFAULT NULL,
  `JOB_DATA` blob NULL,
  PRIMARY KEY (`SCHED_NAME`, `TRIGGER_NAME`, `TRIGGER_GROUP`) USING BTREE,
  INDEX `SCHED_NAME`(`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) REFERENCES `qrtz_job_details` (`SCHED_NAME`, `JOB_NAME`, `JOB_GROUP`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for rep_demo_dxtj
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_dxtj`;
CREATE TABLE `rep_demo_dxtj`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `gtime` datetime NULL DEFAULT NULL COMMENT '雇佣日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职务',
  `jphone` varchar(125) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '家庭电话',
  `birth` datetime NULL DEFAULT NULL COMMENT '出生日期',
  `hukou` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '户口所在地',
  `laddress` varchar(125) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系地址',
  `jperson` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '紧急联系人',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'xingbie',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_dxtj
-- ----------------------------
INSERT INTO `rep_demo_dxtj` VALUES ('1338808084247613441', '张三', '2019-11-06 00:00:00', '1', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809169074982920', '张小哲', '2019-11-06 00:00:00', '2', '18034596971', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809448658898952', '闫妮', '2019-11-06 00:00:00', '2', '18034596972', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809620973490184', '陌生', '2019-11-06 00:00:00', '2', '18034596973', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809652606930952', '贺江', '2019-11-06 00:00:00', '2', '18034596974', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809685200867336', '村子明', '2019-11-06 00:00:00', '3', '18034596975', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809710203113481', '尚德', '2019-11-06 00:00:00', '4', '18034596977', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809749470187528', '郑恺', '2019-11-06 00:00:00', '4', '18034596978', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809774971555849', '未名园', '2019-11-06 00:00:00', '4', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809805199904777', '韩寒', '2019-11-06 00:00:00', '5', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809830017601544', '迪丽热拉', '2019-11-06 00:00:00', '6', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1338809864356368393', '张一山', '2019-11-06 00:00:00', '6', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157602480137', '张三', '2019-11-06 00:00:00', '1', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157602480146', '张大大', '2019-11-06 00:00:00', '2', '18034596971', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674439', '郭美美', '2019-11-06 00:00:00', '2', '18034596972', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674448', '莫愁', '2019-11-06 00:00:00', '2', '18034596973', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674457', '鲁与', '2019-11-06 00:00:00', '2', '18034596974', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674466', '高尚', '2019-11-06 00:00:00', '3', '18034596975', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674475', '尚北京', '2019-11-06 00:00:00', '4', '18034596977', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674484', '杨颖花', '2019-11-06 00:00:00', '4', '18034596978', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674493', '李丽', '2019-11-06 00:00:00', '4', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674502', '韩露露', '2019-11-06 00:00:00', '5', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674511', '李凯泽', '2019-11-06 00:00:00', '6', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO `rep_demo_dxtj` VALUES ('1339160157606674520', '王明阳', '2019-11-06 00:00:00', '6', '18034596970', '1988-12-15 00:00:00', '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');

-- ----------------------------
-- Table structure for rep_demo_employee
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_employee`;
CREATE TABLE `rep_demo_employee`  (
  `id` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `num` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '编号',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `sex` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别',
  `birthday` datetime NULL DEFAULT NULL COMMENT '出生日期',
  `nation` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '民族',
  `political` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '政治面貌',
  `native_place` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '籍贯',
  `height` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身高',
  `weight` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '体重',
  `health` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '健康状况',
  `id_card` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '身份证号',
  `education` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '学历',
  `school` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '毕业学校',
  `major` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '专业',
  `address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系地址',
  `zip_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮编',
  `email` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Email',
  `phone` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `foreign_language` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '外语语种',
  `foreign_language_level` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '外语水平',
  `computer_level` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '计算机水平',
  `graduation_time` datetime NULL DEFAULT NULL COMMENT '毕业时间',
  `arrival_time` datetime NULL DEFAULT NULL COMMENT '到职时间',
  `positional_titles` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职称',
  `education_experience` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '教育经历',
  `work_experience` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '工作经历',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除标识0-正常,1-已删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_employee
-- ----------------------------
INSERT INTO `rep_demo_employee` VALUES ('1', '001', '张三', '男', '2000-02-04 13:36:19', '汉族', '团员', '北京', '170', '65', '良好', '110101200002044853', '大专', '北京科技', '计算机', '北京朝阳区', '1001', 'zhang@163.com', '18011111111', '英语', '三级', '三级', '2019-02-04 13:41:17', '2020-02-04 13:41:31', '项目经理', '2018年9月—2019年7月：北京语言文化大学比较文学研究所攻读博士学位，获得比较文学博士学位', '2019年5月---至今 XX公司     网络系统工程师  \n2019年5月---至今 XX公司     网络系统工程师', NULL, '2020-02-04 15:18:03', NULL, NULL, NULL);
INSERT INTO `rep_demo_employee` VALUES ('2', '002', '王红', '女', '2000-02-04 13:36:19', '汉族', '团员', '北京', '170', '65', '良好', '110101200002044853', '大专', '北京科技', '计算机', '北京朝阳区', '1001', 'zhang@163.com', '18011111111', '英语', '三级', '三级', '2019-02-04 13:41:17', '2020-02-04 13:41:31', '项目经理', '2018年9月—2019年7月：北京语言文化大学比较文学研究所攻读博士学位，获得比较文学博士学位', '2019年5月---至今 XX公司     网络系统工程师  \n2019年5月---至今 XX公司     网络系统工程师', NULL, '2020-02-04 18:39:27', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for rep_demo_gongsi
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_gongsi`;
CREATE TABLE `rep_demo_gongsi`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gname` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '货品名称',
  `gdata` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '返利',
  `tdata` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注',
  `didian` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `zhaiyao` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `num` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_gongsi
-- ----------------------------
INSERT INTO `rep_demo_gongsi` VALUES (1, '北京天山海世界', '2020-02-30 11:12:25', '2020-02-25', '天山大厦', '1', '2399845661');
INSERT INTO `rep_demo_gongsi` VALUES (2, 'dd天山海世界', '2020-02-30 11:12:25', '2020-02-25', '天山大厦', '1', '2399845661');

-- ----------------------------
-- Table structure for rep_demo_jianpiao
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_jianpiao`;
CREATE TABLE `rep_demo_jianpiao`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bnum` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `ftime` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `sfkong` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `kaishi` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jieshu` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `hezairen` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `jpnum` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `shihelv` varchar(125) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `s_id` int(11) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 87 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_jianpiao
-- ----------------------------
INSERT INTO `rep_demo_jianpiao` VALUES (1, 'K7725', '21:13', '否', '秦皇岛', '邯郸', '300', '258', '86', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (2, 'k99', '16:55', '否', '包头', '广州', '800', '700', '88', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (3, 'G6737', '05:34', '否', '北京西', '邯郸东', '500', '256', '51', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (4, 'K7705', '07:03', '否', '北京', '邯郸', '400', '200', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (5, 'G437', '06:27', '否', '北京西', '兰州西', '800', '586', '73', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (6, 'G673', '06:32', '否', '北京西', '邯郸东', '300', '289', '87', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (7, 'G507', '06:43', '否', '北京西', '邯郸东', '300', '200', '67', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (8, 'G89', '06:53', '否', '北京西', '成都东', '800', '500', '62', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (9, 'K7712', '09:43', '否', '北京西', '西安北', '400', '200', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (10, 'G405', '10:05', '否', '北京西', '昆明南', '300', '200', '67', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (11, 'G6701', '10:38', '否', '北京西', '石家庄', '300', '200', '67', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (12, 'G487', '10:52', '否', '北京西', '南昌西', '800', '700', '88', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (13, 'G607', '11:14', '否', '北京西', '太原南', '400', '200', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (14, 'G667', '11:19', '否', '北京西', '西安北', '400', '200', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (15, 'Z49', '11:28', '否', '北京西', '成都', '400', '200', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (16, 'Z49', '11:28', '否', '北京西', '上海', '300', '200', '80', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (17, 'Z49', '11:56', '否', '北京西', '上海', '200', '180', '95', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (18, 'Z49', '11:36', '否', '北京南', '大晒', '200', '180', '96', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (19, 'Z123', '12:00', '否', '北京南', '重庆', '1000', '1000', '100', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (20, 'G78', '13:56', '否', '北京东', '厦门北', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (21, 'G56', '18:36', '否', '上海西', '深圳', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (22, 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (23, 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (24, 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (25, 'H78', '12:00', '否', '北京西', '南昌', '800', '700', '90', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (26, 'G70', '7:23', '是', '北京西', '厦门', '500', '450', '95', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (27, 'G14', '9:50', '是', '北京西', '上海', '800', '700', '95', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (28, 'G90', '8:30', '是', '北京南', '武昌', '1000', '1000', '100', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (29, 'G25', '7:56', '是', '厦门北', '福州', '500', '100', '20', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (30, 'G50', '14:23', '否', '北京西', '深圳', '500', '100', '20', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (31, 'G10', '13:00', '否', '北京西', '深圳', '500', '100', '20', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (32, 'G10', '13:00', '否', '北京西', '深圳', '500', '100', '20', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (33, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (34, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (35, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (36, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (37, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (38, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (39, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (40, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (41, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (42, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (43, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (44, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (45, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (46, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (47, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (48, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (49, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (50, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (51, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (52, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (53, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (54, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (55, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (56, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (57, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (58, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (59, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (60, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (61, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (62, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (63, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (64, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (65, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (66, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (67, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (68, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (69, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (70, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (71, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (72, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (73, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (74, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (75, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (76, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (77, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (78, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (79, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (80, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (81, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (82, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (83, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (84, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (85, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);
INSERT INTO `rep_demo_jianpiao` VALUES (86, 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', 1);

-- ----------------------------
-- Table structure for rep_demo_order_main
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_order_main`;
CREATE TABLE `rep_demo_order_main`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `order_code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单编码',
  `order_date` datetime NULL DEFAULT NULL COMMENT '下单时间',
  `descc` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `xiala` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '下拉多选',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_order_main
-- ----------------------------
INSERT INTO `rep_demo_order_main` VALUES ('1256629667445714946', 'admin', '2020-05-03 01:00:34', 'admin', '2020-11-26 15:22:35', 'CN20221', '2020-05-03 00:00:00', '15', NULL);
INSERT INTO `rep_demo_order_main` VALUES ('1551943088862896130', 'admin', '2022-07-26 22:50:40', 'admin', '2022-10-29 17:16:26', 'CN20222', '2020-05-03 00:00:00', '', '');
INSERT INTO `rep_demo_order_main` VALUES ('1586557968995545089', 'admin', '2022-10-30 11:17:51', 'admin', '2022-11-07 15:07:24', 'CN20225', '2020-05-03 00:00:00', '111', '');
INSERT INTO `rep_demo_order_main` VALUES ('1589514956490637313', 'admin', '2022-11-07 15:07:52', 'admin', '2022-11-07 15:14:50', 'CN20223', '2022-11-07 00:00:00', NULL, '1,2');
INSERT INTO `rep_demo_order_main` VALUES ('1589516804530339842', 'admin', '2022-11-07 15:15:13', 'admin', '2022-11-23 17:20:56', 'CN20224', '2022-11-07 00:00:00', '222', '1,2');
INSERT INTO `rep_demo_order_main` VALUES ('1683074969561157634', 'admin', '2023-07-23 19:21:57', 'admin', '2023-12-06 15:26:44', 'CN20231', '2020-05-03 00:00:00', '111', '1,2');

-- ----------------------------
-- Table structure for rep_demo_order_product
-- ----------------------------
DROP TABLE IF EXISTS `rep_demo_order_product`;
CREATE TABLE `rep_demo_order_product`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `product_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名字',
  `price` double(32, 0) NULL DEFAULT NULL COMMENT '价格',
  `num` int(11) NULL DEFAULT NULL COMMENT '数量',
  `descc` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `order_fk_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '订单外键ID',
  `pro_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品类型',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of rep_demo_order_product
-- ----------------------------
INSERT INTO `rep_demo_order_product` VALUES ('1331860890813284353', 'admin', '2020-11-26 15:22:35', NULL, NULL, '水果手机', 44, 44, '', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1551943088930004994', 'admin', '2022-10-29 17:16:26', NULL, NULL, '水果手机1', 11, 11, '11', '1551943088862896130', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1551943088930004995', 'admin', '2022-07-26 22:50:40', NULL, NULL, '水果手机2', 2, 2, '2', '1551943088862896130', '2');
INSERT INTO `rep_demo_order_product` VALUES ('15665749948861', 'admin', '2020-02-24 02:05:38', NULL, NULL, '水果手机3', 33, NULL, '', '402831816a38e7fd016a38e825c90003', '');
INSERT INTO `rep_demo_order_product` VALUES ('1586557969318506498', 'admin', '2022-10-30 11:20:31', NULL, NULL, '小米手机3', 20003, 33, '3', '1586557968995545089', '2');
INSERT INTO `rep_demo_order_product` VALUES ('1586557969381421058', 'admin', '2022-10-30 11:17:51', NULL, NULL, '华为手机1', 80001, 31, '11', '1586557968995545089', '2');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883233', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883234', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机2', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883235', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机3', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883236', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机4', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883237', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机5', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883238', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机6', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883239', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机7', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883240', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机8', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883241', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机9', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883242', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机10', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883243', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机11', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883244', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机12', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883245', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机13', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883246', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机14', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883247', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机15', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388229280883248', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机1', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388231401967996', 'admin', '2020-07-11 11:36:36', NULL, NULL, '小米手机', 25, 35, '445', '1256629667445714946', '1');
INSERT INTO `rep_demo_order_product` VALUES ('15884388463052345317', 'admin', '2020-07-11 11:36:36', NULL, NULL, '小米手机1', 55, 55, '55', '1256629667445714946', '2');
INSERT INTO `rep_demo_order_product` VALUES ('1589514837779251202', 'admin', '2022-11-07 15:07:24', NULL, NULL, '小米手机2', 2323, 2323, '', '1586557968995545089', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1589514956499025921', 'admin', '2022-11-07 15:07:52', NULL, NULL, '小米手机3', 222, 222, '222', '1589514956490637313', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1589514956515803137', 'admin', '2022-11-07 15:07:52', NULL, NULL, '小米手机4', NULL, NULL, '', '1589514956490637313', '');
INSERT INTO `rep_demo_order_product` VALUES ('1589516804542922753', 'admin', '2022-11-23 17:20:56', NULL, NULL, '小米手机5', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('1589516804551311361', 'admin', '2022-11-07 15:15:13', NULL, NULL, '小米手机6', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('1597149156278525953', 'admin', '2022-11-28 16:43:27', NULL, NULL, '水果手机4', 2, 2, '22', '1597149156089782273', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1683074969716346881', 'admin', '2023-12-06 15:26:44', NULL, NULL, '水果手机5', 5000, 21, '121', '1683074969561157634', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1714472725034704898', 'admin', '2023-12-06 15:26:44', NULL, NULL, '办公椅子', 50, 100, NULL, '1683074969561157634', '1');
INSERT INTO `rep_demo_order_product` VALUES ('1732300515406647298', 'admin', '2023-12-06 15:26:44', NULL, NULL, '笔记本电脑', 3, 3, NULL, '1683074969561157634', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('1732300515406647299', 'admin', '2023-12-06 15:26:44', NULL, NULL, '鼠标', 3, 3, NULL, '1683074969561157634', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('402831816a38e7fd016a38e7fdeb0001', 'admin', '2019-04-20 12:01:29', NULL, NULL, '笔记本', 100, 10, NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('402831816a38e7fd016a38e7fdf10002', 'admin', '2019-04-20 12:01:29', NULL, NULL, '显示器', 300, 1, NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO `rep_demo_order_product` VALUES ('4028810c6b40244b016b406884080005', 'admin', '2020-02-24 02:05:38', NULL, NULL, '键盘', NULL, 33, '', '402831816a38e7fd016a38e825c90003', '');

-- ----------------------------
-- Table structure for sys_announcement
-- ----------------------------
DROP TABLE IF EXISTS `sys_announcement`;
CREATE TABLE `sys_announcement`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `titile` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标题',
  `msg_content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '内容',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `sender` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发布人',
  `priority` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '优先级（L低，M中，H高）',
  `msg_category` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '2' COMMENT '消息类型1:通知公告2:系统消息',
  `msg_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '通告对象类型（USER:指定用户，ALL:全体用户）',
  `send_status` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发布状态（0未发布，1已发布，2已撤销）',
  `send_time` datetime NULL DEFAULT NULL COMMENT '发布时间',
  `cancel_time` datetime NULL DEFAULT NULL COMMENT '撤销时间',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除状态（0，正常，1已删除）',
  `bus_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务类型(email:邮件 bpm:流程 tenant_invite:租户邀请)',
  `bus_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务id',
  `open_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '打开方式(组件：component 路由：url)',
  `open_page` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件/路由 地址',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `user_ids` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '指定用户',
  `msg_abstract` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '摘要/扩展业务参数',
  `dt_task_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '钉钉task_id，用于撤回消息',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sanno_endtime`(`end_time`) USING BTREE,
  INDEX `idx_sanno_start_time`(`start_time`) USING BTREE,
  INDEX `idx_sanno_msg_type`(`msg_type`) USING BTREE,
  INDEX `idx_sanno_send_status`(`send_status`) USING BTREE,
  INDEX `idx_sanno_del_flag`(`del_flag`) USING BTREE,
  INDEX `idx_sanno_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `idx_sanno_sender`(`sender`) USING BTREE,
  INDEX `idx_sanno_create_time`(`create_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统通告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_announcement
-- ----------------------------
INSERT INTO `sys_announcement` VALUES ('1256486502931722242', 'JeecgBoot 2.2.0版本发布', '<h5 id=\"h5_5\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">升级不兼容</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">1、升级 ant-design-vue 到最新版本 1.5.2，会导致使用disabled的组件不可用（需要全局替换disabled 为readOnly；另外原来readOnly不允许全小写）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">2、JSearchSelectTag.vue行编辑的popup传参做了修改，需要全局替换 orgFieldse 为 orgFields</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">3、 项目删除了sass，全部换成 less，其中涉及/deep/语法得改造</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">4、 Online表单的填值规则用法修改了&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" href=\"http://doc.jeecg.com/1630378\">文档</a></li>\n</ul>\n<h5 id=\"h5_6\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">较大改造</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">登录的时候一次性加载系统字典，进行前端缓存，减少ajax重复请求</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">修改定时任务quartz配置</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">logback-spring.xml配置不按照日期和大小生成新日志文件问题修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">vue-cli3 编译打包进行zip压缩优化</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">根据index.html页面window._CONFIG[\'domianURL\']，指定 axios的 baseURL（所以vue的代理没有用了）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable重构，新增获取值时应该把临时id去掉、行编辑修改不直接更改数据源的ID</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">Online模块重点优化升级、Online代码生成器重点优化升级</li>\n</ul>\n<h5 id=\"h5_7\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">ONLINE升级</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">Online访问权限控制实现，如果online表单配置了菜单，则用户需要授权才能访问此表单</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单新增组件： 省市区地域组件、开关组件、三级联动(级联下拉)组件、markdown组件</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单弹窗宽度，根据不同的列数显示不同的宽度，实现更好的效果</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 树表单功能一系列优化，比如数据列新增添加下级按钮功能、添加下级不自动展开列表等问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online JS增强编辑器支持放大，同时JS代码变更，增加版本记忆功能，方便追踪历史</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online JS增强支持lodash工具</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online控件 默认值表达式功能&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" href=\"http://doc.jeecg.com/1630378\">文档</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 增加Excel导入导出转换器配置，针对各种控件的导入导出做了统一处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 列表字段排序支持配置</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online同步数据库，数据库兼容性优化（mysql、oracle11g、SqlServer2017）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online功能列表，高级查询优化，丰富控件的支持（新增：用户选择、部门选择、时间等）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单配置，类型Text、date、Blob的字段长度默认设置为0</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online自定义button，支持位置自定义（支持右侧和下方）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单列表，列表显示那些字段，支持用户个性化设置</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单删除和移除逻辑优化，防止未同步情况下删除报错</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online上传逻辑重构，针对单表、一对多行操作，都支持图片和文件上传，同时支持三种模式（minio、阿里云、本地存储）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online上传逻辑重构， 行编辑模式，支持图片顺序修改</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online上传逻辑重构，在列表页面支持图片和文件的展示</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单索引同步逻辑重构，同时支持选择多个字段，组合索引设置</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单 excel导出实现数据权限逻辑</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单列表强制列不换行，自动出现超出滚定条，支持移动端自适应（单表、树和ERP等模型都已修改）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单管理列表，回车查询和列表左右拖动移动自适应问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单附表序号必填</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表名加校验不能全是数字，自动trim空格</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 一对多tab必填校验不通过，添加友好提醒</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单控件默认值示例</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online一对多内嵌子表风格，高级查询不好用，过滤不了数据处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单 自定义校验规则正则，录入不成功问题处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单设置不分页，排序后又分页了问题处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单，下拉搜索组件，表字典配置加条件，下拉值出不来问题处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单，一对一子表，下拉选择、时间等组件被遮挡问题处理</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online表单树模型和一对多ERP模板支持href</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 报表支持上下文变量表达式</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 报表实现数据权限逻辑</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 报表新增拖动字段顺序</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 报表列表，sql过长截取显示</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">Online 报表，popup回车查询</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">Online表单auto页面弹窗改成JModule；online表单移动自适应；</li>\n</ul>\n<h5 id=\"h5_8\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">Online代码生成器升级</h5>\n<blockquote style=\"box-sizing: inherit; position: relative; margin: 0px 0px 20px; padding: 20px; background-color: #f6f6f6; border-left: 6px solid #e6e6e6; word-break: break-word; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px;\">\n<p style=\"box-sizing: inherit; margin: 0px; line-height: inherit;\">后期重点维护ONLINE模式的代码生成器，GUI模式逐步弃用。</p>\n</blockquote>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">新增内嵌Table代码生成器模板</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">升级代码生成器依赖，支持返回生成结果&amp;支持服务器端生成代码config</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">代码生成器列表，列表自适应优化，支持移动效果（强制列不换行，不过有弊端，<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" href=\"http://doc.jeecg.com/1607183\">见文档</a>）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">实体生成，自动带着swagger 注解（支持单表、一对多等模型）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">代码生成器，列表移动自适应样式修改</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">生成后的代码导入导出bug修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online树代码生成器模板，直接删除一级分类会导致列表乱</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">ERP代码生成器模板升级，子表支持导入导出</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">ERP风格代码生成器模板问题（导入导入路径错误、swagger注解问题）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">代码生成器，校验为空的话不生成，简化生成的代码</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">代码生成器，支持子表校验生成</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">树形列表代码生成器优化，添加子节点</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">修复bug： online字典未配置，代码生成器报错问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">生成的实体字段excel注解，针对系统标准字段，创建人、创建时间等字段不生成</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">生成的表单弹窗统一更换为j-modal，支持放大缩小全屏</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">代码生成，popup参数大小写 驼峰问题修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">生成的表单控件类型更丰富，新支持控件：markdown、省市区地域、密码、下拉搜索</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">生成的列表查询区域，控件支持加强，新支持控件：省市区地域、下拉搜索、popup、选择用户、选择部门</li>\n</ul>\n<h5 id=\"h5_9\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">平台基础升级</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">针对auto隐藏路由菜单，实现自动授权，简化online菜单的授权</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">IDE中找不到sun.misc.BASE64Encoder jar包问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">删掉作废获取所有用户角色列表接口，接口有性能问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">在我的消息里点击已读以后，首页上面的通知红点并没有同步更改问题修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">用户与部门取消关联删除关联关系bug修改</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">部门导入未刷新redis缓存</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">修复SysPermissionMapper.xml 的SQL语句不兼容SQLServer的问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">在线动态数据源代码重构</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">【二级管理员】部门修改、删除权限时关联删除部门角色数据</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">【二级管理员】我的部门，选中部门只能看当前部门下的角色</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">我的消息支持模糊查询</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">常用示例-对象存储文件上传优化</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">用户相关功能，sql写法不兼容其他数据库问题修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">图片上传组件修改</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">导入功能优化，提示准确导入成功失败信息，涉及功能 用户、角色、部门、字典、定时任务等</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">增加生产环境禁用swagger-ui配置</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">第三方登录代码集成</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">系统公告优化</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">MockController 返回json数据，utf-8格式化，防止中文乱码</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">部门删除后删除部门角色等关联</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">分类字典支持选择数据，添加下级分类</li>\n</ul>\n<h5 id=\"h5_10\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">UI组件升级</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">升级 ant-design-vue 为最新版本 1.5.2</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">登录验证码获取失败的时候，不显示空白</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">升级 ant-design-vue，JModal切换全屏按钮因ant升级错位问题修复</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">简化 j-modal 的相关代码</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">封装常用组件示例；JInput新增当 type 变化的时候重新计算值</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">markdown集成</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">富文本支持minio上传</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">选择用户组件列表样式错位；Ellipsis.vue 优化</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JModal移动端全屏效果</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询只有在 in 模式下才能多选</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">自定义选择用户组件JSelectMultiUser的宽度和截取显示长度</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">行编辑 JEditableTable移动自适应效果；</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable重构 行编辑新增合计功能</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable重构 行编辑Popup请求数量过多（加缓存机制）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable重构,行编辑InputNumber扩展支持输入小数和负数</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable.vue disable模式禁用添加删除按钮</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable行编辑， popup返回值，时间赋值有问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JEditableTable行编辑，日期控件显示错位问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询移动自适应效果；</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询保存的同时也要保存匹配方式（支持and or）</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询混入统一修改</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询选择用户组件时，点开用户弹框不选择用户，直接关掉用户弹框，再次点击弹框时，无法点开问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">高级查询组件支持，新支持组件，选择人、选择部门、popup、时间等</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JPopup支持多选</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JPopup返回值null问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JPopup列表数据不刷新问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JSearchSelectTag.vue匹配不上数字值问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JSelectUserByDep 根据部门选择人组件bug</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">JTreeDict.vue 分类字典组件 清空不了问题</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">常用示例，新增搜索下拉 JSearchSelectTag.vue例子</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">常用示例，新增如何关闭当前页面例子</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">常用示例，省市区三级联动的例子</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">常用示例，增加字典下拉多选组件示例</li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">示例demo，关于图片的做统一优化</li>\n</ul>\n<h5 id=\"h5_11\" style=\"box-sizing: inherit; font-family: \'PingFang SC\', \'Helvetica Neue\', \'Microsoft YaHei UI\', \'Microsoft YaHei\', \'Noto Sans CJK SC\', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;\">Issues处理</h5>\n<ul style=\"box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, \'Apple Color Emoji\', \'Segoe UI Emoji\', \'Segoe UI Symbol\', \'Segoe UI\', \'PingFang SC\', \'Hiragino Sans GB\', \'Microsoft YaHei\', \'Helvetica Neue\', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;\">\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-top: 0px;\">online form表单项能否支持配置有级联关系的内容&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#948\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/948\">#948</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">全局拦截异常错误的提醒文字&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#768\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/768\">#768</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">建议：城市级联选择组件&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#905\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/905\">#905</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">表单配置中检验字段配置href，报表中该配置字段无法看到链接&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#961\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/961\">#961</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">SysUserMapper.xml查询脚本数据兼容问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#962\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/962\">#962</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">在线表单 提示 ButtonExpHandler is not defined&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#957\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/957\">#957</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online表单中添加自定义按钮无法显示&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#973\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/973\">#973</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online报表不支持按照登录用户过滤数据&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#934\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/934\">#934</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">点击新增或者编辑按钮弹框宽度的设置问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#974\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/974\">#974</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online报表配置中使用系统参数，报错&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"I1AWNM\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I1AWNM\">I1AWNM</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online增强SQL变量取数为null,#{sys.sys_date} 还有#{sys.sys_time}&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#999\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/999\">#999</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">一个主表，多个付表。1对多。保存后，某些从表行项目内容保存成功，单重新打开数据表现丢失。&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#997\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/997\">#997</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">/online/cgform/api/exportXls/{code}接口问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1012\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1012\">#1012</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">打成jar包，访问不到代码生成器模板&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1010\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1010\">#1010</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online表单开发，打包后模板找不到&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#865\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/865\">#865</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">已生成的代码，子表最下下行添加合计行底部固定问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#936\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/936\">#936</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">下拉搜索框在编辑时下拉name无法带过来&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#971\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/971\">#971</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">建议autoPoi升级，优化数据返回List Map格式下的复合表头导出excel的体验&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#873\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/873\">#873</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">配置 Href 跳转，并没有显示为超链接&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1020\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1020\">#1020</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">首次打开一对多表单，JEditableTable的addDefaultRowNum属性不生效&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1003\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1003\">#1003</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">autopoi 双表头问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#862\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/862\">#862</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">应该是权限管理bug&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#110\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/110\">#110</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">在线 的online报表报错&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1029\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1029\">#1029</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online代码生成器树形表单父节点字段名称问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I1ABGV \" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I1ABGV\">issues/I1ABGV</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">点击j-popup,里面有数据，如果选择同名的数据，文本框为空&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1044\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1044\">#1044</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">关于table列宽可拖动问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1054\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1054\">#1054</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">单表数据导出多表头 auto 的Excel注解 groupName属性<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\" #1053\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1053\">&nbsp;#1053</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">在线报表和在线online的问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1030\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1030\">#1030</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">J-pop组件&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1043\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1043\">#1043</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">2.1.4 日志管理---没有记录查询接口参数&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1070\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1070\">#1070</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">服务器日志超过设置的MaxFileSize时&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1130\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1130\">#1130</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online 表单中，在 附表中存在上传图片组件，点击上传图片并提交，显示提交失败&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1074\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1074\">#1074</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">online表单js增强修改从表控件值问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1051\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1051\">#1051</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">重复代理问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#994\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/994\">#994</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">系统使用的日志包有问题&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#887\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/887\">#887</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">使用sqlserver数据库,用户管理查询出错&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1140\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1140\">#1140</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">主表和从表 一对一关系表单 TypeError: Cannot read property \'getAll\' of undefined&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"#1129\" href=\"https://github.com/zhangdaiscott/jeecg-boot/issues/1129\">#1129</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">ERP表单附表数据编辑后消失&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I1DN3B\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I1DN3B\">issues/I1DN3B</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">多表的erp模式生成的子表，表单没有导入导出功能&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I1BB2U\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I1BB2U\">issues/I1BB2U</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">用edge打开首页，整个页面动不了，控制台console打出很多错误&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I189B5\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I189B5\">issues/I189B5</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">官方的快速开发平台主子表对IE11不兼容&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I17LEE\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I17LEE\">issues/I17LEE</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em;\">360兼容模式 修改为你说的js之后；单表的数据兼容可以；主子表的不加载；错误如下&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I17H8L\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I17H8L\">issues/I17H8L</a></li>\n<li style=\"box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;\">Online表单开发，点击&ldquo;新增&rdquo;按钮，是否树：选择是，页面控制台报错&nbsp;<a style=\"box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;\" title=\"issues/I1BHXG\" href=\"https://gitee.com/jeecg/jeecg-boot/issues/I1BHXG\">issues/I1BHXG</a></li>\n</ul>', '2020-05-01 15:30:56', '2020-05-30 15:31:00', 'admin', 'H', '1', 'ALL', '1', '2020-05-02 15:31:44', NULL, '0', NULL, NULL, NULL, NULL, 'admin', '2020-05-02 15:31:41', 'admin', '2020-05-02 15:31:44', NULL, '重磅版本发布', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1256486817286418434', '放假通知', '<p>放假通知</p>', '2020-05-02 15:32:38', '2020-05-30 15:32:40', 'admin', 'M', '1', 'USER', '1', '2020-05-02 15:32:59', NULL, '0', NULL, NULL, NULL, NULL, 'admin', '2020-05-02 15:32:56', 'admin', '2020-05-02 15:32:59', 'e9ca23d68d884d4ebb19d07889727dae,a75d45a015c44384a04449ee80dc3503,', '放假通知', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1256529336858685441', '1', '<p>22</p>', '2020-05-02 18:21:41', '2020-05-30 18:21:44', 'admin', 'M', '1', 'ALL', '2', '2020-05-02 18:21:57', '2020-05-02 18:22:07', '1', NULL, NULL, NULL, NULL, 'admin', '2020-05-02 18:21:54', 'admin', '2021-08-12 16:05:00', NULL, '22', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1524265037052194817', '1231231', NULL, NULL, '2022-05-14 13:47:54', 'admin', 'H', '1', 'ALL', '2', '2022-05-11 13:48:04', '2022-05-11 14:04:18', '1', NULL, NULL, NULL, NULL, 'admin', '2022-05-11 13:47:59', 'admin', '2022-05-11 14:04:21', 'undefined,', '23123', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1524269214973243394', '123123', '<p>111</p>', NULL, '2022-05-12 14:04:24', 'admin', 'H', '1', 'ALL', '2', '2022-05-11 14:04:37', '2023-10-18 13:52:59', '1', NULL, NULL, NULL, NULL, 'admin', '2022-05-11 14:04:35', 'admin', '2023-10-18 13:53:02', 'undefined,', '123123', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1714483541679247362', 'JeecgBoot3.6.0大版本发布', '<div class=\"logo-wrapper\"><img class=\"logo\" src=\"https://www.jeecg.com/images/logo.png\" alt=\"\" border=\"3\" /></div>\n<p class=\"introduce\">JEECG是一款基于BPM的低代码平台！前后端分离架构 SpringBoot 2.x，SpringCloud，Ant Design&amp;Vue，Mybatis-plus，Shiro，JWT，支持微服务。强大的代码生成器让前后端代码一键生成，实现低代码开发！ JeecgBoot引领新低代码开发模式 OnlineCoding-&gt; 代码生成器-&gt; 手工MERGE， 帮助Java项目解决70%的重复工作，让开发更多关注业务，既能快速提高效率，节省研发成本，同时又不失灵活性！一系列低代码能力：Online表单、Online报表、Online图表、表单设计、流程设计、报表设计、大屏设计 等等...</p>\n<p class=\"changelog\">当前版本 v3.5.5&nbsp;<a class=\"\" href=\"https://www.jeecg.com/doc/log\">更新日志&nbsp;</a><span class=\"githubCls\"><iframe src=\"https://jeecgos.oss-cn-beijing.aliyuncs.com/files/jeecgstar20230921.svg\" width=\"110\" height=\"20\" frameborder=\"0\" scrolling=\"0\" data-mce-fragment=\"1\"></iframe><iframe src=\"https://jeecgos.oss-cn-beijing.aliyuncs.com/files/jeecgfork20230921.svg\" width=\"110\" height=\"20\" frameborder=\"0\" scrolling=\"0\" data-mce-fragment=\"1\"></iframe></span></p>', NULL, '2023-12-31 11:27:55', 'ceshi', 'H', '1', 'ALL', '1', '2023-10-18 11:28:27', NULL, '0', NULL, NULL, NULL, NULL, 'ceshi', '2023-10-18 11:28:25', 'ceshi', '2023-10-18 11:28:27', '', '新版本发布', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1714488642670137345', '1', '<p>1111</p>', NULL, '2023-12-01 11:48:36', 'ceshi', 'H', '1', 'ALL', '2', '2023-10-18 11:48:48', '2023-10-18 11:53:46', '1', NULL, NULL, NULL, NULL, 'ceshi', '2023-10-18 11:48:41', 'ceshi', '2023-10-18 11:54:25', '', '1', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1714490128032514049', '1', '<p>111</p>', NULL, '2023-10-28 11:54:29', 'ceshi', 'H', '1', 'ALL', '2', '2023-10-18 11:54:37', '2023-10-18 11:57:58', '1', NULL, NULL, NULL, NULL, 'ceshi', '2023-10-18 11:54:35', 'ceshi', '2023-10-18 11:58:01', '', '1', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1714491019510919170', '22', '<p>22</p>', NULL, '2023-10-28 11:58:04', 'ceshi', 'H', '1', 'ALL', '2', '2023-10-18 11:58:10', '2023-10-18 12:01:24', '1', NULL, NULL, NULL, NULL, 'ceshi', '2023-10-18 11:58:07', 'ceshi', '2023-10-18 12:01:25', '', '22', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1714491893842911233', '123', '<p>123</p>', NULL, '2023-10-27 12:01:31', 'ceshi', 'H', '1', 'ALL', '2', '2023-10-18 12:01:38', '2023-10-18 13:52:53', '1', NULL, NULL, NULL, NULL, 'ceshi', '2023-10-18 12:01:36', 'admin', '2023-10-18 13:52:55', '', '123', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1740388684018724866', '11', '<p>111</p>', NULL, NULL, 'admin', 'H', '1', 'ALL', '2', '2023-12-28 23:06:14', '2024-06-11 19:17:25', '1', NULL, NULL, NULL, NULL, 'admin', '2023-12-28 23:06:12', 'admin', '2024-06-22 19:45:36', '', '111', NULL, 0);
INSERT INTO `sys_announcement` VALUES ('1b714f8ebc3cc33f8b4f906103b6a18d', '5467567', NULL, NULL, NULL, 'admin', NULL, '2', NULL, '1', '2019-03-30 12:40:38', NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-02-26 17:23:26', 'admin', '2020-05-02 15:30:42', NULL, NULL, NULL, 0);
INSERT INTO `sys_announcement` VALUES ('3d11237ccdf62450d20bb8abdb331178', '111222', NULL, NULL, NULL, NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-03-29 17:19:47', 'admin', '2019-03-29 17:19:50', NULL, NULL, NULL, 0);
INSERT INTO `sys_announcement` VALUES ('7ef04e95f8de030b1d5f7a9144090dc6', '111', NULL, '2019-02-06 17:28:10', '2019-03-08 17:28:11', NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-02-26 17:28:17', 'admin', '2019-03-26 19:59:49', NULL, NULL, NULL, 0);
INSERT INTO `sys_announcement` VALUES ('93a9060a1c20e4bf98b3f768a02c2ff9', '111', '111', '2019-02-06 17:20:17', '2019-02-21 17:20:20', 'admin', 'M', '2', 'ALL', '1', '2019-02-26 17:24:29', NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-02-26 17:16:26', 'admin', '2020-05-02 15:30:42', NULL, NULL, NULL, 0);
INSERT INTO `sys_announcement` VALUES ('de1dc57f31037079e1e55c8347fe6ef7', '222', '2222', '2019-02-06 17:28:26', '2019-02-23 17:28:28', 'admin', 'M', '2', 'ALL', '1', '2019-03-29 17:19:56', NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-02-26 17:28:36', 'admin', '2019-02-26 17:28:40', NULL, NULL, NULL, 0);
INSERT INTO `sys_announcement` VALUES ('e52f3eb6215f139cb2224c52517af3bd', '334', '334', NULL, NULL, NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', '2019-03-30 12:40:28', 'admin', '2019-03-30 12:40:32', NULL, NULL, NULL, 0);

-- ----------------------------
-- Table structure for sys_announcement_send
-- ----------------------------
DROP TABLE IF EXISTS `sys_announcement_send`;
CREATE TABLE `sys_announcement_send`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `annt_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '通告ID',
  `user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `read_flag` int(10) NULL DEFAULT NULL COMMENT '阅读状态（0未读，1已读）',
  `read_time` datetime NULL DEFAULT NULL COMMENT '阅读时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `star_flag` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '标星状态( 1为标星 空/0没有标星)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sacm_annt_id`(`annt_id`) USING BTREE,
  INDEX `idx_sacm_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sacm_read_flag`(`read_flag`) USING BTREE,
  INDEX `idx_sacm_star_flag`(`star_flag`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户通告阅读标记表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_announcement_send
-- ----------------------------
INSERT INTO `sys_announcement_send` VALUES ('1197434450981543938', '93a9060a1c20e4bf98b3f768a02c2ff9', 'a75d45a015c44384a04449ee80dc3503', 0, NULL, 'jeecg', '2019-11-21 16:39:55', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1256486817319972866', '1256486817286418434', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2025-03-06 14:39:40', 'admin', '2020-05-02 15:32:56', 'admin', '2025-03-06 14:39:40', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1256486817349332993', '1256486817286418434', 'a75d45a015c44384a04449ee80dc3503', 1, '2023-10-18 11:36:33', 'admin', '2020-05-02 15:32:56', 'jeecg', '2023-10-18 11:36:33', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1256527099214278657', '1256486502931722242', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2025-03-06 14:40:59', 'admin', '2020-05-02 18:12:59', 'admin', '2025-03-06 14:40:59', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1260927781673484290', '1256486502931722242', 'a75d45a015c44384a04449ee80dc3503', 1, '2023-10-18 11:36:34', 'jeecg', '2020-05-14 21:39:45', 'jeecg', '2023-10-18 11:36:34', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1524265883060088833', '1524265037052194817', 'e9ca23d68d884d4ebb19d07889727dae', 0, NULL, 'admin', '2022-05-11 13:51:21', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1524269222510407682', '1524269214973243394', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2022-09-22 13:53:52', 'admin', '2022-05-11 14:04:37', 'admin', '2022-09-22 13:53:52', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1539164576187887617', '1524269214973243394', 'a75d45a015c44384a04449ee80dc3503', 1, '2023-10-18 11:36:30', 'jeecg', '2022-06-21 16:33:26', 'jeecg', '2023-10-18 11:36:30', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714483550193684481', '1714483541679247362', 'a75d45a015c44384a04449ee80dc3503', 1, '2023-10-18 11:36:25', 'ceshi', '2023-10-18 11:28:27', 'jeecg', '2023-10-18 11:36:25', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714483550206267393', '1714483541679247362', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2024-06-11 22:40:33', 'ceshi', '2023-10-18 11:28:27', 'admin', '2024-06-11 22:40:33', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714488675016609793', '1714488642670137345', 'a75d45a015c44384a04449ee80dc3503', 0, NULL, 'ceshi', '2023-10-18 11:48:48', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714488675020804097', '1714488642670137345', 'e9ca23d68d884d4ebb19d07889727dae', 0, NULL, 'ceshi', '2023-10-18 11:48:48', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714491903414312961', '1714491893842911233', '1714471285016895490', 1, '2023-10-18 12:01:42', 'ceshi', '2023-10-18 12:01:38', 'ceshi', '2023-10-18 12:01:42', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714491903414312962', '1714491893842911233', '3d464b4ea0d2491aab8a7bde74c57e95', 0, NULL, 'ceshi', '2023-10-18 12:01:38', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714491903414312963', '1714491893842911233', 'a75d45a015c44384a04449ee80dc3503', 0, NULL, 'ceshi', '2023-10-18 12:01:38', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1714491903414312964', '1714491893842911233', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2023-10-18 13:52:07', 'ceshi', '2023-10-18 12:01:38', 'admin', '2023-10-18 13:52:07', NULL);
INSERT INTO `sys_announcement_send` VALUES ('1740388693690789890', '1740388684018724866', '1714471285016895490', 0, NULL, 'admin', '2023-12-28 23:06:14', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1740388693699178497', '1740388684018724866', '3d464b4ea0d2491aab8a7bde74c57e95', 0, NULL, 'admin', '2023-12-28 23:06:14', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1740388693699178498', '1740388684018724866', 'a75d45a015c44384a04449ee80dc3503', 0, NULL, 'admin', '2023-12-28 23:06:14', NULL, NULL, NULL);
INSERT INTO `sys_announcement_send` VALUES ('1740388693707567106', '1740388684018724866', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2023-12-28 23:10:41', 'admin', '2023-12-28 23:06:14', 'admin', '2023-12-28 23:10:41', NULL);
INSERT INTO `sys_announcement_send` VALUES ('646c0c405ec643d4dc4160db2446f8ff', '93a9060a1c20e4bf98b3f768a02c2ff9', 'e9ca23d68d884d4ebb19d07889727dae', 1, '2019-11-21 16:30:01', 'admin', '2019-05-17 11:50:56', 'admin', '2019-11-21 16:30:01', NULL);

-- ----------------------------
-- Table structure for sys_category
-- ----------------------------
DROP TABLE IF EXISTS `sys_category`;
CREATE TABLE `sys_category`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `pid` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父级节点',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型名称',
  `code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '类型编码',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `has_child` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否有子节点',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `index_scg_code`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_category
-- ----------------------------
INSERT INTO `sys_category` VALUES ('1183693424827564034', '0', '物料树', 'B02', 'admin', '2019-10-14 18:37:59', 'admin', '2019-10-14 18:38:15', 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('1183693491043041282', '1183693424827564034', '上衣', 'B02A01', 'admin', '2019-10-14 18:38:15', 'admin', '2019-10-14 18:38:43', 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('1183693534173069314', '1183693424827564034', '裤子', 'B02A02', 'admin', '2019-10-14 18:38:25', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1183693610534567937', '1183693491043041282', '秋衣', 'B02A01A01', 'admin', '2019-10-14 18:38:43', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1183693700254924802', '1183693491043041282', '兵装', 'B02A01A02', 'admin', '2019-10-14 18:39:05', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1183693773974011906', '1183693491043041282', '女装', 'B02A01A03', 'admin', '2019-10-14 18:39:22', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1185039122143719425', '0', '电脑产品', 'A01', 'admin', '2019-10-18 11:45:18', 'admin', '2023-10-18 13:54:46', 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('1185039176799694850', '1185039122143719425', 'thinkpad', 'A01A01', 'admin', '2019-10-18 11:45:31', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1185039255115739138', '1185039122143719425', 'mackbook', 'A01A02', 'admin', '2019-10-18 11:45:50', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1185039299051073537', '1185039122143719425', '华为电脑', 'A01A03', 'admin', '2019-10-18 11:46:01', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1230769196661510146', '0', '省', NULL, 'admin', '2020-02-21 16:20:16', 'admin', '2020-02-21 16:20:31', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769253267836929', '1230769196661510146', '安徽省', NULL, 'admin', '2020-02-21 16:20:31', 'admin', '2020-02-21 16:20:53', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769290609725441', '1230769196661510146', '山东省', NULL, 'admin', '2020-02-21 16:20:40', 'admin', '2020-02-21 16:21:23', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769347157331969', '1230769253267836929', '合肥市', NULL, 'admin', '2020-02-21 16:20:53', 'admin', '2020-02-21 16:21:08', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769407907631106', '1230769347157331969', '包河区', NULL, 'admin', '2020-02-21 16:21:08', NULL, NULL, 'A01A03', NULL, 0);
INSERT INTO `sys_category` VALUES ('1230769470889299970', '1230769290609725441', '济南市', NULL, 'admin', '2020-02-21 16:21:23', 'admin', '2020-02-21 16:21:41', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769547519234050', '1230769470889299970', 'A区', NULL, 'admin', '2020-02-21 16:21:41', NULL, NULL, 'A01A03', NULL, 0);
INSERT INTO `sys_category` VALUES ('1230769620021972993', '1230769470889299970', 'B区', NULL, 'admin', '2020-02-21 16:21:58', NULL, NULL, 'A01A03', NULL, 0);
INSERT INTO `sys_category` VALUES ('1230769769930592257', '1230769253267836929', '淮南市', NULL, 'admin', '2020-02-21 16:22:34', 'admin', '2020-02-21 16:22:54', 'A01A03', '1', 0);
INSERT INTO `sys_category` VALUES ('1230769855347593217', '1230769769930592257', 'C区', NULL, 'admin', '2020-02-21 16:22:54', NULL, NULL, 'A01A03', NULL, 0);
INSERT INTO `sys_category` VALUES ('1590548229606047745', '0', '物料树C', 'C02', 'admin', '2022-11-10 11:33:44', NULL, NULL, 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('1590548229652185090', '1590548229606047745', '上衣C', 'C02A01', 'admin', '2022-11-10 11:33:44', NULL, NULL, 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('1590548229668962305', '1590548229606047745', '裤子C', 'C02A02', 'admin', '2022-11-10 11:33:44', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('1590548229685739522', '1590548229652185090', '秋衣C', 'C02A01A01', 'admin', '2022-11-10 11:33:44', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('22a50b413c5e1ef661fb8aea9469cf52', 'e9ded10fd33e5753face506f4f1564b5', 'MacBook', 'B01-2-1', 'admin', '2019-06-10 15:43:13', NULL, NULL, 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('5c8f68845e57f68ab93a2c8d82d26ae1', '0', '笔记本', 'B01', 'admin', '2019-06-10 15:34:11', 'admin', '2019-06-10 15:34:24', 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('937fd2e9aa13b8bab1da1ca36d3fd344', 'e9ded10fd33e5753face506f4f1564b5', '台式机', 'B01-2-2', 'admin', '2019-06-10 15:43:32', 'admin', '2019-08-21 12:01:59', 'A01', NULL, 0);
INSERT INTO `sys_category` VALUES ('e9ded10fd33e5753face506f4f1564b5', '5c8f68845e57f68ab93a2c8d82d26ae1', '苹果电脑', 'B01-2', 'admin', '2019-06-10 15:41:14', 'admin', '2019-06-10 15:43:13', 'A01', '1', 0);
INSERT INTO `sys_category` VALUES ('f39a06bf9f390ba4a53d11bc4e0018d7', '5c8f68845e57f68ab93a2c8d82d26ae1', '华为', 'B01-1', 'admin', '2019-06-10 15:34:24', 'admin', '2019-08-21 12:01:56', 'A01', NULL, 0);

-- ----------------------------
-- Table structure for sys_check_rule
-- ----------------------------
DROP TABLE IF EXISTS `sys_check_rule`;
CREATE TABLE `sys_check_rule`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `rule_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则名称',
  `rule_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则Code',
  `rule_json` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则JSON',
  `rule_description` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则描述',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_scr_rule_code`(`rule_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_check_rule
-- ----------------------------
INSERT INTO `sys_check_rule` VALUES ('1224980593992388610', '通用编码规则', 'common', '[{\"digits\":\"1\",\"pattern\":\"^[a-z|A-Z]$\",\"message\":\"第一位只能是字母\"},{\"digits\":\"*\",\"pattern\":\"^[0-9|a-z|A-Z|_]{0,}$\",\"message\":\"只能填写数字、大小写字母、下划线\"},{\"digits\":\"*\",\"pattern\":\"^.{3,}$\",\"message\":\"最少输入3位数\"},{\"digits\":\"*\",\"pattern\":\"^.{3,12}$\",\"message\":\"最多输入12位数\"}]', '规则：1、首位只能是字母；2、只能填写数字、大小写字母、下划线；3、最少3位数，最多12位数。', 'admin', '2020-02-07 11:25:48', 'admin', '2020-02-05 16:58:27');
INSERT INTO `sys_check_rule` VALUES ('1225001845524004866', '负责的功能测试', 'test', '[{\"digits\":\"*\",\"pattern\":\"^.{3,12}$\",\"message\":\"只能输入3-12位字符\"},{\"digits\":\"3\",\"pattern\":\"^\\\\d{3}$\",\"message\":\"前3位必须是数字\"},{\"digits\":\"*\",\"pattern\":\"^[^pP]*$\",\"message\":\"不能输入P\"},{\"digits\":\"4\",\"pattern\":\"^@{4}$\",\"message\":\"第4-7位必须都为 @\"},{\"digits\":\"2\",\"pattern\":\"^#=$\",\"message\":\"第8-9位必须是 #=\"},{\"digits\":\"1\",\"pattern\":\"^O$\",\"message\":\"第10位必须为大写的O\"},{\"digits\":\"*\",\"pattern\":\"^.*。$\",\"message\":\"必须以。结尾\"}]', '包含长度校验、特殊字符校验等', 'admin', '2020-02-07 11:57:31', 'admin', '2020-02-05 18:22:54');

-- ----------------------------
-- Table structure for sys_comment
-- ----------------------------
DROP TABLE IF EXISTS `sys_comment`;
CREATE TABLE `sys_comment`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `table_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表名',
  `table_data_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据id',
  `from_user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '来源用户id',
  `to_user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送给用户id(允许为空)',
  `comment_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '评论id(允许为空，不为空时，则为回复)',
  `comment_content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '回复内容',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_table_data_id`(`table_name`, `table_data_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统评论回复表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_comment
-- ----------------------------
INSERT INTO `sys_comment` VALUES ('1580814554312093698', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '1212\n:open_mouth:', 'admin', '2022-10-14 14:55:35', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1580814573433925634', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2022-10-14 14:55:39', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1580814621358043137', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '干啥啊', 'admin', '2022-10-14 14:55:51', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584490724803174402', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '1212:nerd_face:', 'admin', '2022-10-24 18:23:22', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584490998162743298', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '123123', 'admin', '2022-10-24 18:24:27', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584491122888761345', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '333', 'admin', '2022-10-24 18:24:57', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584493914588143617', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '2222', 'admin', '2022-10-24 18:36:02', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584493923496845313', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '333', 'admin', '2022-10-24 18:36:04', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1584493984364584961', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2022-10-24 18:36:19', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1714455459606024193', 'ceshi_note', '1586278360710615042', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2023-10-18 09:36:49', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1714455471815643138', 'ceshi_note', '1586278360710615042', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '121', 'admin', '2023-10-18 09:36:52', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1765261100976934914', 'ceshi_note', '1737728721647525890', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '挺好的', 'admin', '2024-03-06 14:20:18', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1765261127610765313', 'ceshi_note', '1737728721647525890', 'e9ca23d68d884d4ebb19d07889727dae', '', '', ':woozy_face:', 'admin', '2024-03-06 14:20:24', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1800557341876895745', 'ceshi_aaa', '1782647168684478466', 'e9ca23d68d884d4ebb19d07889727dae', '', '', ':face_with_head_bandage::nauseated_face:', 'admin', '2024-06-11 23:54:58', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1800557929826041858', 'ceshi_aaa', '1782647168684478466', 'e9ca23d68d884d4ebb19d07889727dae', '', '', ':cold_face:', 'admin', '2024-06-11 23:57:18', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1800557935693873154', 'ceshi_aaa', '1782647168684478466', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '1212', 'admin', '2024-06-11 23:57:19', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1800557955415490562', 'ceshi_aaa', '1782647168684478466', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2024-06-11 23:57:24', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1800558013942808578', 'ceshi_aaa', '1782647168684478466', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2024-06-11 23:57:38', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1805421586141544450', 'aa_order', '1805421421888405506', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '写的不错', 'admin', '2024-06-25 10:03:44', NULL, NULL);
INSERT INTO `sys_comment` VALUES ('1805421721126830082', 'aa_order', '1805421421888405506', 'e9ca23d68d884d4ebb19d07889727dae', '', '', '上传了附件', 'admin', '2024-06-25 10:04:16', NULL, NULL);

-- ----------------------------
-- Table structure for sys_data_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_data_log`;
CREATE TABLE `sys_data_log`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人真实名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `data_table` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表名',
  `data_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据ID',
  `data_content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '数据内容',
  `data_version` int(11) NULL DEFAULT NULL COMMENT '版本号',
  `type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'json' COMMENT '类型',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sdl_data_table_id`(`data_table`, `data_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_data_log
-- ----------------------------
INSERT INTO `sys_data_log` VALUES ('1523903071766949890', NULL, NULL, '2022-05-10 13:49:40', NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{\r\n	\"mobilePhone\":\"1872222222\",\r\n	\"officePhone\":\"1222222\",\r\n	\"email\":\"\",\r\n	\"createDate\":\"Jun 23, 2016 12:00:00 PM\",\r\n	\"sex\":\"1\",\r\n	\"depId\":\"402880e447e99cf10147e9a03b320003\",\r\n	\"userName\":\"9001\",\r\n	\"status\":\"1\",\r\n	\"content\":\"111\",\r\n	\"id\":\"4028ef81550c1a7901550c1cd6e70001\"\r\n}', 4, 'json');
INSERT INTO `sys_data_log` VALUES ('1580525580339335170', 'admin', '管理员', '2022-10-13 19:47:18', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【名字】的字段内容 易强 修改为 易强1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580529675481600001', 'admin', '管理员', '2022-10-13 20:03:34', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【性别】的字段内容 2 修改为 1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580529718888452098', 'admin', '管理员', '2022-10-13 20:03:44', NULL, NULL, 'v3_hello', '1580529718871674882', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580534551057936386', 'admin', '管理员', '2022-10-13 20:22:57', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【关联记录】的字段内容 空 修改为 1258783909887422466；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580534592426356738', 'admin', '管理员', '2022-10-13 20:23:06', NULL, NULL, 'ces_shop_goods', '1258783909887422466', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580534607228055553', 'admin', '管理员', '2022-10-13 20:23:10', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580537951120142338', 'admin', '管理员', '2022-10-13 20:36:27', NULL, NULL, 'v3_hello', '1580510370266238978', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580538174827540481', 'admin', '管理员', '2022-10-13 20:37:21', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【关联记录】的字段内容 空 修改为 1258408897326149634；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580541919602814978', 'admin', '管理员', '2022-10-13 20:52:13', NULL, NULL, 'ces_shop_type', '1258408044439597058', '  将名称为【图片】的字段内容 jeewxshop测试号_1588862831749.jpg 修改为 temp/4afbfbedab64034f9015f1bca8c379310b551dab_1665665531949.jpg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580542958913597442', 'admin', '管理员', '2022-10-13 20:56:21', NULL, NULL, 'v3_demo1', '1532265688470265858', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580543047069478914', 'admin', '管理员', '2022-10-13 20:56:42', NULL, NULL, 'test_note', '1580543046964621313', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580543149787983873', 'admin', '管理员', '2022-10-13 20:57:07', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580543461865172994', 'admin', '管理员', '2022-10-13 20:58:21', NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580543527321481217', 'admin', '管理员', '2022-10-13 20:58:37', NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580544512626405378', 'admin', '管理员', '2022-10-13 21:02:32', NULL, NULL, 'ai_control_single', '1580544512563490817', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580544763290595329', 'admin', '管理员', '2022-10-13 21:03:31', NULL, NULL, 'ai_control_single', '1580544512563490817', '  将名称为【自定义树】的字段内容 空 修改为 1185039122143719425；    将名称为【部门选择】的字段内容 空 修改为 c6d7cb4deeac411cb3384b1b31278596；    将名称为【用户选择】的字段内容 空 修改为 zhangsan；    将名称为【省市区】的字段内容 空 修改为 140303；    将名称为【分类字典树】的字段内容 空 修改为 1183693534173069314；    将名称为【年月日时分秒】的字段内容 空 修改为 2022-10-13 03:00:05；    将名称为【时间】的字段内容 空 修改为 00:00:02；    将名称为【字典表带条件下拉搜索】的字段内容 空 修改为 admin；    将名称为【图片】的字段内容 空 修改为 temp/appdev_1665666175437.png；    将名称为【字典表带条件单选】的字段内容 空 修改为 zhagnxiao；    将名称为【字典表下拉多选】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c；    将名称为【popback】的字段内容 空 修改为 张三；    将名称为【字典多选】的字段内容 空 修改为 2；    将名称为【字典表多选】的字段内容 空 修改为 63775228b7b041a99825f79760590b7d；    将名称为【字典表单选】的字段内容 空 修改为 63775228b7b041a99825f79760590b7d；    将名称为【字典单选】的字段内容 空 修改为 2；    将名称为【字典表带条件多选】的字段内容 空 修改为 zhagnxiao；    将名称为【字典表带条件下拉多选】的字段内容 空 修改为 admin；    将名称为【日期】的字段内容 空 修改为 2022-10-06；    将名称为【开关】的字段内容 2 修改为 1；    将名称为【popup弹窗】的字段内容 空 修改为 zhangsan；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580545002412060674', 'admin', '管理员', '2022-10-13 21:04:28', NULL, NULL, 'ai_control_single', '1580544512563490817', '  将名称为【密码】的字段内容 空 修改为 33333；    将名称为【文本】的字段内容 22 修改为 22333；    将名称为【多行文本框】的字段内容 商品名称：22,单价：22 修改为 商品名称：22333,单价：22；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580562545419890690', 'admin', '管理员', '2022-10-13 22:14:11', NULL, NULL, 'ai_control_single', '1580562545285672961', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580563072203501569', 'admin', '管理员', '2022-10-13 22:16:17', NULL, NULL, 'ai_control_single', '1580563072002174977', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580733477480443906', 'admin', '管理员', '2022-10-14 09:33:24', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 2333 修改为 233322；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580749419480494081', 'admin', '管理员', '2022-10-14 10:36:45', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580761292670119938', 'admin', '管理员', '2022-10-14 11:23:56', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580772922195849218', 'admin', '管理员', '2022-10-14 12:10:09', NULL, NULL, 'ces_shop_goods', '1258408897326149634', '  将名称为【商品分类】的字段内容 1258408044439597058 修改为 1258408003595464706；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580814471130656770', 'admin', '管理员', '2022-10-14 14:55:15', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 233322 修改为 23332290；    将名称为【生日】的字段内容 2022-09-29 修改为 2022-09-03；    将名称为【名字】的字段内容 易强1 修改为 易强10；    将名称为【性别】的字段内容 1 修改为 2；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580814505297457154', 'admin', '管理员', '2022-10-14 14:55:23', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【名字】的字段内容 11 修改为 刘艳；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580814578701971457', 'admin', '管理员', '2022-10-14 14:55:40', NULL, NULL, 'v3_hello', '1580529718871674882', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816176350113793', 'admin', '管理员', '2022-10-14 15:02:01', NULL, NULL, 'ceshi_001', '1580816176220090369', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816198277935106', 'admin', '管理员', '2022-10-14 15:02:06', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>2222</p> 修改为 <p><img src=\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/11_1665730924934.jpg\" />2222</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816241374408705', 'admin', '管理员', '2022-10-14 15:02:17', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【所属部门】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c,67fc001af12a4f9b8458005d3f19934a；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816274597490690', 'admin', '管理员', '2022-10-14 15:02:25', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【所属部门】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816614608744450', 'admin', '管理员', '2022-10-14 15:03:46', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>2222</p> 修改为 <p>222290</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580816727792037890', 'admin', '管理员', '2022-10-14 15:04:13', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>222290</p> 修改为 <p><img src=\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/20180607175028Fn1Lq7zw_1665731051414.png\" />222290</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580824196471730178', 'admin', '管理员', '2022-10-14 15:33:53', NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【弹窗】的字段内容 空 修改为 小红帽4——prod；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580824545664315394', 'admin', '管理员', '2022-10-14 15:35:17', NULL, NULL, 'ceshi_001', '1580824545521709058', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580824562823213058', 'admin', '管理员', '2022-10-14 15:35:21', NULL, NULL, 'ceshi_001', '1580824562693189634', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580824645950124033', 'admin', '管理员', '2022-10-14 15:35:41', NULL, NULL, 'ceshi_001', '1580824562693189634', '  将名称为【弹窗】的字段内容 空 修改为 aaa；    将名称为【打卡时间】的字段内容 空 修改为 2022-10-07 15:35:25；    将名称为【薪资】的字段内容 空 修改为 33.00；    将名称为【备注】的字段内容 空 修改为 <p>333</p>；    将名称为【生日】的字段内容 空 修改为 2022-10-06；    将名称为【性别】的字段内容 空 修改为 1；    将名称为【所属部门】的字段内容 空 修改为 6d35e179cd814e3299bd588ea7daed3f；    将名称为【年龄】的字段内容 空 修改为 22；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580825874562428930', 'admin', '管理员', '2022-10-14 15:40:33', NULL, NULL, 'ceshi_main001', '1580825874361102338', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580825931193921538', 'admin', '管理员', '2022-10-14 15:40:47', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580825997833023490', 'admin', '管理员', '2022-10-14 15:41:03', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580826120168288258', 'admin', '管理员', '2022-10-14 15:41:32', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580826171309436929', 'admin', '管理员', '2022-10-14 15:41:44', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580826404688900097', 'admin', '管理员', '2022-10-14 15:42:40', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580827034358788098', 'admin', '管理员', '2022-10-14 15:45:10', NULL, NULL, 'ceshi_001', '1580824545521709058', '  将名称为【打卡时间】的字段内容 空 修改为 2022-10-07 15:45:05；    将名称为【生日】的字段内容 空 修改为 2022-10-13；    将名称为【性别】的字段内容 空 修改为 1；    将名称为【年龄】的字段内容 空 修改为 78；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580836377393258497', 'admin', '管理员', '2022-10-14 16:22:18', NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1580842495075049473', 'admin', '管理员', '2022-10-14 16:46:36', NULL, NULL, 'ceshi_001', '1580824545521709058', '  将名称为【备注】的字段内容 空 修改为 <p>222</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1581934124192116738', 'admin', '管理员', '2022-10-17 17:04:21', NULL, NULL, 'ceshi_main001', '1580825874361102338', '  将名称为【描述】的字段内容 111 修改为 111111；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584467456679436289', 'admin', '管理员', '2022-10-24 16:50:54', NULL, NULL, 'ai_control_single', '1580563072002174977', '  将名称为【用户名】的字段内容 测试js增强设置默认值222 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584479680101834753', 'admin', '管理员', '2022-10-24 17:39:29', NULL, NULL, 'ai_control_single', '1580562545285672961', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584479719889002497', 'admin', '管理员', '2022-10-24 17:39:38', NULL, NULL, 'ai_control_single', '1580562545285672961', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；    将名称为【字典下拉】的字段内容 空 修改为 1；    将名称为【字典多选】的字段内容 空 修改为 2；    将名称为【字典单选】的字段内容 空 修改为 2；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584479762062729218', 'admin', '管理员', '2022-10-24 17:39:48', NULL, NULL, 'ai_control_single', '1584479761945288706', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584479801854091266', 'admin', '管理员', '2022-10-24 17:39:58', NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584479862642139138', 'admin', '管理员', '2022-10-24 17:40:12', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 23332290 修改为 23332290787；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584480385399218178', 'admin', '管理员', '2022-10-24 17:42:17', NULL, NULL, 'ai_control_single', '1580563072002174977', '  将名称为【用户名】的字段内容 测试js增强设置默认值222 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584490663641833474', 'admin', '管理员', '2022-10-24 18:23:07', NULL, NULL, 'ceshi_001', '1580824545521709058', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584493996632924161', 'admin', '管理员', '2022-10-24 18:36:22', NULL, NULL, 'v3_hello', '1580510370266238978', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584499621706293250', 'admin', '管理员', '2022-10-24 18:58:43', NULL, NULL, 'ces_shop_goods', '1258783909887422466', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584503949301080066', 'admin', '管理员', '2022-10-24 19:15:55', NULL, NULL, 'ces_shop_goods', '1258783909887422466', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584503965872775170', 'admin', '管理员', '2022-10-24 19:15:59', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584526394305241090', 'admin', '管理员', '2022-10-24 20:45:06', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584558944432103426', 'admin', '管理员', '2022-10-24 22:54:27', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769407907631106；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769347157331969；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584562117972533250', 'admin', '管理员', '2022-10-24 23:07:03', NULL, NULL, 'ces_shop_goods', '1258408897326149634', '  将名称为【商品名字】的字段内容 华为手机note 修改为 华为手机note11；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584562140730826754', 'admin', '管理员', '2022-10-24 23:07:09', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584565536531619842', 'admin', '管理员', '2022-10-24 23:20:38', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769407907631106 修改为 空；    将名称为【市】的字段内容 1230769347157331969 修改为 空；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584565549508796417', 'admin', '管理员', '2022-10-24 23:20:41', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584723571270971394', 'admin', '管理员', '2022-10-25 09:48:37', NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584743370139070465', 'admin', '管理员', '2022-10-25 11:07:17', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584743880762028034', 'admin', '管理员', '2022-10-25 11:09:19', NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584744029085200385', 'admin', '管理员', '2022-10-25 11:09:54', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【关联记录】的字段内容 1258408897326149634 修改为 1258783909887422466；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584744360393273346', 'admin', '管理员', '2022-10-25 11:11:13', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584751054817030145', 'admin', '管理员', '2022-10-25 11:37:49', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584751163625664514', 'admin', '管理员', '2022-10-25 11:38:15', NULL, NULL, 'ces_shop_goods', '1584751163470475266', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584751171917803522', 'admin', '管理员', '2022-10-25 11:38:17', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222；    将名称为【关联记录】的字段内容 1258783909887422466 修改为 1584751163470475266；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584755047844769793', 'admin', '管理员', '2022-10-25 11:53:41', NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【价格】的字段内容 222.00000 修改为 222.00110；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584755064240304130', 'admin', '管理员', '2022-10-25 11:53:45', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584755181374631938', 'admin', '管理员', '2022-10-25 11:54:13', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837368534937602', 'admin', '管理员', '2022-10-25 17:20:48', NULL, NULL, 'ceshi_001', '1584837368463634433', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837462831280129', 'admin', '管理员', '2022-10-25 17:21:11', NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【出厂时间】的字段内容 空 修改为 2022-09-30；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837476886392834', 'admin', '管理员', '2022-10-25 17:21:14', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837625570275330', 'admin', '管理员', '2022-10-25 17:21:49', NULL, NULL, 'v3_demo1', '1532265688470265858', '  将名称为【备注】的字段内容 空 修改为 所发生的；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837705593401345', 'admin', '管理员', '2022-10-25 17:22:09', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【区】的字段内容 1230769407907631106 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769347157331969 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1584837730956357633', 'admin', '管理员', '2022-10-25 17:22:15', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【区】的字段内容 空 修改为 1230769620021972993；    将名称为【市】的字段内容 空 修改为 1230769470889299970；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585122474969415682', 'admin', '管理员', '2022-10-26 12:13:43', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585122523522678785', 'admin', '管理员', '2022-10-26 12:13:54', NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【商品名字】的字段内容 单表示例 修改为 单表示例222；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585122531546382337', 'admin', '管理员', '2022-10-26 12:13:56', NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585129142025338881', 'admin', '管理员', '2022-10-26 12:40:12', NULL, NULL, 'v3_hello', '1585129141824012290', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585129199265005569', 'admin', '管理员', '2022-10-26 12:40:26', NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585143398665961473', 'admin', '管理员', '2022-10-26 13:36:51', NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585143431406698498', 'admin', '管理员', '2022-10-26 13:36:59', NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585591474300100610', 'admin', '管理员', '2022-10-27 19:17:21', NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585593970338799618', 'admin', '管理员', '2022-10-27 19:27:16', NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【名字】的字段内容 刘艳 修改为 刘艳1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585594003176005633', 'admin', '管理员', '2022-10-27 19:27:24', NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【名字】的字段内容 1212 修改为 龚洋；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585594018841731073', 'admin', '管理员', '2022-10-27 19:27:28', NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【名字】的字段内容 龚洋 修改为 龚洋1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585639584833339394', 'admin', '管理员', '2022-10-27 22:28:31', NULL, NULL, 'v3_hello', '1585639584506183681', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585817690676379650', 'admin', '管理员', '2022-10-28 10:16:15', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585817807542272001', 'admin', '管理员', '2022-10-28 10:16:43', NULL, NULL, 'ceshi_main001', '1580825874361102338', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585820119476191234', 'admin', '管理员', '2022-10-28 10:25:54', NULL, NULL, 'test_note', '1580543046964621313', '  将名称为【请假原因】的字段内容 空 修改为 1212；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585822484832960513', 'admin', '管理员', '2022-10-28 10:35:18', NULL, NULL, 'test_shoptype_tree', '1585822484715520001', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585822513492639745', 'admin', '管理员', '2022-10-28 10:35:25', NULL, NULL, 'test_shoptype_tree', '1256629188993069058', '  将名称为【分类图片】的字段内容 jeewxshop测试号_1588438719823.jpg 修改为 空；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585822532543168514', 'admin', '管理员', '2022-10-28 10:35:30', NULL, NULL, 'test_shoptype_tree', '1256629139206680578', '  将名称为【分类图片】的字段内容 e1fe9925bc315c60addea1b98eb1cb1349547719_1588438707727.jpg 修改为 空；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585822566852575233', 'admin', '管理员', '2022-10-28 10:35:38', NULL, NULL, 'test_shoptype_tree', '1256628820489908225', '  将名称为【分类图片】的字段内容 空 修改为 temp/11_1666924536435.jpg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585826259140329474', 'admin', '管理员', '2022-10-28 10:50:18', NULL, NULL, 'v3_hello', '1585826258943197186', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585826315784404993', 'admin', '管理员', '2022-10-28 10:50:32', NULL, NULL, 'v3_hello', '1585826258943197186', '  将名称为【他表字段】的字段内容 空 修改为 22233；    将名称为【年龄】的字段内容 20 修改为 201；    将名称为【名字】的字段内容 黄明远 修改为 黄明远1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1585826988332662785', 'admin', '管理员', '2022-10-28 10:53:12', NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586278361180377089', 'admin', '管理员', '2022-10-29 16:46:48', NULL, NULL, 'ceshi_note', '1586278360710615042', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586281651213381633', 'admin', '管理员', '2022-10-29 16:59:52', NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586285042735984642', 'admin', '管理员', '2022-10-29 17:13:21', NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586285348303613953', 'admin', '管理员', '2022-10-29 17:14:33', NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586285527417171969', 'admin', '管理员', '2022-10-29 17:15:16', NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586285822952026114', 'admin', '管理员', '2022-10-29 17:16:27', NULL, NULL, 'test_order_main', '1551943088862896130', '  将名称为【订单编码】的字段内容 CN2022072622503177 修改为 CN2022；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586554347608305665', 'admin', '管理员', '2022-10-30 11:03:28', NULL, NULL, 'test_v3_hello', '1585826258943197186', '  将名称为【他表字段】的字段内容 空 修改为 22233；    将名称为【备注】的字段内容 空 修改为 问题的关键究竟为何? 而这些并不是完全重要, 更加重要的问题是, 可是，即使是这样，随机一段废话的出现仍然代表了一定的意义. 我们都知道, 只要有意义, 那么就必须慎重考虑.那么, 经过上述讨论, 就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. \n就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. 既然如此, 我们一般认为, 抓住了问题的关键, 其他一切则会迎刃而解.对我；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586554454575640577', 'admin', '管理员', '2022-10-30 11:03:53', NULL, NULL, 'test_note', '1586554454185570306', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586554463777943555', 'admin', '管理员', '2022-10-30 11:03:56', NULL, NULL, 'test_v3_hello', '1586554463777943554', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586557969775685633', 'admin', '管理员', '2022-10-30 11:17:51', NULL, NULL, 'test_order_main', '1586557968995545089', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586558444143079425', 'admin', '管理员', '2022-10-30 11:19:45', NULL, NULL, 'test_order_main', '1586557968995545089', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586558640096768001', 'admin', '管理员', '2022-10-30 11:20:31', NULL, NULL, 'test_order_main', '1586557968995545089', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1586651979173326850', 'admin', '管理员', '2022-10-30 17:31:25', NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【弹出报表】的字段内容 空 修改为 孙亦菲；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587064092114944001', 'admin', '管理员', '2022-10-31 20:49:00', NULL, NULL, 'ceshi_note', '1586650800414519297', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587064750704558081', 'admin', '管理员', '2022-10-31 20:51:37', NULL, NULL, 'ceshi_note', '1586650800414519297', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587064838038355970', 'admin', '管理员', '2022-10-31 20:51:58', NULL, NULL, 'ceshi_note', '1586650800414519297', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587361366309310466', 'admin', '管理员', '2022-11-01 16:30:16', NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【部门】的字段内容 c6d7cb4deeac411cb3384b1b31278596 修改为 57197590443c44f083d42ae24ef26a2c；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587362273243664385', 'admin', '管理员', '2022-11-01 16:33:52', NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【部门】的字段内容 57197590443c44f083d42ae24ef26a2c 修改为 A01；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587367019220275201', 'admin', '管理员', '2022-11-01 16:52:44', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 空 修改为 1230769769930592257；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587373788424278017', 'admin', '管理员', '2022-11-01 17:19:38', NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【物料分类】的字段内容 1185039122143719425 修改为 1183693534173069314；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587386514257186818', 'admin', '管理员', '2022-11-01 18:10:12', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1230769769930592257 修改为 1230769290609725441；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587386731111092225', 'admin', '管理员', '2022-11-01 18:11:04', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1230769290609725441 修改为 1183693424827564034；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587387636954927105', 'admin', '管理员', '2022-11-01 18:14:40', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 空 修改为 210504；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587387673680252929', 'admin', '管理员', '2022-11-01 18:14:48', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 210504 修改为 130608；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587388008209551361', 'admin', '管理员', '2022-11-01 18:16:08', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 130608 修改为 140212；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587388429615468546', 'admin', '管理员', '2022-11-01 18:17:49', NULL, NULL, 'ceshi_note', '1587365083679002625', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587388793223876609', 'admin', '管理员', '2022-11-01 18:19:15', NULL, NULL, 'ceshi_note', '1587365083679002625', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389350982422529', 'admin', '管理员', '2022-11-01 18:21:28', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1185039122143719425；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389379570798594', 'admin', '管理员', '2022-11-01 18:21:35', NULL, NULL, 'ceshi_note', '1587389379436580866', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389814314602498', 'admin', '管理员', '2022-11-01 18:23:19', NULL, NULL, 'ceshi_note', '1587389379436580866', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1230769196661510146；    将名称为【省市区】的字段内容 空 修改为 220403；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389853166440449', 'admin', '管理员', '2022-11-01 18:23:28', NULL, NULL, 'ceshi_note', '1587389379436580866', '  将名称为【物料分类】的字段内容 1230769196661510146 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；    将名称为【省市区】的字段内容 220403 修改为 110105；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389894396448770', 'admin', '管理员', '2022-11-01 18:23:38', NULL, NULL, 'ceshi_note', '1587389894266425345', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587389918257844226', 'admin', '管理员', '2022-11-01 18:23:43', NULL, NULL, 'ceshi_note', '1587389894266425345', '  将名称为【物料分类】的字段内容 空 修改为 1185039122143719425；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587390962102669313', 'admin', '管理员', '2022-11-01 18:27:52', NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1185039122143719425 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587391433768931330', 'admin', '管理员', '2022-11-01 18:29:45', NULL, NULL, 'ceshi_note', '1587391433634713601', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587396600325181442', 'admin', '管理员', '2022-11-01 18:50:17', NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【文件】的字段内容 空 修改为 temp/jeecg33_1667299809336.jpg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587396657636151298', 'admin', '管理员', '2022-11-01 18:50:30', NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【图片】的字段内容 空 修改为 temp/20211101103911_1667299828205.png；    将名称为【文件】的字段内容 temp/jeecg33_1667299809336.jpg 修改为 temp/jeecg222_1667299825630.png；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587396709444194305', 'admin', '管理员', '2022-11-01 18:50:43', NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【图片】的字段内容 temp/20211101103911_1667299828205.png 修改为 temp/20211101103911_1667299828205.png,temp/版本升级_1667299837808.jpg；    将名称为【文件】的字段内容 temp/jeecg222_1667299825630.png 修改为 temp/jeecg222_1667299825630.png,temp/版本升级_1667299840515.jpg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587399296021139457', 'admin', '管理员', '2022-11-01 19:00:59', NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587399326702473218', 'admin', '管理员', '2022-11-01 19:01:07', NULL, NULL, 'ceshi_note', '1587399326509535234', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587399357216034817', 'admin', '管理员', '2022-11-01 19:01:14', NULL, NULL, 'ceshi_note', '1587399326509535234', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587399379198382081', 'admin', '管理员', '2022-11-01 19:01:19', NULL, NULL, 'ceshi_note', '1587399378997055489', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587400302238863361', 'admin', '管理员', '2022-11-01 19:04:59', NULL, NULL, 'ceshi_note', '1587399378997055489', '  将名称为【性别】的字段内容 空 修改为 1；    将名称为【单选框】的字段内容 空 修改为 2；    将名称为【物料分类】的字段内容 5c8f68845e57f68ab93a2c8d82d26ae1 修改为 1183693424827564034；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587400411320127490', 'admin', '管理员', '2022-11-01 19:05:25', NULL, NULL, 'ceshi_note', '1587399378997055489', '  将名称为【图片】的字段内容 空 修改为 temp/QQ图片20211101112222_1667300717072.png；    将名称为【部门】的字段内容 空 修改为 A01；    将名称为【开关】的字段内容 N 修改为 Y；    将名称为【文件】的字段内容 空 修改为 temp/QQ图片20211101112222-副本_1667300715161.png；    将名称为【省市区】的字段内容 空 修改为 120103；    将名称为【弹出报表】的字段内容 空 修改为 aaa；    将名称为【用户】的字段内容 空 修改为 jeecg；    将名称为【富文本】的字段内容 空 修改为 <p>1111</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587401260700241921', 'admin', '管理员', '2022-11-01 19:08:48', NULL, NULL, 'ceshi_note', '1587399378997055489', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587401793527844866', 'admin', '管理员', '2022-11-01 19:10:55', NULL, NULL, 'ceshi_note', '1587399378997055489', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587401815547940866', 'admin', '管理员', '2022-11-01 19:11:00', NULL, NULL, 'ceshi_note', '1587401815417917441', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587402380621352962', 'admin', '管理员', '2022-11-01 19:13:15', NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【单选框】的字段内容 空 修改为 1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587402470664671234', 'admin', '管理员', '2022-11-01 19:13:36', NULL, NULL, 'ceshi_note', '1587401815417917441', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587402491011239937', 'admin', '管理员', '2022-11-01 19:13:41', NULL, NULL, 'ceshi_note', '1587401815417917441', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587402587140493313', 'admin', '管理员', '2022-11-01 19:14:04', NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 空 修改为 1183693424827564034；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587402623035346945', 'admin', '管理员', '2022-11-01 19:14:13', NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1183693534173069314；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587404334768558081', 'admin', '管理员', '2022-11-01 19:21:01', NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 1183693534173069314 修改为 1183693424827564034；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587406987665838082', 'admin', '管理员', '2022-11-01 19:31:33', NULL, NULL, 'ceshi_note', '1587406987472900097', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1587407014165450754', 'admin', '管理员', '2022-11-01 19:31:39', NULL, NULL, 'ceshi_note', '1587406987472900097', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1589463238847455233', 'admin', '管理员', '2022-11-07 11:42:22', NULL, NULL, 'ceshi_note', '1587406987472900097', '  将名称为【性别】的字段内容 空 修改为 1；    将名称为【下单时间】的字段内容 空 修改为 2022-11-06 11:41:49；    将名称为【图片】的字段内容 空 修改为 temp/11_1667792532793.jpg；    将名称为【年龄】的字段内容 空 修改为 22；    将名称为【单选框】的字段内容 1 修改为 2；    将名称为【生日】的字段内容 空 修改为 2022-11-02；    将名称为【薪资】的字段内容 空 修改为 222.000；    将名称为【部门】的字段内容 空 修改为 A01；    将名称为【备注】的字段内容 空 修改为 22；    将名称为【物料分类】的字段内容 1185039122143719425 修改为 1230769196661510146；    将名称为【开关】的字段内容 N 修改为 Y；    将名称为【文件】的字段内容 空 修改为 temp/11_1667792530776.jpg；    将名称为【省市区】的字段内容 110105 修改为 130203；    将名称为【弹出报表】的字段内容 空 修改为 zhang daihao；    将名称为【用户】的字段内容 空 修改为 admin；    将名称为【富文本】的字段内容 空 修改为 <p>333</p>；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1589575791242080258', 'admin', '管理员', '2022-11-07 19:09:36', NULL, NULL, 'ceshi_note', '1589469175033335809', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1589575924025356290', 'admin', '管理员', '2022-11-07 19:10:08', NULL, NULL, 'ceshi_note', '1589465733170696194', '  将名称为【aa】的字段内容 空 修改为 asd；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1589621133987786753', 'admin', '管理员', '2022-11-07 22:09:47', NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', '  将名称为【checkbox】的字段内容 空 修改为 2；    将名称为【城市】的字段内容 空 修改为 120101；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1590362009517109250', 'admin', '管理员', '2022-11-09 23:13:45', NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【用户名】的字段内容 555 修改为 55599；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1595346653387911170', 'admin', '管理员', '2022-11-23 17:20:57', NULL, NULL, 'test_order_main', '1589516804530339842', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1595601291844468738', 'admin', '管理员', '2022-11-24 10:12:47', NULL, NULL, 'ceshi_note', '1589465733170696194', '  将名称为【部门】的字段内容 c6d7cb4deeac411cb3384b1b31278596 修改为 A02；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1595601360412950529', 'admin', '管理员', '2022-11-24 10:13:04', NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【部门】的字段内容 空 修改为 A01；    将名称为【弹出报表】的字段内容 空 修改为 名字；    将名称为【用户】的字段内容 空 修改为 jeecg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1597149069037002754', 'admin', '管理员', '2022-11-28 16:43:06', NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1597149156505018370', 'admin', '管理员', '2022-11-28 16:43:27', NULL, NULL, 'test_order_main', '1597149156089782273', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1631938221120933890', 'admin', '管理员', '2023-03-04 16:42:47', NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【用户名】的字段内容 55599 修改为 55599121；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1643474607279935490', 'admin', '管理员', '2023-04-05 12:44:15', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【下单时间】的字段内容 2022-10-29 02:00:03 修改为 空；    将名称为【生日】的字段内容 2022-10-16 修改为 空；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1648500232399077377', 'admin', '管理员', '2023-04-19 09:34:18', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【下单时间】的字段内容 空 修改为 2023-04-19 05:04:04；    将名称为【生日】的字段内容 空 修改为 2023-03-30；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681237995443445762', 'admin', '管理员', '2023-07-18 17:42:29', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【用户】的字段内容 jeecg 修改为 admin,jeecg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681238059117174786', 'admin', '管理员', '2023-07-18 17:42:44', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【用户】的字段内容 admin,jeecg 修改为 jeecg；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681238095616008193', 'admin', '管理员', '2023-07-18 17:42:53', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【用户】的字段内容 jeecg 修改为 jeecg,zhangsan；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681238128306413570', 'admin', '管理员', '2023-07-18 17:43:00', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【用户】的字段内容 jeecg,zhangsan 修改为 zhangsan；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681238186477215746', 'admin', '管理员', '2023-07-18 17:43:14', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 空 修改为 孙亦菲；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681238234988535810', 'admin', '管理员', '2023-07-18 17:43:26', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 孙亦菲 修改为 龙佳昊；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681268194163769345', 'admin', '管理员', '2023-07-18 19:42:29', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 龙佳昊 修改为 孙亦菲,龙佳昊；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681268237037944833', 'admin', '管理员', '2023-07-18 19:42:39', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 孙亦菲,龙佳昊 修改为 小红帽4,名字；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681268272211378178', 'admin', '管理员', '2023-07-18 19:42:47', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 小红帽4,名字 修改为 名字,龙佳昊；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1681268306852134913', 'admin', '管理员', '2023-07-18 19:42:55', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【弹出报表】的字段内容 名字,龙佳昊 修改为 龙建林；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683063964357615617', 'admin', '管理员', '2023-07-23 18:38:14', NULL, NULL, 'ceshi_note', '1586278360710615042', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683066881454104578', 'admin', '管理员', '2023-07-23 18:49:49', NULL, NULL, 'test_v3_hello', '1586554463777943554', '  将名称为【他表字段】的字段内容 空 修改为 22233；    将名称为【关联记录】的字段内容 1586554454185570306 修改为 1260208702503366657；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683074492790427649', 'admin', '管理员', '2023-07-23 19:20:04', NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683074855975211010', 'admin', '管理员', '2023-07-23 19:21:30', NULL, NULL, 'test_v3_hello', '1683074855849381889', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683074970022531073', 'admin', '管理员', '2023-07-23 19:21:58', NULL, NULL, 'test_order_main', '1683074969561157634', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683075083365208066', 'admin', '管理员', '2023-07-23 19:22:25', NULL, NULL, 'asdfa', '1683075083251961857', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683075102868721666', 'admin', '管理员', '2023-07-23 19:22:29', NULL, NULL, 'asdfa', '1683075083251961857', '  将名称为【cc】的字段内容 111 修改为 11133；    将名称为【aaa】的字段内容 11 修改为 11333；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1683382483502747650', 'admin', '管理员', '2023-07-24 15:43:54', NULL, NULL, 'ceshi_note', '1586278360710615042', '  将名称为【物料分类】的字段内容 1185039122143719425 修改为 1590548229606047745；    将名称为【省市区】的字段内容 130303 修改为 120105；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1694630557260689409', 'admin', '管理员', '2023-08-24 16:39:44', NULL, NULL, 'ccccccc', '1694630556740595713', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1704316219031179266', 'admin', '管理员', '2023-09-20 10:07:06', NULL, NULL, 'ccccccc', '1694630556740595713', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1704384769024577537', 'admin', '管理员', '2023-09-20 14:39:30', NULL, NULL, 'test_v3_hello', '1704384768789696513', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1704384783700447234', 'admin', '管理员', '2023-09-20 14:39:33', NULL, NULL, 'test_v3_hello', '1704384768789696513', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1713525705063235585', 'admin', '管理员', '2023-10-15 20:02:19', NULL, NULL, 'test_v3_hello', '1683074855849381889', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1714455476840419330', 'admin', '管理员', '2023-10-18 09:36:53', NULL, NULL, 'ceshi_note', '1586278360710615042', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1714472554234257410', 'ceshi', '测试用户', '2023-10-18 10:44:45', NULL, NULL, 'ceshi_note', '1714472554162954241', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1714472613214560257', 'ceshi', '测试用户', '2023-10-18 10:44:59', NULL, NULL, 'ceshi_note', '1714472554162954241', '  将名称为【请假人】的字段内容 叶淼 修改为 叶淼1；  ', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1714472725034704899', 'ceshi', '测试用户', '2023-10-18 10:45:26', NULL, NULL, 'test_order_product', '1714472725034704898', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1714472861001457666', 'ceshi', '测试用户', '2023-10-18 10:45:58', NULL, NULL, 'test_order_main', '1683074969561157634', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732300459664347137', 'admin', '管理员', '2023-12-06 15:26:29', NULL, NULL, 'ceshi_note', '1714472554162954241', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732300492254089217', 'admin', '管理员', '2023-12-06 15:26:37', NULL, NULL, 'test_order_main', '1683074969561157634', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732300515406647299', 'admin', '管理员', '2023-12-06 15:26:42', NULL, NULL, 'test_order_product', '1732300515406647298', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732300525649137666', 'admin', '管理员', '2023-12-06 15:26:45', NULL, NULL, 'test_order_main', '1683074969561157634', '', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732328783870570497', 'admin', '管理员', '2023-12-06 17:19:02', NULL, NULL, 'ceshi_note', '1714472554162954241', '  将名称为【头像】的字段内容 temp/20180607175028Fn1Lq7zw_1697597070467.png 修改为 temp/国奥村_1701854340680.jpg', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732331378764820481', 'admin', '管理员', '2023-12-06 17:29:21', NULL, NULL, 'ceshi_note', '1732331378735460354', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732591906577956865', 'admin', '管理员', '2023-12-07 10:44:35', NULL, NULL, 'test_v3_hello', '1683074855849381889', '  将名称为【年龄】的字段内容 123 修改为 33；    将名称为【名字】的字段内容 123 修改为 邵晨茜', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732591952295870466', 'admin', '管理员', '2023-12-07 10:44:46', NULL, NULL, 'test_v3_hello', '1704384768789696513', '  将名称为【名字】的字段内容 22 修改为 郭勇', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1732666480862666753', 'admin', '管理员', '2023-12-07 15:40:55', NULL, NULL, 'ceshi_note', '1732331378735460354', '  将名称为【性别】的字段内容 空 修改为 1', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1737728721827880961', 'admin', '管理员', '2023-12-21 14:56:27', NULL, NULL, 'ceshi_note', '1737728721647525890', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1742179480497782786', 'admin', '管理员', '2024-01-02 21:42:11', NULL, NULL, 'ceshi_note', '1737728721647525890', '  将名称为【请假天数】的字段内容 空 修改为 0', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1745641664045346818', 'admin', '管理员', '2024-01-12 10:59:40', NULL, NULL, 'ceshi_note', '1737728721647525890', '  将名称为【请假人】的字段内容 222 修改为 222222', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1764480331308310530', 'admin', '管理员', '2024-03-04 10:37:48', NULL, NULL, 'ceshi_note', '1737728721647525890', '  将名称为【头像】的字段内容 空 修改为 temp/team_1709519859449.png；    将名称为【上级领导】的字段内容 空 修改为 zhangsan；    将名称为【请假天数】的字段内容 0 修改为 4', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1764480575551021057', 'admin', '管理员', '2024-03-04 10:38:46', NULL, NULL, 'ceshi_note', '1714472554162954241', '  将名称为【请假人】的字段内容 叶淼1 修改为 叶淼', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765261007720779778', 'admin', '管理员', '2024-03-06 14:19:56', NULL, NULL, 'ceshi_note', '1737728721647525890', '  将名称为【请假原因】的字段内容 空 修改为 121', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765261224356581378', 'admin', '管理员', '2024-03-06 14:20:48', NULL, NULL, 'ceshi_note', '1737728721647525890', '删除了评论， ly-plate-e.png', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283197195366402', 'admin', '管理员', '2024-03-06 15:48:06', NULL, NULL, 'ceshi_aaa', '1765283197052760065', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283225527889922', 'admin', '管理员', '2024-03-06 15:48:13', NULL, NULL, 'ceshi_aaa', '1765283197052760065', '  将名称为【备注】的字段内容 22 修改为 221；    将名称为【名字】的字段内容 赵若萌 修改为 赵若萌1；    将名称为【薪资】的字段内容 2000.0 修改为 2001.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283298718494721', 'admin', '管理员', '2024-03-06 15:48:30', NULL, NULL, 'ceshi_aaa', '1765283298601054209', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283308189233154', 'admin', '管理员', '2024-03-06 15:48:33', NULL, NULL, 'ceshi_aaa', '1765283308075986946', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283584388345857', 'admin', '管理员', '2024-03-06 15:49:39', NULL, NULL, 'ceshi_aaa', '1765283308075986946', '  将名称为【备注】的字段内容 空 修改为 222；    将名称为【性别】的字段内容 空 修改为 1；    将名称为【薪资】的字段内容 空 修改为 12.00；    将名称为【生日】的字段内容 空 修改为 2024-03-06', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765283614503448577', 'admin', '管理员', '2024-03-06 15:49:46', NULL, NULL, 'ceshi_aaa', '1765283298601054209', '  将名称为【备注】的字段内容 空 修改为 333；    将名称为【性别】的字段内容 空 修改为 2；    将名称为【薪资】的字段内容 空 修改为 22233.00；    将名称为【生日】的字段内容 空 修改为 2024-03-22', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765284099432099841', 'admin', '管理员', '2024-03-06 15:51:41', NULL, NULL, 'ceshi_aaa', '1765284099323047937', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765284118268719106', 'admin', '管理员', '2024-03-06 15:51:46', NULL, NULL, 'ceshi_aaa', '1765284118147084290', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765284135637331969', 'admin', '管理员', '2024-03-06 15:51:50', NULL, NULL, 'ceshi_aaa', '1765284135519891458', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286803881570306', 'admin', '管理员', '2024-03-06 16:02:26', NULL, NULL, 'ceshi_aaa', '1765284135519891458', '  将名称为【名字】的字段内容 22233 修改为 段瑾春；    将名称为【薪资】的字段内容 空 修改为 1000.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286825469652993', 'admin', '管理员', '2024-03-06 16:02:31', NULL, NULL, 'ceshi_aaa', '1765284118147084290', '  将名称为【名字】的字段内容 222 修改为 蔡瑾春；    将名称为【薪资】的字段内容 空 修改为 0.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286848655765506', 'admin', '管理员', '2024-03-06 16:02:37', NULL, NULL, 'ceshi_aaa', '1765284099323047937', '  将名称为【名字】的字段内容 222 修改为 丁益帆；    将名称为【薪资】的字段内容 空 修改为 0.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286871640551425', 'admin', '管理员', '2024-03-06 16:02:42', NULL, NULL, 'ceshi_aaa', '1765283308075986946', '  将名称为【名字】的字段内容 2 修改为 萧晨茜', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286892880506882', 'admin', '管理员', '2024-03-06 16:02:47', NULL, NULL, 'ceshi_aaa', '1765283298601054209', '  将名称为【名字】的字段内容 1 修改为 傅强', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286928586616834', 'admin', '管理员', '2024-03-06 16:02:56', NULL, NULL, 'ceshi_aaa', '1765283298601054209', '  将名称为【薪资】的字段内容 22233.0 修改为 2000.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286948354371586', 'admin', '管理员', '2024-03-06 16:03:01', NULL, NULL, 'ceshi_aaa', '1765284118147084290', '  将名称为【薪资】的字段内容 0.0 修改为 500.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286968143097858', 'admin', '管理员', '2024-03-06 16:03:05', NULL, NULL, 'ceshi_aaa', '1765284099323047937', '  将名称为【薪资】的字段内容 0.0 修改为 800.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765286986472206338', 'admin', '管理员', '2024-03-06 16:03:10', NULL, NULL, 'ceshi_aaa', '1765283308075986946', '  将名称为【薪资】的字段内容 12.0 修改为 1000.00', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765287206207598594', 'admin', '管理员', '2024-03-06 16:04:02', NULL, NULL, 'ceshi_aaa', '1765284135519891458', '  将名称为【薪资】的字段内容 1000.0 修改为 1000.003', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765287236977012738', 'admin', '管理员', '2024-03-06 16:04:09', NULL, NULL, 'ceshi_aaa', '1765284118147084290', '  将名称为【薪资】的字段内容 500.0 修改为 500.011', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765287254957993986', 'admin', '管理员', '2024-03-06 16:04:14', NULL, NULL, 'ceshi_aaa', '1765283308075986946', '  将名称为【薪资】的字段内容 1000.0 修改为 1000.009', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1765287280526471169', 'admin', '管理员', '2024-03-06 16:04:20', NULL, NULL, 'ceshi_aaa', '1765284099323047937', '  将名称为【薪资】的字段内容 800.0 修改为 800.100', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1769605857266053122', 'admin', '管理员', '2024-03-18 14:04:49', NULL, NULL, 'ceshi_aaa', '1765284135519891458', '  将名称为【备注】的字段内容 空 修改为 <p>1212<img src=\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏11_1710741887437.png\"></p>', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1769609742483402753', 'admin', '管理员', '2024-03-18 14:20:15', NULL, NULL, 'ceshi_aaa', '1765284118147084290', '  将名称为【省市县】的字段内容 空 修改为 130203', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1769609800591290369', 'admin', '管理员', '2024-03-18 14:20:29', NULL, NULL, 'ceshi_aaa', '1765284135519891458', '  将名称为【备注】的字段内容 <p>1212<img src=\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏11_1710741887437.png\"></p> 修改为 <p>1212</p>；    将名称为【省市县】的字段内容 空 修改为 130203；    将名称为【markdown】的字段内容 空 修改为 1212', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1769609877124755458', 'admin', '管理员', '2024-03-18 14:20:47', NULL, NULL, 'ceshi_aaa', '1769609876977954818', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1769609906040287233', 'admin', '管理员', '2024-03-18 14:20:54', NULL, NULL, 'ceshi_aaa', '1769609876977954818', '  将名称为【备注】的字段内容 <p>222</p> 修改为 <p><img src=\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏13_1710742853139.png\">222</p>', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1771444204443787266', 'admin', '管理员', '2024-03-23 15:49:45', NULL, NULL, 'ceshi_aaa', '1771444204196323329', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1771444228233879554', 'admin', '管理员', '2024-03-23 15:49:51', NULL, NULL, 'ceshi_aaa', '1771444204196323329', '  将名称为【名字】的字段内容 a 修改为 addd单独的；    将名称为【薪资】的字段内容 空 修改为 0.000', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1774673731932352514', 'admin', '管理员', '2024-04-01 13:42:44', NULL, NULL, 'ceshi_aaa', '1774673731567448065', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1774673744347492354', 'admin', '管理员', '2024-04-01 13:42:47', NULL, NULL, 'ceshi_aaa', '1774673731567448065', '  将名称为【备注】的字段内容 空 修改为 <p>dddd</p>；    将名称为【薪资】的字段内容 空 修改为 0.000', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1777891511565438977', 'admin', '管理员', '2024-04-10 10:49:03', NULL, NULL, 'ceshi_aaa', '1774673731567448065', '  将名称为【备注】的字段内容 <p>dddd</p> 修改为 <p>dddd111</p>', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1782647168877416449', 'admin', '管理员', '2024-04-23 13:46:20', NULL, NULL, 'ceshi_aaa', '1782647168684478466', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1782649004258639873', 'admin', '管理员', '2024-04-23 13:53:37', NULL, NULL, 'ceshi_aaa', '1782647168684478466', '  将名称为【薪资】的字段内容 空 修改为 0.000', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1782680219368005633', 'admin', '管理员', '2024-04-23 15:57:40', NULL, NULL, 'ceshi_aaa', '1782647168684478466', '  将名称为【生日】的字段内容 空 修改为 2024-04-04；    将名称为【省市县】的字段内容 空 修改为 130101', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1782689309649510402', 'admin', '管理员', '2024-04-23 16:33:47', NULL, NULL, 'ceshi_aaa', '1782647168684478466', '  将名称为【备注】的字段内容 空 修改为 <p>111</p>', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800567715703431169', 'admin', '管理员', '2024-06-12 00:36:11', NULL, NULL, 'test_note', '1800567715372081154', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800713462159757314', 'admin', '管理员', '2024-06-12 10:15:20', NULL, NULL, 'test_shoptype_tree', '1800713461916487681', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800713483382935554', 'admin', '管理员', '2024-06-12 10:15:25', NULL, NULL, 'test_shoptype_tree', '1800713483269689346', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800713518845775874', 'admin', '管理员', '2024-06-12 10:15:33', NULL, NULL, 'test_shoptype_tree', '1800713461916487681', '  将名称为【商品分类】的字段内容 111 修改为 11', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800730079853793282', 'admin', '管理员', '2024-06-12 11:21:22', NULL, NULL, 'test_note', '1800567715372081154', '  将名称为【地区】的字段内容 空 修改为 110101；    将名称为【月】的字段内容 空 修改为 2024-08-01；    将名称为【年】的字段内容 空 修改为 2023-01-01', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1800734902577778690', 'admin', '管理员', '2024-06-12 11:40:31', NULL, NULL, 'ceshi_custom', '1800734902456143874', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1801075597880471553', 'admin', '管理员', '2024-06-13 10:14:20', NULL, NULL, 'aaa', '1801075597721088002', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1801075610975088641', 'admin', '管理员', '2024-06-13 10:14:23', NULL, NULL, 'aaa', '1801075597721088002', '  将名称为【aaa】的字段内容 aa 修改为 aa3；    将名称为【cc】的字段内容 aa 修改为 aa3', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1801077045078929410', 'jeecg', 'jeecg', '2024-06-13 10:20:05', NULL, NULL, 'aaa', '1801077044957294594', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1804480382411436033', NULL, NULL, '2024-06-22 19:43:43', NULL, NULL, 'aaaa', '1804480382214303746', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805168507336933377', 'admin', '����Ա', '2024-06-24 17:18:05', NULL, NULL, 'qingjia_dan', '1805168507206909953', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805168521303965697', 'admin', '����Ա', '2024-06-24 17:18:09', NULL, NULL, 'qingjia_dan', '1805168507206909953', '  将名称为【请假人】的字段内容 李建政 修改为 李建政1', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805168716431376386', 'admin', '����Ա', '2024-06-24 17:18:55', NULL, NULL, 'qingjia_dan', '1805168716381044737', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805168851274055682', 'admin', '����Ա', '2024-06-24 17:19:27', NULL, NULL, 'qingjia_dan', '1805168851206946817', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805169008115859458', 'admin', '����Ա', '2024-06-24 17:20:05', NULL, NULL, 'qingjia_dan', '1805169008048750593', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805172950476480514', 'admin', '����Ա', '2024-06-24 17:35:45', NULL, NULL, 'qingjia_dan', '1805169008048750593', '  将名称为【性别】的字段内容 空 修改为 空', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805174344134647810', 'admin', '����Ա', '2024-06-24 17:41:17', NULL, NULL, 'qingjia_dan', '1805174344004624385', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805175050296057858', 'jeecg', 'jeecg', '2024-06-24 17:44:05', NULL, NULL, 'qingjia_dan', '1805175050098925569', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805175081283575809', 'jeecg', 'jeecg', '2024-06-24 17:44:13', NULL, NULL, 'qingjia_dan', '1805175081153552386', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805416440695246849', 'admin', '管理员', '2024-06-25 09:43:17', NULL, NULL, 'wu_liao', '1805416440368091137', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805416505077813250', 'admin', '管理员', '2024-06-25 09:43:32', NULL, NULL, 'wu_liao', '1805416504817766402', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805416765279850498', 'admin', '管理员', '2024-06-25 09:44:35', NULL, NULL, 'wu_liao', '1805416440368091137', '  将名称为【封面图】的字段内容 空 修改为 temp/chart_1719279873737.png', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805417637393092610', 'admin', '管理员', '2024-06-25 09:48:02', NULL, NULL, 'qingjia_dan', '1805417637204348929', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805417659673235458', 'admin', '管理员', '2024-06-25 09:48:08', NULL, NULL, 'wu_liao', '1805417659606126593', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805419210252877826', 'admin', '管理员', '2024-06-25 09:54:17', NULL, NULL, 'aa_order', '1805419210185768962', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805419946592305154', 'admin', '管理员', '2024-06-25 09:57:13', NULL, NULL, 'aa_order', '1805419946479058946', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805420761121947650', 'admin', '管理员', '2024-06-25 10:00:27', NULL, NULL, 'aa_order', '1805419946479058946', '子表[订单收获地址]：新增了1条数据；子表[水果明细]：修改了2条数据', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421115309948929', 'admin', '管理员', '2024-06-25 10:01:52', NULL, NULL, 'aa_order', '1805421115242840066', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421156758061059', 'admin', '管理员', '2024-06-25 10:02:02', NULL, NULL, 'aa_order_product', '1805421156758061058', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421201788108803', 'admin', '管理员', '2024-06-25 10:02:12', NULL, NULL, 'aa_order_address', '1805421201788108802', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421252669210626', 'admin', '管理员', '2024-06-25 10:02:24', NULL, NULL, 'aa_order_product', '1805421252669210625', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421421955514371', 'admin', '管理员', '2024-06-25 10:03:05', NULL, NULL, 'aa_order', '1805421421888405506', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421618529959938', 'admin', '管理员', '2024-06-25 10:03:52', NULL, NULL, 'aa_order', '1805421421888405506', '子表[水果明细]：新增了1条数据', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1805421663044108289', 'admin', '管理员', '2024-06-25 10:04:02', NULL, NULL, 'aa_order', '1805421421888405506', '  将名称为【总金额】的字段内容 11 修改为 400；子表[水果明细]：修改了1条数据', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1808335680758751233', 'admin', '管理员', '2024-07-03 11:03:18', NULL, NULL, 'aaaa', '1808335680658087937', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1808335694688034817', 'admin', '管理员', '2024-07-03 11:03:22', NULL, NULL, 'aaaa', '1808335680658087937', '  将名称为【aaa】的字段内容 11 修改为 112；    将名称为【ddd】的字段内容 111 修改为 1112', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1808336478888665089', 'admin', '管理员', '2024-07-03 11:06:28', NULL, NULL, 'aaaa', '1808335680658087937', '  将名称为【ddd】的字段内容 空 修改为 2023-01-01', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1808336821894651906', 'admin', '管理员', '2024-07-03 11:07:50', NULL, NULL, 'aaaa', '1808335680658087937', '  将名称为【ddd】的字段内容 1112 修改为 1353563050407936002', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1811224966512476162', 'admin', '管理员', '2024-07-11 10:24:18', NULL, NULL, 'st_aaa', '1811224966248235010', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833149908438974466', 'admin', '管理员', '2024-09-09 22:26:11', NULL, NULL, 'aaaa', '1833149908048904194', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833409144221741057', 'admin', '管理员', '2024-09-10 15:36:18', NULL, NULL, 'wu_liao', '1833409143831670786', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833465365700157442', 'admin', '管理员', '2024-09-10 19:19:42', NULL, NULL, 'wu_liao', '1805432125098016769', '  将名称为【封面图】的字段内容 空 修改为 temp/jimu20240401133921_1725967180373.png；    将名称为【物料编码】的字段内容 空 修改为 11', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472142932058113', 'admin', '管理员', '2024-09-10 19:46:38', NULL, NULL, 'wu_liao', '1805416440368091137', '  将名称为【封面图】的字段内容 temp/chart_1719279873737.png 修改为 temp/LOGO-mini_1725968796851.png', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472160250339329', 'admin', '管理员', '2024-09-10 19:46:42', NULL, NULL, 'wu_liao', '1805428066496520193', '  将名称为【年度】的字段内容 2023-06-25 修改为 2023-01-01；    将名称为【封面图】的字段内容 temp/大屏_1719282555560.png 修改为 空；    将名称为【星期】的字段内容 2024-06-08 修改为 2024-06-02', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472175047843841', 'admin', '管理员', '2024-09-10 19:46:45', NULL, NULL, 'wu_liao', '1805417659606126593', '  将名称为【封面图】的字段内容 temp/gpt封面提_1719280045014.png 修改为 空', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472226813943809', 'admin', '管理员', '2024-09-10 19:46:58', NULL, NULL, 'test_shoptype_tree', '1833472226709086209', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472256392175618', 'admin', '管理员', '2024-09-10 19:47:05', NULL, NULL, 'test_shoptype_tree', '1833472256287318018', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472287711043586', 'admin', '管理员', '2024-09-10 19:47:12', NULL, NULL, 'test_shoptype_tree', '1833472256287318018', '  将名称为【父级节点】的字段内容 1833472226709086209 修改为 1800713461916487681', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472350197784578', 'admin', '管理员', '2024-09-10 19:47:27', NULL, NULL, 'test_order_main', '1833472350097121281', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1833472359966318594', 'admin', '管理员', '2024-09-10 19:47:30', NULL, NULL, 'test_order_main', '1683074969561157634', '子表[订单产品明细]：修改了3条数据', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1843543832521326593', 'admin', '管理员', '2024-10-08 14:47:56', NULL, NULL, 'wu_liao', '1843543832470994946', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1843543850158374913', 'admin', '管理员', '2024-10-08 14:48:00', NULL, NULL, 'wu_liao', '1805417659606126593', '  将名称为【物料名称】的字段内容 手机 修改为 手机4', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1844552938317025282', NULL, NULL, '2024-10-11 09:37:45', NULL, NULL, 'wu_liao', '1844552938199584770', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1892181518639079426', 'admin', '管理员', '2025-02-19 19:56:44', NULL, NULL, 'wu_liao', '1892181518571970561', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1897919457608327170', 'admin', 'admin', '2025-03-07 15:57:15', NULL, NULL, 'wu_liao', '1897919457541218305', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1899062356177838082', 'admin', 'admin', '2025-03-10 19:38:43', NULL, NULL, 'test_demo', '1899062356047814658', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('1899063659473920001', 'admin', 'admin', '2025-03-10 19:43:54', NULL, NULL, 'qingjia_dan', '1899063659406811137', ' 创建了记录', 1, 'comment');
INSERT INTO `sys_data_log` VALUES ('402880f05ab0d198015ab12274bf0006', 'admin', '管理员', '2017-03-09 11:35:09', NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{\"mobilePhone\":\"\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Jun 23, 2016 12:00:00 PM\",\"sex\":\"1\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"9001\",\"status\":\"1\",\"content\":\"111\",\"id\":\"4028ef81550c1a7901550c1cd6e70001\"}', 3, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab700bead0009', 'admin', '管理员', '2017-03-10 14:56:03', NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab700be8d0008', '{\"mobilePhone\":\"\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Mar 10, 2017 2:56:03 PM\",\"sex\":\"0\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"111\",\"status\":\"0\",\"id\":\"402880f05ab6d12b015ab700be8d0008\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab705a23f000d', 'admin', '管理员', '2017-03-10 15:01:24', NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab705a233000c', '{\"mobilePhone\":\"\",\"officePhone\":\"11\",\"email\":\"\",\"createDate\":\"Mar 10, 2017 3:01:24 PM\",\"sex\":\"0\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"11\",\"status\":\"0\",\"id\":\"402880f05ab6d12b015ab705a233000c\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab712a6420013', 'admin', '管理员', '2017-03-10 15:15:37', NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab712a6360012', '{\"mobilePhone\":\"\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Mar 10, 2017 3:15:37 PM\",\"sex\":\"0\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"小王\",\"status\":\"0\",\"id\":\"402880f05ab6d12b015ab712a6360012\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab712d0510015', 'admin', '管理员', '2017-03-10 15:15:47', NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab712a6360012', '{\"mobilePhone\":\"18611788525\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Mar 10, 2017 3:15:37 AM\",\"sex\":\"0\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"小王\",\"status\":\"0\",\"id\":\"402880f05ab6d12b015ab712a6360012\"}', 2, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab71308240018', 'admin', '管理员', '2017-03-10 15:16:02', NULL, NULL, 'jeecg_demo', '8a8ab0b246dc81120146dc81860f016f', '{\"mobilePhone\":\"13111111111\",\"officePhone\":\"66666666\",\"email\":\"demo@jeecg.com\",\"age\":12,\"salary\":10.00,\"birthday\":\"Feb 14, 2014 12:00:00 AM\",\"sex\":\"1\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"小明\",\"status\":\"\",\"content\":\"\",\"id\":\"8a8ab0b246dc81120146dc81860f016f\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('402880f05ab6d12b015ab72806c3001b', 'admin', '管理员', '2017-03-10 15:38:58', NULL, NULL, 'jeecg_demo', '8a8ab0b246dc81120146dc81860f016f', '{\"mobilePhone\":\"18611788888\",\"officePhone\":\"66666666\",\"email\":\"demo@jeecg.com\",\"age\":12,\"salary\":10.00,\"birthday\":\"Feb 14, 2014 12:00:00 AM\",\"sex\":\"1\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"小明\",\"status\":\"\",\"content\":\"\",\"id\":\"8a8ab0b246dc81120146dc81860f016f\"}', 2, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef815318148a0153181567690001', 'admin', '管理员', '2016-02-25 18:59:29', NULL, NULL, 'jeecg_demo', '4028ef815318148a0153181566270000', '{\"mobilePhone\":\"13423423423\",\"officePhone\":\"1\",\"email\":\"\",\"age\":1,\"salary\":1,\"birthday\":\"Feb 25, 2016 12:00:00 AM\",\"createDate\":\"Feb 25, 2016 6:59:24 PM\",\"depId\":\"402880e447e9a9570147e9b6a3be0005\",\"userName\":\"1\",\"status\":\"0\",\"id\":\"4028ef815318148a0153181566270000\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef815318148a01531815ec5c0003', 'admin', '管理员', '2016-02-25 19:00:03', NULL, NULL, 'jeecg_demo', '4028ef815318148a0153181566270000', '{\"mobilePhone\":\"13426498659\",\"officePhone\":\"1\",\"email\":\"\",\"age\":1,\"salary\":1.00,\"birthday\":\"Feb 25, 2016 12:00:00 AM\",\"createDate\":\"Feb 25, 2016 6:59:24 AM\",\"depId\":\"402880e447e9a9570147e9b6a3be0005\",\"userName\":\"1\",\"status\":\"0\",\"id\":\"4028ef815318148a0153181566270000\"}', 2, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c0502e6b0003', 'admin', '管理员', '2016-03-29 10:59:53', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{\"mobilePhone\":\"18455477548\",\"officePhone\":\"123\",\"email\":\"\",\"createDate\":\"Mar 29, 2016 10:59:53 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"123\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0502d420002\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c0509aa40006', 'admin', '管理员', '2016-03-29 11:00:21', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{\"mobilePhone\":\"13565486458\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Mar 29, 2016 11:00:21 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"22\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0509a3e0005\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c051c4a70008', 'admin', '管理员', '2016-03-29 11:01:37', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{\"mobilePhone\":\"13565486458\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Mar 29, 2016 11:00:21 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"22\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0509a3e0005\"}', 2, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c051d4b5000a', 'admin', '管理员', '2016-03-29 11:01:41', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{\"mobilePhone\":\"13565486458\",\"officePhone\":\"123\",\"email\":\"\",\"createDate\":\"Mar 29, 2016 10:59:53 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"123\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0502d420002\"}', 2, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c07033d8000d', 'admin', '管理员', '2016-03-29 11:34:52', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{\"mobilePhone\":\"13565486458\",\"officePhone\":\"123\",\"email\":\"\",\"age\":23,\"createDate\":\"Mar 29, 2016 10:59:53 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"123\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0502d420002\"}', 3, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef8153c028db0153c070492e000f', 'admin', '管理员', '2016-03-29 11:34:57', NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{\"mobilePhone\":\"13565486458\",\"officePhone\":\"\",\"email\":\"\",\"age\":22,\"createDate\":\"Mar 29, 2016 11:00:21 AM\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"22\",\"status\":\"0\",\"id\":\"4028ef8153c028db0153c0509a3e0005\"}', 3, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef81550c1a7901550c1cd7850002', 'admin', '管理员', '2016-06-01 21:17:44', NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{\"mobilePhone\":\"\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Jun 1, 2016 9:17:44 PM\",\"sex\":\"1\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"121221\",\"status\":\"0\",\"id\":\"4028ef81550c1a7901550c1cd6e70001\"}', 1, 'json');
INSERT INTO `sys_data_log` VALUES ('4028ef81568c31ec01568c3307080004', 'admin', '管理员', '2016-08-15 11:16:09', NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{\"mobilePhone\":\"\",\"officePhone\":\"\",\"email\":\"\",\"createDate\":\"Jun 23, 2016 12:00:00 PM\",\"sex\":\"1\",\"depId\":\"402880e447e99cf10147e9a03b320003\",\"userName\":\"9001\",\"status\":\"1\",\"content\":\"111\",\"id\":\"4028ef81550c1a7901550c1cd6e70001\"}', 2, 'json');

-- ----------------------------
-- Table structure for sys_data_source
-- ----------------------------
DROP TABLE IF EXISTS `sys_data_source`;
CREATE TABLE `sys_data_source`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据源编码',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据源名称',
  `remark` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `db_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据库类型',
  `db_driver` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '驱动类',
  `db_url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据源地址',
  `db_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据库名称',
  `db_username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `db_password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sdc_rule_code`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_data_source
-- ----------------------------
INSERT INTO `sys_data_source` VALUES ('1209779538310004737', 'local_mysql', '本地测试库', '本地数据库MySQL5.7', '1', 'com.mysql.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false', 'jeecg-boot', 'root', 'f5b6775e8d1749483f2320627de0e706', 'admin', '2019-12-25 18:14:53', 'admin', '2024-03-18 14:46:03', 'A01', 0);

-- ----------------------------
-- Table structure for sys_depart
-- ----------------------------
DROP TABLE IF EXISTS `sys_depart`;
CREATE TABLE `sys_depart`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'ID',
  `parent_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父机构ID',
  `depart_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '机构/部门名称',
  `depart_name_en` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '英文名',
  `depart_name_abbr` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '缩写',
  `depart_order` int(11) NULL DEFAULT 0 COMMENT '排序',
  `description` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `org_category` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '1' COMMENT '机构类别 1公司，2组织机构，3岗位',
  `org_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '机构类型 1一级部门 2子部门',
  `org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '机构编码',
  `mobile` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `fax` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '传真',
  `address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '地址',
  `memo` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `status` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态（1启用，0不启用）',
  `del_flag` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除状态（0，正常，1已删除）',
  `qywx_identifier` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '对接企业微信的ID',
  `ding_identifier` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '对接钉钉部门的ID',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  `iz_leaf` tinyint(1) NULL DEFAULT 0 COMMENT '是否有叶子节点: 1是0否',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_depart_org_code`(`org_code`) USING BTREE,
  INDEX `idx_sd_parent_id`(`parent_id`) USING BTREE,
  INDEX `idx_sd_depart_order`(`depart_order`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '组织机构表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_depart
-- ----------------------------
INSERT INTO `sys_depart` VALUES ('1582683631414632450', 'c6d7cb4deeac411cb3384b1b31278596', '销售公关岗位', NULL, NULL, 0, NULL, '3', '2', 'A01A06', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2022-10-19 18:42:37', NULL, NULL, 0, 1);
INSERT INTO `sys_depart` VALUES ('4f1765520d6346f9bd9c79e2479e5b12', 'c6d7cb4deeac411cb3384b1b31278596', '市场部', NULL, NULL, 0, NULL, '1', '2', 'A01A03', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-20 17:15:34', 'admin', '2019-02-26 16:36:18', 0, 1);
INSERT INTO `sys_depart` VALUES ('5159cde220114246b045e574adceafe9', '6d35e179cd814e3299bd588ea7daed3f', '研发部', NULL, NULL, 0, NULL, '1', '2', 'A02A02', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-26 16:44:38', 'admin', '2019-03-07 09:36:53', 0, 1);
INSERT INTO `sys_depart` VALUES ('57197590443c44f083d42ae24ef26a2c', 'c6d7cb4deeac411cb3384b1b31278596', '研发部', NULL, NULL, 0, NULL, '1', '2', 'A01A05', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-21 16:14:41', 'admin', '2019-03-27 19:05:49', 0, 0);
INSERT INTO `sys_depart` VALUES ('63775228b7b041a99825f79760590b7d', '57197590443c44f083d42ae24ef26a2c', '研发经理', NULL, NULL, 0, NULL, '3', '3', 'A01A05A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2020-05-02 15:29:09', NULL, NULL, 0, 1);
INSERT INTO `sys_depart` VALUES ('67fc001af12a4f9b8458005d3f19934a', 'c6d7cb4deeac411cb3384b1b31278596', '财务部', NULL, NULL, 0, NULL, '1', '2', 'A01A04', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-21 16:14:35', 'admin', '2019-02-25 12:49:41', 0, 1);
INSERT INTO `sys_depart` VALUES ('6d35e179cd814e3299bd588ea7daed3f', '', '北京卓尔互动', NULL, NULL, 0, NULL, '1', '1', 'A02', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-26 16:36:39', 'admin', '2020-05-02 18:21:22', 0, 0);
INSERT INTO `sys_depart` VALUES ('a7d7e77e06c84325a40932163adcdaa6', '6d35e179cd814e3299bd588ea7daed3f', '财务部', NULL, NULL, 0, NULL, '1', '2', 'A02A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-26 16:36:47', 'admin', '2022-10-14 18:57:56', 0, 1);
INSERT INTO `sys_depart` VALUES ('c6d7cb4deeac411cb3384b1b31278596', '', '北京国炬软件', NULL, NULL, 0, NULL, '1', '1', 'A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, 'admin', '2019-02-11 14:21:51', 'admin', '2020-05-02 18:21:27', 0, 0);

-- ----------------------------
-- Table structure for sys_depart_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_depart_permission`;
CREATE TABLE `sys_depart_permission`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `depart_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  `permission_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限id',
  `data_rule_ids` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据规则id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_depart_permission
-- ----------------------------
INSERT INTO `sys_depart_permission` VALUES ('1260925131934519297', '6d35e179cd814e3299bd588ea7daed3f', 'f0675b52d89100ee88472b6800754a08', NULL);
INSERT INTO `sys_depart_permission` VALUES ('1260925131947102209', '6d35e179cd814e3299bd588ea7daed3f', '2aeddae571695cd6380f6d6d334d6e7d', NULL);
INSERT INTO `sys_depart_permission` VALUES ('1260925131955490818', '6d35e179cd814e3299bd588ea7daed3f', '020b06793e4de2eee0007f603000c769', NULL);
INSERT INTO `sys_depart_permission` VALUES ('1260925131959685121', '6d35e179cd814e3299bd588ea7daed3f', '1232123780958064642', NULL);
INSERT INTO `sys_depart_permission` VALUES ('1694946354772217858', '1582683631414632450', '1588513553652436993', NULL);
INSERT INTO `sys_depart_permission` VALUES ('1694946354784800769', '1582683631414632450', '1592114574275211265', NULL);

-- ----------------------------
-- Table structure for sys_depart_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_depart_role`;
CREATE TABLE `sys_depart_role`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `depart_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  `role_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门角色名称',
  `role_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门角色编码',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门角色表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_depart_role
-- ----------------------------
INSERT INTO `sys_depart_role` VALUES ('1260925293226479618', '6d35e179cd814e3299bd588ea7daed3f', 'roless', 'ssss', NULL, 'admin', '2020-05-14 21:29:51', NULL, NULL);

-- ----------------------------
-- Table structure for sys_depart_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_depart_role_permission`;
CREATE TABLE `sys_depart_role_permission`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `depart_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  `role_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `permission_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限id',
  `data_rule_ids` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据权限ids',
  `operate_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `operate_ip` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作ip',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sdrp_role_per_id`(`role_id`, `permission_id`) USING BTREE,
  INDEX `idx_sdrp_role_id`(`role_id`) USING BTREE,
  INDEX `idx_sdrp_per_id`(`permission_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门角色权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_depart_role_permission
-- ----------------------------
INSERT INTO `sys_depart_role_permission` VALUES ('1260925328689319938', NULL, '1260925293226479618', '2aeddae571695cd6380f6d6d334d6e7d', NULL, NULL, NULL);
INSERT INTO `sys_depart_role_permission` VALUES ('1260925328706097153', NULL, '1260925293226479618', '020b06793e4de2eee0007f603000c769', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_depart_role_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_depart_role_user`;
CREATE TABLE `sys_depart_role_user`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `drole_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色id',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sdr_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sdr_role_id`(`drole_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门角色用户表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_depart_role_user
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典名称',
  `dict_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典编码',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `del_flag` int(1) NULL DEFAULT NULL COMMENT '删除状态',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `type` int(1) UNSIGNED ZEROFILL NULL DEFAULT 0 COMMENT '字典类型0为string,1为number',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  `low_app_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '低代码应用ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sd_dict_code`(`dict_code`) USING BTREE,
  INDEX `uk_sd_tenant_id`(`tenant_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------
INSERT INTO `sys_dict` VALUES ('0b5d19e1fce4b2e6647e6b4a17760c14', '通告类型', 'msg_category', '消息类型1:通知公告2:系统消息', 0, 'admin', '2019-04-22 18:01:35', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1174509082208395266', '职务职级', 'position_rank', '职务表职级字典', 0, 'admin', '2019-09-19 10:22:41', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1174511106530525185', '机构类型', 'org_category', '机构类型 1公司，2部门 3岗位', 0, 'admin', '2019-09-19 10:30:43', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1178295274528845826', '表单权限策略', 'form_perms_type', '', 0, 'admin', '2019-09-29 21:07:39', 'admin', '2019-09-29 21:08:26', NULL, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1199517671259906049', '紧急程度', 'urgent_level', '日程计划紧急程度', 0, 'admin', '2019-11-27 10:37:53', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1199518099888414722', '日程计划类型', 'eoa_plan_type', '', 0, 'admin', '2019-11-27 10:39:36', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1199520177767587841', '分类栏目类型', 'eoa_cms_menu_type', '', 0, 'admin', '2019-11-27 10:47:51', 'admin', '2019-11-27 10:49:35', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1199525215290306561', '日程计划状态', 'eoa_plan_status', '', 0, 'admin', '2019-11-27 11:07:52', 'admin', '2019-11-27 11:10:11', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1209733563293962241', '数据库类型', 'database_type', '', 0, 'admin', '2019-12-25 15:12:12', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1232913193820581889', 'Online表单业务分类', 'ol_form_biz_type', '', 0, 'admin', '2020-02-27 14:19:46', 'admin', '2020-02-27 14:20:23', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1242298510024429569', '提醒方式', 'remindMode', '', 0, 'admin', '2020-03-24 11:53:40', 'admin', '2020-03-24 12:03:22', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1250687930947620866', '定时任务状态', 'quartz_status', '', 0, 'admin', '2020-04-16 15:30:14', '', NULL, NULL, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1280401766745718786', '租户状态', 'tenant_status', '租户状态', 0, 'admin', '2020-07-07 15:22:25', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1356445645198135298', '开关', 'is_open', '', 0, 'admin', '2021-02-02 11:33:38', 'admin', '2021-02-02 15:28:12', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1600042215909134338', '所属行业', 'trade', '行业', 0, 'admin', '2022-12-06 16:19:26', 'admin', '2022-12-06 16:20:50', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1600044537800331266', '公司规模', 'company_size', '公司规模', 0, 'admin', '2022-12-06 16:28:40', 'admin', '2022-12-06 16:30:23', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1606645341269299201', '职级', 'company_rank', '公司职级', 0, 'admin', '2022-12-24 21:37:54', 'admin', '2022-12-24 21:38:25', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1606646440684457986', '公司部门', 'company_department', '公司部门', 0, 'admin', '2022-12-24 21:42:16', 'admin', '2024-03-18 14:21:56', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1693196536609755137', 'ddd', 'ddd', NULL, 1, 'admin', '2023-08-20 17:41:27', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('1784843187992084482', '客户终端类型', 'client_type', NULL, 0, 'jeecg', '2024-04-29 15:12:31', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('236e8a4baff0db8c62c00dd95632834f', '同步工作流引擎', 'activiti_sync', '同步工作流引擎', 0, 'admin', '2019-05-15 15:27:33', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('2e02df51611a4b9632828ab7e5338f00', '权限策略', 'perms_type', '权限策略', 0, 'admin', '2019-04-26 18:26:55', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('2f0320997ade5dd147c90130f7218c3e', '推送类别', 'msg_type', '', 0, 'admin', '2019-03-17 21:21:32', 'admin', '2019-03-26 19:57:45', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('3486f32803bb953e7155dab3513dc68b', '删除状态', 'del_flag', NULL, 0, 'admin', '2019-01-18 21:46:26', 'admin', '2019-03-30 11:17:11', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('3d9a351be3436fbefb1307d4cfb49bf2', '性别', 'sex', NULL, 0, NULL, '2019-01-04 14:56:32', 'admin', '2019-03-30 11:28:27', 1, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4274efc2292239b6f000b153f50823ff', '全局权限策略', 'global_perms_type', '全局权限策略', 0, 'admin', '2019-05-10 17:54:05', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4c03fca6bf1f0299c381213961566349', 'Online图表展示模板', 'online_graph_display_template', 'Online图表展示模板', 0, 'admin', '2019-04-12 17:28:50', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4c753b5293304e7a445fd2741b46529d', '字典状态', 'dict_item_status', NULL, 0, 'admin', '2020-06-18 23:18:42', 'admin', '2019-03-30 19:33:52', 1, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4d7fec1a7799a436d26d02325eff295e', '优先级', 'priority', '优先级', 0, 'admin', '2019-03-16 17:03:34', 'admin', '2019-04-16 17:39:23', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4e4602b3e3686f0911384e188dc7efb4', '条件规则', 'rule_conditions', '', 0, 'admin', '2019-04-01 10:15:03', 'admin', '2019-04-01 10:30:47', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('4f69be5f507accea8d5df5f11346181a', '发送消息类型', 'msgType', NULL, 0, 'admin', '2019-04-11 14:27:09', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('68168534ff5065a152bfab275c2136f8', '有效无效状态', 'valid_status', '有效无效状态', 0, 'admin', '2020-09-26 19:21:14', 'admin', '2019-04-26 19:21:23', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('6b78e3f59faec1a4750acff08030a79b', '用户类型', 'user_type', NULL, 0, NULL, '2019-01-04 14:59:01', 'admin', '2019-03-18 23:28:18', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('72cce0989df68887546746d8f09811aa', 'Online表单类型', 'cgform_table_type', '', 0, 'admin', '2019-01-27 10:13:02', 'admin', '2019-03-30 11:37:36', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('78bda155fe380b1b3f175f1e88c284c6', '流程状态', 'bpm_status', '流程状态', 0, 'admin', '2019-05-09 16:31:52', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('83bfb33147013cc81640d5fd9eda030c', '日志类型', 'log_type', NULL, 0, 'admin', '2019-03-18 23:22:19', NULL, NULL, 1, 0, NULL);
INSERT INTO `sys_dict` VALUES ('845da5006c97754728bf48b6a10f79cc', '状态', 'status', NULL, 0, 'admin', '2019-03-18 21:45:25', 'admin', '2019-03-18 21:58:25', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('880a895c98afeca9d9ac39f29e67c13e', '操作类型', 'operate_type', '操作类型', 0, 'admin', '2019-07-22 10:54:29', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('8dfe32e2d29ea9430a988b3b558bf233', '发布状态', 'send_status', '发布状态', 0, 'admin', '2019-04-16 17:40:42', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('a7adbcd86c37f7dbc9b66945c82ef9e6', '1是0否', 'yn', '', 0, 'admin', '2019-05-22 19:29:29', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('a9d9942bd0eccb6e89de92d130ec4c4a', '消息发送状态', 'msgSendStatus', NULL, 0, 'admin', '2019-04-12 18:18:17', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('ac2f7c0c5c5775fcea7e2387bcb22f01', '菜单类型', 'menu_type', NULL, 0, 'admin', '2020-12-18 23:24:32', 'admin', '2019-04-01 15:27:06', 1, 0, NULL);
INSERT INTO `sys_dict` VALUES ('ad7c65ba97c20a6805d5dcdf13cdaf36', 'onlineT类型', 'ceshi_online', NULL, 0, 'admin', '2019-03-22 16:31:49', 'admin', '2019-03-22 16:34:16', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('bd1b8bc28e65d6feefefb6f3c79f42fd', 'Online图表数据类型', 'online_graph_data_type', 'Online图表数据类型', 0, 'admin', '2019-04-12 17:24:24', 'admin', '2019-04-12 17:24:57', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('c36169beb12de8a71c8683ee7c28a503', '部门状态', 'depart_status', NULL, 0, 'admin', '2019-03-18 21:59:51', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('c5a14c75172783d72cbee6ee7f5df5d1', 'Online图表类型', 'online_graph_type', 'Online图表类型', 0, 'admin', '2019-04-12 17:04:06', NULL, NULL, 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('d6e1152968b02d69ff358c75b48a6ee1', '流程类型', 'bpm_process_type', NULL, 0, 'admin', '2021-02-22 19:26:54', 'admin', '2019-03-30 18:14:44', 0, 0, NULL);
INSERT INTO `sys_dict` VALUES ('fc6cd58fde2e8481db10d3a1e68ce70c', '用户状态', 'user_status', NULL, 0, 'admin', '2019-03-18 21:57:25', 'admin', '2019-03-18 23:11:58', 1, 0, NULL);

-- ----------------------------
-- Table structure for sys_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_item`;
CREATE TABLE `sys_dict_item`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `dict_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典id',
  `item_text` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项文本',
  `item_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '字典项值',
  `item_color` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字典项颜色',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `sort_order` int(10) NULL DEFAULT NULL COMMENT '排序',
  `status` int(11) NULL DEFAULT NULL COMMENT '状态（1启用 0不启用）',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sditem_role_dict_id`(`dict_id`) USING BTREE,
  INDEX `idx_sditem_role_sort_order`(`sort_order`) USING BTREE,
  INDEX `idx_sditem_status`(`status`) USING BTREE,
  INDEX `idx_sditem_dict_val`(`dict_id`, `item_value`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_item
-- ----------------------------
INSERT INTO `sys_dict_item` VALUES ('0072d115e07c875d76c9b022e2179128', '4d7fec1a7799a436d26d02325eff295e', '低', 'L', NULL, '低', 3, 1, 'admin', '2019-04-16 17:04:59', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('05a2e732ce7b00aa52141ecc3e330b4e', '3486f32803bb953e7155dab3513dc68b', '已删除', '1', NULL, NULL, NULL, 1, 'admin', '2025-10-18 21:46:56', 'admin', '2019-03-28 22:23:20');
INSERT INTO `sys_dict_item` VALUES ('096c2e758d823def3855f6376bc736fb', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'SQL', 'sql', NULL, NULL, 1, 1, 'admin', '2019-04-12 17:26:26', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('0c9532916f5cd722017b46bc4d953e41', '2f0320997ade5dd147c90130f7218c3e', '指定用户', 'USER', NULL, NULL, NULL, 1, 'admin', '2019-03-17 21:22:19', 'admin', '2019-03-17 21:22:28');
INSERT INTO `sys_dict_item` VALUES ('0ca4beba9efc4f9dd54af0911a946d5c', '72cce0989df68887546746d8f09811aa', '附表', '3', NULL, NULL, 3, 1, 'admin', '2019-03-27 10:13:43', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1030a2652608f5eac3b49d70458b8532', '2e02df51611a4b9632828ab7e5338f00', '禁用', '2', NULL, '禁用', 2, 1, 'admin', '2021-03-26 18:27:28', 'admin', '2019-04-26 18:39:11');
INSERT INTO `sys_dict_item` VALUES ('1174509082208395266', '1174511106530525185', '岗位', '3', NULL, '岗位', 1, 1, 'admin', '2019-09-19 10:31:16', '', NULL);
INSERT INTO `sys_dict_item` VALUES ('1174509601047994369', '1174509082208395266', '员级', '1', NULL, '', 1, 1, 'admin', '2019-09-19 10:24:45', 'admin', '2019-09-23 11:46:39');
INSERT INTO `sys_dict_item` VALUES ('1174509667297026049', '1174509082208395266', '助级', '2', NULL, '', 2, 1, 'admin', '2019-09-19 10:25:01', 'admin', '2019-09-23 11:46:47');
INSERT INTO `sys_dict_item` VALUES ('1174509713568587777', '1174509082208395266', '中级', '3', NULL, '', 3, 1, 'admin', '2019-09-19 10:25:12', 'admin', '2019-09-23 11:46:56');
INSERT INTO `sys_dict_item` VALUES ('1174509788361416705', '1174509082208395266', '副高级', '4', NULL, '', 4, 1, 'admin', '2019-09-19 10:25:30', 'admin', '2019-09-23 11:47:06');
INSERT INTO `sys_dict_item` VALUES ('1174509835803189250', '1174509082208395266', '正高级', '5', NULL, '', 5, 1, 'admin', '2019-09-19 10:25:41', 'admin', '2019-09-23 11:47:12');
INSERT INTO `sys_dict_item` VALUES ('1174511197735665665', '1174511106530525185', '公司', '1', NULL, '公司', 1, 1, 'admin', '2019-09-19 10:31:05', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1174511244036587521', '1174511106530525185', '部门', '2', NULL, '部门', 1, 1, 'admin', '2019-09-19 10:31:16', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1178295553450061826', '1178295274528845826', '可编辑(未授权禁用)', '2', NULL, '', 2, 1, 'admin', '2019-09-29 21:08:46', 'admin', '2019-09-29 21:09:18');
INSERT INTO `sys_dict_item` VALUES ('1178295639554928641', '1178295274528845826', '可见(未授权不可见)', '1', NULL, '', 1, 1, 'admin', '2019-09-29 21:09:06', 'admin', '2019-09-29 21:09:24');
INSERT INTO `sys_dict_item` VALUES ('1199517884758368257', '1199517671259906049', '一般', '1', NULL, '', 1, 1, 'admin', '2019-11-27 10:38:44', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199517914017832962', '1199517671259906049', '重要', '2', NULL, '', 1, 1, 'admin', '2019-11-27 10:38:51', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199517941339529217', '1199517671259906049', '紧急', '3', NULL, '', 1, 1, 'admin', '2019-11-27 10:38:58', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199518186144276482', '1199518099888414722', '日常记录', '1', NULL, '', 1, 1, 'admin', '2019-11-27 10:39:56', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199518214858481666', '1199518099888414722', '本周工作', '2', NULL, '', 1, 1, 'admin', '2019-11-27 10:40:03', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199518235943247874', '1199518099888414722', '下周计划', '3', NULL, '', 1, 1, 'admin', '2019-11-27 10:40:08', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199520817285701634', '1199520177767587841', '列表', '1', NULL, '', 1, 1, 'admin', '2019-11-27 10:50:24', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199520835035996161', '1199520177767587841', '链接', '2', NULL, '', 1, 1, 'admin', '2019-11-27 10:50:28', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199525468672405505', '1199525215290306561', '未开始', '0', NULL, '', 1, 1, 'admin', '2019-11-27 11:08:52', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199525490575060993', '1199525215290306561', '进行中', '1', NULL, '', 1, 1, 'admin', '2019-11-27 11:08:58', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1199525506429530114', '1199525215290306561', '已完成', '2', NULL, '', 1, 1, 'admin', '2019-11-27 11:09:02', 'admin', '2019-11-27 11:10:02');
INSERT INTO `sys_dict_item` VALUES ('1209733775114702850', '1209733563293962241', 'MySQL5.5', '1', NULL, '', 1, 1, 'admin', '2019-12-25 15:13:02', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1209733839933476865', '1209733563293962241', 'Oracle', '2', NULL, '', 3, 1, 'admin', '2019-12-25 15:13:18', 'admin', '2021-07-15 13:44:08');
INSERT INTO `sys_dict_item` VALUES ('1209733903020003330', '1209733563293962241', 'SQLServer', '3', NULL, '', 4, 1, 'admin', '2019-12-25 15:13:33', 'admin', '2021-07-15 13:44:11');
INSERT INTO `sys_dict_item` VALUES ('1232913424813486081', '1232913193820581889', '官方示例', 'demo', NULL, '', 1, 1, 'admin', '2020-02-27 14:20:42', 'admin', '2020-02-27 14:21:37');
INSERT INTO `sys_dict_item` VALUES ('1232913493717512194', '1232913193820581889', '流程表单', 'bpm', NULL, '', 2, 1, 'admin', '2020-02-27 14:20:58', 'admin', '2020-02-27 14:22:20');
INSERT INTO `sys_dict_item` VALUES ('1232913605382467585', '1232913193820581889', '测试表单', 'temp', NULL, '', 4, 1, 'admin', '2020-02-27 14:21:25', 'admin', '2020-02-27 14:22:16');
INSERT INTO `sys_dict_item` VALUES ('1232914232372195330', '1232913193820581889', '导入表单', 'bdfl_include', NULL, '', 5, 1, 'admin', '2020-02-27 14:23:54', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1234371726545010689', '4e4602b3e3686f0911384e188dc7efb4', '左模糊', 'LEFT_LIKE', NULL, '左模糊', 7, 1, 'admin', '2020-03-02 14:55:27', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1234371809495760898', '4e4602b3e3686f0911384e188dc7efb4', '右模糊', 'RIGHT_LIKE', NULL, '右模糊', 7, 1, 'admin', '2020-03-02 14:55:47', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1242300779390357505', '1242298510024429569', '短信提醒', '2', NULL, '', 2, 1, 'admin', '2020-03-24 12:02:41', 'admin', '2020-03-30 18:21:33');
INSERT INTO `sys_dict_item` VALUES ('1242300814383435777', '1242298510024429569', '邮件提醒', '1', NULL, '', 1, 1, 'admin', '2020-03-24 12:02:49', 'admin', '2020-03-30 18:21:26');
INSERT INTO `sys_dict_item` VALUES ('1242300887343353857', '1242298510024429569', '系统消息', '4', NULL, '', 4, 1, 'admin', '2020-03-24 12:03:07', 'admin', '2020-03-30 18:21:43');
INSERT INTO `sys_dict_item` VALUES ('1250688147579228161', '1250687930947620866', '正常', '0', NULL, '', 1, 1, 'admin', '2020-04-16 15:31:05', '', NULL);
INSERT INTO `sys_dict_item` VALUES ('1250688201064992770', '1250687930947620866', '停止', '-1', NULL, '', 1, 1, 'admin', '2020-04-16 15:31:18', '', NULL);
INSERT INTO `sys_dict_item` VALUES ('1280401815068295170', '1280401766745718786', '正常', '1', NULL, '', 1, 1, 'admin', '2020-07-07 15:22:36', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1280401847607705602', '1280401766745718786', '冻结', '0', NULL, '', 1, 1, 'admin', '2020-07-07 15:22:44', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1305827309355302914', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'API', 'api', NULL, '', 3, 1, 'admin', '2020-09-15 19:14:26', 'admin', '2020-09-15 19:14:41');
INSERT INTO `sys_dict_item` VALUES ('1334440962954936321', '1209733563293962241', 'MYSQL5.7+', '4', NULL, '', 2, 1, 'admin', '2020-12-03 18:16:02', 'admin', '2021-07-15 13:44:29');
INSERT INTO `sys_dict_item` VALUES ('1356445705549975553', '1356445645198135298', '是', 'Y', NULL, '', 1, 1, 'admin', '2021-02-02 11:33:52', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1356445754212290561', '1356445645198135298', '否', 'N', NULL, '', 1, 1, 'admin', '2021-02-02 11:34:04', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1414837074500976641', '1209733563293962241', 'postgresql', '6', NULL, '', 5, 1, 'admin', '2021-07-13 14:40:20', 'admin', '2021-07-15 13:44:15');
INSERT INTO `sys_dict_item` VALUES ('1415547541091504129', '1209733563293962241', 'marialDB', '5', NULL, '', 6, 1, 'admin', '2021-07-15 13:43:28', 'admin', '2021-07-15 13:44:23');
INSERT INTO `sys_dict_item` VALUES ('1418049969003089922', '1209733563293962241', '达梦', '7', NULL, '', 7, 1, 'admin', '2021-07-22 11:27:13', 'admin', '2021-07-22 11:27:30');
INSERT INTO `sys_dict_item` VALUES ('1418050017053036545', '1209733563293962241', '人大金仓', '8', NULL, '', 8, 1, 'admin', '2021-07-22 11:27:25', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418050075555188737', '1209733563293962241', '神通', '9', NULL, '', 9, 1, 'admin', '2021-07-22 11:27:39', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418050110669901826', '1209733563293962241', 'SQLite', '10', NULL, '', 10, 1, 'admin', '2021-07-22 11:27:47', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418050149475602434', '1209733563293962241', 'DB2', '11', NULL, '', 11, 1, 'admin', '2021-07-22 11:27:56', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418050209823248385', '1209733563293962241', 'Hsqldb', '12', NULL, '', 12, 1, 'admin', '2021-07-22 11:28:11', 'admin', '2021-07-22 11:28:27');
INSERT INTO `sys_dict_item` VALUES ('1418050323111399425', '1209733563293962241', 'Derby', '13', NULL, '', 13, 1, 'admin', '2021-07-22 11:28:38', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418117316707590146', '1209733563293962241', 'H2', '14', NULL, '', 14, 1, 'admin', '2021-07-22 15:54:50', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1418491604048449537', '1209733563293962241', '其他数据库', '15', NULL, '', 15, 1, 'admin', '2021-07-23 16:42:07', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('147c48ff4b51545032a9119d13f3222a', 'd6e1152968b02d69ff358c75b48a6ee1', '测试流程', 'test', NULL, NULL, 1, 1, 'admin', '2019-03-22 19:27:05', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1543fe7e5e26fb97cdafe4981bedc0c8', '4c03fca6bf1f0299c381213961566349', '单排布局', 'single', NULL, NULL, 2, 1, 'admin', '2022-07-12 17:43:39', 'admin', '2019-04-12 17:43:57');
INSERT INTO `sys_dict_item` VALUES ('1600042651777011713', '1600042215909134338', '信息传输、软件和信息技术服务业', '1', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:21:10', 'admin', '2022-12-06 16:21:27');
INSERT INTO `sys_dict_item` VALUES ('1600042736254488578', '1600042215909134338', '制造业', '2', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:21:30', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600042785646612481', '1600042215909134338', '租赁和商务服务业', '3', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:21:42', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600042835433000961', '1600042215909134338', '教育', '4', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:21:54', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600042892072882177', '1600042215909134338', '金融业', '5', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:22:07', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600042975539531778', '1600042215909134338', '建筑业', '6', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:22:27', 'admin', '2022-12-06 16:22:32');
INSERT INTO `sys_dict_item` VALUES ('1600043052177854466', '1600042215909134338', '科学研究和技术服务业', '7', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:22:46', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043101976825857', '1600042215909134338', '批发和零售业', '8', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:22:58', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043157069008898', '1600042215909134338', '住宿和餐饮业', '9', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:23:11', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043203105689601', '1600042215909134338', '电子商务', '10', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:23:22', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043277504253953', '1600042215909134338', '线下零售与服务业', '11', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:23:39', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043334618091521', '1600042215909134338', '文化、体育和娱乐业', '12', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:23:53', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043401030701058', '1600042215909134338', '房地产业', '13', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:24:09', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043476440092673', '1600042215909134338', '交通运输、仓储和邮政业', '14', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:24:27', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043553837584386', '1600042215909134338', '卫生和社会工作', '15', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:24:45', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043628793991170', '1600042215909134338', '公共管理、社会保障和社会组织', '16', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:03', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043675329794050', '1600042215909134338', '电力、热力、燃气及水生产和供应业', '18', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:14', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043734607892482', '1600042215909134338', '水利、环境和公共设施管理业', '19', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:28', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043783068880897', '1600042215909134338', '居民服务、修理和其他服务业', '20', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:40', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043822679887874', '1600042215909134338', '政府机构', '21', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:49', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043859539431426', '1600042215909134338', '农、林、牧、渔业', '22', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:25:58', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043907551629313', '1600042215909134338', '采矿业', '23', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:26:10', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043955731599362', '1600042215909134338', '国际组织', '24', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:26:21', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600043991685173249', '1600042215909134338', '其他', '25', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:26:30', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044644096577538', '1600044537800331266', '20人以下', '1', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:29:05', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044698618335233', '1600044537800331266', '21-99人', '2', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:29:18', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044744172670978', '1600044537800331266', '100-499人', '3', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:29:29', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044792306503681', '1600044537800331266', '500-999人', '4', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:29:41', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044861302804481', '1600044537800331266', '1000-9999人', '5', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:29:57', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1600044924313833473', '1600044537800331266', '10000人以上', '6', NULL, NULL, 1, 1, 'admin', '2022-12-06 16:30:12', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606645562573361153', '1606645341269299201', '总裁/总经理/CEO', '1', NULL, NULL, 1, 1, 'admin', '2022-12-24 21:38:47', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606645619930468354', '1606645341269299201', '副总裁/副总经理/VP', '2', NULL, NULL, 2, 1, 'admin', '2022-12-24 21:39:00', 'admin', '2022-12-24 21:40:00');
INSERT INTO `sys_dict_item` VALUES ('1606645660241924097', '1606645341269299201', '总监/主管/经理', '3', NULL, NULL, 3, 1, 'admin', '2022-12-24 21:39:10', 'admin', '2022-12-24 21:39:41');
INSERT INTO `sys_dict_item` VALUES ('1606645696715591682', '1606645341269299201', '员工/专员/执行', '4', NULL, NULL, 4, 1, 'admin', '2022-12-24 21:39:19', 'admin', '2022-12-24 21:39:37');
INSERT INTO `sys_dict_item` VALUES ('1606645744023146497', '1606645341269299201', '其他', '5', NULL, NULL, 5, 1, 'admin', '2022-12-24 21:39:30', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647668965412866', '1606646440684457986', '总经办', '1', NULL, NULL, 1, 1, 'admin', '2022-12-24 21:47:09', 'admin', '2023-10-18 13:54:03');
INSERT INTO `sys_dict_item` VALUES ('1606647703098658817', '1606646440684457986', '技术/IT/研发', '2', NULL, NULL, 2, 1, 'admin', '2022-12-24 21:47:17', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647737919770625', '1606646440684457986', '产品/设计', '3', NULL, NULL, 3, 1, 'admin', '2022-12-24 21:47:25', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647789614567425', '1606646440684457986', '销售/市场/运营', '4', NULL, '', 4, 1, 'admin', '2022-12-24 21:47:38', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647827921145857', '1606646440684457986', '人事/财务/行政', '5', NULL, NULL, 5, 1, 'admin', '2022-12-24 21:47:47', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647860955484162', '1606646440684457986', '资源/仓储/采购', '6', NULL, NULL, 6, 1, 'admin', '2022-12-24 21:47:55', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1606647915473047553', '1606646440684457986', '其他', '7', NULL, NULL, 7, 1, 'admin', '2022-12-24 21:48:08', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1782325511230337025', '83bfb33147013cc81640d5fd9eda030c', '租户操作日志', '3', NULL, NULL, 1, 1, 'admin', '2024-04-22 16:28:11', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1783383857978970114', '83bfb33147013cc81640d5fd9eda030c', '异常日志', '4', NULL, NULL, 3, 1, 'jeecg', '2024-04-25 14:33:40', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1784843259509161986', '1784843187992084482', '电脑终端', 'pc', NULL, NULL, 1, 1, 'jeecg', '2024-04-29 15:12:49', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1784843314429378562', '1784843187992084482', '手机APP端', 'app', NULL, NULL, 1, 1, 'jeecg', '2024-04-29 15:13:02', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1784843380502249474', '1784843187992084482', '移动网页端', 'h5', NULL, NULL, 1, 1, 'jeecg', '2024-04-29 15:13:17', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1ce390c52453891f93514c1bd2795d44', 'ad7c65ba97c20a6805d5dcdf13cdaf36', '000', '00', NULL, NULL, 1, 1, 'admin', '2019-03-22 16:34:34', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('1db531bcff19649fa82a644c8a939dc4', '4c03fca6bf1f0299c381213961566349', '组合布局', 'combination', NULL, '', 4, 1, 'admin', '2019-05-11 16:07:08', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('222705e11ef0264d4214affff1fb4ff9', '4f69be5f507accea8d5df5f11346181a', '文本', '1', NULL, '', 1, 1, 'admin', '2023-02-28 10:50:36', 'admin', '2022-07-04 16:29:21');
INSERT INTO `sys_dict_item` VALUES ('23a5bb76004ed0e39414e928c4cde155', '4e4602b3e3686f0911384e188dc7efb4', '不等于', '!=', NULL, '不等于', 3, 1, 'admin', '2019-04-01 16:46:15', 'admin', '2019-04-01 17:48:40');
INSERT INTO `sys_dict_item` VALUES ('25847e9cb661a7c711f9998452dc09e6', '4e4602b3e3686f0911384e188dc7efb4', '小于等于', '<=', NULL, '小于等于', 6, 1, 'admin', '2019-04-01 16:44:34', 'admin', '2019-04-01 17:49:10');
INSERT INTO `sys_dict_item` VALUES ('2d51376643f220afdeb6d216a8ac2c01', '68168534ff5065a152bfab275c2136f8', '有效', '1', NULL, '有效', 2, 1, 'admin', '2019-04-26 19:22:01', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('308c8aadf0c37ecdde188b97ca9833f5', '8dfe32e2d29ea9430a988b3b558bf233', '已发布', '1', NULL, '已发布', 2, 1, 'admin', '2019-04-16 17:41:24', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('333e6b2196e01ef9a5f76d74e86a6e33', '8dfe32e2d29ea9430a988b3b558bf233', '未发布', '0', NULL, '未发布', 1, 1, 'admin', '2019-04-16 17:41:12', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('337ea1e401bda7233f6258c284ce4f50', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'JSON', 'json', NULL, NULL, 1, 1, 'admin', '2019-04-12 17:26:33', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('33bc9d9f753cf7dc40e70461e50fdc54', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送失败', '2', NULL, NULL, 3, 1, 'admin', '2019-04-12 18:20:02', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('3fbc03d6c994ae06d083751248037c0e', '78bda155fe380b1b3f175f1e88c284c6', '已完成', '3', NULL, '已完成', 3, 1, 'admin', '2019-05-09 16:33:25', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('41d7aaa40c9b61756ffb1f28da5ead8e', '0b5d19e1fce4b2e6647e6b4a17760c14', '通知公告', '1', NULL, NULL, 1, 1, 'admin', '2019-04-22 18:01:57', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('41fa1e9571505d643aea87aeb83d4d76', '4e4602b3e3686f0911384e188dc7efb4', '等于', '=', NULL, '等于', 4, 1, 'admin', '2019-04-01 16:45:24', 'admin', '2019-04-01 17:49:00');
INSERT INTO `sys_dict_item` VALUES ('43d2295b8610adce9510ff196a49c6e9', '845da5006c97754728bf48b6a10f79cc', '正常', '1', NULL, NULL, NULL, 1, 'admin', '2019-03-18 21:45:51', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('4f05fb5376f4c61502c5105f52e4dd2b', '83bfb33147013cc81640d5fd9eda030c', '操作日志', '2', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:22:49', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('50223341bfb5ba30bf6319789d8d17fe', 'd6e1152968b02d69ff358c75b48a6ee1', '业务办理', 'business', NULL, NULL, 3, 1, 'admin', '2023-04-22 19:28:05', 'admin', '2019-03-22 23:24:39');
INSERT INTO `sys_dict_item` VALUES ('51222413e5906cdaf160bb5c86fb827c', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '是', '1', NULL, '', 1, 1, 'admin', '2019-05-22 19:29:45', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('538fca35afe004972c5f3947c039e766', '2e02df51611a4b9632828ab7e5338f00', '显示', '1', NULL, '显示', 1, 1, 'admin', '2025-03-26 18:27:13', 'admin', '2019-04-26 18:39:07');
INSERT INTO `sys_dict_item` VALUES ('5584c21993bde231bbde2b966f2633ac', '4e4602b3e3686f0911384e188dc7efb4', '自定义SQL表达式', 'USE_SQL_RULES', NULL, '自定义SQL表达式', 9, 1, 'admin', '2019-04-01 10:45:24', 'admin', '2019-04-01 17:49:27');
INSERT INTO `sys_dict_item` VALUES ('58b73b344305c99b9d8db0fc056bbc0a', '72cce0989df68887546746d8f09811aa', '主表', '2', NULL, NULL, 2, 1, 'admin', '2019-03-27 10:13:36', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('5b65a88f076b32e8e69d19bbaadb52d5', '2f0320997ade5dd147c90130f7218c3e', '全体用户', 'ALL', NULL, NULL, NULL, 1, 'admin', '2020-10-17 21:22:43', 'admin', '2019-03-28 22:17:09');
INSERT INTO `sys_dict_item` VALUES ('5d833f69296f691843ccdd0c91212b6b', '880a895c98afeca9d9ac39f29e67c13e', '修改', '3', NULL, '', 3, 1, 'admin', '2019-07-22 10:55:07', 'admin', '2019-07-22 10:55:41');
INSERT INTO `sys_dict_item` VALUES ('5d84a8634c8fdfe96275385075b105c9', '3d9a351be3436fbefb1307d4cfb49bf2', '女', '2', NULL, NULL, 2, 1, NULL, '2019-01-04 14:56:56', NULL, '2019-01-04 17:38:12');
INSERT INTO `sys_dict_item` VALUES ('66c952ae2c3701a993e7db58f3baf55e', '4e4602b3e3686f0911384e188dc7efb4', '大于', '>', NULL, '大于', 1, 1, 'admin', '2019-04-01 10:45:46', 'admin', '2019-04-01 17:48:29');
INSERT INTO `sys_dict_item` VALUES ('6937c5dde8f92e9a00d4e2ded9198694', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'easyui', '3', NULL, NULL, 1, 1, 'admin', '2019-03-22 16:32:15', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('69cacf64e244100289ddd4aa9fa3b915', 'a9d9942bd0eccb6e89de92d130ec4c4a', '未发送', '0', NULL, NULL, 1, 1, 'admin', '2019-04-12 18:19:23', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('6a7a9e1403a7943aba69e54ebeff9762', '4f69be5f507accea8d5df5f11346181a', '富文本', '2', NULL, '', 2, 1, 'admin', '2031-02-28 10:50:44', 'admin', '2022-07-04 16:29:30');
INSERT INTO `sys_dict_item` VALUES ('6c682d78ddf1715baf79a1d52d2aa8c2', '72cce0989df68887546746d8f09811aa', '单表', '1', NULL, NULL, 1, 1, 'admin', '2019-03-27 10:13:29', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('6d404fd2d82311fbc87722cd302a28bc', '4e4602b3e3686f0911384e188dc7efb4', '模糊', 'LIKE', NULL, '模糊', 7, 1, 'admin', '2019-04-01 16:46:02', 'admin', '2019-04-01 17:49:20');
INSERT INTO `sys_dict_item` VALUES ('6d4e26e78e1a09699182e08516c49fc4', '4d7fec1a7799a436d26d02325eff295e', '高', 'H', NULL, '高', 1, 1, 'admin', '2019-04-16 17:04:24', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('700e9f030654f3f90e9ba76ab0713551', '6b78e3f59faec1a4750acff08030a79b', '333', '333', NULL, NULL, NULL, 1, 'admin', '2019-02-21 19:59:47', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('7050c1522702bac3be40e3b7d2e1dfd8', 'c5a14c75172783d72cbee6ee7f5df5d1', '柱状图', 'bar', NULL, NULL, 1, 1, 'admin', '2019-04-12 17:05:17', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('71b924faa93805c5c1579f12e001c809', 'd6e1152968b02d69ff358c75b48a6ee1', 'OA办公', 'oa', NULL, NULL, 2, 1, 'admin', '2021-03-22 19:27:17', 'admin', '2023-10-18 13:54:29');
INSERT INTO `sys_dict_item` VALUES ('75b260d7db45a39fc7f21badeabdb0ed', 'c36169beb12de8a71c8683ee7c28a503', '不启用', '0', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:29:41', 'admin', '2019-03-18 23:29:54');
INSERT INTO `sys_dict_item` VALUES ('7688469db4a3eba61e6e35578dc7c2e5', 'c36169beb12de8a71c8683ee7c28a503', '启用', '1', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:29:28', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('78ea6cadac457967a4b1c4eb7aaa418c', 'fc6cd58fde2e8481db10d3a1e68ce70c', '正常', '1', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:30:28', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('7ccf7b80c70ee002eceb3116854b75cb', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '按钮权限', '2', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:25:40', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('81fb2bb0e838dc68b43f96cc309f8257', 'fc6cd58fde2e8481db10d3a1e68ce70c', '冻结', '2', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:30:37', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('83250269359855501ec4e9c0b7e21596', '4274efc2292239b6f000b153f50823ff', '可见/可访问(授权后可见/可访问)', '1', NULL, '', 1, 1, 'admin', '2019-05-10 17:54:51', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('84778d7e928bc843ad4756db1322301f', '4e4602b3e3686f0911384e188dc7efb4', '大于等于', '>=', NULL, '大于等于', 5, 1, 'admin', '2019-04-01 10:46:02', 'admin', '2019-04-01 17:49:05');
INSERT INTO `sys_dict_item` VALUES ('848d4da35ebd93782029c57b103e5b36', 'c5a14c75172783d72cbee6ee7f5df5d1', '饼图', 'pie', NULL, NULL, 3, 1, 'admin', '2019-04-12 17:05:49', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('84dfc178dd61b95a72900fcdd624c471', '78bda155fe380b1b3f175f1e88c284c6', '处理中', '2', NULL, '处理中', 2, 1, 'admin', '2019-05-09 16:33:01', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('86f19c7e0a73a0bae451021ac05b99dd', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '子菜单', '1', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:25:27', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('8c618902365ca681ebbbe1e28f11a548', '4c753b5293304e7a445fd2741b46529d', '启用', '1', NULL, '', 0, 1, 'admin', '2020-07-18 23:19:27', 'admin', '2019-05-17 14:51:18');
INSERT INTO `sys_dict_item` VALUES ('8cdf08045056671efd10677b8456c999', '4274efc2292239b6f000b153f50823ff', '可编辑(未授权时禁用)', '2', NULL, '', 2, 1, 'admin', '2019-05-10 17:55:38', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('8ff48e657a7c5090d4f2a59b37d1b878', '4d7fec1a7799a436d26d02325eff295e', '中', 'M', NULL, '中', 2, 1, 'admin', '2019-04-16 17:04:40', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('948923658baa330319e59b2213cda97c', '880a895c98afeca9d9ac39f29e67c13e', '添加', '2', NULL, '', 2, 1, 'admin', '2019-07-22 10:54:59', 'admin', '2019-07-22 10:55:36');
INSERT INTO `sys_dict_item` VALUES ('9a96c4a4e4c5c9b4e4d0cbf6eb3243cc', '4c753b5293304e7a445fd2741b46529d', '不启用', '0', NULL, NULL, 1, 1, 'admin', '2019-03-18 23:19:53', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('a1e7d1ca507cff4a480c8caba7c1339e', '880a895c98afeca9d9ac39f29e67c13e', '导出', '6', NULL, '', 6, 1, 'admin', '2019-07-22 12:06:50', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('a2be752dd4ec980afaec1efd1fb589af', '8dfe32e2d29ea9430a988b3b558bf233', '已撤销', '2', NULL, '已撤销', 3, 1, 'admin', '2019-04-16 17:41:39', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('aa0d8a8042a18715a17f0a888d360aa4', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '一级菜单', '0', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:24:52', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('adcf2a1fe93bb99a84833043f475fe0b', '4e4602b3e3686f0911384e188dc7efb4', '包含', 'IN', NULL, '包含', 8, 1, 'admin', '2019-04-01 16:45:47', 'admin', '2019-04-01 17:49:24');
INSERT INTO `sys_dict_item` VALUES ('b029a41a851465332ee4ee69dcf0a4c2', '0b5d19e1fce4b2e6647e6b4a17760c14', '系统消息', '2', NULL, NULL, 1, 1, 'admin', '2019-02-22 18:02:08', 'admin', '2019-04-22 18:02:13');
INSERT INTO `sys_dict_item` VALUES ('b2a8b4bb2c8e66c2c4b1bb086337f393', '3486f32803bb953e7155dab3513dc68b', '正常', '0', NULL, NULL, NULL, 1, 'admin', '2022-10-18 21:46:48', 'admin', '2019-03-28 22:22:20');
INSERT INTO `sys_dict_item` VALUES ('b57f98b88363188daf38d42f25991956', '6b78e3f59faec1a4750acff08030a79b', '22', '222', NULL, NULL, NULL, 0, 'admin', '2019-02-21 19:59:43', 'admin', '2019-03-11 21:23:27');
INSERT INTO `sys_dict_item` VALUES ('b5f3bd5f66bb9a83fecd89228c0d93d1', '68168534ff5065a152bfab275c2136f8', '无效', '0', NULL, '无效', 1, 1, 'admin', '2019-04-26 19:21:49', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('b9fbe2a3602d4a27b45c100ac5328484', '78bda155fe380b1b3f175f1e88c284c6', '待提交', '1', NULL, '待提交', 1, 1, 'admin', '2019-05-09 16:32:35', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('ba27737829c6e0e582e334832703d75e', '236e8a4baff0db8c62c00dd95632834f', '同步', '1', NULL, '同步', 1, 1, 'admin', '2019-05-15 15:28:15', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('bcec04526b04307e24a005d6dcd27fd6', '880a895c98afeca9d9ac39f29e67c13e', '导入', '5', NULL, '', 5, 1, 'admin', '2019-07-22 12:06:41', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('c53da022b9912e0aed691bbec3c78473', '880a895c98afeca9d9ac39f29e67c13e', '查询', '1', NULL, '', 1, 1, 'admin', '2019-07-22 10:54:51', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('c5700a71ad08994d18ad1dacc37a71a9', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '否', '0', NULL, '', 1, 1, 'admin', '2019-05-22 19:29:55', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('cbfcc5b88fc3a90975df23ffc8cbe29c', 'c5a14c75172783d72cbee6ee7f5df5d1', '曲线图', 'line', NULL, NULL, 2, 1, 'admin', '2019-05-12 17:05:30', 'admin', '2019-04-12 17:06:06');
INSERT INTO `sys_dict_item` VALUES ('d217592908ea3e00ff986ce97f24fb98', 'c5a14c75172783d72cbee6ee7f5df5d1', '数据列表', 'table', NULL, NULL, 4, 1, 'admin', '2019-04-12 17:05:56', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('df168368dcef46cade2aadd80100d8aa', '3d9a351be3436fbefb1307d4cfb49bf2', '男', '1', NULL, NULL, 1, 1, NULL, '2027-08-04 14:56:49', 'admin', '2019-03-23 22:44:44');
INSERT INTO `sys_dict_item` VALUES ('e6329e3a66a003819e2eb830b0ca2ea0', '4e4602b3e3686f0911384e188dc7efb4', '小于', '<', NULL, '小于', 2, 1, 'admin', '2019-04-01 16:44:15', 'admin', '2019-04-01 17:48:34');
INSERT INTO `sys_dict_item` VALUES ('e94eb7af89f1dbfa0d823580a7a6e66a', '236e8a4baff0db8c62c00dd95632834f', '不同步', '0', NULL, '不同步', 2, 1, 'admin', '2019-05-15 15:28:28', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('f0162f4cc572c9273f3e26b2b4d8c082', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'booostrap', '1', NULL, NULL, 1, 1, 'admin', '2021-08-22 16:32:04', 'admin', '2019-03-22 16:33:57');
INSERT INTO `sys_dict_item` VALUES ('f16c5706f3ae05c57a53850c64ce7c45', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送成功', '1', NULL, NULL, 2, 1, 'admin', '2019-04-12 18:19:43', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('f2a7920421f3335afdf6ad2b342f6b5d', '845da5006c97754728bf48b6a10f79cc', '冻结', '2', NULL, NULL, NULL, 1, 'admin', '2019-03-18 21:46:02', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('f37f90c496ec9841c4c326b065e00bb2', '83bfb33147013cc81640d5fd9eda030c', '登录日志', '1', NULL, NULL, NULL, 1, 'admin', '2019-03-18 23:22:37', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('f753aff60ff3931c0ecb4812d8b5e643', '4c03fca6bf1f0299c381213961566349', '双排布局', 'double', NULL, NULL, 3, 1, 'admin', '2019-04-12 17:43:51', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('f80a8f6838215753b05e1a5ba3346d22', '880a895c98afeca9d9ac39f29e67c13e', '删除', '4', NULL, '', 4, 1, 'admin', '2019-07-22 10:55:14', 'admin', '2019-07-22 10:55:30');
INSERT INTO `sys_dict_item` VALUES ('fcec03570f68a175e1964808dc3f1c91', '4c03fca6bf1f0299c381213961566349', 'Tab风格', 'tab', NULL, NULL, 1, 1, 'admin', '2019-04-12 17:43:31', NULL, NULL);
INSERT INTO `sys_dict_item` VALUES ('fe50b23ae5e68434def76f67cef35d2d', '78bda155fe380b1b3f175f1e88c284c6', '已作废', '4', NULL, '已作废', 4, 1, 'admin', '2021-09-09 16:33:43', 'admin', '2019-05-09 16:34:40');

-- ----------------------------
-- Table structure for sys_files
-- ----------------------------
DROP TABLE IF EXISTS `sys_files`;
CREATE TABLE `sys_files`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名称',
  `url` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件地址',
  `file_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文档类型（folder:文件夹 excel:excel doc:word ppt:ppt image:图片  archive:其他文档 video:视频 pdf:pdf）',
  `store_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件上传类型(temp/本地上传(临时文件) manage/知识库)',
  `parent_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父级id',
  `tenant_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '租户id',
  `file_size` double(13, 2) NULL DEFAULT NULL COMMENT '文件大小（kb）',
  `iz_folder` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否文件夹(1：是  0：否)',
  `iz_root_folder` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为1级文件夹，允许为空 (1：是 )',
  `iz_star` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否标星(1：是  0：否)',
  `down_count` int(11) NULL DEFAULT NULL COMMENT '下载次数',
  `read_count` int(11) NULL DEFAULT NULL COMMENT '阅读次数',
  `share_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分享链接',
  `share_perms` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '分享权限(1.关闭分享 2.允许所有联系人查看 3.允许任何人查看)',
  `enable_down` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否允许下载(1：是  0：否)',
  `enable_updat` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否允许修改(1：是  0：否)',
  `del_flag` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '删除状态(0-正常,1-删除至回收站)',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `index_del_flag`(`del_flag`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '知识库-文档管理' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_files
-- ----------------------------
INSERT INTO `sys_files` VALUES ('1580814573568143361', '11.jpg', 'comment/11_1665730539114.jpg', 'image', 'temp', NULL, NULL, 10956.00, '0', '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', 'admin', '2022-10-14 14:55:39', NULL, NULL);
INSERT INTO `sys_files` VALUES ('1584493984691740674', 'jeecg-boot漏洞.pdf', 'comment/jeecg-boot漏洞_1666607779077.pdf', 'pdf', 'temp', NULL, NULL, 842789.00, '0', '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', 'admin', '2022-10-24 18:36:19', NULL, NULL);
INSERT INTO `sys_files` VALUES ('1714455459928985601', '低代码平台.png', 'comment/低代码平台_1697593009343.png', 'image', 'temp', NULL, '1000', 1249631.00, '0', '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', 'admin', '2023-10-18 09:36:49', NULL, NULL);

-- ----------------------------
-- Table structure for sys_fill_rule
-- ----------------------------
DROP TABLE IF EXISTS `sys_fill_rule`;
CREATE TABLE `sys_fill_rule`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键ID',
  `rule_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则名称',
  `rule_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则Code',
  `rule_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则实现类',
  `rule_params` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规则参数',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sfr_rule_code`(`rule_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_fill_rule
-- ----------------------------
INSERT INTO `sys_fill_rule` VALUES ('1202551334738382850', '机构编码生成', 'org_num_role', 'org.jeecg.modules.system.rule.OrgCodeRule', '{\"parentId\":\"c6d7cb4deeac411cb3384b1b31278596\"}', 'admin', '2019-12-09 10:37:06', 'admin', '2019-12-05 19:32:35');
INSERT INTO `sys_fill_rule` VALUES ('1202787623203065858', '分类字典编码生成', 'category_code_rule', 'org.jeecg.modules.system.rule.CategoryCodeRule', '{\"pid\":\"\"}', 'admin', '2022-10-13 16:47:52', 'admin', '2019-12-06 11:11:31');
INSERT INTO `sys_fill_rule` VALUES ('1260134137920090113', '订单流水号', 'shop_order_num', 'org.jeecg.modules.online.cgform.rule.OrderNumberRule', '{}', 'admin', '2020-12-07 18:29:50', 'admin', '2020-05-12 17:06:05');

-- ----------------------------
-- Table structure for sys_form_file
-- ----------------------------
DROP TABLE IF EXISTS `sys_form_file`;
CREATE TABLE `sys_form_file`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `table_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '表名',
  `table_data_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '数据id',
  `file_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联文件id',
  `file_type` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件类型(text:文本, excel:excel doc:word ppt:ppt image:图片  archive:其他文档 video:视频 pdf:pdf）)',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_table_form`(`table_name`, `table_data_id`) USING BTREE,
  INDEX `index_file_id`(`file_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_form_file
-- ----------------------------
INSERT INTO `sys_form_file` VALUES ('1580814573635252225', 'sys_comment', '1580814573433925634', '1580814573568143361', 'image', 'admin', '2022-10-14 14:55:39');
INSERT INTO `sys_form_file` VALUES ('1584493984716906497', 'sys_comment', '1584493984364584961', '1584493984691740674', 'pdf', 'admin', '2022-10-24 18:36:19');
INSERT INTO `sys_form_file` VALUES ('1714455459928985602', 'sys_comment', '1714455459606024193', '1714455459928985601', 'image', 'admin', '2023-10-18 09:36:49');
INSERT INTO `sys_form_file` VALUES ('1800557956199825409', 'sys_comment', '1800557955415490562', '1800557956132716545', 'image', 'admin', '2024-06-11 23:57:24');
INSERT INTO `sys_form_file` VALUES ('1800558014597120003', 'sys_comment', '1800558013942808578', '1800558014597120002', 'image', 'admin', '2024-06-11 23:57:38');
INSERT INTO `sys_form_file` VALUES ('1805421721449791490', 'sys_comment', '1805421721126830082', '1805421721449791489', 'image', 'admin', '2024-06-25 10:04:16');

-- ----------------------------
-- Table structure for sys_gateway_route
-- ----------------------------
DROP TABLE IF EXISTS `sys_gateway_route`;
CREATE TABLE `sys_gateway_route`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `router_id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路由ID',
  `name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务名',
  `uri` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '服务地址',
  `predicates` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '断言',
  `filters` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '过滤器',
  `retryable` int(3) NULL DEFAULT NULL COMMENT '是否重试:0-否 1-是',
  `strip_prefix` int(3) NULL DEFAULT NULL COMMENT '是否忽略前缀0-否 1-是',
  `persistable` int(3) NULL DEFAULT NULL COMMENT '是否为保留数据:0-否 1-是',
  `show_api` int(3) NULL DEFAULT NULL COMMENT '是否在接口文档中展示:0-否 1-是',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态:0-无效 1-有效',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `del_flag` int(11) NULL DEFAULT NULL COMMENT '删除状态',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_gateway_route
-- ----------------------------
INSERT INTO `sys_gateway_route` VALUES ('1331051599401857026', 'jeecg-demo-websocket', 'jeecg-demo-websocket', 'lb:ws://jeecg-demo', '[{\"args\":[\"/vxeSocket/**\"],\"name\":\"Path\"}]', '[{\"args\":[{\"value\":\"#{@ipKeyResolver}\",\"key\":\"key-resolver\"},{\"value\":20,\"key\":\"redis-rate-limiter.replenishRate\"},{\"value\":20,\"key\":\"redis-rate-limiter.burstCapacity\"}],\"name\":\"RequestRateLimiter\",\"title\":\"限流过滤器\"}]', NULL, NULL, NULL, NULL, 1, 'admin', '2020-11-24 09:46:46', NULL, NULL, NULL, 0);
INSERT INTO `sys_gateway_route` VALUES ('1805444036892016641', 'jeecg-erp', 'jeecg-erp', 'lb://jeecg-erp', '[{\"args\":[\"/erp/**\"],\"name\":\"Path\"}]', '[]', NULL, NULL, NULL, NULL, 1, 'admin', '2024-06-25 11:32:57', NULL, NULL, NULL, 0);
INSERT INTO `sys_gateway_route` VALUES ('jeecg-cloud-websocket', 'jeecg-system-websocket', 'jeecg-system-websocket', 'lb:ws://jeecg-system', '[{\"args\":[\"/websocket/**\",\"/eoaSocket/**\",\"/newsWebsocket/**\",\"/dragChannelSocket/**\"],\"name\":\"Path\"}]', '[]', NULL, NULL, NULL, NULL, 1, 'admin', '2020-11-16 19:41:51', NULL, NULL, NULL, 0);
INSERT INTO `sys_gateway_route` VALUES ('jeecg-demo', 'jeecg-demo', 'jeecg-demo', 'lb://jeecg-demo', '[{\"args\":[\"/mock/**\",\"/bigscreen/template1/**\",\"/bigscreen/template2/**\",\"/test/**\",\"/hello/**\"],\"name\":\"Path\"}]', '[]', NULL, NULL, NULL, NULL, 1, 'admin', '2020-11-16 19:41:51', NULL, NULL, NULL, 0);
INSERT INTO `sys_gateway_route` VALUES ('jeecg-system', 'jeecg-system', 'jeecg-system', 'lb://jeecg-system', '[{\"args\":[\"/sys/**\",\"/online/**\",\"/bigscreen/**\",\"/jmreport/**\",\"/druid/**\",\"/generic/**\",\"/actuator/**\",\"/drag/**\",\"/oauth2/**\",\"/defa/**\",\"/demo/**\",\"/jimubi/**\"],\"name\":\"Path\"}]', '[]', NULL, NULL, NULL, NULL, 1, 'admin', '2020-11-16 19:41:51', NULL, NULL, NULL, 0);

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `log_type` int(3) NULL DEFAULT NULL COMMENT '日志类型（1登录日志，2操作日志, 3.租户操作日志）',
  `log_content` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '日志内容',
  `operate_type` int(2) NULL DEFAULT NULL COMMENT '操作类型',
  `userid` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作用户账号',
  `username` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作用户名称',
  `ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'IP',
  `method` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求java方法',
  `request_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求路径',
  `request_param` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请求参数',
  `request_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求类型',
  `cost_time` bigint(20) NULL DEFAULT NULL COMMENT '耗时',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户ID',
  `client_type` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端类型 pc:电脑端 app:手机端 h5:移动网页端',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sl_userid`(`userid`) USING BTREE,
  INDEX `idx_sl_log_type`(`log_type`) USING BTREE,
  INDEX `idx_sl_operate_type`(`operate_type`) USING BTREE,
  INDEX `idx_sl_create_time`(`create_time`) USING BTREE
) ENGINE = MyISAM CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_log
-- ----------------------------
INSERT INTO `sys_log` VALUES ('1765274565242236930', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 172, NULL, '2024-03-06 15:13:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765274564856360961', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 77, NULL, '2024-03-06 15:13:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765274564864749569', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 80, NULL, '2024-03-06 15:13:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765261071411286018', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 6, NULL, '2024-03-06 14:20:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765261064419381250', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2024-03-06 14:20:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765261064343883777', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 15, NULL, '2024-03-06 14:20:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765261064343883778', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 16, NULL, '2024-03-06 14:20:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765261007808860162', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"ccc1\":\"121\",\"aaa\":\"\",\"dep_id\":\"\",\"sex\":\"1\",\"pic\":\"temp/team_1709519859449.png\",\"dep_leader\":\"zhangsan\",\"update_time\":\"2024-03-06 14:19:55\",\"jeecg_row_key\":\"1737728721647525890\",\"name\":\"222222\",\"days\":4,\"id\":\"1737728721647525890\",\"aaa2\":\"\",\"update_by\":\"admin\"}]', NULL, 45, NULL, '2024-03-06 14:19:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765260989244870658', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 53, NULL, '2024-03-06 14:19:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765260997813833730', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 9, NULL, '2024-03-06 14:19:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765255983137525761', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-06 13:59:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765260989236482049', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 38, NULL, '2024-03-06 14:19:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765260989244870657', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-03-06 14:19:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764610612044488705', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-04 19:15:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764599738898567170', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-04 18:32:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764599763800150017', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-04 18:32:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764600926347972610', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-04 18:37:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480586137444353', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 121, NULL, '2024-03-04 10:38:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480585827065857', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2024-03-04 10:38:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480585827065858', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-03-04 10:38:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480575639101442', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"ccc1\":\"1112\",\"aaa\":\"\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"sex\":\"1\",\"pic\":\"temp/国奥村_1701854340680.jpg\",\"dep_leader\":\"zhangsan\",\"update_time\":\"2024-03-04 10:38:46\",\"jeecg_row_key\":\"1714472554162954241\",\"name\":\"叶淼\",\"days\":22,\"id\":\"1714472554162954241\",\"aaa2\":\"\",\"update_by\":\"admin\"}]', NULL, 60, NULL, '2024-03-04 10:38:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480542118223873', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 40, NULL, '2024-03-04 10:38:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480563572088833', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 43, NULL, '2024-03-04 10:38:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480274358050817', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 47, NULL, '2024-03-04 10:37:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480331362836482', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"ccc1\":\"\",\"aaa\":\"\",\"dep_id\":\"\",\"sex\":\"1\",\"pic\":\"temp/team_1709519859449.png\",\"dep_leader\":\"zhangsan\",\"update_time\":\"2024-03-04 10:37:48\",\"jeecg_row_key\":\"1737728721647525890\",\"name\":\"222222\",\"days\":4,\"id\":\"1737728721647525890\",\"aaa2\":\"\",\"update_by\":\"admin\"}]', NULL, 100, NULL, '2024-03-04 10:37:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480266317570049', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 241, NULL, '2024-03-04 10:37:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480266497925121', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 292, NULL, '2024-03-04 10:37:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764294217796628481', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-03 22:18:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1764480266317570050', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 245, NULL, '2024-03-04 10:37:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763396514573058049', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:51:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763397973754642434', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:56:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763398025826926593', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:57:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763396430045249537', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:50:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763396486622216194', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:50:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763396498525650946', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 10:51:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763376159489916930', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-01 09:30:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206513407279105', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:16:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206650980450305', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:16:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206700942999553', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:16:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763207043525361665', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:18:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206480461021186', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:15:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206268493479938', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:15:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206222674903041', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:14:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763206250109845506', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 22:15:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763161205566484482', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 19:16:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763148783384408066', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 18:26:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763138778388217857', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 17:46:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1763125451394105345', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-02-29 16:54:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1749670261320044546', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-23 13:47:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1749670217145634818', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-23 13:47:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1749670246757421057', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-23 13:47:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1748207822422376449', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-19 12:56:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1745641648526422018', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 49, NULL, '2024-01-12 10:59:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1745641656415907841', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 10, NULL, '2024-01-12 10:59:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1745641664091484162', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"ccc1\":\"\",\"aaa\":\"\",\"dep_id\":\"\",\"sex\":\"1\",\"pic\":\"\",\"dep_leader\":\"\",\"update_time\":\"2024-01-12 10:59:39\",\"jeecg_row_key\":\"1737728721647525890\",\"name\":\"222222\",\"days\":0,\"id\":\"1737728721647525890\",\"aaa2\":\"\",\"update_by\":\"admin\"}]', NULL, 45, NULL, '2024-01-12 10:59:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1745641648509644802', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-01-12 10:59:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1745641648509644803', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 43, NULL, '2024-01-12 10:59:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1744989810202492929', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-10 15:49:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1744982483978141697', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-10 15:20:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742921103749922818', 2, '修改角色ID: 1169504891467464705 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 22:49:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742921086834294785', 2, '修改角色ID: 1169504891467464705 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 22:49:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742920944924213250', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 22:48:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742791194788474881', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 14:12:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742785401838088193', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 13:49:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742787520670445569', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-04 13:58:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742380104636100609', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-03 10:59:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742380085824647170', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-03 10:59:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742379927158321153', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-01-03 10:58:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742187011299221505', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 119, NULL, '2024-01-02 22:12:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742187011085312003', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-01-02 22:12:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742187011085312002', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2024-01-02 22:12:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180235350867970', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 132, NULL, '2024-01-02 21:45:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180232754593794', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 41, NULL, '2024-01-02 21:45:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180232884617218', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 69, NULL, '2024-01-02 21:45:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180235283759105', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 114, NULL, '2024-01-02 21:45:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180235350867969', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 129, NULL, '2024-01-02 21:45:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180232754593793', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-01-02 21:45:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180223690702850', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 94, NULL, '2024-01-02 21:45:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180212353499137', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 191, NULL, '2024-01-02 21:45:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180204820529153', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-01-02 21:45:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180196306092035', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 148, NULL, '2024-01-02 21:45:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180196306092034', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 148, NULL, '2024-01-02 21:45:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180195848912898', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 245, NULL, '2024-01-02 21:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180195848912897', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 244, NULL, '2024-01-02 21:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180195463036929', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 602, NULL, '2024-01-02 21:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180195395928066', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 584, NULL, '2024-01-02 21:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180121844613122', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 133, NULL, '2024-01-02 21:44:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180133089542146', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 195, NULL, '2024-01-02 21:44:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180194154414081', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 343, NULL, '2024-01-02 21:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180118724050946', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 132, NULL, '2024-01-02 21:44:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180121718784001', 2, 'online列表加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 93, NULL, '2024-01-02 21:44:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180104236924931', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 532, NULL, '2024-01-02 21:44:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180111249801218', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 183, NULL, '2024-01-02 21:44:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180118589833217', 2, 'online列表加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 93, NULL, '2024-01-02 21:44:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180102483705858', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 119, NULL, '2024-01-02 21:44:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742180104236924930', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 541, NULL, '2024-01-02 21:44:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742179481999343617', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"aaa\":\"\",\"dep_leader\":\"\",\"ccc\":\"\",\"update_time\":\"2024-01-02 21:42:10\",\"dep_id\":\"\",\"jeecg_row_key\":\"1737728721647525890\",\"sex\":\"1\",\"name\":\"222\",\"days\":0,\"pic\":\"\",\"id\":\"1737728721647525890\",\"update_by\":\"admin\"}]', NULL, 219, NULL, '2024-01-02 21:42:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742179475858882561', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 71, NULL, '2024-01-02 21:42:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742179466438475778', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 261, NULL, '2024-01-02 21:42:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742179466438475777', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 269, NULL, '2024-01-02 21:42:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1742179466484613122', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 301, NULL, '2024-01-02 21:42:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741421469919604737', 2, '数据源表-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '[{\"dbDriver\":\"com.mysql.jdbc.Driver\",\"dbPassword\":\"11\",\"dbType\":\"MYSQL5.5\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jimureport?characterEncoding=UTF-8&useUnicode=true&useSSL=false\",\"dbUsername\":\"11\",\"id\":\"\",\"name\":\"11\"},null]', NULL, 4, NULL, '2023-12-31 19:30:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741421486772318210', 2, '数据源表-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '[{\"dbDriver\":\"com.mysql.jdbc.Driver\",\"dbPassword\":\"11\",\"dbType\":\"MYSQL5.5\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jimureport?characterEncoding=UTF-8&useUnicode=true&useSSL=false\",\"dbUsername\":\"11\",\"id\":\"\",\"name\":\"11\"},null]', NULL, 3, NULL, '2023-12-31 19:30:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741421444153995265', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 11, NULL, '2023-12-31 19:30:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741421417306255361', 2, '数据集主表-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetItemList\":[],\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"\",\"izAgent\":\"0\",\"name\":\"1\",\"parentId\":\"1516743332632494082\",\"querySql\":\"1111\"},null]', NULL, 5, NULL, '2023-12-31 19:29:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741383083536142337', 2, '删除用户，id： 1741382639346765825', 3, 'admin', '管理员1', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 16:57:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741421381835026434', 2, '数据集-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"874452378731991040\",\"izAgent\":\"0\",\"name\":\"查询系统日志\",\"parentId\":\"874452164751183872\",\"querySql\":\"select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')\"}]', NULL, 69, NULL, '2023-12-31 19:29:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741382750386769921', 1, '用户名: aa,登录成功！', NULL, 'aa', 'aa', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 16:56:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741349962652569602', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员1', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 14:45:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741350162645372929', 2, '数据源表-分页列表查询', 1, 'admin', '管理员1', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 11, NULL, '2023-12-31 14:46:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741382324794937346', 2, '修改角色ID: 1741382142900555777 的权限配置，操作人： admin', 2, 'admin', '管理员1', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 16:54:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741382639346765827', 2, '添加用户，username： aa', 2, 'admin', '管理员1', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 16:55:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741349942129840130', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 14:45:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741338625243336705', 2, '数据集-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"874452378731991040\",\"izAgent\":\"0\",\"name\":\"查询系统日志\",\"parentId\":\"874452164751183872\",\"querySql\":\"select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')\"}]', NULL, 57, NULL, '2023-12-31 14:00:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741338508918509569', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 8, NULL, '2023-12-31 14:00:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741338490157387778', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 6, NULL, '2023-12-31 14:00:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741338497782632449', 2, '数据源表-通过id查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.c()', NULL, '', NULL, 9, NULL, '2023-12-31 14:00:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741338508780097538', 2, '数据源表-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.b()', NULL, '[{\"dbDriver\":\"com.mysql.cj.jdbc.Driver\",\"dbPassword\":\"@JimuReportSMy3f94QGFM=\",\"dbType\":\"MYSQL5.7\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai\",\"dbUsername\":\"root\",\"id\":\"707437208002265088\",\"name\":\"MySQL5.7\",\"updateBy\":\"admin\",\"updateTime\":1704002427617},null]', NULL, 36, NULL, '2023-12-31 14:00:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1739532726837166081', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-26 14:24:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1739534935205343234', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-26 14:33:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741323995632578561', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 13:02:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1741324948129656834', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-31 13:06:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1739471097529335810', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-26 10:20:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1737728699979751425', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 207, NULL, '2023-12-21 14:56:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1737728722113093633', 2, 'online新增数据,表名:ceshi_note,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2023-12-21 14:56:27\",\"sex\":\"1\",\"name\":\"222\",\"id\":\"1737728721647525890\"},null]', NULL, 79, NULL, '2023-12-21 14:56:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1737728699979751426', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 207, NULL, '2023-12-21 14:56:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1737728602248273921', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-21 14:55:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1737728699853922306', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 176, NULL, '2023-12-21 14:56:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732666480925581314', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"aaa\":\"\",\"dep_leader\":\"\",\"ccc\":\"\",\"update_time\":\"2023-12-07 15:40:55\",\"dep_id\":\"\",\"jeecg_row_key\":\"1732331378735460354\",\"sex\":\"1\",\"name\":\"222\",\"days\":\"\",\"pic\":\"temp/国奥村_1701854959455.jpg\",\"id\":\"1732331378735460354\",\"update_by\":\"admin\"}]', NULL, 29, NULL, '2023-12-07 15:40:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732666464022536194', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 5, NULL, '2023-12-07 15:40:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732666456409874433', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 21, NULL, '2023-12-07 15:40:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732666456334376962', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-07 15:40:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732666456334376961', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-07 15:40:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665804719890433', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 32, NULL, '2023-12-07 15:38:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665804631810051', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2023-12-07 15:38:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665804631810050', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2023-12-07 15:38:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665240799911937', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"aaa\":\"\",\"dep_leader\":\"\",\"ccc\":\"\",\"update_time\":\"2023-12-07 15:35:59\",\"dep_id\":\"\",\"jeecg_row_key\":\"1732331378735460354\",\"sex\":\"\",\"name\":\"222\",\"days\":\"\",\"pic\":\"temp/国奥村_1701854959455.jpg\",\"id\":\"1732331378735460354\",\"update_by\":\"admin\"}]', NULL, 31, NULL, '2023-12-07 15:35:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665233078198273', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 12, NULL, '2023-12-07 15:35:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665220717584385', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 48, NULL, '2023-12-07 15:35:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665220583366657', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 14, NULL, '2023-12-07 15:35:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732665220574978050', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 12, NULL, '2023-12-07 15:35:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732663519973449730', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 167, NULL, '2023-12-07 15:29:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732592573963026433', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-07 10:47:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732663464545722370', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-07 15:28:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732663519558213634', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2023-12-07 15:29:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732663519562407938', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2023-12-07 15:29:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732592396304891905', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-07 10:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732592479305973761', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-07 10:46:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591913527918594', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 7, NULL, '2023-12-07 10:44:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591952367173634', 2, 'online修改数据,表名:test_v3_hello,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"9ab817fd4c2e4e7ba6652c4fa46af389\",{\"birthday\":\"2023-09-13\",\"cc\":\"\",\"aaa\":\"\",\"update_time\":\"2023-12-07 10:44:46\",\"jeecg_row_key\":\"1704384768789696513\",\"sex\":\"1\",\"name\":\"郭勇\",\"id\":\"1704384768789696513\",\"update_by\":\"admin\",\"age\":22,\"asdd\":\"\"}]', NULL, 32, NULL, '2023-12-07 10:44:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591859941490690', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2023-12-07 10:44:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591906779283458', 2, 'online修改数据,表名:test_v3_hello,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"9ab817fd4c2e4e7ba6652c4fa46af389\",{\"birthday\":\"2023-07-12\",\"cc\":\"\",\"aaa\":\"\",\"update_time\":\"2023-12-07 10:44:35\",\"jeecg_row_key\":\"1683074855849381889\",\"sex\":\"1\",\"name\":\"邵晨茜\",\"id\":\"1683074855849381889\",\"update_by\":\"admin\",\"age\":33,\"asdd\":\"\"}]', NULL, 75, NULL, '2023-12-07 10:44:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591853532594179', 2, 'online表单加载,表名:test_v3_hello,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 136, NULL, '2023-12-07 10:44:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591853532594177', 2, 'online列表加载,表名:test_v3_hello,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 135, NULL, '2023-12-07 10:44:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732591853532594178', 2, 'online表单加载,表名:test_v3_hello,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 139, NULL, '2023-12-07 10:44:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331378836123650', 2, 'online新增数据,表名:ceshi_note,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2023-12-06 17:29:20\",\"name\":\"222\",\"pic\":\"temp/国奥村_1701854959455.jpg\",\"id\":\"1732331378735460354\"},null]', NULL, 24, NULL, '2023-12-06 17:29:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331414600953858', 2, 'Online报表，sql解析：select * from demo where sex = \'${sex}\'', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-06 17:29:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331352009355265', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 33, NULL, '2023-12-06 17:29:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331352000966657', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 32, NULL, '2023-12-06 17:29:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331351996772353', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 31, NULL, '2023-12-06 17:29:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331308602503169', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-06 17:29:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331283449262082', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-06 17:28:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732331210409652225', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-06 17:28:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328791772639235', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2023-12-06 17:19:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328792007520257', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 60, NULL, '2023-12-06 17:19:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328791772639234', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2023-12-06 17:19:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328783958650881', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"dep_leader\":\"zhangsan\",\"ccc\":\"1112\",\"update_time\":\"2023-12-06 17:19:01\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"jeecg_row_key\":\"1714472554162954241\",\"sex\":\"1\",\"name\":\"叶淼1\",\"days\":22,\"pic\":\"temp/国奥村_1701854340680.jpg\",\"id\":\"1714472554162954241\",\"update_by\":\"admin\"}]', NULL, 54, NULL, '2023-12-06 17:19:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328760948699137', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 18, NULL, '2023-12-06 17:18:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328752052580353', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 176, NULL, '2023-12-06 17:18:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328751326965763', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 8, NULL, '2023-12-06 17:18:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732305375254417409', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-06 15:46:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732305375254417410', 2, 'online列表加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 12, NULL, '2023-12-06 15:46:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732305375254417411', 2, 'online列表加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2023-12-06 15:46:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732328751326965762', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 19, NULL, '2023-12-06 17:18:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732305375191502849', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-06 15:46:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302070763622402', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:32:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302070763622403', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:32:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302070763622404', 2, 'online列表加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2023-12-06 15:32:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302070763622405', 2, 'online列表加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2023-12-06 15:32:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302062559563778', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2023-12-06 15:32:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302062626672641', 2, 'online列表加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 10, NULL, '2023-12-06 15:32:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302065105506306', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:32:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302065168420865', 2, 'online列表加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2023-12-06 15:32:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302060017815555', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 17, NULL, '2023-12-06 15:32:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302049582387201', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 12, NULL, '2023-12-06 15:32:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302056746258434', 2, 'online列表加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 16, NULL, '2023-12-06 15:32:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302056809172994', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 25, NULL, '2023-12-06 15:32:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302060017815554', 2, 'online列表加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 9, NULL, '2023-12-06 15:32:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302025842626562', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2023-12-06 15:32:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302025909735425', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 27, NULL, '2023-12-06 15:32:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302049515278338', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2023-12-06 15:32:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302049515278339', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2023-12-06 15:32:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732302025842626561', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:32:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300571815841793', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2023-12-06 15:26:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300576131780610', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2023-12-06 15:26:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300576131780611', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 20, NULL, '2023-12-06 15:26:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300576131780612', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2023-12-06 15:26:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300571815841794', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2023-12-06 15:26:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300571559989249', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 15, NULL, '2023-12-06 15:26:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300538236243969', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2023-12-06 15:26:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300538173329412', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:26:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300537586126849', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-06 15:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300537779064834', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 53, NULL, '2023-12-06 15:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300538173329411', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:26:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300538173329410', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-12-06 15:26:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300537586126850', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-12-06 15:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300532427132931', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2023-12-06 15:26:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300532427132930', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2023-12-06 15:26:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300532494241794', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 26, NULL, '2023-12-06 15:26:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300521932984322', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 30, NULL, '2023-12-06 15:26:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300525779161089', 2, 'online修改数据,表名:test_order_main,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"56870166aba54ebfacb20ba6c770bd73\",{\"order_code\":\"CN2023072319214115\",\"descc\":\"111\",\"update_time\":\"2023-12-06 15:26:44\",\"xiala\":\"1,2\",\"id\":\"1683074969561157634\",\"update_by\":\"admin\",\"test_order_customer\":[{\"birthday\":\"2023-07-06\",\"address\":\"\",\"jeecg_row_key\":\"1683074969947033601\",\"sex\":\"1\",\"name\":\"于美欣\",\"id\":\"1683074969947033601\",\"order_id\":\"1683074969561157634\",\"age\":22,\"sys_org_code\":\"A01\",\"create_time\":\"2023-12-06 15:26:44\",\"create_by\":\"admin\"}]}]', NULL, 31, NULL, '2023-12-06 15:26:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300515473756161', 2, 'online新增数据,表名:test_order_product,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"deea5a8ec619460c9245ba85dbc59e80\",{\"create_by\":\"admin\",\"create_time\":\"2023-12-06 15:26:42\",\"price\":3,\"order_fk_id\":\"1683074969561157634\",\"num\":3,\"id\":\"1732300515406647298\",\"product_name\":\"3\"},null]', NULL, 27, NULL, '2023-12-06 15:26:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300492447027202', 2, 'online修改数据,表名:test_order_main,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"56870166aba54ebfacb20ba6c770bd73\",{\"order_code\":\"CN2023072319214115\",\"test_order_product\":[{\"descc\":\"\",\"jeecg_row_key\":\"1714472725034704898\",\"price\":50,\"order_fk_id\":\"1683074969561157634\",\"num\":100,\"pro_type\":\"1\",\"id\":\"1714472725034704898\",\"product_name\":\"办公椅子\",\"create_by\":\"admin\",\"create_time\":\"2023-12-06 15:26:36\"},{\"descc\":\"121\",\"jeecg_row_key\":\"1683074969716346881\",\"price\":5000,\"order_fk_id\":\"1683074969561157634\",\"num\":21,\"pro_type\":\"1\",\"id\":\"1683074969716346881\",\"product_name\":\"电脑\",\"create_by\":\"admin\",\"create_time\":\"2023-12-06 15:26:36\"}],\"descc\":\"111\",\"update_time\":\"2023-12-06 15:26:36\",\"xiala\":\"1,2\",\"id\":\"1683074969561157634\",\"update_by\":\"admin\",\"test_order_customer\":[{\"birthday\":\"2023-07-06\",\"address\":\"\",\"jeecg_row_key\":\"1683074969947033601\",\"sex\":\"1\",\"name\":\"于美欣\",\"id\":\"1683074969947033601\",\"order_id\":\"1683074969561157634\",\"age\":22,\"sys_org_code\":\"A01\",\"create_time\":\"2023-12-06 15:26:36\",\"create_by\":\"admin\"}]}]', NULL, 50, NULL, '2023-12-06 15:26:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300488022036482', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 32, NULL, '2023-12-06 15:26:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300480279351300', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 32, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300480279351298', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 28, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300480279351297', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 43, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300480279351299', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 48, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300479507599362', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 54, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300479377575939', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300479377575938', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 8, NULL, '2023-12-06 15:26:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300459731456001', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"dep_leader\":\"zhangsan\",\"ccc\":\"1112\",\"update_time\":\"2023-12-06 15:26:28\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"jeecg_row_key\":\"1714472554162954241\",\"sex\":\"1\",\"name\":\"叶淼1\",\"days\":22,\"pic\":\"temp/20180607175028Fn1Lq7zw_1697597070467.png\",\"id\":\"1714472554162954241\",\"update_by\":\"admin\"}]', NULL, 46, NULL, '2023-12-06 15:26:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300453972676609', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 10, NULL, '2023-12-06 15:26:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300436977356802', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2023-12-06 15:26:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300436843139075', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 10, NULL, '2023-12-06 15:26:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732300436843139074', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 10, NULL, '2023-12-06 15:26:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732298749600468993', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 43, NULL, '2023-12-06 15:19:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732298749537554435', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2023-12-06 15:19:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732298749537554434', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2023-12-06 15:19:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732294035789975553', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 113, NULL, '2023-12-06 15:00:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732294035781586946', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 102, NULL, '2023-12-06 15:00:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732293908710952962', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-12-06 15:00:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1732294035714478081', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 108, NULL, '2023-12-06 15:00:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1722094282741587969', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-08 11:30:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1722094262676037634', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-08 11:30:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721181044248137730', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 23:01:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1722094082241273857', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-08 11:29:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721013423670259713', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:55:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721013408298135553', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:55:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721013021306482690', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:54:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721013397200007169', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:55:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721008520356917249', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:36:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721004072641486849', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:18:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721005802536005634', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:25:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721005820508598273', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:25:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721006015766032386', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:26:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721004057953034241', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:18:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721004043549794305', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:18:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721003738758111234', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:17:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1721004020653088770', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 11:18:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720998875202560001', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:58:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720998554405412866', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:56:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720994664041652226', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:41:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720994807893696514', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:41:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720994574929469441', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:40:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720994266564239361', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:39:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993736798478337', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:37:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993818109255681', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:37:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993490471198721', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:36:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993280974102529', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:35:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993436607946754', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:36:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993250598952962', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:35:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720993231716196353', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:35:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992438371983361', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:32:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992553371410434', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:32:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992566050791425', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:32:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992583218077697', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:33:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992408676311042', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:32:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992200659804162', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:31:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992100957003777', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:31:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992065498357761', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:30:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720992084410474497', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:31:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720991990818775041', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:30:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720991890298085378', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:30:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720991963014733825', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:30:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1720991864784134145', 1, '用户名: JEECG用户,退出成功！', NULL, 'jeecg', 'JEECG用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-11-05 10:30:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1718891249517858818', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-30 15:23:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714519541486919681', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 13:51:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714519576865873922', 2, '编辑用户，username： jeecg', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 13:51:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714519466954137601', 1, '用户名: 测试用户,退出成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 13:51:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714519497237012481', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 13:51:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714519523791151105', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 13:51:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492870876667905', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@760f3fdd', NULL, 91, NULL, '2023-10-18 12:05:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492675870892034', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1256485574212153345,1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7b1bcb6f', NULL, 19, NULL, '2023-10-18 12:04:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492667058659329', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@1b1062b7', NULL, 14, NULL, '2023-10-18 12:04:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492569503342594', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@4d7065c', NULL, 32, NULL, '2023-10-18 12:04:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492521268846593', 2, '编码校验规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6268e5d0', NULL, 29, NULL, '2023-10-18 12:04:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492518014066689', 2, '填值规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@18fccdf8', NULL, 27, NULL, '2023-10-18 12:04:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492490356826114', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@299f17b7', NULL, 16, NULL, '2023-10-18 12:03:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492473608970242', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@68988c11', NULL, 17, NULL, '2023-10-18 12:03:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492046691737601', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@41202f69', NULL, 14, NULL, '2023-10-18 12:02:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714492035706855425', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6d2d8c1b', NULL, 28, NULL, '2023-10-18 12:02:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485339815120897', 1, '用户名: ceshi,登录成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:35:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485508992372737', 1, '用户名: 测试用户,退出成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:36:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485535642980354', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:36:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485613472485377', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:36:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485647547011074', 1, '用户名: ceshi,登录成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:36:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485710713229314', 2, '修改密码，username： ceshi', 2, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:37:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714485247775313922', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:35:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714483718020370433', 1, '用户名: 测试用户,退出成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:29:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714483737649713153', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 11:29:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474600685510657', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@8cfbc0b', NULL, 5, NULL, '2023-10-18 10:52:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474575125422081', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3756b8cd', NULL, 2, NULL, '2023-10-18 10:52:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474561573625857', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@5acff11e', NULL, 7, NULL, '2023-10-18 10:52:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474522998611970', 2, '编码校验规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3530bf31', NULL, 8, NULL, '2023-10-18 10:52:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474520003878914', 2, '填值规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@5d7db9d4', NULL, 4, NULL, '2023-10-18 10:52:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474380509716481', 2, '编码校验规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@502931b3', NULL, 10, NULL, '2023-10-18 10:52:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714474371965919234', 2, '填值规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@888125b', NULL, 5, NULL, '2023-10-18 10:51:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714473898982645761', 2, '数据集-编辑', 1, 'ceshi', '测试用户', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"874452378731991040\",\"izAgent\":\"0\",\"name\":\"查询系统日志\",\"parentId\":\"874452164751183872\",\"querySql\":\"select DATE_FORMAT(create_time,  \'%Y-%m-%d\') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, \'%Y-%m-%d\')\"}]', NULL, 43, NULL, '2023-10-18 10:50:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714473577833177089', 2, '数据源表-分页列表查询', 1, 'ceshi', '测试用户', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 5, NULL, '2023-10-18 10:48:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714473472694558721', 2, '数据集主表-添加', 1, 'ceshi', '测试用户', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"\",\"izAgent\":\"0\",\"name\":\"查询系统日志\",\"parentId\":\"874452164751183872\",\"querySql\":\"select * from sys_log\"},null]', NULL, 89, NULL, '2023-10-18 10:48:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714473281354604545', 2, '数据源表-分页列表查询', 1, 'ceshi', '测试用户', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 9, NULL, '2023-10-18 10:47:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714473258520813570', 2, '数据集分组-添加', 1, 'ceshi', '测试用户', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"createBy\":\"ceshi\",\"createTime\":1697597252838,\"id\":\"874452164751183872\",\"name\":\"日志统计\"}]', NULL, 31, NULL, '2023-10-18 10:47:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472989737230337', 2, '填值规则-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@4c232a0a', NULL, 8, NULL, '2023-10-18 10:46:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472941003612161', 2, 'Online报表，sql解析：select * from sys_log', 2, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:46:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472900151091203', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2023-10-18 10:46:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472900218200066', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 20, NULL, '2023-10-18 10:46:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472900151091202', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:46:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472895650603011', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 12, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472895650603010', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472893171769347', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472895650603009', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472891217223683', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472893171769346', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472893171769345', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-10-18 10:46:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472891217223682', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472891217223681', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472889648553986', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 16, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472889648553987', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 14, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472871122313218', 2, 'online表单数据查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2023-10-18 10:46:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472889648553985', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 13, NULL, '2023-10-18 10:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472784598016002', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2023-10-18 10:45:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472790700728321', 2, 'online表单数据查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 24, NULL, '2023-10-18 10:45:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472861135675393', 2, 'online修改数据,表名:test_order_main,修改成功！', 3, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"56870166aba54ebfacb20ba6c770bd73\",{\"order_code\":\"CN2023072319214115\",\"test_order_product\":[{\"create_by\":\"ceshi\",\"update_time\":\"\",\"descc\":\"121\",\"jeecg_row_key\":\"1683074969716346881\",\"create_time\":\"2023-10-18 10:45:58\",\"order_fk_id\":\"1683074969561157634\",\"price\":5000,\"num\":21,\"pro_type\":\"1\",\"id\":\"1683074969716346881\",\"update_by\":\"\",\"product_name\":\"电脑\"},{\"create_by\":\"ceshi\",\"update_time\":\"\",\"descc\":\"\",\"jeecg_row_key\":\"1714472725034704898\",\"create_time\":\"2023-10-18 10:45:25\",\"order_fk_id\":\"1683074969561157634\",\"price\":50,\"num\":100,\"pro_type\":\"1\",\"id\":\"1714472725034704898\",\"update_by\":\"\",\"product_name\":\"办公椅子\"}],\"descc\":\"111\",\"update_time\":\"2023-10-18 10:45:58\",\"xiala\":\"1,2\",\"id\":\"1683074969561157634\",\"update_by\":\"ceshi\",\"test_order_customer\":[{\"birthday\":\"2023-07-06\",\"address\":\"\",\"create_time\":\"2023-10-18 10:45:58\",\"sex\":\"1\",\"create_by\":\"ceshi\",\"update_time\":\"\",\"jeecg_row_key\":\"1683074969947033601\",\"name\":\"于美欣\",\"id\":\"1683074969947033601\",\"update_by\":\"\",\"order_id\":\"1683074969561157634\",\"age\":22}]}]', NULL, 38, NULL, '2023-10-18 10:45:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472784400883713', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2023-10-18 10:45:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472784598016001', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2023-10-18 10:45:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472735021342723', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472735021342722', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472734635466754', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2023-10-18 10:45:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472734635466755', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2023-10-18 10:45:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472734698381314', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 30, NULL, '2023-10-18 10:45:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472732156633089', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472732219547650', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 22, NULL, '2023-10-18 10:45:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472732156633090', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472725164728322', 2, 'online新增数据,表名:test_order_product,添加成功!', 2, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"deea5a8ec619460c9245ba85dbc59e80\",{\"create_by\":\"ceshi\",\"create_time\":\"2023-10-18 10:45:25\",\"price\":50,\"order_fk_id\":\"1683074969561157634\",\"num\":100,\"pro_type\":\"1\",\"id\":\"1714472725034704898\",\"product_name\":\"办公椅子\"},null]', NULL, 32, NULL, '2023-10-18 10:45:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472658110390275', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472658110390274', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 3, NULL, '2023-10-18 10:45:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472655497338882', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2023-10-18 10:45:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472655497338883', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 44, NULL, '2023-10-18 10:45:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472640607559681', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 18, NULL, '2023-10-18 10:45:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472640607559682', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 17, NULL, '2023-10-18 10:45:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472640284598273', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 47, NULL, '2023-10-18 10:45:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472640284598274', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 47, NULL, '2023-10-18 10:45:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472625638088706', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-10-18 10:45:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472625763917825', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2023-10-18 10:45:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472640154574850', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 31, NULL, '2023-10-18 10:45:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472625638088707', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2023-10-18 10:45:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472621720608771', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 26, NULL, '2023-10-18 10:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472621720608770', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2023-10-18 10:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472621720608769', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2023-10-18 10:45:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472613277474817', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"dep_leader\":\"zhangsan\",\"ccc\":\"1112\",\"update_time\":\"2023-10-18 10:44:59\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"jeecg_row_key\":\"1714472554162954241\",\"sex\":\"1\",\"name\":\"叶淼1\",\"days\":22,\"pic\":\"temp/20180607175028Fn1Lq7zw_1697597070467.png\",\"id\":\"1714472554162954241\",\"update_by\":\"ceshi\"}]', NULL, 39, NULL, '2023-10-18 10:44:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472602661691393', 2, 'online表单数据查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 5, NULL, '2023-10-18 10:44:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472594000453634', 2, 'online表单数据查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 19, NULL, '2023-10-18 10:44:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472563440754690', 2, 'online表单数据查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 18, NULL, '2023-10-18 10:44:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472554297171970', 2, 'online新增数据,表名:ceshi_note,添加成功!', 2, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"create_by\":\"ceshi\",\"dep_leader\":\"zhangsan\",\"ccc\":\"1112\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"create_time\":\"2023-10-18 10:44:44\",\"sex\":\"1\",\"name\":\"叶淼\",\"days\":22,\"pic\":\"temp/20180607175028Fn1Lq7zw_1697597070467.png\",\"id\":\"1714472554162954241\"},null]', NULL, 38, NULL, '2023-10-18 10:44:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472458230833155', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2023-10-18 10:44:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471618694750209', 1, '用户名: ceshi,登录成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:41:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472458230833153', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 34, NULL, '2023-10-18 10:44:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714472458230833154', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2023-10-18 10:44:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471585266147330', 1, '用户登录失败，用户不存在！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:40:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471538273165314', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:40:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471524230635522', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:40:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471376884736002', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:40:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471372459745281', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6e8da315', NULL, 6, NULL, '2023-10-18 10:40:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471361453891585', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@2c5994dd', NULL, 8, NULL, '2023-10-18 10:40:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471334299967489', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@67612f9c', NULL, 8, NULL, '2023-10-18 10:39:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471310862196738', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@27208370', NULL, 14, NULL, '2023-10-18 10:39:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471285146918914', 2, '添加用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:39:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714469500021776386', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-18 10:32:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714471149012393985', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@444f7b6d', NULL, 34, NULL, '2023-10-18 10:39:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714462931947327489', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 505, NULL, '2023-10-18 10:06:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714462930143776769', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2023-10-18 10:06:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714462930143776770', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2023-10-18 10:06:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455483341590529', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 7, NULL, '2023-10-18 09:36:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455425359532034', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 12, NULL, '2023-10-18 09:36:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455476907528193', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"31cf57ac0ce04a34aff6aa15867d6d95\",{\"birthday\":\"2023-03-30\",\"aaa\":\"\",\"pop_cc\":\"龙建林\",\"ccc\":\"2\",\"dep_id\":\"c6d7cb4deeac411cb3384b1b31278596\",\"sex\":\"1\",\"remark\":\"sd\",\"pic\":\"temp/lowcodemin2_1667033196391.jpg\",\"salary\":22,\"xia_time\":\"2023-04-19 05:04:04\",\"accc\":\"<p>asdfafd</p>\",\"update_time\":\"2023-10-18 09:36:53\",\"jeecg_row_key\":\"1586278360710615042\",\"user_id\":\"zhangsan\",\"kai_guan\":\"Y\",\"log_txt\":\"afad\",\"name\":\"单表示例\",\"file2\":\"temp/lowcode22_1667033194717.jpg\",\"shengshiqu\":\"120105\",\"id\":\"1586278360710615042\",\"daa_type\":\"1590548229606047745\",\"update_by\":\"admin\",\"age\":333}]', NULL, 52, NULL, '2023-10-18 09:36:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455418661228546', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2023-10-18 09:36:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455418795446273', 2, 'online列表加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 75, NULL, '2023-10-18 09:36:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714282044836270081', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 22:07:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714282074825543682', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 22:07:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714455418661228545', 2, 'online表单加载,表名:ceshi_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2023-10-18 09:36:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714215697288675330', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@436da9f5', NULL, 7, NULL, '2023-10-17 17:44:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213917616214018', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:37:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714215494145949699', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:43:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714215693367001089', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@2d95e65', NULL, 8, NULL, '2023-10-17 17:44:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213890630062082', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:36:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213901996625922', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:36:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213714112778241', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:36:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213875362795522', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@1f16e6c4', NULL, 33, NULL, '2023-10-17 17:36:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213549805113345', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:35:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213591760736258', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:35:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714213636736258050', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:35:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211604788912130', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6b8c93f4', NULL, 13, NULL, '2023-10-17 17:27:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211348684709889', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:26:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211366627942401', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:26:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211594852605954', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@20f6aa46', NULL, 21, NULL, '2023-10-17 17:27:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211329973919746', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@57e23ba8', NULL, 19, NULL, '2023-10-17 17:26:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211311493816321', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@2d60e68b', NULL, 26, NULL, '2023-10-17 17:26:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211291533123586', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:26:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211299737182209', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@57a785b1', NULL, 23, NULL, '2023-10-17 17:26:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211268913242113', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@4a540077', NULL, 26, NULL, '2023-10-17 17:26:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211262470791170', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6bcd58ee', NULL, 19, NULL, '2023-10-17 17:26:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211242824671233', 2, '编辑用户，username： jeecg', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:26:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211251561406466', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@44410875', NULL, 25, NULL, '2023-10-17 17:26:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714210647933952002', 1, '用户名: admin,退出成功！', NULL, 'admin', 'admin', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:24:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714210670486724610', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:24:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714211083638251521', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=0)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@1c29e5f5', NULL, 53, NULL, '2023-10-17 17:25:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1713525410954444801', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-15 20:01:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714177406610960385', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 15:11:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714188629536665602', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 15:56:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714190936009601026', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 16:05:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1714210634021445633', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', 'admin', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-10-17 17:23:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705487670979534849', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@48209359', NULL, 27, NULL, '2023-09-23 15:42:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705487320134393858', 2, 'Online报表，sql解析：select * from sys_log', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-23 15:40:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486805170331649', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@6e8c60ce', NULL, 31, NULL, '2023-09-23 15:38:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486793115901953', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7ef76b36', NULL, 31, NULL, '2023-09-23 15:38:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486784035233793', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@70705a9d', NULL, 38, NULL, '2023-09-23 15:38:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486769485193218', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@5116e1c5', NULL, 25, NULL, '2023-09-23 15:38:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486655601451009', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@4d6dd0d1', NULL, 41, NULL, '2023-09-23 15:38:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705220415330967554', 2, '删除用户，id： 1705220398465671170', 3, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-22 22:00:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705486359768801282', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@34d61f58', NULL, 48, NULL, '2023-09-23 15:36:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705220398595694593', 2, '添加用户，username： 123', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-22 21:59:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705220251233017857', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@687cfb6b', NULL, 11, NULL, '2023-09-22 21:59:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670734070779906', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 6, NULL, '2023-09-21 09:35:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670778513625089', 2, '数据集分组-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1695260159478,\"id\":\"864649684727169024\",\"name\":\"222\"}]', NULL, 47, NULL, '2023-09-21 09:36:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1705220193808801794', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-22 21:59:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670733940756482', 2, '数据源表-通过id删除', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 20, NULL, '2023-09-21 09:35:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670708963676161', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 8, NULL, '2023-09-21 09:35:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670708699435010', 2, '数据源表-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '[{\"connectTimes\":0,\"createBy\":\"admin\",\"createTime\":1695260142817,\"dbDriver\":\"com.mysql.jdbc.Driver\",\"dbPassword\":\"@JimuReportSMy3f94QGFM=\",\"dbType\":\"MYSQL5.5\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jimureport?characterEncoding=UTF-8&useUnicode=true&useSSL=false\",\"dbUsername\":\"root\",\"id\":\"864649614879424512\",\"name\":\"1\",\"type\":\"drag\"},null]', NULL, 63, NULL, '2023-09-21 09:35:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704670627631927298', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 22, NULL, '2023-09-21 09:35:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704384728536961026', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 159, NULL, '2023-09-20 14:39:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704384769137823746', 2, 'online新增数据,表名:test_v3_hello,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"9ab817fd4c2e4e7ba6652c4fa46af389\",{\"birthday\":\"2023-09-13\",\"create_by\":\"admin\",\"create_time\":\"2023-09-20 14:39:29\",\"sys_org_code\":\"A01\",\"sex\":\"1\",\"name\":\"22\",\"rel_user\":\"1580543046964621313\",\"id\":\"1704384768789696513\",\"age\":22,\"rel_filed\":\"22\"},null]', NULL, 81, NULL, '2023-09-20 14:39:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704384777484488705', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 30, NULL, '2023-09-20 14:39:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704384783759167489', 2, 'online修改数据,表名:test_v3_hello,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"9ab817fd4c2e4e7ba6652c4fa46af389\",{\"birthday\":\"2023-09-13\",\"cc\":\"\",\"rel_user_dictText\":\"zhangsan\",\"update_time\":\"2023-09-20 14:39:33\",\"jeecg_row_key\":\"1704384768789696513\",\"sex\":\"1\",\"name\":\"22\",\"rel_user\":\"1580543046964621313\",\"id\":\"1704384768789696513\",\"update_by\":\"admin\",\"age\":22,\"rel_filed\":\"22\"}]', NULL, 47, NULL, '2023-09-20 14:39:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704483939651670018', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-20 21:13:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704492335817793537', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2023-09-20 21:46:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704493689898508289', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@44ce6b23', NULL, 57, NULL, '2023-09-20 21:52:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1704493701705474050', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@71284a4c', NULL, 24, NULL, '2023-09-20 21:52:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765274571235897345', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 39, NULL, '2024-03-06 15:13:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765274576390696961', 2, 'online修改数据,表名:ceshi_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"15ef0c6504e04a83b0b52f5705669d50\",{\"ccc1\":\"121\",\"aaa\":\"\",\"dep_id\":\"\",\"sex\":\"1\",\"pic\":\"temp/team_1709519859449.png\",\"dep_leader\":\"zhangsan\",\"update_time\":\"2024-03-06 15:13:50\",\"jeecg_row_key\":\"1737728721647525890\",\"name\":\"222222\",\"days\":4,\"id\":\"1737728721647525890\",\"aaa2\":\"\",\"update_by\":\"admin\"}]', NULL, 85, NULL, '2024-03-06 15:13:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765275657413832706', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-06 15:18:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765276463546478593', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-06 15:21:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765276566730551297', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-06 15:21:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283143214673921', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 95, NULL, '2024-03-06 15:47:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283143369863170', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 129, NULL, '2024-03-06 15:47:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283143374057474', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 130, NULL, '2024-03-06 15:47:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283197291835394', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"create_by\":\"admin\",\"ccc\":\"22\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:48:06\",\"sex\":\"1\",\"name\":\"赵若萌\",\"id\":\"1765283197052760065\",\"salary\":2000},null]', NULL, 56, NULL, '2024-03-06 15:48:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283202589241346', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 40, NULL, '2024-03-06 15:48:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283225620164609', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"221\",\"update_time\":\"2024-03-06 15:48:12\",\"jeecg_row_key\":\"1765283197052760065\",\"sex\":\"1\",\"name\":\"赵若萌1\",\"id\":\"1765283197052760065\",\"salary\":2001,\"update_by\":\"admin\"}]', NULL, 52, NULL, '2024-03-06 15:48:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283235405475841', 2, 'online删除数据,表名:ceshi_aaa,删除成功!', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 57, NULL, '2024-03-06 15:48:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283249502531585', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 41, NULL, '2024-03-06 15:48:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283249502531586', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 43, NULL, '2024-03-06 15:48:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283249632555010', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 73, NULL, '2024-03-06 15:48:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283288014630915', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2024-03-06 15:48:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283288014630914', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2024-03-06 15:48:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283288153042946', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 68, NULL, '2024-03-06 15:48:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283298806575106', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:48:30\",\"name\":\"1\",\"id\":\"1765283298601054209\"},null]', NULL, 49, NULL, '2024-03-06 15:48:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283308231176193', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:48:32\",\"name\":\"2\",\"id\":\"1765283308075986946\"},null]', NULL, 38, NULL, '2024-03-06 15:48:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283550691307522', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2024-03-06 15:49:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283550691307521', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2024-03-06 15:49:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283550829719554', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 69, NULL, '2024-03-06 15:49:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283558203305986', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2024-03-06 15:49:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283584426094593', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"222\",\"update_time\":\"2024-03-06 15:49:38\",\"jeecg_row_key\":\"1765283308075986946\",\"sex\":\"1\",\"name\":\"2\",\"id\":\"1765283308075986946\",\"salary\":12,\"update_by\":\"admin\"}]', NULL, 41, NULL, '2024-03-06 15:49:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283588985303041', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 15:49:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765283614595723266', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-22\",\"ccc\":\"333\",\"update_time\":\"2024-03-06 15:49:45\",\"jeecg_row_key\":\"1765283298601054209\",\"sex\":\"2\",\"name\":\"1\",\"id\":\"1765283298601054209\",\"salary\":22233,\"update_by\":\"admin\"}]', NULL, 55, NULL, '2024-03-06 15:49:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284070692728834', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-03-06 15:51:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284070692728833', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-03-06 15:51:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284070839529474', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 84, NULL, '2024-03-06 15:51:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284099524374530', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:51:41\",\"sex\":\"1\",\"name\":\"222\",\"id\":\"1765284099323047937\"},null]', NULL, 48, NULL, '2024-03-06 15:51:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284118335827970', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:51:45\",\"sex\":\"1\",\"name\":\"222\",\"id\":\"1765284118147084290\"},null]', NULL, 46, NULL, '2024-03-06 15:51:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765284135725412353', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-06 15:51:49\",\"sex\":\"1\",\"name\":\"22233\",\"id\":\"1765284135519891458\"},null]', NULL, 49, NULL, '2024-03-06 15:51:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765285775719247874', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 23, NULL, '2024-03-06 15:58:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286054065844226', 2, '数据集主表-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"\",\"izAgent\":\"0\",\"name\":\"cc1\",\"parentId\":\"864649684727169024\",\"querySql\":\"select * from ceshi_aaa\"},null]', NULL, 80, NULL, '2024-03-06 15:59:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286532686262274', 2, '数据集-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"925264960069664768\",\"izAgent\":\"0\",\"name\":\"cc1\",\"parentId\":\"864649684727169024\",\"querySql\":\"SELECT sex, COUNT(*) as count\\nFROM ceshi_aaa\\nGROUP BY sex;\"}]', NULL, 36, NULL, '2024-03-06 16:01:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286633999675393', 2, '数据集-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"925264960069664768\",\"izAgent\":\"0\",\"name\":\"cc1\",\"parentId\":\"864649684727169024\",\"querySql\":\"SELECT sex, COUNT(*) as count\\nFROM ceshi_aaa\\nGROUP BY sex;\"}]', NULL, 34, NULL, '2024-03-06 16:01:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286736953061379', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-03-06 16:02:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286736953061378', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-03-06 16:02:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286737120833537', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 78, NULL, '2024-03-06 16:02:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286744418922497', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 16:02:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286803978039298', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:02:26\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"id\":\"1765284135519891458\",\"salary\":1000,\"update_by\":\"admin\"}]', NULL, 60, NULL, '2024-03-06 16:02:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286809590018050', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 31, NULL, '2024-03-06 16:02:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286825532567554', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:02:31\",\"jeecg_row_key\":\"1765284118147084290\",\"sex\":\"1\",\"name\":\"蔡瑾春\",\"id\":\"1765284118147084290\",\"salary\":0,\"update_by\":\"admin\"}]', NULL, 48, NULL, '2024-03-06 16:02:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286830909665281', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 16:02:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286848752234497', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:02:36\",\"jeecg_row_key\":\"1765284099323047937\",\"sex\":\"1\",\"name\":\"丁益帆\",\"id\":\"1765284099323047937\",\"salary\":0,\"update_by\":\"admin\"}]', NULL, 60, NULL, '2024-03-06 16:02:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286854443905025', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-03-06 16:02:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286871737020418', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"222\",\"update_time\":\"2024-03-06 16:02:42\",\"jeecg_row_key\":\"1765283308075986946\",\"sex\":\"1\",\"name\":\"萧晨茜\",\"id\":\"1765283308075986946\",\"salary\":12,\"update_by\":\"admin\"}]', NULL, 54, NULL, '2024-03-06 16:02:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286875960684546', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 32, NULL, '2024-03-06 16:02:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286892972781569', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-22\",\"ccc\":\"333\",\"update_time\":\"2024-03-06 16:02:47\",\"jeecg_row_key\":\"1765283298601054209\",\"sex\":\"2\",\"name\":\"傅强\",\"id\":\"1765283298601054209\",\"salary\":22233,\"update_by\":\"admin\"}]', NULL, 53, NULL, '2024-03-06 16:02:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286910811156481', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 16:02:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286928624365570', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-22\",\"ccc\":\"333\",\"update_time\":\"2024-03-06 16:02:55\",\"jeecg_row_key\":\"1765283298601054209\",\"sex\":\"2\",\"name\":\"傅强\",\"id\":\"1765283298601054209\",\"salary\":2000,\"update_by\":\"admin\"}]', NULL, 41, NULL, '2024-03-06 16:02:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286935742099457', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 26, NULL, '2024-03-06 16:02:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286948446646274', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:03:00\",\"jeecg_row_key\":\"1765284118147084290\",\"sex\":\"1\",\"name\":\"蔡瑾春\",\"id\":\"1765284118147084290\",\"salary\":500,\"update_by\":\"admin\"}]', NULL, 58, NULL, '2024-03-06 16:03:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286954989760513', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2024-03-06 16:03:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286968235372546', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:03:05\",\"jeecg_row_key\":\"1765284099323047937\",\"sex\":\"1\",\"name\":\"丁益帆\",\"id\":\"1765284099323047937\",\"salary\":800,\"update_by\":\"admin\"}]', NULL, 53, NULL, '2024-03-06 16:03:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286974094815233', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2024-03-06 16:03:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765286986564481026', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"222\",\"update_time\":\"2024-03-06 16:03:09\",\"jeecg_row_key\":\"1765283308075986946\",\"sex\":\"1\",\"name\":\"萧晨茜\",\"id\":\"1765283308075986946\",\"salary\":1000,\"update_by\":\"admin\"}]', NULL, 54, NULL, '2024-03-06 16:03:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287183508025346', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 99, NULL, '2024-03-06 16:03:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287183629660162', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 130, NULL, '2024-03-06 16:03:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287183629660163', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 130, NULL, '2024-03-06 16:03:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287191003246594', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 16:03:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287206253735937', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:04:02\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"id\":\"1765284135519891458\",\"salary\":1000.003,\"update_by\":\"admin\"}]', NULL, 47, NULL, '2024-03-06 16:04:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287212482277377', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-03-06 16:04:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287237069287425', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:04:09\",\"jeecg_row_key\":\"1765284118147084290\",\"sex\":\"1\",\"name\":\"蔡瑾春\",\"id\":\"1765284118147084290\",\"salary\":500.011,\"update_by\":\"admin\"}]', NULL, 52, NULL, '2024-03-06 16:04:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287241938874370', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-03-06 16:04:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287254999937025', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"222\",\"update_time\":\"2024-03-06 16:04:13\",\"jeecg_row_key\":\"1765283308075986946\",\"sex\":\"1\",\"name\":\"萧晨茜\",\"id\":\"1765283308075986946\",\"salary\":1000.009,\"update_by\":\"admin\"}]', NULL, 43, NULL, '2024-03-06 16:04:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287261811486721', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 33, NULL, '2024-03-06 16:04:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287280618745857', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-06 16:04:19\",\"jeecg_row_key\":\"1765284099323047937\",\"sex\":\"1\",\"name\":\"丁益帆\",\"id\":\"1765284099323047937\",\"salary\":800.1,\"update_by\":\"admin\"}]', NULL, 54, NULL, '2024-03-06 16:04:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287391088324609', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-03-06 16:04:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287391088324610', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-03-06 16:04:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765287391218348034', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 67, NULL, '2024-03-06 16:04:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765288014470950914', 2, '数据集分组-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.b()', NULL, '[{\"id\":\"864649684727169024\",\"name\":\"cc1测试\",\"updateBy\":\"admin\",\"updateTime\":1709712434748}]', NULL, 25, NULL, '2024-03-06 16:07:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765288056028114946', 2, '数据集分组-添加', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.b()', NULL, '[{\"id\":\"864649684727169024\",\"name\":\"cc1分组\",\"updateBy\":\"admin\",\"updateTime\":1709712444671}]', NULL, 13, NULL, '2024-03-06 16:07:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765288112613470209', 2, '数据集-编辑', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"925264960069664768\",\"izAgent\":\"0\",\"name\":\"cc1请假性别汇总\",\"parentId\":\"864649684727169024\",\"querySql\":\"SELECT sex, COUNT(*) as count\\nFROM ceshi_aaa\\nGROUP BY sex;\"}]', NULL, 15, NULL, '2024-03-06 16:07:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765310399672700929', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-06 17:36:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765747015776165890', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-07 22:31:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765766883267268610', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-07 23:50:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1765768328918028290', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-07 23:55:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1768567151432196098', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-15 17:17:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1768567178430930946', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-15 17:17:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1768567194797105153', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-15 17:17:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769547403600060417', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-18 10:12:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769603950283816962', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-18 13:57:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769604092382642178', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 129, NULL, '2024-03-18 13:57:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769604092521054210', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 165, NULL, '2024-03-18 13:57:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769604092521054209', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 165, NULL, '2024-03-18 13:57:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605794481516545', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 205, NULL, '2024-03-18 14:04:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605801691525121', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-18 14:04:35\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"id\":\"1765284135519891458\",\"salary\":1000.003,\"update_by\":\"admin\"}]', NULL, 111, NULL, '2024-03-18 14:04:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605810767998978', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 80, NULL, '2024-03-18 14:04:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605810767998979', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 79, NULL, '2024-03-18 14:04:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605811028045825', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 136, NULL, '2024-03-18 14:04:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605816635830273', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 54, NULL, '2024-03-18 14:04:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605857396076546', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>1212<img src=\\\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏11_1710741887437.png\\\"></p>\",\"update_time\":\"2024-03-18 14:04:48\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"id\":\"1765284135519891458\",\"salary\":1000.003,\"update_by\":\"admin\"}]', NULL, 76, NULL, '2024-03-18 14:04:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605992058400770', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 33, NULL, '2024-03-18 14:05:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769605997913649154', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>1212<img src=\\\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏11_1710741887437.png\\\"></p>\",\"update_time\":\"2024-03-18 14:05:22\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"id\":\"1765284135519891458\",\"salary\":1000.003,\"update_by\":\"admin\"}]', NULL, 63, NULL, '2024-03-18 14:05:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769606009036943362', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 52, NULL, '2024-03-18 14:05:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769606009036943363', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 52, NULL, '2024-03-18 14:05:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769606009234075650', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 105, NULL, '2024-03-18 14:05:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769608230633943041', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-18 14:14:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609361489604609', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 143, NULL, '2024-03-18 14:18:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609361648988161', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-03-18 14:18:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609361648988162', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 172, NULL, '2024-03-18 14:18:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609470944161794', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 24161, NULL, '2024-03-18 14:19:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609471334232065', 2, 'online修改数据,修改失败，Cannot invoke \"Object.toString()\" because the return value of \"java.util.Map.get(Object)\" is null', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>1212</p>\",\"update_time\":\"2024-03-18 14:19:10\",\"sex\":\"1\",\"name\":\"1212\",\"markdown\":\"1212\\n1212\",\"shegnshi\":\"140212\",\"update_by\":\"admin\"}]', NULL, 52, NULL, '2024-03-18 14:19:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609488711233537', 2, 'online修改数据,修改失败，Cannot invoke \"Object.toString()\" because the return value of \"java.util.Map.get(Object)\" is null', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>1212</p>\",\"update_time\":\"2024-03-18 14:19:14\",\"sex\":\"1\",\"name\":\"1212\",\"markdown\":\"1212\\n1212\",\"shegnshi\":\"140212\",\"update_by\":\"admin\"}]', NULL, 33, NULL, '2024-03-18 14:19:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609672803430401', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 86, NULL, '2024-03-18 14:19:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609672795041793', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 86, NULL, '2024-03-18 14:19:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609673063477249', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 151, NULL, '2024-03-18 14:19:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609690545336321', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 36, NULL, '2024-03-18 14:20:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609693158387714', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 36, NULL, '2024-03-18 14:20:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609705787437058', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-18 14:20:06\",\"jeecg_row_key\":\"1765284118147084290\",\"sex\":\"1\",\"name\":\"蔡瑾春\",\"markdown\":\"\",\"shegnshi\":\"\",\"id\":\"1765284118147084290\",\"salary\":500.011,\"update_by\":\"admin\"}]', NULL, 84, NULL, '2024-03-18 14:20:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609711839817729', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 49, NULL, '2024-03-18 14:20:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609742445654018', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-18 14:20:14\",\"jeecg_row_key\":\"1765284118147084290\",\"sex\":\"1\",\"name\":\"蔡瑾春\",\"markdown\":\"\",\"shegnshi\":\"130203\",\"id\":\"1765284118147084290\",\"salary\":500.011,\"update_by\":\"admin\"}]', NULL, 65, NULL, '2024-03-18 14:20:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609751895420930', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 36, NULL, '2024-03-18 14:20:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609800683565057', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>1212</p>\",\"update_time\":\"2024-03-18 14:20:28\",\"jeecg_row_key\":\"1765284135519891458\",\"sex\":\"1\",\"name\":\"段瑾春\",\"markdown\":\"1212\",\"shegnshi\":\"130203\",\"id\":\"1765284135519891458\",\"salary\":1000.003,\"update_by\":\"admin\"}]', NULL, 61, NULL, '2024-03-18 14:20:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609831922741250', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2024-03-18 14:20:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609831922741249', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2024-03-18 14:20:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609832107290626', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 91, NULL, '2024-03-18 14:20:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609877217030145', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"create_by\":\"admin\",\"ccc\":\"<p>222</p>\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-18 14:20:47\",\"sex\":\"1\",\"name\":\"111\",\"markdown\":\"22\",\"shegnshi\":\"130201\",\"id\":\"1769609876977954818\",\"salary\":222},null]', NULL, 58, NULL, '2024-03-18 14:20:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609882942255106', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 35, NULL, '2024-03-18 14:20:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609887346274305', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"<p>222</p>\",\"update_time\":\"2024-03-18 14:20:49\",\"jeecg_row_key\":\"1769609876977954818\",\"sex\":\"1\",\"name\":\"111\",\"markdown\":\"22\",\"shegnshi\":\"130201\",\"id\":\"1769609876977954818\",\"salary\":222,\"update_by\":\"admin\"}]', NULL, 70, NULL, '2024-03-18 14:20:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609891980980226', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 34, NULL, '2024-03-18 14:20:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609906094813185', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"<p><img src=\\\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏13_1710742853139.png\\\">222</p>\",\"update_time\":\"2024-03-18 14:20:54\",\"jeecg_row_key\":\"1769609876977954818\",\"sex\":\"1\",\"name\":\"111\",\"markdown\":\"22\",\"shegnshi\":\"130201\",\"id\":\"1769609876977954818\",\"salary\":222,\"update_by\":\"admin\"}]', NULL, 51, NULL, '2024-03-18 14:20:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609911547408385', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 35, NULL, '2024-03-18 14:20:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769609916064673793', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-03-06\",\"ccc\":\"<p><img src=\\\"http://localhost:8080/jeecg-boot/sys/common/static/jeditor/大屏13_1710742853139.png\\\">222</p>\",\"update_time\":\"2024-03-18 14:20:56\",\"jeecg_row_key\":\"1769609876977954818\",\"sex\":\"1\",\"name\":\"111\",\"markdown\":\"22\",\"shegnshi\":\"130201\",\"id\":\"1769609876977954818\",\"salary\":222,\"update_by\":\"admin\"}]', NULL, 69, NULL, '2024-03-18 14:20:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769616223949795330', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@555d452d', NULL, 61, NULL, '2024-03-18 14:46:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769616228207013889', 2, '多数据源管理-通过id查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryById()', NULL, '  id: 1209779538310004737', NULL, 60, NULL, '2024-03-18 14:46:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769616234741739522', 2, '多数据源管理-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.edit()', NULL, '[{\"code\":\"local_mysql\",\"dbDriver\":\"com.mysql.jdbc.Driver\",\"dbPassword\":\"f5b6775e8d1749483f2320627de0e706\",\"dbType\":\"1\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false\",\"dbUsername\":\"root\",\"id\":\"1209779538310004737\",\"name\":\"本地测试库\",\"remark\":\"本地数据库MySQL5.7\",\"updateBy\":\"admin\",\"updateTime\":1710744362861}]', NULL, 47, NULL, '2024-03-18 14:46:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769616235089866753', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@68ff0b1e', NULL, 18, NULL, '2024-03-18 14:46:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1769616243402977282', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@4532d485', NULL, 14, NULL, '2024-03-18 14:46:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444081382907906', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-03-23 15:49:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444184667643905', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 121, NULL, '2024-03-23 15:49:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444184780890115', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 149, NULL, '2024-03-23 15:49:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444184780890114', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 156, NULL, '2024-03-23 15:49:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444204833857537', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-03-23 15:49:44\",\"sex\":\"1\",\"name\":\"a\",\"id\":\"1771444204196323329\"},null]', NULL, 70, NULL, '2024-03-23 15:49:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444210114486274', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 42, NULL, '2024-03-23 15:49:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444228309377026', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"update_time\":\"2024-03-23 15:49:50\",\"jeecg_row_key\":\"1771444204196323329\",\"ddd\":\"\",\"sex\":\"1\",\"name\":\"addd单独的\",\"markdown\":\"\",\"shegnshi\":\"\",\"id\":\"1771444204196323329\",\"salary\":0,\"update_by\":\"admin\"}]', NULL, 65, NULL, '2024-03-23 15:49:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1771444237809475585', 2, 'online删除数据,表名:ceshi_aaa,删除成功!', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 75, NULL, '2024-03-23 15:49:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673655646351362', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-01 13:42:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673708284866562', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 133, NULL, '2024-04-01 13:42:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673708372946946', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 162, NULL, '2024-04-01 13:42:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673708372946945', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 147, NULL, '2024-04-01 13:42:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673732238536705', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-04-01 13:42:44\",\"sex\":\"1\",\"name\":\"单表示例\",\"id\":\"1774673731567448065\"},null]', NULL, 101, NULL, '2024-04-01 13:42:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673736990683138', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 47, NULL, '2024-04-01 13:42:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673744414601217', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>dddd</p>\",\"update_time\":\"2024-04-01 13:42:47\",\"jeecg_row_key\":\"1774673731567448065\",\"ddd\":\"\",\"sex\":\"1\",\"name\":\"单表示例\",\"markdown\":\"\",\"shegnshi\":\"\",\"id\":\"1774673731567448065\",\"salary\":0,\"update_by\":\"admin\"}]', NULL, 72, NULL, '2024-04-01 13:42:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1774673751582666754', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 56, NULL, '2024-04-01 13:42:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1775336331238133761', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-03 09:35:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777215209292427265', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-08 14:01:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777215262757220354', 2, 'online列表加载,实体不存在', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 78, NULL, '2024-04-08 14:01:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777215263029850114', 2, 'online表单加载,表不存在', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 42, NULL, '2024-04-08 14:01:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777215263046627329', 2, 'online表单加载,表不存在', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 41, NULL, '2024-04-08 14:01:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777215442554449921', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-08 14:02:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777891495715164162', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 473, NULL, '2024-04-10 10:48:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777891495811633154', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 509, NULL, '2024-04-10 10:48:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777891495811633155', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 507, NULL, '2024-04-10 10:48:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777891503201996802', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 42, NULL, '2024-04-10 10:49:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1777891511645130753', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"<p>dddd111</p>\",\"update_time\":\"2024-04-10 10:49:02\",\"jeecg_row_key\":\"1774673731567448065\",\"ddd\":\"\",\"sex\":\"1\",\"name\":\"单表示例\",\"markdown\":\"\",\"shegnshi\":\"\",\"id\":\"1774673731567448065\",\"salary\":0,\"update_by\":\"admin\"}]', NULL, 84, NULL, '2024-04-10 10:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692272398409730', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-12 15:50:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692329252200449', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-12 15:51:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692352639639553', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-12 15:51:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692376425537538', 2, '商品分类-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.ddd.controller.TestShoptypeTreeController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1712908283705,\"hasChild\":\"0\",\"id\":\"1778692376425537537\",\"pid\":\"1256629093740425218\",\"sysOrgCode\":\"A01\",\"typeName\":\"ddd\"}]', NULL, 9, NULL, '2024-04-12 15:51:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692396642082818', 2, '商品分类-通过id删除', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.ddd.controller.TestShoptypeTreeController.delete()', NULL, '  id: 1256628843097206786,1256628820489908225', NULL, 114, NULL, '2024-04-12 15:51:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1778692452455686145', 2, '商品分类-通过id删除', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.ddd.controller.TestShoptypeTreeController.delete()', NULL, '  id: 1586652276604006401,1256629093740425218', NULL, 161, NULL, '2024-04-12 15:51:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1780254007282565121', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@61a61e8c', NULL, 186, NULL, '2024-04-16 23:16:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1780254036571389954', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-16 23:16:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782646895534624769', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-23 13:45:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782646956658216962', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-23 13:45:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647120559034369', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 123, NULL, '2024-04-23 13:46:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647120676474882', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 150, NULL, '2024-04-23 13:46:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647120680669185', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 161, NULL, '2024-04-23 13:46:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647169644974082', 2, 'online新增数据,表名:ceshi_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-04-23 13:46:19\",\"sex\":\"1\",\"name\":\"胡涛\",\"id\":\"1782647168684478466\"},null]', NULL, 53, NULL, '2024-04-23 13:46:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647767371063298', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 53, NULL, '2024-04-23 13:48:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647767371063297', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 59, NULL, '2024-04-23 13:48:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647768612577281', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 348, NULL, '2024-04-23 13:48:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647779895255041', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 28, NULL, '2024-04-23 13:48:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647779895255042', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-04-23 13:48:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647780092387330', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 76, NULL, '2024-04-23 13:48:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647797695881217', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 26, NULL, '2024-04-23 13:48:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647797712658434', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-04-23 13:48:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782647797909790721', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 78, NULL, '2024-04-23 13:48:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782648990513905665', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 54, NULL, '2024-04-23 13:53:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782648990513905666', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 52, NULL, '2024-04-23 13:53:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782648990786535425', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 133, NULL, '2024-04-23 13:53:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782648996666949633', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 57, NULL, '2024-04-23 13:53:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782649004384468993', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"ccc\":\"\",\"cccdd\":\"\",\"ddd\":\"\",\"sex\":\"1\",\"salary\":\"0\",\"update_time\":\"2024-04-23 13:53:37\",\"jeecg_row_key\":\"1782647168684478466\",\"name\":\"胡涛\",\"markdown\":\"\",\"shegnshi\":\"\",\"id\":\"1782647168684478466\",\"update_by\":\"admin\"}]', NULL, 351, NULL, '2024-04-23 13:53:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782649010327797761', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 50, NULL, '2024-04-23 13:53:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782679703997095938', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-23 15:55:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680191656239106', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 64, NULL, '2024-04-23 15:57:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680191656239105', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 64, NULL, '2024-04-23 15:57:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680191761096705', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 86, NULL, '2024-04-23 15:57:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680200321671170', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 31, NULL, '2024-04-23 15:57:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680219481251841', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-04-04\",\"ccc\":\"\",\"cccdd\":\"\",\"ddd\":\"\",\"sex\":\"1\",\"salary\":0,\"update_time\":\"2024-04-23 15:57:39\",\"jeecg_row_key\":\"1782647168684478466\",\"name\":\"胡涛\",\"markdown\":\"\",\"shegnshi\":\"130101\",\"id\":\"1782647168684478466\",\"update_by\":\"admin\"}]', NULL, 82, NULL, '2024-04-23 15:57:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680227618201602', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 23, NULL, '2024-04-23 15:57:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680227685310466', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 17, NULL, '2024-04-23 15:57:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680227773390850', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 60, NULL, '2024-04-23 15:57:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782680233980960770', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 50, NULL, '2024-04-23 15:57:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689289047089154', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-04-23 16:33:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689289051283457', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-04-23 16:33:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689289198084097', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 60, NULL, '2024-04-23 16:33:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689295716032514', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 30, NULL, '2024-04-23 16:33:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689309745979393', 2, 'online修改数据,表名:ceshi_aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0ac8726869ae47f7b9be4ef44d984445\",{\"birthday\":\"2024-04-04\",\"ccc\":\"<p>111</p>\",\"cccdd\":\"\",\"ddd\":\"\",\"sex\":\"1\",\"salary\":0,\"update_time\":\"2024-04-23 16:33:46\",\"jeecg_row_key\":\"1782647168684478466\",\"name\":\"胡涛\",\"markdown\":\"\",\"shegnshi\":\"130101\",\"id\":\"1782647168684478466\",\"update_by\":\"admin\"}]', NULL, 53, NULL, '2024-04-23 16:33:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689317178286081', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-04-23 16:33:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689317245394945', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 15, NULL, '2024-04-23 16:33:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689317329281026', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 57, NULL, '2024-04-23 16:33:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689323721400323', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-04-23 16:33:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689323721400322', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-04-23 16:33:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1782689323859812353', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 54, NULL, '2024-04-23 16:33:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783405488596828162', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-25 15:59:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783405534247632898', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 17, NULL, '2024-04-25 15:59:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783405534247632897', 2, 'online列表加载,实体不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 7, NULL, '2024-04-25 15:59:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783405534285381634', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 10, NULL, '2024-04-25 15:59:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783405935222980609', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-25 16:01:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783406601748217857', 2, 'online列表加载,实体不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 59, NULL, '2024-04-25 16:04:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783406602125705218', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-04-25 16:04:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783406602134093825', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-04-25 16:04:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783407709891723266', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-25 16:08:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783700734354374658', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:32:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783700755246202882', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:32:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701074457903106', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@ff71651', NULL, 10, NULL, '2024-04-26 11:34:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701078408937473', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:34:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701207790632961', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:34:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701273104334849', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:34:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701351214858241', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:35:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701528386453505', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7e2caa52', NULL, 5, NULL, '2024-04-26 11:35:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701597479223297', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@11100af5', NULL, 5, NULL, '2024-04-26 11:36:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783701733420810241', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:36:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783702524768534530', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@23eee1a4', NULL, 6, NULL, '2024-04-26 11:39:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783702538253221890', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:39:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783702572717817857', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:40:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783702979716300801', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@2817a922', NULL, 4, NULL, '2024-04-26 11:41:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703062042099714', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7307e831', NULL, 6, NULL, '2024-04-26 11:42:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703202920382466', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@298f9e3e', NULL, 3, NULL, '2024-04-26 11:42:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703208125513730', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:42:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703372064079873', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:43:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703384059789314', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@385bce47', NULL, 6, NULL, '2024-04-26 11:43:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703388719661057', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:43:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703475101351938', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:43:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783703520777322497', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 11:43:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783724765992321026', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:08:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783724834510471170', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:08:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783725020574105602', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:09:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783727078442262530', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@97a8369', NULL, 99, NULL, '2024-04-26 13:17:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783727115889008642', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:17:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729100478423041', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7fab7c91', NULL, 24, NULL, '2024-04-26 13:25:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729121676435457', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:25:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729441097871362', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@c990aeb', NULL, 17, NULL, '2024-04-26 13:26:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729456134451201', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:26:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729468138549250', 2, '编辑用户，username： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:27:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729537810132993', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:27:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1783729544432939010', 2, '编辑用户，username： zhangsan', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-04-26 13:27:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800487476864352258', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@27d38fea', NULL, 104, NULL, '2024-06-11 19:17:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800487536092119041', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@11a03f7f', NULL, 16, NULL, '2024-06-11 19:17:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800487540508721153', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-11 19:17:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800538132975403009', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-11 22:38:38', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800554348943196161', 4, 'org.springframework.beans.factory.NoSuchBeanDefinitionException:No qualifying bean of type \'com.unfbx.chatgpt.OpenAiStreamClient\' available', NULL, 'admin', '管理员', '127.0.0.1', 'message=112', '/jeecg-boot/test/ai/chat/send', 'org.springframework.beans.factory.NoSuchBeanDefinitionException: No qualifying bean of type \'com.unfbx.chatgpt.OpenAiStreamClient\' available\r\n	at org.springframework.beans.factory.support.DefaultListableBeanFactory.getBean(DefaultListableBeanFactory.java:351)\r\n	at org.springframework.beans.factory.support.DefaultListableBeanFactory.getBean(DefaultListableBeanFactory.java:342)\r\n	at org.springframework.context.support.AbstractApplicationContext.getBean(AbstractApplicationContext.java:1186)\r\n	at org.jeecg.common.util.SpringContextUtils.getBean(SpringContextUtils.java:99)\r\n	at org.jeecg.modules.demo.gpt.service.impl.ChatServiceImpl.ensureClient(ChatServiceImpl.java:77)\r\n	at org.jeecg.modules.demo.gpt.service.impl.ChatServiceImpl.sendMessage(ChatServiceImpl.java:172)\r\n	at org.jeecg.modules.demo.gpt.controller.ChatController.createConnect(ChatController.java:33)\r\n	at org.jeecg.modules.demo.gpt.controller.ChatController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.demo.gpt.controller.ChatController$$EnhancerBySpringCGLIB$$1.createConnect(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-11 23:43:04', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800557193591472129', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 166, NULL, '2024-06-11 23:54:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557193692135426', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 188, NULL, '2024-06-11 23:54:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557193746661378', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 191, NULL, '2024-06-11 23:54:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557201887805441', 4, 'org.springframework.web.util.NestedServletException:Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;', NULL, 'admin', '管理员', '127.0.0.1', '_t=1718121264210', '/jeecg-boot/online/cgform/api/form/0ac8726869ae47f7b9be4ef44d984445/1782647168684478466', 'org.springframework.web.util.NestedServletException: Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1087)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1447)\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1408)\r\n	at org.jeecg.modules.online.cgform.service.a.c.queryFormData(OnlCgformFieldServiceImpl.java:631)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$EnhancerBySpringCGLIB$$1.queryFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.service.a.d.queryManyFormData(OnlCgformHeadServiceImpl.java:1132)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$EnhancerBySpringCGLIB$$1.queryManyFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.c.a.b(OnlCgformApiController.java:336)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor242.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.AutoLogAspect.around(AutoLogAspect.java:58)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$1.b(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	... 93 more\r\n', NULL, NULL, NULL, '2024-06-11 23:54:24', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800557287636156418', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 109, NULL, '2024-06-11 23:54:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557287791345665', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 165, NULL, '2024-06-11 23:54:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557287791345666', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 158, NULL, '2024-06-11 23:54:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557296087678978', 4, 'org.springframework.web.util.NestedServletException:Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;', NULL, 'admin', '管理员', '127.0.0.1', '_t=1718121286732', '/jeecg-boot/online/cgform/api/form/0ac8726869ae47f7b9be4ef44d984445/1782647168684478466', 'org.springframework.web.util.NestedServletException: Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1087)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1447)\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1408)\r\n	at org.jeecg.modules.online.cgform.service.a.c.queryFormData(OnlCgformFieldServiceImpl.java:631)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$EnhancerBySpringCGLIB$$1.queryFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.service.a.d.queryManyFormData(OnlCgformHeadServiceImpl.java:1132)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$EnhancerBySpringCGLIB$$1.queryManyFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.c.a.b(OnlCgformApiController.java:336)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor242.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.AutoLogAspect.around(AutoLogAspect.java:58)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$1.b(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	... 93 more\r\n', NULL, NULL, NULL, '2024-06-11 23:54:47', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800557894572916738', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-06-11 23:57:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557894572916737', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-06-11 23:57:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557894837157890', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 96, NULL, '2024-06-11 23:57:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800557903531950081', 4, 'org.springframework.web.util.NestedServletException:Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;', NULL, 'admin', '管理员', '127.0.0.1', '_t=1718121431542', '/jeecg-boot/online/cgform/api/form/0ac8726869ae47f7b9be4ef44d984445/1782647168684478466', 'org.springframework.web.util.NestedServletException: Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1087)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1447)\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1408)\r\n	at org.jeecg.modules.online.cgform.service.a.c.queryFormData(OnlCgformFieldServiceImpl.java:631)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$EnhancerBySpringCGLIB$$1.queryFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.service.a.d.queryManyFormData(OnlCgformHeadServiceImpl.java:1132)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$EnhancerBySpringCGLIB$$1.queryManyFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.c.a.b(OnlCgformApiController.java:336)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor242.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.AutoLogAspect.around(AutoLogAspect.java:58)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$1.b(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	... 93 more\r\n', NULL, NULL, NULL, '2024-06-11 23:57:12', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800558393716064257', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2024-06-11 23:59:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558393716064258', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 59, NULL, '2024-06-11 23:59:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558394039025666', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 131, NULL, '2024-06-11 23:59:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558462355849219', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-11 23:59:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558462355849218', 2, 'online表单加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 25, NULL, '2024-06-11 23:59:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558462494261250', 2, 'online列表加载,表名:ceshi_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 60, NULL, '2024-06-11 23:59:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558501820055554', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@fc83034', NULL, 53, NULL, '2024-06-11 23:59:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800558516126826497', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@69d48e82', NULL, 20, NULL, '2024-06-11 23:59:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800567666537799682', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 120, NULL, '2024-06-12 00:35:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800567666999173121', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 241, NULL, '2024-06-12 00:35:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800567666999173122', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 241, NULL, '2024-06-12 00:35:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800567715770540033', 2, 'online新增数据,表名:test_note,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-12 00:36:11\",\"contents\":\"<p>4444</p>\",\"sex\":\"1\",\"name\":\"zhangsan\",\"id\":\"1800567715372081154\",\"age\":0},null]', NULL, 101, NULL, '2024-06-12 00:36:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800567767171735553', 4, 'org.springframework.web.util.NestedServletException:Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;', NULL, 'admin', '管理员', '127.0.0.1', '_t=1718123783189', '/online/cgform/api/detail/05a3a30dada7411c9109306aa4117068/1800567715372081154', 'org.springframework.web.util.NestedServletException: Handler dispatch failed; nested exception is java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1087)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:645)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:750)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.lang.NoSuchMethodError: com.baomidou.mybatisplus.core.conditions.query.QueryWrapper.select([Ljava/lang/String;)Lcom/baomidou/mybatisplus/core/conditions/query/QueryWrapper;\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1447)\r\n	at org.jeecg.modules.online.cgform.d.b.a(CgformUtil.java:1408)\r\n	at org.jeecg.modules.online.cgform.service.a.c.queryFormData(OnlCgformFieldServiceImpl.java:631)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$FastClassBySpringCGLIB$$76271ae1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.c$$EnhancerBySpringCGLIB$$acde352e.queryFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.service.a.d.queryManyFormData(OnlCgformHeadServiceImpl.java:1132)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$FastClassBySpringCGLIB$$76271ae2.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.online.cgform.service.a.d$$EnhancerBySpringCGLIB$$add97f5c.queryManyFormData(<generated>)\r\n	at org.jeecg.modules.online.cgform.c.a.c(OnlCgformApiController.java:357)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$b70991a.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor214.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.AutoLogAspect.around(AutoLogAspect.java:58)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$23841576.c(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	... 88 more\r\n', NULL, NULL, NULL, '2024-06-12 00:36:23', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800567790466899970', 2, 'online删除数据,表名:test_note,删除成功!', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 73, NULL, '2024-06-12 00:36:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712449411502081', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 161, NULL, '2024-06-12 10:11:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712449629605889', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 212, NULL, '2024-06-12 10:11:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712449633800194', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 185, NULL, '2024-06-12 10:11:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712500833669121', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 82, NULL, '2024-06-12 10:11:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712501014024194', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 125, NULL, '2024-06-12 10:11:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712501039190018', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 119, NULL, '2024-06-12 10:11:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712506902827010', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 35, NULL, '2024-06-12 10:11:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712552046120962', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 10:11:42\",\"jeecg_row_key\":\"1800567715372081154\",\"contents\":\"<p>姜汝鑫</p>\",\"sex\":\"1\",\"name\":\"admin\",\"id\":\"1800567715372081154\",\"update_by\":\"admin\",\"age\":0}]', NULL, 84, NULL, '2024-06-12 10:11:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712731591692290', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-12 10:12:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712731591692291', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 26, NULL, '2024-06-12 10:12:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712731755270146', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 77, NULL, '2024-06-12 10:12:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712739892219906', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 35, NULL, '2024-06-12 10:12:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712774335844353', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 23, NULL, '2024-06-12 10:12:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712774335844354', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-12 10:12:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712774491033601', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 61, NULL, '2024-06-12 10:12:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712784989376513', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 52, NULL, '2024-06-12 10:12:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712797438070785', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 26, NULL, '2024-06-12 10:12:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712838215094273', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 10:12:50\",\"jeecg_row_key\":\"1800567715372081154\",\"contents\":\"<p>姜汝鑫</p>\",\"sex\":\"1\",\"name\":\"zhangsan\",\"id\":\"1800567715372081154\",\"update_by\":\"admin\",\"age\":0}]', NULL, 63, NULL, '2024-06-12 10:12:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712927868342273', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 23, NULL, '2024-06-12 10:13:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712927872536577', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2024-06-12 10:13:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712928002560001', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 58, NULL, '2024-06-12 10:13:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712941394972674', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-12 10:13:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712941394972675', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-12 10:13:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712941533384705', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 53, NULL, '2024-06-12 10:13:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712957148778498', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 26, NULL, '2024-06-12 10:13:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712968183992321', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 10:13:21\",\"jeecg_row_key\":\"1800567715372081154\",\"contents\":\"<p>姜汝鑫</p>\",\"sex\":\"1\",\"name\":\"zhangsan\",\"id\":\"1800567715372081154\",\"update_by\":\"admin\",\"age\":0}]', NULL, 60, NULL, '2024-06-12 10:13:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800712980011929601', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-06-12 10:13:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713009007153153', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 10:13:31\",\"jeecg_row_key\":\"1800567715372081154\",\"contents\":\"<p>姜汝鑫</p>\",\"sex\":\"1\",\"name\":\"ceshi\",\"id\":\"1800567715372081154\",\"update_by\":\"admin\",\"age\":0}]', NULL, 62, NULL, '2024-06-12 10:13:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713447324504065', 2, 'online列表加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 69, NULL, '2024-06-12 10:15:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713447479693313', 2, 'online表单加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 105, NULL, '2024-06-12 10:15:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713447483887618', 2, 'online表单加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 106, NULL, '2024-06-12 10:15:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713462256226305', 2, 'online新增数据,表名:test_shoptype_tree,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"create_by\":\"admin\",\"type_name\":\"111\",\"create_time\":\"2024-06-12 10:15:19\",\"sys_org_code\":\"A01\",\"pid\":\"0\",\"id\":\"1800713461916487681\",\"has_child\":\"0\"},null]', NULL, 78, NULL, '2024-06-12 10:15:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713483466821634', 2, 'online新增数据,表名:test_shoptype_tree,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"create_by\":\"admin\",\"type_name\":\"1122\",\"create_time\":\"2024-06-12 10:15:24\",\"sys_org_code\":\"A01\",\"pid\":\"1800713461916487681\",\"id\":\"1800713483269689346\",\"has_child\":\"0\"},null]', NULL, 46, NULL, '2024-06-12 10:15:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713508984967169', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 31, NULL, '2024-06-12 10:15:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713518938050562', 2, 'online修改数据,表名:test_shoptype_tree,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"type_name\":\"11\",\"update_time\":\"2024-06-12 10:15:33\",\"jeecg_row_key\":\"1800713461916487681\",\"children\":\"[object Object]\",\"pid\":\"0\",\"pic\":\"\",\"has_child\":\"1\",\"id\":\"1800713461916487681\",\"update_by\":\"admin\"}]', NULL, 54, NULL, '2024-06-12 10:15:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713898526756865', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 85, NULL, '2024-06-12 10:17:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713898740666370', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 138, NULL, '2024-06-12 10:17:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713898740666371', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 138, NULL, '2024-06-12 10:17:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713917057191937', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-06-12 10:17:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800713993884258305', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 10:17:26\",\"jeecg_row_key\":\"1800567715372081154\",\"contents\":\"<p>姜汝鑫</p>\",\"sex\":\"1\",\"name\":\"admin\",\"id\":\"1800567715372081154\",\"update_by\":\"admin\",\"age\":0}]', NULL, 56, NULL, '2024-06-12 10:17:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800719183458848770', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 10:38:04', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800729402045878273', 4, 'java.lang.NullPointerException:null', NULL, 'admin', '管理员', '127.0.0.1', 'prompt=计算机', '/online/cgform/api/aigc', 'java.lang.NullPointerException\r\n	at java.util.regex.Matcher.getTextLength(Matcher.java:1283)\r\n	at java.util.regex.Matcher.reset(Matcher.java:309)\r\n	at java.util.regex.Matcher.<init>(Matcher.java:229)\r\n	at java.util.regex.Pattern.matcher(Pattern.java:1093)\r\n	at org.jeecg.modules.online.cgform.service.a.h.b(OnlineCgformAiServiceImpl.java:296)\r\n	at org.jeecg.modules.online.cgform.service.a.h.genSchema4Modules(OnlineCgformAiServiceImpl.java:58)\r\n	at org.jeecg.modules.online.cgform.c.a.a(OnlCgformApiController.java:162)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor314.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$1.a(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 11:18:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800729567414702082', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2024-06-12 11:19:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800729567414702081', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-12 11:19:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800729567616028673', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 91, NULL, '2024-06-12 11:19:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730043262685186', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 100, NULL, '2024-06-12 11:21:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730043518537729', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 159, NULL, '2024-06-12 11:21:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730043518537730', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 164, NULL, '2024-06-12 11:21:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730051223474177', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 46, NULL, '2024-06-12 11:21:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730079916707842', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 11:21:21\",\"jeecg_row_key\":\"1800567715372081154\",\"month\":\"2024-08-01\",\"contents\":\"<p>姜汝鑫</p>\",\"year\":\"2023-01-01\",\"sex\":\"1\",\"name\":\"admin\",\"id\":\"1800567715372081154\",\"sheng\":\"110101\",\"update_by\":\"admin\",\"age\":0}]', NULL, 65, NULL, '2024-06-12 11:21:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730089622327298', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2024-06-12 11:21:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730128667103233', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 29, NULL, '2024-06-12 11:21:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730128667103234', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 29, NULL, '2024-06-12 11:21:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730128922955778', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 85, NULL, '2024-06-12 11:21:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730173923643394', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 25, NULL, '2024-06-12 11:21:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730173923643395', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 27, NULL, '2024-06-12 11:21:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730174116581377', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 77, NULL, '2024-06-12 11:21:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800730186322006018', 2, 'online删除数据,表名:test_note,删除成功!', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 63, NULL, '2024-06-12 11:21:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800733701215866881', 4, 'java.lang.NullPointerException:null', NULL, 'admin', '管理员', '127.0.0.1', 'prompt=计算机', '/online/cgform/api/aigc', 'java.lang.NullPointerException\r\n	at java.util.regex.Matcher.getTextLength(Matcher.java:1283)\r\n	at java.util.regex.Matcher.reset(Matcher.java:309)\r\n	at java.util.regex.Matcher.<init>(Matcher.java:229)\r\n	at java.util.regex.Pattern.matcher(Pattern.java:1093)\r\n	at org.jeecg.modules.online.cgform.service.a.h.b(OnlineCgformAiServiceImpl.java:296)\r\n	at org.jeecg.modules.online.cgform.service.a.h.genSchema4Modules(OnlineCgformAiServiceImpl.java:58)\r\n	at org.jeecg.modules.online.cgform.c.a.a(OnlCgformApiController.java:162)\r\n	at org.jeecg.modules.online.cgform.c.a$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor314.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.online.cgform.c.a$$EnhancerBySpringCGLIB$$1.a(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 11:35:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800734867450482689', 2, 'online列表加载,表名:ceshi_custom,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 87, NULL, '2024-06-12 11:40:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734867601477633', 2, 'online表单加载,表名:ceshi_custom,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 124, NULL, '2024-06-12 11:40:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734867601477634', 2, 'online表单加载,表名:ceshi_custom,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 125, NULL, '2024-06-12 11:40:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734902674247682', 2, 'online新增数据,表名:ceshi_custom,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"458fac1aa49a4522b87cb0ef4c4dd883\",{\"birthday\":\"2024-05-30\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-12 11:40:31\",\"name\":\"常丽\",\"id\":\"1800734902456143874\",\"age\":33},null]', NULL, 51, NULL, '2024-06-12 11:40:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734910748282882', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 52, NULL, '2024-06-12 11:40:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734930104995841', 2, 'online删除数据,表名:ceshi_custom,删除成功!', 4, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 49, NULL, '2024-06-12 11:40:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734936769744897', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-06-12 11:40:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734936778133506', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-06-12 11:40:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800734936954294273', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 65, NULL, '2024-06-12 11:40:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800736354540965890', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 11:46:18', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800736362883436546', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 11:46:20', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800736426599108609', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 11:46:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800738828165304322', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 84, NULL, '2024-06-12 11:56:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800738828425351170', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 146, NULL, '2024-06-12 11:56:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800738828425351171', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 146, NULL, '2024-06-12 11:56:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800738896217886721', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 49, NULL, '2024-06-12 11:56:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739015394840578', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 98, NULL, '2024-06-12 11:56:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739015721996290', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 168, NULL, '2024-06-12 11:56:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739015721996291', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 168, NULL, '2024-06-12 11:56:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739377426190338', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 98, NULL, '2024-06-12 11:58:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739377682042883', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 168, NULL, '2024-06-12 11:58:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739377682042882', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 168, NULL, '2024-06-12 11:58:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739499958587393', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 94, NULL, '2024-06-12 11:58:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739500281548803', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 177, NULL, '2024-06-12 11:58:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739500281548802', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 177, NULL, '2024-06-12 11:58:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739845959307266', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2024-06-12 12:00:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739846223548418', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 147, NULL, '2024-06-12 12:00:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800739846286462978', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 159, NULL, '2024-06-12 12:00:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740766508371969', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 30, NULL, '2024-06-12 12:03:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740766508371970', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 29, NULL, '2024-06-12 12:03:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740766701309954', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 75, NULL, '2024-06-12 12:03:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740778747351042', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 33, NULL, '2024-06-12 12:03:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740778814459905', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 33, NULL, '2024-06-12 12:03:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740779007397889', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 86, NULL, '2024-06-12 12:03:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740844954439681', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 49, NULL, '2024-06-12 12:04:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800740851472388098', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-12 12:04:09\",\"jeecg_row_key\":\"1800567715372081154\",\"month\":\"2024-08-01\",\"contents\":\"<p>姜汝鑫</p>\",\"year\":\"2023-01-01\",\"sex\":\"1\",\"name\":\"admin\",\"id\":\"1800567715372081154\",\"sheng\":\"110101\",\"update_by\":\"admin\",\"age\":0}]', NULL, 61, NULL, '2024-06-12 12:04:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800776982700216322', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-06-12 14:27:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800776982700216321', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-06-12 14:27:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800776982914125826', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2024-06-12 14:27:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800815954663002113', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 17:02:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800824751003496449', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 17:37:33', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830507522084866', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.getAllChartData(OnlDragDatasetHeadController.java:421)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$EnhancerBySpringCGLIB$$1.getAllChartData(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:00:25', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830520901914626', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.getAllChartData(OnlDragDatasetHeadController.java:421)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$EnhancerBySpringCGLIB$$1.getAllChartData(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:00:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830541445615618', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> 数据源已连接错误3次以上,请检查,dbId:707437208002265088\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.getAllChartData(OnlDragDatasetHeadController.java:421)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$EnhancerBySpringCGLIB$$1.getAllChartData(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:00:34', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830572584128514', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryPageList()', NULL, '  onlDragDataSource: OnlDragDataSource(id=null, name=, reportId=null, code=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbUsername=null, dbPassword=null, type=null, createBy=null, createTime=null, updateBy=null, updateTime=null, connectTimes=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@1aa75211', NULL, 11, NULL, '2024-06-12 18:00:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800830580326813697', 2, '数据源表-通过id查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryById()', NULL, '  id: 707437208002265088', NULL, 14, NULL, '2024-06-12 18:00:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800830595132706817', 2, '修改数据库连接ID:707437208002265088 ,连接名字: MySQL5.7，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-12 18:00:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830595266924546', 2, '数据源表-编辑', 3, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.edit()', NULL, '[{\"dbDriver\":\"com.mysql.cj.jdbc.Driver\",\"dbPassword\":\"@JimuReportSMy3f94QGFM=\",\"dbType\":\"MYSQL5.7\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai\",\"dbUsername\":\"root\",\"id\":\"707437208002265088\",\"name\":\"MySQL5.7\",\"updateBy\":\"admin\",\"updateTime\":1718186446327},null]', NULL, 40, NULL, '2024-06-12 18:00:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800830595459862529', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryPageList()', NULL, '  onlDragDataSource: OnlDragDataSource(id=null, name=, reportId=null, code=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbUsername=null, dbPassword=null, type=null, createBy=null, createTime=null, updateBy=null, updateTime=null, connectTimes=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@372f27e7', NULL, 8, NULL, '2024-06-12 18:00:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800830629987373057', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT sex, COUNT(*) as count\nFROM ceshi_aaa\nGROUP BY sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT sex, COUNT(*) as count\nFROM ceshi_aaa\nGROUP BY sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.getAllChartData(OnlDragDatasetHeadController.java:421)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$EnhancerBySpringCGLIB$$1.getAllChartData(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:00:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830656835112961', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT sex, COUNT(*) as count\nFROM ceshi_aaa\nGROUP BY sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT sex, COUNT(*) as count\nFROM ceshi_aaa\nGROUP BY sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.impl.OnlDragDatasetHeadServiceImpl$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.getAllChartData(OnlDragDatasetHeadController.java:421)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.controller.OnlDragDatasetHeadController$$EnhancerBySpringCGLIB$$1.getAllChartData(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:01:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800830769276014594', 2, '数据集-编辑', 3, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDatasetHeadController.edit()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"925264960069664768\",\"izAgent\":\"0\",\"name\":\"cc1请假性别汇总\",\"parentId\":\"864649684727169024\",\"querySql\":\"SELECT sex, COUNT(*) as count\\nFROM demo\\nGROUP BY sex\"},null]', NULL, 69, NULL, '2024-06-12 18:01:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800832648735330305', 4, 'org.jeecg.modules.drag.exception.OnlDragException:保存失败，免费版最多创建2个仪表盘!', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/page/edit', 'org.jeecg.modules.drag.exception.OnlDragException: 保存失败，免费版最多创建2个仪表盘!\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.errorTip(OnlDragPageInterceptor.java:89)\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.preHandle(OnlDragPageInterceptor.java:54)\r\n	at org.springframework.web.servlet.HandlerExecutionChain.applyPreHandle(HandlerExecutionChain.java:148)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:08:56', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800832674891010050', 4, 'org.jeecg.modules.drag.exception.OnlDragException:保存失败，免费版最多创建2个仪表盘!', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/page/edit', 'org.jeecg.modules.drag.exception.OnlDragException: 保存失败，免费版最多创建2个仪表盘!\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.errorTip(OnlDragPageInterceptor.java:89)\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.preHandle(OnlDragPageInterceptor.java:54)\r\n	at org.springframework.web.servlet.HandlerExecutionChain.applyPreHandle(HandlerExecutionChain.java:148)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:09:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800832712014794754', 4, 'org.jeecg.modules.drag.exception.OnlDragException:保存失败，免费版最多创建2个仪表盘!', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/page/add', 'org.jeecg.modules.drag.exception.OnlDragException: 保存失败，免费版最多创建2个仪表盘!\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.errorTip(OnlDragPageInterceptor.java:89)\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.preHandle(OnlDragPageInterceptor.java:54)\r\n	at org.springframework.web.servlet.HandlerExecutionChain.applyPreHandle(HandlerExecutionChain.java:148)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:09:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800832736299814914', 4, 'org.jeecg.modules.drag.exception.OnlDragException:保存失败，免费版最多创建2个仪表盘!', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/page/edit', 'org.jeecg.modules.drag.exception.OnlDragException: 保存失败，免费版最多创建2个仪表盘!\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.errorTip(OnlDragPageInterceptor.java:89)\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.preHandle(OnlDragPageInterceptor.java:54)\r\n	at org.springframework.web.servlet.HandlerExecutionChain.applyPreHandle(HandlerExecutionChain.java:148)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:09:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800832900469067777', 4, 'org.jeecg.modules.drag.exception.OnlDragException:保存失败，免费版最多创建2个仪表盘!', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/add', 'org.jeecg.modules.drag.exception.OnlDragException: 保存失败，免费版最多创建2个仪表盘!\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.errorTip(OnlDragPageInterceptor.java:89)\r\n	at org.jeecg.modules.drag.interceptor.OnlDragPageInterceptor.preHandle(OnlDragPageInterceptor.java:54)\r\n	at org.springframework.web.servlet.HandlerExecutionChain.applyPreHandle(HandlerExecutionChain.java:148)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1067)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-12 18:09:56', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1800836078375669761', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryPageList()', NULL, '  onlDragDataSource: OnlDragDataSource(id=null, name=, reportId=null, code=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbUsername=null, dbPassword=null, type=null, createBy=null, createTime=null, updateBy=null, updateTime=null, connectTimes=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@20cbc9fc', NULL, 16, NULL, '2024-06-12 18:22:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800836102505500674', 2, '数据源表-添加', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.add()', NULL, '[{\"connectTimes\":0,\"createBy\":\"admin\",\"createTime\":1718187759355,\"dbDriver\":\"com.mysql.cj.jdbc.Driver\",\"dbPassword\":\"@JimuReportLkBG2zuMp50=\",\"dbType\":\"MYSQL5.7\",\"dbUrl\":\"jdbc:mysql://127.0.0.1:3306/jimureport?characterEncoding=UTF-8&useUnicode=true&useSSL=false&tinyInt1isBit=false&allowPublicKeyRetrieval=true&serverTimezone=Asia/Shanghai\",\"dbUsername\":\"2\",\"id\":\"960815008635256832\",\"name\":\"2\",\"type\":\"drag\"},null]', NULL, 59, NULL, '2024-06-12 18:22:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800836102656495618', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryPageList()', NULL, '  onlDragDataSource: OnlDragDataSource(id=null, name=, reportId=null, code=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbUsername=null, dbPassword=null, type=null, createBy=null, createTime=null, updateBy=null, updateTime=null, connectTimes=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@20edcd75', NULL, 8, NULL, '2024-06-12 18:22:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800836112144011265', 2, '数据源表-通过id删除', 4, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.delete()', NULL, '  id: 960815008635256832', NULL, 25, NULL, '2024-06-12 18:22:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1800836112248868865', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.controller.OnlDragDataSourceController.queryPageList()', NULL, '  onlDragDataSource: OnlDragDataSource(id=null, name=, reportId=null, code=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbUsername=null, dbPassword=null, type=null, createBy=null, createTime=null, updateBy=null, updateTime=null, connectTimes=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@31467f47', NULL, 6, NULL, '2024-06-12 18:22:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075317319282690', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:13:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801075456645672961', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 155, NULL, '2024-06-13 10:13:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075456884748290', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 199, NULL, '2024-06-13 10:13:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075456884748289', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 212, NULL, '2024-06-13 10:13:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075465306910721', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 50, NULL, '2024-06-13 10:13:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075472244289538', 2, 'online修改数据,表名:test_note,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"05a3a30dada7411c9109306aa4117068\",{\"birthday\":\"2024-06-14 00:00:00\",\"update_time\":\"2024-06-13 10:13:49\",\"jeecg_row_key\":\"1800567715372081154\",\"month\":\"2024-08-01\",\"contents\":\"<p>姜汝鑫</p>\",\"year\":\"2023-01-01\",\"sex\":\"1\",\"name\":\"admin\",\"id\":\"1800567715372081154\",\"sheng\":\"110101\",\"update_by\":\"admin\",\"age\":0}]', NULL, 80, NULL, '2024-06-13 10:13:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075483053010946', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 56, NULL, '2024-06-13 10:13:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075509036724226', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-06-13 10:13:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075509036724227', 2, 'online表单加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-13 10:13:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075509179330561', 2, 'online列表加载,表名:test_note,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 71, NULL, '2024-06-13 10:13:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075584899100674', 2, 'online列表加载,表名:aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 89, NULL, '2024-06-13 10:14:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075585100427265', 2, 'online表单加载,表名:aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 144, NULL, '2024-06-13 10:14:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075585163341825', 2, 'online表单加载,表名:aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 147, NULL, '2024-06-13 10:14:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075597930803201', 2, 'online新增数据,表名:aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0e3c06b150f0426b99b9fa94e0ccaecc\",{\"aaa\":\"aa\",\"cc\":\"aa\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-13 10:14:19\",\"id\":\"1801075597721088002\"},null]', NULL, 50, NULL, '2024-06-13 10:14:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075603546976258', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 48, NULL, '2024-06-13 10:14:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801075611025420290', 2, 'online修改数据,表名:aaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"0e3c06b150f0426b99b9fa94e0ccaecc\",{\"aaa\":\"aa3\",\"cc\":\"aa3\",\"update_time\":\"2024-06-13 10:14:22\",\"jeecg_row_key\":\"1801075597721088002\",\"id\":\"1801075597721088002\",\"update_by\":\"admin\"}]', NULL, 46, NULL, '2024-06-13 10:14:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801076789830365185', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:19:04', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801076813897281538', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:19:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801077030692466689', 2, 'online列表加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 85, NULL, '2024-06-13 10:20:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077030881210370', 2, 'online表单加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 132, NULL, '2024-06-13 10:20:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077030889598977', 2, 'online表单加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 133, NULL, '2024-06-13 10:20:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077045129261058', 2, 'online新增数据,表名:aaa,添加成功!', 2, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"1853588524cf431d9c9c5b92408b4d7e\",{\"aa\":\"222\",\"create_by\":\"jeecg\",\"sys_org_code\":\"A02A01\",\"create_time\":\"2024-06-13 10:20:04\",\"id\":\"1801077044957294594\"},null]', NULL, 41, NULL, '2024-06-13 10:20:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077256618651649', 2, 'online表单加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-13 10:20:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077256618651650', 2, 'online表单加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-13 10:20:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077256748675074', 2, 'online列表加载,表名:aaa,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 54, NULL, '2024-06-13 10:20:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801077456221384705', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:21:43', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801077472667250689', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:21:47', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801081349378551809', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:37:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801081424817303553', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:37:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801081437555404801', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:37:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801081468702306306', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-13 10:37:39', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1801096832202977282', 2, '职务表-分页列表查询', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@2f844cf0', NULL, 60, NULL, '2024-06-13 11:38:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096887383240705', 2, 'online列表加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 50, NULL, '2024-06-13 11:38:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096887450349569', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 49, NULL, '2024-06-13 11:38:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096887450349570', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 51, NULL, '2024-06-13 11:38:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096919029264386', 2, 'online列表加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 42, NULL, '2024-06-13 11:39:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096919029264387', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-06-13 11:39:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096919029264388', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 40, NULL, '2024-06-13 11:39:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096936876027908', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 50, NULL, '2024-06-13 11:39:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096936876027907', 2, 'online表单加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 50, NULL, '2024-06-13 11:39:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801096936876027906', 2, 'online列表加载,Online表单不存在！', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 50, NULL, '2024-06-13 11:39:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801097090085564419', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 200, NULL, '2024-06-13 11:39:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801097090085564418', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 193, NULL, '2024-06-13 11:39:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1801097090408525825', 2, 'online列表加载,表名:test_demo,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 277, NULL, '2024-06-13 11:39:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1802512096341741569', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 09:22:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802512146501423106', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 09:22:39', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802512173349163010', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 09:22:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802607550081478658', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:41:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610043876225026', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:51:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610071286001665', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:51:47', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610122766888962', 2, '职务表-分页列表查询', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7b69acfa', NULL, 66, NULL, '2024-06-17 15:51:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1802610165796253697', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:52:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610239741833218', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:52:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610318519250946', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:52:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610334734430210', 1, '用户名: ceshi,登录成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:52:49', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610440208592898', 2, '职务表-分页列表查询', 1, 'ceshi', '测试用户', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@23de9b0', NULL, 18, NULL, '2024-06-17 15:53:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1802610454632804354', 2, '编辑用户，username： ceshi', 2, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:53:18', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610466418798593', 1, '用户名: 测试用户,退出成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:53:21', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802610494734544897', 1, '用户名: ceshi,登录成功！', NULL, 'ceshi', '测试用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-17 15:53:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802906120173113345', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 11:28:10', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802906584306405378', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 11:30:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802911189513748481', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 11:48:19', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1802911214532771841', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 11:48:25', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803082137600659457', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 23:07:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803082162573545473', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 23:07:42', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803082858735734786', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 23:10:28', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803082874594398210', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-18 23:10:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803242018462986242', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:42:54', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803242046099255298', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:43:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803243252444024834', 2, '未经授权，删除非本租户下的角色ID：1803242364283351041，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:47:49', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803243279111409665', 2, '未经授权，删除非本租户下的角色ID：1803242364283351041，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:47:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803243306860924930', 2, '未经授权，删除非本租户下的角色ID：1803242646316740610，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:48:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803244854370308097', 2, '未经授权，删除非本租户下的角色ID：1803243403678044161，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:54:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803245920478543874', 2, '添加用户，username： 18611566565', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:58:25', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803246179623616514', 2, '未经授权，删除非本租户下的角色ID：1260924539346472962，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:59:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803246240193560578', 2, '未经授权，删除非本租户下的角色ID：1501570619841810433，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 09:59:41', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803246420053704706', 2, '未经授权，删除非本租户下的角色ID：1260924539346472962，操作人：jeecg', 4, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 10:00:24', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803381493088366594', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： jeecg', 2, 'jeecg', 'JEECG用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-19 18:57:08', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803717470369501186', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:12:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803717493232652289', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:12:16', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803717669699604482', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:12:59', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803717797114171393', 2, '编辑用户，username： 18611566565', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:13:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803717923350138881', 2, '删除用户，id： 1803245920382074882', 3, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:13:59', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718150043881473', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@11941698', NULL, 58, NULL, '2024-06-20 17:14:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1803718153810366466', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:14:54', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718429757820930', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:16:00', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718484363464705', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:16:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718611983552514', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:16:43', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718806200799234', 2, '添加用户，username： 1', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:17:30', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803718834495574018', 2, '编辑用户，username： 1', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:17:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803719050535784449', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:18:28', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803719577600413697', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 17:20:33', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803735166725386241', 2, '编辑DEMO', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.test.controller.JeecgDemoController.edit()', NULL, '[{\"age\":1,\"birthday\":1667059200000,\"createBy\":\"admin\",\"createTime\":1667122272000,\"email\":\"2@1.com\",\"id\":\"1586651922650886146\",\"name\":\"龙建林\",\"punchTime\":1666603858000,\"salaryMoney\":9000111,\"sex\":\"1\",\"updateBy\":\"admin\",\"updateTime\":1718878949843}]', NULL, 41, NULL, '2024-06-20 18:22:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1803742086286794753', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:50:00', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742135393705985', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:50:12', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742270777450497', 2, '删除用户，id： 1803718806070775810', 3, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:50:44', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742370832572417', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@41779983', NULL, 125, NULL, '2024-06-20 18:51:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1803742374313844738', 2, '编辑用户，username： ceshi', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:51:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742460628426753', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:51:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742483692904450', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:51:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1803742508951003138', 2, '职务表-分页列表查询', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=1185040064792571906, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@51c87554', NULL, 18, NULL, '2024-06-20 18:51:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1803742512696516610', 2, '编辑用户，username： ceshi', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-20 18:51:42', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804045834561220609', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'jeecg', 'JEECG用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 249, NULL, '2024-06-21 14:56:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804045834561220610', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'jeecg', 'JEECG用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 250, NULL, '2024-06-21 14:56:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804045834682855426', 2, 'online列表加载,表名:test_demo,操作成功', 1, 'jeecg', 'JEECG用户', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 283, NULL, '2024-06-21 14:56:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804045961157898242', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT count(*) c,DATE_FORMAT(create_time, \'%Y-%m-%d\') as date  from jmreport_big_screen GROUP BY date order by date desc]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.jmreport_big_screen\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT count(*) c,DATE_FORMAT(create_time, \'%Y-%m-%d\') as date  from jmreport_big_screen GROUP BY date order by date desc]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.jmreport_big_screen\' doesn\'t exist\r\n	at org.jeecg.modules.drag.service.a.c.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.a.c$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.a.c$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.b.e.b(OnlDragDatasetHeadController.java:426)\r\n	at org.jeecg.modules.drag.b.e$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.b.e$$EnhancerBySpringCGLIB$$1.b(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-21 14:57:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804045961157898243', 4, 'org.jeecg.modules.drag.exception.OnlDragException:SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT count(*) c,DATE_FORMAT(create_time, \'%Y-%m-%d\') as date  from jmreport_big_screen GROUP BY date order by date desc]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.jmreport_big_screen\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/drag/onlDragDatasetHead/getAllChartData', 'org.jeecg.modules.drag.exception.OnlDragException: SQL执行失败！=> PreparedStatementCallback; bad SQL grammar [SELECT count(*) c,DATE_FORMAT(create_time, \'%Y-%m-%d\') as date  from jmreport_big_screen GROUP BY date order by date desc]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.jmreport_big_screen\' doesn\'t exist\r\n	at org.jeecg.modules.drag.service.a.c.getSqlData(OnlDragDatasetHeadServiceImpl.java:541)\r\n	at org.jeecg.modules.drag.service.a.c$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.a.c$$EnhancerBySpringCGLIB$$1.getSqlData(<generated>)\r\n	at org.jeecg.modules.drag.b.e.b(OnlDragDatasetHeadController.java:426)\r\n	at org.jeecg.modules.drag.b.e$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.drag.b.e$$EnhancerBySpringCGLIB$$1.b(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-06-21 14:57:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804046501283590145', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： jeecg', 2, 'jeecg', 'JEECG用户', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-21 14:59:38', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804046997905960961', 4, 'org.springframework.jdbc.BadSqlGrammarException:PreparedStatementCallback; bad SQL grammar [select sex,count(1) c from ceshi_aaa group by sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/jmreport/qurestSql', 'org.springframework.jdbc.BadSqlGrammarException: PreparedStatementCallback; bad SQL grammar [select sex,count(1) c from ceshi_aaa group by sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.springframework.jdbc.core.JdbcTemplate.translateException(JdbcTemplate.java:1577)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:669)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:715)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:740)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:796)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:212)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:219)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$EnhancerBySpringCGLIB$$1.query(<generated>)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.getReturnMinidaoResult(MiniDaoHandler.java:446)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.invoke(MiniDaoHandler.java:131)\r\n	at com.sun.proxy.$Proxy303.selectListBySql(Unknown Source)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:198)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.dao.support.PersistenceExceptionTranslationInterceptor.invoke(PersistenceExceptionTranslationInterceptor.java:137)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:241)\r\n	at com.sun.proxy.$Proxy304.selectListBySql(Unknown Source)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl.qurestechSql(JmReportDbServiceImpl.java:397)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl$$EnhancerBySpringCGLIB$$1.qurestechSql(<generated>)\r\n	at org.jeecg.modules.jmreport.desreport.controller.DesignReportController.qurestSql(DesignReportController.java:1724)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.jeecg.modules.jmreport.common.filter.JimuReportFilter.doFilter(JimuReportFilter.java:26)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeQuery(ClientPreparedStatement.java:1009)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3241)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_executeQuery(WallFilter.java:707)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.executeQuery(PreparedStatementProxyImpl.java:175)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.executeQuery(DruidPooledPreparedStatement.java:213)\r\n	at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:724)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:650)\r\n	... 140 more\r\n', NULL, NULL, NULL, '2024-06-21 15:01:37', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804047086590324737', 4, 'org.springframework.jdbc.BadSqlGrammarException:PreparedStatementCallback; bad SQL grammar [select sex,count(1) c from ceshi_aaa group by sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/jmreport/qurestSql', 'org.springframework.jdbc.BadSqlGrammarException: PreparedStatementCallback; bad SQL grammar [select sex,count(1) c from ceshi_aaa group by sex]; nested exception is java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.springframework.jdbc.core.JdbcTemplate.translateException(JdbcTemplate.java:1577)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:669)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:715)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:740)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:796)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:212)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:219)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$EnhancerBySpringCGLIB$$1.query(<generated>)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.getReturnMinidaoResult(MiniDaoHandler.java:446)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.invoke(MiniDaoHandler.java:131)\r\n	at com.sun.proxy.$Proxy303.selectListBySql(Unknown Source)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:198)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.dao.support.PersistenceExceptionTranslationInterceptor.invoke(PersistenceExceptionTranslationInterceptor.java:137)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:241)\r\n	at com.sun.proxy.$Proxy304.selectListBySql(Unknown Source)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl.qurestechSql(JmReportDbServiceImpl.java:397)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.jmreport.desreport.service.impl.JmReportDbServiceImpl$$EnhancerBySpringCGLIB$$1.qurestechSql(<generated>)\r\n	at org.jeecg.modules.jmreport.desreport.controller.DesignReportController.qurestSql(DesignReportController.java:1724)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.jeecg.modules.jmreport.common.filter.JimuReportFilter.doFilter(JimuReportFilter.java:26)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.ceshi_aaa\' doesn\'t exist\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeQuery(ClientPreparedStatement.java:1009)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3241)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_executeQuery(WallFilter.java:707)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.executeQuery(PreparedStatementProxyImpl.java:175)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.executeQuery(DruidPooledPreparedStatement.java:213)\r\n	at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:724)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:650)\r\n	... 140 more\r\n', NULL, NULL, NULL, '2024-06-21 15:01:58', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804429209448988674', 4, 'org.springframework.beans.factory.NoSuchBeanDefinitionException:No qualifying bean of type \'com.unfbx.chatgpt.OpenAiStreamClient\' available', NULL, 'jeecg', 'jeecg', '127.0.0.1', 'message=12', '/jeecg-boot/test/ai/chat/send', 'org.springframework.beans.factory.NoSuchBeanDefinitionException: No qualifying bean of type \'com.unfbx.chatgpt.OpenAiStreamClient\' available\r\n	at org.springframework.beans.factory.support.DefaultListableBeanFactory.getBean(DefaultListableBeanFactory.java:341)\r\n	at org.springframework.beans.factory.support.DefaultListableBeanFactory.getBean(DefaultListableBeanFactory.java:332)\r\n	at org.springframework.context.support.AbstractApplicationContext.getBean(AbstractApplicationContext.java:1184)\r\n	at org.jeecg.common.util.SpringContextUtils.getBean(SpringContextUtils.java:99)\r\n	at org.jeecg.modules.demo.gpt.service.impl.ChatServiceImpl.ensureClient(ChatServiceImpl.java:77)\r\n	at org.jeecg.modules.demo.gpt.service.impl.ChatServiceImpl.sendMessage(ChatServiceImpl.java:172)\r\n	at org.jeecg.modules.demo.gpt.controller.ChatController.createConnect(ChatController.java:33)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.demo.gpt.controller.ChatController$$SpringCGLIB$$0.createConnect(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-22 16:20:23', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804431250120491009', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719044909378', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:28:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804431264452427777', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719044912796', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:28:33', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804431278939553794', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719044916244', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor362.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 146 more\r\n', NULL, NULL, NULL, '2024-06-22 16:28:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804431287906975745', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719044918388', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor362.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 146 more\r\n', NULL, NULL, NULL, '2024-06-22 16:28:38', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433424275722241', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045427680', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:08', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433429661208578', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045429024', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433431741583361', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045429521', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:10', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433435201884162', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045430339', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:10', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433449940668418', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045433859', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:14', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433462192230402', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045436777', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 147 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433503124443137', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045446534', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor127.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 146 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433536066506753', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045454395', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor127.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 146 more\r\n', NULL, NULL, NULL, '2024-06-22 16:37:34', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804433665729220609', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045485305', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor148.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor127.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor148.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @3ee37e5a\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 144 more\r\n', NULL, NULL, NULL, '2024-06-22 16:38:05', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804435586963603458', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045943319', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @f0da945\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 142 more\r\n', NULL, NULL, NULL, '2024-06-22 16:45:43', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804435592453947394', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'jeecg', 'jeecg', '127.0.0.1', '_t=1719045944669', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @f0da945\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 142 more\r\n', NULL, NULL, NULL, '2024-06-22 16:45:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804472423027478530', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:12:06', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804472515058896898', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@76e29a6e]', NULL, 27, NULL, '2024-06-22 19:12:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804472558633521154', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@6f64f59e]', NULL, 29, NULL, '2024-06-22 19:12:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804472560579678210', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@1c424033]', NULL, 8, NULL, '2024-06-22 19:12:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804472620155572226', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:12:53', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804472651893870593', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:13:00', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804477921386819585', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719056036663', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @3c7f66c4\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 176 more\r\n', NULL, NULL, NULL, '2024-06-22 19:33:57', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804477927233679362', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719056038064', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @3c7f66c4\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 176 more\r\n', NULL, NULL, NULL, '2024-06-22 19:33:58', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804477934426910722', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719056039780', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @3c7f66c4\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 176 more\r\n', NULL, NULL, NULL, '2024-06-22 19:34:00', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804477942115069953', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719056041626', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor183.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @3c7f66c4\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 176 more\r\n', NULL, NULL, NULL, '2024-06-22 19:34:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804478013455986690', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@782fb51a]', NULL, 23, NULL, '2024-06-22 19:34:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804478016463302657', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@618e2978]', NULL, 51, NULL, '2024-06-22 19:34:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804478457750118402', 4, 'org.springframework.web.HttpMediaTypeNotSupportedException:Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported', NULL, NULL, NULL, '127.0.0.1', 'password=123456&captcha=dttg&grant_type=password&checkKey=1629428467008&username=admin', '/jeecg-boot/sys/login', 'org.springframework.web.HttpMediaTypeNotSupportedException: Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported\r\n	at org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:209)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:163)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:136)\r\n	at org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:122)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:914)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:547)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-22 19:36:05', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804478623714533377', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:36:44', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804478645642354689', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:36:49', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804478667599536130', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:36:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804479052242378754', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:38:26', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804479246983913473', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:39:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804480057696808961', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 19:42:26', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804480370780631041', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 137, NULL, '2024-06-22 19:43:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480370910654465', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 183, NULL, '2024-06-22 19:43:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480370910654466', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 177, NULL, '2024-06-22 19:43:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480382545653761', 2, 'online新增数据,表名:aaaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"ad10ccd8557c48dd94f9822df36d5510\",{\"aaa\":\"2\",\"create_by\":\"admin\",\"ccc\":\"2\",\"create_time\":\"2024-06-22 19:43:43\",\"sys_org_code\":\"A01\",\"id\":\"1804480382214303746\"},null]', NULL, 78, NULL, '2024-06-22 19:43:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480455555903489', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@4cda73f]', NULL, 29, NULL, '2024-06-22 19:44:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480789141483521', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@679227db]', NULL, 14, NULL, '2024-06-22 19:45:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480824927285249', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@5fe5e7ea]', NULL, 40, NULL, '2024-06-22 19:45:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480865628811266', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@6fcdf1f3]', NULL, 17, NULL, '2024-06-22 19:45:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804480906753961986', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@10f06d84]', NULL, 49, NULL, '2024-06-22 19:45:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804515216106151938', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:02:08', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804515253552898050', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:02:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804515295399469057', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:02:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804515420192595969', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:02:57', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804517993037402113', 4, 'org.springframework.web.HttpMediaTypeNotSupportedException:Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported', NULL, NULL, NULL, '127.0.0.1', 'password=123456&captcha=&checkKey=1629428467008&username=admin', '/jeecg-boot/sys/login', 'org.springframework.web.HttpMediaTypeNotSupportedException: Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported\r\n	at org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:209)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:163)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:136)\r\n	at org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:122)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:914)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:547)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-22 22:13:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804518022045208577', 4, 'org.springframework.web.HttpMediaTypeNotSupportedException:Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported', NULL, NULL, NULL, '127.0.0.1', 'password=123456&captcha=92kp&checkKey=1629428467008&username=admin', '/jeecg-boot/sys/login', 'org.springframework.web.HttpMediaTypeNotSupportedException: Content-Type \'application/x-www-form-urlencoded;charset=UTF-8\' is not supported\r\n	at org.springframework.web.servlet.mvc.method.annotation.AbstractMessageConverterMethodArgumentResolver.readWithMessageConverters(AbstractMessageConverterMethodArgumentResolver.java:209)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.readWithMessageConverters(RequestResponseBodyMethodProcessor.java:163)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestResponseBodyMethodProcessor.resolveArgument(RequestResponseBodyMethodProcessor.java:136)\r\n	at org.springframework.web.method.support.HandlerMethodArgumentResolverComposite.resolveArgument(HandlerMethodArgumentResolverComposite.java:122)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.getMethodArgumentValues(InvocableHandlerMethod.java:179)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:146)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:914)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:547)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-22 22:13:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804518938584477697', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:16:56', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804522236821594114', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-22 22:30:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804526932005183489', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@75827ca8]', NULL, 14, NULL, '2024-06-22 22:48:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804528355644215298', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@786b50f2]', NULL, 64, NULL, '2024-06-22 22:54:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529018998571010', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@2ffc0f35]', NULL, 54, NULL, '2024-06-22 22:56:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529293058588674', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@16e482f4]', NULL, 14, NULL, '2024-06-22 22:58:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529296778936321', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@b866d11]', NULL, 46, NULL, '2024-06-22 22:58:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529334548643841', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@415029a9]', NULL, 42, NULL, '2024-06-22 22:58:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529354832297985', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@5cf7b8d6]', NULL, 21, NULL, '2024-06-22 22:58:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529796861607937', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: SecurityContextHolderAwareRequestWrapper[ org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@54c0d0f4]', NULL, 42, NULL, '2024-06-22 23:00:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1804529837089177601', 4, 'com.alibaba.fastjson.JSONException:toJSONString error', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719068414326', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: toJSONString error\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1497)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor205.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$SpringCGLIB$$0.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.reflect.InaccessibleObjectException: Unable to make public long com.sun.management.internal.OperatingSystemImpl.getCommittedVirtualMemorySize() accessible: module jdk.management does not \"opens com.sun.management.internal\" to unnamed module @3c7f66c4\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:354)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkCanSetAccessible(AccessibleObject.java:297)\r\n	at java.base/java.lang.reflect.Method.checkCanSetAccessible(Method.java:199)\r\n	at java.base/java.lang.reflect.Method.setAccessible(Method.java:193)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.lambda$createObjectWriter$1(ObjectWriterCreatorASM.java:285)\r\n	at com.alibaba.fastjson2.util.BeanUtils.getters(BeanUtils.java:1013)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterCreatorASM.createObjectWriter(ObjectWriterCreatorASM.java:233)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriterInternal(ObjectWriterProvider.java:393)\r\n	at com.alibaba.fastjson2.writer.ObjectWriterProvider.getObjectWriter(ObjectWriterProvider.java:285)\r\n	at com.alibaba.fastjson2.JSONWriter$Context.getObjectWriter(JSONWriter.java:1641)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:1488)\r\n	... 176 more\r\n', NULL, NULL, NULL, '2024-06-22 23:00:14', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804796199237713922', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-23 16:38:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804799061460123649', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-23 16:50:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1804799489811906561', 2, '测试用户表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.demo1.controller.TestDemoController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719132704551,\"id\":\"11\",\"name\":\"111\",\"sex\":\"1\"}]', NULL, 18, NULL, '2024-06-23 16:51:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805164011756126210', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '192.168.1.11', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:00:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805164121219072002', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '192.168.1.11', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@8a21303', NULL, 239, NULL, '2024-06-24 17:00:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805164180144848897', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '192.168.1.11', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@7db54d2', NULL, 90, NULL, '2024-06-24 17:00:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805164786762842114', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:03:18', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805164838474416129', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:03:30', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805165403942092802', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@b79432b', NULL, 41, NULL, '2024-06-24 17:05:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805166997291024385', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:12:05', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805168421894766594', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 89, NULL, '2024-06-24 17:17:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168422024790018', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 87, NULL, '2024-06-24 17:17:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168422024790019', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 96, NULL, '2024-06-24 17:17:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168507399847937', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"2024-06-26\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-24 17:18:05\",\"sex\":\"2\",\"name\":\"李建政\",\"days\":33,\"id\":\"1805168507206909953\",\"age\":30,\"be_date\":\"2024-06-24\"},null]', NULL, 49, NULL, '2024-06-24 17:18:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168514312060930', 2, 'online表单数据查询', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 17, NULL, '2024-06-24 17:18:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168521371074562', 2, 'online修改数据,表名:qingjia_dan,修改成功！', 3, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"2024-06-26\",\"descc\":\"\",\"update_time\":\"2024-06-24 17:18:08\",\"jeecg_row_key\":\"1805168507206909953\",\"sex\":\"2\",\"name\":\"李建政1\",\"days\":33,\"id\":\"1805168507206909953\",\"update_by\":\"admin\",\"age\":30,\"be_date\":\"2024-06-24\"}]', NULL, 64, NULL, '2024-06-24 17:18:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168606385422337', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2024-06-24 17:18:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168606385422338', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2024-06-24 17:18:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168606385422339', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-24 17:18:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168611787685890', 2, 'online表单数据查询', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 20, NULL, '2024-06-24 17:18:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168716498485250', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"\",\"create_by\":\"admin\",\"descc\":\"我们不妨可以这样来想: 对我个人而言，随机一段废话不仅仅是一个重大的事件，还可能会改变我的人生.\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-24 17:18:55\",\"sex\":\"1\",\"name\":\"刘雅晗\",\"days\":4,\"id\":\"1805168716381044737\",\"age\":44,\"be_date\":\"2024-06-19\"},null]', NULL, 19, NULL, '2024-06-24 17:18:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168726866804738', 2, 'online表单数据查询', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 29, NULL, '2024-06-24 17:18:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168820060045313', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:19:20', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805168834257764355', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 14, NULL, '2024-06-24 17:19:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168834257764354', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 14, NULL, '2024-06-24 17:19:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168834320678914', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 26, NULL, '2024-06-24 17:19:23', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168851341164545', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-24 17:19:27\",\"id\":\"1805168851206946817\"},null]', NULL, 33, NULL, '2024-06-24 17:19:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168861877256194', 2, 'online删除数据,表名:qingjia_dan,删除成功!', 4, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 33, NULL, '2024-06-24 17:19:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168967343030273', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 22, NULL, '2024-06-24 17:19:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168967405944834', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2024-06-24 17:19:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805168967405944833', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 38, NULL, '2024-06-24 17:19:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805169008115859459', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-24 17:20:04\",\"name\":\"萧欣慧\",\"days\":1,\"id\":\"1805169008048750593\",\"be_date\":\"2024-06-24\"},null]', NULL, 15, NULL, '2024-06-24 17:20:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170101642215425', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:24:25', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805170475442855938', 2, '请假单-添加', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.add()', NULL, '[{\"beDate\":1717430400000,\"createBy\":\"admin\",\"createTime\":1719221154411,\"days\":22,\"id\":\"1805170475304443905\",\"name\":\"萧泽远\",\"sysOrgCode\":\"A01\"}]', NULL, 33, NULL, '2024-06-24 17:25:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170536671305729', 2, '请假单-编辑', 3, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.edit()', NULL, '[{\"age\":44,\"beDate\":1717430400000,\"days\":22,\"id\":\"1805170475304443905\",\"name\":\"萧泽远\",\"sex\":\"1\",\"updateBy\":\"admin\",\"updateTime\":1719221169031}]', NULL, 29, NULL, '2024-06-24 17:26:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170653243596801', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 147, NULL, '2024-06-24 17:26:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170653243596802', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 155, NULL, '2024-06-24 17:26:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170654216675329', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 396, NULL, '2024-06-24 17:26:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170682964434945', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 88, NULL, '2024-06-24 17:26:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170683090264065', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 101, NULL, '2024-06-24 17:26:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170683610357761', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 237, NULL, '2024-06-24 17:26:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170696201658370', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 64, NULL, '2024-06-24 17:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170696201658369', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 64, NULL, '2024-06-24 17:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170696461705217', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 126, NULL, '2024-06-24 17:26:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170769144799234', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2024-06-24 17:27:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170769144799233', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 68, NULL, '2024-06-24 17:27:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805170769404846081', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 131, NULL, '2024-06-24 17:27:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172067432882178', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 122, NULL, '2024-06-24 17:32:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172067697123330', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 183, NULL, '2024-06-24 17:32:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172067697123329', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 183, NULL, '2024-06-24 17:32:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172416583524353', 2, '数据集主表-添加', 1, 'admin', '����Ա', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.e.a()', NULL, '[{\"apiMethod\":\"get\",\"code\":\"\",\"content\":\"\",\"dataType\":\"sql\",\"datasetParamList\":[],\"dbSource\":\"707437208002265088\",\"id\":\"\",\"izAgent\":\"0\",\"name\":\"qingjia\",\"parentId\":\"1516743332632494082\",\"querySql\":\"select * from qingjia_dan\"},null]', NULL, 181, NULL, '2024-06-24 17:33:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172437160779778', 2, '数据源表-分页列表查询', 1, 'admin', '����Ա', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 8, NULL, '2024-06-24 17:33:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172444794413057', 2, '数据源表-通过id查询', 1, 'admin', '����Ա', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.c()', NULL, '', NULL, 2, NULL, '2024-06-24 17:33:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172889017344002', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 77, NULL, '2024-06-24 17:35:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172889017344003', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 78, NULL, '2024-06-24 17:35:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172889474523138', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 175, NULL, '2024-06-24 17:35:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172915806363650', 2, 'online表单数据查询', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 89, NULL, '2024-06-24 17:35:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172938468188161', 2, 'online表单数据查询', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 46, NULL, '2024-06-24 17:35:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805172950543589378', 2, 'online修改数据,表名:qingjia_dan,修改成功！', 3, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"\",\"descc\":\"\",\"update_time\":\"2024-06-24 17:35:44\",\"jeecg_row_key\":\"1805169008048750593\",\"sex\":\"2\",\"name\":\"萧欣慧\",\"days\":1,\"id\":\"1805169008048750593\",\"update_by\":\"admin\",\"age\":\"\",\"be_date\":\"2024-06-24\"}]', NULL, 123, NULL, '2024-06-24 17:35:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805173191934173186', 2, 'Online报表，sql解析：select name ,days from qingjia_dan', 2, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:36:42', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805173587100524545', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:38:16', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805174039909195778', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 145, NULL, '2024-06-24 17:40:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174040102133762', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-06-24 17:40:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174040102133763', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-06-24 17:40:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174221891657729', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 133, NULL, '2024-06-24 17:40:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174222088790017', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 181, NULL, '2024-06-24 17:40:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174222088790018', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 181, NULL, '2024-06-24 17:40:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174311637180417', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 139, NULL, '2024-06-24 17:41:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174311830118402', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 191, NULL, '2024-06-24 17:41:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174311830118403', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 191, NULL, '2024-06-24 17:41:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174344264671233', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-24 17:41:16\",\"sex\":\"1\",\"name\":\"1\",\"days\":11,\"id\":\"1805174344004624385\",\"be_date\":\"2024-06-28\"},null]', NULL, 62, NULL, '2024-06-24 17:41:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174458114859010', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 132, NULL, '2024-06-24 17:41:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174458374905858', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 179, NULL, '2024-06-24 17:41:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174458374905857', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 179, NULL, '2024-06-24 17:41:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174503547559937', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 145, NULL, '2024-06-24 17:41:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174503874715650', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 159, NULL, '2024-06-24 17:41:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174503874715651', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 160, NULL, '2024-06-24 17:41:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174594190663681', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 122, NULL, '2024-06-24 17:42:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174594383601666', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 165, NULL, '2024-06-24 17:42:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174594383601667', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 166, NULL, '2024-06-24 17:42:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174653351321601', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 137, NULL, '2024-06-24 17:42:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174653548453889', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-06-24 17:42:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174653548453890', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 182, NULL, '2024-06-24 17:42:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174684888293377', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 124, NULL, '2024-06-24 17:42:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174685018316802', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 163, NULL, '2024-06-24 17:42:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174685018316801', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 163, NULL, '2024-06-24 17:42:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174719118008322', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 137, NULL, '2024-06-24 17:42:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174719248031746', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 175, NULL, '2024-06-24 17:42:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805174719248031747', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 176, NULL, '2024-06-24 17:42:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175001457582082', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:43:54', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805175015131013122', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 176, NULL, '2024-06-24 17:43:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175015328145409', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 227, NULL, '2024-06-24 17:43:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175015328145410', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 227, NULL, '2024-06-24 17:43:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175050430275586', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"create_by\":\"jeecg\",\"sys_org_code\":\"A02A01\",\"create_time\":\"2024-06-24 17:44:05\",\"name\":\"qinfeng1\",\"days\":11,\"id\":\"1805175050098925569\",\"be_date\":\"2024-06-29\"},null]', NULL, 81, NULL, '2024-06-24 17:44:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175081413599234', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"create_by\":\"jeecg\",\"sys_org_code\":\"A02A01\",\"create_time\":\"2024-06-24 17:44:12\",\"name\":\"jeecg\",\"days\":2,\"id\":\"1805175081153552386\",\"be_date\":\"2024-06-14\"},null]', NULL, 62, NULL, '2024-06-24 17:44:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175262842413058', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 143, NULL, '2024-06-24 17:44:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175262976630785', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 184, NULL, '2024-06-24 17:44:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175262976630786', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 185, NULL, '2024-06-24 17:44:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175292617777153', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 144, NULL, '2024-06-24 17:45:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175292810715138', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 198, NULL, '2024-06-24 17:45:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175292810715137', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 198, NULL, '2024-06-24 17:45:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175360078962689', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 115, NULL, '2024-06-24 17:45:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175360339009538', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 166, NULL, '2024-06-24 17:45:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175360271900673', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 166, NULL, '2024-06-24 17:45:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805175382648512513', 2, 'online删除数据,表名:qingjia_dan,删除成功!', 4, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 69, NULL, '2024-06-24 17:45:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176111668879363', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 107, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176111668879362', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 107, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176112314802177', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 298, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176112377716738', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '����Ա', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 276, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176112503545858', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 349, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176112503545859', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 325, NULL, '2024-06-24 17:48:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805176535272611841', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:49:59', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805177533944782850', 1, '用户名: ����Ա,退出成功！', NULL, 'admin', '����Ա', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:53:57', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805177550642307074', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 17:54:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805177674672070659', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 27, NULL, '2024-06-24 17:54:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177674672070658', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 27, NULL, '2024-06-24 17:54:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177674802094081', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 57, NULL, '2024-06-24 17:54:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177863927455746', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-06-24 17:55:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177863927455747', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 39, NULL, '2024-06-24 17:55:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177864061673473', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 72, NULL, '2024-06-24 17:55:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177904868057090', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 25, NULL, '2024-06-24 17:55:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177904868057091', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 26, NULL, '2024-06-24 17:55:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805177904985497602', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 53, NULL, '2024-06-24 17:55:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805178056425037825', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-06-24 17:56:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805178056425037826', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-06-24 17:56:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805178056584421378', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'jeecg', 'jeecg', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 74, NULL, '2024-06-24 17:56:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805180249848897537', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 18:04:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805185990240374786', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2024-06-24 18:27:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805185990240374787', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 35, NULL, '2024-06-24 18:27:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805185990420729857', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2024-06-24 18:27:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186165188988931', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 8, NULL, '2024-06-24 18:28:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186165188988930', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2024-06-24 18:28:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186165251903489', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 24, NULL, '2024-06-24 18:28:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186173263024130', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2024-06-24 18:28:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186173263024131', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2024-06-24 18:28:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805186173330132994', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 27, NULL, '2024-06-24 18:28:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805188232909647874', 2, '请假单-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.edit()', NULL, '[{\"age\":44,\"beDate\":1717430400000,\"days\":22,\"id\":\"1805170475304443905\",\"name\":\"萧**\",\"sex\":\"1\",\"updateBy\":\"admin\",\"updateTime\":1719225388116}]', NULL, 32, NULL, '2024-06-24 18:36:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805189291199660034', 2, '请假单-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.edit()', NULL, '[{\"age\":44,\"beDate\":1717430400000,\"days\":22,\"id\":\"1805170475304443905\",\"name\":\"萧**\",\"sex\":\"1\",\"updateBy\":\"admin\",\"updateTime\":1719225640446}]', NULL, 23, NULL, '2024-06-24 18:40:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805215210907860994', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:23:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805215235989798914', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:23:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805215259570176001', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:23:52', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805215861985476609', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:26:15', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805215909003624449', 2, '请假单-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.add()', NULL, '[{\"beDate\":1719417600000,\"createBy\":\"admin\",\"createTime\":1719231986630,\"days\":1111,\"id\":\"1805215908907155457\",\"name\":\"1212\",\"sysOrgCode\":\"A01\"}]', NULL, 23, NULL, '2024-06-24 20:26:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805216314714456066', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:28:03', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805216773126717442', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:29:53', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805216835508600833', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:30:08', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805216850993971202', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:30:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805218338671656962', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-24 20:36:06', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805218401632354306', 2, '请假单-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.demo.qingjia.controller.QingjiaDanController.add()', NULL, '[{\"age\":111,\"beDate\":1719158400000,\"createBy\":\"admin\",\"createTime\":1719232580925,\"days\":232,\"endDate\":1718985600000,\"id\":\"1805218401506525186\",\"name\":\"22222\",\"sex\":\"1\",\"sysOrgCode\":\"A01\"}]', NULL, 22, NULL, '2024-06-24 20:36:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805225616145518594', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@11787302', NULL, 19, NULL, '2024-06-24 21:05:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805225739361587201', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=1000)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@cffdd08', NULL, 20, NULL, '2024-06-24 21:05:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805225775420018690', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=1000)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3c987f80', NULL, 6, NULL, '2024-06-24 21:05:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805226169621680129', 2, '多数据源管理-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysDataSourceController.queryPageList()', NULL, '  sysDataSource: SysDataSource(id=null, code=null, name=null, remark=null, dbType=null, dbDriver=null, dbUrl=null, dbName=null, dbUsername=null, dbPassword=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=1000)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@23351b74', NULL, 11, NULL, '2024-06-24 21:07:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805226393261969410', 4, 'com.alibaba.fastjson.JSONException:write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @123f1134', NULL, 'admin', '管理员', '127.0.0.1', '_t=1719234486252', '/jeecg-boot/sys/actuator/memory/info', 'com.alibaba.fastjson.JSONException: write javaBean error, fastjson version 1.2.83, class com.sun.management.internal.OperatingSystemImpl, class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @123f1134\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:541)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:154)\r\n	at com.alibaba.fastjson.serializer.JSONSerializer.write(JSONSerializer.java:312)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:793)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:731)\r\n	at com.alibaba.fastjson.JSON.toJSONString(JSON.java:688)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController.getRedisInfo(ActuatorMemoryController.java:34)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$FastClassBySpringCGLIB$$a392ab43.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor139.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.monitor.controller.ActuatorMemoryController$$EnhancerBySpringCGLIB$$f06effce.getRedisInfo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.IllegalAccessException: class com.alibaba.fastjson.util.FieldInfo cannot access class sun.management.BaseOperatingSystemImpl (in module java.management) because module java.management does not export sun.management to unnamed module @123f1134\r\n	at java.base/jdk.internal.reflect.Reflection.newIllegalAccessException(Reflection.java:392)\r\n	at java.base/java.lang.reflect.AccessibleObject.checkAccess(AccessibleObject.java:674)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:560)\r\n	at com.alibaba.fastjson.util.FieldInfo.get(FieldInfo.java:571)\r\n	at com.alibaba.fastjson.serializer.FieldSerializer.getPropertyValueDirect(FieldSerializer.java:143)\r\n	at com.alibaba.fastjson.serializer.JavaBeanSerializer.write(JavaBeanSerializer.java:284)\r\n	... 129 more\r\n', NULL, NULL, NULL, '2024-06-24 21:08:06', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805226629338370050', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 141, NULL, '2024-06-24 21:09:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805226629338370051', 2, 'online表单加载,表名:test_demo,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 137, NULL, '2024-06-24 21:09:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805226629401284609', 2, 'online列表加载,表名:test_demo,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 157, NULL, '2024-06-24 21:09:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805415945272446977', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-25 09:41:19', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805416354636517377', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 167, NULL, '2024-06-25 09:42:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416355026587650', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 266, NULL, '2024-06-25 09:42:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416355026587651', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 266, NULL, '2024-06-25 09:42:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416361599062019', 4, 'org.jeecg.common.exception.JeecgSqlInjectionException:白名单校验未通过！', NULL, 'admin', '管理员', '127.0.0.1', 'pid=0&pidField=pid&hasChildField=has_child&converIsLeafVal=1&condition=&tableName=wu_liao&text=wul_name&code=id&_t=1719279777944', '/jeecg-boot/sys/dict/loadTreeData', 'org.jeecg.common.exception.JeecgSqlInjectionException: 白名单校验未通过！\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.throwException(DictTableWhiteListHandlerImpl.java:271)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.throwException(DictTableWhiteListHandlerImpl.java:263)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.autoAddWhiteList(DictTableWhiteListHandlerImpl.java:212)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.checkWhiteList(DictTableWhiteListHandlerImpl.java:160)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.isPassBySql(DictTableWhiteListHandlerImpl.java:87)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.isPassByDict(DictTableWhiteListHandlerImpl.java:136)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl.dictTableWhiteListCheckByDict(SysBaseApiImpl.java:1818)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl$$FastClassBySpringCGLIB$$93fd2f03.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl$$EnhancerBySpringCGLIB$$82a81ed.dictTableWhiteListCheckByDict(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:234)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy149.dictTableWhiteListCheckByDict(Unknown Source)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl.queryTreeList(SysDictServiceImpl.java:638)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl$$FastClassBySpringCGLIB$$b9b72399.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl$$EnhancerBySpringCGLIB$$746fa934.queryTreeList(<generated>)\r\n	at org.jeecg.modules.system.controller.SysDictController.loadTreeData(SysDictController.java:350)\r\n	at org.jeecg.modules.system.controller.SysDictController$$FastClassBySpringCGLIB$$6132bc9b.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor128.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.controller.SysDictController$$EnhancerBySpringCGLIB$$a610e7d6.loadTreeData(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.jeecg.config.filter.RequestBodyReserveFilter.doFilter(RequestBodyReserveFilter.java:30)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-25 09:42:58', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805416361599062018', 4, 'org.jeecg.common.exception.JeecgSqlInjectionException:白名单校验未通过！', NULL, 'admin', '管理员', '127.0.0.1', 'pid=0&pidField=pid&hasChildField=has_child&converIsLeafVal=1&condition=&tableName=wu_liao&text=wul_name&code=id&_t=1719279777910', '/jeecg-boot/sys/dict/loadTreeData', 'org.jeecg.common.exception.JeecgSqlInjectionException: 白名单校验未通过！\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.throwException(DictTableWhiteListHandlerImpl.java:271)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.throwException(DictTableWhiteListHandlerImpl.java:263)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.autoAddWhiteList(DictTableWhiteListHandlerImpl.java:212)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.checkWhiteList(DictTableWhiteListHandlerImpl.java:160)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.isPassBySql(DictTableWhiteListHandlerImpl.java:87)\r\n	at org.jeecg.config.firewall.SqlInjection.impl.DictTableWhiteListHandlerImpl.isPassByDict(DictTableWhiteListHandlerImpl.java:136)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl.dictTableWhiteListCheckByDict(SysBaseApiImpl.java:1818)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl$$FastClassBySpringCGLIB$$93fd2f03.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysBaseApiImpl$$EnhancerBySpringCGLIB$$82a81ed.dictTableWhiteListCheckByDict(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:234)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy149.dictTableWhiteListCheckByDict(Unknown Source)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl.queryTreeList(SysDictServiceImpl.java:638)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl$$FastClassBySpringCGLIB$$b9b72399.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysDictServiceImpl$$EnhancerBySpringCGLIB$$746fa934.queryTreeList(<generated>)\r\n	at org.jeecg.modules.system.controller.SysDictController.loadTreeData(SysDictController.java:350)\r\n	at org.jeecg.modules.system.controller.SysDictController$$FastClassBySpringCGLIB$$6132bc9b.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor128.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.controller.SysDictController$$EnhancerBySpringCGLIB$$a610e7d6.loadTreeData(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.jeecg.config.filter.RequestBodyReserveFilter.doFilter(RequestBodyReserveFilter.java:30)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-06-25 09:42:58', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805416440825270273', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"笔记本\",\"create_time\":\"2024-06-25 09:43:17\",\"sys_org_code\":\"A01\",\"wul_code\":\"biben\",\"pid\":\"0\",\"id\":\"1805416440368091137\",\"has_child\":\"0\"},null]', NULL, 99, NULL, '2024-06-25 09:43:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416505203642370', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"华为笔记本\",\"create_time\":\"2024-06-25 09:43:32\",\"sys_org_code\":\"A01\",\"wul_code\":\"huawei\",\"pid\":\"1805416440368091137\",\"id\":\"1805416504817766402\",\"has_child\":\"0\"},null]', NULL, 82, NULL, '2024-06-25 09:43:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416734200057858', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 164, NULL, '2024-06-25 09:44:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416734392995841', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 215, NULL, '2024-06-25 09:44:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416734455910401', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 226, NULL, '2024-06-25 09:44:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416741426843650', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 63, NULL, '2024-06-25 09:44:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805416765346959362', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"笔记本\",\"update_time\":\"2024-06-25 09:44:34\",\"jeecg_row_key\":\"1805416440368091137\",\"children\":\"[object Object]\",\"wul_code\":\"biben\",\"pid\":\"0\",\"has_child\":\"1\",\"id\":\"1805416440368091137\",\"update_by\":\"admin\",\"picc\":\"temp/chart_1719279873737.png\"}]', NULL, 76, NULL, '2024-06-25 09:44:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417415099174914', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 107, NULL, '2024-06-25 09:47:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417415229198338', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 129, NULL, '2024-06-25 09:47:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417415229198339', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 129, NULL, '2024-06-25 09:47:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417434845958145', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 258, NULL, '2024-06-25 09:47:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417434845958146', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 260, NULL, '2024-06-25 09:47:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417435101810690', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 324, NULL, '2024-06-25 09:47:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417435101810691', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 325, NULL, '2024-06-25 09:47:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417637460201474', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"qingjia_dan\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 09:48:02\",\"sex\":\"1\",\"name\":\"贺嘉乐\",\"days\":222,\"id\":\"1805417637204348929\",\"age\":45,\"be_date\":\"2024-06-28\"},null]', NULL, 70, NULL, '2024-06-25 09:48:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417652144459777', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 41, NULL, '2024-06-25 09:48:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417659803258881', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"手机\",\"xingqi\":\"2024-06-09\",\"create_time\":\"2024-06-25 09:48:07\",\"sys_org_code\":\"A01\",\"year\":\"2020-01-01\",\"wul_code\":\"shouji\",\"fuwenb\":\"<p>奥斯特洛夫斯基说过一句富有哲理的话, 共同的</p>\",\"pid\":\"0\",\"picc\":\"temp/gpt封面提_1719280045014.png\",\"create_by\":\"admin\",\"guanl\":\"1805417637204348929\",\"yonhu\":\"admin\",\"id\":\"1805417659606126593\",\"has_child\":\"0\"},null]', NULL, 50, NULL, '2024-06-25 09:48:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417690207768577', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 25, NULL, '2024-06-25 09:48:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417883913289730', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-06-25 09:49:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417883913289729', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-06-25 09:49:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417884462743554', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 198, NULL, '2024-06-25 09:49:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417891916021762', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 23, NULL, '2024-06-25 09:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417891924410369', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 28, NULL, '2024-06-25 09:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417892029267970', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 55, NULL, '2024-06-25 09:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417892041850882', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 58, NULL, '2024-06-25 09:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417892276731905', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 38, NULL, '2024-06-25 09:49:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417939462651906', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2024-06-25 09:49:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417939462651907', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2024-06-25 09:49:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417939718504450', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 63, NULL, '2024-06-25 09:49:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417956038541313', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-06-25 09:49:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417956105650177', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-25 09:49:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417956290199554', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2024-06-25 09:49:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417956290199555', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2024-06-25 09:49:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805417956608966658', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 17, NULL, '2024-06-25 09:49:19', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805418220137086977', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 14, NULL, '2024-06-25 09:50:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805418220191612929', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-06-25 09:50:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805418220384550913', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 75, NULL, '2024-06-25 09:50:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805418870346481666', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@10c9d1db', NULL, 36, NULL, '2024-06-25 09:52:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419037233643521', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 19, NULL, '2024-06-25 09:53:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419037422387202', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 59, NULL, '2024-06-25 09:53:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419037422387201', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 59, NULL, '2024-06-25 09:53:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419065494863873', 2, '填值规则-分页列表查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysFillRuleController.queryPageList()', NULL, '  sysFillRule: SysFillRule(id=null, ruleName=null, ruleCode=null, ruleClass=null, ruleParams=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@22ed3bd0', NULL, 3, NULL, '2024-06-25 09:53:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419196583641089', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2024-06-25 09:54:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419196583641090', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 5, NULL, '2024-06-25 09:54:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419196646555649', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 25, NULL, '2024-06-25 09:54:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419210382901249', 2, 'online新增数据,表名:aa_order,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"create_by\":\"admin\",\"money\":\"1\",\"create_time\":\"2024-06-25 09:54:17\",\"sys_org_code\":\"A01\",\"bianma\":\"CN2024062509541581\",\"ding_gou_ren\":\"1\",\"id\":\"1805419210185768962\"},null]', NULL, 39, NULL, '2024-06-25 09:54:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419797681930242', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 15, NULL, '2024-06-25 09:56:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419797811953666', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 51, NULL, '2024-06-25 09:56:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419797811953667', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 51, NULL, '2024-06-25 09:56:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419900660482049', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 32, NULL, '2024-06-25 09:57:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419928070258690', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 6, NULL, '2024-06-25 09:57:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419946659414018', 2, 'online新增数据,表名:aa_order,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"create_by\":\"admin\",\"create_time\":\"2024-06-25 09:57:13\",\"sys_org_code\":\"A01\",\"bianma\":\"CN2024062509563962\",\"aa_order_product\":[{\"shuiguo\":\"苹果\",\"price\":100,\"num\":10,\"heji\":1000,\"order_id\":\"1805419946479058946\",\"sys_org_code\":\"A01\",\"create_by\":\"admin\",\"create_time\":\"2024-06-25 09:57:13\"},{\"shuiguo\":\"1\",\"price\":1,\"num\":1,\"heji\":1,\"order_id\":\"1805419946479058946\",\"sys_org_code\":\"A01\",\"create_by\":\"admin\",\"create_time\":\"2024-06-25 09:57:13\"}],\"ding_gou_ren\":\"林玥傲\",\"id\":\"1805419946479058946\"},null]', NULL, 38, NULL, '2024-06-25 09:57:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419954779586561', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 18, NULL, '2024-06-25 09:57:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805419965395369986', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 12, NULL, '2024-06-25 09:57:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420100997218305', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2024-06-25 09:57:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420101127241730', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 41, NULL, '2024-06-25 09:57:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420101127241731', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 44, NULL, '2024-06-25 09:57:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420106886021122', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-06-25 09:57:51', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420631639588865', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 20, NULL, '2024-06-25 09:59:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420631832526851', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 63, NULL, '2024-06-25 09:59:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420631832526850', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 63, NULL, '2024-06-25 09:59:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420638472110082', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 36, NULL, '2024-06-25 09:59:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420761189056515', 2, 'online修改数据,表名:aa_order,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"update_time\":\"2024-06-25 10:00:27\",\"money\":\"\",\"aa_order_address\":[{\"address\":\"北京\",\"shoujianren\":\"张三\",\"phone\":\"18611788888\",\"youxiang\":\"jeecg@163.com\",\"order_id\":\"1805419946479058946\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:00:27\"}],\"bianma\":\"CN2024062509563962\",\"aa_order_product\":[{\"create_by\":\"admin\",\"update_time\":\"\",\"jeecg_row_key\":\"1805419946529390594\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:00:27\",\"price\":100,\"num\":10,\"id\":\"1805419946529390594\",\"update_by\":\"\",\"heji\":1000,\"order_id\":\"1805419946479058946\",\"shuiguo\":\"苹果\"},{\"create_by\":\"admin\",\"update_time\":\"\",\"jeecg_row_key\":\"1805419946529390595\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25T09:57:13\",\"price\":1,\"num\":1,\"id\":\"1805419946529390595\",\"update_by\":\"\",\"heji\":1,\"order_id\":\"1805419946479058946\",\"shuiguo\":\"1\"}],\"ding_gou_ren\":\"林玥傲\",\"id\":\"1805419946479058946\",\"update_by\":\"admin\"}]', NULL, 65, NULL, '2024-06-25 10:00:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420962033303554', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2024-06-25 10:01:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420962033303555', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 6, NULL, '2024-06-25 10:01:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420962096218113', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 17, NULL, '2024-06-25 10:01:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805420969717268481', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 49, NULL, '2024-06-25 10:01:17', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421055641780226', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.d()', NULL, '', NULL, 43, NULL, '2024-06-25 10:01:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421055708889091', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2024-06-25 10:01:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421055708889090', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2024-06-25 10:01:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421056359006210', 2, 'online表单加载,表名:aa_order_address,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 25, NULL, '2024-06-25 10:01:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421056359006211', 2, 'online表单加载,表名:aa_order_address,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 26, NULL, '2024-06-25 10:01:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421056421920769', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 32, NULL, '2024-06-25 10:01:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421056421920770', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-06-25 10:01:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421115377057793', 2, 'online新增数据,表名:aa_order,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"create_by\":\"admin\",\"create_time\":\"2024-06-25 10:01:51\",\"sys_org_code\":\"A01\",\"bianma\":\"CN2024062510014391\",\"ding_gou_ren\":\"汤姆1\",\"id\":\"1805421115242840066\"},null]', NULL, 30, NULL, '2024-06-25 10:01:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421156820975617', 2, 'online新增数据,表名:aa_order_product,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"3bde42d376a342beba7410e2114ab5d3\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:02:01\",\"id\":\"1805421156758061058\",\"order_id\":\"1805421115242840066\",\"shuiguo\":\"香蕉\"},null]', NULL, 17, NULL, '2024-06-25 10:02:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421201918132226', 2, 'online新增数据,表名:aa_order_address,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"d8efbdee3fd745ae9a837c24fbb4531c\",{\"create_by\":\"admin\",\"address\":\"汤姆星球\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:02:12\",\"id\":\"1805421201788108802\",\"order_id\":\"1805421115242840066\"},null]', NULL, 34, NULL, '2024-06-25 10:02:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421252799234050', 2, 'online新增数据,表名:aa_order_product,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"3bde42d376a342beba7410e2114ab5d3\",{\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:02:24\",\"id\":\"1805421252669210625\",\"order_id\":\"1805421115242840066\",\"shuiguo\":\"菠萝\"},null]', NULL, 26, NULL, '2024-06-25 10:02:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421333359230978', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 15, NULL, '2024-06-25 10:02:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421333552168961', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-06-25 10:02:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421333552168962', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-06-25 10:02:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421338857963521', 2, 'online列表加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2024-06-25 10:02:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421338925072385', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-06-25 10:02:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421342595088386', 2, 'online列表加载,表名:aa_order_address,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2024-06-25 10:02:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421342595088387', 2, 'online表单加载,表名:aa_order_address,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 18, NULL, '2024-06-25 10:02:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421347791831042', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2024-06-25 10:02:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421347858939905', 2, 'online列表加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 14, NULL, '2024-06-25 10:02:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421352896299010', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 37, NULL, '2024-06-25 10:02:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421357208043522', 2, 'online修改数据,表名:aa_order,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"update_time\":\"2024-06-25 10:02:49\",\"money\":\"\",\"aa_order_address\":[{\"address\":\"汤姆星球\",\"phone\":\"\",\"shoujianren\":\"\",\"id\":\"1805421201788108802\",\"youxiang\":\"\",\"order_id\":\"1805421115242840066\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:02:49\"}],\"bianma\":\"CN2024062510014391\",\"aa_order_product\":[{\"create_by\":\"admin\",\"update_time\":\"\",\"jeecg_row_key\":\"1805421156758061058\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:02:49\",\"price\":\"\",\"num\":\"\",\"id\":\"1805421156758061058\",\"update_by\":\"\",\"heji\":\"\",\"order_id\":\"1805421115242840066\",\"shuiguo\":\"香蕉\"},{\"create_by\":\"admin\",\"update_time\":\"\",\"jeecg_row_key\":\"1805421252669210625\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25T10:02:24\",\"price\":\"\",\"num\":\"\",\"id\":\"1805421252669210625\",\"update_by\":\"\",\"heji\":\"\",\"order_id\":\"1805421115242840066\",\"shuiguo\":\"菠萝\"}],\"ding_gou_ren\":\"汤姆1\",\"id\":\"1805421115242840066\",\"update_by\":\"admin\"}]', NULL, 45, NULL, '2024-06-25 10:02:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421357531004929', 2, 'online表单加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2024-06-25 10:02:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421357598113794', 2, 'online列表加载,表名:aa_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2024-06-25 10:02:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421400136744962', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 16, NULL, '2024-06-25 10:03:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421400325488642', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2024-06-25 10:03:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421400325488643', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2024-06-25 10:03:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421422018428930', 2, 'online新增数据,表名:aa_order,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"create_by\":\"admin\",\"money\":\"11\",\"create_time\":\"2024-06-25 10:03:04\",\"sys_org_code\":\"A01\",\"aa_order_address\":[{\"order_id\":\"1805421421888405506\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:03:04\"}],\"bianma\":\"CN2024062510030115\",\"aa_order_product\":\"\",\"ding_gou_ren\":\"11\",\"id\":\"1805421421888405506\"},null]', NULL, 34, NULL, '2024-06-25 10:03:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421470827544578', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2024-06-25 10:03:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421470827544579', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2024-06-25 10:03:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421470827544580', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2024-06-25 10:03:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421477882363906', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 25, NULL, '2024-06-25 10:03:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421555162415106', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 17, NULL, '2024-06-25 10:03:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421555355353091', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 54, NULL, '2024-06-25 10:03:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421555355353090', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 54, NULL, '2024-06-25 10:03:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421561936216065', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 22, NULL, '2024-06-25 10:03:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421618655789058', 2, 'online修改数据,表名:aa_order,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"update_time\":\"2024-06-25 10:03:51\",\"money\":\"11\",\"aa_order_address\":[{\"address\":\"\",\"phone\":\"\",\"shoujianren\":\"\",\"id\":\"1805421421955514370\",\"youxiang\":\"\",\"order_id\":\"1805421421888405506\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:03:51\"}],\"bianma\":\"CN2024062510030115\",\"aa_order_product\":[{\"shuiguo\":\"111\",\"price\":22,\"num\":22,\"heji\":22,\"order_id\":\"1805421421888405506\",\"sys_org_code\":\"A01\",\"create_by\":\"admin\",\"create_time\":\"2024-06-25 10:03:51\"}],\"ding_gou_ren\":\"11\",\"id\":\"1805421421888405506\",\"update_by\":\"admin\"}]', NULL, 50, NULL, '2024-06-25 10:03:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421626390085634', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 17, NULL, '2024-06-25 10:03:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421663169937409', 2, 'online修改数据,表名:aa_order,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"f9c82621b3dc47a29626eac55d585577\",{\"update_time\":\"2024-06-25 10:04:02\",\"money\":\"400\",\"aa_order_address\":[{\"address\":\"\",\"phone\":\"\",\"shoujianren\":\"\",\"id\":\"1805421421955514370\",\"youxiang\":\"\",\"order_id\":\"1805421421888405506\",\"create_by\":\"admin\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:04:02\"}],\"bianma\":\"CN2024062510030115\",\"aa_order_product\":[{\"create_by\":\"admin\",\"update_time\":\"\",\"jeecg_row_key\":\"1805421618529959939\",\"sys_org_code\":\"A01\",\"create_time\":\"2024-06-25 10:04:02\",\"price\":22,\"num\":22,\"id\":\"1805421618529959939\",\"update_by\":\"\",\"heji\":22,\"order_id\":\"1805421421888405506\",\"shuiguo\":\"111\"}],\"ding_gou_ren\":\"11\",\"id\":\"1805421421888405506\",\"update_by\":\"admin\"}]', NULL, 51, NULL, '2024-06-25 10:04:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421667485876225', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 14, NULL, '2024-06-25 10:04:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421755792752642', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 17, NULL, '2024-06-25 10:04:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421886231412737', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2024-06-25 10:04:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421886420156418', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2024-06-25 10:04:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421886420156417', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 48, NULL, '2024-06-25 10:04:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421963612127233', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 12, NULL, '2024-06-25 10:05:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421963733762050', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 51, NULL, '2024-06-25 10:05:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805421963733762051', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 51, NULL, '2024-06-25 10:05:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422007916560385', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 12, NULL, '2024-06-25 10:05:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422008042389505', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 46, NULL, '2024-06-25 10:05:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422008105304065', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 43, NULL, '2024-06-25 10:05:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422110110777346', 2, 'online列表加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 9, NULL, '2024-06-25 10:05:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422110236606465', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 44, NULL, '2024-06-25 10:05:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805422110236606466', 2, 'online表单加载,表名:aa_order,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 47, NULL, '2024-06-25 10:05:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805425072220647425', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-25 10:17:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805425931172163585', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-25 10:21:00', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1805428066567823362', 2, '物料表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.demo.controller.WuLiaoController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719282568938,\"fuwenb\":\"<p>1112223</p>\",\"hasChild\":\"0\",\"id\":\"1805428066496520193\",\"picc\":\"temp/大屏_1719282555560.png\",\"pid\":\"0\",\"sysOrgCode\":\"A01\",\"wulCode\":\"baitang\",\"wulName\":\"白糖\",\"xingqi\":1717776000000,\"year\":1687622400000,\"yonhu\":\"jeecg\"}]', NULL, 29, NULL, '2024-06-25 10:29:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428085043732481', 2, '物料表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.demo.controller.WuLiaoController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719282573362,\"hasChild\":\"0\",\"id\":\"1805428084980817921\",\"pid\":\"1805428066496520193\",\"sysOrgCode\":\"A01\",\"wulCode\":\"1\",\"wulName\":\"1\"}]', NULL, 39, NULL, '2024-06-25 10:29:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428304435191809', 2, '水果订单表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.erp.controller.ErpAaOrderController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719282625658,\"dingGouRen\":\"1111\",\"id\":\"1805428304372277249\",\"sysOrgCode\":\"A01\"}]', NULL, 21, NULL, '2024-06-25 10:30:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428322240012289', 2, '水果明细-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.erp.controller.ErpAaOrderController.addErpAaOrderProduct()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719282629906,\"id\":\"1805428322177097729\",\"orderId\":\"1805428304372277249\",\"price\":12.0,\"shuiguo\":\"12\",\"sysOrgCode\":\"A01\"}]', NULL, 4, NULL, '2024-06-25 10:30:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428350790639618', 2, '订单收获地址-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.erp.controller.ErpAaOrderController.addErpAaOrderAddress()', NULL, '[{\"address\":\"222\",\"createBy\":\"admin\",\"createTime\":1719282636706,\"id\":\"1805428350723530754\",\"orderId\":\"1805428304372277249\",\"shoujianren\":\"222\",\"sysOrgCode\":\"A01\"}]', NULL, 24, NULL, '2024-06-25 10:30:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428371355312130', 2, '水果明细-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.erp.controller.ErpAaOrderController.addErpAaOrderProduct()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719282641604,\"id\":\"1805428371225288706\",\"orderId\":\"1805428304372277249\",\"price\":22.0,\"shuiguo\":\"222\",\"sysOrgCode\":\"A01\"}]', NULL, 22, NULL, '2024-06-25 10:30:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428400786743298', 2, '水果订单表-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.nei.controller.NeiAaOrderController.edit()', NULL, '[{\"bianma\":\"CN2024062510030115\",\"dingGouRen\":\"11\",\"id\":\"1805421421888405506\",\"money\":\"40011\",\"neiAaOrderAddressList\":[{\"createBy\":\"admin\",\"createTime\":1719282648637,\"id\":\"1805421421955514370\",\"orderId\":\"1805421421888405506\",\"sysOrgCode\":\"A01\"}],\"neiAaOrderProductList\":[{\"createBy\":\"admin\",\"createTime\":1719281042000,\"heji\":22.0,\"id\":\"1805421618529959939\",\"num\":22,\"orderId\":\"1805421421888405506\",\"price\":22.0,\"shuiguo\":\"111\",\"sysOrgCode\":\"A01\"}]}]', NULL, 35, NULL, '2024-06-25 10:30:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428417685594113', 2, '水果订单表-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.nei.controller.NeiAaOrderController.edit()', NULL, '[{\"bianma\":\"CN2024062510030115\",\"dingGouRen\":\"11\",\"id\":\"1805421421888405506\",\"money\":\"40011\",\"neiAaOrderAddressList\":[{\"createBy\":\"admin\",\"createTime\":1719282652662,\"id\":\"1805421421955514370\",\"orderId\":\"1805421421888405506\",\"sysOrgCode\":\"A01\"}],\"neiAaOrderProductList\":[{\"createBy\":\"admin\",\"createTime\":1719281042000,\"heji\":22.0,\"id\":\"1805421618529959939\",\"num\":22,\"orderId\":\"1805421421888405506\",\"price\":22.0,\"shuiguo\":\"111\",\"sysOrgCode\":\"A01\"},{\"createBy\":\"admin\",\"createTime\":1719282652660,\"id\":\"1805428417622679553\",\"num\":22,\"orderId\":\"1805421421888405506\",\"price\":22.0,\"shuiguo\":\"22\",\"sysOrgCode\":\"A01\"}]}]', NULL, 35, NULL, '2024-06-25 10:30:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428446697594882', 2, 'Tab水果订单表-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.tab.controller.TabAaOrderController.edit()', NULL, '[{\"bianma\":\"CN2024062510030115\",\"dingGouRen\":\"11111\",\"id\":\"1805421421888405506\",\"money\":\"40011\",\"tabAaOrderAddressList\":[{\"createBy\":\"admin\",\"createTime\":1719282659577,\"id\":\"1805421421955514370\",\"orderId\":\"1805421421888405506\",\"sysOrgCode\":\"A01\"}],\"tabAaOrderProductList\":[{\"createBy\":\"admin\",\"createTime\":1719281042000,\"heji\":22.0,\"id\":\"1805421618529959939\",\"num\":22,\"orderId\":\"1805421421888405506\",\"price\":22.0,\"shuiguo\":\"111\",\"sysOrgCode\":\"A01\"},{\"createBy\":\"admin\",\"createTime\":1719282653000,\"id\":\"1805428417622679553\",\"num\":22,\"orderId\":\"1805421421888405506\",\"price\":22.0,\"shuiguo\":\"22\",\"sysOrgCode\":\"A01\"}]}]', NULL, 21, NULL, '2024-06-25 10:31:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805428464741490690', 2, '水果订单表-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.defa.controller.AaOrderController.edit()', NULL, '[{\"aaOrderAddressList\":[{\"address\":\"222\",\"createBy\":\"admin\",\"createTime\":1719282663862,\"id\":\"1805428350723530754\",\"orderId\":\"1805428304372277249\",\"shoujianren\":\"222\",\"sysOrgCode\":\"A01\"}],\"aaOrderProductList\":[{\"createBy\":\"admin\",\"createTime\":1719282630000,\"id\":\"1805428322177097729\",\"orderId\":\"1805428304372277249\",\"price\":12.0,\"shuiguo\":\"12\",\"sysOrgCode\":\"A01\"},{\"createBy\":\"admin\",\"createTime\":1719282642000,\"id\":\"1805428371225288706\",\"orderId\":\"1805428304372277249\",\"price\":22.0,\"shuiguo\":\"222\",\"sysOrgCode\":\"A01\"}],\"dingGouRen\":\"1111\",\"id\":\"1805428304372277249\",\"money\":\"22222\"}]', NULL, 47, NULL, '2024-06-25 10:31:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805432125525835778', 2, '物料表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.demo.controller.WuLiaoController.add()', NULL, '[{\"createBy\":\"admin\",\"createTime\":1719283536585,\"hasChild\":\"0\",\"id\":\"1805432125098016769\",\"pid\":\"0\",\"sysOrgCode\":\"A01\",\"wulName\":\"111\"}]', NULL, 106, NULL, '2024-06-25 10:45:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1805432161122893826', 2, '水果订单表-添加', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.crm.defa.controller.AaOrderController.add()', NULL, '[{\"aaOrderAddressList\":[{\"createBy\":\"admin\",\"createTime\":1719283545160,\"id\":\"1805432160992870402\",\"orderId\":\"1805432160992870401\",\"sysOrgCode\":\"A01\"}],\"aaOrderProductList\":[],\"money\":\"111\"}]', NULL, 33, NULL, '2024-06-25 10:45:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1806169590704332802', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:36:02', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1806171190030118913', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:42:23', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1806171237144735745', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:42:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1806171256325287938', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:42:39', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1806172221845786626', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:46:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1806172239206010882', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： jeecg', 2, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-06-27 11:46:34', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1808335388839387138', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-03 11:02:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1808335667940958210', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 32, NULL, '2024-07-03 11:03:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808335667974512643', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 42, NULL, '2024-07-03 11:03:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808335667974512642', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 44, NULL, '2024-07-03 11:03:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808335680855220226', 2, 'online新增数据,表名:aaaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"99c89bed908d4ab5a51027e2c265f6e0\",{\"aa\":\"11\",\"dd\":\"111\",\"create_by\":\"admin\",\"create_time\":\"2024-07-03 11:03:18\",\"sys_org_code\":\"A01\",\"id\":\"1808335680658087937\"},null]', NULL, 31, NULL, '2024-07-03 11:03:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808335686744023041', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 8, NULL, '2024-07-03 11:03:20', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808335694784503809', 2, 'online修改数据,表名:aaaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"99c89bed908d4ab5a51027e2c265f6e0\",{\"aa\":\"112\",\"dd\":\"1112\",\"update_time\":\"2024-07-03 11:03:21\",\"jeecg_row_key\":\"1808335680658087937\",\"id\":\"1808335680658087937\",\"update_by\":\"admin\"}]', NULL, 36, NULL, '2024-07-03 11:03:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336463554289665', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 18, NULL, '2024-07-03 11:06:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336463554289666', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 22, NULL, '2024-07-03 11:06:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336463554289667', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 18, NULL, '2024-07-03 11:06:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336469363400705', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 1, NULL, '2024-07-03 11:06:26', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336478955773954', 2, 'online修改数据,表名:aaaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"99c89bed908d4ab5a51027e2c265f6e0\",{\"aa\":\"112\",\"dd\":\"1112\",\"update_time\":\"2024-07-03 11:06:28\",\"jeecg_row_key\":\"1808335680658087937\",\"ddd\":\"2023-01-01\",\"id\":\"1808335680658087937\",\"dd_dictText\":\"1112\",\"update_by\":\"admin\"}]', NULL, 27, NULL, '2024-07-03 11:06:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336489445728259', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 4, NULL, '2024-07-03 11:06:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336489445728258', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 1, NULL, '2024-07-03 11:06:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336489517031425', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 14, NULL, '2024-07-03 11:06:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336498815803395', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2024-07-03 11:06:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336498815803394', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 2, NULL, '2024-07-03 11:06:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336498815803396', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 3, NULL, '2024-07-03 11:06:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336797588660226', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 10, NULL, '2024-07-03 11:07:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336797651574785', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-07-03 11:07:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336797651574786', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2024-07-03 11:07:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336803351633922', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 8, NULL, '2024-07-03 11:07:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808336821894651907', 2, 'online修改数据,表名:aaaa,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"99c89bed908d4ab5a51027e2c265f6e0\",{\"aa\":\"112\",\"dd\":\"1353563050407936002\",\"update_time\":\"2024-07-03 11:07:50\",\"jeecg_row_key\":\"1808335680658087937\",\"ddd\":\"2023-01-01\",\"id\":\"1808335680658087937\",\"dd_dictText\":\"1112\",\"update_by\":\"admin\"}]', NULL, 37, NULL, '2024-07-03 11:07:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808351238451507201', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-03 12:05:07', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1808388454942986242', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-03 14:33:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1808388602628624386', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 47, NULL, '2024-07-03 14:33:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808388602645401603', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 49, NULL, '2024-07-03 14:33:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1808388602645401602', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 53, NULL, '2024-07-03 14:33:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1809587380886925314', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-06 21:57:07', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1810689532988456961', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-09 22:56:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1810949388655906817', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-10 16:09:15', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1810953297696821249', 2, '数据源表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.a()', NULL, '', NULL, 7, NULL, '2024-07-10 16:24:47', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1810953302667071490', 2, '数据源表-通过id查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.drag.b.d.c()', NULL, '', NULL, 2, NULL, '2024-07-10 16:24:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811223611479629825', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-07-11 10:18:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1811224632226447361', 2, 'online列表加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 118, NULL, '2024-07-11 10:22:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224632566185986', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 212, NULL, '2024-07-11 10:22:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224632566185987', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 215, NULL, '2024-07-11 10:22:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224653558677506', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-07-11 10:23:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224653558677507', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-07-11 10:23:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224653755809794', 2, 'online列表加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 105, NULL, '2024-07-11 10:23:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224938758766594', 2, 'online列表加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 82, NULL, '2024-07-11 10:24:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224938955898881', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 128, NULL, '2024-07-11 10:24:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224938955898882', 2, 'online表单加载,表名:st_aaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 128, NULL, '2024-07-11 10:24:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1811224967682686977', 2, 'online新增数据,表名:st_aaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"4028818b909f98d001909f9983d80001\",{\"create_by\":\"admin\",\"sss\":\"1\",\"create_time\":\"2024-07-11 10:24:17\",\"sys_org_code\":\"A01\",\"ddd\":1,\"id\":\"1811224966248235010\"},null]', NULL, 81, NULL, '2024-07-11 10:24:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1825813745285947393', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-20 16:34:54', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826077859476336642', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 10:04:23', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826078331243261954', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 10:06:16', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826078331394256898', 4, 'java.lang.NullPointerException:Cannot invoke \"org.springframework.security.oauth2.server.authorization.OAuth2Authorization.getPrincipalName()\" because \"authorization\" is null', NULL, 'admin', '管理员', '127.0.0.1', '_t=1724205975706', '/jeecg-boot/sys/logout', 'java.lang.NullPointerException: Cannot invoke \"org.springframework.security.oauth2.server.authorization.OAuth2Authorization.getPrincipalName()\" because \"authorization\" is null\r\n	at org.jeecg.modules.system.controller.LoginController.logout(LoginController.java:226)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.controller.LoginController$$SpringCGLIB$$0.logout(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-08-21 10:06:16', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826078396494049282', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 10:06:31', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826078413556477954', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 10:06:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826078413581643777', 4, 'java.lang.NullPointerException:Cannot invoke \"org.springframework.security.oauth2.server.authorization.OAuth2Authorization.getPrincipalName()\" because \"authorization\" is null', NULL, 'admin', '管理员', '127.0.0.1', '_t=1724205995333', '/jeecg-boot/sys/logout', 'java.lang.NullPointerException: Cannot invoke \"org.springframework.security.oauth2.server.authorization.OAuth2Authorization.getPrincipalName()\" because \"authorization\" is null\r\n	at org.jeecg.modules.system.controller.LoginController.logout(LoginController.java:226)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at jdk.internal.reflect.GeneratedMethodAccessor108.invoke(Unknown Source)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:637)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:627)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:71)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:173)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.controller.LoginController$$SpringCGLIB$$0.logout(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2024-08-21 10:06:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826131486513504257', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 13:37:29', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826131514124607489', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 13:37:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826131552808673282', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 13:37:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826131574191235073', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 13:37:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826132815654940674', 1, '用户名: jeecg,登录成功！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 13:42:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1826147297395445762', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-08-21 14:40:19', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833074749073915906', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-09 17:27:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833074801255251970', 4, 'org.springframework.jdbc.BadSqlGrammarException:PreparedStatementCallback; bad SQL grammar [SELECT jrc.* FROM jimu_report_category jrc where 1=1 and (jrc.parent_id IS NULL OR jrc.parent_id = \'0\') and jrc.source_type = ? and jrc.DEL_FLAG = ?]', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/jmreport/category/list', 'org.springframework.jdbc.BadSqlGrammarException: PreparedStatementCallback; bad SQL grammar [SELECT jrc.* FROM jimu_report_category jrc where 1=1 and (jrc.parent_id IS NULL OR jrc.parent_id = \'0\') and jrc.source_type = ? and jrc.DEL_FLAG = ?]\r\n	at org.springframework.jdbc.support.SQLExceptionSubclassTranslator.doTranslate(SQLExceptionSubclassTranslator.java:103)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.springframework.jdbc.core.JdbcTemplate.translateException(JdbcTemplate.java:1572)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:667)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:713)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:738)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:794)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:212)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.query(NamedParameterJdbcTemplate.java:219)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$SpringCGLIB$$0.query(<generated>)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.getReturnMinidaoResult(MiniDaoHandler.java:446)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.invoke(MiniDaoHandler.java:131)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy251.queryList(Unknown Source)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.dao.support.PersistenceExceptionTranslationInterceptor.invoke(PersistenceExceptionTranslationInterceptor.java:137)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:244)\r\n	at jdk.proxy2/jdk.proxy2.$Proxy252.queryList(Unknown Source)\r\n	at org.jeecg.modules.jmreport.desreport.service.a.b.queryList(JimuReportCategoryServiceImpl.java:50)\r\n	at org.jeecg.modules.jmreport.desreport.a.b.a(JimuReportCategoryController.java:56)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.sql.SQLSyntaxErrorException: Table \'jeecg-boot.jimu_report_category\' doesn\'t exist\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeQuery(ClientPreparedStatement.java:1009)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3241)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.executeQuery(PreparedStatementProxyImpl.java:175)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.executeQuery(DruidPooledPreparedStatement.java:213)\r\n	at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:722)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:648)\r\n	... 145 more\r\n', NULL, NULL, NULL, '2024-09-09 17:27:44', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833149798334300162', 2, 'online列表加载,表名:sss222,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 218, NULL, '2024-09-09 22:25:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149798619512834', 2, 'online表单加载,表名:sss222,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 289, NULL, '2024-09-09 22:25:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149798619512833', 2, 'online表单加载,表名:sss222,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 290, NULL, '2024-09-09 22:25:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149892072800258', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 163, NULL, '2024-09-09 22:26:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149892072800259', 2, 'online表单加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 164, NULL, '2024-09-09 22:26:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149892332847106', 2, 'online列表加载,表名:aaaa,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 229, NULL, '2024-09-09 22:26:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833149909932146690', 2, 'online新增数据,表名:aaaa,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"99c89bed908d4ab5a51027e2c265f6e0\",{\"aa\":\"2\",\"dd\":\"2\",\"create_by\":\"admin\",\"create_time\":\"2024-09-09 22:26:11\",\"sys_org_code\":\"A01\",\"id\":\"1833149908048904194\"},null]', NULL, 124, NULL, '2024-09-09 22:26:11', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150148659347459', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-09-09 22:27:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150148659347457', 2, 'online列表加载,实体不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 58, NULL, '2024-09-09 22:27:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150148659347458', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-09-09 22:27:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150164090191873', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2024-09-09 22:27:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150164090191874', 2, 'online表单加载,表不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2024-09-09 22:27:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150164090191875', 2, 'online列表加载,实体不存在', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 69, NULL, '2024-09-09 22:27:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150245413552129', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 124, NULL, '2024-09-09 22:27:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150245606490115', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 166, NULL, '2024-09-09 22:27:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833150245606490114', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 165, NULL, '2024-09-09 22:27:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833351001643028482', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-10 11:45:15', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833351588761702402', 2, '系统表白名单-编辑', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.system.controller.SysTableWhiteListController.edit()', NULL, '[{\"fieldName\":\"role_name,role_code\",\"id\":\"1801097090085564420\",\"status\":\"1\",\"tableName\":\"sys_role\",\"updateBy\":\"admin\",\"updateTime\":1725940055408}]', NULL, 29, NULL, '2024-09-10 11:47:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833407769853177857', 4, 'org.springframework.jdbc.BadSqlGrammarException:\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n### The error may exist in org/jeecg/modules/system/mapper/SysGatewayRouteMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, router_id, name, uri, predicates, filters, strip_prefix, retryable, persistable, show_api, status, create_by, create_time, del_flag FROM sys_gateway_route WHERE del_flag = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'', NULL, 'admin', '管理员', '127.0.0.1', 'column=createTime&order=desc&pageNo=1&pageSize=10&_t=1725953449804', '/jeecg-boot/sys/gatewayRoute/list', 'org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n### The error may exist in org/jeecg/modules/system/mapper/SysGatewayRouteMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, router_id, name, uri, predicates, filters, strip_prefix, retryable, persistable, show_api, status, create_by, create_time, del_flag FROM sys_gateway_route WHERE del_flag = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:92)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:439)\r\n	at com.sun.proxy.$Proxy149.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\r\n	at com.sun.proxy.$Proxy253.selectList(Unknown Source)\r\n	at com.baomidou.mybatisplus.extension.service.IService.list(IService.java:406)\r\n	at com.baomidou.mybatisplus.extension.service.IService$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysGatewayRouteServiceImpl$$EnhancerBySpringCGLIB$$1.list(<generated>)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController.queryPageList(SysGatewayRouteController.java:46)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor226.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController$$EnhancerBySpringCGLIB$$1.queryPageList(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.execute(ClientPreparedStatement.java:371)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3462)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:434)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_execute(WallFilter.java:686)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:434)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.execute(PreparedStatementProxyImpl.java:158)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.execute(DruidPooledPreparedStatement.java:483)\r\n	at org.apache.ibatis.executor.statement.PreparedStatementHandler.query(PreparedStatementHandler.java:65)\r\n	at org.apache.ibatis.executor.statement.RoutingStatementHandler.query(RoutingStatementHandler.java:80)\r\n	at sun.reflect.GeneratedMethodAccessor168.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:61)\r\n	at com.sun.proxy.$Proxy411.query(Unknown Source)\r\n	at org.apache.ibatis.executor.SimpleExecutor.doQuery(SimpleExecutor.java:65)\r\n	at org.apache.ibatis.executor.BaseExecutor.queryFromDatabase(BaseExecutor.java:333)\r\n	at org.apache.ibatis.executor.BaseExecutor.query(BaseExecutor.java:158)\r\n	at org.apache.ibatis.executor.CachingExecutor.query(CachingExecutor.java:110)\r\n	at sun.reflect.GeneratedMethodAccessor165.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:61)\r\n	at com.sun.proxy.$Proxy410.query(Unknown Source)\r\n	at com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor.intercept(MybatisPlusInterceptor.java:81)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:59)\r\n	at com.sun.proxy.$Proxy410.query(Unknown Source)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:154)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:147)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:142)\r\n	at sun.reflect.GeneratedMethodAccessor194.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:425)\r\n	... 139 more\r\n', NULL, NULL, NULL, '2024-09-10 15:30:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833407791495786497', 4, 'org.springframework.jdbc.BadSqlGrammarException:\r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n### The error may exist in org/jeecg/modules/system/mapper/SysGatewayRouteMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, router_id, name, uri, predicates, filters, strip_prefix, retryable, persistable, show_api, status, create_by, create_time, del_flag FROM sys_gateway_route WHERE del_flag = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'', NULL, 'admin', '管理员', '127.0.0.1', 'column=createTime&order=desc&pageNo=1&pageSize=10&_t=1725953455172', '/jeecg-boot/sys/gatewayRoute/list', 'org.springframework.jdbc.BadSqlGrammarException: \r\n### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n### The error may exist in org/jeecg/modules/system/mapper/SysGatewayRouteMapper.java (best guess)\r\n### The error may involve defaultParameterMap\r\n### The error occurred while setting parameters\r\n### SQL: SELECT id, router_id, name, uri, predicates, filters, strip_prefix, retryable, persistable, show_api, status, create_by, create_time, del_flag FROM sys_gateway_route WHERE del_flag = 0\r\n### Cause: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.mybatis.spring.MyBatisExceptionTranslator.translateExceptionIfPossible(MyBatisExceptionTranslator.java:92)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:439)\r\n	at com.sun.proxy.$Proxy149.selectList(Unknown Source)\r\n	at org.mybatis.spring.SqlSessionTemplate.selectList(SqlSessionTemplate.java:224)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.executeForMany(MybatisMapperMethod.java:166)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperMethod.execute(MybatisMapperMethod.java:77)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy$PlainMethodInvoker.invoke(MybatisMapperProxy.java:148)\r\n	at com.baomidou.mybatisplus.core.override.MybatisMapperProxy.invoke(MybatisMapperProxy.java:89)\r\n	at com.sun.proxy.$Proxy253.selectList(Unknown Source)\r\n	at com.baomidou.mybatisplus.extension.service.IService.list(IService.java:406)\r\n	at com.baomidou.mybatisplus.extension.service.IService$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.system.service.impl.SysGatewayRouteServiceImpl$$EnhancerBySpringCGLIB$$1.list(<generated>)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController.queryPageList(SysGatewayRouteController.java:46)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.GeneratedMethodAccessor226.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.controller.SysGatewayRouteController$$EnhancerBySpringCGLIB$$1.queryPageList(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Unknown column \'del_flag\' in \'field list\'\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.execute(ClientPreparedStatement.java:371)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3462)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:434)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_execute(WallFilter.java:686)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_execute(FilterEventAdapter.java:434)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_execute(FilterChainImpl.java:3460)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.execute(PreparedStatementProxyImpl.java:158)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.execute(DruidPooledPreparedStatement.java:483)\r\n	at org.apache.ibatis.executor.statement.PreparedStatementHandler.query(PreparedStatementHandler.java:65)\r\n	at org.apache.ibatis.executor.statement.RoutingStatementHandler.query(RoutingStatementHandler.java:80)\r\n	at sun.reflect.GeneratedMethodAccessor168.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:61)\r\n	at com.sun.proxy.$Proxy411.query(Unknown Source)\r\n	at org.apache.ibatis.executor.SimpleExecutor.doQuery(SimpleExecutor.java:65)\r\n	at org.apache.ibatis.executor.BaseExecutor.queryFromDatabase(BaseExecutor.java:333)\r\n	at org.apache.ibatis.executor.BaseExecutor.query(BaseExecutor.java:158)\r\n	at org.apache.ibatis.executor.CachingExecutor.query(CachingExecutor.java:110)\r\n	at sun.reflect.GeneratedMethodAccessor165.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:61)\r\n	at com.sun.proxy.$Proxy410.query(Unknown Source)\r\n	at com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor.intercept(MybatisPlusInterceptor.java:81)\r\n	at org.apache.ibatis.plugin.Plugin.invoke(Plugin.java:59)\r\n	at com.sun.proxy.$Proxy410.query(Unknown Source)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:154)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:147)\r\n	at org.apache.ibatis.session.defaults.DefaultSqlSession.selectList(DefaultSqlSession.java:142)\r\n	at sun.reflect.GeneratedMethodAccessor194.invoke(Unknown Source)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.mybatis.spring.SqlSessionTemplate$SqlSessionInterceptor.invoke(SqlSessionTemplate.java:425)\r\n	... 139 more\r\n', NULL, NULL, NULL, '2024-09-10 15:30:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833408020974546946', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-10 15:31:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833408100376915969', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-10 15:32:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833409110038163458', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 168, NULL, '2024-09-10 15:36:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409110168186881', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 209, NULL, '2024-09-10 15:36:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409110168186882', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 211, NULL, '2024-09-10 15:36:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409126358200322', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 168, NULL, '2024-09-10 15:36:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409126358200323', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 162, NULL, '2024-09-10 15:36:13', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409126681161730', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 240, NULL, '2024-09-10 15:36:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409126681161731', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 242, NULL, '2024-09-10 15:36:14', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833409144284655617', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"222\",\"create_time\":\"2024-09-10 15:36:17\",\"sys_org_code\":\"A01\",\"wul_code\":\"22\",\"pid\":\"0\",\"id\":\"1833409143831670786\",\"has_child\":\"0\",\"picc\":\"temp/ly-plate-e_1725953776625.png\"},null]', NULL, 102, NULL, '2024-09-10 15:36:18', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465116369756161', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-09-10 19:18:43', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1833465335660552193', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 109, NULL, '2024-09-10 19:19:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465335828324353', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 141, NULL, '2024-09-10 19:19:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465335828324354', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 140, NULL, '2024-09-10 19:19:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465345219371009', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 32, NULL, '2024-09-10 19:19:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465346632851457', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 130, NULL, '2024-09-10 19:19:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465346674794498', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 139, NULL, '2024-09-10 19:19:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465346762874882', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 160, NULL, '2024-09-10 19:19:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465346762874881', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 160, NULL, '2024-09-10 19:19:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465365721128962', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"111\",\"xingqi\":\"\",\"wul_code\":\"11\",\"fuwenb\":\"\",\"pid\":\"0\",\"year1\":\"\",\"picc\":\"temp/jimu20240401133921_1725967180373.png\",\"update_time\":\"2024-09-10 19:19:41\",\"guanl\":\"\",\"jeecg_row_key\":\"1805432125098016769\",\"yonhu\":\"\",\"has_child\":\"0\",\"id\":\"1805432125098016769\",\"update_by\":\"admin\"}]', NULL, 94, NULL, '2024-09-10 19:19:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465649381908481', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 83, NULL, '2024-09-10 19:20:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465649465794562', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 102, NULL, '2024-09-10 19:20:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833465649474183170', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 105, NULL, '2024-09-10 19:20:50', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472108291301378', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-09-10 19:46:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472108291301377', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 36, NULL, '2024-09-10 19:46:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472108391964674', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 62, NULL, '2024-09-10 19:46:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472118416351233', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-09-10 19:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472119863386113', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 117, NULL, '2024-09-10 19:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472119863386114', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 117, NULL, '2024-09-10 19:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472119968243714', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 142, NULL, '2024-09-10 19:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472119972438018', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 142, NULL, '2024-09-10 19:46:32', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472143032721410', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"笔记本\",\"xingqi\":\"\",\"wul_code\":\"biben\",\"fuwenb\":\"\",\"pid\":\"0\",\"year1\":\"\",\"picc\":\"temp/LOGO-mini_1725968796851.png\",\"update_time\":\"2024-09-10 19:46:37\",\"guanl\":\"\",\"jeecg_row_key\":\"1805416440368091137\",\"children\":\"[object Object]\",\"yonhu\":\"\",\"has_child\":\"1\",\"id\":\"1805416440368091137\",\"update_by\":\"admin\"}]', NULL, 52, NULL, '2024-09-10 19:46:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472150423085057', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2024-09-10 19:46:40', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472160338419714', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"白糖\",\"xingqi\":\"2024-06-02\",\"wul_code\":\"baitang\",\"fuwenb\":\"<p>1112223</p>\",\"pid\":\"0\",\"year1\":\"2023-01-01\",\"picc\":\"\",\"update_time\":\"2024-09-10 19:46:41\",\"guanl\":\"\",\"jeecg_row_key\":\"1805428066496520193\",\"children\":\"[object Object]\",\"yonhu\":\"jeecg\",\"has_child\":\"1\",\"id\":\"1805428066496520193\",\"update_by\":\"admin\"}]', NULL, 53, NULL, '2024-09-10 19:46:42', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472166067838977', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 28, NULL, '2024-09-10 19:46:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472175131729922', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"手机\",\"xingqi\":\"2024-06-09\",\"wul_code\":\"shouji\",\"fuwenb\":\"<p>奥斯特洛夫斯基说过一句富有哲理的话, 共同的</p>\",\"pid\":\"0\",\"year1\":\"2020-01-01\",\"picc\":\"\",\"update_time\":\"2024-09-10 19:46:45\",\"guanl\":\"1805417637204348929\",\"jeecg_row_key\":\"1805417659606126593\",\"yonhu\":\"admin\",\"has_child\":\"0\",\"id\":\"1805417659606126593\",\"update_by\":\"admin\"}]', NULL, 52, NULL, '2024-09-10 19:46:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472191414018051', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-09-10 19:46:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472191414018050', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 21, NULL, '2024-09-10 19:46:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472191573401601', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 59, NULL, '2024-09-10 19:46:49', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472202667335682', 2, 'online列表加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 70, NULL, '2024-09-10 19:46:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472202856079363', 2, 'online表单加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 113, NULL, '2024-09-10 19:46:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472202856079362', 2, 'online表单加载,表名:test_shoptype_tree,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 114, NULL, '2024-09-10 19:46:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472226914607105', 2, 'online新增数据,表名:test_shoptype_tree,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"create_by\":\"admin\",\"type_name\":\"笔记本\",\"create_time\":\"2024-09-10 19:46:57\",\"sys_org_code\":\"A01\",\"pid\":\"0\",\"id\":\"1833472226709086209\",\"has_child\":\"0\"},null]', NULL, 49, NULL, '2024-09-10 19:46:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472256471867394', 2, 'online新增数据,表名:test_shoptype_tree,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"create_by\":\"admin\",\"type_name\":\"华为笔记本\",\"create_time\":\"2024-09-10 19:47:04\",\"sys_org_code\":\"A01\",\"pid\":\"1833472226709086209\",\"id\":\"1833472256287318018\",\"has_child\":\"0\"},null]', NULL, 46, NULL, '2024-09-10 19:47:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472272800292865', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 29, NULL, '2024-09-10 19:47:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472287803318274', 2, 'online修改数据,表名:test_shoptype_tree,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"997ee931515a4620bc30a9c1246429a9\",{\"type_name\":\"华为笔记本\",\"update_time\":\"2024-09-10 19:47:12\",\"jeecg_row_key\":\"1833472256287318018\",\"pid\":\"1800713461916487681\",\"pic\":\"\",\"has_child\":\"0\",\"id\":\"1833472256287318018\",\"update_by\":\"admin\"}]', NULL, 51, NULL, '2024-09-10 19:47:12', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472299505426435', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2024-09-10 19:47:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472299505426434', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 20, NULL, '2024-09-10 19:47:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472299664809986', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 57, NULL, '2024-09-10 19:47:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472337765867521', 2, 'online列表加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.d()', NULL, '', NULL, 243, NULL, '2024-09-10 19:47:24', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472338839609347', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 464, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472338839609346', 2, 'online表单加载,表名:test_order_main,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 464, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472339447783425', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 133, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472339447783426', 2, 'online表单加载,表名:test_order_product,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 133, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472339451977730', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 134, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472339749773314', 2, 'online表单加载,表名:test_order_customer,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 11, NULL, '2024-09-10 19:47:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472350294253569', 2, 'online新增数据,表名:test_order_main,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"56870166aba54ebfacb20ba6c770bd73\",{\"order_code\":\"CN2024091019472568\",\"create_by\":\"admin\",\"create_time\":\"2024-09-10 19:47:27\",\"id\":\"1833472350097121281\"},null]', NULL, 47, NULL, '2024-09-10 19:47:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472355730071553', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 148, NULL, '2024-09-10 19:47:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1833472360226365441', 2, 'online修改数据,表名:test_order_main,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"56870166aba54ebfacb20ba6c770bd73\",{\"order_code\":\"CN2023072319214115\",\"order_date\":\"\",\"descc\":\"111\",\"update_time\":\"2024-09-10 19:47:29\",\"xiala\":\"1,2\",\"id\":\"1683074969561157634\",\"update_by\":\"admin\",\"test_order_customer\":[{\"birthday\":\"2023-07-06\",\"address\":\"\",\"jeecg_row_key\":\"1683074969947033601\",\"sex\":\"1\",\"name\":\"于美欣\",\"id\":\"1683074969947033601\",\"order_id\":\"1683074969561157634\",\"age\":22,\"sys_org_code\":\"A01\",\"create_time\":\"2024-09-10 19:47:29\",\"create_by\":\"admin\"}]}]', NULL, 131, NULL, '2024-09-10 19:47:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543624316076033', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-08 14:47:06', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1843543817367306242', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 39, NULL, '2024-10-08 14:47:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543817384083458', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 42, NULL, '2024-10-08 14:47:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543817451192321', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 58, NULL, '2024-10-08 14:47:52', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543823730065410', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 25, NULL, '2024-10-08 14:47:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543823730065409', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 27, NULL, '2024-10-08 14:47:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543823738454017', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 30, NULL, '2024-10-08 14:47:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543823834923009', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2024-10-08 14:47:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543832634572802', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"2\",\"create_time\":\"2024-10-08 14:47:55\",\"sys_org_code\":\"A01\",\"wul_code\":\"2\",\"pid\":\"0\",\"id\":\"1843543832470994946\",\"has_child\":\"0\"},null]', NULL, 37, NULL, '2024-10-08 14:47:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543841195147265', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 8, NULL, '2024-10-08 14:47:58', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843543850225483777', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"手机4\",\"xingqi\":\"2024-06-09\",\"wul_code\":\"shouji\",\"fuwenb\":\"<p>奥斯特洛夫斯基说过一句富有哲理的话, 共同的</p>\",\"pid\":\"0\",\"year1\":\"2020-01-01\",\"picc\":\"\",\"update_time\":\"2024-10-08 14:47:59\",\"guanl\":\"1805417637204348929\",\"jeecg_row_key\":\"1805417659606126593\",\"yonhu\":\"admin\",\"has_child\":\"0\",\"id\":\"1805417659606126593\",\"update_by\":\"admin\"}]', NULL, 33, NULL, '2024-10-08 14:48:00', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843620111522197506', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 24, NULL, '2024-10-08 19:51:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843620111522197507', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 28, NULL, '2024-10-08 19:51:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1843620111656415234', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 61, NULL, '2024-10-08 19:51:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844548525108105217', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-11 09:20:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844552812479516674', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-11 09:37:15', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844552854703575042', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-11 09:37:25', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844552920298295297', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 32, NULL, '2024-10-11 09:37:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552920298295298', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 47, NULL, '2024-10-11 09:37:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552920310878209', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2024-10-11 09:37:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552930943438849', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 25, NULL, '2024-10-11 09:37:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552930943438850', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 25, NULL, '2024-10-11 09:37:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552930972798978', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 31, NULL, '2024-10-11 09:37:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552930976993282', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 31, NULL, '2024-10-11 09:37:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844552938405105665', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"1\",\"create_time\":\"2024-10-11 09:37:45\",\"sys_org_code\":\"A01\",\"wul_code\":\"1\",\"pid\":\"0\",\"id\":\"1844552938199584770\",\"has_child\":\"0\"},null]', NULL, 44, NULL, '2024-10-11 09:37:45', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1844553012099026945', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'code=13', '/jeecg-boot/drag/onlDragDatasetHead/getMapDataByCode', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.modules.drag.e.g.c(DragRedisUtil.java:94)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.e.g$$SpringCGLIB$$0.c(<generated>)\r\n	at org.jeecg.modules.drag.service.a.d.getMapDataByCode(OnlDragDatasetHeadServiceImpl.java:625)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.service.a.d$$SpringCGLIB$$0.getMapDataByCode(<generated>)\r\n	at org.jeecg.modules.drag.b.f.f(OnlDragDatasetHeadController.java:466)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 179 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 227B5C22\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 181 more\r\n', NULL, NULL, NULL, '2024-10-11 09:38:03', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844553018038161409', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'code=13', '/jeecg-boot/drag/onlDragDatasetHead/getMapDataByCode', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.modules.drag.e.g.c(DragRedisUtil.java:94)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.e.g$$SpringCGLIB$$0.c(<generated>)\r\n	at org.jeecg.modules.drag.service.a.d.getMapDataByCode(OnlDragDatasetHeadServiceImpl.java:625)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.service.a.d$$SpringCGLIB$$0.getMapDataByCode(<generated>)\r\n	at org.jeecg.modules.drag.b.f.f(OnlDragDatasetHeadController.java:466)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 179 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 227B5C22\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 181 more\r\n', NULL, NULL, NULL, '2024-10-11 09:38:04', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844553023864049665', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'code=13', '/jeecg-boot/drag/onlDragDatasetHead/getMapDataByCode', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.modules.drag.e.g.c(DragRedisUtil.java:94)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.e.g$$SpringCGLIB$$0.c(<generated>)\r\n	at org.jeecg.modules.drag.service.a.d.getMapDataByCode(OnlDragDatasetHeadServiceImpl.java:625)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.drag.service.a.d$$SpringCGLIB$$0.getMapDataByCode(<generated>)\r\n	at org.jeecg.modules.drag.b.f.f(OnlDragDatasetHeadController.java:466)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 179 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 227B5C22\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 181 more\r\n', NULL, NULL, NULL, '2024-10-11 09:38:06', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844618563567730690', 4, 'org.springframework.data.redis.serializer.SerializationException:Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965151123370508288&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:171)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: com.fasterxml.jackson.core.JsonParseException: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at com.fasterxml.jackson.core.JsonParser._constructError(JsonParser.java:2477)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportError(ParserMinimalBase.java:750)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportUnexpectedChar(ParserMinimalBase.java:674)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._handleUnexpectedValue(UTF8StreamJsonParser.java:2790)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._nextTokenNotInObject(UTF8StreamJsonParser.java:908)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser.nextToken(UTF8StreamJsonParser.java:794)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._initForReading(ObjectMapper.java:4912)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._readMapAndClose(ObjectMapper.java:4818)\r\n	at com.fasterxml.jackson.databind.ObjectMapper.readValue(ObjectMapper.java:3874)\r\n	at org.springframework.data.redis.serializer.JacksonObjectReader.lambda$create$0(JacksonObjectReader.java:54)\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:169)\r\n	... 182 more\r\n', NULL, NULL, NULL, '2024-10-11 13:58:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844618586971947009', 4, 'org.springframework.data.redis.serializer.SerializationException:Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=993809146154418176&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:171)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: com.fasterxml.jackson.core.JsonParseException: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at com.fasterxml.jackson.core.JsonParser._constructError(JsonParser.java:2477)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportError(ParserMinimalBase.java:750)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportUnexpectedChar(ParserMinimalBase.java:674)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._handleUnexpectedValue(UTF8StreamJsonParser.java:2790)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._nextTokenNotInObject(UTF8StreamJsonParser.java:908)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser.nextToken(UTF8StreamJsonParser.java:794)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._initForReading(ObjectMapper.java:4912)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._readMapAndClose(ObjectMapper.java:4818)\r\n	at com.fasterxml.jackson.databind.ObjectMapper.readValue(ObjectMapper.java:3874)\r\n	at org.springframework.data.redis.serializer.JacksonObjectReader.lambda$create$0(JacksonObjectReader.java:54)\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:169)\r\n	... 182 more\r\n', NULL, NULL, NULL, '2024-10-11 13:58:37', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844619781589315585', 4, 'org.springframework.data.redis.serializer.SerializationException:Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965205492447150080&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Could not read JSON: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:171)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: com.fasterxml.jackson.core.JsonParseException: Unexpected character (\'¬\' (code 172)): expected a valid value (JSON String, Number, Array, Object or token \'null\', \'true\' or \'false\')\n at [Source: (byte[])\"��\\u0000\\u0005t\\u0000�eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5MTMwNDUsInVzZXJuYW1lIjoiYWRtaW4ifQ.WILBV6zC36uy_hfJDQ9lK6bKBjvIKQr4EwRmBqQSHi1x-H6LLVPySAEbRzz4LzuPgSAIP7nI3_8jh2tplhICLA\"; line: 1, column: 2]\r\n	at com.fasterxml.jackson.core.JsonParser._constructError(JsonParser.java:2477)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportError(ParserMinimalBase.java:750)\r\n	at com.fasterxml.jackson.core.base.ParserMinimalBase._reportUnexpectedChar(ParserMinimalBase.java:674)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._handleUnexpectedValue(UTF8StreamJsonParser.java:2790)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser._nextTokenNotInObject(UTF8StreamJsonParser.java:908)\r\n	at com.fasterxml.jackson.core.json.UTF8StreamJsonParser.nextToken(UTF8StreamJsonParser.java:794)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._initForReading(ObjectMapper.java:4912)\r\n	at com.fasterxml.jackson.databind.ObjectMapper._readMapAndClose(ObjectMapper.java:4818)\r\n	at com.fasterxml.jackson.databind.ObjectMapper.readValue(ObjectMapper.java:3874)\r\n	at org.springframework.data.redis.serializer.JacksonObjectReader.lambda$create$0(JacksonObjectReader.java:54)\r\n	at org.springframework.data.redis.serializer.Jackson2JsonRedisSerializer.deserialize(Jackson2JsonRedisSerializer.java:169)\r\n	... 182 more\r\n', NULL, NULL, NULL, '2024-10-11 14:03:22', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844622084891410433', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-11 14:12:31', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844622262193029121', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965205492447150080&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:13:13', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844622269952491522', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965205492447150080&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:13:15', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844622277040865282', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965205492447150080&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:13:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844622395999715329', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965205492447150080&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:13:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844625232070639617', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=993809146154418176&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:25:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844627125459156994', 4, 'org.springframework.data.redis.serializer.SerializationException:Cannot deserialize', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'tenantId=1000&pageId=965151123370508288&token=eyJraWQiOiJqZWVjZyIsImFsZyI6IkVTMjU2In0.eyJleHAiOjE3Mjg5Mjk1NTEsInVzZXJuYW1lIjoiYWRtaW4ifQ.cM43IPsXeYbgBkYQQSpeUQrFzZHeO6K0ouUstgF1n5bKdvFMb6pzqhYw7bmpMIS02b5_hvHiAkqUj1dypoITFA', '/jeecg-boot/drag/view', 'org.springframework.data.redis.serializer.SerializationException: Cannot deserialize\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:99)\r\n	at org.springframework.data.redis.core.AbstractOperations.deserializeValue(AbstractOperations.java:360)\r\n	at org.springframework.data.redis.core.AbstractOperations$ValueDeserializingRedisCallback.doInRedis(AbstractOperations.java:62)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:406)\r\n	at org.springframework.data.redis.core.RedisTemplate.execute(RedisTemplate.java:373)\r\n	at org.springframework.data.redis.core.AbstractOperations.execute(AbstractOperations.java:97)\r\n	at org.springframework.data.redis.core.DefaultValueOperations.get(DefaultValueOperations.java:50)\r\n	at org.jeecg.common.util.RedisUtil.get(RedisUtil.java:93)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.common.util.RedisUtil$$SpringCGLIB$$0.get(<generated>)\r\n	at org.jeecg.common.util.TokenUtils.jwtTokenRefresh(TokenUtils.java:133)\r\n	at org.jeecg.common.util.TokenUtils.verifyToken(TokenUtils.java:118)\r\n	at org.jeecg.config.jimureport.JimuReportTokenService.verifyToken(JimuReportTokenService.java:59)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient.verifyToken(JmReportTokenClient.java:163)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:699)\r\n	at org.jeecg.modules.jmreport.config.client.JmReportTokenClient$$SpringCGLIB$$0.verifyToken(<generated>)\r\n	at org.jeecg.modules.drag.b.a.b(DragIndexController.java:97)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.RedisTokenValidationFilter.doFilterInternal(RedisTokenValidationFilter.java:47)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.security.web.FilterChainProxy.lambda$doFilterInternal$3(FilterChainProxy.java:231)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$FilterObservation$SimpleFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:479)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$1(ObservationFilterChainDecorator.java:340)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator.lambda$wrapSecured$0(ObservationFilterChainDecorator.java:82)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:128)\r\n	at org.springframework.security.web.access.intercept.AuthorizationFilter.doFilter(AuthorizationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:126)\r\n	at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter(ExceptionTranslationFilter.java:120)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter(AnonymousAuthenticationFilter.java:100)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilter(SecurityContextHolderAwareRequestFilter.java:179)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter(RequestCacheAwareFilter.java:63)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.oauth2.server.resource.web.authentication.BearerTokenAuthenticationFilter.doFilterInternal(BearerTokenAuthenticationFilter.java:145)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:107)\r\n	at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter(LogoutFilter.java:93)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doHeadersAfter(HeaderWriterFilter.java:90)\r\n	at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal(HeaderWriterFilter.java:75)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:82)\r\n	at org.springframework.security.web.context.SecurityContextHolderFilter.doFilter(SecurityContextHolderFilter.java:69)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doFilterInternal(WebAsyncManagerIntegrationFilter.java:62)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:227)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.session.DisableEncodeUrlFilter.doFilterInternal(DisableEncodeUrlFilter.java:42)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.wrapFilter(ObservationFilterChainDecorator.java:240)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$AroundFilterObservation$SimpleAroundFilterObservation.lambda$wrap$0(ObservationFilterChainDecorator.java:323)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$ObservationFilter.doFilter(ObservationFilterChainDecorator.java:224)\r\n	at org.springframework.security.web.ObservationFilterChainDecorator$VirtualFilterChain.doFilter(ObservationFilterChainDecorator.java:137)\r\n	at org.springframework.security.web.FilterChainProxy.doFilterInternal(FilterChainProxy.java:233)\r\n	at org.springframework.security.web.FilterChainProxy.doFilter(FilterChainProxy.java:191)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.jeecg.config.security.CopyTokenFilter.doFilterInternal(CopyTokenFilter.java:41)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: org.springframework.core.serializer.support.SerializationFailedException: Failed to deserialize payload. Is the byte array a result of corresponding serialization for DefaultDeserializer?\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:80)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:37)\r\n	at org.springframework.data.redis.serializer.JdkSerializationRedisSerializer.deserialize(JdkSerializationRedisSerializer.java:97)\r\n	... 182 more\r\nCaused by: java.io.StreamCorruptedException: invalid stream header: 2265794A\r\n	at java.base/java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:963)\r\n	at java.base/java.io.ObjectInputStream.<init>(ObjectInputStream.java:397)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:65)\r\n	at org.springframework.core.ConfigurableObjectInputStream.<init>(ConfigurableObjectInputStream.java:51)\r\n	at org.springframework.core.serializer.DefaultDeserializer.deserialize(DefaultDeserializer.java:70)\r\n	at org.springframework.core.serializer.support.DeserializingConverter.convert(DeserializingConverter.java:75)\r\n	... 184 more\r\n', NULL, NULL, NULL, '2024-10-11 14:32:33', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1844661191084564482', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-11 16:47:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1847598538352742402', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-19 19:19:53', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1847599318984019969', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 58, NULL, '2024-10-19 19:22:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599318984019970', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2024-10-19 19:22:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599318984019971', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 66, NULL, '2024-10-19 19:22:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599325921398785', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 13, NULL, '2024-10-19 19:23:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599329000017922', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2024-10-19 19:23:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599329000017923', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2024-10-19 19:23:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599329000017924', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 33, NULL, '2024-10-19 19:23:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599329000017925', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 37, NULL, '2024-10-19 19:23:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599330115702786', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"笔记本\",\"xingqi\":\"\",\"wul_code\":\"biben\",\"fuwenb\":\"\",\"pid\":\"0\",\"year1\":\"\",\"picc\":\"temp/LOGO-mini_1725968796851.png\",\"update_time\":\"2024-10-19 19:23:01\",\"guanl\":\"\",\"jeecg_row_key\":\"1805416440368091137\",\"children\":\"[object Object]\",\"yonhu\":\"\",\"has_child\":\"1\",\"id\":\"1805416440368091137\",\"update_by\":\"admin\"}]', NULL, 53, NULL, '2024-10-19 19:23:02', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599481366499330', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2024-10-19 19:23:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599481366499329', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2024-10-19 19:23:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847599481433608194', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 22, NULL, '2024-10-19 19:23:38', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847600984818962433', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2024-10-19 19:29:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847600984818962434', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 12, NULL, '2024-10-19 19:29:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847600984948985858', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 54, NULL, '2024-10-19 19:29:36', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612522044743682', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-19 20:15:27', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1847612637719453697', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 11, NULL, '2024-10-19 20:15:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612637736230913', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 7, NULL, '2024-10-19 20:15:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612637853671426', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 44, NULL, '2024-10-19 20:15:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612643385958401', 2, 'online表单数据查询', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 11, NULL, '2024-10-19 20:15:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612644866547715', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2024-10-19 20:15:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612644866547714', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 9, NULL, '2024-10-19 20:15:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612644916879362', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 19, NULL, '2024-10-19 20:15:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612644916879361', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 18, NULL, '2024-10-19 20:15:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1847612647777394690', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"笔记本\",\"xingqi\":\"\",\"wul_code\":\"biben\",\"fuwenb\":\"\",\"pid\":\"0\",\"year1\":\"\",\"picc\":\"temp/LOGO-mini_1725968796851.png\",\"update_time\":\"2024-10-19 20:15:56\",\"guanl\":\"\",\"jeecg_row_key\":\"1805416440368091137\",\"children\":\"[object Object]\",\"yonhu\":\"\",\"has_child\":\"1\",\"id\":\"1805416440368091137\",\"update_by\":\"admin\"}]', NULL, 39, NULL, '2024-10-19 20:15:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1851220775173488642', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-10-29 19:13:21', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1851798593255231489', 4, 'jakarta.servlet.ServletException:Handler dispatch failed: java.lang.NoClassDefFoundError: org/jeecg/modules/jmreport/common/util/ViewFreemarker', NULL, NULL, NULL, '0:0:0:0:0:0:0:1', 'token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE3MzA1MDI4MDEsInVzZXJuYW1lIjoiYWRtaW4ifQ.mLODXo2tvNm4SEqNmu5AD0KY8rtmlzgRF3yaSLLjbYE', '/jeecg-boot/jmreport/list', 'jakarta.servlet.ServletException: Handler dispatch failed: java.lang.NoClassDefFoundError: org/jeecg/modules/jmreport/common/util/ViewFreemarker\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1096)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:352)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:268)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\nCaused by: java.lang.NoClassDefFoundError: org/jeecg/modules/jmreport/common/util/ViewFreemarker\r\n	at org.jeecg.modules.jmreport.desreport.a.a.a(DesignReportController.java:863)\r\n	at org.jeecg.modules.jmreport.desreport.a.a.a(DesignReportController.java:853)\r\n	at org.jeecg.modules.jmreport.desreport.a.a.b(DesignReportController.java:136)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	... 106 more\r\nCaused by: java.lang.ClassNotFoundException: org.jeecg.modules.jmreport.common.util.ViewFreemarker\r\n	at java.base/jdk.internal.loader.BuiltinClassLoader.loadClass(BuiltinClassLoader.java:641)\r\n	at java.base/jdk.internal.loader.ClassLoaders$AppClassLoader.loadClass(ClassLoaders.java:188)\r\n	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:520)\r\n	... 120 more\r\n', NULL, NULL, NULL, '2024-10-31 09:29:24', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1851839596037074947', 4, 'org.springframework.jdbc.BadSqlGrammarException:PreparedStatementCallback; bad SQL grammar [SELECT count(0) FROM onl_drag_page odp WHERE 1 = 1 AND odp.iz_template = ? AND odp.TYPE = ? AND odp.del_flag = ?]; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'pageNo=1&pageSize=10&izTemplate=0&style=&name=&type=1', '/jeecg-boot/drag/page/list', 'org.springframework.jdbc.BadSqlGrammarException: PreparedStatementCallback; bad SQL grammar [SELECT count(0) FROM onl_drag_page odp WHERE 1 = 1 AND odp.iz_template = ? AND odp.TYPE = ? AND odp.del_flag = ?]; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.springframework.jdbc.core.JdbcTemplate.translateException(JdbcTemplate.java:1577)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:669)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:715)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:740)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:796)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:246)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:255)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:271)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$EnhancerBySpringCGLIB$$1.queryForObject(<generated>)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.getReturnMinidaoResult(MiniDaoHandler.java:422)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.invoke(MiniDaoHandler.java:128)\r\n	at com.sun.proxy.$Proxy341.getAll(Unknown Source)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:198)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.dao.support.PersistenceExceptionTranslationInterceptor.invoke(PersistenceExceptionTranslationInterceptor.java:137)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:241)\r\n	at com.sun.proxy.$Proxy342.getAll(Unknown Source)\r\n	at org.jeecg.modules.drag.service.a.h.pageList(OnlDragPageServiceImpl.java:472)\r\n	at org.jeecg.modules.drag.service.a.h$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.a.h$$EnhancerBySpringCGLIB$$1.pageList(<generated>)\r\n	at org.jeecg.modules.drag.b.k.a(OnlDragPageController.java:104)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeQuery(ClientPreparedStatement.java:1009)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3241)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_executeQuery(WallFilter.java:707)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.executeQuery(PreparedStatementProxyImpl.java:175)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.executeQuery(DruidPooledPreparedStatement.java:213)\r\n	at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:724)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:650)\r\n	... 138 more\r\n', NULL, NULL, NULL, '2024-10-31 12:12:20', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1851839596037074946', 4, 'org.springframework.jdbc.BadSqlGrammarException:PreparedStatementCallback; bad SQL grammar [SELECT count(0) FROM onl_drag_page odp WHERE 1 = 1 AND odp.iz_template = ? AND odp.TYPE = ? AND odp.del_flag = ?]; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'pageNo=1&pageSize=10&izTemplate=0&style=&name=&type=988299668956545024', '/jeecg-boot/drag/page/list', 'org.springframework.jdbc.BadSqlGrammarException: PreparedStatementCallback; bad SQL grammar [SELECT count(0) FROM onl_drag_page odp WHERE 1 = 1 AND odp.iz_template = ? AND odp.TYPE = ? AND odp.del_flag = ?]; nested exception is java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'\r\n	at org.springframework.jdbc.support.SQLErrorCodeSQLExceptionTranslator.doTranslate(SQLErrorCodeSQLExceptionTranslator.java:236)\r\n	at org.springframework.jdbc.support.AbstractFallbackSQLExceptionTranslator.translate(AbstractFallbackSQLExceptionTranslator.java:73)\r\n	at org.springframework.jdbc.core.JdbcTemplate.translateException(JdbcTemplate.java:1577)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:669)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:715)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:740)\r\n	at org.springframework.jdbc.core.JdbcTemplate.query(JdbcTemplate.java:796)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:246)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:255)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate.queryForObject(NamedParameterJdbcTemplate.java:271)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate$$EnhancerBySpringCGLIB$$1.queryForObject(<generated>)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.getReturnMinidaoResult(MiniDaoHandler.java:422)\r\n	at org.jeecgframework.minidao.aop.MiniDaoHandler.invoke(MiniDaoHandler.java:128)\r\n	at com.sun.proxy.$Proxy341.getAll(Unknown Source)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:344)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:198)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.dao.support.PersistenceExceptionTranslationInterceptor.invoke(PersistenceExceptionTranslationInterceptor.java:137)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:241)\r\n	at com.sun.proxy.$Proxy342.getAll(Unknown Source)\r\n	at org.jeecg.modules.drag.service.a.h.pageList(OnlDragPageServiceImpl.java:472)\r\n	at org.jeecg.modules.drag.service.a.h$$FastClassBySpringCGLIB$$1.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy.invokeMethod(CglibAopProxy.java:386)\r\n	at org.springframework.aop.framework.CglibAopProxy.access$000(CglibAopProxy.java:85)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.drag.service.a.h$$EnhancerBySpringCGLIB$$1.pageList(<generated>)\r\n	at org.jeecg.modules.drag.b.k.a(OnlDragPageController.java:104)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate(DelegatingFilterProxy.java:354)\r\n	at org.springframework.web.filter.DelegatingFilterProxy.doFilter(DelegatingFilterProxy.java:267)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.__invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:41002)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\nCaused by: java.sql.SQLSyntaxErrorException: Unknown column \'odp.del_flag\' in \'where clause\'\r\n	at com.mysql.cj.jdbc.exceptions.SQLError.createSQLException(SQLError.java:120)\r\n	at com.mysql.cj.jdbc.exceptions.SQLExceptionsMapping.translateException(SQLExceptionsMapping.java:122)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeInternal(ClientPreparedStatement.java:953)\r\n	at com.mysql.cj.jdbc.ClientPreparedStatement.executeQuery(ClientPreparedStatement.java:1009)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3241)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.wall.WallFilter.preparedStatement_executeQuery(WallFilter.java:707)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.filter.FilterEventAdapter.preparedStatement_executeQuery(FilterEventAdapter.java:459)\r\n	at com.alibaba.druid.filter.FilterChainImpl.preparedStatement_executeQuery(FilterChainImpl.java:3238)\r\n	at com.alibaba.druid.proxy.jdbc.PreparedStatementProxyImpl.executeQuery(PreparedStatementProxyImpl.java:175)\r\n	at com.alibaba.druid.pool.DruidPooledPreparedStatement.executeQuery(DruidPooledPreparedStatement.java:213)\r\n	at org.springframework.jdbc.core.JdbcTemplate$1.doInPreparedStatement(JdbcTemplate.java:724)\r\n	at org.springframework.jdbc.core.JdbcTemplate.execute(JdbcTemplate.java:650)\r\n	... 138 more\r\n', NULL, NULL, NULL, '2024-10-31 12:12:20', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1864124290195656705', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-04 09:47:19', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1866001034079055873', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-09 14:04:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1866001696900722690', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-09 14:07:28', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1866001714760069122', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-09 14:07:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1866002778636849154', 2, 'online表单加载,Online表单不存在！', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 27, NULL, '2024-12-09 14:11:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1866002778636849155', 2, 'online表单加载,Online表单不存在！', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 19, NULL, '2024-12-09 14:11:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1866002778636849153', 2, 'online列表加载,Online表单不存在！', 1, 'admin', '管理员', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 21, NULL, '2024-12-09 14:11:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1867050763659476993', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-12 11:36:05', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1868562247887560706', 4, 'org.jeecg.common.exception.JeecgBootException:短信接口未配置，请联系管理员！', NULL, 'admin', '管理员', '127.0.0.1', NULL, '/jeecg-boot/sys/user/sendChangePhoneSms', 'org.jeecg.common.exception.JeecgBootException: 短信接口未配置，请联系管理员！\r\n	at org.jeecg.modules.system.service.impl.SysUserServiceImpl.sendPhoneSms(SysUserServiceImpl.java:2050)\r\n	at org.jeecg.modules.system.service.impl.SysUserServiceImpl.sendChangePhoneSms(SysUserServiceImpl.java:1982)\r\n	at org.jeecg.modules.system.service.impl.SysUserServiceImpl$$FastClassBySpringCGLIB$$5195d464.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.service.impl.SysUserServiceImpl$$EnhancerBySpringCGLIB$$29f15323.sendChangePhoneSms(<generated>)\r\n	at org.jeecg.modules.system.controller.SysUserController.sendChangePhoneSms(SysUserController.java:1859)\r\n	at org.jeecg.modules.system.controller.SysUserController$$FastClassBySpringCGLIB$$97a54670.invoke(<generated>)\r\n	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:792)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.aspectj.MethodInvocationProceedingJoinPoint.proceed(MethodInvocationProceedingJoinPoint.java:89)\r\n	at org.jeecg.common.aspect.DictAspect.doAround(DictAspect.java:64)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)\r\n	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:624)\r\n	at org.springframework.aop.aspectj.AspectJAroundAdvice.invoke(AspectJAroundAdvice.java:72)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:175)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:762)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:707)\r\n	at org.jeecg.modules.system.controller.SysUserController$$EnhancerBySpringCGLIB$$e38e5856.sendChangePhoneSms(<generated>)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)\r\n	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.lang.reflect.Method.invoke(Method.java:498)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:117)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:895)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:808)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1072)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:909)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:555)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.jeecg.config.filter.RequestBodyReserveFilter.doFilter(RequestBodyReserveFilter.java:32)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2024-12-16 15:42:11', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1868564686191665154', 2, '修改数据库连接ID:707437208002265088 ,连接名字: MySQL5.7，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-16 15:51:52', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1868564777191284738', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-16 15:52:14', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1868564807109255170', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-16 15:52:21', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1868564866471239681', 2, '修改数据库连接ID:707437208002265088 ,连接名字: MySQL5.7，操作人： jeecg', 2, 'jeecg', 'jeecg', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2024-12-16 15:52:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1876901585515945985', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-08 15:59:44', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1876936418111733762', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-08 18:18:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1876936452467277825', 1, '用户名: jeecg,登录成功！', NULL, 'jeecg', 'jeecg', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-08 18:18:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1877165045814333441', 1, '用户名: jeecg,退出成功！', NULL, 'jeecg', 'jeecg', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-09 09:26:38', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1877165064730644481', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-09 09:26:42', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1878370528751419394', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-12 17:16:47', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1879163286189715458', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-14 21:46:55', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1883340241520816130', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-26 10:24:39', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1883367954528821250', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-01-26 12:14:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886234655553462274', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-03 10:06:01', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886235066825940994', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-03 10:07:39', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886334958776750081', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-03 16:44:35', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886408834609291265', 4, 'org.springframework.web.HttpRequestMethodNotSupportedException:Request method \'GET\' not supported', NULL, NULL, NULL, '192.168.1.11', NULL, '/jeecg-boot//test/jeecgDemo/heel', 'org.springframework.web.HttpRequestMethodNotSupportedException: Request method \'GET\' not supported\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:260)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)\r\n	at org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1266)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1048)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2025-02-03 21:38:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886408858462298113', 4, 'org.springframework.web.HttpRequestMethodNotSupportedException:Request method \'GET\' not supported', NULL, NULL, NULL, '192.168.1.11', NULL, '/jeecg-boot/test/jeecgDemo/heel', 'org.springframework.web.HttpRequestMethodNotSupportedException: Request method \'GET\' not supported\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:260)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)\r\n	at org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1266)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1048)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2025-02-03 21:38:14', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1886409089157382146', 4, 'org.springframework.web.HttpRequestMethodNotSupportedException:Request method \'GET\' not supported', NULL, NULL, NULL, '192.168.1.11', NULL, '/jeecg-boot/test/jeecgDemo/heel', 'org.springframework.web.HttpRequestMethodNotSupportedException: Request method \'GET\' not supported\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.handleNoMatch(RequestMappingInfoHandlerMapping.java:260)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.lookupHandlerMethod(AbstractHandlerMethodMapping.java:442)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMethodMapping.getHandlerInternal(AbstractHandlerMethodMapping.java:383)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:125)\r\n	at org.springframework.web.servlet.mvc.method.RequestMappingInfoHandlerMapping.getHandlerInternal(RequestMappingInfoHandlerMapping.java:67)\r\n	at org.springframework.web.servlet.handler.AbstractHandlerMapping.getHandler(AbstractHandlerMapping.java:498)\r\n	at org.springframework.web.servlet.DispatcherServlet.getHandler(DispatcherServlet.java:1266)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1048)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:965)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1006)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:898)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:529)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:883)\r\n	at javax.servlet.http.HttpServlet.service(HttpServlet.java:623)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:209)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:51)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at com.alibaba.druid.support.http.WebStatFilter.doFilter(WebStatFilter.java:114)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.web.trace.servlet.HttpTraceFilter.doFilterInternal(HttpTraceFilter.java:88)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.boot.actuate.metrics.web.servlet.WebMvcMetricsFilter.doFilterInternal(WebMvcMetricsFilter.java:96)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:117)\r\n	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:178)\r\n	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:153)\r\n	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:168)\r\n	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:90)\r\n	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:481)\r\n	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:130)\r\n	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:93)\r\n	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:74)\r\n	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:342)\r\n	at org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:390)\r\n	at org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:63)\r\n	at org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:928)\r\n	at org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1794)\r\n	at org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:52)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1191)\r\n	at org.apache.tomcat.util.threads.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:659)\r\n	at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)\r\n	at java.lang.Thread.run(Thread.java:748)\r\n', NULL, NULL, NULL, '2025-02-03 21:39:09', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887773570177384449', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 16:01:07', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887778978048757761', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 16:22:36', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887787422495526914', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 16:56:10', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887787555828256769', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 16:56:41', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887787587725938689', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 16:56:49', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788524574068742', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:00:32', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788579360067585', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:00:45', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788609689079809', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:00:53', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788626109779969', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:00:57', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788675854225409', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:01:08', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788767269081089', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:01:30', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788816128528386', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:01:42', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788863566106626', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:01:53', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887788885208715266', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:01:58', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887789038556663810', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@63fd9748', NULL, 76, NULL, '2025-02-07 17:02:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1887789100439425025', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:02:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887789123558428674', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@78ea65a9', NULL, 44, NULL, '2025-02-07 17:02:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1887789171897782274', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@73ee8153', NULL, 19, NULL, '2025-02-07 17:03:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1887789354857517057', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:03:50', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887789383345229826', 2, '修改角色ID: f6817f48af4fb3af11b9e8bf182f618b 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-07 17:03:57', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1887789413661659138', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@ff669ca', NULL, 15, NULL, '2025-02-07 17:04:04', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1887789422041878529', 2, '职务表-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 99999  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@53c262e7', NULL, 18, NULL, '2025-02-07 17:04:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1888801439364112386', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 62, NULL, '2025-02-10 12:05:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1888801439364112387', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 62, NULL, '2025-02-10 12:05:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1888801439435415553', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 82, NULL, '2025-02-10 12:05:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892123310184677377', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-19 16:05:26', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892181500272222210', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 55, NULL, '2025-02-19 19:56:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181500272222212', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 71, NULL, '2025-02-19 19:56:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181500272222211', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 71, NULL, '2025-02-19 19:56:39', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181507167657986', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 44, NULL, '2025-02-19 19:56:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181507167657987', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 63, NULL, '2025-02-19 19:56:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181507230572547', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2025-02-19 19:56:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181507230572546', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 69, NULL, '2025-02-19 19:56:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181518832017409', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"create_by\":\"admin\",\"wul_name\":\"11\",\"create_time\":\"2025-02-19 19:56:43\",\"sys_org_code\":\"A01\",\"wul_code\":\"11\",\"pid\":\"0\",\"id\":\"1892181518571970561\",\"has_child\":\"0\"},null]', NULL, 57, NULL, '2025-02-19 19:56:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181537836408834', 2, 'online删除数据,表名:wu_liao,删除成功!', 4, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 46, NULL, '2025-02-19 19:56:48', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892181566789689345', 2, 'online删除数据,表名:wu_liao,删除成功!', 4, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.g()', NULL, '', NULL, 30, NULL, '2025-02-19 19:56:55', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892213713802010626', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-19 22:04:40', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892415090675404801', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-20 11:24:52', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892415120744370178', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@65b98059', NULL, 95, NULL, '2025-02-20 11:24:59', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892415155032805378', 4, 'java.lang.NullPointerException:Cannot invoke \"org.jeecg.modules.demo.test.entity.JeecgDemo.toString()\" because \"t\" is null', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/test/jeecgDemo/redisTtl/1145634882942230529', 'java.lang.NullPointerException: Cannot invoke \"org.jeecg.modules.demo.test.entity.JeecgDemo.toString()\" because \"t\" is null\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController.redisGetJeecgDemoCacheableTTL(JeecgDemoController.java:232)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController$$SpringCGLIB$$0.redisGetJeecgDemoCacheableTTL(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2025-02-20 11:25:07', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892415203569291266', 4, 'java.lang.IllegalArgumentException:Cache \'test:demo\' does not allow \'null\' values; Avoid storing null via \'@Cacheable(unless=\"#result == null\")\' or configure RedisCache to allow \'null\' via RedisCacheConfiguration', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/test/jeecgDemo/redis/1145634882942230529', 'java.lang.IllegalArgumentException: Cache \'test:demo\' does not allow \'null\' values; Avoid storing null via \'@Cacheable(unless=\"#result == null\")\' or configure RedisCache to allow \'null\' via RedisCacheConfiguration\r\n	at org.springframework.data.redis.cache.RedisCache.put(RedisCache.java:184)\r\n	at org.springframework.cache.transaction.TransactionAwareCacheDecorator.put(TransactionAwareCacheDecorator.java:105)\r\n	at org.springframework.cache.interceptor.AbstractCacheInvoker.doPut(AbstractCacheInvoker.java:87)\r\n	at org.springframework.cache.interceptor.CacheAspectSupport$CachePutRequest.apply(CacheAspectSupport.java:836)\r\n	at org.springframework.cache.interceptor.CacheAspectSupport.execute(CacheAspectSupport.java:429)\r\n	at org.springframework.cache.interceptor.CacheAspectSupport.execute(CacheAspectSupport.java:345)\r\n	at org.springframework.cache.interceptor.CacheInterceptor.invoke(CacheInterceptor.java:64)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.demo.test.service.impl.JeecgDemoServiceImpl$$SpringCGLIB$$0.getByIdCacheable(<generated>)\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController.redisGetJeecgDemo(JeecgDemoController.java:220)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController$$SpringCGLIB$$0.redisGetJeecgDemo(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2025-02-20 11:25:19', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892415235932540930', 4, 'java.lang.NullPointerException:Cannot invoke \"org.jeecg.modules.demo.test.entity.JeecgDemo.toString()\" because \"t\" is null', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, '/jeecg-boot/test/jeecgDemo/redisTtl/1145634882942230529', 'java.lang.NullPointerException: Cannot invoke \"org.jeecg.modules.demo.test.entity.JeecgDemo.toString()\" because \"t\" is null\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController.redisGetJeecgDemoCacheableTTL(JeecgDemoController.java:232)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection(AopUtils.java:343)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint(ReflectiveMethodInvocation.java:196)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)\r\n	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:184)\r\n	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:751)\r\n	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:703)\r\n	at org.jeecg.modules.demo.test.controller.JeecgDemoController$$SpringCGLIB$$0.redisGetJeecgDemoCacheableTTL(<generated>)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)\r\n	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:77)\r\n	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)\r\n	at java.base/java.lang.reflect.Method.invoke(Method.java:568)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.doInvoke(InvocableHandlerMethod.java:205)\r\n	at org.springframework.web.method.support.InvocableHandlerMethod.invokeForRequest(InvocableHandlerMethod.java:150)\r\n	at org.springframework.web.servlet.mvc.method.annotation.ServletInvocableHandlerMethod.invokeAndHandle(ServletInvocableHandlerMethod.java:118)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.invokeHandlerMethod(RequestMappingHandlerAdapter.java:884)\r\n	at org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter.handleInternal(RequestMappingHandlerAdapter.java:797)\r\n	at org.springframework.web.servlet.mvc.method.AbstractHandlerMethodAdapter.handle(AbstractHandlerMethodAdapter.java:87)\r\n	at org.springframework.web.servlet.DispatcherServlet.doDispatch(DispatcherServlet.java:1081)\r\n	at org.springframework.web.servlet.DispatcherServlet.doService(DispatcherServlet.java:974)\r\n	at org.springframework.web.servlet.FrameworkServlet.processRequest(FrameworkServlet.java:1011)\r\n	at org.springframework.web.servlet.FrameworkServlet.doGet(FrameworkServlet.java:903)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:527)\r\n	at org.springframework.web.servlet.FrameworkServlet.service(FrameworkServlet.java:885)\r\n	at jakarta.servlet.http.HttpServlet.service(HttpServlet.java:614)\r\n	at io.undertow.servlet.handlers.ServletHandler.handleRequest(ServletHandler.java:74)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:129)\r\n	at io.undertow.websockets.jsr.JsrWebSocketFilter.doFilter(JsrWebSocketFilter.java:172)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CorsFilter.doFilterInternal(CorsFilter.java:91)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:61)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.executeChain(AdviceFilter.java:108)\r\n	at org.apache.shiro.web.servlet.AdviceFilter.doFilterInternal(AdviceFilter.java:137)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at org.apache.shiro.web.servlet.ProxiedFilterChain.doFilter(ProxiedFilterChain.java:66)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.executeChain(AbstractShiroFilter.java:458)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter$1.call(AbstractShiroFilter.java:373)\r\n	at org.apache.shiro.subject.support.SubjectCallable.doCall(SubjectCallable.java:90)\r\n	at org.apache.shiro.subject.support.SubjectCallable.call(SubjectCallable.java:83)\r\n	at org.apache.shiro.subject.support.DelegatingSubject.execute(DelegatingSubject.java:387)\r\n	at org.apache.shiro.web.servlet.AbstractShiroFilter.doFilterInternal(AbstractShiroFilter.java:370)\r\n	at org.apache.shiro.web.servlet.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:154)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at com.alibaba.druid.support.jakarta.WebStatFilter.doFilter(WebStatFilter.java:113)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.boot.actuate.web.exchanges.servlet.HttpExchangesFilter.doFilterInternal(HttpExchangesFilter.java:89)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.RequestContextFilter.doFilterInternal(RequestContextFilter.java:100)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.FormContentFilter.doFilterInternal(FormContentFilter.java:93)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.ServerHttpObservationFilter.doFilterInternal(ServerHttpObservationFilter.java:109)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal(CharacterEncodingFilter.java:201)\r\n	at org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:116)\r\n	at io.undertow.servlet.core.ManagedFilter.doFilter(ManagedFilter.java:67)\r\n	at io.undertow.servlet.handlers.FilterHandler$FilterChainImpl.doFilter(FilterHandler.java:131)\r\n	at io.undertow.servlet.handlers.FilterHandler.handleRequest(FilterHandler.java:84)\r\n	at io.undertow.servlet.handlers.security.ServletSecurityRoleHandler.handleRequest(ServletSecurityRoleHandler.java:62)\r\n	at io.undertow.servlet.handlers.ServletChain$1.handleRequest(ServletChain.java:68)\r\n	at io.undertow.servlet.handlers.ServletDispatchingHandler.handleRequest(ServletDispatchingHandler.java:36)\r\n	at io.undertow.servlet.handlers.RedirectDirHandler.handleRequest(RedirectDirHandler.java:68)\r\n	at io.undertow.servlet.handlers.security.SSLInformationAssociationHandler.handleRequest(SSLInformationAssociationHandler.java:117)\r\n	at io.undertow.servlet.handlers.security.ServletAuthenticationCallHandler.handleRequest(ServletAuthenticationCallHandler.java:57)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.security.handlers.AbstractConfidentialityHandler.handleRequest(AbstractConfidentialityHandler.java:46)\r\n	at io.undertow.servlet.handlers.security.ServletConfidentialityConstraintHandler.handleRequest(ServletConfidentialityConstraintHandler.java:64)\r\n	at io.undertow.security.handlers.AuthenticationMechanismsHandler.handleRequest(AuthenticationMechanismsHandler.java:60)\r\n	at io.undertow.servlet.handlers.security.CachedAuthenticatedSessionHandler.handleRequest(CachedAuthenticatedSessionHandler.java:77)\r\n	at io.undertow.security.handlers.AbstractSecurityContextAssociationHandler.handleRequest(AbstractSecurityContextAssociationHandler.java:43)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.SendErrorPageHandler.handleRequest(SendErrorPageHandler.java:52)\r\n	at io.undertow.server.handlers.PredicateHandler.handleRequest(PredicateHandler.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.handleFirstRequest(ServletInitialHandler.java:276)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:135)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$2.call(ServletInitialHandler.java:132)\r\n	at io.undertow.servlet.core.ServletRequestContextThreadSetupAction$1.call(ServletRequestContextThreadSetupAction.java:48)\r\n	at io.undertow.servlet.core.ContextClassLoaderSetupAction$1.call(ContextClassLoaderSetupAction.java:43)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler.dispatchRequest(ServletInitialHandler.java:256)\r\n	at io.undertow.servlet.handlers.ServletInitialHandler$1.handleRequest(ServletInitialHandler.java:101)\r\n	at io.undertow.server.Connectors.executeRootHandler(Connectors.java:393)\r\n	at io.undertow.server.HttpServerExchange$1.run(HttpServerExchange.java:859)\r\n	at org.jboss.threads.ContextHandler$1.runWith(ContextHandler.java:18)\r\n	at org.jboss.threads.EnhancedQueueExecutor$Task.run(EnhancedQueueExecutor.java:2513)\r\n	at org.jboss.threads.EnhancedQueueExecutor$ThreadBody.run(EnhancedQueueExecutor.java:1538)\r\n	at org.xnio.XnioWorker$WorkerThreadFactory$1$1.run(XnioWorker.java:1282)\r\n	at java.base/java.lang.Thread.run(Thread.java:842)\r\n', NULL, NULL, NULL, '2025-02-20 11:25:26', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892420304652455937', 2, '编码校验规则-分页列表查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.system.controller.SysCheckRuleController.queryPageList()', NULL, '  sysCheckRule: SysCheckRule(id=null, ruleName=null, ruleCode=null, ruleJson=null, ruleDescription=null, updateBy=null, updateTime=null, createBy=null, createTime=null)  pageNo: 1  pageSize: 10  request: org.apache.shiro.web.servlet.ShiroHttpServletRequest@115b71b4', NULL, 6, NULL, '2025-02-20 11:45:35', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1892509266293243905', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-20 17:39:05', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892509406244585473', 2, '修改角色ID: 1501570619841810433 的权限配置，操作人： admin', 2, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-20 17:39:38', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892518476888297474', 1, '用户名: 管理员,退出成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-20 18:15:41', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1892518496416976898', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-20 18:15:46', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1893978246098952193', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-02-24 18:56:17', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1893978291259023361', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 60, NULL, '2025-02-24 18:56:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978291259023362', 2, 'online表单加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 56, NULL, '2025-02-24 18:56:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978291326132226', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 66, NULL, '2025-02-24 18:56:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978299190452225', 2, 'online表单数据查询', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 24, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978300947865602', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 30, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978300947865603', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 32, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978301014974466', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 50, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978301014974467', 2, 'online表单加载,表名:qingjia_dan,操作成功', 1, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.c()', NULL, '', NULL, 34, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1893978302843691010', 2, 'online修改数据,表名:wu_liao,修改成功！', 3, 'admin', '管理员', '0:0:0:0:0:0:0:1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"笔记本\",\"xingqi\":\"\",\"wul_code\":\"biben\",\"fuwenb\":\"\",\"pid\":\"0\",\"year1\":\"\",\"picc\":\"temp/LOGO-mini_1725968796851.png\",\"update_time\":\"2025-02-24 18:56:30\",\"guanl\":\"\",\"jeecg_row_key\":\"1805416440368091137\",\"children\":\"[object Object]\",\"yonhu\":\"\",\"has_child\":\"1\",\"id\":\"1805416440368091137\",\"update_by\":\"admin\"}]', NULL, 66, NULL, '2025-02-24 18:56:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1896135264880517121', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-02 17:47:30', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1897529049518583810', 1, '用户登录失败，用户不存在！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:05:54', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897529180578000898', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:06:26', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897529381577437185', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:07:14', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897530048887009282', 2, 'online列表加载,表名:test_note$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 160, NULL, '2025-03-06 14:09:53', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897530065790054402', 2, 'online列表加载,表名:test_note$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 40, NULL, '2025-03-06 14:09:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897530102502797314', 2, 'online根据表名加载表单,表名:test_note$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 72, NULL, '2025-03-06 14:10:06', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897530122849366018', 2, 'online根据表名加载表单,表名:test_note$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 31, NULL, '2025-03-06 14:10:10', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897530166956666882', 2, 'online列表加载,表名:test_note$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 18, NULL, '2025-03-06 14:10:21', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897530595429986306', 1, '用户名: admin,登录成功！', NULL, 'admin', '管理员', '0:0:0:0:0:0:0:1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:12:03', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1897531340988493825', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:15:01', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897533521212878850', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:23:41', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897533536916353025', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:23:44', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897533898960285698', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:25:11', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897534163323072514', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:26:14', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897536850001276930', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:36:54', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897538833571524610', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:44:47', NULL, NULL, NULL, 'pc');
INSERT INTO `sys_log` VALUES ('1897538871207014402', 2, '职务表-分页列表查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@460994a4', NULL, 52, NULL, '2025-03-06 14:44:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897539031702056961', 2, '职务表-分页列表查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3b22bf25', NULL, 8, NULL, '2025-03-06 14:45:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897539365837090818', 2, '职务表-分页列表查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3ed174a9', NULL, 5, NULL, '2025-03-06 14:46:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897539530278973442', 2, '职务表-分页列表查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@3b232f98', NULL, 4, NULL, '2025-03-06 14:47:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897539704300646401', 2, '职务表-分页列表查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.system.controller.SysPositionController.queryPageList()', NULL, '  sysPosition: SysPosition(id=null, code=null, name=null, postRank=null, companyId=null, createBy=null, createTime=null, updateBy=null, updateTime=null, sysOrgCode=null, tenantId=null)  pageNo: 1  pageSize: 10  req: org.apache.shiro.web.servlet.ShiroHttpServletRequest@168af6c9', NULL, 4, NULL, '2025-03-06 14:48:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897539726605955074', 1, '用户名: admin,退出成功！', NULL, 'admin', 'admin', '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:48:20', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897539737980907522', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-06 14:48:23', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1897919397248098306', 2, 'online列表加载,表名:ces_shop_goods$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 110, NULL, '2025-03-07 15:57:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919409101201409', 2, 'online根据表名加载表单,表名:ces_shop_goods$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 47, NULL, '2025-03-07 15:57:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919409218641921', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 14, NULL, '2025-03-07 15:57:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919414352470018', 2, 'online修改数据,表名:ces_shop_goods$1,修改成功！', 3, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"402881fd812267500181226750e90000\",{\"good_type_id\":\"1258408003595464706\",\"update_time\":\"2025-03-07 15:57:04\",\"contents\":\"\",\"price\":500,\"name\":\"雷蛇鼠标\",\"chuc_date\":\"2020-05-08 00:00:00\",\"id\":\"1258783909887422466\",\"update_by\":\"admin\"}]', NULL, 61, NULL, '2025-03-07 15:57:05', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919424242638850', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 45, NULL, '2025-03-07 15:57:07', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919431851106306', 2, 'online根据表名加载表单,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 24, NULL, '2025-03-07 15:57:09', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1897919457637687297', 2, 'online新增数据,表名:wu_liao,添加成功!', 2, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"005e34f6157f40d199f8ab3d0454678d\",{\"wul_name\":\"2222\",\"xingqi\":\"\",\"create_time\":\"2025-03-07 15:57:14\",\"sys_org_code\":\"A04\",\"wul_code\":\"222\",\"fuwenb\":\"\",\"pid\":\"1805417659606126593\",\"year1\":\"\",\"picc\":\"\",\"create_by\":\"admin\",\"guanl\":\"\",\"yonhu\":\"\",\"id\":\"1897919457541218305\",\"has_child\":\"0\"},null]', NULL, 24, NULL, '2025-03-07 15:57:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018360223571970', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 156, NULL, '2025-03-07 22:30:15', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018389235572738', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 90, NULL, '2025-03-07 22:30:22', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018411561852930', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 40, NULL, '2025-03-07 22:30:27', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018411758985218', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 27, NULL, '2025-03-07 22:30:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018418662809601', 2, 'online修改数据,表名:qingjia_dan,修改成功！', 3, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"2024-06-22\",\"descc\":\"\",\"update_time\":\"2025-03-07 22:30:29\",\"sex\":\"1\",\"name\":\"22222\",\"days\":232,\"id\":\"1805218401506525186\",\"update_by\":\"admin\",\"age\":111,\"be_date\":\"2024-06-24\"}]', NULL, 53, NULL, '2025-03-07 22:30:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018421846286337', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 36, NULL, '2025-03-07 22:30:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018421972115457', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 12, NULL, '2025-03-07 22:30:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1898018428288737281', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2025-03-07 22:30:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899059953017806849', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-10 19:29:10', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1899060080637894657', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 122, NULL, '2025-03-10 19:29:41', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060093736706050', 2, 'online根据表名加载表单,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 35, NULL, '2025-03-10 19:29:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060093849952258', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 11, NULL, '2025-03-10 19:29:44', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060417188847617', 2, 'online列表加载,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 17, NULL, '2025-03-10 19:31:01', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060425493569537', 2, 'online根据表名加载表单,表名:wu_liao,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 18, NULL, '2025-03-10 19:31:03', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060516954562561', 2, 'online列表加载,表名:demo_field_def_val_sub$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2025-03-10 19:31:25', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060530099511298', 2, 'online列表加载,表名:test_order_product$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2025-03-10 19:31:28', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060535749238785', 2, 'online根据表名加载表单,表名:test_order_product$1,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 29, NULL, '2025-03-10 19:31:29', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899060537124970497', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 6, NULL, '2025-03-10 19:31:30', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899062105782083585', 1, '用户名: admin,登录成功[移动端]！', NULL, NULL, NULL, '127.0.0.1', NULL, NULL, NULL, NULL, NULL, NULL, '2025-03-10 19:37:44', NULL, NULL, NULL, 'app');
INSERT INTO `sys_log` VALUES ('1899062303333801986', 2, 'online列表加载,表名:test_demo,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 31, NULL, '2025-03-10 19:38:31', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899062314780057602', 2, 'online根据表名加载表单,表名:test_demo,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 20, NULL, '2025-03-10 19:38:33', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899062356244946945', 2, 'online新增数据,表名:test_demo,添加成功!', 2, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"d35109c3632c4952a19ecc094943dd71\",{\"birthday\":\"2015-01-01\",\"descc\":\"\",\"ceck\":\"\",\"create_time\":\"2025-03-10 19:38:43\",\"sex\":\"1\",\"file_kk\":\"\",\"sel_table\":\"\",\"xiamuti\":\"\",\"search_sel\":\"\",\"pop\":\"\",\"create_by\":\"admin\",\"top_pic\":\"\",\"user_code\":\"\",\"name\":\"哈喽\",\"chegnshi\":\"\",\"id\":\"1899062356047814658\",\"age\":\"\"},null]', NULL, 45, NULL, '2025-03-10 19:38:43', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899062367347269633', 2, 'online根据表名加载表单,表名:test_demo,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 16, NULL, '2025-03-10 19:38:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899062367540207617', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 8, NULL, '2025-03-10 19:38:46', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063574472155137', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 11, NULL, '2025-03-10 19:43:34', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063586472058882', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 18, NULL, '2025-03-10 19:43:37', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063659536834562', 2, 'online新增数据,表名:qingjia_dan,添加成功!', 2, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"\",\"create_by\":\"admin\",\"descc\":\"\",\"sys_org_code\":\"A04\",\"create_time\":\"2025-03-10 19:43:53\",\"sex\":\"1\",\"name\":\"哈咯\",\"days\":\"10\",\"id\":\"1899063659406811137\",\"age\":\"\",\"be_date\":\"2015-01-01\"},null]', NULL, 27, NULL, '2025-03-10 19:43:54', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063666528739329', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 17, NULL, '2025-03-10 19:43:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063667111747585', 2, 'online表单数据查询', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.b()', NULL, '', NULL, 8, NULL, '2025-03-10 19:43:56', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899063672660811778', 2, 'online修改数据,表名:qingjia_dan,修改成功！', 3, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '[\"2d5fcb66727140629ebe46ad510e65b2\",{\"end_date\":\"\",\"descc\":\"\",\"update_time\":\"2025-03-10 19:43:57\",\"sex\":\"1\",\"name\":\"萧**\",\"days\":22,\"id\":\"1805170475304443905\",\"update_by\":\"admin\",\"age\":44,\"be_date\":\"2024-06-04\"}]', NULL, 33, NULL, '2025-03-10 19:43:57', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899065982321418242', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 12, NULL, '2025-03-10 19:53:08', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899066017830395905', 2, 'online根据表名加载表单,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 21, NULL, '2025-03-10 19:53:16', NULL, NULL, NULL, NULL);
INSERT INTO `sys_log` VALUES ('1899066069638438913', 2, 'online列表加载,表名:qingjia_dan,操作成功', 1, 'admin', 'admin', '127.0.0.1', 'org.jeecg.modules.online.cgform.c.a.a()', NULL, '', NULL, 13, NULL, '2025-03-10 19:53:29', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `parent_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '父id',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单标题',
  `url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路径',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件',
  `is_route` tinyint(1) NULL DEFAULT 1 COMMENT '是否路由菜单: 0:不是  1:是（默认值1）',
  `component_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件名字',
  `redirect` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '一级菜单跳转地址',
  `menu_type` int(11) NULL DEFAULT NULL COMMENT '菜单类型(0:一级菜单; 1:子菜单:2:按钮权限)',
  `perms` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单权限编码',
  `perms_type` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '权限策略1显示2禁用',
  `sort_no` double(8, 2) NULL DEFAULT NULL COMMENT '菜单排序',
  `always_show` tinyint(1) NULL DEFAULT NULL COMMENT '聚合子路由: 1是0否',
  `icon` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单图标',
  `is_leaf` tinyint(1) NULL DEFAULT NULL COMMENT '是否叶子节点:    1是0否',
  `keep_alive` tinyint(1) NULL DEFAULT NULL COMMENT '是否缓存该页面:    1:是   0:不是',
  `hidden` tinyint(4) NULL DEFAULT 0 COMMENT '是否隐藏路由: 0否,1是',
  `hide_tab` tinyint(4) NULL DEFAULT NULL COMMENT '是否隐藏tab: 0否,1是',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `create_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `del_flag` int(11) NULL DEFAULT 0 COMMENT '删除状态 0正常 1已删除',
  `rule_flag` int(3) NULL DEFAULT 0 COMMENT '是否添加数据权限1是0否',
  `status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '按钮权限状态(0无效1有效)',
  `internal_or_external` tinyint(1) NULL DEFAULT NULL COMMENT '外链菜单打开方式 0/内部打开 1/外部打开',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `index_menu_type`(`menu_type`) USING BTREE,
  INDEX `index_menu_hidden`(`hidden`) USING BTREE,
  INDEX `index_menu_status`(`status`) USING BTREE,
  INDEX `index_menu_del_flag`(`del_flag`) USING BTREE,
  INDEX `index_menu_url`(`url`) USING BTREE,
  INDEX `index_menu_sort_no`(`sort_no`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES ('1170592628746878978', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '菜单管理', '/system/menu', 'system/menu/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, 'ant-design:menu-fold-outlined', 0, 0, 0, 0, NULL, 'admin', '2019-09-08 15:00:05', 'ceshi', '2023-10-18 12:02:41', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('119213522910765570', '1674708136602542082', '租户用户', '/system/tenant/TenantUserList', 'system/tenant/TenantUserList', 1, 'tenant-system-user', NULL, 1, NULL, NULL, 3.20, 0, 'ant-design:user', 1, 0, 0, 0, NULL, NULL, '2018-12-25 20:34:38', 'admin', '2023-03-09 20:18:16', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1211885237487923202', '1207203817658105858', 'btn:add', '', '', 1, NULL, NULL, 2, 'btn:add', '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2019-12-31 13:42:11', 'admin', '2020-01-07 20:07:53', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1214376304951664642', '3f915b2769fc80648e92d04e84ca059d', '用户编辑', '', '', 0, NULL, NULL, 2, 'system:user:edit', '1', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2020-01-07 10:40:47', 'admin', '2022-11-17 16:24:33', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1214462306546319362', '3f915b2769fc80648e92d04e84ca059d', '新增用户', '', '', 0, NULL, NULL, 2, 'system:user:add', '1', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2020-01-07 16:22:32', 'admin', '2022-11-17 16:24:47', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1280350452934307841', '1661572802889007106', '租户管理', '/system/tenant', 'system/tenant/index', 1, NULL, NULL, 1, NULL, '1', 3.10, 0, 'ant-design:appstore-twotone', 0, 0, 0, 0, NULL, 'admin', '2020-07-07 11:58:30', 'admin', '2023-05-15 11:16:08', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108176273760258', '', '主页', '/dashboard', 'layouts/default/index', 1, NULL, '/dashboard/analysis', 0, NULL, '1', 1.00, 0, 'ant-design:home-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:23', 'jeecg', '2024-06-18 23:09:11', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108176814825473', '1438108176273760258', '工作台', '/dashboard/workbench', 'dashboard/workbench/index', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, 'ant-design:appstore-twotone', 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:23', 'jeecg', '2024-06-13 11:37:46', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108176932265985', '1438108178010202113', '权限管理', '/permission', 'layouts/default/index', 1, NULL, '/permission/front/page', 0, NULL, '1', 2.00, 0, 'ion:key-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177074872321', '1438108176932265985', '基于前端权限', '/permission/front', NULL, 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177188118529', '1438108176932265985', '基于后台权限', '/permission/back', NULL, 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177351696386', '1438108177074872321', '页面权限', '/permission/front/page', 'demo/permission/front/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', 'admin', '2021-09-16 14:37:49', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177565605889', '1438108177074872321', '按钮权限', '/permission/front/btn', 'demo/permission/front/Btn', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', 'admin', '2021-09-15 19:57:23', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177720795137', '1438108177188118529', '页面权限', '/permission/back/page', 'demo/permission/back/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', 'admin', '2021-09-15 19:56:40', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108177880178689', '1438108177188118529', '按钮权限', '/permission/back/btn', 'demo/permission/back/Btn', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', 'admin', '2021-09-15 19:57:00', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178010202113', '1438108196993622018', '功能示例', '/feat', 'layouts/default/index', 1, NULL, '/feat/icon', 0, NULL, '1', 20.00, 0, 'ion:git-compare-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178127642626', '1438108197958315557', '图标', '/comp/basic/icon', 'demo/feat/icon/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178257666049', '1438108178010202113', 'websocket测试', '/feat/ws', 'demo/feat/ws/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178421243905', '1438108178010202113', '登录过期', '/feat/session-timeout', 'demo/feat/session-timeout/index', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178643542017', '1438108197958311677', '打印', '/comp/third/print', 'demo/feat/print/index', 1, NULL, NULL, 1, NULL, '1', 3.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178781954049', '1438108197958315557', 'Tab操作', '/comp/basic/tabs', 'demo/feat/tabs/index', 1, NULL, NULL, 1, NULL, '1', 4.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178781954050', '1438108197958315557', 'TabDetail', '/comp/basic/tabs/detail/:id', 'demo/feat/tabs/TabDetail', 1, NULL, '/comp/basic/tabs/detail', 1, NULL, '1', 4.00, 0, NULL, 1, 0, 1, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108178911977473', '1438108187455774722', '面包屑导航', '/feat/breadcrumb', 'layouts/default/index', 1, NULL, '/feat/breadcrumb/flat', 1, NULL, '1', 5.00, 0, 'ant-design:right-square-filled', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', 'admin', '2021-09-17 15:48:07', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108179226550273', '1438108197958311677', '右键菜单', '/comp/third/context-menu', 'demo/feat/context-menu/index', 1, NULL, NULL, 1, NULL, '1', 6.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108179381739521', '1438108197958311677', '文件下载', '/comp/third/download', 'demo/feat/download/index', 1, NULL, NULL, 1, NULL, '1', 7.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108179599843330', '1438108197958311677', 'ClickOutSide组件', '/comp/third/click-out-side', 'demo/feat/click-out-side/index', 1, NULL, NULL, 1, NULL, '1', 8.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108179910221825', '1438108197958311677', '图片预览', '/comp/third/img-preview', 'demo/feat/img-preview/index', 1, NULL, NULL, 1, NULL, '1', 9.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108180077993985', '1438108197958311677', '剪切板', '/comp/third/copy', 'demo/feat/copy/index', 1, NULL, NULL, 1, NULL, '1', 10.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108180258349057', '1438108197958315557', '消息提示', '/comp/basic/msg', 'demo/feat/msg/index', 1, NULL, NULL, 1, NULL, '1', 11.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108180434509826', '1438108197958311677', '水印', '/comp/third/watermark', 'demo/feat/watermark/index', 1, NULL, NULL, 1, NULL, '1', 12.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108180631642113', '1438108197958311677', '水波纹', '/comp/third/ripple', 'demo/feat/ripple/index', 1, NULL, NULL, 1, NULL, '1', 13.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108180770054145', '1438108178010202113', '全屏', '/feat/full-screen', 'demo/feat/full-screen/index', 1, NULL, NULL, 1, NULL, '1', 14.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108182116425729', '1438108197958311677', '日历(New)', '/comp/third/fullCalendar', 'demo/fullcalendar/index', 1, NULL, NULL, 1, NULL, '1', 16.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183085309954', '1438108178010202113', '错误日志', '/feat/error-log', 'sys/error-log/index', 1, NULL, NULL, 1, NULL, '1', 17.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183219527682', '1438108196993622018', 'Excel', '/feat/excel', 'layouts/default/index', 1, NULL, '/feat/excel/customExport', 1, NULL, '1', 18.00, 0, 'ant-design:file-excel-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-17 15:54:57', 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183395688450', '1438108187455774722', 'Tab带参', '/feat/testTab/:id', 'demo/feat/tab-params/index', 1, NULL, NULL, 1, NULL, '1', 19.00, 0, 'ant-design:insert-row-above-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-17 15:48:57', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183492157442', '1438108187455774722', 'Menu带参', '/feat/testParam/:id', 'layouts/default/index', 1, NULL, NULL, 1, NULL, '1', 20.00, 0, 'ant-design:menu-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-17 15:49:12', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183630569474', '1438108178911977473', '平级模式', '/feat/breadcrumb/flat', 'demo/feat/breadcrumb/FlatList', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-15 20:12:01', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183630569477', '1438108178911977473', '平级详情', '/feat/breadcrumb/flatDetail', 'demo/feat/breadcrumb/FlatListDetail', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 1, 1, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-18 11:07:07', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183777370114', '1438108183630569474', '平级详情', '/feat/breadcrumb/flatDetail', 'demo/feat/breadcrumb/FlatListDetail', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 1, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-15 20:13:41', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108183907393538', '1438108178911977473', '层级模式', '/feat/breadcrumb/children', 'demo/feat/breadcrumb/ChildrenList', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-15 20:11:57', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108184049999873', '1438108183907393538', '层级详情', '/feat/breadcrumb/children/childrenDetail', 'demo/feat/breadcrumb/ChildrenListDetail', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:24', 'admin', '2021-09-15 20:11:49', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108185660612609', '1438108183219527682', '选择导出格式', '/feat/excel/customExport', 'demo/excel/CustomExport', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:15:59', 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108185815801858', '1438108183219527682', 'JSON数据导出', '/feat/excel/jsonExport', 'demo/excel/JsonExport', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:16:15', 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108185958408193', '1438108183219527682', 'Array数据导出', '/feat/excel/arrayExport', 'demo/excel/ArrayExport', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:16:32', 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108186289758209', '1438108183219527682', '导入', '/feat/excel/importExcel', 'demo/excel/ImportExcel', 1, NULL, NULL, 1, NULL, '1', 3.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:16:43', 1, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108186717577217', '1438108183492157442', 'Menu带参1', '/feat/testParam/:id/sub1', 'demo/feat/menu-params/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:17:23', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108187103453186', '1438108183492157442', 'Menu带参2', '/feat/testParam/:id/sub2', 'demo/feat/menu-params/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-15 20:17:36', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108187455774722', '', '页面&导航', '/page-demo', 'layouts/default/index', 1, NULL, '/page-demo/form/basic', 0, NULL, '1', 12.00, 0, 'ion:aperture-outline', 0, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-11-18 10:48:15', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108187678072833', '1438108187455774722', '表单页', '/page-demo/form', 'layouts/default/index', 1, NULL, '/page-demo/form/basic', 1, NULL, '1', 0.00, 0, 'ant-design:form-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-17 15:45:30', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108187871010818', '1438108187455774722', '详情页', '/page-demo/desc', 'layouts/default/index', 1, NULL, '/page-demo/desc/basic', 1, NULL, '1', 1.00, 0, 'ant-design:border-right-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-17 15:46:10', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108188034588674', '1438108187455774722', '结果页', '/page-demo/result', 'layouts/default/index', 1, NULL, '/page-demo/result/success', 1, NULL, '1', 2.00, 0, 'ant-design:account-book-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:25', 'admin', '2021-09-17 15:47:04', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108188378521602', '1438108187455774722', '个人页', '/page-demo/account', 'layouts/default/index', 1, NULL, '/page-demo/account/setting', 1, NULL, '1', 3.00, 0, 'ant-design:user-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', 'admin', '2021-09-17 15:47:23', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108188542099458', '1438108187455774722', '异常页', '/page-demo/exception', 'layouts/default/index', 1, NULL, '/page-demo/exception/404', 1, NULL, '1', 4.00, 0, 'ant-design:bug-twotone', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', 'admin', '2021-09-17 15:47:41', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108188714065922', '1438108187455774722', '列表页', '/page-demo/list', 'layouts/default/index', 1, NULL, '/page-demo/list/card', 1, NULL, '1', 5.00, 0, 'ant-design:table-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', 'admin', '2021-09-17 15:48:19', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108189062193153', '1438108187678072833', '基础表单', '/page-demo/form/basic', 'demo/page/form/basic/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108189427097601', '1438108187678072833', '分步表单', '/page-demo/form/step', 'demo/page/form/step/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108189754253313', '1438108187678072833', '高级表单', '/page-demo/form/high', 'demo/page/form/high/index', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108190110769154', '1438108187871010818', '基础详情页', '/page-demo/desc/basic', 'demo/page/desc/basic/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108190404370433', '1438108187871010818', '高级详情页', '/page-demo/desc/high', 'demo/page/desc/high/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108190777663490', '1438108188034588674', '成功页', '/page-demo/result/success', 'demo/page/result/success/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108191356477442', '1438108188034588674', '失败页', '/page-demo/result/fail', 'demo/page/result/fail/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108192623157249', '1438108188378521602', '个人中心', '/page-demo/account/center', 'demo/page/account/center/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108193701093378', '1438108188378521602', '个人设置', '/page-demo/account/setting', 'demo/page/account/setting/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108194992939010', '1438108188542099458', '403', '/page-demo/exception/403', 'sys/exception/NotAccessException', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:27', 'admin', '2021-09-18 18:02:47', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108195307511809', '1438108188542099458', '404', '/page-demo/exception/404', 'sys/exception/Exception', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108195487866881', '1438108188542099458', '500', '/page-demo/exception/500', 'sys/exception/ServerErrorException', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:27', 'admin', '2021-09-18 18:04:34', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108195638861825', '1438108188542099458', '网络错误', '/page-demo/exception/net-work-error', 'sys/exception/NetworkErrorException', 1, NULL, NULL, 1, NULL, '1', 3.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:27', 'admin', '2021-09-18 18:05:05', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108195924074497', '1438108188542099458', '无数据', '/page-demo/exception/not-data', 'sys/exception/NotDataErrorException', 1, NULL, NULL, 1, NULL, '1', 4.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:27', 'admin', '2021-09-18 18:05:40', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108196263813121', '1438108188714065922', '标准列表', '/page-demo/list/basic', 'demo/page/list/basic/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108196528054273', '1438108188714065922', '卡片列表', '/page-demo/list/card', 'demo/page/list/card/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108196855209985', '1438108188714065922', '搜索列表', '/page-demo/list/search', 'demo/page/list/search/index', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108196993622018', '', '组件&功能', '/comp', 'layouts/default/index', 1, NULL, '/comp/basic', 0, NULL, '1', 11.00, 0, 'ion:layers-outline', 0, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-11-18 10:48:06', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197270446081', '1438108197958311537', '自定义组件示例', '/comp/jeecg/basic', 'demo/jeecg/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197790539778', '1438108197958315557', 'Button组件', '/comp/basic/button', 'demo/comp/button/index', 1, NULL, NULL, 1, NULL, '1', 8.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 09:31:48', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197958311537', '1438108196993622018', 'Jeecg组件示例', '/comp/jeecg', 'layouts/default/index', 1, NULL, '/comp/jeecg/basic', 1, NULL, '1', 1.00, 0, 'ant-design:sketch-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:49:57', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197958311637', '1438108196993622018', '弹框抽屉', '/comp/modal', 'layouts/default/index', 1, NULL, '/comp/modal/basic', 1, NULL, '1', 6.00, 0, 'ant-design:laptop-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:53:10', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197958311677', '1438108196993622018', '第三方组件', '/comp/third', 'layouts/default/index', 1, NULL, '/comp/third/basic', 1, NULL, '1', 7.00, 0, 'ant-design:slack-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:53:31', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197958311937', '1438108196993622018', 'Form示例', '/comp/form', 'layouts/default/index', 1, NULL, '/comp/form/basic', 1, NULL, '1', 2.00, 0, 'ant-design:pic-left-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:50:39', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108197958315557', '1438108196993622018', '基础组件', '/comp/basic', 'layouts/default/index', 1, NULL, '/comp/basic', 1, NULL, '1', 1.00, 0, 'ant-design:insert-row-left-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:50:27', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108198113501186', '1438108196993622018', 'Table示例', '/comp/table', 'layouts/default/index', 1, NULL, '/comp/table/basic', 1, NULL, '1', 3.00, 0, 'ant-design:table-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:50:51', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108198339993602', '1438108197958311677', '动画组件', '/comp/third/transition', 'demo/comp/transition/index', 1, NULL, NULL, 1, NULL, '1', 9.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108198679732226', '1438108197958311537', '一对多示例', '/comp/jeecg/oneToMore', 'demo/vextable/index', 1, NULL, NULL, 1, NULL, '1', 6.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108198855892993', '1438108197958311677', '图片裁剪', '/comp/third/basic', 'demo/comp/cropper/index', 1, NULL, NULL, 1, NULL, '1', 7.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108199120134145', '1438108197958311677', '相对时间', '/comp/third/timestamp', 'demo/comp/time/index', 1, NULL, NULL, 1, NULL, '1', 8.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108199304683521', '1438108197958311677', '数字动画', '/comp/third/countTo', 'demo/comp/count-to/index', 1, NULL, NULL, 1, NULL, '1', 9.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108199413735425', '1438108196993622018', 'Tree示例', '/comp/tree', 'layouts/default/index', 1, NULL, '/comp/tree/basic', 1, NULL, '1', 4.00, 0, 'ant-design:partition-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:54:17', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108199539564546', '1438108196993622018', '编辑器', '/comp/editor', 'layouts/default/index', 1, NULL, '/comp/editor/markdown', 1, NULL, '1', 5.00, 0, 'ant-design:credit-card-twotone', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:52:47', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108199631839234', '1438108196993622018', '滚动组件', '/comp/scroll', 'layouts/default/index', 1, NULL, '/comp/scroll/basic', 1, NULL, '1', 11.00, 0, 'ant-design:column-height-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:53:43', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108200076435458', '1438108197958311637', '弹窗扩展', '/comp/modal/basic', 'demo/comp/modal/index', 1, NULL, NULL, 1, NULL, '1', 12.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108200391008257', '1438108197958311637', '抽屉扩展', '/comp/modal/drawer', 'demo/comp/drawer/index', 1, NULL, NULL, 1, NULL, '1', 13.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108200672026626', '1438108197958315557', '详情组件', '/comp/desc', 'demo/comp/desc/index', 1, NULL, NULL, 1, NULL, '1', 14.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108200802050050', '1438108196993622018', '懒加载组件', '/comp/lazy', 'layouts/default/index', 1, NULL, '/comp/lazy/basic', 1, NULL, '1', 15.00, 0, 'ant-design:small-dash-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:28', 'admin', '2021-09-17 15:53:59', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108200919490562', '1438108196993622018', '验证组件', '/comp/verify', 'layouts/default/index', 1, NULL, '/comp/verify/drag', 1, NULL, '1', 16.00, 0, 'ant-design:field-binary-outlined', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', 'admin', '2021-09-17 15:54:36', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108201150177281', '1438108197958311677', '二维码组件', '/comp/third/qrcode', 'demo/comp/qrcode/index', 1, NULL, NULL, 1, NULL, '1', 17.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108201502498817', '1438108197958311677', '密码强度组件', '/comp/third/strength-meter', 'demo/comp/strength-meter/index', 1, NULL, NULL, 1, NULL, '1', 18.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108202060341249', '1438108197958311677', 'Loading', '/comp/third/loading', 'demo/comp/loading/index', 1, NULL, NULL, 1, NULL, '1', 20.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108202366525441', '1438108197958311937', '基础表单', '/comp/form/basic', 'demo/form/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108203649982466', '1438108197958311937', 'useForm', '/comp/form/useForm', 'demo/form/UseForm', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108203817754625', '1438108197958311937', 'RefForm', '/comp/form/refForm', 'demo/form/RefForm', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108204023275521', '1438108197958311937', '可收缩表单', '/comp/form/advancedForm', 'demo/form/AdvancedForm', 1, NULL, NULL, 1, NULL, '1', 3.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108204232990721', '1438108197958311937', '表单验证', '/comp/form/ruleForm', 'demo/form/RuleForm', 1, NULL, NULL, 1, NULL, '1', 4.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108204400762881', '1438108197958311937', '动态表单', '/comp/form/dynamicForm', 'demo/form/DynamicForm', 1, NULL, NULL, 1, NULL, '1', 5.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108204576923649', '1438108197958311937', '自定义组件', '/comp/form/customerForm', 'demo/form/CustomerForm', 1, NULL, NULL, 1, NULL, '1', 6.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108204732112898', '1438108197958311937', '表单增删示例', '/comp/form/appendForm', 'demo/form/AppendForm', 1, NULL, NULL, 1, NULL, '1', 7.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205004742657', '1438108198113501186', '基础表格', '/comp/table/basic', 'demo/table/Basic', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205180903426', '1438108198113501186', '树形表格', '/comp/table/treeTable', 'demo/table/TreeTable', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205357064193', '1438108198113501186', '远程加载示例', '/comp/table/fetchTable', 'demo/table/FetchTable', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205587750914', '1438108198113501186', '固定列', '/comp/table/fixedColumn', 'demo/table/FixedColumn', 1, NULL, NULL, 1, NULL, '1', 3.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205742940161', '1438108198113501186', '自定义列', '/comp/table/customerCell', 'demo/table/CustomerCell', 1, NULL, NULL, 1, NULL, '1', 4.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108205919100930', '1438108198113501186', '开启搜索区域', '/comp/table/formTable', 'demo/table/FormTable', 1, NULL, NULL, 1, NULL, '1', 5.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108206086873089', '1438108198113501186', 'UseTable', '/comp/table/useTable', 'demo/table/UseTable', 1, NULL, NULL, 1, NULL, '1', 6.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108206258839553', '1438108198113501186', 'RefTable', '/comp/table/refTable', 'demo/table/RefTable', 1, NULL, NULL, 1, NULL, '1', 7.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108206489526274', '1438108198113501186', '多级表头', '/comp/table/multipleHeader', 'demo/table/MultipleHeader', 1, NULL, NULL, 1, NULL, '1', 8.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108206661492738', '1438108198113501186', '合并单元格', '/comp/table/mergeHeader', 'demo/table/MergeHeader', 1, NULL, NULL, 1, NULL, '1', 9.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108206959288321', '1438108198113501186', '嵌套子表格', '/comp/table/nestedTable', 'demo/table/NestedTable', 1, NULL, NULL, 1, NULL, '1', 10.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108207160614913', '1438108198113501186', '可展开表格', '/comp/table/expandTable', 'demo/table/ExpandTable', 1, NULL, NULL, 1, NULL, '1', 11.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108207374524418', '1438108198113501186', '定高/头部自定义', '/comp/table/fixedHeight', 'demo/table/FixedHeight', 1, NULL, NULL, 1, NULL, '1', 12.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108207563268097', '1438108198113501186', '表尾行合计', '/comp/table/footerTable', 'demo/table/FooterTable', 1, NULL, NULL, 1, NULL, '1', 13.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108207793954818', '1438108198113501186', '可编辑单元格', '/comp/table/editCellTable', 'demo/table/EditCellTable', 1, NULL, NULL, 1, NULL, '1', 14.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108208024641538', '1438108198113501186', '可编辑行', '/comp/table/editRowTable', 'demo/table/EditRowTable', 1, NULL, NULL, 1, NULL, '1', 15.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108208297271297', '1438108198113501186', '权限列', '/comp/table/authColumn', 'demo/table/AuthColumn', 1, NULL, NULL, 1, NULL, '1', 16.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108208817364993', '1438108199413735425', '基础树', '/comp/tree/basic', 'demo/tree/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108208980942850', '1438108199413735425', '可搜索/工具栏', '/comp/tree/editTree', 'demo/tree/EditTree', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108209228406785', '1438108199413735425', '函数操作示例', '/comp/tree/actionTree', 'demo/tree/ActionTree', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108210117599234', '1438108199539564546', 'Json编辑器', '/comp/editor/json', 'demo/editor/json/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:31', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108210260205570', '1438108199539564546', 'markdown编辑器', '/comp/editor/markdown', NULL, 1, NULL, '/comp/editor/markdown/index', 1, NULL, '1', 1.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:31', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108211325558785', '1438108210260205570', '基础使用', '/comp/editor/markdown/index', 'demo/editor/markdown/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:31', 'admin', '2021-09-16 14:40:59', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108211661103106', '1438108210260205570', '嵌入form', '/comp/editor/markdown/editor', 'demo/editor/markdown/Editor', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:31', 'admin', '2021-09-16 14:41:04', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108211778543618', '1438108199539564546', '富文本', '/comp/editor/tinymce', NULL, 1, NULL, '/comp/editor/tinymce/index', 1, NULL, '1', 2.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:31', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108214882328577', '1438108211778543618', '基础使用', '/comp/editor/tinymce/index', 'demo/editor/tinymce/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108215335313409', '1438108211778543618', '嵌入form', '/comp/editor/tinymce/editor', 'demo/editor/tinymce/Editor', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108215511474177', '1438108199631839234', '基础滚动', '/comp/scroll/basic', 'demo/comp/scroll/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108215687634945', '1438108199631839234', '滚动函数', '/comp/scroll/action', 'demo/comp/scroll/Action', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108215989624834', '1438108199631839234', '虚拟滚动', '/comp/scroll/virtualScroll', 'demo/comp/scroll/VirtualScroll', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108216300003330', '1438108200802050050', '基础示例', '/comp/lazy/basic', 'demo/comp/lazy/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108216597798914', '1438108200802050050', '动画效果', '/comp/lazy/transition', 'demo/comp/lazy/Transition', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108216971091969', '1438108200919490562', '拖拽校验', '/comp/verify/drag', 'demo/comp/verify/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108217449242626', '1438108200919490562', '图片还原', '/comp/verify/rotate', 'demo/comp/verify/Rotate', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108217562488834', '1438108187455774722', '图表', '/charts', 'layouts/default/index', 1, NULL, '/charts/echarts/map', 0, NULL, '1', 7.00, 0, 'ion:bar-chart-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:32', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108217860284417', '1438108217562488834', '百度地图', '/charts/baiduMap', 'demo/charts/map/Baidu', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108218049028097', '1438108217562488834', '高德地图', '/charts/aMap', 'demo/charts/map/Gaode', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108218409738242', '1438108217562488834', 'Echarts', '/charts/echarts', NULL, 1, NULL, '/charts/echarts/map', 1, NULL, '1', 3.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108218787225601', '1438108218409738242', '地图', '/charts/echarts/map', 'demo/charts/Map', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108219034689538', '1438108218409738242', '折线图', '/charts/echarts/line', 'demo/charts/Line', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108219240210434', '1438108218409738242', '饼图', '/charts/echarts/pie', 'demo/charts/Pie', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108219445731330', '1438108187455774722', '外部页面', '/frame', 'layouts/default/index', 1, NULL, '/frame/doc', 0, NULL, '1', 8.00, 0, 'ion:tv-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108219592531970', '1438108219445731330', '项目文档(内嵌)', '/frame/doc', 'http://vue3.jeecg.com', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2021-11-15 17:59:32', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108219793858561', '1438108219445731330', 'antVue文档(内嵌)', '/frame/antv', 'https://2x.antdv.com/docs/vue/introduce-cn', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2021-11-11 17:11:10', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108220137791489', '1438108219445731330', '项目文档(外链)', '/', 'http://vue3.jeecg.com/', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2021-10-25 13:46:59', 0, 0, '1', 1);
INSERT INTO `sys_permission` VALUES ('1438108220418809857', '1438108187455774722', '多级菜单', '/level', 'layouts/default/index', 1, NULL, '/level/menu1/menu1-1/menu1-1-1', 0, NULL, '1', 9.00, 0, 'ion:menu-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108220523667458', '1438108220418809857', 'Menu1', '/level/menu1', NULL, 1, NULL, '/level/menu1/menu1-1/menu1-1-1', 1, NULL, '1', 0.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108220724994049', '1438108220418809857', 'Menu2', '/level/menu2', 'demo/level/Menu2', 1, 'Menu2Demo', NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 1, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2022-09-20 15:24:13', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108220896960513', '1438108220523667458', 'Menu1-1', '/level/menu1/menu1-1', NULL, 1, NULL, '/level/menu1/menu1-1/menu1-1-1', 1, NULL, '1', 0.00, 0, NULL, 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108221127647234', '1438108220896960513', 'Menu1-1-1', '/level/menu1/menu1-1/menu1-1-1', 'demo/level/Menu111', 1, 'Menu111Demo', NULL, 1, NULL, '1', 0.00, 0, NULL, 1, 1, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2022-09-20 15:24:03', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108221270253570', '1438108220523667458', 'Menu1-2', '/level/menu1/menu1-2', 'demo/level/Menu12', 1, 'Menu12Demo', NULL, 1, NULL, '1', 1.00, 0, NULL, 1, 1, 0, 0, NULL, 'admin', '2021-09-15 19:51:33', 'admin', '2022-09-20 15:24:08', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108221551271937', '', 'Mock示例', '/system', 'layouts/default/index', 1, NULL, '/system/account', 0, NULL, '1', 10.00, 0, 'ion:settings-outline', 0, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108221849067522', '1438108221551271937', '测试功能', '/system/test', 'demo/system/test/index', 1, NULL, NULL, 1, NULL, '1', 0.00, 0, 'ant-design:bulb-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 15:55:36', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108222218166273', '1438108221551271937', '账号管理', '/system/account', 'demo/system/account/index', 1, NULL, NULL, 1, NULL, '1', 1.00, 0, 'ant-design:user-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 15:55:46', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108222721482753', '1438108221551271937', '账号详情', '/system/account_detail/:id', 'demo/system/account/AccountDetail', 1, NULL, NULL, 1, NULL, '1', 2.00, 0, 'ant-design:idcard-twotone', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 15:56:12', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108223489040385', '1438108221551271937', '部门管理', '/system/dept', 'demo/system/dept/index', 1, NULL, NULL, 1, NULL, '1', 5.00, 0, 'ant-design:usergroup-add-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 15:56:34', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108223661006850', '1438108221551271937', '修改密码', '/system/changePassword', 'demo/system/password/index', 1, NULL, NULL, 1, NULL, '1', 6.00, 0, 'ant-design:field-number-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 15:56:46', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108225263230978', '1438108178010202113', '引导页', '/setup/index', 'demo/setup/index', 1, NULL, NULL, 1, NULL, '1', 12.00, 0, 'whh:paintroll', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', 'admin', '2021-09-17 09:02:19', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438108225451974658', '', '关于', '/about/index', 'sys/about/index', 1, NULL, NULL, 0, NULL, '1', 13.00, 0, 'simple-icons:about-dot-me', 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 19:51:34', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438115924159881218', '1438108183395688450', 'Tab带参1', '/testTab/id1', 'demo/feat/tab-params/index', 1, NULL, NULL, 1, NULL, '0', 0.00, 0, NULL, 1, 0, 0, NULL, NULL, 'admin', '2021-09-15 20:22:10', 'admin', '2021-09-16 14:38:32', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438116003012796418', '1438108183395688450', 'Tab带参2', '/feat/testTab/id2', 'demo/feat/tab-params/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-15 20:22:29', 'admin', '2023-08-25 13:32:42', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1438469604861403137', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '职务管理', '/system/position', 'system/position/index', 1, NULL, NULL, 1, NULL, '0', 5.00, 0, 'ant-design:database-filled', 1, 0, 0, NULL, NULL, 'admin', '2021-09-16 19:47:33', 'admin', '2021-09-17 15:58:22', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1438782530717495298', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '分类字典', '/system/category', 'system/category/index', 1, NULL, NULL, 1, NULL, '0', 9.00, 0, 'ant-design:group-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-17 16:31:01', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1438782641187074050', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '数据字典', '/system/dict', 'system/dict/index', 1, NULL, NULL, 1, NULL, '0', 4.00, 0, 'ant-design:hdd-twotone', 0, 0, 0, 0, NULL, 'admin', '2021-09-17 16:31:27', 'admin', '2023-03-04 15:01:55', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1438782851980210178', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '通知公告', '/system/notice', 'system/notice/index', 1, NULL, NULL, 1, NULL, '0', 8.00, 0, 'ant-design:bell-outlined', 1, 0, 0, NULL, NULL, 'admin', '2021-09-17 16:32:17', 'admin', '2021-09-17 16:36:15', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1438783058792951810', '1438108197958311537', '单表示例', '/system/examples/demo', 'system/examples/demo/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-17 16:33:07', 'admin', '2021-12-08 14:10:47', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439398677984878593', '', '系统监控', '/monitor', 'layouts/RouteView', 1, NULL, NULL, 0, NULL, '0', 5.00, 0, 'ant-design:video-camera-filled', 0, 0, 0, 0, NULL, 'admin', '2021-09-19 09:19:22', 'admin', '2022-10-14 16:21:08', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439399179791409153', '1439398677984878593', '网关路由', '/monitor/route', 'monitor/route/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, 'ant-design:branches-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-09-19 09:21:21', 'admin', '2021-09-19 09:26:42', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439488251473993730', '1439398677984878593', '定时任务', '/monitor/quartz', 'monitor/quartz/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, 'ant-design:history-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-09-19 15:15:18', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439511654494937090', '1439398677984878593', '数据源管理', '/monitor/datasource', 'monitor/datasource/index', 1, NULL, NULL, 1, NULL, '0', 3.00, 0, 'ant-design:hdd-filled', 0, 0, 0, 0, NULL, 'admin', '2021-09-19 16:48:17', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439531077792473089', '1439398677984878593', '数据日志', '/monitor/datalog', 'monitor/datalog/index', 1, NULL, NULL, 1, NULL, '0', 4.00, 0, 'ant-design:funnel-plot-twotone', 1, 0, 0, 0, NULL, 'admin', '2021-09-19 18:05:28', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439533711676973057', '1439398677984878593', '日志管理', '/monitor/log', 'monitor/log/index', 1, NULL, NULL, 1, NULL, '0', 5.00, 0, 'ant-design:interaction-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-09-19 18:15:56', 'admin', '2021-09-19 18:16:56', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439542701152575489', '1443390062919208961', '我的消息', '/monitor/mynews', 'monitor/mynews/index', 1, NULL, NULL, 1, NULL, '0', 6.00, 0, '', 1, 0, 0, 0, NULL, 'admin', '2021-09-19 18:51:40', 'admin', '2022-09-22 10:33:10', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439784356766064642', '1439398677984878593', 'SQL监控', '/monitor/druid', '{{ window._CONFIG[\'domianURL\'] }}/druid', 1, NULL, NULL, 1, NULL, '0', 8.00, 0, 'ant-design:rocket-filled', 1, 0, 0, 0, NULL, 'admin', '2021-09-20 10:51:55', 'admin', '2021-11-15 18:21:20', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439797053314342913', '1439398677984878593', '性能监控', '/monitor/server', 'monitor/server/index', 1, NULL, NULL, 1, NULL, '0', 9.00, 0, 'ant-design:thunderbolt-filled', 1, 0, 0, 0, NULL, 'admin', '2021-09-20 11:42:22', 'admin', '2021-09-20 14:13:14', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439839507094740994', '1439398677984878593', 'Redis监控', '/monitor/redis', 'monitor/redis/index', 1, NULL, NULL, 1, NULL, '0', 10.00, 0, 'ant-design:trademark-outlined', 1, 0, 0, 0, NULL, 'admin', '2021-09-20 14:31:04', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1439842640030113793', '1439398677984878593', '请求追踪', '/monitor/trace', 'monitor/trace/index', 1, NULL, NULL, 1, NULL, '0', 11.00, 0, 'ant-design:ie-circle-filled', 1, 0, 0, 0, NULL, 'admin', '2021-09-20 14:43:31', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1441340399835742209', '1438108197958311537', '打印示例', '/jeecg/PrintDemo', 'demo/jeecg/PrintDemo', 1, NULL, NULL, 1, NULL, '0', 7.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-24 17:55:05', 'admin', '2021-09-24 17:55:20', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1441357157443371009', '1438108197958311537', '表格合计', '/jeecg/tableTotal', 'demo/jeecg/TableTotal', 1, NULL, NULL, 1, NULL, '0', 8.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-24 19:01:40', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1441361249200832513', '1438108197958311537', '异步树表格', '/jeecg/AsyncTreeTable', 'demo/jeecg/AsyncTreeTable', 1, NULL, NULL, 1, NULL, '0', 9.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-24 19:17:56', 'admin', '2021-09-26 16:05:55', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1442055284830769154', '1438108197958311537', '对象存储', '/system/ossfile', 'system/ossfile/index', 1, NULL, NULL, 1, NULL, '0', 11.00, 0, 'ant-design:file-add-outlined', 0, 0, 0, 0, NULL, 'jeecg', '2021-09-26 17:15:47', 'admin', '2022-10-14 16:23:35', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1443390062919208961', '', '消息中心', '/message', 'layouts/default/index', 1, NULL, '/message/manage', 0, NULL, '0', 5.00, 0, 'ant-design:message-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-09-30 09:39:43', 'admin', '2022-10-14 16:15:30', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1443391584864358402', '1443390062919208961', '消息模板', '/message/template', 'system/message/template/index', 1, NULL, NULL, 1, NULL, '0', 2.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-09-30 09:45:45', 'admin', '2022-09-22 10:32:42', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1446778415130722306', '1438108219445731330', 'JEECG官网', '/', 'http://www.jeecg.com', 0, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2021-10-09 18:03:49', 'admin', '2021-11-15 18:01:26', 0, 0, NULL, 1);
INSERT INTO `sys_permission` VALUES ('1447535997560909826', '1438108197270446081', '禁用', NULL, NULL, 0, NULL, NULL, 2, 'demo.dbarray', '2', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-10-11 20:14:10', 'admin', '2021-10-11 20:18:48', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1447763172274495489', '', '统计报表', '/report', 'layouts/RouteView', 1, NULL, NULL, 0, NULL, '0', 5.00, 0, 'ant-design:bar-chart-outlined', 0, 0, 0, 0, NULL, 'jeecg', '2021-10-12 11:16:53', 'admin', '2023-03-09 20:21:04', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1447763517847396354', '1447763172274495489', 'EChartDemo', '/report/chartDemo', 'report/chartdemo/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2021-10-12 11:18:15', 'jeecg', '2021-10-14 14:36:38', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1448252726202859522', '1447763172274495489', '布局统计报表', '/statisticst', 'report/statisticst/index', 1, NULL, NULL, 1, NULL, '0', 2.00, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2021-10-13 19:42:12', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1450308897429536769', '1438108197958311537', 'JVxeTable示例', '/jeecg/j-vxe-table-demo', 'demo/jeecg/JVxeTableDemo/index', 1, NULL, NULL, 1, NULL, '0', 10.00, 0, NULL, 0, 0, 0, 0, NULL, 'admin', '2021-10-19 11:52:41', 'admin', '2021-10-19 11:54:46', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1452508868884353026', '1866001513609637890', '积木报表', '/jmreport', '{{ window._CONFIG[\'domianURL\'] }}/jmreport/list?token=${token}', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, '', 1, 0, 0, 0, NULL, 'admin', '2021-10-25 13:34:35', 'admin', '2024-12-09 14:08:10', 0, 0, '1', 1);
INSERT INTO `sys_permission` VALUES ('1453250018282573826', '1438108197958311537', '一对多内嵌', '/innerTable', 'demo/jeecg/InnerExpandTable', 1, NULL, NULL, 1, NULL, '0', 12.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-10-27 14:39:39', 'admin', '2021-10-27 14:40:29', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1454031324835807233', '1450308897429536769', '综合示例', '/jeecg/j-vxe-table-demo/normal', 'demo/jeecg/JVxeTableDemo/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-10-29 18:24:17', 'admin', '2021-10-29 18:25:28', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1454031820661260289', '1450308897429536769', '即时保存', '/jeecg/j-vxe-table-demo/jsbc', 'demo/jeecg/JVxeTableDemo/func-demo/JSBCDemo', 1, NULL, NULL, 1, NULL, '0', 2.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-10-29 18:26:15', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1454034512171302914', '1450308897429536769', '无痕刷新', '/jeecg/j-vxe-table-demo/whsx', 'demo/jeecg/JVxeTableDemo/func-demo/SocketReload', 1, NULL, NULL, 1, NULL, '0', 3.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-10-29 18:36:57', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1455019819440021505', '1450308897429536769', '弹出子表', '/jeecg/j-vxe-table-demo/tczb', 'demo/jeecg/JVxeTableDemo/func-demo/PopupSubTable', 1, NULL, NULL, 1, NULL, '0', 4.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-11-01 11:52:13', 'admin', '2021-11-01 11:52:19', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1455067599277662209', '1450308897429536769', '布局模板', '/jeecg/j-vxe-table-demo/layout', 'demo/jeecg/JVxeTableDemo/layout-demo/index', 1, NULL, NULL, 1, NULL, '0', 5.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-11-01 15:02:04', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1455100420297859074', '', '低代码开发', '/online', 'layouts/default/index', 1, NULL, '/online/cgform', 0, NULL, '0', 2.00, 0, 'ant-design:cloud-outlined', 0, 0, 0, 0, NULL, 'admin', '2021-11-01 17:12:29', 'admin', '2024-06-11 19:17:30', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1455101470794850305', '1455100420297859074', 'Online表单开发', '/online/cgform', 'super/online/cgform/index', 1, NULL, NULL, 1, NULL, '0', 1.00, 0, NULL, 0, 0, 0, 0, NULL, 'admin', '2021-11-01 17:16:40', 'admin', '2022-04-04 18:36:25', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1455735714507472898', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '通讯录', '/address', 'system/address/index', 1, NULL, NULL, 1, NULL, '0', 20.00, 0, 'ant-design:book-outlined', 1, 0, 0, 0, NULL, 'admin', '2021-11-03 11:16:55', 'admin', '2023-10-18 13:54:58', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1457678003102879745', '1455100420297859074', '系统编码规则', '/system/fillrule', 'system/fillRule/index', 1, NULL, NULL, 1, NULL, '0', 6.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-11-08 19:54:53', 'jeecg', '2024-06-13 11:36:43', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1458353686530232321', '1455100420297859074', '系统校验规则', '/system/checkrule', 'system/checkRule/index', 1, NULL, NULL, 1, NULL, '0', 5.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2021-11-10 16:39:48', 'jeecg', '2024-06-13 11:36:37', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1458389305235984385', '1438108197958311537', '一对多ERP', '/erplist', 'demo/jeecg/erplist/index', 1, NULL, NULL, 1, NULL, '0', 11.00, 0, '', 1, 0, 0, 0, NULL, 'admin', '2021-11-10 19:01:21', 'admin', '2021-11-30 14:06:53', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1460888189937176577', '1455100420297859074', 'Online报表配置', '/online/cgreport', 'super/online/cgreport/index', 1, NULL, NULL, 1, NULL, '0', 2.00, 0, NULL, 0, 0, 0, 0, NULL, 'admin', '2021-11-17 16:31:01', 'admin', '2021-12-08 10:55:32', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1461270075543347202', '1455100420297859074', 'Online表单视图', '/online/copyform/:code', 'super/online/cgform/CgformCopyList', 1, NULL, NULL, 1, NULL, '0', 99.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2021-11-18 17:48:30', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1461291438825558017', '1455100420297859074', 'AUTO在线报表', '/online/cgreport/:id', 'super/online/cgreport/auto/OnlCgReportList', 1, NULL, NULL, 1, NULL, '0', 21.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2021-11-18 19:13:23', 'jeecg', '2024-06-13 11:36:13', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1465686870713782273', '1455100420297859074', 'AUTO在线表单', '/online/cgformList/:id', 'super/online/cgform/auto/default/OnlineAutoList', 1, NULL, NULL, 1, NULL, '0', 25.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2021-11-30 22:19:16', 'jeecg', '2024-06-13 11:37:14', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1473927410093187073', '1866001513609637890', '积木大屏', '/report/drag', '{{ window._CONFIG[\'domianURL\'] }}/drag/list?token=${token}&tenantId=${tenantId}', 0, NULL, NULL, 1, NULL, '0', 2.00, 0, '', 0, 0, 0, 0, NULL, 'admin', '2021-12-23 16:04:13', 'admin', '2025-02-19 16:10:39', 0, 0, NULL, 1);
INSERT INTO `sys_permission` VALUES ('1509417558230999041', '1455100420297859074', 'AUTO树表单列表', '/online/cgformTreeList/:id', 'super/online/cgform/auto/tree/OnlineAutoTreeList', 1, NULL, NULL, 1, NULL, '0', 25.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2022-03-31 14:29:24', 'jeecg', '2024-06-13 11:37:18', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1534418199197323265', '1438108197958311537', '单表原生示例', '/one/OneNativeList', 'demo/jeecg/Native/one/OneNativeList', 1, NULL, NULL, 1, NULL, '0', 13.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-08 14:13:01', 'admin', '2022-06-08 14:13:12', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1534500282601893890', '1455101470794850305', '代码生成', NULL, NULL, 0, NULL, NULL, 2, 'online:form:generateCode', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-08 19:39:11', 'admin', '2022-06-30 13:39:19', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1535225446864011265', '1460888189937176577', '批量删除', NULL, NULL, 0, NULL, NULL, 2, 'online:report:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-10 19:40:44', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1535226870641475586', '1455101470794850305', '批量删除', NULL, NULL, 0, NULL, NULL, 2, 'online:form:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-10 19:46:23', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1535227149789184001', '1455101470794850305', '新建SQL增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceSql:save', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-10 19:47:30', 'admin', '2022-06-30 13:42:36', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383139476467713', '1455101470794850305', '编辑SQL增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceSql:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:42:51', 'admin', '2022-06-30 13:43:38', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383223979110402', '1455101470794850305', '删除SQL增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceSql:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:43:11', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383292690198530', '1455101470794850305', '批量删除SQL增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceSql:batchDelete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:43:28', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383437808922625', '1455101470794850305', '导入数据库表', NULL, NULL, 0, NULL, NULL, 2, 'online:form:importTable', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:44:02', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383507883159553', '1455101470794850305', '添加JAVA增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceJava:save', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:44:19', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383573423353858', '1455101470794850305', '修改JAVA增强', NULL, NULL, 0, NULL, NULL, 2, 'online:form:enhanceJava:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:44:35', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383826117586945', '1455101470794850305', '删除Online表单', NULL, NULL, 0, NULL, NULL, 2, 'online:form:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:45:35', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542383907281563650', '1455101470794850305', '移除Online表单', NULL, NULL, 0, NULL, NULL, 2, 'online:form:remove', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:45:54', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1542385335362383873', '1473927410093187073', '删除仪表盘', NULL, NULL, 0, NULL, NULL, 2, 'onl:drag:page:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-06-30 13:51:35', 'admin', '2022-06-30 13:51:42', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1546736974756032513', '1455101470794850305', '选择代码生成路径', NULL, NULL, 0, NULL, NULL, 2, 'online:codeGenerate:projectPath', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-07-12 14:03:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1554384900763729922', '1473927410093187073', '模板设置', NULL, NULL, 0, NULL, NULL, 2, 'drag:template:edit', '2', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2022-08-02 16:33:34', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1580833876002627585', '1447763172274495489', 'Online报表例子', '/online/cgreport/1256627801873821698', '1', 0, '', NULL, 1, NULL, '0', 3.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 16:12:21', 'admin', '2022-10-14 16:21:55', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1580834045490257922', '1447763172274495489', 'Online表单例子', '/online/cgformList/d35109c3632c4952a19ecc094943dd71', '1', 0, '', NULL, 1, NULL, '0', 4.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 16:13:02', 'jeecg', '2024-06-13 11:39:36', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1580835899477483522', '1447763172274495489', '积木报表例子', '/jmreport/view/961455b47c0b86dc961e90b5893bff05', '{{ window._CONFIG[\'domianURL\'] }}/jmreport/view/961455b47c0b86dc961e90b5893bff05?token=${token}', 1, '', NULL, 1, NULL, '0', 5.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 16:20:24', 'admin', '2022-10-14 16:20:51', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1580877743141933058', '1447763172274495489', '生产销售监控大屏', '/test/bigScreen/templat/index1', '{{ window._CONFIG[\'domianURL\'] }}/test/bigScreen/templat/index1', 1, '', NULL, 1, NULL, '0', 6.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 19:06:40', 'admin', '2023-09-20 21:15:55', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1580877931331964929', '1447763172274495489', '智慧物流监控大屏', '/test/bigScreen/templat/index2', '{{ window._CONFIG[\'domianURL\'] }}/test/bigScreen/templat/index2', 1, '', NULL, 1, NULL, '0', 7.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 19:07:25', 'admin', '2023-09-20 21:16:03', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1580878668472504321', '1447763172274495489', '积木大屏案例', '/test/jmbigscreen2', 'https://cloud.jimureport.com/bigscreen/#/view/bs_1394991793166094338', 1, '', NULL, 1, NULL, '0', 9.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-10-14 19:10:21', 'admin', '2022-10-28 10:18:19', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1588513553652436993', '3f915b2769fc80648e92d04e84ca059d', '修改密码', NULL, NULL, 0, NULL, NULL, 2, 'system:user:changepwd', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-04 20:48:39', 'admin', '2022-11-04 20:49:06', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1590154870697734146', '1447763172274495489', '带参数报表', '/online/cgreport/1590154651759259649?sex=1', 'layouts/RouteView', 0, '1', NULL, 1, NULL, '0', 11.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-09 09:30:39', 'jeecg', '2024-06-21 15:03:29', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1592112984361365505', '1170592628746878978', '添加菜单', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:11:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592113148350263298', '190c2b43bec6a5f7a4194a85db67d96a', '保存角色授权', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:saveRole', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:12:09', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114574275211265', '3f915b2769fc80648e92d04e84ca059d', '删除用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:17:49', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114652566089729', '3f915b2769fc80648e92d04e84ca059d', '批量删除用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:18:08', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114721138765826', '3f915b2769fc80648e92d04e84ca059d', '冻结/解冻用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:frozenBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:18:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114772665790465', '3f915b2769fc80648e92d04e84ca059d', '首页用户重置密码', NULL, NULL, 0, NULL, NULL, 2, 'system:user:updatepwd', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:18:37', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114823467200514', '3f915b2769fc80648e92d04e84ca059d', '给指定角色添加用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:addUserRole', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:18:49', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114893302362114', '3f915b2769fc80648e92d04e84ca059d', '删除指定角色的用户关系', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteRole', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:19:05', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592114955650691074', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定角色的用户关系', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteRoleBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:19:20', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115070432014338', '3f915b2769fc80648e92d04e84ca059d', '给指定部门添加对应的用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:editDepartWithUser', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:19:48', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115115361398786', '3f915b2769fc80648e92d04e84ca059d', '删除指定机构的用户关系', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteUserInDepart', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:19:58', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115162379546625', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定机构的用户关系', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteUserInDepartBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:20:09', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115213910765570', '3f915b2769fc80648e92d04e84ca059d', '彻底删除用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:deleteRecycleBin', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:20:22', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115610431877122', '1439511654494937090', '多数据源分页列表', NULL, NULL, 0, NULL, NULL, 2, 'system:datasource:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:21:56', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115712466710529', '45c966826eeff4c99b8f8ebfe74511fc', '部门添加', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:22:21', 'admin', '2022-11-14 19:30:49', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592115914493751297', '1170592628746878978', '编辑菜单权限数据', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:editRule', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:23:09', 'admin', '2022-11-14 19:39:25', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592116663936184322', '1170592628746878978', '编辑菜单', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:26:07', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117222764277761', '45c966826eeff4c99b8f8ebfe74511fc', '部门编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:28:21', 'admin', '2022-11-14 19:30:55', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117276539449345', '45c966826eeff4c99b8f8ebfe74511fc', '部门删除', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:28:33', 'admin', '2022-11-14 19:31:06', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117377299214337', '45c966826eeff4c99b8f8ebfe74511fc', '部门批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:28:58', 'admin', '2022-11-14 19:31:12', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117422006300673', '45c966826eeff4c99b8f8ebfe74511fc', '部门导入', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:importExcel', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:29:08', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117625664925697', '5c2f42277948043026b7a14692456828', '部门角色添加', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:role:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:29:57', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117748209905665', '5c2f42277948043026b7a14692456828', '部门角色编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:role:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:30:26', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117804359053314', '5c2f42277948043026b7a14692456828', '部门角色删除', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:role:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:30:39', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592117990305132545', '5c2f42277948043026b7a14692456828', '部门角色批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:role:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:31:24', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118053634928641', '5c2f42277948043026b7a14692456828', '部门角色用户授权', NULL, NULL, 0, NULL, NULL, 2, 'system:depart:role:userAdd', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:31:39', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118192218927105', '1438782641187074050', '字典新增', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:32:12', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118254844080130', '1438782641187074050', '字典编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:32:27', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118306983473154', '1438782641187074050', '字典删除', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:32:39', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118356778250241', '1438782641187074050', '字典批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:32:51', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118414990995457', '1438782641187074050', '字典导入', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:importExcel', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:33:05', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118497606201346', '1439399179791409153', '路由网关删除', NULL, NULL, 0, NULL, NULL, 2, 'system:getway:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:33:25', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118604640645122', '1170592628746878978', '删除菜单', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:33:50', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592118648315932674', '1170592628746878978', '批量删除菜单', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:34:01', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592119001883176961', '1170592628746878978', '添加菜单权限数据', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:addRule', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:35:25', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120052866707457', '1170592628746878978', '删除菜单权限数据', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:deleteRule', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:39:35', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120222727630849', '45c966826eeff4c99b8f8ebfe74511fc', '保存部门授权', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:saveDepart', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:40:16', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120224120850434', '190c2b43bec6a5f7a4194a85db67d96a', '查询全部角色不租户隔离', NULL, NULL, 0, NULL, NULL, 2, 'system:role:queryallNoByTenant', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 19:41:18', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120323667750914', '190c2b43bec6a5f7a4194a85db67d96a', '角色添加', NULL, NULL, 0, NULL, NULL, 2, 'system:role:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:40:40', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120372296511490', '190c2b43bec6a5f7a4194a85db67d96a', '角色编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:role:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:40:52', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120427007012865', '190c2b43bec6a5f7a4194a85db67d96a', '角色删除', NULL, NULL, 0, NULL, NULL, 2, 'system:role:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:41:05', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120484120850434', '190c2b43bec6a5f7a4194a85db67d96a', '角色批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:role:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:41:18', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120594695286785', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置添加', NULL, NULL, 0, NULL, NULL, 2, 'system:roleindex:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:41:45', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592120649007329281', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:roleindex:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:41:58', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1592135223910765570', '3f915b2769fc80648e92d04e84ca059d', '查询全部用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:listAll', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:20:22', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593160905216663554', '1438782641187074050', '字典子项新增', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:item:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:35:34', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593160959633563650', '1438782641187074050', '字典子项编辑', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:item:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:35:47', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161025790320641', '1438782641187074050', '字典子项删除', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:item:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:36:03', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161089787011074', '1438782641187074050', '字典子项批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:item:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:36:18', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161421350936578', '1439488251473993730', '添加定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:37:37', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161483627962370', '1439488251473993730', '更新定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:37:52', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161551202394114', '1439488251473993730', '删除定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:38:08', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161608362369026', '1439488251473993730', '批量删除定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:38:22', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161657385394177', '1439488251473993730', '停止定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:pause', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:38:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161697348722689', '1439488251473993730', '启动定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:resume', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:38:43', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593161743607701505', '1439488251473993730', '立即执行定时任务', NULL, NULL, 0, NULL, NULL, 2, 'system:quartzJob:execute', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 16:38:54', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593173018886709250', '1442055284830769154', '文件oos上传', NULL, NULL, 0, NULL, NULL, 2, 'system:ossFile:upload', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 17:23:42', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1593185714482880514', '3f915b2769fc80648e92d04e84ca059d', '用户导出', NULL, NULL, 0, NULL, NULL, 2, 'system:user:export', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-17 18:14:09', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1594930803956920321', '1439398677984878593', '在线用户', '/system/onlineuser', 'system/onlineuser/OnlineUserList', 1, '', NULL, 1, NULL, '0', 12.00, 0, 'ant-design:aliwangwang-outlined', 1, 0, 0, 0, NULL, 'admin', '2022-11-22 13:48:31', 'admin', '2023-03-04 15:15:36', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1596141938193747970', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '用户设置', '/system/usersetting', 'system/usersetting/UserSetting', 1, '', NULL, 1, NULL, '0', 12.00, 0, 'ant-design:setting-twotone', 0, 0, 1, 0, NULL, 'admin', '2022-11-25 22:01:08', 'admin', '2023-03-04 15:00:26', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1596335805278990338', '1596141938193747970', '账户设置用户编辑权限', NULL, NULL, 0, NULL, NULL, 2, 'system:user:setting:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-26 10:51:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1597419994965786625', '1674708136602542082', '租户角色', '/system/role/TenantRoleList', 'system/role/TenantRoleList', 1, 'tenant-role-list', NULL, 1, NULL, '0', 3.20, 0, 'ant-design:line-height-outlined', 1, 0, 0, 0, NULL, 'admin', '2022-11-29 10:39:40', 'admin', '2023-03-09 20:18:23', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('15c92115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户信息接口', NULL, NULL, 0, NULL, NULL, 2, 'system:user:queryById', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:20:22', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1600105607009165314', '1280350452934307841', '邀请用户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:invitation:user', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-06 20:31:20', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1600108123037917186', '1280350452934307841', '通过租户id获取用户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:user:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-06 20:41:20', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1600129606082650113', '1280350452934307841', '租户请离', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:leave', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-06 22:06:42', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1609123240547344385', '1280350452934307841', '产品包分页列表查询', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:packList', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-31 17:44:11', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1609123437247619074', '1280350452934307841', '创建租户产品包', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:add:pack', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-31 17:44:58', 'admin', '2022-12-31 20:27:56', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1609164542165012482', '1280350452934307841', '编辑租户产品包', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:edit:pack', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-31 20:28:18', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1609164635442139138', '1280350452934307841', '批量删除租户产品包', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:delete:pack', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-12-31 20:28:41', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611620416187969538', '1280350452934307841', '分页获取租户用户数据', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:tenantPageList', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-07 15:07:04', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611620600003342337', '1280350452934307841', '通过用户id获取租户列表', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:getTenantListByUserId', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-07 15:07:48', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611620654621569026', '1280350452934307841', '更新用户租户关系状态', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:updateUserTenantStatus', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-07 15:08:01', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611620772498218641', '1280350452934307841', '查询租户列表', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611620772498288641', '1280350452934307841', '注销租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:cancelTenant', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-07 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1611650772498288641', '1280350452934307841', '删除租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1612438989792034818', '1280350452934307841', '编辑租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-07 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1613620712498288641', '1280350452934307841', '批量删除租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1620261087828418562', '1280350452934307841', '获取租户删除的列表', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:recycleBinPageList', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-31 11:22:01', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1620305415648989186', '1280350452934307841', '彻底删除租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:deleteTenantLogic', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-31 14:18:10', 'admin', '2023-01-31 14:19:51', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1620327825894981634', '1280350452934307841', '租户还原', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:revertTenantLogic', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-31 15:47:13', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1620709334357532673', '1438108176273760258', '敲敲云', 'https://qiaoqiaoyun.com', 'https://qiaoqiaoyun.com', 0, '', NULL, 1, NULL, '0', 5.00, 0, 'ant-design:layout-filled', 1, 0, 0, 0, NULL, 'jeecg', '2023-02-01 17:03:11', 'admin', '2025-02-07 16:32:34', 0, 0, NULL, 1);
INSERT INTO `sys_permission` VALUES ('1621620772498288641', '1280350452934307841', '添加租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1629109281748291586', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '第三方配置', '/third/app', 'system/appconfig/ThirdAppConfigList', 1, '', NULL, 1, NULL, '0', 13.00, 0, 'ant-design:setting-outlined', 1, 0, 0, 0, NULL, 'admin', '2023-02-24 21:21:35', 'admin', '2023-02-24 21:51:05', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1660568280725127169', '1439533711676973057', '日志列表', NULL, NULL, 1, NULL, NULL, 2, 'system:log:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-22 16:48:25', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1660568368558047234', '1439533711676973057', '日志删除', NULL, NULL, 1, NULL, NULL, 2, 'system:log:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-22 16:48:46', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1660568426632380417', '1439533711676973057', '日志批量删除', NULL, NULL, 1, NULL, NULL, 2, 'system:log:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-05-22 16:48:59', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1661572802889007106', '', '租户管理', '/tenant/setting', 'layouts/RouteView', 1, NULL, NULL, 0, NULL, '1', 4.10, 0, 'ant-design:setting-outlined', 0, 0, 0, 0, NULL, 'admin', '2023-05-25 11:20:01', 'admin', '2023-06-30 18:37:04', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1663816667704500225', '1674708136602542082', '我的租户', '/tenant/MyTenantList', 'system/tenant/my/MyTenantList', 1, 'tenant-my-tenant-list', NULL, 1, NULL, '0', 1.00, 0, 'ant-design:user-outlined', 1, 0, 0, 0, NULL, 'admin', '2023-05-31 15:56:20', 'admin', '2024-06-17 15:42:08', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1668174661456171010', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '租户初始套餐', '/tenant/TenantDefaultPack', 'system/tenant/pack/TenantDefaultPackList', 1, '', NULL, 1, NULL, '0', 5.00, 0, 'ant-design:deployment-unit-outlined', 1, 0, 0, 0, NULL, 'admin', '2023-06-12 16:33:27', 'admin', '2025-02-07 16:01:55', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1674708136602542082', '', '我的租户', '/mytenant', 'layouts/RouteView', 1, '', NULL, 0, NULL, '0', 4.20, 0, 'ant-design:user-outlined', 0, 0, 0, 0, NULL, 'admin', '2023-06-30 17:15:09', 'admin', '2024-06-17 15:42:29', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1691031996d593131521', '1455100420297859074', 'AUTO在线ERP表单', '/online/cgformErpList/:id', 'super/online/cgform/auto/erp/OnlCgformErpList', 1, '', NULL, 1, NULL, '0', 21.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2023-08-14 18:20:20', 'jeecg', '2024-06-13 11:37:04', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1691031996d5931315212', '1455100420297859074', 'AUTO在线一对多内嵌', '/online/cgformInnerTableList/:id', 'super/online/cgform/auto/innerTable/OnlCgformInnerTableList', 1, '', NULL, 1, NULL, '0', 21.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2023-08-14 18:20:20', 'jeecg', '2024-06-13 11:37:07', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1691031996d5931315213', '1455100420297859074', 'AUTO在线Tab风格', '/online/cgformTabList/:id', 'super/online/cgform/auto/tab/OnlCgformTabList', 1, '', NULL, 1, NULL, '0', 21.00, 0, NULL, 1, 0, 1, 0, NULL, 'admin', '2023-08-14 18:20:20', 'jeecg', '2024-06-13 11:37:11', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1693195557097164801', '190c2b43bec6a5f7a4194a85db67d96a', '查询所有角色', NULL, NULL, 0, NULL, NULL, 2, 'system:role:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-08-20 17:37:34', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1697220712498288641', '1280350452934307841', '根据ids查询租户', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:queryList', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-01-11 15:08:29', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1698650926200352770', '1473927410093187073', '数据集解析SQL', NULL, NULL, 0, NULL, NULL, 2, 'drag:analysis:sql', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2023-09-04 18:55:15', 'jeecg', '2023-09-05 20:36:51', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699038961937113090', '1473927410093187073', '数据源添加', NULL, NULL, 0, NULL, NULL, 2, 'drag:datasource:saveOrUpate', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2023-09-05 20:37:10', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699039098474291201', '1473927410093187073', '数据源删除', NULL, NULL, 0, NULL, NULL, 2, 'drag:datasource:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2023-09-05 20:37:42', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699039192154071041', '1473927410093187073', '数据源批量删除', NULL, NULL, 0, NULL, NULL, 2, 'drag:datasource:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2023-09-05 20:38:05', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374269152100354', '1455101470794850305', '同步数据库', NULL, NULL, 0, NULL, NULL, 2, 'online:form:syncDb', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:49:33', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374346553786370', '1455101470794850305', '添加Online表单', NULL, NULL, 0, NULL, NULL, 2, 'online:form:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:49:52', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374404015751169', '1455101470794850305', '修改Online表单', NULL, NULL, 0, NULL, NULL, 2, 'online:form:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:50:05', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374509749960705', '1455101470794850305', '查询数据库表名', NULL, NULL, 0, NULL, NULL, 2, 'online:form:queryTables', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:50:31', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374612388773890', '1460888189937176577', '获取字典列表', NULL, NULL, 0, NULL, NULL, 2, 'online:report:getDictList', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:50:55', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374704168534017', '1460888189937176577', 'SQL解析', NULL, NULL, 0, NULL, NULL, 2, 'online:report:parseSql', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:51:17', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699374801816125442', '1460888189937176577', '添加Online报表', NULL, NULL, 0, NULL, NULL, 2, 'online:report:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:51:40', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699375086147993601', '1460888189937176577', '修改Online报表', NULL, NULL, 0, NULL, NULL, 2, 'online:report:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:52:48', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1699375193576701953', '1460888189937176577', '删除Online报表', NULL, NULL, 0, NULL, NULL, 2, 'online:report:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2023-09-06 18:53:14', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1701475606988812289', '1473927410093187073', '数据源连接', NULL, NULL, 0, NULL, NULL, 2, 'drag:datasource:testConnection', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2023-09-12 13:59:31', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1701575168519839746', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '白名单管理', '/system/tableWhiteList', 'system/tableWhiteList/SysTableWhiteListList', 1, '', NULL, 1, NULL, '0', 4.00, 0, 'ant-design:table-outlined', 0, 0, 0, 0, NULL, 'admin', '2023-09-12 20:35:09', 'jeecg', '2024-06-13 11:38:28', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1746709108126285826', '1455100420297859074', 'AUTO在线表单详情', '/online/cgformDetail/:id', 'super/online/cgform/auto/default/OnlineAutoDetail', 1, '', NULL, 1, NULL, '0', 21.00, 0, NULL, 1, 0, 1, 0, NULL, 'jeecg', '2024-01-15 09:41:18', 'jeecg', '2024-06-13 11:37:01', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1750128461040648193', '1170592628746878978', '设置默认首页', NULL, NULL, 0, NULL, NULL, 2, 'system:permission:setDefIndex', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2024-01-24 20:08:35', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1783334031927627777', '1438108198113501186', '原生总结栏', '/comp/table/tableSummary', 'demo/table/AntdTableSummary', 1, '', NULL, 1, NULL, '0', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2024-04-25 11:15:40', NULL, NULL, 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1800372628805861377', '1701575168519839746', '列表权限', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:list', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:40:59', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1800372727493640194', '1701575168519839746', '添加权限', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:add', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:41:22', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1800372811518132225', '1701575168519839746', '修改权限', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:41:42', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1800372906330374146', '1701575168519839746', '删除权限', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:delete', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:42:05', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1800373633509441537', '1701575168519839746', '批量删除', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:deleteBatch', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:44:58', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1800373733220630530', '1701575168519839746', '通过id查询', NULL, NULL, 0, NULL, NULL, 2, 'system:tableWhite:queryById', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-06-11 11:45:22', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1801954937339428865', '1460888189937176577', '测试数据源连接', NULL, NULL, 0, NULL, NULL, 2, 'online:report:testConnection', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2024-06-15 20:28:30', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1804046424930480129', '1447763172274495489', '仪表盘集成示例', '/drag/view/964024982110830592', '{{ window._CONFIG[\'domianURL\'] }}/drag/view?pageId=964024982110830592&token=${token}&tenantId=${tenantId}', 1, '', NULL, 1, NULL, '0', 3.00, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2024-06-21 14:59:20', 'jeecg', '2024-06-21 14:59:51', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1808098125316870145', '3f915b2769fc80648e92d04e84ca059d', 'app端编辑用户', NULL, NULL, 0, NULL, NULL, 2, 'system:user:app:edit', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2024-07-02 19:19:21', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1810652607946940417', '1438782641187074050', '批量彻底删除', NULL, NULL, 0, NULL, NULL, 2, 'system:dict:deleteRecycleBin', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-07-09 20:29:57', '15931993294', '2024-07-09 20:30:39', 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1810923799513612290', '1439399179791409153', '彻底删除', NULL, NULL, 0, NULL, NULL, 2, 'system:gateway:deleteRecycleBin', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-07-10 14:27:34', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1811685368354754561', '1439399179791409153', '复制路由', NULL, NULL, 0, NULL, NULL, 2, 'system:gateway:copyRoute', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-07-12 16:53:46', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1811685464467230721', '1439399179791409153', '还原逻辑删除', NULL, NULL, 0, NULL, NULL, 2, 'system:gateway:putRecycleBin', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, '15931993294', '2024-07-12 16:54:09', NULL, NULL, 0, NULL, '1', 0);
INSERT INTO `sys_permission` VALUES ('1866001513609637890', '', '数据可视化', '/dataVisual', 'layouts/default/index', 1, '', NULL, 0, NULL, '0', 2.10, 0, 'ant-design:sliders-outlined', 0, 0, 0, 0, NULL, 'admin', '2024-12-09 14:06:44', 'admin', '2025-01-12 17:39:03', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1876220177009315842', '1473927410093187073', '表单设计页面查询', NULL, NULL, 0, NULL, NULL, 2, 'drag:design:getTotalData', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2025-01-06 18:52:03', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('1887447660072292354', '1280350452934307841', '初始化套餐包', NULL, NULL, 0, NULL, NULL, 2, 'system:tenant:syncDefaultPack', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'jeecg', '2025-02-06 18:26:04', 'jeecg', '2025-02-06 18:26:53', 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('190c2b43bec6a5f7a4194a85db67d96a', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '角色管理', '/system/role', 'system/role/index', 1, NULL, NULL, 1, NULL, NULL, 2.00, 0, 'ant-design:solution', 0, 1, 0, NULL, NULL, NULL, '2018-12-25 20:34:38', 'admin', '2021-09-17 15:58:00', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('1a0811914300741f4e11838ff37a1d3a', '3f915b2769fc80648e92d04e84ca059d', '手机号禁用', '', '', 0, NULL, NULL, 2, 'user:form:phone', '2', 1.00, 0, NULL, 1, NULL, 0, NULL, NULL, 'admin', '2019-05-11 17:19:30', 'admin', '2019-05-11 18:00:22', 0, 0, '1', NULL);
INSERT INTO `sys_permission` VALUES ('1d592115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户拥有的角色', NULL, NULL, 0, NULL, NULL, 2, 'system:user:queryUserRole', '1', NULL, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2022-11-14 19:20:22', NULL, NULL, 0, 0, '1', 0);
INSERT INTO `sys_permission` VALUES ('3f915b2769fc80648e92d04e84ca059d', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '用户管理', '/system/user', 'system/user/index', 1, NULL, NULL, 1, NULL, NULL, 1.00, 0, 'ant-design:user', 0, 1, 0, NULL, NULL, NULL, '2018-12-25 20:34:38', 'sunjianlei', '2021-05-08 09:57:31', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('45c966826eeff4c99b8f8ebfe74511fc', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '部门管理', '/system/depart', 'system/depart/index', 1, NULL, NULL, 1, NULL, NULL, 3.00, 0, 'ant-design:team', 0, 0, 0, NULL, NULL, 'admin', '2019-01-29 18:47:40', 'admin', '2021-09-17 15:58:13', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('5c2f42277948043026b7a14692456828', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '我的部门', '/system/depart-user', 'system/departUser/index', 1, NULL, NULL, 1, NULL, NULL, 3.00, 0, 'ant-design:home-outlined', 0, 0, 0, 0, NULL, 'admin', '2019-04-17 15:12:24', 'admin', '2023-03-04 15:03:07', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('9502685863ab87f0ad1134142788a385', '1438108176273760258', '首页', '/dashboard/analysis', 'dashboard/Analysis', 1, NULL, NULL, 1, NULL, NULL, 1.00, 0, 'ant-design:qrcode-outlined', 1, 1, 0, 0, NULL, NULL, '2018-12-25 20:34:38', 'jeecg', '2024-06-18 23:09:37', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('d7d6e2e4e2934f2c9385a623fd98c6f3', '', '系统管理', '/isystem', 'layouts/RouteView', 1, NULL, NULL, 0, NULL, NULL, 3.00, 0, 'ant-design:setting', 0, 0, 0, 0, NULL, NULL, '2018-12-25 20:34:38', 'admin', '2023-08-25 13:35:21', 0, 0, NULL, 0);
INSERT INTO `sys_permission` VALUES ('f15543b0263cf6c5fac85afdd3eba3f2', '3f915b2769fc80648e92d04e84ca059d', '用户导入', '', NULL, 0, NULL, NULL, 2, 'system:user:import', '1', 1.00, 0, NULL, 1, 0, 0, 0, NULL, 'admin', '2019-05-13 19:15:27', 'admin', '2022-06-30 15:05:12', 0, 0, '1', 0);

-- ----------------------------
-- Table structure for sys_permission_data_rule
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission_data_rule`;
CREATE TABLE `sys_permission_data_rule`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'ID',
  `permission_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单ID',
  `rule_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则名称',
  `rule_column` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '字段',
  `rule_conditions` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '条件',
  `rule_value` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '规则值',
  `status` varchar(3) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限有效状态1有0否',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_spdr_permission_id`(`permission_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_permission_data_rule
-- ----------------------------
INSERT INTO `sys_permission_data_rule` VALUES ('1260935285157511170', '4148ec82b6acd69f470bea75fe41c357', 'createBy', 'createBy', '=', '#{sys_user_code}', '0', '2020-05-14 22:09:34', 'jeecg', '2020-05-14 22:13:52', 'admin');
INSERT INTO `sys_permission_data_rule` VALUES ('1260936345293012993', '4148ec82b6acd69f470bea75fe41c357', '年龄', 'age', '>', '20', '1', '2020-05-14 22:13:46', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('1260937192290762754', '4148ec82b6acd69f470bea75fe41c357', 'sysOrgCode', 'sysOrgCode', 'RIGHT_LIKE', '#{sys_org_code}', '1', '2020-05-14 22:17:08', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('32b62cb04d6c788d9d92e3ff5e66854e', '8d4683aacaa997ab86b966b464360338', '000', '00', '!=', '00', '1', '2019-04-02 18:36:08', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('40283181614231d401614234fe670003', '40283181614231d401614232cd1c0001', 'createBy', 'createBy', '=', '#{sys_user_code}', '1', '2018-01-29 21:57:04', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('4028318161424e730161424fca6f0004', '4028318161424e730161424f61510002', 'createBy', 'createBy', '=', '#{sys_user_code}', '1', '2018-01-29 22:26:20', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402880e6487e661a01487e732c020005', '402889fb486e848101486e93a7c80014', 'SYS_ORG_CODE', 'SYS_ORG_CODE', 'LIKE', '010201%', '1', '2014-09-16 20:32:30', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402880e6487e661a01487e8153ee0007', '402889fb486e848101486e93a7c80014', 'create_by', 'create_by', '', '#{SYS_USER_CODE}', '1', '2014-09-16 20:47:57', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402880ec5ddec439015ddf9225060038', '40288088481d019401481d2fcebf000d', '复杂关系', '', 'USE_SQL_RULES', 'name like \'%张%\' or age > 10', '1', NULL, NULL, '2017-08-14 15:10:25', 'demo');
INSERT INTO `sys_permission_data_rule` VALUES ('402880ec5ddfdd26015ddfe3e0570011', '4028ab775dca0d1b015dca3fccb60016', '复杂sql配置', '', 'USE_SQL_RULES', 'table_name like \'%test%\' or is_tree = \'Y\'', '1', NULL, NULL, '2017-08-14 16:38:55', 'demo');
INSERT INTO `sys_permission_data_rule` VALUES ('402880f25b1e2ac7015b1e5fdebc0012', '402880f25b1e2ac7015b1e5cdc340010', '只能看自己数据', 'create_by', '=', '#{sys_user_code}', '1', '2017-03-30 16:40:51', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881875b19f141015b19f8125e0014', '40288088481d019401481d2fcebf000d', '可看下属业务数据', 'sys_org_code', 'LIKE', '#{sys_org_code}', '1', NULL, NULL, '2017-08-14 15:04:32', 'demo');
INSERT INTO `sys_permission_data_rule` VALUES ('402881e45394d66901539500a4450001', '402881e54df73c73014df75ab670000f', 'sysCompanyCode', 'sysCompanyCode', '=', '#{SYS_COMPANY_CODE}', '1', '2016-03-21 01:09:21', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881e45394d6690153950177cb0003', '402881e54df73c73014df75ab670000f', 'sysOrgCode', 'sysOrgCode', '=', '#{SYS_ORG_CODE}', '1', '2016-03-21 01:10:15', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881e56266f43101626727aff60067', '402881e56266f43101626724eb730065', '销售自己看自己的数据', 'createBy', '=', '#{sys_user_code}', '1', '2018-03-27 19:11:16', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881e56266f4310162672fb1a70082', '402881e56266f43101626724eb730065', '销售经理看所有下级数据', 'sysOrgCode', 'LIKE', '#{sys_org_code}', '1', '2018-03-27 19:20:01', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881e56266f431016267387c9f0088', '402881e56266f43101626724eb730065', '只看金额大于1000的数据', 'money', '>=', '1000', '1', '2018-03-27 19:29:37', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402881f3650de25101650dfb5a3a0010', '402881e56266f4310162671d62050044', '22', '', 'USE_SQL_RULES', '22', '1', '2018-08-06 14:45:01', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402889fb486e848101486e913cd6000b', '402889fb486e848101486e8e2e8b0007', 'userName', 'userName', '=', 'admin', '1', '2014-09-13 18:31:25', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('402889fb486e848101486e98d20d0016', '402889fb486e848101486e93a7c80014', 'title', 'title', '=', '12', '1', NULL, NULL, '2014-09-13 22:18:22', 'scott');
INSERT INTO `sys_permission_data_rule` VALUES ('402889fe47fcb29c0147fcb6b6220001', '8a8ab0b246dc81120146dc8180fe002b', '12', '12', '>', '12', '1', '2014-08-22 15:55:38', '8a8ab0b246dc81120146dc8181950052', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('4028ab775dca0d1b015dca4183530018', '4028ab775dca0d1b015dca3fccb60016', '表名限制', 'isDbSynch', '=', 'Y', '1', NULL, NULL, '2017-08-14 16:43:45', 'demo');
INSERT INTO `sys_permission_data_rule` VALUES ('4028ef815595a881015595b0ccb60001', '40288088481d019401481d2fcebf000d', '限只能看自己', 'create_by', '=', '#{sys_user_code}', '1', NULL, NULL, '2017-08-14 15:03:56', 'demo');
INSERT INTO `sys_permission_data_rule` VALUES ('4028ef81574ae99701574aed26530005', '4028ef81574ae99701574aeb97bd0003', '用户名', 'userName', '!=', 'admin', '1', '2016-09-21 12:07:18', 'admin', NULL, NULL);
INSERT INTO `sys_permission_data_rule` VALUES ('f852d85d47f224990147f2284c0c0005', NULL, '小于', 'test', '<=', '11', '1', '2014-08-20 14:43:52', '8a8ab0b246dc81120146dc8181950052', NULL, NULL);

-- ----------------------------
-- Table structure for sys_position
-- ----------------------------
DROP TABLE IF EXISTS `sys_position`;
CREATE TABLE `sys_position`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职务编码',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职务名称',
  `post_rank` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '职级',
  `company_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '公司id',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `sys_org_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组织机构编码',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_code`(`code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_position
-- ----------------------------
INSERT INTO `sys_position` VALUES ('1185040064792571906', 'devleader', '研发部经理', '2', NULL, 'admin', '2019-10-18 11:49:03', 'admin', '2022-10-25 11:09:06', 'A01', 0);
INSERT INTO `sys_position` VALUES ('1256485574212153345', '总经理', '总经理', '5', NULL, 'admin', '2020-05-02 15:28:00', 'admin', '2024-03-18 14:21:59', '北京国炬公司', 0);

-- ----------------------------
-- Table structure for sys_quartz_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_quartz_job`;
CREATE TABLE `sys_quartz_job`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `del_flag` int(1) NULL DEFAULT NULL COMMENT '删除状态',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `job_class_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务类名',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'cron表达式',
  `parameter` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '参数',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `status` int(1) NULL DEFAULT NULL COMMENT '状态 0正常 -1停止',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_quartz_job
-- ----------------------------
INSERT INTO `sys_quartz_job` VALUES ('5b3d2c087ad41aa755fc4f89697b01e7', 'admin', '2019-04-11 19:04:21', 0, 'admin', '2024-03-18 14:21:35', 'org.jeecg.modules.message.job.SendMsgJob', '0/50 * * * * ? *', NULL, NULL, -1);
INSERT INTO `sys_quartz_job` VALUES ('a253cdfc811d69fa0efc70d052bc8128', 'admin', '2019-03-30 12:44:48', 0, 'admin', '2020-05-02 15:48:49', 'org.jeecg.modules.quartz.job.SampleJob', '0/1 * * * * ?', NULL, NULL, -1);
INSERT INTO `sys_quartz_job` VALUES ('df26ecacf0f75d219d746750fe84bbee', NULL, '2021-06-30 16:03:09', 0, 'admin', '2020-05-02 15:40:35', 'org.jeecg.modules.quartz.job.SampleParamJob', '0/1 * * * * ?', 'scott', '带参测试 后台将每隔1秒执行输出日志', -1);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `role_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  `role_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色编码',
  `description` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_sys_role_role_code`(`role_code`) USING BTREE,
  INDEX `idx_sysrole_tenant_id`(`tenant_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('1169504891467464705', '第三方登录角色', 'third_role', '第三方登录角色', 'admin', '2019-09-05 14:57:49', 'admin', '2024-04-08 14:02:54', 0);
INSERT INTO `sys_role` VALUES ('1260924539346472962', '财务出纳', 'caiwu', NULL, 'admin', '2020-05-14 21:26:52', NULL, NULL, 0);
INSERT INTO `sys_role` VALUES ('1501570619841810433', 'Vue3角色', 'vue3', NULL, 'admin', '2022-03-09 22:48:28', 'admin', '2022-06-10 10:51:22', 0);
INSERT INTO `sys_role` VALUES ('e51758fa916c881624b046d26bd09230', '人力资源部', 'hr', NULL, 'admin', '2019-01-21 18:07:24', 'admin', '2019-10-18 11:39:43', 0);
INSERT INTO `sys_role` VALUES ('ee8626f80f7c2619917b6236f3a7f02b', '临时角色', 'test', '这是新建的临时角色123', NULL, '2018-12-20 10:59:04', 'admin', '2023-07-18 13:01:36', 0);
INSERT INTO `sys_role` VALUES ('f6817f48af4fb3af11b9e8bf182f618b', '管理员', 'admin', '管理员', NULL, '2018-12-21 18:03:39', 'admin', '2023-03-04 15:00:04', 0);

-- ----------------------------
-- Table structure for sys_role_index
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_index`;
CREATE TABLE `sys_role_index`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `role_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '角色编码',
  `url` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件',
  `is_route` tinyint(1) NULL DEFAULT 1 COMMENT '是否路由菜单: 0:不是  1:是（默认值1）',
  `priority` int(11) NULL DEFAULT 0 COMMENT '优先级',
  `status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态0:无效 1:有效',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sri_role_code`(`role_code`) USING BTREE,
  INDEX `idx_sri_status`(`status`) USING BTREE,
  INDEX `idx_sri_priority`(`priority`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色首页表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_index
-- ----------------------------
INSERT INTO `sys_role_index` VALUES ('1549658299929718786', 'admin', '222', '22', 1, 0, '0', 'admin', '2022-07-20 15:31:45', 'admin', '2023-08-25 13:35:54', 'A01');
INSERT INTO `sys_role_index` VALUES ('1803082647166652418', 'DEF_INDEX_ALL', '/dashboard/analysis', 'dashboard/Analysis', 1, 0, '1', 'jeecg', '2024-06-18 23:09:37', NULL, NULL, 'A02A01');

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `role_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `permission_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限id',
  `data_rule_ids` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '数据权限ids',
  `operate_date` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `operate_ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作ip',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_srp_role_per_id`(`role_id`, `permission_id`) USING BTREE,
  INDEX `idx_srp_role_id`(`role_id`) USING BTREE,
  INDEX `idx_srp_permission_id`(`permission_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
INSERT INTO `sys_role_permission` VALUES ('00b0748f04d3ea52c8cfa179c1c9d384', '52b0cf022ac4187b2a70dfa4f8b2d940', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('0d9d14bc66e9d5e99b0280095fdc8587', 'ee8626f80f7c2619917b6236f3a7f02b', '277bfabef7d76e89b33062b16a9a5020', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('0dec36b68c234767cd35466efef3b941', 'ee8626f80f7c2619917b6236f3a7f02b', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('105c2ac10741e56a618a82cd58c461d7', 'e51758fa916c881624b046d26bd09230', '1663f3faba244d16c94552f849627d84', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('115a6673ae6c0816d3f60de221520274', '21c5a3187763729408b40afb0d0fdfa8', '63b551e81c5956d5c861593d366d8c57', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1209423580355481602', 'f6817f48af4fb3af11b9e8bf182f618b', '190c2b43bec6a5f7a4194a85db67d96a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1232123957949304833', 'ee8626f80f7c2619917b6236f3a7f02b', 'f0675b52d89100ee88472b6800754a08', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1232123957978664962', 'ee8626f80f7c2619917b6236f3a7f02b', '1232123780958064642', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1232123957978664963', 'ee8626f80f7c2619917b6236f3a7f02b', '020b06793e4de2eee0007f603000c769', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1232123957987053570', 'ee8626f80f7c2619917b6236f3a7f02b', '2aeddae571695cd6380f6d6d334d6e7d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1232125488694104066', 'ee8626f80f7c2619917b6236f3a7f02b', 'e41b69c57a941a3bbcce45032fe57605', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1260929736852488194', 'ee8626f80f7c2619917b6236f3a7f02b', '1260929666434318338', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1260931414095937537', 'ee8626f80f7c2619917b6236f3a7f02b', '1260931366557696001', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1281494164924653569', 'f6817f48af4fb3af11b9e8bf182f618b', '1280350452934307841', NULL, '2020-07-10 15:43:13', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1427184775947751425', 'ee8626f80f7c2619917b6236f3a7f02b', '1352200630711652354', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775956140034', 'ee8626f80f7c2619917b6236f3a7f02b', '1205097455226462210', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775956140035', 'ee8626f80f7c2619917b6236f3a7f02b', '1335960713267093506', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775964528642', 'ee8626f80f7c2619917b6236f3a7f02b', '1205098241075453953', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775964528643', 'ee8626f80f7c2619917b6236f3a7f02b', '1205306106780364802', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775972917250', 'ee8626f80f7c2619917b6236f3a7f02b', '109c78a583d4693ce2f16551b7786786', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775972917251', 'ee8626f80f7c2619917b6236f3a7f02b', '1192318987661234177', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775972917252', 'ee8626f80f7c2619917b6236f3a7f02b', '1224641973866467330', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111554', 'ee8626f80f7c2619917b6236f3a7f02b', '1229674163694841857', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111555', 'ee8626f80f7c2619917b6236f3a7f02b', '1209731624921534465', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111556', 'ee8626f80f7c2619917b6236f3a7f02b', '1304032910990495745', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111557', 'ee8626f80f7c2619917b6236f3a7f02b', '190c2b43bec6a5f7a4194a85db67d96a', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111558', 'ee8626f80f7c2619917b6236f3a7f02b', '1280350452934307841', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111559', 'ee8626f80f7c2619917b6236f3a7f02b', '1174506953255182338', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775977111560', 'ee8626f80f7c2619917b6236f3a7f02b', '5c2f42277948043026b7a14692456828', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775985500162', 'ee8626f80f7c2619917b6236f3a7f02b', '1174590283938041857', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775985500163', 'ee8626f80f7c2619917b6236f3a7f02b', 'ebb9d82ea16ad864071158e0c449d186', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775985500164', 'ee8626f80f7c2619917b6236f3a7f02b', '1404684556047024130', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775985500165', 'ee8626f80f7c2619917b6236f3a7f02b', '1265162119913824258', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775989694465', 'ee8626f80f7c2619917b6236f3a7f02b', '841057b8a1bef8f6b4b20f9a618a7fa6', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775989694466', 'ee8626f80f7c2619917b6236f3a7f02b', '700b7f95165c46cc7a78bf227aa8fed3', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775989694467', 'ee8626f80f7c2619917b6236f3a7f02b', '8d1ebd663688965f1fd86a2f0ead3416', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775989694468', 'ee8626f80f7c2619917b6236f3a7f02b', '024f1fd1283dc632458976463d8984e1', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775989694469', 'ee8626f80f7c2619917b6236f3a7f02b', '8b3bff2eee6f1939147f5c68292a1642', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775998083074', 'ee8626f80f7c2619917b6236f3a7f02b', 'd07a2c87a451434c99ab06296727ec4f', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775998083075', 'ee8626f80f7c2619917b6236f3a7f02b', 'fc810a2267dd183e4ef7c71cc60f4670', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775998083076', 'ee8626f80f7c2619917b6236f3a7f02b', '97c8629abc7848eccdb6d77c24bb3ebb', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775998083077', 'ee8626f80f7c2619917b6236f3a7f02b', '1287715272999944193', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184775998083078', 'ee8626f80f7c2619917b6236f3a7f02b', '1287715783966834689', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471682', 'ee8626f80f7c2619917b6236f3a7f02b', '1287716451494510593', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471683', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718919049691137', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471684', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718938179911682', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471685', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718956957810689', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471686', 'ee8626f80f7c2619917b6236f3a7f02b', '1166535831146504193', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776006471687', 'ee8626f80f7c2619917b6236f3a7f02b', '9a90363f216a6a08f32eecb3f0bf12a3', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860289', 'ee8626f80f7c2619917b6236f3a7f02b', '4356a1a67b564f0988a484f5531fd4d9', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860290', 'ee8626f80f7c2619917b6236f3a7f02b', '655563cd64b75dcf52ef7bcdd4836953', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860291', 'ee8626f80f7c2619917b6236f3a7f02b', '1365187528377102337', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860292', 'ee8626f80f7c2619917b6236f3a7f02b', '6ad53fd1b220989a8b71ff482d683a5a', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860293', 'ee8626f80f7c2619917b6236f3a7f02b', '7960961b0063228937da5fa8dd73d371', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860294', 'ee8626f80f7c2619917b6236f3a7f02b', '1387612436586065922', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776014860295', 'ee8626f80f7c2619917b6236f3a7f02b', '043780fa095ff1b2bec4dc406d76f023', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776023248897', 'ee8626f80f7c2619917b6236f3a7f02b', '0620e402857b8c5b605e1ad9f4b89350', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776023248898', 'ee8626f80f7c2619917b6236f3a7f02b', 'c431130c0bc0ec71b0a5be37747bb36a', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1427184776023248899', 'ee8626f80f7c2619917b6236f3a7f02b', 'e1979bb53e9ea51cecc74d86fd9d2f64', NULL, '2021-08-16 16:25:41', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('145eac8dd88eddbd4ce0a800ab40a92c', 'e51758fa916c881624b046d26bd09230', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1501570988789567490', '1501570619841810433', '1438108176273760258', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988802150402', '1501570619841810433', '1438108176814825473', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988810539010', '1501570619841810433', '9502685863ab87f0ad1134142788a385', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988814733313', '1501570619841810433', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988814733314', '1501570619841810433', '3f915b2769fc80648e92d04e84ca059d', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988823121922', '1501570619841810433', '1214376304951664642', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988823121923', '1501570619841810433', '1214462306546319362', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988831510529', '1501570619841810433', '1a0811914300741f4e11838ff37a1d3a', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988831510530', '1501570619841810433', '190c2b43bec6a5f7a4194a85db67d96a', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988831510531', '1501570619841810433', '1170592628746878978', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988831510532', '1501570619841810433', '45c966826eeff4c99b8f8ebfe74511fc', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988831510534', '1501570619841810433', '1438782851980210178', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988839899138', '1501570619841810433', '1438782530717495298', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988839899139', '1501570619841810433', '1438782641187074050', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093442', '1501570619841810433', '1442055284830769154', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093443', '1501570619841810433', '1280350452934307841', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093444', '1501570619841810433', '1439398677984878593', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093445', '1501570619841810433', '1439399179791409153', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093446', '1501570619841810433', '1439488251473993730', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988844093447', '1501570619841810433', '1438469604861403137', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988852482050', '1501570619841810433', '1439511654494937090', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988856676354', '1501570619841810433', '1439531077792473089', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988856676355', '1501570619841810433', '1439533711676973057', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988860870657', '1501570619841810433', '1439784356766064642', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988860870658', '1501570619841810433', '1439797053314342913', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988860870659', '1501570619841810433', '1439839507094740994', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988869259265', '1501570619841810433', '1439842640030113793', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988869259267', '1501570619841810433', '1439542701152575489', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453570', '1501570619841810433', '1447763172274495489', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453571', '1501570619841810433', '1447763517847396354', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453573', '1501570619841810433', '1448252726202859522', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453574', '1501570619841810433', '1438108196993622018', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453575', '1501570619841810433', '1438108197958311537', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453576', '1501570619841810433', '1438108197270446081', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453577', '1501570619841810433', '1447535997560909826', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988873453578', '1501570619841810433', '1438783058792951810', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842177', '1501570619841810433', '1438108198679732226', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842178', '1501570619841810433', '1441340399835742209', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842179', '1501570619841810433', '1441357157443371009', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842180', '1501570619841810433', '1453250018282573826', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842181', '1501570619841810433', '1458389305235984385', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988881842182', '1501570619841810433', '1455067599277662209', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988890230785', '1501570619841810433', '1455019819440021505', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988890230786', '1501570619841810433', '1454034512171302914', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988890230787', '1501570619841810433', '1454031820661260289', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988898619394', '1501570619841810433', '1454031324835807233', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988898619395', '1501570619841810433', '1450308897429536769', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988898619396', '1501570619841810433', '1441361249200832513', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988907008001', '1501570619841810433', '1438108197958315557', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988907008002', '1501570619841810433', '1438108178127642626', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988907008003', '1501570619841810433', '1438108178781954049', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988907008004', '1501570619841810433', '1438108178781954050', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988907008005', '1501570619841810433', '1438108200672026626', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202306', '1501570619841810433', '1438108180258349057', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202307', '1501570619841810433', '1438108197790539778', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202308', '1501570619841810433', '1438108197958311937', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202309', '1501570619841810433', '1438108202366525441', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202310', '1501570619841810433', '1438108203649982466', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202311', '1501570619841810433', '1438108204400762881', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202312', '1501570619841810433', '1438108204576923649', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202313', '1501570619841810433', '1438108204732112898', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988911202314', '1501570619841810433', '1438108198113501186', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988919590914', '1501570619841810433', '1438108204232990721', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988919590915', '1501570619841810433', '1438108204023275521', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501570988919590916', '1501570619841810433', '1438108203817754625', NULL, '2022-03-09 22:49:56', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577222', '1501570619841810433', '1438108205004742657', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577223', '1501570619841810433', '1438108205180903426', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577224', '1501570619841810433', '1438108205357064193', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577225', '1501570619841810433', '1438108205587750914', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577226', '1501570619841810433', '1438108205742940161', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577227', '1501570619841810433', '1438108205919100930', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514077577228', '1501570619841810433', '1438108206086873089', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965825', '1501570619841810433', '1438108206258839553', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965826', '1501570619841810433', '1438108206489526274', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965827', '1501570619841810433', '1438108206661492738', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965828', '1501570619841810433', '1438108206959288321', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965829', '1501570619841810433', '1438108207160614913', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965830', '1501570619841810433', '1438108207374524418', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965831', '1501570619841810433', '1438108207563268097', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965832', '1501570619841810433', '1438108207793954818', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965833', '1501570619841810433', '1438108208024641538', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514085965834', '1501570619841810433', '1438108208297271297', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514094354434', '1501570619841810433', '1438108199413735425', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514094354435', '1501570619841810433', '1438108208817364993', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514094354436', '1501570619841810433', '1438108208980942850', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514094354437', '1501570619841810433', '1438108209228406785', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514094354438', '1501570619841810433', '1438108199539564546', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548738', '1501570619841810433', '1438108210117599234', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548739', '1501570619841810433', '1438108210260205570', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548740', '1501570619841810433', '1438108211325558785', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548741', '1501570619841810433', '1438108211661103106', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548742', '1501570619841810433', '1438108211778543618', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548743', '1501570619841810433', '1438108214882328577', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548744', '1501570619841810433', '1438108215335313409', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548745', '1501570619841810433', '1438108197958311637', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548746', '1501570619841810433', '1438108200076435458', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548747', '1501570619841810433', '1438108200391008257', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548748', '1501570619841810433', '1438108197958311677', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548749', '1501570619841810433', '1438108178643542017', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548750', '1501570619841810433', '1438108179226550273', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514098548751', '1501570619841810433', '1438108179381739521', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937345', '1501570619841810433', '1438108198855892993', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937346', '1501570619841810433', '1438108179599843330', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937347', '1501570619841810433', '1438108199120134145', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937348', '1501570619841810433', '1438108179910221825', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937349', '1501570619841810433', '1438108198339993602', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937350', '1501570619841810433', '1438108199304683521', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937351', '1501570619841810433', '1438108180077993985', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937352', '1501570619841810433', '1438108180434509826', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937353', '1501570619841810433', '1438108180631642113', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937354', '1501570619841810433', '1438108182116425729', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937355', '1501570619841810433', '1438108201150177281', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937356', '1501570619841810433', '1438108201502498817', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514106937358', '1501570619841810433', '1438108202060341249', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325954', '1501570619841810433', '1438108199631839234', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325955', '1501570619841810433', '1438108215511474177', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325956', '1501570619841810433', '1438108215687634945', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325957', '1501570619841810433', '1438108215989624834', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325958', '1501570619841810433', '1438108200802050050', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325959', '1501570619841810433', '1438108216300003330', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325960', '1501570619841810433', '1438108216597798914', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325961', '1501570619841810433', '1438108200919490562', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325962', '1501570619841810433', '1438108216971091969', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325963', '1501570619841810433', '1438108217449242626', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325964', '1501570619841810433', '1438108183219527682', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514115325965', '1501570619841810433', '1438108185660612609', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714561', '1501570619841810433', '1438108185815801858', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714562', '1501570619841810433', '1438108185958408193', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714563', '1501570619841810433', '1438108186289758209', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714564', '1501570619841810433', '1438108178010202113', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714565', '1501570619841810433', '1438108178257666049', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714566', '1501570619841810433', '1438108176932265985', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714567', '1501570619841810433', '1438108177074872321', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714568', '1501570619841810433', '1438108177351696386', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714569', '1501570619841810433', '1438108177565605889', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714570', '1501570619841810433', '1438108177188118529', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714571', '1501570619841810433', '1438108177720795137', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714572', '1501570619841810433', '1438108177880178689', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714573', '1501570619841810433', '1438108178421243905', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714574', '1501570619841810433', '1438108225263230978', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514123714575', '1501570619841810433', '1438108180770054145', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501572514132103169', '1501570619841810433', '1438108183085309954', NULL, '2022-03-09 22:56:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194935853057', '1501570619841810433', '1438108187678072833', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194935853058', '1501570619841810433', '1438108189062193153', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194935853059', '1501570619841810433', '1438108189427097601', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047361', '1501570619841810433', '1438108189754253313', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047362', '1501570619841810433', '1438108187871010818', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047363', '1501570619841810433', '1438108190110769154', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047364', '1501570619841810433', '1438108190404370433', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047365', '1501570619841810433', '1438108188034588674', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047366', '1501570619841810433', '1438108190777663490', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047367', '1501570619841810433', '1438108191356477442', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047368', '1501570619841810433', '1438108188378521602', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047369', '1501570619841810433', '1438108192623157249', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047370', '1501570619841810433', '1438108193701093378', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047371', '1501570619841810433', '1438108188542099458', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047372', '1501570619841810433', '1438108194992939010', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047373', '1501570619841810433', '1438108195307511809', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047374', '1501570619841810433', '1438108195487866881', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047375', '1501570619841810433', '1438108195638861825', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047376', '1501570619841810433', '1438108195924074497', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194940047377', '1501570619841810433', '1438108178911977473', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435969', '1501570619841810433', '1438108183630569474', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435970', '1501570619841810433', '1438108183630569477', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435971', '1501570619841810433', '1438108183907393538', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435972', '1501570619841810433', '1438108184049999873', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435973', '1501570619841810433', '1438108188714065922', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435974', '1501570619841810433', '1438108196263813121', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194948435975', '1501570619841810433', '1438108196528054273', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630273', '1501570619841810433', '1438108196855209985', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630274', '1501570619841810433', '1438108217562488834', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630275', '1501570619841810433', '1438108217860284417', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630276', '1501570619841810433', '1438108218049028097', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630277', '1501570619841810433', '1438108218409738242', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630278', '1501570619841810433', '1438108218787225601', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630279', '1501570619841810433', '1438108219034689538', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630280', '1501570619841810433', '1438108219240210434', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630281', '1501570619841810433', '1438108219445731330', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630282', '1501570619841810433', '1438108219592531970', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194952630283', '1501570619841810433', '1438108219793858561', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194961018881', '1501570619841810433', '1446778415130722306', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194961018882', '1501570619841810433', '1438108220137791489', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194961018883', '1501570619841810433', '1438108220418809857', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194961018884', '1501570619841810433', '1438108220523667458', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194961018885', '1501570619841810433', '1438108220896960513', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213185', '1501570619841810433', '1438108221127647234', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213186', '1501570619841810433', '1438108221270253570', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213187', '1501570619841810433', '1438108220724994049', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213188', '1501570619841810433', '1438108183395688450', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213189', '1501570619841810433', '1438115924159881218', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213190', '1501570619841810433', '1438116003012796418', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213191', '1501570619841810433', '1438108183492157442', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213192', '1501570619841810433', '1438108186717577217', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576194965213193', '1501570619841810433', '1438108187103453186', NULL, '2022-03-09 23:10:37', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576319401824258', '1501570619841810433', '1443390062919208961', NULL, '2022-03-09 23:11:07', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576319410212868', '1501570619841810433', '1449995470942593026', NULL, '2022-03-09 23:11:07', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576328692207617', '1501570619841810433', '1443390062919208961', NULL, '2022-03-09 23:11:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1501576328700596228', '1501570619841810433', '1449995470942593026', NULL, '2022-03-09 23:11:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1572775794261581825', '1501570619841810433', '1443391584864358402', NULL, '2022-09-22 10:32:25', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1572775794269970434', '1501570619841810433', '1534418199197323265', NULL, '2022-09-22 10:32:25', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580834175006171137', '1501570619841810433', '1580833876002627585', NULL, '2022-10-14 16:13:32', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580834175006171138', '1501570619841810433', '1580834045490257922', NULL, '2022-10-14 16:13:32', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580835941080784898', '1501570619841810433', '1580835899477483522', NULL, '2022-10-14 16:20:34', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580861542625955842', 'f6817f48af4fb3af11b9e8bf182f618b', '1170592628746878978', NULL, '2022-10-14 18:02:17', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1580877977129570306', '1501570619841810433', '1580877931331964929', NULL, '2022-10-14 19:07:36', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580877977129570307', '1501570619841810433', '1580877743141933058', NULL, '2022-10-14 19:07:36', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580878701653643267', '1501570619841810433', '1580878668472504321', NULL, '2022-10-14 19:10:28', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1580878704866480129', '1501570619841810433', '1580878668472504321', NULL, '2022-10-14 19:10:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040483061761', '1501570619841810433', '1455100420297859074', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644673', '1501570619841810433', '1461270075543347202', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644674', '1501570619841810433', '1458353686530232321', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644675', '1501570619841810433', '1457678003102879745', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644676', '1501570619841810433', '1509417558230999041', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644677', '1501570619841810433', '1452508868884353026', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644678', '1501570619841810433', '1461291438825558017', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040495644679', '1501570619841810433', '1460888189937176577', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040504033281', '1501570619841810433', '1455101470794850305', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1587064040504033282', '1501570619841810433', '1465686870713782273', NULL, '2022-10-31 20:48:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1590154918424719362', '1501570619841810433', '1590154870697734146', NULL, '2022-11-09 09:30:51', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1592114400605859842', 'f6817f48af4fb3af11b9e8bf182f618b', '1592113148350263298', NULL, '2022-11-14 19:17:08', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613761', '1501570619841810433', '1588513553652436993', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613762', '1501570619841810433', '1592114574275211265', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613763', '1501570619841810433', '1592114652566089729', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613765', '1501570619841810433', '1592114772665790465', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613766', '1501570619841810433', '1592114823467200514', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613767', '1501570619841810433', '1592114893302362114', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444602613768', '1501570619841810433', '1592114955650691074', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722625', '1501570619841810433', '1592115070432014338', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722626', '1501570619841810433', '1592115115361398786', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722627', '1501570619841810433', '1592115162379546625', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722628', '1501570619841810433', '1592115213910765570', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722629', '1501570619841810433', '1592120649007329281', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722630', '1501570619841810433', '1592120594695286785', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722631', '1501570619841810433', '1592120484120850434', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722632', '1501570619841810433', '1592120427007012865', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722633', '1501570619841810433', '1592120372296511490', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722634', '1501570619841810433', '1592120323667750914', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722635', '1501570619841810433', '1592113148350263298', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722636', '1501570619841810433', '1592112984361365505', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722637', '1501570619841810433', '1592115914493751297', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722638', '1501570619841810433', '1592116663936184322', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722639', '1501570619841810433', '1592118604640645122', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722640', '1501570619841810433', '1592118648315932674', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722641', '1501570619841810433', '1592119001883176961', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722642', '1501570619841810433', '1592120052866707457', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722643', '1501570619841810433', '1592120222727630849', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722644', '1501570619841810433', '1592117422006300673', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722645', '1501570619841810433', '1592117377299214337', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722646', '1501570619841810433', '1592117276539449345', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722647', '1501570619841810433', '1592117222764277761', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722648', '1501570619841810433', '1592115712466710529', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722649', '1501570619841810433', '1592118053634928641', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722650', '1501570619841810433', '1592117990305132545', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722651', '1501570619841810433', '1592117804359053314', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722652', '1501570619841810433', '1592117748209905665', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722653', '1501570619841810433', '1592117625664925697', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722654', '1501570619841810433', '1592118414990995457', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444669722655', '1501570619841810433', '1592118356778250241', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444732637186', '1501570619841810433', '1592118306983473154', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444732637187', '1501570619841810433', '1592118254844080130', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444732637188', '1501570619841810433', '1592118192218927105', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444732637189', '1501570619841810433', '1592118497606201346', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593150444732637190', '1501570619841810433', '1592115610431877122', NULL, '2022-11-17 15:54:00', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473537', 'f6817f48af4fb3af11b9e8bf182f618b', '1588513553652436993', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473538', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114574275211265', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473539', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114652566089729', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473540', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115213910765570', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473541', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115162379546625', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473542', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115115361398786', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473543', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115070432014338', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473544', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114955650691074', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473545', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114893302362114', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473546', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114823467200514', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006353473547', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114772665790465', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388100', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120323667750914', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388101', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120372296511490', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388102', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120427007012865', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388103', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120484120850434', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388104', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120594695286785', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388105', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120649007329281', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388106', 'f6817f48af4fb3af11b9e8bf182f618b', '1592112984361365505', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388107', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115914493751297', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388108', 'f6817f48af4fb3af11b9e8bf182f618b', '1592116663936184322', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388109', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118604640645122', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388110', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118648315932674', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388111', 'f6817f48af4fb3af11b9e8bf182f618b', '1592119001883176961', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388112', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120052866707457', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388113', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115712466710529', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388114', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117222764277761', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388115', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117276539449345', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388116', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117377299214337', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388117', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117422006300673', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388118', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120222727630849', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388119', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118053634928641', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388120', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117990305132545', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388121', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117804359053314', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388122', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117748209905665', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388123', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117625664925697', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388124', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118192218927105', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388125', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118254844080130', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388126', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118306983473154', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388127', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118356778250241', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388128', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118414990995457', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153006416388129', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118497606201346', NULL, '2022-11-17 16:04:11', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1593153077300125697', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115610431877122', NULL, '2022-11-17 16:04:28', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1631912286053158913', '1501570619841810433', '1592135223910765570', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286069936130', '1501570619841810433', '1593185714482880514', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286069936131', '1501570619841810433', '15c92115213910765570', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286069936132', '1501570619841810433', '1d592115213910765570', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286069936133', '1501570619841810433', '1592120224120850434', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286078324738', '1501570619841810433', '1597419994965786625', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286078324739', '1501570619841810433', '119213522910765570', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286078324740', '1501570619841810433', '1593160959633563650', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286086713346', '1501570619841810433', '1593160905216663554', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286086713347', '1501570619841810433', '1593161025790320641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286086713348', '1501570619841810433', '1593161089787011074', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286090907650', '1501570619841810433', '1596335805278990338', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286090907651', '1501570619841810433', '1596141938193747970', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286090907652', '1501570619841810433', '1600105607009165314', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286090907653', '1501570619841810433', '1600108123037917186', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286090907654', '1501570619841810433', '1600129606082650113', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101953', '1501570619841810433', '1611620416187969538', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101954', '1501570619841810433', '1611620600003342337', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101955', '1501570619841810433', '1611620654621569026', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101956', '1501570619841810433', '1611620772498218641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101957', '1501570619841810433', '1611620772498288641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286095101958', '1501570619841810433', '1611650772498288641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296258', '1501570619841810433', '1612438989792034818', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296259', '1501570619841810433', '1613620712498288641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296260', '1501570619841810433', '1620261087828418562', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296261', '1501570619841810433', '1620305415648989186', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296262', '1501570619841810433', '1697220712498288641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296263', '1501570619841810433', '1621620772498288641', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296264', '1501570619841810433', '1620327825894981634', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296265', '1501570619841810433', '1593161743607701505', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296266', '1501570619841810433', '1593161697348722689', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296267', '1501570619841810433', '1593161657385394177', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296268', '1501570619841810433', '1593161608362369026', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296269', '1501570619841810433', '1593161551202394114', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286099296270', '1501570619841810433', '1593161483627962370', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286107684866', '1501570619841810433', '1593161421350936578', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286107684867', '1501570619841810433', '1594930803956920321', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1631912286107684868', '1501570619841810433', '1593173018886709250', NULL, '2023-03-04 14:59:43', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1632635480313671681', 'e51758fa916c881624b046d26bd09230', '9502685863ab87f0ad1134142788a385', NULL, '2023-03-06 14:53:26', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1657938323991883777', '1501570619841810433', '1473927410093187073', NULL, '2023-05-15 10:37:54', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1657938324004466690', '1501570619841810433', '1542385335362383873', NULL, '2023-05-15 10:37:54', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1657938324004466691', '1501570619841810433', '1554384900763729922', NULL, '2023-05-15 10:37:54', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779465240578', 'f6817f48af4fb3af11b9e8bf182f618b', '1447535997560909826', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779486212097', 'f6817f48af4fb3af11b9e8bf182f618b', '1542385335362383873', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779486212098', 'f6817f48af4fb3af11b9e8bf182f618b', '1554384900763729922', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779486212099', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120224120850434', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779490406401', 'f6817f48af4fb3af11b9e8bf182f618b', '1592135223910765570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779490406402', 'f6817f48af4fb3af11b9e8bf182f618b', '1593160905216663554', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779490406403', 'f6817f48af4fb3af11b9e8bf182f618b', '1593160959633563650', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779490406404', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161025790320641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779498795010', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161089787011074', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779498795011', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161421350936578', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779498795012', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161483627962370', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989314', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161551202394114', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989315', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161608362369026', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989316', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161657385394177', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989317', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161697348722689', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989318', 'f6817f48af4fb3af11b9e8bf182f618b', '1593161743607701505', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989319', 'f6817f48af4fb3af11b9e8bf182f618b', '1593173018886709250', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989320', 'f6817f48af4fb3af11b9e8bf182f618b', '1593185714482880514', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779502989321', 'f6817f48af4fb3af11b9e8bf182f618b', '1596335805278990338', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377921', 'f6817f48af4fb3af11b9e8bf182f618b', '1600105607009165314', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377922', 'f6817f48af4fb3af11b9e8bf182f618b', '1600108123037917186', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377923', 'f6817f48af4fb3af11b9e8bf182f618b', '1600129606082650113', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377924', 'f6817f48af4fb3af11b9e8bf182f618b', '1611620416187969538', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377925', 'f6817f48af4fb3af11b9e8bf182f618b', '1611620600003342337', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377926', 'f6817f48af4fb3af11b9e8bf182f618b', '1611620654621569026', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377927', 'f6817f48af4fb3af11b9e8bf182f618b', '1611620772498218641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377928', 'f6817f48af4fb3af11b9e8bf182f618b', '1611620772498288641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377929', 'f6817f48af4fb3af11b9e8bf182f618b', '1611650772498288641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377930', 'f6817f48af4fb3af11b9e8bf182f618b', '1612438989792034818', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779511377931', 'f6817f48af4fb3af11b9e8bf182f618b', '1613620712498288641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766529', 'f6817f48af4fb3af11b9e8bf182f618b', '1620261087828418562', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766530', 'f6817f48af4fb3af11b9e8bf182f618b', '1620305415648989186', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766531', 'f6817f48af4fb3af11b9e8bf182f618b', '1620327825894981634', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766532', 'f6817f48af4fb3af11b9e8bf182f618b', '1621620772498288641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766533', 'f6817f48af4fb3af11b9e8bf182f618b', '1693195557097164801', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766534', 'f6817f48af4fb3af11b9e8bf182f618b', '1697220712498288641', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766535', 'f6817f48af4fb3af11b9e8bf182f618b', '15c92115213910765570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766536', 'f6817f48af4fb3af11b9e8bf182f618b', '1d592115213910765570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766537', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177074872321', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779519766538', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177351696386', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155138', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177720795137', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155139', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178127642626', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155140', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183630569474', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155141', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183630569477', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155142', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183777370114', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155143', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108184049999873', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779528155144', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108186717577217', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779532349442', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108187678072833', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779532349443', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108189062193153', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779532349444', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108190110769154', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543746', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108190777663490', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543747', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108192623157249', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543748', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108194992939010', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543749', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108196263813121', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543750', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197270446081', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543751', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108202366525441', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543752', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205004742657', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543753', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108208817364993', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543754', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108210117599234', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543755', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108211325558785', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543756', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108214882328577', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779536543757', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108215511474177', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932354', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108216300003330', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932355', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108216971091969', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932356', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108217860284417', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932357', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108218787225601', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932358', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108219592531970', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932359', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108220523667458', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779544932360', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108220896960513', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126657', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108221127647234', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126659', 'f6817f48af4fb3af11b9e8bf182f618b', '1438115924159881218', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126660', 'f6817f48af4fb3af11b9e8bf182f618b', '1211885237487923202', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126661', 'f6817f48af4fb3af11b9e8bf182f618b', '1214376304951664642', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126662', 'f6817f48af4fb3af11b9e8bf182f618b', '1214462306546319362', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126663', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108176273760258', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779549126664', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108176814825473', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320962', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177188118529', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320963', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177565605889', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320964', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108177880178689', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320965', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178257666049', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320966', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183907393538', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320967', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108187103453186', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320968', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108187871010818', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320969', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108189427097601', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320970', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108190404370433', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320971', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108191356477442', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320972', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108193701093378', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320973', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108195307511809', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779553320974', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108196528054273', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709569', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197958311537', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709570', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197958315557', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709571', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108203649982466', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709572', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205180903426', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709573', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108208980942850', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709574', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108210260205570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779561709575', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108211661103106', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903874', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108215335313409', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903875', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108215687634945', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903876', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108216597798914', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903877', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108217449242626', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903878', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108218049028097', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903879', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108219034689538', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903880', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108219793858561', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903881', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108220724994049', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779565903882', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108221270253570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098178', 'f6817f48af4fb3af11b9e8bf182f618b', '1438116003012796418', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098179', 'f6817f48af4fb3af11b9e8bf182f618b', '1438783058792951810', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098180', 'f6817f48af4fb3af11b9e8bf182f618b', '1439399179791409153', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098181', 'f6817f48af4fb3af11b9e8bf182f618b', '1439488251473993730', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098182', 'f6817f48af4fb3af11b9e8bf182f618b', '1446778415130722306', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098183', 'f6817f48af4fb3af11b9e8bf182f618b', '1447763517847396354', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098184', 'f6817f48af4fb3af11b9e8bf182f618b', '1454031324835807233', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098185', 'f6817f48af4fb3af11b9e8bf182f618b', '1455101470794850305', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098186', 'f6817f48af4fb3af11b9e8bf182f618b', '1590154870697734146', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098187', 'f6817f48af4fb3af11b9e8bf182f618b', '1a0811914300741f4e11838ff37a1d3a', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098188', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108176932265985', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098189', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178421243905', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098190', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108188034588674', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779570098191', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108189754253313', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486786', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108195487866881', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486787', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108196855209985', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486788', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197958311937', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486789', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108203817754625', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486790', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205357064193', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486791', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108209228406785', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486792', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108211778543618', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486793', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108215989624834', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486794', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108219240210434', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486795', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108220137791489', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486797', 'f6817f48af4fb3af11b9e8bf182f618b', '1443391584864358402', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486798', 'f6817f48af4fb3af11b9e8bf182f618b', '1448252726202859522', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486799', 'f6817f48af4fb3af11b9e8bf182f618b', '1454031820661260289', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486800', 'f6817f48af4fb3af11b9e8bf182f618b', '1455100420297859074', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486801', 'f6817f48af4fb3af11b9e8bf182f618b', '1460888189937176577', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486802', 'f6817f48af4fb3af11b9e8bf182f618b', '1461291438825558017', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779578486803', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178643542017', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875394', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108188378521602', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875395', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108195638861825', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875396', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108198113501186', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875397', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108204023275521', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875398', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205587750914', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875399', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108218409738242', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875400', 'f6817f48af4fb3af11b9e8bf182f618b', '1439511654494937090', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875401', 'f6817f48af4fb3af11b9e8bf182f618b', '1452508868884353026', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875402', 'f6817f48af4fb3af11b9e8bf182f618b', '1454034512171302914', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875403', 'f6817f48af4fb3af11b9e8bf182f618b', '1473927410093187073', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875404', 'f6817f48af4fb3af11b9e8bf182f618b', '1580833876002627585', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779586875405', 'f6817f48af4fb3af11b9e8bf182f618b', '119213522910765570', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069698', 'f6817f48af4fb3af11b9e8bf182f618b', '1597419994965786625', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069699', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178781954049', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069700', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178781954050', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069701', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108188542099458', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069702', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108195924074497', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069703', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108199413735425', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069704', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108204232990721', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069705', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205742940161', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069706', 'f6817f48af4fb3af11b9e8bf182f618b', '1438782641187074050', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069707', 'f6817f48af4fb3af11b9e8bf182f618b', '1439531077792473089', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069708', 'f6817f48af4fb3af11b9e8bf182f618b', '1455019819440021505', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069709', 'f6817f48af4fb3af11b9e8bf182f618b', '1580834045490257922', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069711', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178911977473', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069712', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108188714065922', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779591069713', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108199539564546', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264002', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108204400762881', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264003', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108205919100930', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264005', 'f6817f48af4fb3af11b9e8bf182f618b', '1438469604861403137', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264006', 'f6817f48af4fb3af11b9e8bf182f618b', '1439398677984878593', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264007', 'f6817f48af4fb3af11b9e8bf182f618b', '1439533711676973057', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264008', 'f6817f48af4fb3af11b9e8bf182f618b', '1443390062919208961', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264009', 'f6817f48af4fb3af11b9e8bf182f618b', '1447763172274495489', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264010', 'f6817f48af4fb3af11b9e8bf182f618b', '1455067599277662209', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264011', 'f6817f48af4fb3af11b9e8bf182f618b', '1465686870713782273', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264012', 'f6817f48af4fb3af11b9e8bf182f618b', '1509417558230999041', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264013', 'f6817f48af4fb3af11b9e8bf182f618b', '1580835899477483522', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264014', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108179226550273', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264015', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197958311637', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264016', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108198679732226', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264017', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108204576923649', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779595264018', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108206086873089', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779603652610', 'f6817f48af4fb3af11b9e8bf182f618b', '1439542701152575489', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779603652611', 'f6817f48af4fb3af11b9e8bf182f618b', '1580877743141933058', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779603652612', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108179381739521', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779603652613', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197958311677', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779603652614', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108198855892993', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846913', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108204732112898', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846914', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108206258839553', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846915', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108217562488834', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846916', 'f6817f48af4fb3af11b9e8bf182f618b', '1441340399835742209', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846917', 'f6817f48af4fb3af11b9e8bf182f618b', '1580877931331964929', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846918', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108179599843330', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779607846919', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108197790539778', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041218', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108199120134145', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041219', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108206489526274', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041220', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108219445731330', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041221', 'f6817f48af4fb3af11b9e8bf182f618b', '1438782851980210178', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041222', 'f6817f48af4fb3af11b9e8bf182f618b', '1439784356766064642', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041223', 'f6817f48af4fb3af11b9e8bf182f618b', '1441357157443371009', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041224', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108179910221825', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041225', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108198339993602', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041226', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108199304683521', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041227', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108206661492738', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779612041228', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108220418809857', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235521', 'f6817f48af4fb3af11b9e8bf182f618b', '1438782530717495298', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235522', 'f6817f48af4fb3af11b9e8bf182f618b', '1439797053314342913', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235523', 'f6817f48af4fb3af11b9e8bf182f618b', '1441361249200832513', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235524', 'f6817f48af4fb3af11b9e8bf182f618b', '1457678003102879745', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235525', 'f6817f48af4fb3af11b9e8bf182f618b', '1580878668472504321', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235526', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108180077993985', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779616235527', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108206959288321', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429826', 'f6817f48af4fb3af11b9e8bf182f618b', '1439839507094740994', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429827', 'f6817f48af4fb3af11b9e8bf182f618b', '1450308897429536769', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429828', 'f6817f48af4fb3af11b9e8bf182f618b', '1455735714507472898', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429829', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108180258349057', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429831', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108199631839234', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429832', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108207160614913', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429833', 'f6817f48af4fb3af11b9e8bf182f618b', '1439842640030113793', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429834', 'f6817f48af4fb3af11b9e8bf182f618b', '1442055284830769154', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429835', 'f6817f48af4fb3af11b9e8bf182f618b', '1458389305235984385', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429836', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108180434509826', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429838', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108200076435458', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429839', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108207374524418', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429840', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108225263230978', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429841', 'f6817f48af4fb3af11b9e8bf182f618b', '1453250018282573826', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779620429842', 'f6817f48af4fb3af11b9e8bf182f618b', '1594930803956920321', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624130', 'f6817f48af4fb3af11b9e8bf182f618b', '1596141938193747970', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624131', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108180631642113', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624132', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108200391008257', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624133', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108207563268097', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624135', 'f6817f48af4fb3af11b9e8bf182f618b', '1534418199197323265', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624136', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108180770054145', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624137', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108200672026626', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624138', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108207793954818', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624139', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108200802050050', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624140', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108208024641538', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624141', 'f6817f48af4fb3af11b9e8bf182f618b', '1458353686530232321', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624142', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108200919490562', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624143', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108208297271297', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624144', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183085309954', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624145', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108201150177281', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624146', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108201502498817', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624147', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183395688450', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779624624148', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108178010202113', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779633012738', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108183492157442', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779633012739', 'f6817f48af4fb3af11b9e8bf182f618b', '1438108202060341249', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1693199779633012740', 'f6817f48af4fb3af11b9e8bf182f618b', '1461270075543347202', NULL, '2023-08-20 17:54:20', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1694946655432511489', 'ee8626f80f7c2619917b6236f3a7f02b', '1438108176814825473', NULL, '2023-08-25 13:35:48', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('16ef8ed3865ccc6f6306200760896c50', 'ee8626f80f7c2619917b6236f3a7f02b', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1703032629144289281', 'f6817f48af4fb3af11b9e8bf182f618b', '1609123240547344385', NULL, '2023-09-16 21:06:34', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1703032629144289282', 'f6817f48af4fb3af11b9e8bf182f618b', '1609123437247619074', NULL, '2023-09-16 21:06:34', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1703032629144289283', 'f6817f48af4fb3af11b9e8bf182f618b', '1609164542165012482', NULL, '2023-09-16 21:06:34', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1703032629211398145', 'f6817f48af4fb3af11b9e8bf182f618b', '1609164635442139138', NULL, '2023-09-16 21:06:34', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1704379601608437762', 'f6817f48af4fb3af11b9e8bf182f618b', '1691031996d593131521', NULL, '2023-09-20 14:18:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1704379601608437763', 'f6817f48af4fb3af11b9e8bf182f618b', '1660568426632380417', NULL, '2023-09-20 14:18:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1704379601608437764', 'f6817f48af4fb3af11b9e8bf182f618b', '1660568368558047234', NULL, '2023-09-20 14:18:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1704379601608437765', 'f6817f48af4fb3af11b9e8bf182f618b', '1660568280725127169', NULL, '2023-09-20 14:18:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633924976642', '1501570619841810433', '1691031996d593131521', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633966919681', '1501570619841810433', '1629109281748291586', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633966919682', '1501570619841810433', '1701575168519839746', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633966919683', '1501570619841810433', '1661572802889007106', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633966919684', '1501570619841810433', '1609123240547344385', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633975308289', '1501570619841810433', '1609123437247619074', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633975308290', '1501570619841810433', '1609164635442139138', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633975308291', '1501570619841810433', '1609164542165012482', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633979502594', '1501570619841810433', '1668174661456171010', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633979502596', '1501570619841810433', '1663816667704500225', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633979502597', '1501570619841810433', '1660568280725127169', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633979502598', '1501570619841810433', '1660568368558047234', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714210633979502599', '1501570619841810433', '1660568426632380417', NULL, '2023-10-17 17:23:58', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1714215494145949698', '1501570619841810433', '1693195557097164801', NULL, '2023-10-17 17:43:17', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1732331210279628801', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374704168534017', NULL, '2023-12-06 17:28:40', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1732331210292211714', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374509749960705', NULL, '2023-12-06 17:28:40', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1732331210292211715', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374269152100354', NULL, '2023-12-06 17:28:40', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995477389314', '1501570619841810433', '1699374269152100354', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972226', '1501570619841810433', '1699374509749960705', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972227', '1501570619841810433', '1691031996d5931315212', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972228', '1501570619841810433', '1691031996d5931315213', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972229', '1501570619841810433', '1699374704168534017', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972230', '1501570619841810433', '1701475606988812289', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972231', '1501570619841810433', '1699039192154071041', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995489972232', '1501570619841810433', '1699039098474291201', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995498360833', '1501570619841810433', '1699038961937113090', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741323995498360834', '1501570619841810433', '1698650926200352770', NULL, '2023-12-31 13:02:47', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1741324948112879617', '1501570619841810433', '1737321792727388161', NULL, '2023-12-31 13:06:35', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1742379927128961025', '1501570619841810433', '1546736974756032513', NULL, '2024-01-03 10:58:41', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1765276463387095042', '1501570619841810433', '1750128461040648193', NULL, '2024-03-06 15:21:21', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1765276463395483650', '1501570619841810433', '1592114721138765826', NULL, '2024-03-06 15:21:21', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1765276566625693698', 'f6817f48af4fb3af11b9e8bf182f618b', '1750128461040648193', NULL, '2024-03-06 15:21:45', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1765276566634082305', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114721138765826', NULL, '2024-03-06 15:21:45', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('17ead5b7d97ed365398ab20009a69ea3', '52b0cf022ac4187b2a70dfa4f8b2d940', 'e08cb190ef230d5d4f03824198773950', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1800736354410942465', 'f6817f48af4fb3af11b9e8bf182f618b', '1546736974756032513', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942466', 'f6817f48af4fb3af11b9e8bf182f618b', '1746709108126285826', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942467', 'f6817f48af4fb3af11b9e8bf182f618b', '1691031996d5931315212', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942468', 'f6817f48af4fb3af11b9e8bf182f618b', '1691031996d5931315213', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942469', 'f6817f48af4fb3af11b9e8bf182f618b', '1701475606988812289', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942470', 'f6817f48af4fb3af11b9e8bf182f618b', '1699039098474291201', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942471', 'f6817f48af4fb3af11b9e8bf182f618b', '1699039192154071041', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942472', 'f6817f48af4fb3af11b9e8bf182f618b', '1699038961937113090', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736354410942473', 'f6817f48af4fb3af11b9e8bf182f618b', '1698650926200352770', NULL, '2024-06-12 11:46:18', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1800736426536194049', '1501570619841810433', '1746709108126285826', NULL, '2024-06-12 11:46:35', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349244334081', '1501570619841810433', '1534500282601893890', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722690', '1501570619841810433', '1535226870641475586', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722691', '1501570619841810433', '1535227149789184001', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722692', '1501570619841810433', '1542383139476467713', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722693', '1501570619841810433', '1542383223979110402', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722694', '1501570619841810433', '1542383292690198530', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722695', '1501570619841810433', '1542383437808922625', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349252722696', '1501570619841810433', '1542383507883159553', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111297', '1501570619841810433', '1542383573423353858', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111298', '1501570619841810433', '1542383826117586945', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111299', '1501570619841810433', '1542383907281563650', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111300', '1501570619841810433', '1699374346553786370', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111301', '1501570619841810433', '1699374404015751169', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111302', '1501570619841810433', '1535225446864011265', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111303', '1501570619841810433', '1699374612388773890', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349261111304', '1501570619841810433', '1699374801816125442', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349265305602', '1501570619841810433', '1699375086147993601', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081349265305603', '1501570619841810433', '1699375193576701953', NULL, '2024-06-13 10:37:11', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365570', 'f6817f48af4fb3af11b9e8bf182f618b', '1534500282601893890', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365571', 'f6817f48af4fb3af11b9e8bf182f618b', '1535226870641475586', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365572', 'f6817f48af4fb3af11b9e8bf182f618b', '1535227149789184001', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365573', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383139476467713', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365574', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383223979110402', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365575', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383292690198530', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365576', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383437808922625', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365577', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383507883159553', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365578', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383573423353858', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365579', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383826117586945', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365580', 'f6817f48af4fb3af11b9e8bf182f618b', '1542383907281563650', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365581', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374346553786370', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365582', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374404015751169', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365583', 'f6817f48af4fb3af11b9e8bf182f618b', '1535225446864011265', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365584', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374612388773890', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365585', 'f6817f48af4fb3af11b9e8bf182f618b', '1699374801816125442', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365586', 'f6817f48af4fb3af11b9e8bf182f618b', '1699375086147993601', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1801081424624365587', 'f6817f48af4fb3af11b9e8bf182f618b', '1699375193576701953', NULL, '2024-06-13 10:37:29', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1802512146434314242', '1501570619841810433', '1801954937339428865', NULL, '2024-06-17 09:22:39', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1802512173219139585', 'f6817f48af4fb3af11b9e8bf182f618b', '1801954937339428865', NULL, '2024-06-17 09:22:46', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1802906584184770561', '1501570619841810433', 'f15543b0263cf6c5fac85afdd3eba3f2', NULL, '2024-06-18 11:30:01', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1803082137470636033', '1501570619841810433', '1620709334357532673', NULL, '2024-06-18 23:07:36', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1803082162472882177', 'f6817f48af4fb3af11b9e8bf182f618b', '1620709334357532673', NULL, '2024-06-18 23:07:42', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1804046501195509761', '1501570619841810433', '1804046424930480129', NULL, '2024-06-21 14:59:38', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393666', '1501570619841810433', '1800372628805861377', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393667', '1501570619841810433', '1800372727493640194', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393668', '1501570619841810433', '1800372811518132225', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393669', '1501570619841810433', '1800372906330374146', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393670', '1501570619841810433', '1800373633509441537', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833351001521393671', '1501570619841810433', '1800373733220630530', NULL, '2024-09-10 11:45:15', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408020878077953', '1501570619841810433', '1810923799513612290', NULL, '2024-09-10 15:31:50', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408020961964033', '1501570619841810433', '1811685368354754561', NULL, '2024-09-10 15:31:50', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408020961964034', '1501570619841810433', '1811685464467230721', NULL, '2024-09-10 15:31:50', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100234309633', 'f6817f48af4fb3af11b9e8bf182f618b', '1810923799513612290', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100242698241', 'f6817f48af4fb3af11b9e8bf182f618b', '1811685368354754561', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100246892545', 'f6817f48af4fb3af11b9e8bf182f618b', '1811685464467230721', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100246892546', 'f6817f48af4fb3af11b9e8bf182f618b', '1701575168519839746', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100246892547', 'f6817f48af4fb3af11b9e8bf182f618b', '1800372628805861377', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100255281153', 'f6817f48af4fb3af11b9e8bf182f618b', '1800372727493640194', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100255281154', 'f6817f48af4fb3af11b9e8bf182f618b', '1800372811518132225', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100255281155', 'f6817f48af4fb3af11b9e8bf182f618b', '1800372906330374146', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100255281156', 'f6817f48af4fb3af11b9e8bf182f618b', '1800373633509441537', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1833408100255281157', 'f6817f48af4fb3af11b9e8bf182f618b', '1800373733220630530', NULL, '2024-09-10 15:32:09', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1866001696833613826', '1501570619841810433', '1866001513609637890', NULL, '2024-12-09 14:07:28', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1866001714697154561', 'f6817f48af4fb3af11b9e8bf182f618b', '1866001513609637890', NULL, '2024-12-09 14:07:32', '127.0.0.1');
INSERT INTO `sys_role_permission` VALUES ('1887778978006814721', '1501570619841810433', '1887447660072292354', NULL, '2025-02-07 16:22:36', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1887788524574068737', '1501570619841810433', '1438108223489040385', NULL, '2025-02-07 17:00:32', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1887788524574068738', '1501570619841810433', '1438108222721482753', NULL, '2025-02-07 17:00:32', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1887788524574068739', '1501570619841810433', '1438108222218166273', NULL, '2025-02-07 17:00:32', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1887788524574068740', '1501570619841810433', '1438108221849067522', NULL, '2025-02-07 17:00:32', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1887788524574068741', '1501570619841810433', '1438108223661006850', NULL, '2025-02-07 17:00:32', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1892117657990971393', '1456165677820301314', '1876220177009315842', NULL, '2025-02-19 15:42:58', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1892117657990971394', '1456165677820301314', '1867047795019440130', NULL, '2025-02-19 15:42:58', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1892117657990971395', '1456165677820301314', '1867041505346019330', NULL, '2025-02-19 15:42:58', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1892509406223613954', '1501570619841810433', '1876220177009315842', NULL, '2025-02-20 17:39:38', '0:0:0:0:0:0:0:1');
INSERT INTO `sys_role_permission` VALUES ('1ac1688ef8456f384091a03d88a89ab1', '52b0cf022ac4187b2a70dfa4f8b2d940', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1af4babaa4227c3cbb830bc5eb513abb', 'ee8626f80f7c2619917b6236f3a7f02b', 'e08cb190ef230d5d4f03824198773950', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1ba162bbc2076c25561f8622f610d5bf', 'ee8626f80f7c2619917b6236f3a7f02b', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1c55c4ced20765b8ebab383caa60f0b6', 'e51758fa916c881624b046d26bd09230', 'fb367426764077dcf94640c843733985', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1e099baeae01b747d67aca06bdfc34d1', 'e51758fa916c881624b046d26bd09230', '6ad53fd1b220989a8b71ff482d683a5a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('1fe4d408b85f19618c15bcb768f0ec22', '1750a8fb3e6d90cb7957c02de1dc8e59', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('248d288586c6ff3bd14381565df84163', '52b0cf022ac4187b2a70dfa4f8b2d940', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('25f5443f19c34d99718a016d5f54112e', 'ee8626f80f7c2619917b6236f3a7f02b', '6e73eb3c26099c191bf03852ee1310a1', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('27489816708b18859768dfed5945c405', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('296f9c75ca0e172ae5ce4c1022c996df', '646c628b2b8295fbdab2d34044de0354', '732d48f8e0abe99fe6a23d18a3171cd1', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('29fb4d37aa29b9fa400f389237cf9fe7', 'ee8626f80f7c2619917b6236f3a7f02b', '05b3c82ddb2536a4a5ee1a4c46b5abef', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('2c462293cbb0eab7e8ae0a3600361b5f', '52b0cf022ac4187b2a70dfa4f8b2d940', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('2dc1a0eb5e39aaa131ddd0082a492d76', 'ee8626f80f7c2619917b6236f3a7f02b', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('2ea2382af618ba7d1e80491a0185fb8a', 'ee8626f80f7c2619917b6236f3a7f02b', 'f23d9bfff4d9aa6b68569ba2cff38415', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('2fcfa2ac3dcfadc7c67107dae9a0de6d', 'ee8626f80f7c2619917b6236f3a7f02b', '73678f9daa45ed17a3674131b03432fb', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('2fdaed22dfa4c8d4629e44ef81688c6a', '52b0cf022ac4187b2a70dfa4f8b2d940', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('300c462b7fec09e2ff32574ef8b3f0bd', '52b0cf022ac4187b2a70dfa4f8b2d940', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('326181da3248a62a05e872119a462be1', 'ee8626f80f7c2619917b6236f3a7f02b', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('3369650f5072b330543f8caa556b1b33', 'e51758fa916c881624b046d26bd09230', 'a400e4f4d54f79bf5ce160ae432231af', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('35a7e156c20e93aa7e825fe514bf9787', 'e51758fa916c881624b046d26bd09230', 'c6cf95444d80435eb37b2f9db3971ae6', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('35ac7cae648de39eb56213ca1b649713', '52b0cf022ac4187b2a70dfa4f8b2d940', 'b1cb0a3fedf7ed0e4653cb5a229837ee', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('37112f4d372541e105473f18da3dc50d', 'ee8626f80f7c2619917b6236f3a7f02b', 'a400e4f4d54f79bf5ce160ae432231af', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('37789f70cd8bd802c4a69e9e1f633eaa', 'ee8626f80f7c2619917b6236f3a7f02b', 'ae4fed059f67086fd52a73d913cf473d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('381504a717cb3ce77dcd4070c9689a7e', 'ee8626f80f7c2619917b6236f3a7f02b', '4f84f9400e5e92c95f05b554724c2b58', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('38dd7a19711e7ffe864232954c06fae9', 'e51758fa916c881624b046d26bd09230', 'd2bbf9ebca5a8fa2e227af97d2da7548', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('3e563751942b0879c88ca4de19757b50', '1750a8fb3e6d90cb7957c02de1dc8e59', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('412e2de37a35b3442d68db8dd2f3c190', '52b0cf022ac4187b2a70dfa4f8b2d940', 'f1cb187abf927c88b89470d08615f5ac', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('4204f91fb61911ba8ce40afa7c02369f', 'f6817f48af4fb3af11b9e8bf182f618b', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('44b5a73541bcb854dd5d38c6d1fb93a1', 'ee8626f80f7c2619917b6236f3a7f02b', '418964ba087b90a84897b62474496b93', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('459aa2e7021b435b4d65414cfbc71c66', 'e51758fa916c881624b046d26bd09230', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('4c0940badae3ef9231ee9d042338f2a4', 'e51758fa916c881624b046d26bd09230', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('4d56ce2f67c94b74a1d3abdbea340e42', 'ee8626f80f7c2619917b6236f3a7f02b', 'd86f58e7ab516d3bc6bfb1fe10585f97', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('4faad8ff93cb2b5607cd3d07c1b624ee', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '70b8f33da5f39de1981bf89cf6c99792', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('57c0b3a547b815ea3ec8e509b08948b3', '1750a8fb3e6d90cb7957c02de1dc8e59', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('593ee05c4fe4645c7826b7d5e14f23ec', '52b0cf022ac4187b2a70dfa4f8b2d940', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('5affc85021fcba07d81c09a6fdfa8dc6', 'ee8626f80f7c2619917b6236f3a7f02b', '078f9558cdeab239aecb2bda1a8ed0d1', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('5e634a89f75b7a421c02aecfd520325f', 'e51758fa916c881624b046d26bd09230', '339329ed54cf255e1f9392e84f136901', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('5e74637c4bec048d1880ad0bd1b00552', 'e51758fa916c881624b046d26bd09230', 'a400e4f4d54f79bf5ce160a3432231af', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('5fc194b709336d354640fe29fefd65a3', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '9ba60e626bf2882c31c488aba62b89f0', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('6451dac67ba4acafb570fd6a03f47460', 'ee8626f80f7c2619917b6236f3a7f02b', 'e3c13679c73a4f829bcff2aba8fd68b1', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('6c43fd3f10fdaf2a0646434ae68709b5', 'ee8626f80f7c2619917b6236f3a7f02b', '540a2936940846cb98114ffb0d145cb8', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('71a5f54a90aa8c7a250a38b7dba39f6f', 'ee8626f80f7c2619917b6236f3a7f02b', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('737d35f582036cd18bfd4c8e5748eaa4', 'e51758fa916c881624b046d26bd09230', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588591820806', '16457350655250432', '5129710648430592', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588604403712', '16457350655250432', '5129710648430593', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588612792320', '16457350655250432', '40238597734928384', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588625375232', '16457350655250432', '57009744761589760', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588633763840', '16457350655250432', '16392452747300864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588637958144', '16457350655250432', '16392767785668608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('75002588650541056', '16457350655250432', '16439068543946752', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277779875336192', '496138616573952', '5129710648430592', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780043108352', '496138616573952', '5129710648430593', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780055691264', '496138616573952', '15701400130424832', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780064079872', '496138616573952', '16678126574637056', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780072468480', '496138616573952', '15701915807518720', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780076662784', '496138616573952', '15708892205944832', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780085051392', '496138616573952', '16678447719911424', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780089245696', '496138616573952', '25014528525733888', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780097634304', '496138616573952', '56898976661639168', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780135383040', '496138616573952', '40238597734928384', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780139577344', '496138616573952', '45235621697949696', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780147965952', '496138616573952', '45235787867885568', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780156354560', '496138616573952', '45235939278065664', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780164743168', '496138616573952', '43117268627886080', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780168937472', '496138616573952', '45236734832676864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780181520384', '496138616573952', '45237010692050944', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780189908992', '496138616573952', '45237170029465600', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780198297600', '496138616573952', '57009544286441472', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780206686208', '496138616573952', '57009744761589760', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780215074816', '496138616573952', '57009981228060672', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780219269120', '496138616573952', '56309618086776832', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780227657728', '496138616573952', '57212882168844288', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780236046336', '496138616573952', '61560041605435392', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780244434944', '496138616573952', '61560275261722624', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780257017856', '496138616573952', '61560480518377472', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780265406464', '496138616573952', '44986029924421632', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780324126720', '496138616573952', '45235228800716800', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780332515328', '496138616573952', '45069342940860416', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780340903937', '496138616573952', '5129710648430594', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780349292544', '496138616573952', '16687383932047360', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780357681152', '496138616573952', '16689632049631232', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780366069760', '496138616573952', '16689745006432256', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780370264064', '496138616573952', '16689883993083904', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780374458369', '496138616573952', '16690313745666048', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780387041280', '496138616573952', '5129710648430595', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780395429888', '496138616573952', '16694861252005888', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780403818496', '496138616573952', '16695107491205120', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780412207104', '496138616573952', '16695243126607872', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780420595712', '496138616573952', '75002207560273920', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780428984320', '496138616573952', '76215889006956544', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780433178624', '496138616573952', '76216071333351424', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780441567232', '496138616573952', '76216264070008832', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780449955840', '496138616573952', '76216459709124608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780458344448', '496138616573952', '76216594207870976', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780466733056', '496138616573952', '76216702639017984', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780475121664', '496138616573952', '58480609315524608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780483510272', '496138616573952', '61394706252173312', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780491898880', '496138616573952', '61417744146370560', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780496093184', '496138616573952', '76606430504816640', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780504481792', '496138616573952', '76914082455752704', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780508676097', '496138616573952', '76607201262702592', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780517064704', '496138616573952', '39915540965232640', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780525453312', '496138616573952', '41370251991977984', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780538036224', '496138616573952', '45264987354042368', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780546424832', '496138616573952', '45265487029866496', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780554813440', '496138616573952', '45265762415284224', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780559007744', '496138616573952', '45265886315024384', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780567396352', '496138616573952', '45266070000373760', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780571590656', '496138616573952', '41363147411427328', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780579979264', '496138616573952', '41363537456533504', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780588367872', '496138616573952', '41364927394353152', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780596756480', '496138616573952', '41371711400054784', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780605145088', '496138616573952', '41469219249852416', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780613533696', '496138616573952', '39916171171991552', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780621922304', '496138616573952', '39918482854252544', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780630310912', '496138616573952', '41373430515240960', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780718391296', '496138616573952', '41375330996326400', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780722585600', '496138616573952', '63741744973352960', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780730974208', '496138616573952', '42082442672082944', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780739362816', '496138616573952', '41376192166629376', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780747751424', '496138616573952', '41377034236071936', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780756140032', '496138616573952', '56911328312299520', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780764528640', '496138616573952', '41378916912336896', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780768722944', '496138616573952', '63482475359244288', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780772917249', '496138616573952', '64290663792906240', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780785500160', '496138616573952', '66790433014943744', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780789694464', '496138616573952', '42087054753927168', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780798083072', '496138616573952', '67027338952445952', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780806471680', '496138616573952', '67027909637836800', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780810665985', '496138616573952', '67042515441684480', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780823248896', '496138616573952', '67082402312228864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780827443200', '496138616573952', '16392452747300864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780835831808', '496138616573952', '16392767785668608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780840026112', '496138616573952', '16438800255291392', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780844220417', '496138616573952', '16438962738434048', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277780852609024', '496138616573952', '16439068543946752', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860062040064', '496138616573953', '5129710648430592', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860070428672', '496138616573953', '5129710648430593', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860078817280', '496138616573953', '40238597734928384', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860091400192', '496138616573953', '43117268627886080', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860099788800', '496138616573953', '57009744761589760', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860112371712', '496138616573953', '56309618086776832', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860120760320', '496138616573953', '44986029924421632', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860129148928', '496138616573953', '5129710648430594', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860141731840', '496138616573953', '5129710648430595', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860150120448', '496138616573953', '75002207560273920', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860158509056', '496138616573953', '58480609315524608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860162703360', '496138616573953', '76606430504816640', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860171091968', '496138616573953', '76914082455752704', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860179480576', '496138616573953', '76607201262702592', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860187869184', '496138616573953', '39915540965232640', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860196257792', '496138616573953', '41370251991977984', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860204646400', '496138616573953', '41363147411427328', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860208840704', '496138616573953', '41371711400054784', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860213035009', '496138616573953', '39916171171991552', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860221423616', '496138616573953', '39918482854252544', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860225617920', '496138616573953', '41373430515240960', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860234006528', '496138616573953', '41375330996326400', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860242395136', '496138616573953', '63741744973352960', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860250783744', '496138616573953', '42082442672082944', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860254978048', '496138616573953', '41376192166629376', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860263366656', '496138616573953', '41377034236071936', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860271755264', '496138616573953', '56911328312299520', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860313698304', '496138616573953', '41378916912336896', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860322086912', '496138616573953', '63482475359244288', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860326281216', '496138616573953', '64290663792906240', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860334669824', '496138616573953', '66790433014943744', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860343058432', '496138616573953', '42087054753927168', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860347252736', '496138616573953', '67027338952445952', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860351447041', '496138616573953', '67027909637836800', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860359835648', '496138616573953', '67042515441684480', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860364029952', '496138616573953', '67082402312228864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860368224256', '496138616573953', '16392452747300864', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860372418560', '496138616573953', '16392767785668608', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860376612865', '496138616573953', '16438800255291392', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860385001472', '496138616573953', '16438962738434048', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('77277860389195776', '496138616573953', '16439068543946752', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7750f9be48ee09cd561fce718219a3e2', 'ee8626f80f7c2619917b6236f3a7f02b', '882a73768cfd7f78f3a37584f7299656', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7a5d31ba48fe3fb1266bf186dc5f7ba7', '52b0cf022ac4187b2a70dfa4f8b2d940', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7d2ea745950be3357747ec7750c31c57', 'ee8626f80f7c2619917b6236f3a7f02b', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7de42bdc0b8c5446b7d428c66a7abc12', '52b0cf022ac4187b2a70dfa4f8b2d940', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7e19d90cec0dd87aaef351b9ff8f4902', '646c628b2b8295fbdab2d34044de0354', 'f9d3f4f27653a71c52faa9fb8070fbe7', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('7f862c47003eb20e8bad05f506371f92', 'ee8626f80f7c2619917b6236f3a7f02b', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('812ed54661b1a24b81b58974691a73f5', 'e51758fa916c881624b046d26bd09230', 'e6bfd1fcabfd7942fdd05f076d1dad38', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('83f704524b21b6a3ae324b8736c65333', 'ee8626f80f7c2619917b6236f3a7f02b', '7ac9eb9ccbde2f7a033cd4944272bf1e', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('84d32474316a43b01256d6644e6e7751', 'ee8626f80f7c2619917b6236f3a7f02b', 'ec8d607d0156e198b11853760319c646', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('85755a6c0bdff78b3860b52d35310c7f', 'e51758fa916c881624b046d26bd09230', 'c65321e57b7949b7a975313220de0422', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8703a2410cddb713c33232ce16ec04b9', 'ee8626f80f7c2619917b6236f3a7f02b', '1367a93f2c410b169faa7abcbad2f77c', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('885c1a827383e5b2c6c4f8ca72a7b493', 'ee8626f80f7c2619917b6236f3a7f02b', '4148ec82b6acd69f470bea75fe41c357', '', NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8a60df8d8b4c9ee5fa63f48aeee3ec00', '1750a8fb3e6d90cb7957c02de1dc8e59', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8b1e326791375f325d3e6b797753b65e', 'ee8626f80f7c2619917b6236f3a7f02b', '2dbbafa22cda07fa5d169d741b81fe12', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8ce1022dac4e558ff9694600515cf510', '1750a8fb3e6d90cb7957c02de1dc8e59', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8d848ca7feec5b7ebb3ecb32b2c8857a', '52b0cf022ac4187b2a70dfa4f8b2d940', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8eec2c510f1ac9c5eee26c041b1f00ca', 'ee8626f80f7c2619917b6236f3a7f02b', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('8f762ff80253f634b08cf59a77742ba4', 'ee8626f80f7c2619917b6236f3a7f02b', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('903b790e6090414343502c6dc393b7c9', 'ee8626f80f7c2619917b6236f3a7f02b', 'de13e0f6328c069748de7399fcc1dbbd', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('90996d56357730e173e636b99fc48bea', 'ee8626f80f7c2619917b6236f3a7f02b', 'fb07ca05a3e13674dbf6d3245956da2e', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('90e1c607a0631364eec310f3cc4acebd', 'ee8626f80f7c2619917b6236f3a7f02b', '4f66409ef3bbd69c1d80469d6e2a885e', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('9264104cee9b10c96241d527b2d0346d', '1750a8fb3e6d90cb7957c02de1dc8e59', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('980171fda43adfe24840959b1d048d4d', 'f6817f48af4fb3af11b9e8bf182f618b', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('98f02353f91dd569e3c6b8fd6b4f4034', 'ee8626f80f7c2619917b6236f3a7f02b', '6531cf3421b1265aeeeabaab5e176e6d', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('9d8772c310b675ae43eacdbc6c7fa04a', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '1663f3faba244d16c94552f849627d84', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('9f8311ecccd44e079723098cf2ffe1cc', '1750a8fb3e6d90cb7957c02de1dc8e59', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('a098e2acc3f90316f161f6648d085640', 'ee8626f80f7c2619917b6236f3a7f02b', 'e6bfd1fcabfd7942fdd05f076d1dad38', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('a66feaaf128417ad762e946abccf27ec', 'ee8626f80f7c2619917b6236f3a7f02b', 'c6cf95444d80435eb37b2f9db3971ae6', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('a72c31a3913c736d4eca11d13be99183', 'e51758fa916c881624b046d26bd09230', 'a44c30db536349e91106223957e684eb', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('a7ab87eac0f8fafa2efa4b1f9351923f', 'ee8626f80f7c2619917b6236f3a7f02b', 'fedfbf4420536cacc0218557d263dfea', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('abdc324a2df9f13ee6e73d44c6e62bc8', 'ee8626f80f7c2619917b6236f3a7f02b', 'f1cb187abf927c88b89470d08615f5ac', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('aefc8c22e061171806e59cd222f6b7e1', '52b0cf022ac4187b2a70dfa4f8b2d940', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('b131ebeafcfd059f3c7e542606ea9ff5', 'ee8626f80f7c2619917b6236f3a7f02b', 'e5973686ed495c379d829ea8b2881fc6', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('b2b2dcfff6986d3d7f890ea62d474651', 'ee8626f80f7c2619917b6236f3a7f02b', '200006f0edf145a2b50eacca07585451', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('b495a46fa0e0d4637abe0db7fd12fe1a', 'ee8626f80f7c2619917b6236f3a7f02b', '717f6bee46f44a3897eca9abd6e2ec44', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('bd30561f141f07827b836878137fddd8', 'e51758fa916c881624b046d26bd09230', '65a8f489f25a345836b7f44b1181197a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('c689539d20a445b0896270290c58d01f', 'e51758fa916c881624b046d26bd09230', '13212d3416eb690c2e1d5033166ff47a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('c8571839e6b14796e661f3e2843b80b6', 'ee8626f80f7c2619917b6236f3a7f02b', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('c9d35261cccd67ab2932107a0967a7d7', 'e51758fa916c881624b046d26bd09230', 'b4dfc7d5dd9e8d5b6dd6d4579b1aa559', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('ced80e43584ce15e97bb07298e93020d', 'e51758fa916c881624b046d26bd09230', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('d03d792b0f312e7b490afc5cec3dd6c5', 'e51758fa916c881624b046d26bd09230', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('d37ad568e26f46ed0feca227aa9c2ffa', 'f6817f48af4fb3af11b9e8bf182f618b', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('d3fe195d59811531c05d31d8436f5c8b', '1750a8fb3e6d90cb7957c02de1dc8e59', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('d5267597a4450f06d49d2fb63859641a', 'e51758fa916c881624b046d26bd09230', '2dbbafa22cda07fa5d169d741b81fe12', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('e258ca8bf7ee168b93bfee739668eb15', 'ee8626f80f7c2619917b6236f3a7f02b', 'fb367426764077dcf94640c843733985', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('e339f7db7418a4fd2bd2c113f1182186', 'ee8626f80f7c2619917b6236f3a7f02b', 'b1cb0a3fedf7ed0e4653cb5a229837ee', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('e3e922673f4289b18366bb51b6200f17', '52b0cf022ac4187b2a70dfa4f8b2d940', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('ecdd72fe694e6bba9c1d9fc925ee79de', 'f6817f48af4fb3af11b9e8bf182f618b', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('f12b6c90e8913183d7ca547c66600891', 'e51758fa916c881624b046d26bd09230', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('f17ab8ad1e71341140857ef4914ef297', '21c5a3187763729408b40afb0d0fdfa8', '732d48f8e0abe99fe6a23d18a3171cd1', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('fd86f6b08eb683720ba499f9d9421726', 'ee8626f80f7c2619917b6236f3a7f02b', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES ('fed41a4671285efb266cd404f24dd378', '52b0cf022ac4187b2a70dfa4f8b2d940', '00a2a0ae65cdca5e93209cdbde97cbe6', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_sms
-- ----------------------------
DROP TABLE IF EXISTS `sys_sms`;
CREATE TABLE `sys_sms`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'ID',
  `es_title` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '消息标题',
  `es_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送方式：参考枚举MessageTypeEnum',
  `es_receiver` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '接收人',
  `es_param` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '发送所需参数Json格式',
  `es_content` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '推送内容',
  `es_send_time` datetime NULL DEFAULT NULL COMMENT '推送时间',
  `es_send_status` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '推送状态 0未推送 1推送成功 2推送失败 -1失败不再发送',
  `es_send_num` int(11) NULL DEFAULT NULL COMMENT '发送次数 超过5次不再发送',
  `es_result` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '推送失败原因',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_ss_es_type`(`es_type`) USING BTREE,
  INDEX `idx_ss_es_receiver`(`es_receiver`) USING BTREE,
  INDEX `idx_ss_es_send_time`(`es_send_time`) USING BTREE,
  INDEX `idx_ss_es_send_status`(`es_send_status`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_sms
-- ----------------------------
INSERT INTO `sys_sms` VALUES ('402880e74dc2f361014dc2f8411e0001', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', '2015-06-05 17:06:01', '3', NULL, NULL, '认证失败错误的用户名或者密码', 'admin', '2015-06-05 17:05:59', 'admin', '2015-11-19 22:30:39');
INSERT INTO `sys_sms` VALUES ('402880ea533647b00153364e74770001', '发个问候', '3', 'admin', NULL, '你好', '2016-03-02 00:00:00', '2', NULL, NULL, NULL, 'admin', '2016-03-02 15:50:24', 'admin', '2018-07-05 19:53:01');
INSERT INTO `sys_sms` VALUES ('402880ee5a17e711015a17f3188e013f', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', NULL, '2', NULL, NULL, NULL, 'admin', '2017-02-07 17:41:31', 'admin', '2017-03-10 11:37:05');
INSERT INTO `sys_sms` VALUES ('402880f05ab649b4015ab64b9cd80012', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', '2017-11-16 15:58:15', '3', NULL, NULL, NULL, 'admin', '2017-03-10 11:38:13', 'admin', '2017-07-31 17:24:54');
INSERT INTO `sys_sms` VALUES ('402880f05ab7b035015ab7c4462c0004', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', '2017-11-16 15:58:15', '3', NULL, NULL, NULL, 'admin', '2017-03-10 18:29:37', NULL, NULL);
INSERT INTO `sys_sms` VALUES ('402881f3646a472b01646a4a5af00001', '催办：HR审批', '3', 'admin', NULL, 'admin，您好！\r\n请前待办任务办理事项！HR审批\r\n\r\n\r\n===========================\r\n此消息由系统发出', '2018-07-05 19:53:35', '2', NULL, NULL, NULL, 'admin', '2018-07-05 19:53:35', 'admin', '2018-07-07 13:45:24');
INSERT INTO `sys_sms` VALUES ('402881f3647da06c01647da43a940014', '催办：HR审批', '3', 'admin', NULL, 'admin，您好！\r\n请前待办任务办理事项！HR审批\r\n\r\n\r\n===========================\r\n此消息由系统发出', '2018-07-09 14:04:32', '2', NULL, NULL, NULL, 'admin', '2018-07-09 14:04:32', 'admin', '2018-07-09 18:51:30');

-- ----------------------------
-- Table structure for sys_sms_template
-- ----------------------------
DROP TABLE IF EXISTS `sys_sms_template`;
CREATE TABLE `sys_sms_template`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `template_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板标题',
  `template_code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板CODE',
  `template_type` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板类型：1短信 2邮件 3微信',
  `template_content` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '模板内容',
  `template_test_json` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '模板测试json',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `use_status` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否使用中 1是0否',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sst_template_code`(`template_code`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_sms_template
-- ----------------------------
INSERT INTO `sys_sms_template` VALUES ('1199606397416775681', '系统消息通知', 'sys_ts_note', '2', '<h1>&nbsp; &nbsp; 系统通知</h1>\n<ul>\n<li>通知时间：&nbsp; ${ts_date}</li>\n<li>通知内容：&nbsp; ${ts_content}</li>\n</ul>', NULL, '2019-11-27 16:30:27', 'admin', '2019-11-27 19:36:50', 'admin', NULL);
INSERT INTO `sys_sms_template` VALUES ('1199615897335095298', '流程催办', 'bpm_cuiban', '2', '<h1>&nbsp; &nbsp;流程催办提醒</h1>\n<ul>\n<li>流程名称：&nbsp; ${bpm_name}</li>\n<li>催办任务：&nbsp; ${bpm_task}</li>\n<li>催办时间 :&nbsp; &nbsp; ${datetime}</li>\n<li>催办内容 :&nbsp; &nbsp; ${remark}</li>\n</ul>', NULL, '2019-11-27 17:08:12', 'admin', '2019-11-27 19:36:45', 'admin', NULL);
INSERT INTO `sys_sms_template` VALUES ('1199648914107625473', '流程办理超时提醒', 'bpm_chaoshi_tip', '2', '<h1>&nbsp; &nbsp;流程办理超时提醒</h1>\n<ul>\n<li>&nbsp; &nbsp;超时提醒信息：&nbsp; &nbsp; 您有待处理的超时任务，请尽快处理！</li>\n<li>&nbsp; &nbsp;超时任务标题：&nbsp; &nbsp; ${title}</li>\n<li>&nbsp; &nbsp;超时任务节点：&nbsp; &nbsp; ${task}</li>\n<li>&nbsp; &nbsp;任务处理人：&nbsp; &nbsp; &nbsp; &nbsp;${user}</li>\n<li>&nbsp; &nbsp;任务开始时间：&nbsp; &nbsp; ${time}</li>\n</ul>', NULL, '2019-11-27 19:19:24', 'admin', '2019-11-27 19:36:37', 'admin', NULL);
INSERT INTO `sys_sms_template` VALUES ('4028608164691b000164693108140003', '催办：${taskName}', 'SYS001', '1', '${userName}，您好！\r\n请前待办任务办理事项！${taskName}\r\n\r\n\r\n===========================\r\n此消息由系统发出', '{\r\n\"taskName\":\"HR审批\",\r\n\"userName\":\"admin\"\r\n}', '2018-07-05 14:46:18', 'admin', '2018-07-05 18:31:34', 'admin', NULL);

-- ----------------------------
-- Table structure for sys_table_white_list
-- ----------------------------
DROP TABLE IF EXISTS `sys_table_white_list`;
CREATE TABLE `sys_table_white_list`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `table_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '允许的表名',
  `field_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '允许的字段名，多个用逗号分割',
  `status` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '状态，1=启用，0=禁用',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_sys_table_white_list_table_name`(`table_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统表白名单' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_table_white_list
-- ----------------------------
INSERT INTO `sys_table_white_list` VALUES ('1701578033271521282', 'sys_user', 'phone,work_no,id,email,realname,username', '1', 'admin', '2023-09-12 10:46:32', 'admin', '2023-12-31 16:55:30');
INSERT INTO `sys_table_white_list` VALUES ('1701581935488385025', 'oa_officialdoc_organcode', 'id,organ_name', '1', 'admin', '2023-09-12 11:02:02', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701581977733414913', 'demo', 'id,name', '1', 'admin', '2023-09-12 11:02:12', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701582035472203777', 'sys_permission', 'id,name', '1', 'admin', '2023-09-12 11:02:26', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701582087619985409', 'onl_drag_comp', 'id,comp_name', '1', 'admin', '2023-09-12 11:02:38', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701582136420712450', 'sys_depart', 'id,org_code,depart_name', '1', 'admin', '2023-09-12 11:02:50', 'admin', '2023-10-18 09:36:40');
INSERT INTO `sys_table_white_list` VALUES ('1701582163599802370', 'design_form', 'id,desform_name,desform_code', '1', 'admin', '2023-09-12 11:02:56', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701582190187495426', 'onl_cgform_head', 'table_txt,table_name', '1', 'admin', '2023-09-12 11:03:03', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1701582254301626370', 'oa_wps_file', 'id,name', '1', 'admin', '2023-09-12 11:03:18', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1714453996678926338', 'onl_cgreport_head', 'code', '1', 'admin', '2023-10-18 09:31:00', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1714455418728337410', 'sys_category', 'id,name', '1', 'admin', '2023-10-18 09:36:40', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1714471625900564482', 'sys_position', 'name,id', '1', 'ceshi', '2023-10-18 10:41:04', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1769610154632491009', 'sys_dict', 'dict_code', '1', 'admin', '2024-03-18 14:21:53', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1778692300030484482', 'test_shoptype_tree', 'type_name,id', '1', 'admin', '2024-04-12 15:51:05', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1782650226206269441', 'sys_tenant', 'name,id', '1', 'admin', '2024-04-23 13:58:29', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1800712552062898178', 'tj_user_report', 'name,username', '1', 'admin', '2024-06-12 10:11:43', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1801076145102925826', 'sys_data_source', 'code,name', '1', 'admin', '2024-06-13 10:16:30', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1801097090085564420', 'sys_role', 'role_name,role_code', '1', 'jeecg', '2024-06-13 11:39:44', 'admin', '2024-09-10 11:47:35');
INSERT INTO `sys_table_white_list` VALUES ('1805416360756006913', 'wu_liao', 'wul_name,id', '1', 'admin', '2024-06-25 09:42:58', NULL, NULL);
INSERT INTO `sys_table_white_list` VALUES ('1897919397122269185', 'ces_shop_type', 'name,pid,id,has_child', '1', 'admin', '2025-03-07 15:57:01', NULL, NULL);

-- ----------------------------
-- Table structure for sys_tenant
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant`;
CREATE TABLE `sys_tenant`  (
  `id` int(10) NOT NULL COMMENT '租户编码',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `begin_date` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_date` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `status` int(1) NULL DEFAULT NULL COMMENT '状态 1正常 0冻结',
  `trade` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属行业',
  `company_size` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公司规模',
  `company_address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公司地址',
  `company_logo` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '公司logo',
  `house_number` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门牌号',
  `work_place` varchar(100) CHARACTER SET utf32 COLLATE utf32_general_ci NULL DEFAULT NULL COMMENT '工作地点',
  `secondary_domain` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '二级域名',
  `login_bkgd_img` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录背景图片',
  `position` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职级',
  `department` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门',
  `del_flag` tinyint(1) NULL DEFAULT 0 COMMENT '删除状态(0-正常,1-已删除)',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `apply_status` int(3) NULL DEFAULT NULL COMMENT '允许申请管理员 1允许 0不允许',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '多租户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant
-- ----------------------------
INSERT INTO `sys_tenant` VALUES (1000, '北京国炬信息技术有限公司', '2023-03-09 19:55:11', 'jeecg', NULL, NULL, 1, NULL, NULL, NULL, '', '2PI3U6', NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2023-11-05 10:35:15', NULL);
INSERT INTO `sys_tenant` VALUES (1001, '北京敲敲云科技有限公司', '2023-10-18 13:37:19', 'ceshi', NULL, NULL, 1, NULL, NULL, NULL, '', 'EX33W8', NULL, NULL, NULL, NULL, NULL, 0, 'admin', '2024-03-18 11:19:28', NULL);
INSERT INTO `sys_tenant` VALUES (1002, '111', '2025-02-07 16:22:57', 'admin', NULL, NULL, 1, NULL, NULL, NULL, NULL, '8UDKXJ', NULL, NULL, NULL, NULL, NULL, 1, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for sys_tenant_pack
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_pack`;
CREATE TABLE `sys_tenant_pack`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户id',
  `pack_name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品包名',
  `status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开启状态(0 未开启 1开启)',
  `remarks` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` date NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` date NULL DEFAULT NULL COMMENT '更新时间',
  `pack_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '编码,默认添加的三个管理员需要设置编码',
  `pack_type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'custom' COMMENT '产品包类型(default 默认产品包 custom 自定义产品包)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户产品包' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant_pack
-- ----------------------------
INSERT INTO `sys_tenant_pack` VALUES ('1714517098074152962', 0, '默认套餐', '1', NULL, 'ceshi', '2023-10-18', 'admin', '2023-12-28', NULL, 'default');
INSERT INTO `sys_tenant_pack` VALUES ('1887779048513064962', 1001, '默认套餐', '1', NULL, 'ceshi', '2023-10-18', 'admin', '2023-12-28', NULL, 'custom');
INSERT INTO `sys_tenant_pack` VALUES ('1887779067148357633', 1002, '默认套餐', '1', NULL, 'ceshi', '2023-10-18', 'admin', '2023-12-28', NULL, 'custom');

-- ----------------------------
-- Table structure for sys_tenant_pack_perms
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_pack_perms`;
CREATE TABLE `sys_tenant_pack_perms`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键编号',
  `pack_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户产品包名称',
  `permission_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '菜单id',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` date NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` date NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_stpp_pack_id`(`pack_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户产品包和菜单关系表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant_pack_perms
-- ----------------------------
INSERT INTO `sys_tenant_pack_perms` VALUES ('1714517098137067522', '1714517098074152962', '1473927410093187073', 'ceshi', '2023-10-18', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1714517098199982082', '1714517098074152962', '1473955758466981890', 'ceshi', '2023-10-18', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1714517098199982083', '1714517098074152962', '1542385335362383873', 'ceshi', '2023-10-18', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1714517098199982084', '1714517098074152962', '1554384900763729922', 'ceshi', '2023-10-18', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779048638894082', '1887779048513064962', '1473927410093187073', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779048697614338', '1887779048513064962', '1473955758466981890', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779048697614339', '1887779048513064962', '1542385335362383873', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779048697614340', '1887779048513064962', '1554384900763729922', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779067148357634', '1887779067148357633', '1473927410093187073', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779067148357635', '1887779067148357633', '1473955758466981890', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779067211272194', '1887779067148357633', '1542385335362383873', 'admin', '2025-02-07', NULL, NULL);
INSERT INTO `sys_tenant_pack_perms` VALUES ('1887779067211272195', '1887779067148357633', '1554384900763729922', 'admin', '2025-02-07', NULL, NULL);

-- ----------------------------
-- Table structure for sys_tenant_pack_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_tenant_pack_user`;
CREATE TABLE `sys_tenant_pack_user`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `pack_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '租户产品包ID',
  `user_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户ID',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户ID',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `status` int(3) NULL DEFAULT NULL COMMENT '状态 正常状态1 申请状态0',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_tpu_pack_id`(`pack_id`) USING BTREE,
  INDEX `idx_tpu_user_id`(`user_id`) USING BTREE,
  INDEX `idx_tpu_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `idx_tpu_status`(`status`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户套餐人员表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_tenant_pack_user
-- ----------------------------
INSERT INTO `sys_tenant_pack_user` VALUES ('1633795234318729217', '1633795213938606082', 'a75d45a015c44384a04449ee80dc3503', 1, 'admin', '2023-03-09 19:41:53', NULL, NULL, 1);

-- ----------------------------
-- Table structure for sys_third_account
-- ----------------------------
DROP TABLE IF EXISTS `sys_third_account`;
CREATE TABLE `sys_third_account`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '编号',
  `sys_user_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '第三方登录id',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '头像',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态(1-正常,2-冻结)',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除状态(0-正常,1-已删除)',
  `realname` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '真实姓名',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户id',
  `third_user_uuid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '第三方账号',
  `third_user_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '第三方app用户账号',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `third_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '登录来源',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_stat_third_type_user_id`(`third_type`, `third_user_id`) USING BTREE,
  UNIQUE INDEX `uniq_sta_third_user_id_third_type`(`third_user_id`, `third_type`, `tenant_id`) USING BTREE,
  UNIQUE INDEX `uniq_sta_third_user_uuid_third_type`(`third_user_uuid`, `third_type`, `tenant_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_third_account
-- ----------------------------

-- ----------------------------
-- Table structure for sys_third_app_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_third_app_config`;
CREATE TABLE `sys_third_app_config`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `tenant_id` int(10) NOT NULL DEFAULT 0 COMMENT '租户id',
  `agent_id` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '钉钉/企业微信应用id',
  `client_id` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '钉钉/企业微信 应用id',
  `client_secret` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '钉钉/企业微信应用id对应的秘钥',
  `corp_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '钉钉企业id',
  `third_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '第三方类别(dingtalk 钉钉 wechat_enterprise 企业微信)',
  `status` int(1) NULL DEFAULT 1 COMMENT '是否启用(0-否,1-是)',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_stac_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `idx_stac_third_type`(`third_type`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '租户第三方配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_third_app_config
-- ----------------------------
INSERT INTO `sys_third_app_config` VALUES ('1714477134884085762', 0, '1', '1', '1', NULL, 'dingtalk', 1, '2023-10-18 11:02:57', NULL);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `username` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录账号',
  `realname` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '真实姓名',
  `password` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `salt` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'md5密码盐',
  `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `sex` tinyint(1) NULL DEFAULT NULL COMMENT '性别(0-默认未知,1-男,2-女)',
  `email` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电子邮件',
  `phone` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '电话',
  `org_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '登录会话的机构编码',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '性别(1-正常,2-冻结)',
  `del_flag` tinyint(1) NULL DEFAULT NULL COMMENT '删除状态(0-正常,1-已删除)',
  `third_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '第三方登录的唯一标识',
  `third_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '第三方类型',
  `activiti_sync` tinyint(1) NULL DEFAULT NULL COMMENT '同步工作流引擎(1-同步,0-不同步)',
  `work_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '工号，唯一键',
  `telephone` varchar(45) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '座机号',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `user_identity` tinyint(1) NULL DEFAULT NULL COMMENT '身份（1普通成员 2上级）',
  `depart_ids` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责部门',
  `client_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '设备ID',
  `login_tenant_id` int(11) NULL DEFAULT NULL COMMENT '上次登录选择租户ID',
  `bpm_status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '流程入职离职状态',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uniq_sys_user_work_no`(`work_no`) USING BTREE,
  UNIQUE INDEX `uniq_sys_user_username`(`username`) USING BTREE,
  UNIQUE INDEX `uniq_sys_user_phone`(`phone`) USING BTREE,
  UNIQUE INDEX `uniq_sys_user_email`(`email`) USING BTREE,
  INDEX `idx_su_status`(`status`) USING BTREE,
  INDEX `idx_su_del_flag`(`del_flag`) USING BTREE,
  INDEX `idx_su_del_username`(`username`, `del_flag`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES ('1714471285016895490', 'ceshi', '测试用户', 'a9932bb12d2cbc5a', 'AF4vhXUz', NULL, '2024-04-11', NULL, 'winter@jeecg.org', '15201111112', NULL, 1, 0, NULL, NULL, 1, '123', NULL, 'admin', '2023-10-18 10:39:42', 'jeecg', '2024-06-20 18:51:42', 1, '', NULL, 0, NULL);
INSERT INTO `sys_user` VALUES ('1803245920382074882', '18611566565', '33', '2992841e9b639428fd08d826715c2ed1', '0WhqHnkI', NULL, NULL, NULL, '1@1.com', '18611566565', NULL, 1, 1, NULL, NULL, NULL, '2', NULL, 'jeecg', '2024-06-19 09:58:25', 'admin', '2024-06-20 17:13:29', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES ('1803718806070775810', '1', '11', 'b617d1d0b5f40690', 'PL7G0jWh', NULL, NULL, NULL, '11@1.com', '18611877827', NULL, 1, 1, NULL, NULL, 1, '111', NULL, 'jeecg', '2024-06-20 17:17:30', 'jeecg', '2024-06-20 17:17:36', 1, '', NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES ('3d464b4ea0d2491aab8a7bde74c57e95', 'zhangsan', '张三', '02ea098224c7d0d2077c14b9a3a1ed16', 'x5xRdeKB', 'https://static.jeecg.com/temp/jmlogo_1606575041993.png', '2024-04-11', NULL, '111@1.com', '13426411111', '财务部', 1, 0, NULL, NULL, 1, '0005', NULL, 'admin', '2020-05-14 21:26:24', 'admin', '2024-04-26 13:25:37', 1, '', NULL, NULL, NULL);
INSERT INTO `sys_user` VALUES ('a75d45a015c44384a04449ee80dc3503', 'jeecg', 'jeecg', 'eee378a1258530cb', 'mIgiYJow', 'https://static.jeecg.com/temp/国炬软件logo_1606575029126.png', NULL, 1, '418799587@qq.com', '18611788525', 'A02A01', 1, 0, NULL, NULL, 1, '00002', NULL, 'admin', '2019-02-13 16:02:36', 'admin', '2023-10-18 13:51:36', 1, '', NULL, 1001, NULL);
INSERT INTO `sys_user` VALUES ('e9ca23d68d884d4ebb19d07889727dae', 'admin', '管理员', 'cb362cfeefbf3d8d', 'RCGTeGiH', 'https://static.jeecg.com/temp/国炬软件logo_1606575029126.png', '1986-02-01', 1, 'jeecg@163.com', '18611111111', 'A01', 1, 0, NULL, NULL, 1, '00001', NULL, NULL, '2019-06-21 17:54:10', 'admin', '2025-03-10 19:38:00', 2, '', NULL, 1000, NULL);

-- ----------------------------
-- Table structure for sys_user_agent
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_agent`;
CREATE TABLE `sys_user_agent`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '序号',
  `user_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `agent_user_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '代理人用户名',
  `start_time` datetime NULL DEFAULT NULL COMMENT '代理开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '代理结束时间',
  `status` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '状态0无效1有效',
  `create_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人名称',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人名称',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `sys_company_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '所属公司',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_sug_user_name`(`user_name`) USING BTREE,
  INDEX `idx_sug_status`(`status`) USING BTREE,
  INDEX `idx_sug_start_time`(`start_time`) USING BTREE,
  INDEX `idx_sug_end_time`(`end_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户代理人设置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_agent
-- ----------------------------
INSERT INTO `sys_user_agent` VALUES ('1632029640019922945', 'zhagnxiao', 'jeecg', '2023-03-04 22:45:50', '2023-03-04 05:00:00', '1', NULL, 'admin', '2023-03-04 22:46:02', NULL, NULL, NULL, 'A01', NULL);
INSERT INTO `sys_user_agent` VALUES ('1803245960282488834', '18611566565', NULL, '2024-06-19 09:58:32', '2054-06-19 09:58:32', '1', NULL, 'jeecg', '2024-06-19 09:58:34', NULL, NULL, NULL, 'A02A01', NULL);

-- ----------------------------
-- Table structure for sys_user_depart
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_depart`;
CREATE TABLE `sys_user_depart`  (
  `ID` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'id',
  `user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `dep_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '部门id',
  PRIMARY KEY (`ID`) USING BTREE,
  UNIQUE INDEX `idx_sud_user_dep_id`(`user_id`, `dep_id`) USING BTREE,
  INDEX `idx_sud_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sud_dep_id`(`dep_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_depart
-- ----------------------------
INSERT INTO `sys_user_depart` VALUES ('1783729121915510785', '3d464b4ea0d2491aab8a7bde74c57e95', 'a7d7e77e06c84325a40932163adcdaa6');
INSERT INTO `sys_user_depart` VALUES ('1714519577067200514', 'a75d45a015c44384a04449ee80dc3503', 'a7d7e77e06c84325a40932163adcdaa6');
INSERT INTO `sys_user_depart` VALUES ('1f3a0267811327b9eca86b0cc2b956f3', 'bcbe1290783a469a83ae3bd8effe15d4', '5159cde220114246b045e574adceafe9');

-- ----------------------------
-- Table structure for sys_user_position
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_position`;
CREATE TABLE `sys_user_position`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `user_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `position_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职位id',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '修改人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sup_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sup_position_id`(`position_id`) USING BTREE,
  INDEX `idx_sup_user_position_id`(`user_id`, `position_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_position
-- ----------------------------
INSERT INTO `sys_user_position` VALUES ('1803742512784596994', '1714471285016895490', '1185040064792571906', 'jeecg', '2024-06-20 18:51:42', NULL, NULL);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键id',
  `user_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `role_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色id',
  `tenant_id` int(10) NULL DEFAULT 0 COMMENT '租户ID',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sur_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sur_role_id`(`role_id`) USING BTREE,
  INDEX `idx_sur_user_role_id`(`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户角色表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('0ede6d23d53bc7dc990346ff14faabee', '3db4cf42353f4e868b7ccfeef90505d2', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('1714519577000091650', 'a75d45a015c44384a04449ee80dc3503', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('1714519577000091651', 'a75d45a015c44384a04449ee80dc3503', '1501570619841810433', 0);
INSERT INTO `sys_user_role` VALUES ('1783729121881956354', '3d464b4ea0d2491aab8a7bde74c57e95', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('1783729468193075202', 'e9ca23d68d884d4ebb19d07889727dae', '1501570619841810433', 0);
INSERT INTO `sys_user_role` VALUES ('1783729468201463810', 'e9ca23d68d884d4ebb19d07889727dae', 'f6817f48af4fb3af11b9e8bf182f618b', 0);
INSERT INTO `sys_user_role` VALUES ('1803742512738459649', '1714471285016895490', '1501570619841810433', 0);
INSERT INTO `sys_user_role` VALUES ('31af310584bd5795f76b1fe8c38294a0', '70f5dcf03f36471dabba81381919291f', 'e51758fa916c881624b046d26bd09230', 0);
INSERT INTO `sys_user_role` VALUES ('79d66ef7aa137cfa9957081a1483009d', '9a668858c4c74cf5a2b25ad9608ba095', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('8d7846ec783e157174e4ce2949231a65', '7ee6630e89d17afbf6d12150197b578d', 'e51758fa916c881624b046d26bd09230', 0);
INSERT INTO `sys_user_role` VALUES ('b3ffd9311a1ca296c44e2409b547384f', '01b802058ea94b978a2c96f4807f6b48', '1', 0);
INSERT INTO `sys_user_role` VALUES ('be2639167ede09379937daca7fc3bb73', '526f300ab35e44faaed54a9fb0742845', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('e78d210d24aaff48e0a736e2ddff4cdc', '3e177fede453430387a8279ced685679', 'ee8626f80f7c2619917b6236f3a7f02b', 0);
INSERT INTO `sys_user_role` VALUES ('ee45d0343ecec894b6886effc92cb0b7', '4d8fef4667574b24a9ccfedaf257810c', 'f6817f48af4fb3af11b9e8bf182f618b', 0);
INSERT INTO `sys_user_role` VALUES ('f2922a38ba24fb53749e45a0c459adb3', '439ae3e9bcf7418583fcd429cadb1d72', '1', 0);
INSERT INTO `sys_user_role` VALUES ('f2de3ae7b5efd8345581aa802a6675d6', '41b1be8d4c52023b0798f51164ca682d', 'e51758fa916c881624b046d26bd09230', 0);
INSERT INTO `sys_user_role` VALUES ('f72c6190b0722e798147e73c776c6ac9', '439ae3e9bcf7418583fcd429cadb1d72', 'ee8626f80f7c2619917b6236f3a7f02b', 0);

-- ----------------------------
-- Table structure for sys_user_tenant
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_tenant`;
CREATE TABLE `sys_user_tenant`  (
  `id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `user_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户id',
  `tenant_id` int(10) NULL DEFAULT NULL COMMENT '租户id',
  `status` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态(1 正常 2 离职 3 待审核 4 拒绝 5 邀请加入)',
  `create_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `idx_sut_user_id`(`user_id`) USING BTREE,
  INDEX `idx_sut_tenant_id`(`tenant_id`) USING BTREE,
  INDEX `idx_sut_user_rel_tenant`(`user_id`, `tenant_id`) USING BTREE,
  INDEX `idx_sut_status`(`status`) USING BTREE,
  INDEX `idx_sut_userid_status`(`user_id`, `status`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户租户关系表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_tenant
-- ----------------------------
INSERT INTO `sys_user_tenant` VALUES ('1714517525209489409', 'a75d45a015c44384a04449ee80dc3503', 1001, '1', 'ceshi', '2023-10-18 13:43:27', NULL, NULL);
INSERT INTO `sys_user_tenant` VALUES ('1721013397267116034', 'e9ca23d68d884d4ebb19d07889727dae', 1000, '1', 'admin', '2023-11-05 11:55:43', NULL, NULL);
INSERT INTO `sys_user_tenant` VALUES ('1803245920461766657', '1803245920382074882', 1001, '2', 'jeecg', '2024-06-19 09:58:25', 'jeecg', '2024-06-19 09:58:34');
INSERT INTO `sys_user_tenant` VALUES ('1887779067081248770', 'e9ca23d68d884d4ebb19d07889727dae', 1002, '1', 'admin', '2025-02-07 16:22:57', NULL, NULL);

-- ----------------------------
-- Table structure for test_demo
-- ----------------------------
DROP TABLE IF EXISTS `test_demo`;
CREATE TABLE `test_demo`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人登录名称',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人登录名称',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `sex` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别',
  `age` int(32) NULL DEFAULT NULL COMMENT '年龄',
  `descc` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `birthday` datetime NULL DEFAULT NULL COMMENT '生日',
  `user_code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户编码',
  `file_kk` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '附件',
  `top_pic` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像',
  `chegnshi` varchar(300) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '城市',
  `ceck` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'checkbox',
  `xiamuti` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '下拉多选',
  `search_sel` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '搜索下拉',
  `pop` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '弹窗',
  `sel_table` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '下拉字典表',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_demo
-- ----------------------------
INSERT INTO `test_demo` VALUES ('11', 'admin', '2024-06-23 16:51:45', NULL, NULL, '111', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `test_demo` VALUES ('1331884149004910593', 'admin', '2020-11-26 16:55:01', NULL, NULL, '张三', '1', NULL, NULL, NULL, NULL, '', '', '130304', NULL, NULL, NULL, NULL, NULL);
INSERT INTO `test_demo` VALUES ('1331901553776869377', 'admin', '2020-11-26 18:04:10', 'admin', '2020-11-26 18:04:24', '张三', '2', NULL, '', NULL, '', '', '', '', '1', '1,2', 'hr', '', NULL);
INSERT INTO `test_demo` VALUES ('1533107308342210561', 'admin', '2022-06-04 23:24:00', NULL, NULL, '11', '1', 111, '<p>111</p>', '2022-06-24 00:00:00', NULL, 'temp/11_1654356225072.jpg', 'temp/11_1654356229294.jpg', '210603', '2', '2,1', 'hr', NULL, 'admin');
INSERT INTO `test_demo` VALUES ('1899062356047814658', 'admin', '2025-03-10 19:38:43', NULL, NULL, '哈喽', '1', NULL, NULL, '2015-01-01 00:00:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `test_demo` VALUES ('4028810c6aed99e1016aed9b31b40002', NULL, NULL, 'admin', '2019-10-19 15:37:27', 'jeecg', '2', 55, '5', '2019-05-15 00:00:00', NULL, '', '', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `test_demo` VALUES ('4028810c6b02cba2016b02cba21f0000', 'admin', '2019-05-29 16:53:48', 'admin', '2022-11-07 22:09:46', '张小红', '1', 8222, '8', '2019-04-01 00:00:00', '', '', '', '120101', '2', '', '', '', '');

-- ----------------------------
-- Table structure for test_enhance_select
-- ----------------------------
DROP TABLE IF EXISTS `test_enhance_select`;
CREATE TABLE `test_enhance_select`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `province` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省份',
  `city` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '市',
  `area` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_enhance_select
-- ----------------------------
INSERT INTO `test_enhance_select` VALUES ('1256614575282958338', '1230769290609725441', '1230769470889299970', '1230769620021972993', '2020-05-03 00:00:36', 'admin');
INSERT INTO `test_enhance_select` VALUES ('1427183594647195649', '1230769253267836929', '1230769769930592257', '1230769855347593217', '2021-08-16 16:20:59', 'admin');
INSERT INTO `test_enhance_select` VALUES ('1427184250225299457', '1230769290609725441', '1230769470889299970', '1230769620021972993', '2021-08-16 16:23:35', 'admin');
INSERT INTO `test_enhance_select` VALUES ('1427900912506630146', '1230769253267836929', '1230769769930592257', '1230769855347593217', '2021-08-18 15:51:21', 'admin');
INSERT INTO `test_enhance_select` VALUES ('402880e570801ffe01708053743c002e', '1230769253267836929', '1230769769930592257', '1230769855347593217', '2020-02-26 15:08:37', 'admin');
INSERT INTO `test_enhance_select` VALUES ('402880e570801ffe017080538b24002f', '1230769253267836929', '1230769769930592257', '1230769855347593217', '2020-02-26 15:08:43', 'admin');
INSERT INTO `test_enhance_select` VALUES ('402880e570801ffe01708053b2b10030', '1230769290609725441', '1230769470889299970', '1230769620021972993', '2020-02-26 15:08:53', 'admin');

-- ----------------------------
-- Table structure for test_note
-- ----------------------------
DROP TABLE IF EXISTS `test_note`;
CREATE TABLE `test_note`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `birthday` datetime NULL DEFAULT NULL COMMENT '生日',
  `contents` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '请假原因',
  `year` date NULL DEFAULT NULL COMMENT '年',
  `sheng` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地区',
  `month` date NULL DEFAULT NULL COMMENT '月',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_note
-- ----------------------------
INSERT INTO `test_note` VALUES ('1257876639515222017', 'admin', '2020-05-06 11:35:35', NULL, NULL, 'A01', '不同意', 20, '1', '2020-05-06 00:00:00', '999', NULL, NULL, NULL);
INSERT INTO `test_note` VALUES ('1260208702503366657', 'admin', '2020-05-12 22:02:23', 'admin', '2020-07-11 11:40:24', 'A01', 'jeecg', 22233, '2', '2020-05-12 00:00:00', 'sss', NULL, NULL, NULL);
INSERT INTO `test_note` VALUES ('1304309860578455553', 'admin', '2020-09-11 14:44:38', NULL, NULL, 'A01', 'zhangsan', 222, '1', '2020-09-11 00:00:00', '222', NULL, NULL, NULL);
INSERT INTO `test_note` VALUES ('1580543046964621313', 'admin', '2022-10-13 20:56:42', 'admin', '2022-10-28 10:25:54', 'A01', 'zhangsan', 22, '1', '2022-10-05 00:00:00', '1212', NULL, NULL, NULL);
INSERT INTO `test_note` VALUES ('1800567715372081154', 'admin', '2024-06-12 00:36:11', 'admin', '2024-06-13 10:13:49', 'A01', 'admin', 0, '1', '2024-06-14 00:00:00', '<p>姜汝鑫</p>', '2023-01-01', '110101', '2024-08-01');

-- ----------------------------
-- Table structure for test_online_link
-- ----------------------------
DROP TABLE IF EXISTS `test_online_link`;
CREATE TABLE `test_online_link`  (
  `id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `pid` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'pid',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'name',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_online_link
-- ----------------------------
INSERT INTO `test_online_link` VALUES ('1', NULL, '中国');
INSERT INTO `test_online_link` VALUES ('10', '8', '庐阳区');
INSERT INTO `test_online_link` VALUES ('11', '7', '黄山市');
INSERT INTO `test_online_link` VALUES ('2', '1', '山东省');
INSERT INTO `test_online_link` VALUES ('3', '2', '济南市');
INSERT INTO `test_online_link` VALUES ('4', '3', '历城区');
INSERT INTO `test_online_link` VALUES ('5', '3', '长青区');
INSERT INTO `test_online_link` VALUES ('6', '2', '青岛市');
INSERT INTO `test_online_link` VALUES ('7', '1', '安徽省');
INSERT INTO `test_online_link` VALUES ('8', '7', '合肥市');
INSERT INTO `test_online_link` VALUES ('9', '8', '包河区');

-- ----------------------------
-- Table structure for test_order_customer
-- ----------------------------
DROP TABLE IF EXISTS `test_order_customer`;
CREATE TABLE `test_order_customer`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户名字',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `order_id` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单id',
  `address` varchar(300) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_order_customer
-- ----------------------------
INSERT INTO `test_order_customer` VALUES ('1586285823409205250', 'admin', '2022-10-29 17:16:26', NULL, NULL, 'A01', '90', '1', 90, '2022-09-28', '1551943088862896130', NULL);
INSERT INTO `test_order_customer` VALUES ('1586557969578553345', 'admin', '2022-10-30 11:20:31', NULL, NULL, 'A01', '小王', '1', 33, '2022-09-29', '1586557968995545089', NULL);
INSERT INTO `test_order_customer` VALUES ('1586557969578553346', 'admin', '2022-10-30 11:17:51', NULL, NULL, 'A01', '效力', '2', 333, '2022-10-16', '1586557968995545089', NULL);
INSERT INTO `test_order_customer` VALUES ('1589514956528386050', 'admin', '2022-11-07 15:07:52', NULL, NULL, 'A01', '1111', '1', 22, '2022-11-02', '1589514956490637313', NULL);
INSERT INTO `test_order_customer` VALUES ('1589516804559699969', 'admin', '2022-11-23 17:20:56', NULL, NULL, 'A01', '444', NULL, NULL, NULL, '1589516804530339842', '110101');
INSERT INTO `test_order_customer` VALUES ('1589516804559699970', 'admin', '2022-11-07 15:15:13', NULL, NULL, 'A01', '33', NULL, NULL, NULL, '1589516804530339842', '120101');
INSERT INTO `test_order_customer` VALUES ('1589516832699285506', 'admin', '2022-11-07 15:15:19', NULL, NULL, 'A01', '4434', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO `test_order_customer` VALUES ('1597149156416937985', 'admin', '2022-11-28 16:43:27', NULL, NULL, 'A01', '33', '1', 33, '2022-11-03', '1597149156089782273', NULL);
INSERT INTO `test_order_customer` VALUES ('1683074969947033601', 'admin', '2024-09-10 19:47:29', NULL, NULL, 'A01', '于美欣', '1', 22, '2023-07-06', '1683074969561157634', NULL);

-- ----------------------------
-- Table structure for test_order_main
-- ----------------------------
DROP TABLE IF EXISTS `test_order_main`;
CREATE TABLE `test_order_main`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `order_code` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单编码',
  `order_date` datetime NULL DEFAULT NULL COMMENT '下单时间',
  `descc` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `xiala` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '下拉多选',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_order_main
-- ----------------------------
INSERT INTO `test_order_main` VALUES ('1256629667445714946', 'admin', '2020-05-03 01:00:34', 'admin', '2020-11-26 15:22:35', '鼠标', '2020-05-03 00:00:00', '15', NULL);
INSERT INTO `test_order_main` VALUES ('1551943088862896130', 'admin', '2022-07-26 22:50:40', 'admin', '2022-10-29 17:16:26', 'CN2022', NULL, '', '');
INSERT INTO `test_order_main` VALUES ('1586557968995545089', 'admin', '2022-10-30 11:17:51', 'admin', '2022-11-07 15:07:24', 'CN2022103011170844', NULL, '111', '');
INSERT INTO `test_order_main` VALUES ('1589514956490637313', 'admin', '2022-11-07 15:07:52', 'admin', '2022-11-07 15:14:50', '顾平', '2022-11-07 00:00:00', NULL, '1,2');
INSERT INTO `test_order_main` VALUES ('1589516804530339842', 'admin', '2022-11-07 15:15:13', 'admin', '2022-11-23 17:20:56', '顾平2', '2022-11-07 00:00:00', '222', '1,2');
INSERT INTO `test_order_main` VALUES ('1597149156089782273', 'admin', '2022-11-28 16:43:27', NULL, NULL, 'CN2022112816431596', NULL, NULL, NULL);
INSERT INTO `test_order_main` VALUES ('1683074969561157634', 'admin', '2023-07-23 19:21:57', 'admin', '2024-09-10 19:47:29', 'CN2023072319214115', NULL, '111', '1,2');
INSERT INTO `test_order_main` VALUES ('1833472350097121281', 'admin', '2024-09-10 19:47:27', NULL, NULL, 'CN2024091019472568', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for test_order_product
-- ----------------------------
DROP TABLE IF EXISTS `test_order_product`;
CREATE TABLE `test_order_product`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `product_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品名字',
  `price` double(32, 0) NULL DEFAULT NULL COMMENT '价格',
  `num` int(32) NULL DEFAULT NULL COMMENT '数量',
  `descc` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '描述',
  `order_fk_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '订单外键ID',
  `pro_type` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '产品类型',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_order_product
-- ----------------------------
INSERT INTO `test_order_product` VALUES ('1331860890813284353', 'admin', '2020-11-26 15:22:35', NULL, NULL, '44', 44, 44, '', '1256629667445714946', '1');
INSERT INTO `test_order_product` VALUES ('1551943088930004994', 'admin', '2022-10-29 17:16:26', NULL, NULL, '11', 11, 11, '11', '1551943088862896130', '1');
INSERT INTO `test_order_product` VALUES ('1551943088930004995', 'admin', '2022-07-26 22:50:40', NULL, NULL, '2', 2, 2, '2', '1551943088862896130', '2');
INSERT INTO `test_order_product` VALUES ('15665749948861', 'admin', '2020-02-24 02:05:38', NULL, NULL, '333', 33, NULL, '', '402831816a38e7fd016a38e825c90003', '');
INSERT INTO `test_order_product` VALUES ('1586557969318506498', 'admin', '2022-10-30 11:20:31', NULL, NULL, '小米手机3', 20003, 33, '3', '1586557968995545089', '2');
INSERT INTO `test_order_product` VALUES ('1586557969381421058', 'admin', '2022-10-30 11:17:51', NULL, NULL, '华为手机1', 80001, 31, '11', '1586557968995545089', '2');
INSERT INTO `test_order_product` VALUES ('15884388229280883233', 'admin', '2020-11-26 15:22:35', NULL, NULL, '华为手机', 25, 35, '345', '1256629667445714946', '1');
INSERT INTO `test_order_product` VALUES ('15884388231401967996', 'admin', '2020-07-11 11:36:36', NULL, NULL, '低代码平台', 25, 35, '445', '1256629667445714946', '1');
INSERT INTO `test_order_product` VALUES ('15884388463052345317', 'admin', '2020-07-11 11:36:36', NULL, NULL, '表单设计器', 55, 55, '55', '1256629667445714946', '2');
INSERT INTO `test_order_product` VALUES ('1589514837779251202', 'admin', '2022-11-07 15:07:24', NULL, NULL, '2323', 2323, 2323, '', '1586557968995545089', '1');
INSERT INTO `test_order_product` VALUES ('1589514956499025921', 'admin', '2022-11-07 15:07:52', NULL, NULL, '111', 222, 222, '222', '1589514956490637313', '1');
INSERT INTO `test_order_product` VALUES ('1589514956515803137', 'admin', '2022-11-07 15:07:52', NULL, NULL, '333', NULL, NULL, '', '1589514956490637313', '');
INSERT INTO `test_order_product` VALUES ('1589516804542922753', 'admin', '2022-11-23 17:20:56', NULL, NULL, '1133', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO `test_order_product` VALUES ('1589516804551311361', 'admin', '2022-11-07 15:15:13', NULL, NULL, '222', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO `test_order_product` VALUES ('1597149156278525953', 'admin', '2022-11-28 16:43:27', NULL, NULL, '22', 2, 2, '22', '1597149156089782273', '1');
INSERT INTO `test_order_product` VALUES ('1683074969716346881', 'admin', '2024-09-10 19:47:29', NULL, NULL, '电脑', 5000, 21, '121', '1683074969561157634', '1');
INSERT INTO `test_order_product` VALUES ('1714472725034704898', 'admin', '2024-09-10 19:47:29', NULL, NULL, '办公椅子', 50, 100, NULL, '1683074969561157634', '1');
INSERT INTO `test_order_product` VALUES ('1732300515406647298', 'admin', '2024-09-10 19:47:29', NULL, NULL, '3', 3, 3, NULL, '1683074969561157634', NULL);
INSERT INTO `test_order_product` VALUES ('402831816a38e7fd016a38e7fdeb0001', 'admin', '2019-04-20 12:01:29', NULL, NULL, '笔记本', 100, 10, NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO `test_order_product` VALUES ('402831816a38e7fd016a38e7fdf10002', 'admin', '2019-04-20 12:01:29', NULL, NULL, '显示器', 300, 1, NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO `test_order_product` VALUES ('4028810c6b40244b016b406884080005', 'admin', '2020-02-24 02:05:38', NULL, NULL, '333', NULL, 33, '', '402831816a38e7fd016a38e825c90003', '');

-- ----------------------------
-- Table structure for test_person
-- ----------------------------
DROP TABLE IF EXISTS `test_person`;
CREATE TABLE `test_person`  (
  `id` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sex` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '性别',
  `name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `content` longtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请假原因',
  `be_date` datetime NULL DEFAULT NULL COMMENT '请假时间',
  `qj_days` int(11) NULL DEFAULT NULL COMMENT '请假天数',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_person
-- ----------------------------
INSERT INTO `test_person` VALUES ('8ca668defdae47df8649a5477ae08b05', 'admin', '2019-04-12 09:51:37', NULL, NULL, '1', 'zhangdaiscott', 'dsdsd', '2019-04-12 00:00:00', 2);

-- ----------------------------
-- Table structure for test_shoptype_tree
-- ----------------------------
DROP TABLE IF EXISTS `test_shoptype_tree`;
CREATE TABLE `test_shoptype_tree`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `type_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品分类',
  `pic` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类图片',
  `pid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父级节点',
  `has_child` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否有子节点',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of test_shoptype_tree
-- ----------------------------
INSERT INTO `test_shoptype_tree` VALUES ('1256629035921944577', 'admin', '2020-05-03 00:58:03', NULL, NULL, 'A01', '三星显示器', 'gh_f28e66390fc9_344 (shop)_1588438682583.jpg', '1256628864848867329', '0');
INSERT INTO `test_shoptype_tree` VALUES ('1800713461916487681', 'admin', '2024-06-12 10:15:19', 'admin', '2024-06-12 10:15:33', 'A01', '11', '', '0', '1');
INSERT INTO `test_shoptype_tree` VALUES ('1800713483269689346', 'admin', '2024-06-12 10:15:24', NULL, NULL, 'A01', '1122', NULL, '1800713461916487681', '0');
INSERT INTO `test_shoptype_tree` VALUES ('1833472226709086209', 'admin', '2024-09-10 19:46:57', NULL, NULL, 'A01', '笔记本', NULL, '0', '0');
INSERT INTO `test_shoptype_tree` VALUES ('1833472256287318018', 'admin', '2024-09-10 19:47:04', 'admin', '2024-09-10 19:47:12', 'A01', '华为笔记本', '', '1800713461916487681', '0');

-- ----------------------------
-- Table structure for tmp_report_data_1
-- ----------------------------
DROP TABLE IF EXISTS `tmp_report_data_1`;
CREATE TABLE `tmp_report_data_1`  (
  `monty` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '月份',
  `main_income` decimal(10, 2) NULL DEFAULT NULL,
  `total` decimal(10, 2) NULL DEFAULT NULL,
  `his_lowest` decimal(10, 2) NULL DEFAULT NULL,
  `his_average` decimal(10, 2) NULL DEFAULT NULL,
  `his_highest` decimal(10, 2) NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tmp_report_data_1
-- ----------------------------
INSERT INTO `tmp_report_data_1` VALUES ('1月', 483834.66, 483834.66, 57569.77, 216797.62, 483834.66);
INSERT INTO `tmp_report_data_1` VALUES ('2月', 11666578.65, 12150413.31, 22140.00, 4985361.57, 11666578.65);
INSERT INTO `tmp_report_data_1` VALUES ('3月', 27080982.08, 39231395.39, 73106.29, 16192642.30, 27080982.08);
INSERT INTO `tmp_report_data_1` VALUES ('4月', 0.00, 39231395.39, 73106.29, 8513415.34, 17428381.40);
INSERT INTO `tmp_report_data_1` VALUES ('5月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('6月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('7月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('8月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('9月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('10月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('11月', 0.00, 39231395.39, NULL, NULL, NULL);
INSERT INTO `tmp_report_data_1` VALUES ('12月', 0.00, 39231395.39, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for tmp_report_data_income
-- ----------------------------
DROP TABLE IF EXISTS `tmp_report_data_income`;
CREATE TABLE `tmp_report_data_income`  (
  `biz_income` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `bx_jj_yongjin` decimal(10, 2) NULL DEFAULT NULL,
  `bx_zx_money` decimal(10, 2) NULL DEFAULT NULL,
  `chengbao_gz_money` decimal(10, 2) NULL DEFAULT NULL,
  `bx_gg_moeny` decimal(10, 2) NULL DEFAULT NULL,
  `tb_zx_money` decimal(10, 2) NULL DEFAULT NULL,
  `neikong_zx_money` decimal(10, 2) NULL DEFAULT NULL,
  `total` decimal(10, 2) NULL DEFAULT NULL
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tmp_report_data_income
-- ----------------------------
INSERT INTO `tmp_report_data_income` VALUES ('中国石油全资（集团所属）', 37134.58, 1099273.32, 0.00, 0.00, 0.00, 226415.09, 38460270.57);
INSERT INTO `tmp_report_data_income` VALUES ('中国石油全资（股份所属）', 227595.77, 0.00, 0.00, 0.00, 0.00, 0.00, 227595.77);
INSERT INTO `tmp_report_data_income` VALUES ('中石油控股或有控股权', 310628.11, 369298.64, 0.00, 0.00, 0.00, 0.00, 679926.75);
INSERT INTO `tmp_report_data_income` VALUES ('中石油参股', 72062.45, 0.00, 0.00, 0.00, 0.00, 0.00, 72062.75);
INSERT INTO `tmp_report_data_income` VALUES ('非中石油', 1486526.90, 212070.72, 0.00, 0.00, 0.00, 226415.09, 1698597.62);

-- ----------------------------
-- Table structure for v3_demo1
-- ----------------------------
DROP TABLE IF EXISTS `v3_demo1`;
CREATE TABLE `v3_demo1`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名字',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `age` int(32) NULL DEFAULT NULL COMMENT '年龄',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `salary` double(10, 2) NULL DEFAULT NULL COMMENT '工资',
  `cccc` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of v3_demo1
-- ----------------------------
INSERT INTO `v3_demo1` VALUES ('1532265688470265858', 'admin', '2022-06-02 15:39:42', NULL, NULL, 'A01', '小王', '1', 22, '2022-06-27', 222.00, NULL);

-- ----------------------------
-- Table structure for v3_hello
-- ----------------------------
DROP TABLE IF EXISTS `v3_hello`;
CREATE TABLE `v3_hello`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名字',
  `age` int(11) NULL DEFAULT NULL COMMENT '年龄',
  `sex` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `birthday` date NULL DEFAULT NULL COMMENT '生日',
  `cc` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of v3_hello
-- ----------------------------
INSERT INTO `v3_hello` VALUES ('1533099754895597570', 'admin', '2022-06-04 22:53:59', 'admin', '2022-06-04 22:54:03', 'A01', '哈喽2', 22, '1', '2022-06-06', '222');
INSERT INTO `v3_hello` VALUES ('1534740190491971586', 'admin', '2022-06-09 11:32:30', NULL, NULL, 'A01', '11', NULL, '1', '2022-06-24', '11');

-- ----------------------------
-- Table structure for wu_liao
-- ----------------------------
DROP TABLE IF EXISTS `wu_liao`;
CREATE TABLE `wu_liao`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建日期',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新日期',
  `sys_org_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属部门',
  `wul_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料名称',
  `wul_code` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '物料编码',
  `pid` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '父级节点',
  `has_child` varchar(3) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否有子节点',
  `picc` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '封面图',
  `xingqi` date NULL DEFAULT NULL COMMENT '星期',
  `year1` date NULL DEFAULT NULL COMMENT '年度',
  `fuwenb` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '富文本',
  `guanl` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联请假单',
  `yonhu` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wu_liao
-- ----------------------------
INSERT INTO `wu_liao` VALUES ('1805416440368091137', 'admin', '2024-06-25 09:43:17', 'admin', '2025-02-24 18:56:30', 'A01', '笔记本', 'biben', '0', '1', 'temp/LOGO-mini_1725968796851.png', NULL, NULL, '', '', '');
INSERT INTO `wu_liao` VALUES ('1805416504817766402', 'admin', '2024-06-25 09:43:32', NULL, NULL, 'A01', '华为笔记本', 'huawei', '1805416440368091137', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wu_liao` VALUES ('1805417659606126593', 'admin', '2024-06-25 09:48:07', 'admin', '2024-10-08 14:47:59', 'A01', '手机4', 'shouji', '0', '1', '', '2024-06-09', '2020-01-01', '<p>奥斯特洛夫斯基说过一句富有哲理的话, 共同的</p>', '1805417637204348929', 'admin');
INSERT INTO `wu_liao` VALUES ('1805428066496520193', 'admin', '2024-06-25 10:29:29', 'admin', '2024-09-10 19:46:41', 'A01', '白糖', 'baitang', '0', '1', '', '2024-06-02', '2023-01-01', '<p>1112223</p>', '', 'jeecg');
INSERT INTO `wu_liao` VALUES ('1805428084980817921', 'admin', '2024-06-25 10:29:33', NULL, NULL, 'A01', '1', '1', '1805428066496520193', '0', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO `wu_liao` VALUES ('1897919457541218305', 'admin', '2025-03-07 15:57:14', NULL, NULL, 'A04', '2222', '222', '1805417659606126593', '0', NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Procedure structure for insert_200_records
-- ----------------------------
DROP PROCEDURE IF EXISTS `insert_200_records`;
delimiter ;;
CREATE PROCEDURE `insert_200_records`()
BEGIN
    DECLARE i INT DEFAULT 1;
    
    WHILE i <= 200 DO
        INSERT INTO jimu_report (id, code, name, del_flag) 
        VALUES (i, CONCAT('RPT', LPAD(i, 3, '0')), CONCAT('Report ', i), 0);
        
        SET i = i + 1;
    END WHILE;
END
;;
delimiter ;

SET FOREIGN_KEY_CHECKS = 1;